/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|* AArch64PostLegalizerCombinerImpl Combiner Match Table                      *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/

#ifdef GET_GICOMBINER_DEPS
#include "llvm/ADT/SparseBitVector.h"
namespace llvm {
extern cl::OptionCategory GICombinerOptionCategory;
} // end namespace llvm
#endif // ifdef GET_GICOMBINER_DEPS

#ifdef GET_GICOMBINER_TYPES
struct AArch64PostLegalizerCombinerImplRuleConfig {
  SparseBitVector<> DisabledRules;

  bool isRuleEnabled(unsigned RuleID) const;
  bool parseCommandLineOption();
  bool setRuleEnabled(StringRef RuleIdentifier);
  bool setRuleDisabled(StringRef RuleIdentifier);
};

static std::optional<uint64_t> getRuleIdxForIdentifier(StringRef RuleIdentifier) {
  uint64_t I;
  // getAtInteger(...) returns false on success
  bool Parsed = !RuleIdentifier.getAsInteger(0, I);
  if (Parsed)
    return I;

#ifndef NDEBUG
  switch (RuleIdentifier.size()) {
  default: break;
  case 9:	 // 3 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'c':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "opy_prop", 8) != 0)
        break;
      return 0;	 // "copy_prop"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ul_const", 8) != 0)
        break;
      return 24;	 // "mul_const"
    case 'o':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "r_to_bsp", 8) != 0)
        break;
      return 85;	 // "or_to_bsp"
    }
    break;
  case 10:	 // 2 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'i':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "2p_to_p2i", 9) != 0)
        break;
      return 56;	 // "i2p_to_p2i"
    case 'p':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "2i_to_i2p", 9) != 0)
        break;
      return 55;	 // "p2i_to_i2p"
    }
    break;
  case 11:	 // 3 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'a':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "dd_sub_reg", 10) != 0)
        break;
      return 61;	 // "add_sub_reg"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "atch_addos", 10) != 0)
        break;
      return 32;	 // "match_addos"
    case 'u':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nmerge_cst", 10) != 0)
        break;
      return 42;	 // "unmerge_cst"
    }
    break;
  case 12:	 // 4 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "xtmultomull", 11) != 0)
        break;
      return 92;	 // "extmultomull"
    case 'r':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "edundant_or", 11) != 0)
        break;
      return 23;	 // "redundant_or"
    case 's':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ext_of_sext", 11) != 0)
        break;
      return 6;	 // "sext_of_sext"
    case 'z':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ext_of_zext", 11) != 0)
        break;
      return 4;	 // "zext_of_zext"
    }
    break;
  case 13:	 // 6 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'l':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "oad_and_mask", 12) != 0)
        break;
      return 16;	 // "load_and_mask"
    case 'm':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'a':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "tch_selects", 11) != 0)
          break;
        return 37;	 // "match_selects"
      case 'e':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "rge_unmerge", 11) != 0)
          break;
        return 41;	 // "merge_unmerge"
      }
      break;
    case 'r':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "edundant_and", 12) != 0)
        break;
      return 20;	 // "redundant_and"
    case 'u':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "nmerge_", 7) != 0)
        break;
      switch (RuleIdentifier[8]) {
      default: break;
      case 'm':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+9, "erge", 4) != 0)
          break;
        return 40;	 // "unmerge_merge"
      case 'u':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+9, "ndef", 4) != 0)
          break;
        return 43;	 // "unmerge_undef"
      }
      break;
    }
    break;
  case 14:	 // 6 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'a':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "nyext_of_", 9) != 0)
        break;
      switch (RuleIdentifier[10]) {
      default: break;
      case 's':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+11, "ext", 3) != 0)
          break;
        return 10;	 // "anyext_of_sext"
      case 'z':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+11, "ext", 3) != 0)
          break;
        return 9;	 // "anyext_of_zext"
      }
      break;
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "inop_same_val", 13) != 0)
        break;
      return 52;	 // "binop_same_val"
    case 'f':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "neg_fneg_fold", 13) != 0)
        break;
      return 58;	 // "fneg_fneg_fold"
    case 's':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ext_of_anyext", 13) != 0)
        break;
      return 7;	 // "sext_of_anyext"
    case 'z':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ext_of_anyext", 13) != 0)
        break;
      return 5;	 // "zext_of_anyext"
    }
    break;
  case 15:	 // 3 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "xtending_loads", 14) != 0)
        break;
      return 15;	 // "extending_loads"
    case 'o':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "verlapping_and", 14) != 0)
        break;
      return 70;	 // "overlapping_and"
    case 's':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "elect_same_val", 14) != 0)
        break;
      return 50;	 // "select_same_val"
    }
    break;
  case 16:	 // 7 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'a':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nyext_of_anyext", 15) != 0)
        break;
      return 8;	 // "anyext_of_anyext"
    case 'c':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ombine_mul_cmlt", 15) != 0)
        break;
      return 90;	 // "combine_mul_cmlt"
    case 's':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "elect_", 6) != 0)
        break;
      switch (RuleIdentifier[7]) {
      default: break;
      case 't':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+8, "o_minmax", 8) != 0)
          break;
        return 84;	 // "select_to_minmax"
      case 'u':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+8, "ndef_cmp", 8) != 0)
          break;
        return 34;	 // "select_undef_cmp"
      }
      break;
    case 't':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "runcate_of_", 11) != 0)
        break;
      switch (RuleIdentifier[12]) {
      default: break;
      case 's':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+13, "ext", 3) != 0)
          break;
        return 2;	 // "truncate_of_sext"
      case 'z':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+13, "ext", 3) != 0)
          break;
        return 1;	 // "truncate_of_zext"
      }
      break;
    case 'u':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ndef_to_fp_zero", 15) != 0)
        break;
      return 72;	 // "undef_to_fp_zero"
    }
    break;
  case 17:	 // 4 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'a':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nyext_trunc_fold", 16) != 0)
        break;
      return 57;	 // "anyext_trunc_fold"
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "rase_undef_store", 16) != 0)
        break;
      return 82;	 // "erase_undef_store"
    case 's':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "elect_to_iminmax", 16) != 0)
        break;
      return 36;	 // "select_to_iminmax"
    case 'u':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ndef_to_int_zero", 16) != 0)
        break;
      return 73;	 // "undef_to_int_zero"
    }
    break;
  case 18:	 // 4 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "inop_left_to_zero", 17) != 0)
        break;
      return 53;	 // "binop_left_to_zero"
    case 'f':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'o':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "ld_merge_to_zext", 16) != 0)
          break;
        return 38;	 // "fold_merge_to_zext"
      case 'p':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "trunc_fpext_fold", 16) != 0)
          break;
        return 66;	 // "fptrunc_fpext_fold"
      }
      break;
    case 't':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "runcate_of_anyext", 17) != 0)
        break;
      return 3;	 // "truncate_of_anyext"
    }
    break;
  case 19:	 // 10 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "inop_right_to_zero", 18) != 0)
        break;
      return 54;	 // "binop_right_to_zero"
    case 'c':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "onstant_fold_binop", 18) != 0)
        break;
      return 48;	 // "constant_fold_binop"
    case 'i':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nteger_of_truncate", 18) != 0)
        break;
      return 13;	 // "integer_of_truncate"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "erge_of_x_and_zero", 18) != 0)
        break;
      return 47;	 // "merge_of_x_and_zero"
    case 'p':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "tr_add_immed_chain", 18) != 0)
        break;
      return 69;	 // "ptr_add_immed_chain"
    case 'r':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'i':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "ght_identity_zero", 17) != 0)
          break;
        return 51;	 // "right_identity_zero"
      case 'o':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "tate_out_of_range", 17) != 0)
          break;
        return 30;	 // "rotate_out_of_range"
      }
      break;
    case 's':	 // 2 strings to match.
      if (RuleIdentifier[1] != 'e')
        break;
      switch (RuleIdentifier[2]) {
      default: break;
      case 'l':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "ect_constant_cmp", 16) != 0)
          break;
        return 35;	 // "select_constant_cmp"
      case 'x':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "t_trunc_sextload", 16) != 0)
          break;
        return 18;	 // "sext_trunc_sextload"
      }
      break;
    case 'u':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nary_undef_to_zero", 18) != 0)
        break;
      return 77;	 // "unary_undef_to_zero"
    }
    break;
  case 20:	 // 6 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "itcast_bitcast_fold", 19) != 0)
        break;
      return 65;	 // "bitcast_bitcast_fold"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "erge_of_x_and_undef", 19) != 0)
        break;
      return 46;	 // "merge_of_x_and_undef"
    case 'r':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "edundant_sext_inreg", 19) != 0)
        break;
      return 25;	 // "redundant_sext_inreg"
    case 's':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "plit_store_zero_128", 19) != 0)
        break;
      return 71;	 // "split_store_zero_128"
    case 'u':	 // 2 strings to match.
      if (RuleIdentifier[1] != 'n')
        break;
      switch (RuleIdentifier[2]) {
      default: break;
      case 'a':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "ry_undef_to_undef", 17) != 0)
          break;
        return 78;	 // "unary_undef_to_undef"
      case 'm':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "erge_zext_to_zext", 17) != 0)
          break;
        return 45;	 // "unmerge_zext_to_zext"
      }
      break;
    }
    break;
  case 21:	 // 5 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'c':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ombine_concat_vector", 20) != 0)
        break;
      return 86;	 // "combine_concat_vector"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "utate_anyext_to_zext", 20) != 0)
        break;
      return 14;	 // "mutate_anyext_to_zext"
    case 'r':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ight_identity_one_fp", 20) != 0)
        break;
      return 60;	 // "right_identity_one_fp"
    case 'u':	 // 2 strings to match.
      if (RuleIdentifier[1] != 'n')
        break;
      switch (RuleIdentifier[2]) {
      default: break;
      case 'd':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "ef_to_negative_one", 18) != 0)
          break;
        return 74;	 // "undef_to_negative_one"
      case 'm':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "erge_dead_to_trunc", 18) != 0)
          break;
        return 44;	 // "unmerge_dead_to_trunc"
      }
      break;
    }
    break;
  case 22:	 // 5 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'c':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "onstant_fold_fp_binop", 21) != 0)
        break;
      return 49;	 // "constant_fold_fp_binop"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "atch_subo_no_overflow", 21) != 0)
        break;
      return 33;	 // "match_subo_no_overflow"
    case 'p':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ropagate_undef_any_op", 21) != 0)
        break;
      return 79;	 // "propagate_undef_any_op"
    case 'r':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ight_identity_one_int", 21) != 0)
        break;
      return 59;	 // "right_identity_one_int"
    case 't':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "runc_buildvector_fold", 21) != 0)
        break;
      return 63;	 // "trunc_buildvector_fold"
    }
    break;
  case 23:	 // 2 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "uildvector_of_truncate", 22) != 0)
        break;
      return 12;	 // "buildvector_of_truncate"
    case 'p':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ropagate_undef_all_ops", 22) != 0)
        break;
      return 80;	 // "propagate_undef_all_ops"
    }
    break;
  case 24:	 // 3 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "inop_left_undef_to_zero", 23) != 0)
        break;
      return 75;	 // "binop_left_undef_to_zero"
    case 's':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ext_inreg_of_sext_inreg", 23) != 0)
        break;
      return 11;	 // "sext_inreg_of_sext_inreg"
    case 'x':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "or_of_and_with_same_reg", 23) != 0)
        break;
      return 21;	 // "xor_of_and_with_same_reg"
    }
    break;
  case 25:	 // 4 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'b':	 // 3 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'i':	 // 2 strings to match.
        if (memcmp(RuleIdentifier.data()+2, "tfield_extract_from_", 20) != 0)
          break;
        switch (RuleIdentifier[22]) {
        default: break;
        case 'a':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+23, "nd", 2) != 0)
            break;
          return 27;	 // "bitfield_extract_from_and"
        case 's':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+23, "hr", 2) != 0)
            break;
          return 28;	 // "bitfield_extract_from_shr"
        }
        break;
      case 'u':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "ildvector_identity_fold", 23) != 0)
          break;
        return 62;	 // "buildvector_identity_fold"
      }
      break;
    case 'r':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ight_identity_neg_one_fp", 24) != 0)
        break;
      return 68;	 // "right_identity_neg_one_fp"
    }
    break;
  case 26:	 // 5 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "inop_right_undef_to_undef", 25) != 0)
        break;
      return 76;	 // "binop_right_undef_to_undef"
    case 'c':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "om", 2) != 0)
        break;
      switch (RuleIdentifier[3]) {
      default: break;
      case 'b':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+4, "ine_indexed_load_store", 22) != 0)
          break;
        return 17;	 // "combine_indexed_load_store"
      case 'm':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+4, "ute_fp_constant_to_rhs", 22) != 0)
          break;
        return 88;	 // "commute_fp_constant_to_rhs"
      }
      break;
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "xtractvecelt_pairwise_add", 25) != 0)
        break;
      return 22;	 // "extractvecelt_pairwise_add"
    case 'r':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ight_identity_neg_zero_fp", 25) != 0)
        break;
      return 67;	 // "right_identity_neg_zero_fp"
    }
    break;
  case 27:	 // 4 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'c':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "om", 2) != 0)
        break;
      switch (RuleIdentifier[3]) {
      default: break;
      case 'b':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+4, "ine_use_vector_truncate", 23) != 0)
          break;
        return 91;	 // "combine_use_vector_truncate"
      case 'm':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+4, "ute_int_constant_to_rhs", 23) != 0)
          break;
        return 87;	 // "commute_int_constant_to_rhs"
      }
      break;
    case 't':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "runc_lshr_buildvector_fold", 26) != 0)
        break;
      return 64;	 // "trunc_lshr_buildvector_fold"
    case 'u':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nmerge_anyext_build_vector", 26) != 0)
        break;
      return 39;	 // "unmerge_anyext_build_vector"
    }
    break;
  case 28:	 // 1 string to match.
    if (memcmp(RuleIdentifier.data()+0, "propagate_undef_shuffle_mask", 28) != 0)
      break;
    return 81;	 // "propagate_undef_shuffle_mask"
  case 29:	 // 2 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "itfield_extract_from_shr_and", 28) != 0)
        break;
      return 29;	 // "bitfield_extract_from_shr_and"
    case 'i':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "cmp_to_true_false_known_bits", 28) != 0)
        break;
      return 31;	 // "icmp_to_true_false_known_bits"
    }
    break;
  case 32:	 // 1 string to match.
    if (memcmp(RuleIdentifier.data()+0, "bitfield_extract_from_sext_inreg", 32) != 0)
      break;
    return 26;	 // "bitfield_extract_from_sext_inreg"
  case 36:	 // 1 string to match.
    if (memcmp(RuleIdentifier.data()+0, "insert_extract_vec_elt_out_of_bounds", 36) != 0)
      break;
    return 83;	 // "insert_extract_vec_elt_out_of_bounds"
  case 37:	 // 1 string to match.
    if (memcmp(RuleIdentifier.data()+0, "hoist_logic_op_with_same_opcode_hands", 37) != 0)
      break;
    return 19;	 // "hoist_logic_op_with_same_opcode_hands"
  case 46:	 // 1 string to match.
    if (memcmp(RuleIdentifier.data()+0, "push_freeze_to_prevent_poison_from_propagating", 46) != 0)
      break;
    return 89;	 // "push_freeze_to_prevent_poison_from_propagating"
  }
#endif // ifndef NDEBUG

  return std::nullopt;
}
static std::optional<std::pair<uint64_t, uint64_t>> getRuleRangeForIdentifier(StringRef RuleIdentifier) {
  std::pair<StringRef, StringRef> RangePair = RuleIdentifier.split('-');
  if (!RangePair.second.empty()) {
    const auto First = getRuleIdxForIdentifier(RangePair.first);
    const auto Last = getRuleIdxForIdentifier(RangePair.second);
    if (!First || !Last)
      return std::nullopt;
    if (First >= Last)
      report_fatal_error("Beginning of range should be before end of range");
    return {{*First, *Last + 1}};
  }
  if (RangePair.first == "*") {
    return {{0, 93}};
  }
  const auto I = getRuleIdxForIdentifier(RangePair.first);
  if (!I)
    return std::nullopt;
  return {{*I, *I + 1}};
}

bool AArch64PostLegalizerCombinerImplRuleConfig::setRuleEnabled(StringRef RuleIdentifier) {
  auto MaybeRange = getRuleRangeForIdentifier(RuleIdentifier);
  if (!MaybeRange)
    return false;
  for (auto I = MaybeRange->first; I < MaybeRange->second; ++I)
    DisabledRules.reset(I);
  return true;
}

bool AArch64PostLegalizerCombinerImplRuleConfig::setRuleDisabled(StringRef RuleIdentifier) {
  auto MaybeRange = getRuleRangeForIdentifier(RuleIdentifier);
  if (!MaybeRange)
    return false;
  for (auto I = MaybeRange->first; I < MaybeRange->second; ++I)
    DisabledRules.set(I);
  return true;
}

static std::vector<std::string> AArch64PostLegalizerCombinerOption;
static cl::list<std::string> AArch64PostLegalizerCombinerDisableOption(
    "aarch64postlegalizercombiner-disable-rule",
    cl::desc("Disable one or more combiner rules temporarily in the AArch64PostLegalizerCombiner pass"),
    cl::CommaSeparated,
    cl::Hidden,
    cl::cat(GICombinerOptionCategory),
    cl::callback([](const std::string &Str) {
      AArch64PostLegalizerCombinerOption.push_back(Str);
    }));
static cl::list<std::string> AArch64PostLegalizerCombinerOnlyEnableOption(
    "aarch64postlegalizercombiner-only-enable-rule",
    cl::desc("Disable all rules in the AArch64PostLegalizerCombiner pass then re-enable the specified ones"),
    cl::Hidden,
    cl::cat(GICombinerOptionCategory),
    cl::callback([](const std::string &CommaSeparatedArg) {
      StringRef Str = CommaSeparatedArg;
      AArch64PostLegalizerCombinerOption.push_back("*");
      do {
        auto X = Str.split(",");
        AArch64PostLegalizerCombinerOption.push_back(("!" + X.first).str());
        Str = X.second;
      } while (!Str.empty());
    }));


bool AArch64PostLegalizerCombinerImplRuleConfig::isRuleEnabled(unsigned RuleID) const {
    return  !DisabledRules.test(RuleID);
}
bool AArch64PostLegalizerCombinerImplRuleConfig::parseCommandLineOption() {
  for (StringRef Identifier : AArch64PostLegalizerCombinerOption) {
    bool Enabled = Identifier.consume_front("!");
    if (Enabled && !setRuleEnabled(Identifier))
      return false;
    if (!Enabled && !setRuleDisabled(Identifier))
      return false;
  }
  return true;
}

#endif // ifdef GET_GICOMBINER_TYPES

#ifdef GET_GICOMBINER_TYPES
const unsigned MAX_SUBTARGET_PREDICATES = 0;
using PredicateBitset = llvm::Bitset<MAX_SUBTARGET_PREDICATES>;
#endif // ifdef GET_GICOMBINER_TYPES

#ifdef GET_GICOMBINER_CLASS_MEMBERS
PredicateBitset AvailableModuleFeatures;
mutable PredicateBitset AvailableFunctionFeatures;
PredicateBitset getAvailableFeatures() const {
  return AvailableModuleFeatures | AvailableFunctionFeatures;
}
PredicateBitset
computeAvailableModuleFeatures(const AArch64Subtarget *Subtarget) const;
PredicateBitset
computeAvailableFunctionFeatures(const AArch64Subtarget *Subtarget,
                                 const MachineFunction *MF) const;
void setupGeneratedPerFunctionState(MachineFunction &MF) override;
#endif // ifdef GET_GICOMBINER_CLASS_MEMBERS
#ifdef GET_GICOMBINER_CLASS_MEMBERS
  mutable MatcherState State;
  typedef ComplexRendererFns(AArch64PostLegalizerCombinerImpl::*ComplexMatcherMemFn)(MachineOperand &) const;
  typedef void(AArch64PostLegalizerCombinerImpl::*CustomRendererFn)(MachineInstrBuilder &, const MachineInstr &, int) const;
  const ExecInfoTy<PredicateBitset, ComplexMatcherMemFn, CustomRendererFn> ExecInfo;
  static AArch64PostLegalizerCombinerImpl::ComplexMatcherMemFn ComplexPredicateFns[];
  static AArch64PostLegalizerCombinerImpl::CustomRendererFn CustomRenderers[];
  bool testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const override;
  bool testImmPredicate_APInt(unsigned PredicateID, const APInt &Imm) const override;
  bool testImmPredicate_APFloat(unsigned PredicateID, const APFloat &Imm) const override;
  const uint8_t *getMatchTable() const override;
  bool testMIPredicate_MI(unsigned PredicateID, const MachineInstr &MI, const MatcherState &State) const override;
  bool testSimplePredicate(unsigned PredicateID) const override;
  bool runCustomAction(unsigned FnID, const MatcherState &State, NewMIVector &OutMIs) const override;
#endif // ifdef GET_GICOMBINER_CLASS_MEMBERS

#ifdef GET_GICOMBINER_IMPL
// LLT Objects.
enum {
  GILLT_s1,
};
const static size_t NumTypeObjects = 1;
const static LLT TypeObjects[] = {
  LLT::scalar(1),
};

// Bits for subtarget features that participate in instruction matching.
enum SubtargetFeatureBits : uint8_t {
};

PredicateBitset AArch64PostLegalizerCombinerImpl::
computeAvailableModuleFeatures(const AArch64Subtarget *Subtarget) const {
  PredicateBitset Features{};
  return Features;
}

void AArch64PostLegalizerCombinerImpl::setupGeneratedPerFunctionState(MachineFunction &MF) {
  AvailableFunctionFeatures = computeAvailableFunctionFeatures((const AArch64Subtarget *)&MF.getSubtarget(), &MF);
}
PredicateBitset AArch64PostLegalizerCombinerImpl::
computeAvailableFunctionFeatures(const AArch64Subtarget *Subtarget, const MachineFunction *MF) const {
  PredicateBitset Features{};
  return Features;
}

// Feature bitsets.
enum {
  GIFBS_Invalid,
};
constexpr static PredicateBitset FeatureBitsets[] {
  {}, // GIFBS_Invalid
};

// ComplexPattern predicates.
enum {
  GICP_Invalid,
};
// See constructor for table contents

AArch64PostLegalizerCombinerImpl::ComplexMatcherMemFn
AArch64PostLegalizerCombinerImpl::ComplexPredicateFns[] = {
  nullptr, // GICP_Invalid
};

enum {
  GICXXPred_MI_Predicate_GICombiner0 = GICXXPred_Invalid + 1,
  GICXXPred_MI_Predicate_GICombiner1,
  GICXXPred_MI_Predicate_GICombiner2,
};
bool AArch64PostLegalizerCombinerImpl::testMIPredicate_MI(unsigned PredicateID, const MachineInstr & MI, const MatcherState &State) const {
  switch (PredicateID) {
  case GICXXPred_MI_Predicate_GICombiner0: {
    return Helper.matchConstantFPOp(State.MIs[0]->getOperand(2), 1.0);
  }
  case GICXXPred_MI_Predicate_GICombiner1: {
    return Helper.matchConstantFPOp(State.MIs[0]->getOperand(2), -0.0);
  }
  case GICXXPred_MI_Predicate_GICombiner2: {
    return Helper.matchConstantFPOp(State.MIs[0]->getOperand(2), -1.0);
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
bool AArch64PostLegalizerCombinerImpl::testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const {
  llvm_unreachable("Unknown predicate");
  return false;
}
bool AArch64PostLegalizerCombinerImpl::testImmPredicate_APFloat(unsigned PredicateID, const APFloat & Imm) const {
  llvm_unreachable("Unknown predicate");
  return false;
}
bool AArch64PostLegalizerCombinerImpl::testImmPredicate_APInt(unsigned PredicateID, const APInt & Imm) const {
  llvm_unreachable("Unknown predicate");
  return false;
}
enum {
  GICXXPred_Simple_IsRule0Enabled = GICXXPred_Invalid + 1,
  GICXXPred_Simple_IsRule1Enabled,
  GICXXPred_Simple_IsRule2Enabled,
  GICXXPred_Simple_IsRule3Enabled,
  GICXXPred_Simple_IsRule4Enabled,
  GICXXPred_Simple_IsRule5Enabled,
  GICXXPred_Simple_IsRule6Enabled,
  GICXXPred_Simple_IsRule7Enabled,
  GICXXPred_Simple_IsRule8Enabled,
  GICXXPred_Simple_IsRule9Enabled,
  GICXXPred_Simple_IsRule10Enabled,
  GICXXPred_Simple_IsRule11Enabled,
  GICXXPred_Simple_IsRule12Enabled,
  GICXXPred_Simple_IsRule13Enabled,
  GICXXPred_Simple_IsRule14Enabled,
  GICXXPred_Simple_IsRule15Enabled,
  GICXXPred_Simple_IsRule16Enabled,
  GICXXPred_Simple_IsRule17Enabled,
  GICXXPred_Simple_IsRule18Enabled,
  GICXXPred_Simple_IsRule19Enabled,
  GICXXPred_Simple_IsRule20Enabled,
  GICXXPred_Simple_IsRule21Enabled,
  GICXXPred_Simple_IsRule22Enabled,
  GICXXPred_Simple_IsRule23Enabled,
  GICXXPred_Simple_IsRule24Enabled,
  GICXXPred_Simple_IsRule25Enabled,
  GICXXPred_Simple_IsRule26Enabled,
  GICXXPred_Simple_IsRule27Enabled,
  GICXXPred_Simple_IsRule28Enabled,
  GICXXPred_Simple_IsRule29Enabled,
  GICXXPred_Simple_IsRule30Enabled,
  GICXXPred_Simple_IsRule31Enabled,
  GICXXPred_Simple_IsRule32Enabled,
  GICXXPred_Simple_IsRule33Enabled,
  GICXXPred_Simple_IsRule34Enabled,
  GICXXPred_Simple_IsRule35Enabled,
  GICXXPred_Simple_IsRule36Enabled,
  GICXXPred_Simple_IsRule37Enabled,
  GICXXPred_Simple_IsRule38Enabled,
  GICXXPred_Simple_IsRule39Enabled,
  GICXXPred_Simple_IsRule40Enabled,
  GICXXPred_Simple_IsRule41Enabled,
  GICXXPred_Simple_IsRule42Enabled,
  GICXXPred_Simple_IsRule43Enabled,
  GICXXPred_Simple_IsRule44Enabled,
  GICXXPred_Simple_IsRule45Enabled,
  GICXXPred_Simple_IsRule46Enabled,
  GICXXPred_Simple_IsRule47Enabled,
  GICXXPred_Simple_IsRule48Enabled,
  GICXXPred_Simple_IsRule49Enabled,
  GICXXPred_Simple_IsRule50Enabled,
  GICXXPred_Simple_IsRule51Enabled,
  GICXXPred_Simple_IsRule52Enabled,
  GICXXPred_Simple_IsRule53Enabled,
  GICXXPred_Simple_IsRule54Enabled,
  GICXXPred_Simple_IsRule55Enabled,
  GICXXPred_Simple_IsRule56Enabled,
  GICXXPred_Simple_IsRule57Enabled,
  GICXXPred_Simple_IsRule58Enabled,
  GICXXPred_Simple_IsRule59Enabled,
  GICXXPred_Simple_IsRule60Enabled,
  GICXXPred_Simple_IsRule61Enabled,
  GICXXPred_Simple_IsRule62Enabled,
  GICXXPred_Simple_IsRule63Enabled,
  GICXXPred_Simple_IsRule64Enabled,
  GICXXPred_Simple_IsRule65Enabled,
  GICXXPred_Simple_IsRule66Enabled,
  GICXXPred_Simple_IsRule67Enabled,
  GICXXPred_Simple_IsRule68Enabled,
  GICXXPred_Simple_IsRule69Enabled,
  GICXXPred_Simple_IsRule70Enabled,
  GICXXPred_Simple_IsRule71Enabled,
  GICXXPred_Simple_IsRule72Enabled,
  GICXXPred_Simple_IsRule73Enabled,
  GICXXPred_Simple_IsRule74Enabled,
  GICXXPred_Simple_IsRule75Enabled,
  GICXXPred_Simple_IsRule76Enabled,
  GICXXPred_Simple_IsRule77Enabled,
  GICXXPred_Simple_IsRule78Enabled,
  GICXXPred_Simple_IsRule79Enabled,
  GICXXPred_Simple_IsRule80Enabled,
  GICXXPred_Simple_IsRule81Enabled,
  GICXXPred_Simple_IsRule82Enabled,
  GICXXPred_Simple_IsRule83Enabled,
  GICXXPred_Simple_IsRule84Enabled,
  GICXXPred_Simple_IsRule85Enabled,
  GICXXPred_Simple_IsRule86Enabled,
  GICXXPred_Simple_IsRule87Enabled,
  GICXXPred_Simple_IsRule88Enabled,
  GICXXPred_Simple_IsRule89Enabled,
  GICXXPred_Simple_IsRule90Enabled,
  GICXXPred_Simple_IsRule91Enabled,
  GICXXPred_Simple_IsRule92Enabled,
};

bool AArch64PostLegalizerCombinerImpl::testSimplePredicate(unsigned Predicate) const {
    return RuleConfig.isRuleEnabled(Predicate - GICXXPred_Invalid - 1);
}
// Custom renderers.
enum {
  GICR_Invalid,
};
AArch64PostLegalizerCombinerImpl::CustomRendererFn
AArch64PostLegalizerCombinerImpl::CustomRenderers[] = {
  nullptr, // GICR_Invalid
};

bool AArch64PostLegalizerCombinerImpl::tryCombineAll(MachineInstr &I) const {
  const TargetSubtargetInfo &ST = MF.getSubtarget();
  const PredicateBitset AvailableFeatures = getAvailableFeatures();
  B.setInstrAndDebugLoc(I);
  State.MIs.clear();
  State.MIs.push_back(&I);
  if (executeMatchTable(*this, State, ExecInfo, B, getMatchTable(), *ST.getInstrInfo(), MRI, *MRI.getTargetRegisterInfo(), *ST.getRegBankInfo(), AvailableFeatures, /*CoverageInfo*/ nullptr)) {
    return true;
  }

  return false;
}

enum {
  GICXXCustomAction_GICombiner0 = GICXXCustomAction_Invalid + 1,
  GICXXCustomAction_GICombiner1,
  GICXXCustomAction_GICombiner2,
  GICXXCustomAction_GICombiner3,
  GICXXCustomAction_GICombiner4,
  GICXXCustomAction_GICombiner5,
  GICXXCustomAction_GICombiner6,
  GICXXCustomAction_GICombiner7,
  GICXXCustomAction_GICombiner8,
  GICXXCustomAction_GICombiner9,
  GICXXCustomAction_GICombiner10,
  GICXXCustomAction_GICombiner11,
  GICXXCustomAction_GICombiner12,
  GICXXCustomAction_GICombiner13,
  GICXXCustomAction_GICombiner14,
  GICXXCustomAction_GICombiner15,
  GICXXCustomAction_GICombiner16,
  GICXXCustomAction_GICombiner17,
  GICXXCustomAction_GICombiner18,
  GICXXCustomAction_GICombiner19,
  GICXXCustomAction_GICombiner20,
  GICXXCustomAction_GICombiner21,
  GICXXCustomAction_GICombiner22,
  GICXXCustomAction_GICombiner23,
  GICXXCustomAction_GICombiner24,
  GICXXCustomAction_GICombiner25,
  GICXXCustomAction_GICombiner26,
  GICXXCustomAction_GICombiner27,
  GICXXCustomAction_GICombiner28,
  GICXXCustomAction_GICombiner29,
  GICXXCustomAction_GICombiner30,
  GICXXCustomAction_GICombiner31,
  GICXXCustomAction_GICombiner32,
  GICXXCustomAction_GICombiner33,
  GICXXCustomAction_GICombiner34,
  GICXXCustomAction_GICombiner35,
  GICXXCustomAction_GICombiner36,
  GICXXCustomAction_GICombiner37,
  GICXXCustomAction_GICombiner38,
  GICXXCustomAction_GICombiner39,
  GICXXCustomAction_GICombiner40,
  GICXXCustomAction_GICombiner41,
  GICXXCustomAction_GICombiner42,
  GICXXCustomAction_GICombiner43,
  GICXXCustomAction_GICombiner44,
  GICXXCustomAction_GICombiner45,
  GICXXCustomAction_GICombiner46,
  GICXXCustomAction_GICombiner47,
  GICXXCustomAction_GICombiner48,
  GICXXCustomAction_GICombiner49,
  GICXXCustomAction_GICombiner50,
  GICXXCustomAction_GICombiner51,
  GICXXCustomAction_GICombiner52,
  GICXXCustomAction_GICombiner53,
  GICXXCustomAction_GICombiner54,
  GICXXCustomAction_GICombiner55,
  GICXXCustomAction_GICombiner56,
  GICXXCustomAction_GICombiner57,
  GICXXCustomAction_GICombiner58,
  GICXXCustomAction_GICombiner59,
  GICXXCustomAction_GICombiner60,
  GICXXCustomAction_GICombiner61,
  GICXXCustomAction_GICombiner62,
  GICXXCustomAction_GICombiner63,
  GICXXCustomAction_GICombiner64,
  GICXXCustomAction_GICombiner65,
  GICXXCustomAction_GICombiner66,
  GICXXCustomAction_GICombiner67,
  GICXXCustomAction_GICombiner68,
  GICXXCustomAction_GICombiner69,
  GICXXCustomAction_GICombiner70,
  GICXXCustomAction_GICombiner71,
  GICXXCustomAction_GICombiner72,
};
bool AArch64PostLegalizerCombinerImpl::runCustomAction(unsigned ApplyID, const MatcherState &State, NewMIVector &OutMIs) const {
  Helper.getBuilder().setInstrAndDebugLoc(*State.MIs[0]);
  switch(ApplyID) {
  case GICXXCustomAction_GICombiner0:{
    // Match Patterns
    if(![&](){return Helper.matchCombineCopy(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineCopy(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner1:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchTruncateOfExt(*State.MIs[0], *State.MIs[1], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner2:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtOfExt(*State.MIs[0], *State.MIs[1], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner3:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchRedundantSextInReg(*State.MIs[0], *State.MIs[1], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner4:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCastOfBuildVector(*State.MIs[0], *State.MIs[1], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner5:{
    APInt GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCastOfInteger(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithConstant(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner6:{
    // Match Patterns
    if(![&](){return matchMutateAnyExtToZExt(*State.MIs[0], MRI);}()) {
      return false;
    }
    // Apply Patterns
    applyMutateAnyExtToZExt(*State.MIs[0], MRI, B, Observer);
    return true;
  }
  case GICXXCustomAction_GICombiner7:{
    PreferredTuple GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineExtendingLoads(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineExtendingLoads(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner8:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineLoadWithAndMask(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner9:{
    IndexedLoadStoreMatchInfo GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineIndexedLoadStore(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineIndexedLoadStore(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner10:{
    // Match Patterns
    if(![&](){return Helper.matchSextTruncSextLoad(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applySextTruncSextLoad(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner11:{
    InstructionStepsMatchInfo GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchHoistLogicOpWithSameOpcodeHands(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildInstructionSteps(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner12:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchRedundantAnd(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner13:{
    std::pair<Register, Register> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchXorOfAndWithSameReg(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyXorOfAndWithSameReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner14:{
    std::tuple<unsigned, LLT, Register> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return matchExtractVecEltPairwiseAdd(*State.MIs[0], MRI, GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    applyExtractVecEltPairwiseAdd(*State.MIs[0], MRI, B, GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner15:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchRedundantOr(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner16:{
    std::function<void(MachineIRBuilder&, Register)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return matchAArch64MulConstCombine(*State.MIs[0], MRI, GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    applyAArch64MulConstCombine(*State.MIs[0], MRI, B, GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner17:{
    // Match Patterns
    if(![&](){return Helper.matchRedundantSExtInReg(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithOperand(*State.MIs[0], 1);
    return true;
  }
  case GICXXCustomAction_GICombiner18:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchBitfieldExtractFromSExtInReg(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner19:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchBitfieldExtractFromAnd(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner20:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchBitfieldExtractFromShr(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner21:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchBitfieldExtractFromShrAnd(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner22:{
    // Match Patterns
    if(![&](){return Helper.matchRotateOutOfRange(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyRotateOutOfRange(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner23:{
    int64_t GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchICmpToTrueFalseKnownBits(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithConstant(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner24:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchAddOverflow(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner25:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchSuboCarryOut(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner26:{
    unsigned GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchConstantSelectCmp(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithOperand(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner27:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchSelectIMinMax(State.MIs[0]->getOperand(0), GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner28:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchSelect(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner29:{
    // Match Patterns
    if(![&](){return matchFoldMergeToZext(*State.MIs[0], MRI);}()) {
      return false;
    }
    // Apply Patterns
    applyFoldMergeToZext(*State.MIs[0], MRI, B, Observer);
    return true;
  }
  case GICXXCustomAction_GICombiner30:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchUnmergeValuesAnyExtBuildVector(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner31:{
    SmallVector<Register, 8> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineUnmergeMergeToPlainValues(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineUnmergeMergeToPlainValues(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner32:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineMergeUnmerge(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner33:{
    SmallVector<APInt, 8> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineUnmergeConstant(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineUnmergeConstant(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner34:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineUnmergeUndef(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner35:{
    // Match Patterns
    if(![&](){return Helper.matchCombineUnmergeWithDeadLanesToTrunc(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineUnmergeWithDeadLanesToTrunc(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner36:{
    // Match Patterns
    if(![&](){return Helper.matchCombineUnmergeZExtToZExt(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineUnmergeZExtToZExt(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner37:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchMergeXAndUndef(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner38:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchMergeXAndZero(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner39:{
    APInt GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchConstantFoldBinOp(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithConstant(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner40:{
    ConstantFP* GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchConstantFoldFPBinOp(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithFConstant(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner41:{
    // Match Patterns
    if(![&](){return Helper.matchSelectSameVal(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithOperand(*State.MIs[0], 2);
    return true;
  }
  case GICXXCustomAction_GICombiner42:{
    // Match Patterns
    if(![&](){return Helper.matchOperandIsZero(*State.MIs[0], 1);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithOperand(*State.MIs[0], 1);
    return true;
  }
  case GICXXCustomAction_GICombiner43:{
    Register GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineI2PToP2I(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineI2PToP2I(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner44:{
    Register GIMatchData_info;
    // Match Patterns
    if(![&](){GIMatchData_info = State.MIs[1]->getOperand(1).getReg(); return true;}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineP2IToI2P(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner45:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineAnyExtTrunc(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner46:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchBuildVectorIdentityFold(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner47:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchTruncBuildVectorFold(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner48:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchTruncLshrBuildVectorFold(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner49:{
    // Match Patterns
    if(![&](){return MRI.getType(State.MIs[1]->getOperand(1).getReg()) == MRI.getType(State.MIs[0]->getOperand(0).getReg());}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], State.MIs[1]->getOperand(1).getReg());
    return true;
  }
  case GICXXCustomAction_GICombiner50:{
    PtrAddChain GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchPtrAddImmedChain(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyPtrAddImmedChain(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner51:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchOverlappingAnd(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner52:{
    // Match Patterns
    if(![&](){return matchSplitStoreZero128(*State.MIs[0], MRI);}()) {
      return false;
    }
    // Apply Patterns
    applySplitStoreZero128(*State.MIs[0], MRI, B, Observer);
    return true;
  }
  case GICXXCustomAction_GICombiner53:{
    // Match Patterns
    if(![&](){return Helper.matchAnyExplicitUseIsUndef(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithFConstant(*State.MIs[0], 0.0);
    return true;
  }
  case GICXXCustomAction_GICombiner54:{
    // Match Patterns
    if(![&](){return Helper.matchAnyExplicitUseIsUndef(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithConstant(*State.MIs[0], 0);
    return true;
  }
  case GICXXCustomAction_GICombiner55:{
    // Match Patterns
    if(![&](){return Helper.matchAnyExplicitUseIsUndef(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithConstant(*State.MIs[0], -1);
    return true;
  }
  case GICXXCustomAction_GICombiner56:{
    // Match Patterns
    if(![&](){return Helper.matchOperandIsUndef(*State.MIs[0], 1);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithConstant(*State.MIs[0], 0);
    return true;
  }
  case GICXXCustomAction_GICombiner57:{
    // Match Patterns
    if(![&](){return Helper.matchOperandIsUndef(*State.MIs[0], 2);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithUndef(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner58:{
    // Apply Patterns
    Helper.replaceInstWithUndef(*State.MIs[0]->getOperand(0).getParent());
    return true;
  }
  case GICXXCustomAction_GICombiner59:{
    // Match Patterns
    if(![&](){return Helper.matchAnyExplicitUseIsUndef(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithUndef(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner60:{
    // Match Patterns
    if(![&](){return Helper.matchAllExplicitUsesAreUndef(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithUndef(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner61:{
    // Match Patterns
    if(![&](){return Helper.matchUndefShuffleVectorMask(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithUndef(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner62:{
    // Match Patterns
    if(![&](){return Helper.matchUndefStore(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.eraseInst(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner63:{
    // Match Patterns
    if(![&](){return Helper.matchInsertExtractVecEltOutOfBounds(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithUndef(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner64:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchSimplifySelectToMinMax(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner65:{
    std::tuple<Register, Register, Register> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return matchOrToBSP(*State.MIs[0], MRI, GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    applyOrToBSP(*State.MIs[0], MRI, B, GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner66:{
    SmallVector<Register> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineConcatVectors(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineConcatVectors(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner67:{
    // Match Patterns
    if(![&](){return Helper.matchCommuteConstantToRHS(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCommuteBinOpOperands(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner68:{
    // Match Patterns
    if(![&](){return Helper.matchCommuteFPConstantToRHS(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCommuteBinOpOperands(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner69:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return !isGuaranteedNotToBePoison(State.MIs[0]->getOperand(1).getReg(), MRI) && Helper.matchFreezeOfSingleMaybePoisonOperand(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner70:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return matchCombineMulCMLT(*State.MIs[0], MRI, GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    applyCombineMulCMLT(*State.MIs[0], MRI, B, GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner71:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchUseVectorTruncate(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyUseVectorTruncate(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner72:{
    std::tuple<bool, Register, Register> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return matchExtMulToMULL(*State.MIs[0], MRI, VT, GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    applyExtMulToMULL(*State.MIs[0], MRI, B, Observer, GIMatchData_matchinfo);
    return true;
  }
  }
  llvm_unreachable("Unknown Apply Action");
}
#if __BYTE_ORDER__ == __ORDER_LITTLE_ENDIAN__
#define GIMT_Encode2(Val) uint8_t(Val), uint8_t((uint16_t)Val >> 8)
#define GIMT_Encode4(Val) uint8_t(Val), uint8_t((uint32_t)Val >> 8), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 24)
#define GIMT_Encode8(Val) uint8_t(Val), uint8_t((uint64_t)Val >> 8), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 24),  uint8_t((uint64_t)Val >> 32), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 56)
#else
#define GIMT_Encode2(Val) uint8_t((uint16_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode4(Val) uint8_t((uint32_t)Val >> 24), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode8(Val) uint8_t((uint64_t)Val >> 56), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 32),  uint8_t((uint64_t)Val >> 24), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 8), uint8_t(Val)
#endif
const uint8_t *AArch64PostLegalizerCombinerImpl::getMatchTable() const {
  constexpr static uint8_t MatchTable0[] = {
     /*    0 */ GIM_SwitchOpcode, /*MI*/0, /*[*/GIMT_Encode2(20), GIMT_Encode2(237), /*)*//*default:*//*Label 75*/ GIMT_Encode4(3596),
     /*   10 */ /*TargetOpcode::COPY*//*Label 0*/ GIMT_Encode4(878), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  142 */ /*TargetOpcode::G_ADD*//*Label 1*/ GIMT_Encode4(890),
     /*  146 */ /*TargetOpcode::G_SUB*//*Label 2*/ GIMT_Encode4(1015),
     /*  150 */ /*TargetOpcode::G_MUL*//*Label 3*/ GIMT_Encode4(1061),
     /*  154 */ /*TargetOpcode::G_SDIV*//*Label 4*/ GIMT_Encode4(1174),
     /*  158 */ /*TargetOpcode::G_UDIV*//*Label 5*/ GIMT_Encode4(1197),
     /*  162 */ /*TargetOpcode::G_SREM*//*Label 6*/ GIMT_Encode4(1231),
     /*  166 */ /*TargetOpcode::G_UREM*//*Label 7*/ GIMT_Encode4(1254), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  178 */ /*TargetOpcode::G_AND*//*Label 8*/ GIMT_Encode4(1288),
     /*  182 */ /*TargetOpcode::G_OR*//*Label 9*/ GIMT_Encode4(1427),
     /*  186 */ /*TargetOpcode::G_XOR*//*Label 10*/ GIMT_Encode4(1541), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  226 */ /*TargetOpcode::G_UNMERGE_VALUES*//*Label 11*/ GIMT_Encode4(1620), GIMT_Encode4(0),
     /*  234 */ /*TargetOpcode::G_MERGE_VALUES*//*Label 12*/ GIMT_Encode4(1687),
     /*  238 */ /*TargetOpcode::G_BUILD_VECTOR*//*Label 13*/ GIMT_Encode4(1772),
     /*  242 */ /*TargetOpcode::G_BUILD_VECTOR_TRUNC*//*Label 14*/ GIMT_Encode4(1809),
     /*  246 */ /*TargetOpcode::G_CONCAT_VECTORS*//*Label 15*/ GIMT_Encode4(1821),
     /*  250 */ /*TargetOpcode::G_PTRTOINT*//*Label 16*/ GIMT_Encode4(1833),
     /*  254 */ /*TargetOpcode::G_INTTOPTR*//*Label 17*/ GIMT_Encode4(1876),
     /*  258 */ /*TargetOpcode::G_BITCAST*//*Label 18*/ GIMT_Encode4(1909),
     /*  262 */ /*TargetOpcode::G_FREEZE*//*Label 19*/ GIMT_Encode4(1952), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  302 */ /*TargetOpcode::G_LOAD*//*Label 20*/ GIMT_Encode4(1964),
     /*  306 */ /*TargetOpcode::G_SEXTLOAD*//*Label 21*/ GIMT_Encode4(1987),
     /*  310 */ /*TargetOpcode::G_ZEXTLOAD*//*Label 22*/ GIMT_Encode4(2010), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  326 */ /*TargetOpcode::G_STORE*//*Label 23*/ GIMT_Encode4(2033), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  454 */ /*TargetOpcode::G_ANYEXT*//*Label 24*/ GIMT_Encode4(2067),
     /*  458 */ /*TargetOpcode::G_TRUNC*//*Label 25*/ GIMT_Encode4(2174), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  478 */ /*TargetOpcode::G_SEXT*//*Label 26*/ GIMT_Encode4(2326),
     /*  482 */ /*TargetOpcode::G_SEXT_INREG*//*Label 27*/ GIMT_Encode4(2369),
     /*  486 */ /*TargetOpcode::G_ZEXT*//*Label 28*/ GIMT_Encode4(2424),
     /*  490 */ /*TargetOpcode::G_SHL*//*Label 29*/ GIMT_Encode4(2467),
     /*  494 */ /*TargetOpcode::G_LSHR*//*Label 30*/ GIMT_Encode4(2535),
     /*  498 */ /*TargetOpcode::G_ASHR*//*Label 31*/ GIMT_Encode4(2614), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  510 */ /*TargetOpcode::G_ROTR*//*Label 32*/ GIMT_Encode4(2693),
     /*  514 */ /*TargetOpcode::G_ROTL*//*Label 33*/ GIMT_Encode4(2728),
     /*  518 */ /*TargetOpcode::G_ICMP*//*Label 34*/ GIMT_Encode4(2763), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  534 */ /*TargetOpcode::G_SELECT*//*Label 35*/ GIMT_Encode4(2775),
     /*  538 */ /*TargetOpcode::G_UADDO*//*Label 36*/ GIMT_Encode4(2870), GIMT_Encode4(0),
     /*  546 */ /*TargetOpcode::G_USUBO*//*Label 37*/ GIMT_Encode4(2893), GIMT_Encode4(0),
     /*  554 */ /*TargetOpcode::G_SADDO*//*Label 38*/ GIMT_Encode4(2905), GIMT_Encode4(0),
     /*  562 */ /*TargetOpcode::G_SSUBO*//*Label 39*/ GIMT_Encode4(2928), GIMT_Encode4(0),
     /*  570 */ /*TargetOpcode::G_UMULO*//*Label 40*/ GIMT_Encode4(2940),
     /*  574 */ /*TargetOpcode::G_SMULO*//*Label 41*/ GIMT_Encode4(2952),
     /*  578 */ /*TargetOpcode::G_UMULH*//*Label 42*/ GIMT_Encode4(2964),
     /*  582 */ /*TargetOpcode::G_SMULH*//*Label 43*/ GIMT_Encode4(2976),
     /*  586 */ /*TargetOpcode::G_UADDSAT*//*Label 44*/ GIMT_Encode4(2988),
     /*  590 */ /*TargetOpcode::G_SADDSAT*//*Label 45*/ GIMT_Encode4(3000), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  610 */ /*TargetOpcode::G_SMULFIX*//*Label 46*/ GIMT_Encode4(3012),
     /*  614 */ /*TargetOpcode::G_UMULFIX*//*Label 47*/ GIMT_Encode4(3024),
     /*  618 */ /*TargetOpcode::G_SMULFIXSAT*//*Label 48*/ GIMT_Encode4(3036),
     /*  622 */ /*TargetOpcode::G_UMULFIXSAT*//*Label 49*/ GIMT_Encode4(3048), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  642 */ /*TargetOpcode::G_FADD*//*Label 50*/ GIMT_Encode4(3060),
     /*  646 */ /*TargetOpcode::G_FSUB*//*Label 51*/ GIMT_Encode4(3106),
     /*  650 */ /*TargetOpcode::G_FMUL*//*Label 52*/ GIMT_Encode4(3118), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  662 */ /*TargetOpcode::G_FDIV*//*Label 53*/ GIMT_Encode4(3184), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  710 */ /*TargetOpcode::G_FNEG*//*Label 54*/ GIMT_Encode4(3196), GIMT_Encode4(0),
     /*  718 */ /*TargetOpcode::G_FPTRUNC*//*Label 55*/ GIMT_Encode4(3226),
     /*  722 */ /*TargetOpcode::G_FPTOSI*//*Label 56*/ GIMT_Encode4(3248),
     /*  726 */ /*TargetOpcode::G_FPTOUI*//*Label 57*/ GIMT_Encode4(3270),
     /*  730 */ /*TargetOpcode::G_SITOFP*//*Label 58*/ GIMT_Encode4(3292),
     /*  734 */ /*TargetOpcode::G_UITOFP*//*Label 59*/ GIMT_Encode4(3304), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  762 */ /*TargetOpcode::G_FMINNUM*//*Label 60*/ GIMT_Encode4(3316),
     /*  766 */ /*TargetOpcode::G_FMAXNUM*//*Label 61*/ GIMT_Encode4(3328),
     /*  770 */ /*TargetOpcode::G_FMINNUM_IEEE*//*Label 62*/ GIMT_Encode4(3340),
     /*  774 */ /*TargetOpcode::G_FMAXNUM_IEEE*//*Label 63*/ GIMT_Encode4(3352),
     /*  778 */ /*TargetOpcode::G_FMINIMUM*//*Label 64*/ GIMT_Encode4(3364),
     /*  782 */ /*TargetOpcode::G_FMAXIMUM*//*Label 65*/ GIMT_Encode4(3376), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  810 */ /*TargetOpcode::G_PTR_ADD*//*Label 66*/ GIMT_Encode4(3388), GIMT_Encode4(0),
     /*  818 */ /*TargetOpcode::G_SMIN*//*Label 67*/ GIMT_Encode4(3434),
     /*  822 */ /*TargetOpcode::G_SMAX*//*Label 68*/ GIMT_Encode4(3457),
     /*  826 */ /*TargetOpcode::G_UMIN*//*Label 69*/ GIMT_Encode4(3480),
     /*  830 */ /*TargetOpcode::G_UMAX*//*Label 70*/ GIMT_Encode4(3503),
     /*  834 */ /*TargetOpcode::G_ABS*//*Label 71*/ GIMT_Encode4(3526), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  866 */ /*TargetOpcode::G_INSERT_VECTOR_ELT*//*Label 72*/ GIMT_Encode4(3538),
     /*  870 */ /*TargetOpcode::G_EXTRACT_VECTOR_ELT*//*Label 73*/ GIMT_Encode4(3550),
     /*  874 */ /*TargetOpcode::G_SHUFFLE_VECTOR*//*Label 74*/ GIMT_Encode4(3573),
     /*  878 */ // Label 0: @878
     /*  878 */ GIM_Try, /*On fail goto*//*Label 76*/ GIMT_Encode4(889), // Rule ID 0 //
     /*  883 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule0Enabled),
     /*  886 */   // MIs[0] d
     /*  886 */   // No operand predicates
     /*  886 */   // MIs[0] s
     /*  886 */   // No operand predicates
     /*  886 */   // Combiner Rule #0: copy_prop
     /*  886 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner0),
     /*  889 */ // Label 76: @889
     /*  889 */ GIM_Reject,
     /*  890 */ // Label 1: @890
     /*  890 */ GIM_Try, /*On fail goto*//*Label 77*/ GIMT_Encode4(901), // Rule ID 60 //
     /*  895 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule48Enabled),
     /*  898 */   // Combiner Rule #48: constant_fold_binop; wip_match_opcode 'G_ADD'
     /*  898 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner39),
     /*  901 */ // Label 77: @901
     /*  901 */ GIM_Try, /*On fail goto*//*Label 78*/ GIMT_Encode4(912), // Rule ID 141 //
     /*  906 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule79Enabled),
     /*  909 */   // Combiner Rule #79: propagate_undef_any_op; wip_match_opcode 'G_ADD'
     /*  909 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner59),
     /*  912 */ // Label 78: @912
     /*  912 */ GIM_Try, /*On fail goto*//*Label 79*/ GIMT_Encode4(923), // Rule ID 153 //
     /*  917 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule87Enabled),
     /*  920 */   // Combiner Rule #87: commute_int_constant_to_rhs; wip_match_opcode 'G_ADD'
     /*  920 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner67),
     /*  923 */ // Label 79: @923
     /*  923 */ GIM_Try, /*On fail goto*//*Label 80*/ GIMT_Encode4(957), // Rule ID 110 //
     /*  928 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule61Enabled),
     /*  931 */   // MIs[0] dst
     /*  931 */   // No operand predicates
     /*  931 */   // MIs[0] __add_sub_reg_match_0.tmp
     /*  931 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  935 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  939 */   // MIs[1] src
     /*  939 */   // No operand predicates
     /*  939 */   // MIs[1] __add_sub_reg_match_0.x
     /*  939 */   // No operand predicates
     /*  939 */   // MIs[0] __add_sub_reg_match_0.x
     /*  939 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/0, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  944 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /*  949 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  951 */   // Combiner Rule #61: add_sub_reg @ [__add_sub_reg_match_0[1]]
     /*  951 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /*  956 */   GIR_EraseRootFromParent_Done,
     /*  957 */ // Label 80: @957
     /*  957 */ GIM_Try, /*On fail goto*//*Label 81*/ GIMT_Encode4(991), // Rule ID 109 //
     /*  962 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule61Enabled),
     /*  965 */   // MIs[0] dst
     /*  965 */   // No operand predicates
     /*  965 */   // MIs[0] __add_sub_reg_match_0.x
     /*  965 */   // No operand predicates
     /*  965 */   // MIs[0] __add_sub_reg_match_0.tmp
     /*  965 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  969 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  973 */   // MIs[1] src
     /*  973 */   // No operand predicates
     /*  973 */   // MIs[1] __add_sub_reg_match_0.x
     /*  973 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/1, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  978 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /*  983 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985 */   // Combiner Rule #61: add_sub_reg @ [__add_sub_reg_match_0[0]]
     /*  985 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /*  990 */   GIR_EraseRootFromParent_Done,
     /*  991 */ // Label 81: @991
     /*  991 */ GIM_Try, /*On fail goto*//*Label 82*/ GIMT_Encode4(1014), // Rule ID 84 //
     /*  996 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule51Enabled),
     /*  999 */   // MIs[0] dst
     /*  999 */   // No operand predicates
     /*  999 */   // MIs[0] lhs
     /*  999 */   // No operand predicates
     /*  999 */   // MIs[0] Operand 2
     /*  999 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 1003 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 1008 */   // Combiner Rule #51: right_identity_zero @ [__right_identity_zero_match_0[1]]
     /* 1008 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 1013 */   GIR_EraseRootFromParent_Done,
     /* 1014 */ // Label 82: @1014
     /* 1014 */ GIM_Reject,
     /* 1015 */ // Label 2: @1015
     /* 1015 */ GIM_Try, /*On fail goto*//*Label 83*/ GIMT_Encode4(1026), // Rule ID 68 //
     /* 1020 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule48Enabled),
     /* 1023 */   // Combiner Rule #48: constant_fold_binop; wip_match_opcode 'G_SUB'
     /* 1023 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner39),
     /* 1026 */ // Label 83: @1026
     /* 1026 */ GIM_Try, /*On fail goto*//*Label 84*/ GIMT_Encode4(1037), // Rule ID 142 //
     /* 1031 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule79Enabled),
     /* 1034 */   // Combiner Rule #79: propagate_undef_any_op; wip_match_opcode 'G_SUB'
     /* 1034 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner59),
     /* 1037 */ // Label 84: @1037
     /* 1037 */ GIM_Try, /*On fail goto*//*Label 85*/ GIMT_Encode4(1060), // Rule ID 83 //
     /* 1042 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule51Enabled),
     /* 1045 */   // MIs[0] dst
     /* 1045 */   // No operand predicates
     /* 1045 */   // MIs[0] lhs
     /* 1045 */   // No operand predicates
     /* 1045 */   // MIs[0] Operand 2
     /* 1045 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 1049 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 1054 */   // Combiner Rule #51: right_identity_zero @ [__right_identity_zero_match_0[0]]
     /* 1054 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 1059 */   GIR_EraseRootFromParent_Done,
     /* 1060 */ // Label 85: @1060
     /* 1060 */ GIM_Reject,
     /* 1061 */ // Label 3: @1061
     /* 1061 */ GIM_Try, /*On fail goto*//*Label 86*/ GIMT_Encode4(1072), // Rule ID 31 //
     /* 1066 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule24Enabled),
     /* 1069 */   // Combiner Rule #24: mul_const; wip_match_opcode 'G_MUL'
     /* 1069 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner16),
     /* 1072 */ // Label 86: @1072
     /* 1072 */ GIM_Try, /*On fail goto*//*Label 87*/ GIMT_Encode4(1083), // Rule ID 65 //
     /* 1077 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule48Enabled),
     /* 1080 */   // Combiner Rule #48: constant_fold_binop; wip_match_opcode 'G_MUL'
     /* 1080 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner39),
     /* 1083 */ // Label 87: @1083
     /* 1083 */ GIM_Try, /*On fail goto*//*Label 88*/ GIMT_Encode4(1094), // Rule ID 125 //
     /* 1088 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule73Enabled),
     /* 1091 */   // Combiner Rule #73: undef_to_int_zero; wip_match_opcode 'G_MUL'
     /* 1091 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner54),
     /* 1094 */ // Label 88: @1094
     /* 1094 */ GIM_Try, /*On fail goto*//*Label 89*/ GIMT_Encode4(1105), // Rule ID 154 //
     /* 1099 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule87Enabled),
     /* 1102 */   // Combiner Rule #87: commute_int_constant_to_rhs; wip_match_opcode 'G_MUL'
     /* 1102 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner67),
     /* 1105 */ // Label 89: @1105
     /* 1105 */ GIM_Try, /*On fail goto*//*Label 90*/ GIMT_Encode4(1116), // Rule ID 183 //
     /* 1110 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule90Enabled),
     /* 1113 */   // Combiner Rule #90: combine_mul_cmlt; wip_match_opcode 'G_MUL'
     /* 1113 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner70),
     /* 1116 */ // Label 90: @1116
     /* 1116 */ GIM_Try, /*On fail goto*//*Label 91*/ GIMT_Encode4(1139), // Rule ID 102 //
     /* 1121 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule54Enabled),
     /* 1124 */   // MIs[0] dst
     /* 1124 */   // No operand predicates
     /* 1124 */   // MIs[0] lhs
     /* 1124 */   // No operand predicates
     /* 1124 */   // MIs[0] zero
     /* 1124 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 1128 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/2,
     /* 1133 */   // Combiner Rule #54: binop_right_to_zero
     /* 1133 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/2,
     /* 1138 */   GIR_EraseRootFromParent_Done,
     /* 1139 */ // Label 91: @1139
     /* 1139 */ GIM_Try, /*On fail goto*//*Label 92*/ GIMT_Encode4(1162), // Rule ID 107 //
     /* 1144 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule59Enabled),
     /* 1147 */   // MIs[0] dst
     /* 1147 */   // No operand predicates
     /* 1147 */   // MIs[0] x
     /* 1147 */   // No operand predicates
     /* 1147 */   // MIs[0] Operand 2
     /* 1147 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /* 1151 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 1156 */   // Combiner Rule #59: right_identity_one_int
     /* 1156 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 1161 */   GIR_EraseRootFromParent_Done,
     /* 1162 */ // Label 92: @1162
     /* 1162 */ GIM_Try, /*On fail goto*//*Label 93*/ GIMT_Encode4(1173), // Rule ID 185 //
     /* 1167 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule92Enabled),
     /* 1170 */   // MIs[0] dst
     /* 1170 */   // No operand predicates
     /* 1170 */   // MIs[0] src1
     /* 1170 */   // No operand predicates
     /* 1170 */   // MIs[0] src2
     /* 1170 */   // No operand predicates
     /* 1170 */   // Combiner Rule #92: extmultomull
     /* 1170 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner72),
     /* 1173 */ // Label 93: @1173
     /* 1173 */ GIM_Reject,
     /* 1174 */ // Label 4: @1174
     /* 1174 */ GIM_Try, /*On fail goto*//*Label 94*/ GIMT_Encode4(1185), // Rule ID 71 //
     /* 1179 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule48Enabled),
     /* 1182 */   // Combiner Rule #48: constant_fold_binop; wip_match_opcode 'G_SDIV'
     /* 1182 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner39),
     /* 1185 */ // Label 94: @1185
     /* 1185 */ GIM_Try, /*On fail goto*//*Label 95*/ GIMT_Encode4(1196), // Rule ID 98 //
     /* 1190 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule53Enabled),
     /* 1193 */   // Combiner Rule #53: binop_left_to_zero; wip_match_opcode 'G_SDIV'
     /* 1193 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner42),
     /* 1196 */ // Label 95: @1196
     /* 1196 */ GIM_Reject,
     /* 1197 */ // Label 5: @1197
     /* 1197 */ GIM_Try, /*On fail goto*//*Label 96*/ GIMT_Encode4(1208), // Rule ID 70 //
     /* 1202 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule48Enabled),
     /* 1205 */   // Combiner Rule #48: constant_fold_binop; wip_match_opcode 'G_UDIV'
     /* 1205 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner39),
     /* 1208 */ // Label 96: @1208
     /* 1208 */ GIM_Try, /*On fail goto*//*Label 97*/ GIMT_Encode4(1219), // Rule ID 99 //
     /* 1213 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule53Enabled),
     /* 1216 */   // Combiner Rule #53: binop_left_to_zero; wip_match_opcode 'G_UDIV'
     /* 1216 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner42),
     /* 1219 */ // Label 97: @1219
     /* 1219 */ GIM_Try, /*On fail goto*//*Label 98*/ GIMT_Encode4(1230), // Rule ID 128 //
     /* 1224 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule75Enabled),
     /* 1227 */   // Combiner Rule #75: binop_left_undef_to_zero; wip_match_opcode 'G_UDIV'
     /* 1227 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner56),
     /* 1230 */ // Label 98: @1230
     /* 1230 */ GIM_Reject,
     /* 1231 */ // Label 6: @1231
     /* 1231 */ GIM_Try, /*On fail goto*//*Label 99*/ GIMT_Encode4(1242), // Rule ID 73 //
     /* 1236 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule48Enabled),
     /* 1239 */   // Combiner Rule #48: constant_fold_binop; wip_match_opcode 'G_SREM'
     /* 1239 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner39),
     /* 1242 */ // Label 99: @1242
     /* 1242 */ GIM_Try, /*On fail goto*//*Label 100*/ GIMT_Encode4(1253), // Rule ID 100 //
     /* 1247 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule53Enabled),
     /* 1250 */   // Combiner Rule #53: binop_left_to_zero; wip_match_opcode 'G_SREM'
     /* 1250 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner42),
     /* 1253 */ // Label 100: @1253
     /* 1253 */ GIM_Reject,
     /* 1254 */ // Label 7: @1254
     /* 1254 */ GIM_Try, /*On fail goto*//*Label 101*/ GIMT_Encode4(1265), // Rule ID 72 //
     /* 1259 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule48Enabled),
     /* 1262 */   // Combiner Rule #48: constant_fold_binop; wip_match_opcode 'G_UREM'
     /* 1262 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner39),
     /* 1265 */ // Label 101: @1265
     /* 1265 */ GIM_Try, /*On fail goto*//*Label 102*/ GIMT_Encode4(1276), // Rule ID 101 //
     /* 1270 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule53Enabled),
     /* 1273 */   // Combiner Rule #53: binop_left_to_zero; wip_match_opcode 'G_UREM'
     /* 1273 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner42),
     /* 1276 */ // Label 102: @1276
     /* 1276 */ GIM_Try, /*On fail goto*//*Label 103*/ GIMT_Encode4(1287), // Rule ID 129 //
     /* 1281 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule75Enabled),
     /* 1284 */   // Combiner Rule #75: binop_left_undef_to_zero; wip_match_opcode 'G_UREM'
     /* 1284 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner56),
     /* 1287 */ // Label 103: @1287
     /* 1287 */ GIM_Reject,
     /* 1288 */ // Label 8: @1288
     /* 1288 */ GIM_Try, /*On fail goto*//*Label 104*/ GIMT_Encode4(1299), // Rule ID 18 //
     /* 1293 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule16Enabled),
     /* 1296 */   // Combiner Rule #16: load_and_mask; wip_match_opcode 'G_AND'
     /* 1296 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner8),
     /* 1299 */ // Label 104: @1299
     /* 1299 */ GIM_Try, /*On fail goto*//*Label 105*/ GIMT_Encode4(1310), // Rule ID 24 //
     /* 1304 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule19Enabled),
     /* 1307 */   // Combiner Rule #19: hoist_logic_op_with_same_opcode_hands; wip_match_opcode 'G_AND'
     /* 1307 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner11),
     /* 1310 */ // Label 105: @1310
     /* 1310 */ GIM_Try, /*On fail goto*//*Label 106*/ GIMT_Encode4(1321), // Rule ID 27 //
     /* 1315 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule20Enabled),
     /* 1318 */   // Combiner Rule #20: redundant_and; wip_match_opcode 'G_AND'
     /* 1318 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner12),
     /* 1321 */ // Label 106: @1321
     /* 1321 */ GIM_Try, /*On fail goto*//*Label 107*/ GIMT_Encode4(1332), // Rule ID 62 //
     /* 1326 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule48Enabled),
     /* 1329 */   // Combiner Rule #48: constant_fold_binop; wip_match_opcode 'G_AND'
     /* 1329 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner39),
     /* 1332 */ // Label 107: @1332
     /* 1332 */ GIM_Try, /*On fail goto*//*Label 108*/ GIMT_Encode4(1343), // Rule ID 120 //
     /* 1337 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule70Enabled),
     /* 1340 */   // Combiner Rule #70: overlapping_and; wip_match_opcode 'G_AND'
     /* 1340 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner51),
     /* 1343 */ // Label 108: @1343
     /* 1343 */ GIM_Try, /*On fail goto*//*Label 109*/ GIMT_Encode4(1354), // Rule ID 124 //
     /* 1348 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule73Enabled),
     /* 1351 */   // Combiner Rule #73: undef_to_int_zero; wip_match_opcode 'G_AND'
     /* 1351 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner54),
     /* 1354 */ // Label 109: @1354
     /* 1354 */ GIM_Try, /*On fail goto*//*Label 110*/ GIMT_Encode4(1365), // Rule ID 155 //
     /* 1359 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule87Enabled),
     /* 1362 */   // Combiner Rule #87: commute_int_constant_to_rhs; wip_match_opcode 'G_AND'
     /* 1362 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner67),
     /* 1365 */ // Label 110: @1365
     /* 1365 */ GIM_Try, /*On fail goto*//*Label 111*/ GIMT_Encode4(1402), // Rule ID 34 //
     /* 1370 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule27Enabled),
     /* 1373 */   // MIs[0] root
     /* 1373 */   // No operand predicates
     /* 1373 */   // MIs[0] shift
     /* 1373 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1377 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 1381 */   // MIs[1] x
     /* 1381 */   // No operand predicates
     /* 1381 */   // MIs[1] lsb
     /* 1381 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 1385 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1389 */   // MIs[2] imm1
     /* 1389 */   // No operand predicates
     /* 1389 */   // MIs[0] mask
     /* 1389 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 1393 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1397 */   // MIs[3] imm2
     /* 1397 */   // No operand predicates
     /* 1397 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 1399 */   // Combiner Rule #27: bitfield_extract_from_and
     /* 1399 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner19),
     /* 1402 */ // Label 111: @1402
     /* 1402 */ GIM_Try, /*On fail goto*//*Label 112*/ GIMT_Encode4(1426), // Rule ID 93 //
     /* 1407 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule52Enabled),
     /* 1410 */   // MIs[0] dst
     /* 1410 */   // No operand predicates
     /* 1410 */   // MIs[0] src
     /* 1410 */   // No operand predicates
     /* 1410 */   // MIs[0] src
     /* 1410 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/0, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /* 1415 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 1420 */   // Combiner Rule #52: binop_same_val @ [__binop_same_val_match_0[0]]
     /* 1420 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 1425 */   GIR_EraseRootFromParent_Done,
     /* 1426 */ // Label 112: @1426
     /* 1426 */ GIM_Reject,
     /* 1427 */ // Label 9: @1427
     /* 1427 */ GIM_Try, /*On fail goto*//*Label 113*/ GIMT_Encode4(1438), // Rule ID 25 //
     /* 1432 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule19Enabled),
     /* 1435 */   // Combiner Rule #19: hoist_logic_op_with_same_opcode_hands; wip_match_opcode 'G_OR'
     /* 1435 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner11),
     /* 1438 */ // Label 113: @1438
     /* 1438 */ GIM_Try, /*On fail goto*//*Label 114*/ GIMT_Encode4(1449), // Rule ID 30 //
     /* 1443 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule23Enabled),
     /* 1446 */   // Combiner Rule #23: redundant_or; wip_match_opcode 'G_OR'
     /* 1446 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner15),
     /* 1449 */ // Label 114: @1449
     /* 1449 */ GIM_Try, /*On fail goto*//*Label 115*/ GIMT_Encode4(1460), // Rule ID 66 //
     /* 1454 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule48Enabled),
     /* 1457 */   // Combiner Rule #48: constant_fold_binop; wip_match_opcode 'G_OR'
     /* 1457 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner39),
     /* 1460 */ // Label 115: @1460
     /* 1460 */ GIM_Try, /*On fail goto*//*Label 116*/ GIMT_Encode4(1471), // Rule ID 126 //
     /* 1465 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule74Enabled),
     /* 1468 */   // Combiner Rule #74: undef_to_negative_one; wip_match_opcode 'G_OR'
     /* 1468 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner55),
     /* 1471 */ // Label 116: @1471
     /* 1471 */ GIM_Try, /*On fail goto*//*Label 117*/ GIMT_Encode4(1482), // Rule ID 156 //
     /* 1476 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule87Enabled),
     /* 1479 */   // Combiner Rule #87: commute_int_constant_to_rhs; wip_match_opcode 'G_OR'
     /* 1479 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner67),
     /* 1482 */ // Label 117: @1482
     /* 1482 */ GIM_Try, /*On fail goto*//*Label 118*/ GIMT_Encode4(1506), // Rule ID 94 //
     /* 1487 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule52Enabled),
     /* 1490 */   // MIs[0] dst
     /* 1490 */   // No operand predicates
     /* 1490 */   // MIs[0] src
     /* 1490 */   // No operand predicates
     /* 1490 */   // MIs[0] src
     /* 1490 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/0, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /* 1495 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 1500 */   // Combiner Rule #52: binop_same_val @ [__binop_same_val_match_0[1]]
     /* 1500 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 1505 */   GIR_EraseRootFromParent_Done,
     /* 1506 */ // Label 118: @1506
     /* 1506 */ GIM_Try, /*On fail goto*//*Label 119*/ GIMT_Encode4(1529), // Rule ID 85 //
     /* 1511 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule51Enabled),
     /* 1514 */   // MIs[0] dst
     /* 1514 */   // No operand predicates
     /* 1514 */   // MIs[0] lhs
     /* 1514 */   // No operand predicates
     /* 1514 */   // MIs[0] Operand 2
     /* 1514 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 1518 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 1523 */   // Combiner Rule #51: right_identity_zero @ [__right_identity_zero_match_0[2]]
     /* 1523 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 1528 */   GIR_EraseRootFromParent_Done,
     /* 1529 */ // Label 119: @1529
     /* 1529 */ GIM_Try, /*On fail goto*//*Label 120*/ GIMT_Encode4(1540), // Rule ID 151 //
     /* 1534 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule85Enabled),
     /* 1537 */   // MIs[0] dst
     /* 1537 */   // No operand predicates
     /* 1537 */   // MIs[0] src1
     /* 1537 */   // No operand predicates
     /* 1537 */   // MIs[0] src2
     /* 1537 */   // No operand predicates
     /* 1537 */   // Combiner Rule #85: or_to_bsp
     /* 1537 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner65),
     /* 1540 */ // Label 120: @1540
     /* 1540 */ GIM_Reject,
     /* 1541 */ // Label 10: @1541
     /* 1541 */ GIM_Try, /*On fail goto*//*Label 121*/ GIMT_Encode4(1552), // Rule ID 26 //
     /* 1546 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule19Enabled),
     /* 1549 */   // Combiner Rule #19: hoist_logic_op_with_same_opcode_hands; wip_match_opcode 'G_XOR'
     /* 1549 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner11),
     /* 1552 */ // Label 121: @1552
     /* 1552 */ GIM_Try, /*On fail goto*//*Label 122*/ GIMT_Encode4(1563), // Rule ID 28 //
     /* 1557 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule21Enabled),
     /* 1560 */   // Combiner Rule #21: xor_of_and_with_same_reg; wip_match_opcode 'G_XOR'
     /* 1560 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner13),
     /* 1563 */ // Label 122: @1563
     /* 1563 */ GIM_Try, /*On fail goto*//*Label 123*/ GIMT_Encode4(1574), // Rule ID 69 //
     /* 1568 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule48Enabled),
     /* 1571 */   // Combiner Rule #48: constant_fold_binop; wip_match_opcode 'G_XOR'
     /* 1571 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner39),
     /* 1574 */ // Label 123: @1574
     /* 1574 */ GIM_Try, /*On fail goto*//*Label 124*/ GIMT_Encode4(1585), // Rule ID 143 //
     /* 1579 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule79Enabled),
     /* 1582 */   // Combiner Rule #79: propagate_undef_any_op; wip_match_opcode 'G_XOR'
     /* 1582 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner59),
     /* 1585 */ // Label 124: @1585
     /* 1585 */ GIM_Try, /*On fail goto*//*Label 125*/ GIMT_Encode4(1596), // Rule ID 157 //
     /* 1590 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule87Enabled),
     /* 1593 */   // Combiner Rule #87: commute_int_constant_to_rhs; wip_match_opcode 'G_XOR'
     /* 1593 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner67),
     /* 1596 */ // Label 125: @1596
     /* 1596 */ GIM_Try, /*On fail goto*//*Label 126*/ GIMT_Encode4(1619), // Rule ID 86 //
     /* 1601 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule51Enabled),
     /* 1604 */   // MIs[0] dst
     /* 1604 */   // No operand predicates
     /* 1604 */   // MIs[0] lhs
     /* 1604 */   // No operand predicates
     /* 1604 */   // MIs[0] Operand 2
     /* 1604 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 1608 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 1613 */   // Combiner Rule #51: right_identity_zero @ [__right_identity_zero_match_0[3]]
     /* 1613 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 1618 */   GIR_EraseRootFromParent_Done,
     /* 1619 */ // Label 126: @1619
     /* 1619 */ GIM_Reject,
     /* 1620 */ // Label 11: @1620
     /* 1620 */ GIM_Try, /*On fail goto*//*Label 127*/ GIMT_Encode4(1631), // Rule ID 51 //
     /* 1625 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule39Enabled),
     /* 1628 */   // Combiner Rule #39: unmerge_anyext_build_vector; wip_match_opcode 'G_UNMERGE_VALUES'
     /* 1628 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner30),
     /* 1631 */ // Label 127: @1631
     /* 1631 */ GIM_Try, /*On fail goto*//*Label 128*/ GIMT_Encode4(1642), // Rule ID 52 //
     /* 1636 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule40Enabled),
     /* 1639 */   // Combiner Rule #40: unmerge_merge; wip_match_opcode 'G_UNMERGE_VALUES'
     /* 1639 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner31),
     /* 1642 */ // Label 128: @1642
     /* 1642 */ GIM_Try, /*On fail goto*//*Label 129*/ GIMT_Encode4(1653), // Rule ID 54 //
     /* 1647 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule42Enabled),
     /* 1650 */   // Combiner Rule #42: unmerge_cst; wip_match_opcode 'G_UNMERGE_VALUES'
     /* 1650 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner33),
     /* 1653 */ // Label 129: @1653
     /* 1653 */ GIM_Try, /*On fail goto*//*Label 130*/ GIMT_Encode4(1664), // Rule ID 55 //
     /* 1658 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule43Enabled),
     /* 1661 */   // Combiner Rule #43: unmerge_undef; wip_match_opcode 'G_UNMERGE_VALUES'
     /* 1661 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner34),
     /* 1664 */ // Label 130: @1664
     /* 1664 */ GIM_Try, /*On fail goto*//*Label 131*/ GIMT_Encode4(1675), // Rule ID 56 //
     /* 1669 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule44Enabled),
     /* 1672 */   // Combiner Rule #44: unmerge_dead_to_trunc; wip_match_opcode 'G_UNMERGE_VALUES'
     /* 1672 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner35),
     /* 1675 */ // Label 131: @1675
     /* 1675 */ GIM_Try, /*On fail goto*//*Label 132*/ GIMT_Encode4(1686), // Rule ID 57 //
     /* 1680 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule45Enabled),
     /* 1683 */   // Combiner Rule #45: unmerge_zext_to_zext; wip_match_opcode 'G_UNMERGE_VALUES'
     /* 1683 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner36),
     /* 1686 */ // Label 132: @1686
     /* 1686 */ GIM_Reject,
     /* 1687 */ // Label 12: @1687
     /* 1687 */ GIM_Try, /*On fail goto*//*Label 133*/ GIMT_Encode4(1698), // Rule ID 50 //
     /* 1692 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule38Enabled),
     /* 1695 */   // Combiner Rule #38: fold_merge_to_zext; wip_match_opcode 'G_MERGE_VALUES'
     /* 1695 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner29),
     /* 1698 */ // Label 133: @1698
     /* 1698 */ GIM_Try, /*On fail goto*//*Label 134*/ GIMT_Encode4(1709), // Rule ID 53 //
     /* 1703 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule41Enabled),
     /* 1706 */   // Combiner Rule #41: merge_unmerge; wip_match_opcode 'G_MERGE_VALUES'
     /* 1706 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner32),
     /* 1709 */ // Label 134: @1709
     /* 1709 */ GIM_Try, /*On fail goto*//*Label 135*/ GIMT_Encode4(1771),
     /* 1714 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /* 1717 */   GIM_Try, /*On fail goto*//*Label 136*/ GIMT_Encode4(1738), // Rule ID 58 //
     /* 1722 */     GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule46Enabled),
     /* 1725 */     // MIs[0] root
     /* 1725 */     // No operand predicates
     /* 1725 */     // MIs[0] x
     /* 1725 */     // No operand predicates
     /* 1725 */     // MIs[0] undef
     /* 1725 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 1729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 1733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1735 */     // Combiner Rule #46: merge_of_x_and_undef
     /* 1735 */     GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner37),
     /* 1738 */   // Label 136: @1738
     /* 1738 */   GIM_Try, /*On fail goto*//*Label 137*/ GIMT_Encode4(1770), // Rule ID 59 //
     /* 1743 */     GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule47Enabled),
     /* 1746 */     // MIs[0] root
     /* 1746 */     // No operand predicates
     /* 1746 */     // MIs[0] x
     /* 1746 */     // No operand predicates
     /* 1746 */     // MIs[0] zero
     /* 1746 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 1750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1754 */     // MIs[1] Operand 1
     /* 1754 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/1, GIMT_Encode8(0),
     /* 1765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1767 */     // Combiner Rule #47: merge_of_x_and_zero
     /* 1767 */     GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner38),
     /* 1770 */   // Label 137: @1770
     /* 1770 */   GIM_Reject,
     /* 1771 */ // Label 135: @1771
     /* 1771 */ GIM_Reject,
     /* 1772 */ // Label 13: @1772
     /* 1772 */ GIM_Try, /*On fail goto*//*Label 138*/ GIMT_Encode4(1783), // Rule ID 112 //
     /* 1777 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule62Enabled),
     /* 1780 */   // Combiner Rule #62: buildvector_identity_fold; wip_match_opcode 'G_BUILD_VECTOR'
     /* 1780 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner46),
     /* 1783 */ // Label 138: @1783
     /* 1783 */ GIM_Try, /*On fail goto*//*Label 139*/ GIMT_Encode4(1794), // Rule ID 145 //
     /* 1788 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule80Enabled),
     /* 1791 */   // Combiner Rule #80: propagate_undef_all_ops; wip_match_opcode 'G_BUILD_VECTOR'
     /* 1791 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner60),
     /* 1794 */ // Label 139: @1794
     /* 1794 */ GIM_Try, /*On fail goto*//*Label 140*/ GIMT_Encode4(1808), // Rule ID 184 //
     /* 1799 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule91Enabled),
     /* 1802 */   GIM_CheckNumOperandsGE, /*MI*/0, /*Expected*/2,
     /* 1805 */   // MIs[0] dst
     /* 1805 */   // No operand predicates
     /* 1805 */   // MIs[0] unused
     /* 1805 */   // No operand predicates
     /* 1805 */   // Combiner Rule #91: combine_use_vector_truncate
     /* 1805 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner71),
     /* 1808 */ // Label 140: @1808
     /* 1808 */ GIM_Reject,
     /* 1809 */ // Label 14: @1809
     /* 1809 */ GIM_Try, /*On fail goto*//*Label 141*/ GIMT_Encode4(1820), // Rule ID 111 //
     /* 1814 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule62Enabled),
     /* 1817 */   // Combiner Rule #62: buildvector_identity_fold; wip_match_opcode 'G_BUILD_VECTOR_TRUNC'
     /* 1817 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner46),
     /* 1820 */ // Label 141: @1820
     /* 1820 */ GIM_Reject,
     /* 1821 */ // Label 15: @1821
     /* 1821 */ GIM_Try, /*On fail goto*//*Label 142*/ GIMT_Encode4(1832), // Rule ID 152 //
     /* 1826 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule86Enabled),
     /* 1829 */   // Combiner Rule #86: combine_concat_vector; wip_match_opcode 'G_CONCAT_VECTORS'
     /* 1829 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner66),
     /* 1832 */ // Label 142: @1832
     /* 1832 */ GIM_Reject,
     /* 1833 */ // Label 16: @1833
     /* 1833 */ GIM_Try, /*On fail goto*//*Label 143*/ GIMT_Encode4(1854), // Rule ID 104 //
     /* 1838 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule56Enabled),
     /* 1841 */   // MIs[0] dst
     /* 1841 */   // No operand predicates
     /* 1841 */   // MIs[0] t
     /* 1841 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1845 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTTOPTR),
     /* 1849 */   // MIs[1] ptr
     /* 1849 */   // No operand predicates
     /* 1849 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1851 */   // Combiner Rule #56: i2p_to_p2i
     /* 1851 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner44),
     /* 1854 */ // Label 143: @1854
     /* 1854 */ GIM_Try, /*On fail goto*//*Label 144*/ GIMT_Encode4(1875), // Rule ID 137 //
     /* 1859 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule78Enabled),
     /* 1862 */   // MIs[0] dst
     /* 1862 */   // No operand predicates
     /* 1862 */   // MIs[0] __unary_undef_to_undef_match_0.x
     /* 1862 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1866 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 1870 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1872 */   // Combiner Rule #78: unary_undef_to_undef @ [__unary_undef_to_undef_match_0[3]]
     /* 1872 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner58),
     /* 1875 */ // Label 144: @1875
     /* 1875 */ GIM_Reject,
     /* 1876 */ // Label 17: @1876
     /* 1876 */ GIM_Try, /*On fail goto*//*Label 145*/ GIMT_Encode4(1887), // Rule ID 103 //
     /* 1881 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule55Enabled),
     /* 1884 */   // Combiner Rule #55: p2i_to_i2p; wip_match_opcode 'G_INTTOPTR'
     /* 1884 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner43),
     /* 1887 */ // Label 145: @1887
     /* 1887 */ GIM_Try, /*On fail goto*//*Label 146*/ GIMT_Encode4(1908), // Rule ID 138 //
     /* 1892 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule78Enabled),
     /* 1895 */   // MIs[0] dst
     /* 1895 */   // No operand predicates
     /* 1895 */   // MIs[0] __unary_undef_to_undef_match_0.x
     /* 1895 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1899 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 1903 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1905 */   // Combiner Rule #78: unary_undef_to_undef @ [__unary_undef_to_undef_match_0[4]]
     /* 1905 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner58),
     /* 1908 */ // Label 146: @1908
     /* 1908 */ GIM_Reject,
     /* 1909 */ // Label 18: @1909
     /* 1909 */ GIM_Try, /*On fail goto*//*Label 147*/ GIMT_Encode4(1930), // Rule ID 115 //
     /* 1914 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule65Enabled),
     /* 1917 */   // MIs[0] dst
     /* 1917 */   // No operand predicates
     /* 1917 */   // MIs[0] src1
     /* 1917 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1921 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 1925 */   // MIs[1] src0
     /* 1925 */   // No operand predicates
     /* 1925 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1927 */   // Combiner Rule #65: bitcast_bitcast_fold
     /* 1927 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner49),
     /* 1930 */ // Label 147: @1930
     /* 1930 */ GIM_Try, /*On fail goto*//*Label 148*/ GIMT_Encode4(1951), // Rule ID 135 //
     /* 1935 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule78Enabled),
     /* 1938 */   // MIs[0] dst
     /* 1938 */   // No operand predicates
     /* 1938 */   // MIs[0] __unary_undef_to_undef_match_0.x
     /* 1938 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1942 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 1946 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1948 */   // Combiner Rule #78: unary_undef_to_undef @ [__unary_undef_to_undef_match_0[1]]
     /* 1948 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner58),
     /* 1951 */ // Label 148: @1951
     /* 1951 */ GIM_Reject,
     /* 1952 */ // Label 19: @1952
     /* 1952 */ GIM_Try, /*On fail goto*//*Label 149*/ GIMT_Encode4(1963), // Rule ID 182 //
     /* 1957 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule89Enabled),
     /* 1960 */   // MIs[0] dst
     /* 1960 */   // No operand predicates
     /* 1960 */   // MIs[0] src
     /* 1960 */   // No operand predicates
     /* 1960 */   // Combiner Rule #89: push_freeze_to_prevent_poison_from_propagating
     /* 1960 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner69),
     /* 1963 */ // Label 149: @1963
     /* 1963 */ GIM_Reject,
     /* 1964 */ // Label 20: @1964
     /* 1964 */ GIM_Try, /*On fail goto*//*Label 150*/ GIMT_Encode4(1975), // Rule ID 15 //
     /* 1969 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule15Enabled),
     /* 1972 */   // Combiner Rule #15: extending_loads; wip_match_opcode 'G_LOAD'
     /* 1972 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner7),
     /* 1975 */ // Label 150: @1975
     /* 1975 */ GIM_Try, /*On fail goto*//*Label 151*/ GIMT_Encode4(1986), // Rule ID 19 //
     /* 1980 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule17Enabled),
     /* 1983 */   // Combiner Rule #17: combine_indexed_load_store; wip_match_opcode 'G_LOAD'
     /* 1983 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner9),
     /* 1986 */ // Label 151: @1986
     /* 1986 */ GIM_Reject,
     /* 1987 */ // Label 21: @1987
     /* 1987 */ GIM_Try, /*On fail goto*//*Label 152*/ GIMT_Encode4(1998), // Rule ID 16 //
     /* 1992 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule15Enabled),
     /* 1995 */   // Combiner Rule #15: extending_loads; wip_match_opcode 'G_SEXTLOAD'
     /* 1995 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner7),
     /* 1998 */ // Label 152: @1998
     /* 1998 */ GIM_Try, /*On fail goto*//*Label 153*/ GIMT_Encode4(2009), // Rule ID 20 //
     /* 2003 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule17Enabled),
     /* 2006 */   // Combiner Rule #17: combine_indexed_load_store; wip_match_opcode 'G_SEXTLOAD'
     /* 2006 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner9),
     /* 2009 */ // Label 153: @2009
     /* 2009 */ GIM_Reject,
     /* 2010 */ // Label 22: @2010
     /* 2010 */ GIM_Try, /*On fail goto*//*Label 154*/ GIMT_Encode4(2021), // Rule ID 17 //
     /* 2015 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule15Enabled),
     /* 2018 */   // Combiner Rule #15: extending_loads; wip_match_opcode 'G_ZEXTLOAD'
     /* 2018 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner7),
     /* 2021 */ // Label 154: @2021
     /* 2021 */ GIM_Try, /*On fail goto*//*Label 155*/ GIMT_Encode4(2032), // Rule ID 21 //
     /* 2026 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule17Enabled),
     /* 2029 */   // Combiner Rule #17: combine_indexed_load_store; wip_match_opcode 'G_ZEXTLOAD'
     /* 2029 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner9),
     /* 2032 */ // Label 155: @2032
     /* 2032 */ GIM_Reject,
     /* 2033 */ // Label 23: @2033
     /* 2033 */ GIM_Try, /*On fail goto*//*Label 156*/ GIMT_Encode4(2044), // Rule ID 22 //
     /* 2038 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule17Enabled),
     /* 2041 */   // Combiner Rule #17: combine_indexed_load_store; wip_match_opcode 'G_STORE'
     /* 2041 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner9),
     /* 2044 */ // Label 156: @2044
     /* 2044 */ GIM_Try, /*On fail goto*//*Label 157*/ GIMT_Encode4(2055), // Rule ID 147 //
     /* 2049 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule82Enabled),
     /* 2052 */   // Combiner Rule #82: erase_undef_store; wip_match_opcode 'G_STORE'
     /* 2052 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner62),
     /* 2055 */ // Label 157: @2055
     /* 2055 */ GIM_Try, /*On fail goto*//*Label 158*/ GIMT_Encode4(2066), // Rule ID 121 //
     /* 2060 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule71Enabled),
     /* 2063 */   // MIs[0] src
     /* 2063 */   // No operand predicates
     /* 2063 */   // MIs[0] addr
     /* 2063 */   // No operand predicates
     /* 2063 */   // Combiner Rule #71: split_store_zero_128
     /* 2063 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner52),
     /* 2066 */ // Label 158: @2066
     /* 2066 */ GIM_Reject,
     /* 2067 */ // Label 24: @2067
     /* 2067 */ GIM_Try, /*On fail goto*//*Label 159*/ GIMT_Encode4(2078), // Rule ID 14 //
     /* 2072 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule14Enabled),
     /* 2075 */   // Combiner Rule #14: mutate_anyext_to_zext; wip_match_opcode 'G_ANYEXT'
     /* 2075 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner6),
     /* 2078 */ // Label 159: @2078
     /* 2078 */ GIM_Try, /*On fail goto*//*Label 160*/ GIMT_Encode4(2089), // Rule ID 105 //
     /* 2083 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule57Enabled),
     /* 2086 */   // Combiner Rule #57: anyext_trunc_fold; wip_match_opcode 'G_ANYEXT'
     /* 2086 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner45),
     /* 2089 */ // Label 160: @2089
     /* 2089 */ GIM_Try, /*On fail goto*//*Label 161*/ GIMT_Encode4(2110), // Rule ID 8 //
     /* 2094 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule8Enabled),
     /* 2097 */   // MIs[0] root
     /* 2097 */   // No operand predicates
     /* 2097 */   // MIs[0] second
     /* 2097 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2101 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 2105 */   // MIs[1] src
     /* 2105 */   // No operand predicates
     /* 2105 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2107 */   // Combiner Rule #8: anyext_of_anyext
     /* 2107 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner2),
     /* 2110 */ // Label 161: @2110
     /* 2110 */ GIM_Try, /*On fail goto*//*Label 162*/ GIMT_Encode4(2131), // Rule ID 10 //
     /* 2115 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule10Enabled),
     /* 2118 */   // MIs[0] root
     /* 2118 */   // No operand predicates
     /* 2118 */   // MIs[0] second
     /* 2118 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2122 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2126 */   // MIs[1] src
     /* 2126 */   // No operand predicates
     /* 2126 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2128 */   // Combiner Rule #10: anyext_of_sext
     /* 2128 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner2),
     /* 2131 */ // Label 162: @2131
     /* 2131 */ GIM_Try, /*On fail goto*//*Label 163*/ GIMT_Encode4(2152), // Rule ID 9 //
     /* 2136 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule9Enabled),
     /* 2139 */   // MIs[0] root
     /* 2139 */   // No operand predicates
     /* 2139 */   // MIs[0] second
     /* 2139 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2143 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2147 */   // MIs[1] src
     /* 2147 */   // No operand predicates
     /* 2147 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2149 */   // Combiner Rule #9: anyext_of_zext
     /* 2149 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner2),
     /* 2152 */ // Label 163: @2152
     /* 2152 */ GIM_Try, /*On fail goto*//*Label 164*/ GIMT_Encode4(2173), // Rule ID 136 //
     /* 2157 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule78Enabled),
     /* 2160 */   // MIs[0] dst
     /* 2160 */   // No operand predicates
     /* 2160 */   // MIs[0] __unary_undef_to_undef_match_0.x
     /* 2160 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2164 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 2168 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2170 */   // Combiner Rule #78: unary_undef_to_undef @ [__unary_undef_to_undef_match_0[2]]
     /* 2170 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner58),
     /* 2173 */ // Label 164: @2173
     /* 2173 */ GIM_Reject,
     /* 2174 */ // Label 25: @2174
     /* 2174 */ GIM_Try, /*On fail goto*//*Label 165*/ GIMT_Encode4(2185), // Rule ID 113 //
     /* 2179 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule63Enabled),
     /* 2182 */   // Combiner Rule #63: trunc_buildvector_fold; wip_match_opcode 'G_TRUNC'
     /* 2182 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner47),
     /* 2185 */ // Label 165: @2185
     /* 2185 */ GIM_Try, /*On fail goto*//*Label 166*/ GIMT_Encode4(2196), // Rule ID 114 //
     /* 2190 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule64Enabled),
     /* 2193 */   // Combiner Rule #64: trunc_lshr_buildvector_fold; wip_match_opcode 'G_TRUNC'
     /* 2193 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner48),
     /* 2196 */ // Label 166: @2196
     /* 2196 */ GIM_Try, /*On fail goto*//*Label 167*/ GIMT_Encode4(2217), // Rule ID 3 //
     /* 2201 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule3Enabled),
     /* 2204 */   // MIs[0] root
     /* 2204 */   // No operand predicates
     /* 2204 */   // MIs[0] ext
     /* 2204 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 2212 */   // MIs[1] src
     /* 2212 */   // No operand predicates
     /* 2212 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2214 */   // Combiner Rule #3: truncate_of_anyext
     /* 2214 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner1),
     /* 2217 */ // Label 167: @2217
     /* 2217 */ GIM_Try, /*On fail goto*//*Label 168*/ GIMT_Encode4(2241), // Rule ID 12 //
     /* 2222 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule12Enabled),
     /* 2225 */   // MIs[0] root
     /* 2225 */   // No operand predicates
     /* 2225 */   // MIs[0] bv
     /* 2225 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2229 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR),
     /* 2233 */   GIM_CheckNumOperandsGE, /*MI*/1, /*Expected*/2,
     /* 2236 */   // MIs[1] unused
     /* 2236 */   // No operand predicates
     /* 2236 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2238 */   // Combiner Rule #12: buildvector_of_truncate
     /* 2238 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner4),
     /* 2241 */ // Label 168: @2241
     /* 2241 */ GIM_Try, /*On fail goto*//*Label 169*/ GIMT_Encode4(2262), // Rule ID 2 //
     /* 2246 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule2Enabled),
     /* 2249 */   // MIs[0] root
     /* 2249 */   // No operand predicates
     /* 2249 */   // MIs[0] ext
     /* 2249 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2253 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2257 */   // MIs[1] src
     /* 2257 */   // No operand predicates
     /* 2257 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2259 */   // Combiner Rule #2: truncate_of_sext
     /* 2259 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner1),
     /* 2262 */ // Label 169: @2262
     /* 2262 */ GIM_Try, /*On fail goto*//*Label 170*/ GIMT_Encode4(2283), // Rule ID 1 //
     /* 2267 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule1Enabled),
     /* 2270 */   // MIs[0] root
     /* 2270 */   // No operand predicates
     /* 2270 */   // MIs[0] ext
     /* 2270 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2274 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2278 */   // MIs[1] src
     /* 2278 */   // No operand predicates
     /* 2278 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2280 */   // Combiner Rule #1: truncate_of_zext
     /* 2280 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner1),
     /* 2283 */ // Label 170: @2283
     /* 2283 */ GIM_Try, /*On fail goto*//*Label 171*/ GIMT_Encode4(2304), // Rule ID 134 //
     /* 2288 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule78Enabled),
     /* 2291 */   // MIs[0] dst
     /* 2291 */   // No operand predicates
     /* 2291 */   // MIs[0] __unary_undef_to_undef_match_0.x
     /* 2291 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2295 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 2299 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301 */   // Combiner Rule #78: unary_undef_to_undef @ [__unary_undef_to_undef_match_0[0]]
     /* 2301 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner58),
     /* 2304 */ // Label 171: @2304
     /* 2304 */ GIM_Try, /*On fail goto*//*Label 172*/ GIMT_Encode4(2325), // Rule ID 13 //
     /* 2309 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule13Enabled),
     /* 2312 */   // MIs[0] root
     /* 2312 */   // No operand predicates
     /* 2312 */   // MIs[0] int
     /* 2312 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2316 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2320 */   // MIs[1] imm
     /* 2320 */   // No operand predicates
     /* 2320 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2322 */   // Combiner Rule #13: integer_of_truncate
     /* 2322 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner5),
     /* 2325 */ // Label 172: @2325
     /* 2325 */ GIM_Reject,
     /* 2326 */ // Label 26: @2326
     /* 2326 */ GIM_Try, /*On fail goto*//*Label 173*/ GIMT_Encode4(2347), // Rule ID 7 //
     /* 2331 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule7Enabled),
     /* 2334 */   // MIs[0] root
     /* 2334 */   // No operand predicates
     /* 2334 */   // MIs[0] second
     /* 2334 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2338 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 2342 */   // MIs[1] src
     /* 2342 */   // No operand predicates
     /* 2342 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2344 */   // Combiner Rule #7: sext_of_anyext
     /* 2344 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner2),
     /* 2347 */ // Label 173: @2347
     /* 2347 */ GIM_Try, /*On fail goto*//*Label 174*/ GIMT_Encode4(2368), // Rule ID 6 //
     /* 2352 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule6Enabled),
     /* 2355 */   // MIs[0] root
     /* 2355 */   // No operand predicates
     /* 2355 */   // MIs[0] second
     /* 2355 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2359 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2363 */   // MIs[1] src
     /* 2363 */   // No operand predicates
     /* 2363 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2365 */   // Combiner Rule #6: sext_of_sext
     /* 2365 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner2),
     /* 2368 */ // Label 174: @2368
     /* 2368 */ GIM_Reject,
     /* 2369 */ // Label 27: @2369
     /* 2369 */ GIM_Try, /*On fail goto*//*Label 175*/ GIMT_Encode4(2380), // Rule ID 23 //
     /* 2374 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule18Enabled),
     /* 2377 */   // Combiner Rule #18: sext_trunc_sextload; wip_match_opcode 'G_SEXT_INREG'
     /* 2377 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner10),
     /* 2380 */ // Label 175: @2380
     /* 2380 */ GIM_Try, /*On fail goto*//*Label 176*/ GIMT_Encode4(2391), // Rule ID 32 //
     /* 2385 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule25Enabled),
     /* 2388 */   // Combiner Rule #25: redundant_sext_inreg; wip_match_opcode 'G_SEXT_INREG'
     /* 2388 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner17),
     /* 2391 */ // Label 176: @2391
     /* 2391 */ GIM_Try, /*On fail goto*//*Label 177*/ GIMT_Encode4(2402), // Rule ID 33 //
     /* 2396 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule26Enabled),
     /* 2399 */   // Combiner Rule #26: bitfield_extract_from_sext_inreg; wip_match_opcode 'G_SEXT_INREG'
     /* 2399 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner18),
     /* 2402 */ // Label 177: @2402
     /* 2402 */ GIM_Try, /*On fail goto*//*Label 178*/ GIMT_Encode4(2423), // Rule ID 11 //
     /* 2407 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule11Enabled),
     /* 2410 */   // MIs[0] dst
     /* 2410 */   // No operand predicates
     /* 2410 */   // MIs[0] x
     /* 2410 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2414 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 2418 */   // MIs[1] src
     /* 2418 */   // No operand predicates
     /* 2418 */   // MIs[1] a
     /* 2418 */   // No operand predicates
     /* 2418 */   // MIs[0] b
     /* 2418 */   // No operand predicates
     /* 2418 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420 */   // Combiner Rule #11: sext_inreg_of_sext_inreg
     /* 2420 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner3),
     /* 2423 */ // Label 178: @2423
     /* 2423 */ GIM_Reject,
     /* 2424 */ // Label 28: @2424
     /* 2424 */ GIM_Try, /*On fail goto*//*Label 179*/ GIMT_Encode4(2445), // Rule ID 5 //
     /* 2429 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule5Enabled),
     /* 2432 */   // MIs[0] root
     /* 2432 */   // No operand predicates
     /* 2432 */   // MIs[0] second
     /* 2432 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2436 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 2440 */   // MIs[1] src
     /* 2440 */   // No operand predicates
     /* 2440 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2442 */   // Combiner Rule #5: zext_of_anyext
     /* 2442 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner2),
     /* 2445 */ // Label 179: @2445
     /* 2445 */ GIM_Try, /*On fail goto*//*Label 180*/ GIMT_Encode4(2466), // Rule ID 4 //
     /* 2450 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule4Enabled),
     /* 2453 */   // MIs[0] root
     /* 2453 */   // No operand predicates
     /* 2453 */   // MIs[0] second
     /* 2453 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2457 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2461 */   // MIs[1] src
     /* 2461 */   // No operand predicates
     /* 2461 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2463 */   // Combiner Rule #4: zext_of_zext
     /* 2463 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner2),
     /* 2466 */ // Label 180: @2466
     /* 2466 */ GIM_Reject,
     /* 2467 */ // Label 29: @2467
     /* 2467 */ GIM_Try, /*On fail goto*//*Label 181*/ GIMT_Encode4(2478), // Rule ID 67 //
     /* 2472 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule48Enabled),
     /* 2475 */   // Combiner Rule #48: constant_fold_binop; wip_match_opcode 'G_SHL'
     /* 2475 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner39),
     /* 2478 */ // Label 181: @2478
     /* 2478 */ GIM_Try, /*On fail goto*//*Label 182*/ GIMT_Encode4(2489), // Rule ID 95 //
     /* 2483 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule53Enabled),
     /* 2486 */   // Combiner Rule #53: binop_left_to_zero; wip_match_opcode 'G_SHL'
     /* 2486 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner42),
     /* 2489 */ // Label 182: @2489
     /* 2489 */ GIM_Try, /*On fail goto*//*Label 183*/ GIMT_Encode4(2500), // Rule ID 127 //
     /* 2494 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule75Enabled),
     /* 2497 */   // Combiner Rule #75: binop_left_undef_to_zero; wip_match_opcode 'G_SHL'
     /* 2497 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner56),
     /* 2500 */ // Label 183: @2500
     /* 2500 */ GIM_Try, /*On fail goto*//*Label 184*/ GIMT_Encode4(2511), // Rule ID 130 //
     /* 2505 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule76Enabled),
     /* 2508 */   // Combiner Rule #76: binop_right_undef_to_undef; wip_match_opcode 'G_SHL'
     /* 2508 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner57),
     /* 2511 */ // Label 184: @2511
     /* 2511 */ GIM_Try, /*On fail goto*//*Label 185*/ GIMT_Encode4(2534), // Rule ID 87 //
     /* 2516 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule51Enabled),
     /* 2519 */   // MIs[0] dst
     /* 2519 */   // No operand predicates
     /* 2519 */   // MIs[0] lhs
     /* 2519 */   // No operand predicates
     /* 2519 */   // MIs[0] Operand 2
     /* 2519 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 2523 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 2528 */   // Combiner Rule #51: right_identity_zero @ [__right_identity_zero_match_0[4]]
     /* 2528 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 2533 */   GIR_EraseRootFromParent_Done,
     /* 2534 */ // Label 185: @2534
     /* 2534 */ GIM_Reject,
     /* 2535 */ // Label 30: @2535
     /* 2535 */ GIM_Try, /*On fail goto*//*Label 186*/ GIMT_Encode4(2546), // Rule ID 36 //
     /* 2540 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule28Enabled),
     /* 2543 */   // Combiner Rule #28: bitfield_extract_from_shr; wip_match_opcode 'G_LSHR'
     /* 2543 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner20),
     /* 2546 */ // Label 186: @2546
     /* 2546 */ GIM_Try, /*On fail goto*//*Label 187*/ GIMT_Encode4(2557), // Rule ID 38 //
     /* 2551 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule29Enabled),
     /* 2554 */   // Combiner Rule #29: bitfield_extract_from_shr_and; wip_match_opcode 'G_LSHR'
     /* 2554 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner21),
     /* 2557 */ // Label 187: @2557
     /* 2557 */ GIM_Try, /*On fail goto*//*Label 188*/ GIMT_Encode4(2568), // Rule ID 64 //
     /* 2562 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule48Enabled),
     /* 2565 */   // Combiner Rule #48: constant_fold_binop; wip_match_opcode 'G_LSHR'
     /* 2565 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner39),
     /* 2568 */ // Label 188: @2568
     /* 2568 */ GIM_Try, /*On fail goto*//*Label 189*/ GIMT_Encode4(2579), // Rule ID 96 //
     /* 2573 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule53Enabled),
     /* 2576 */   // Combiner Rule #53: binop_left_to_zero; wip_match_opcode 'G_LSHR'
     /* 2576 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner42),
     /* 2579 */ // Label 189: @2579
     /* 2579 */ GIM_Try, /*On fail goto*//*Label 190*/ GIMT_Encode4(2590), // Rule ID 132 //
     /* 2584 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule76Enabled),
     /* 2587 */   // Combiner Rule #76: binop_right_undef_to_undef; wip_match_opcode 'G_LSHR'
     /* 2587 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner57),
     /* 2590 */ // Label 190: @2590
     /* 2590 */ GIM_Try, /*On fail goto*//*Label 191*/ GIMT_Encode4(2613), // Rule ID 89 //
     /* 2595 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule51Enabled),
     /* 2598 */   // MIs[0] dst
     /* 2598 */   // No operand predicates
     /* 2598 */   // MIs[0] lhs
     /* 2598 */   // No operand predicates
     /* 2598 */   // MIs[0] Operand 2
     /* 2598 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 2602 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 2607 */   // Combiner Rule #51: right_identity_zero @ [__right_identity_zero_match_0[6]]
     /* 2607 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 2612 */   GIR_EraseRootFromParent_Done,
     /* 2613 */ // Label 191: @2613
     /* 2613 */ GIM_Reject,
     /* 2614 */ // Label 31: @2614
     /* 2614 */ GIM_Try, /*On fail goto*//*Label 192*/ GIMT_Encode4(2625), // Rule ID 35 //
     /* 2619 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule28Enabled),
     /* 2622 */   // Combiner Rule #28: bitfield_extract_from_shr; wip_match_opcode 'G_ASHR'
     /* 2622 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner20),
     /* 2625 */ // Label 192: @2625
     /* 2625 */ GIM_Try, /*On fail goto*//*Label 193*/ GIMT_Encode4(2636), // Rule ID 37 //
     /* 2630 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule29Enabled),
     /* 2633 */   // Combiner Rule #29: bitfield_extract_from_shr_and; wip_match_opcode 'G_ASHR'
     /* 2633 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner21),
     /* 2636 */ // Label 193: @2636
     /* 2636 */ GIM_Try, /*On fail goto*//*Label 194*/ GIMT_Encode4(2647), // Rule ID 63 //
     /* 2641 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule48Enabled),
     /* 2644 */   // Combiner Rule #48: constant_fold_binop; wip_match_opcode 'G_ASHR'
     /* 2644 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner39),
     /* 2647 */ // Label 194: @2647
     /* 2647 */ GIM_Try, /*On fail goto*//*Label 195*/ GIMT_Encode4(2658), // Rule ID 97 //
     /* 2652 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule53Enabled),
     /* 2655 */   // Combiner Rule #53: binop_left_to_zero; wip_match_opcode 'G_ASHR'
     /* 2655 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner42),
     /* 2658 */ // Label 195: @2658
     /* 2658 */ GIM_Try, /*On fail goto*//*Label 196*/ GIMT_Encode4(2669), // Rule ID 131 //
     /* 2663 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule76Enabled),
     /* 2666 */   // Combiner Rule #76: binop_right_undef_to_undef; wip_match_opcode 'G_ASHR'
     /* 2666 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner57),
     /* 2669 */ // Label 196: @2669
     /* 2669 */ GIM_Try, /*On fail goto*//*Label 197*/ GIMT_Encode4(2692), // Rule ID 88 //
     /* 2674 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule51Enabled),
     /* 2677 */   // MIs[0] dst
     /* 2677 */   // No operand predicates
     /* 2677 */   // MIs[0] lhs
     /* 2677 */   // No operand predicates
     /* 2677 */   // MIs[0] Operand 2
     /* 2677 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 2681 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 2686 */   // Combiner Rule #51: right_identity_zero @ [__right_identity_zero_match_0[5]]
     /* 2686 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 2691 */   GIR_EraseRootFromParent_Done,
     /* 2692 */ // Label 197: @2692
     /* 2692 */ GIM_Reject,
     /* 2693 */ // Label 32: @2693
     /* 2693 */ GIM_Try, /*On fail goto*//*Label 198*/ GIMT_Encode4(2704), // Rule ID 39 //
     /* 2698 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule30Enabled),
     /* 2701 */   // Combiner Rule #30: rotate_out_of_range; wip_match_opcode 'G_ROTR'
     /* 2701 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner22),
     /* 2704 */ // Label 198: @2704
     /* 2704 */ GIM_Try, /*On fail goto*//*Label 199*/ GIMT_Encode4(2727), // Rule ID 92 //
     /* 2709 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule51Enabled),
     /* 2712 */   // MIs[0] dst
     /* 2712 */   // No operand predicates
     /* 2712 */   // MIs[0] lhs
     /* 2712 */   // No operand predicates
     /* 2712 */   // MIs[0] Operand 2
     /* 2712 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 2716 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 2721 */   // Combiner Rule #51: right_identity_zero @ [__right_identity_zero_match_0[9]]
     /* 2721 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 2726 */   GIR_EraseRootFromParent_Done,
     /* 2727 */ // Label 199: @2727
     /* 2727 */ GIM_Reject,
     /* 2728 */ // Label 33: @2728
     /* 2728 */ GIM_Try, /*On fail goto*//*Label 200*/ GIMT_Encode4(2739), // Rule ID 40 //
     /* 2733 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule30Enabled),
     /* 2736 */   // Combiner Rule #30: rotate_out_of_range; wip_match_opcode 'G_ROTL'
     /* 2736 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner22),
     /* 2739 */ // Label 200: @2739
     /* 2739 */ GIM_Try, /*On fail goto*//*Label 201*/ GIMT_Encode4(2762), // Rule ID 91 //
     /* 2744 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule51Enabled),
     /* 2747 */   // MIs[0] dst
     /* 2747 */   // No operand predicates
     /* 2747 */   // MIs[0] lhs
     /* 2747 */   // No operand predicates
     /* 2747 */   // MIs[0] Operand 2
     /* 2747 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 2751 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 2756 */   // Combiner Rule #51: right_identity_zero @ [__right_identity_zero_match_0[8]]
     /* 2756 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 2761 */   GIR_EraseRootFromParent_Done,
     /* 2762 */ // Label 201: @2762
     /* 2762 */ GIM_Reject,
     /* 2763 */ // Label 34: @2763
     /* 2763 */ GIM_Try, /*On fail goto*//*Label 202*/ GIMT_Encode4(2774), // Rule ID 41 //
     /* 2768 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule31Enabled),
     /* 2771 */   // Combiner Rule #31: icmp_to_true_false_known_bits; wip_match_opcode 'G_ICMP'
     /* 2771 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner23),
     /* 2774 */ // Label 202: @2774
     /* 2774 */ GIM_Reject,
     /* 2775 */ // Label 35: @2775
     /* 2775 */ GIM_Try, /*On fail goto*//*Label 203*/ GIMT_Encode4(2786), // Rule ID 47 //
     /* 2780 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule35Enabled),
     /* 2783 */   // Combiner Rule #35: select_constant_cmp; wip_match_opcode 'G_SELECT'
     /* 2783 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner26),
     /* 2786 */ // Label 203: @2786
     /* 2786 */ GIM_Try, /*On fail goto*//*Label 204*/ GIMT_Encode4(2797), // Rule ID 49 //
     /* 2791 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule37Enabled),
     /* 2794 */   // Combiner Rule #37: match_selects; wip_match_opcode 'G_SELECT'
     /* 2794 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner28),
     /* 2797 */ // Label 204: @2797
     /* 2797 */ GIM_Try, /*On fail goto*//*Label 205*/ GIMT_Encode4(2808), // Rule ID 82 //
     /* 2802 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule50Enabled),
     /* 2805 */   // Combiner Rule #50: select_same_val; wip_match_opcode 'G_SELECT'
     /* 2805 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner41),
     /* 2808 */ // Label 205: @2808
     /* 2808 */ GIM_Try, /*On fail goto*//*Label 206*/ GIMT_Encode4(2819), // Rule ID 150 //
     /* 2813 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule84Enabled),
     /* 2816 */   // Combiner Rule #84: select_to_minmax; wip_match_opcode 'G_SELECT'
     /* 2816 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner64),
     /* 2819 */ // Label 206: @2819
     /* 2819 */ GIM_Try, /*On fail goto*//*Label 207*/ GIMT_Encode4(2840), // Rule ID 48 //
     /* 2824 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule36Enabled),
     /* 2827 */   // MIs[0] root
     /* 2827 */   // No operand predicates
     /* 2827 */   // MIs[0] tst
     /* 2827 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2831 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2835 */   // MIs[1] tst1
     /* 2835 */   // No operand predicates
     /* 2835 */   // MIs[1] a
     /* 2835 */   // No operand predicates
     /* 2835 */   // MIs[1] b
     /* 2835 */   // No operand predicates
     /* 2835 */   // MIs[0] x
     /* 2835 */   // No operand predicates
     /* 2835 */   // MIs[0] y
     /* 2835 */   // No operand predicates
     /* 2835 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2837 */   // Combiner Rule #36: select_to_iminmax
     /* 2837 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner27),
     /* 2840 */ // Label 207: @2840
     /* 2840 */ GIM_Try, /*On fail goto*//*Label 208*/ GIMT_Encode4(2869), // Rule ID 46 //
     /* 2845 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule34Enabled),
     /* 2848 */   // MIs[0] dst
     /* 2848 */   // No operand predicates
     /* 2848 */   // MIs[0] undef
     /* 2848 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2852 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 2856 */   // MIs[0] x
     /* 2856 */   // No operand predicates
     /* 2856 */   // MIs[0] y
     /* 2856 */   // No operand predicates
     /* 2856 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/3,
     /* 2861 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2863 */   // Combiner Rule #34: select_undef_cmp
     /* 2863 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/3,
     /* 2868 */   GIR_EraseRootFromParent_Done,
     /* 2869 */ // Label 208: @2869
     /* 2869 */ GIM_Reject,
     /* 2870 */ // Label 36: @2870
     /* 2870 */ GIM_Try, /*On fail goto*//*Label 209*/ GIMT_Encode4(2881), // Rule ID 43 //
     /* 2875 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule32Enabled),
     /* 2878 */   // Combiner Rule #32: match_addos; wip_match_opcode 'G_UADDO'
     /* 2878 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner24),
     /* 2881 */ // Label 209: @2881
     /* 2881 */ GIM_Try, /*On fail goto*//*Label 210*/ GIMT_Encode4(2892), // Rule ID 162 //
     /* 2886 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule87Enabled),
     /* 2889 */   // Combiner Rule #87: commute_int_constant_to_rhs; wip_match_opcode 'G_UADDO'
     /* 2889 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner67),
     /* 2892 */ // Label 210: @2892
     /* 2892 */ GIM_Reject,
     /* 2893 */ // Label 37: @2893
     /* 2893 */ GIM_Try, /*On fail goto*//*Label 211*/ GIMT_Encode4(2904), // Rule ID 45 //
     /* 2898 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule33Enabled),
     /* 2901 */   // Combiner Rule #33: match_subo_no_overflow; wip_match_opcode 'G_USUBO'
     /* 2901 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner25),
     /* 2904 */ // Label 211: @2904
     /* 2904 */ GIM_Reject,
     /* 2905 */ // Label 38: @2905
     /* 2905 */ GIM_Try, /*On fail goto*//*Label 212*/ GIMT_Encode4(2916), // Rule ID 42 //
     /* 2910 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule32Enabled),
     /* 2913 */   // Combiner Rule #32: match_addos; wip_match_opcode 'G_SADDO'
     /* 2913 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner24),
     /* 2916 */ // Label 212: @2916
     /* 2916 */ GIM_Try, /*On fail goto*//*Label 213*/ GIMT_Encode4(2927), // Rule ID 163 //
     /* 2921 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule87Enabled),
     /* 2924 */   // Combiner Rule #87: commute_int_constant_to_rhs; wip_match_opcode 'G_SADDO'
     /* 2924 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner67),
     /* 2927 */ // Label 213: @2927
     /* 2927 */ GIM_Reject,
     /* 2928 */ // Label 39: @2928
     /* 2928 */ GIM_Try, /*On fail goto*//*Label 214*/ GIMT_Encode4(2939), // Rule ID 44 //
     /* 2933 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule33Enabled),
     /* 2936 */   // Combiner Rule #33: match_subo_no_overflow; wip_match_opcode 'G_SSUBO'
     /* 2936 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner25),
     /* 2939 */ // Label 214: @2939
     /* 2939 */ GIM_Reject,
     /* 2940 */ // Label 40: @2940
     /* 2940 */ GIM_Try, /*On fail goto*//*Label 215*/ GIMT_Encode4(2951), // Rule ID 164 //
     /* 2945 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule87Enabled),
     /* 2948 */   // Combiner Rule #87: commute_int_constant_to_rhs; wip_match_opcode 'G_UMULO'
     /* 2948 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner67),
     /* 2951 */ // Label 215: @2951
     /* 2951 */ GIM_Reject,
     /* 2952 */ // Label 41: @2952
     /* 2952 */ GIM_Try, /*On fail goto*//*Label 216*/ GIMT_Encode4(2963), // Rule ID 165 //
     /* 2957 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule87Enabled),
     /* 2960 */   // Combiner Rule #87: commute_int_constant_to_rhs; wip_match_opcode 'G_SMULO'
     /* 2960 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner67),
     /* 2963 */ // Label 216: @2963
     /* 2963 */ GIM_Reject,
     /* 2964 */ // Label 42: @2964
     /* 2964 */ GIM_Try, /*On fail goto*//*Label 217*/ GIMT_Encode4(2975), // Rule ID 166 //
     /* 2969 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule87Enabled),
     /* 2972 */   // Combiner Rule #87: commute_int_constant_to_rhs; wip_match_opcode 'G_UMULH'
     /* 2972 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner67),
     /* 2975 */ // Label 217: @2975
     /* 2975 */ GIM_Reject,
     /* 2976 */ // Label 43: @2976
     /* 2976 */ GIM_Try, /*On fail goto*//*Label 218*/ GIMT_Encode4(2987), // Rule ID 167 //
     /* 2981 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule87Enabled),
     /* 2984 */   // Combiner Rule #87: commute_int_constant_to_rhs; wip_match_opcode 'G_SMULH'
     /* 2984 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner67),
     /* 2987 */ // Label 218: @2987
     /* 2987 */ GIM_Reject,
     /* 2988 */ // Label 44: @2988
     /* 2988 */ GIM_Try, /*On fail goto*//*Label 219*/ GIMT_Encode4(2999), // Rule ID 168 //
     /* 2993 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule87Enabled),
     /* 2996 */   // Combiner Rule #87: commute_int_constant_to_rhs; wip_match_opcode 'G_UADDSAT'
     /* 2996 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner67),
     /* 2999 */ // Label 219: @2999
     /* 2999 */ GIM_Reject,
     /* 3000 */ // Label 45: @3000
     /* 3000 */ GIM_Try, /*On fail goto*//*Label 220*/ GIMT_Encode4(3011), // Rule ID 169 //
     /* 3005 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule87Enabled),
     /* 3008 */   // Combiner Rule #87: commute_int_constant_to_rhs; wip_match_opcode 'G_SADDSAT'
     /* 3008 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner67),
     /* 3011 */ // Label 220: @3011
     /* 3011 */ GIM_Reject,
     /* 3012 */ // Label 46: @3012
     /* 3012 */ GIM_Try, /*On fail goto*//*Label 221*/ GIMT_Encode4(3023), // Rule ID 170 //
     /* 3017 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule87Enabled),
     /* 3020 */   // Combiner Rule #87: commute_int_constant_to_rhs; wip_match_opcode 'G_SMULFIX'
     /* 3020 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner67),
     /* 3023 */ // Label 221: @3023
     /* 3023 */ GIM_Reject,
     /* 3024 */ // Label 47: @3024
     /* 3024 */ GIM_Try, /*On fail goto*//*Label 222*/ GIMT_Encode4(3035), // Rule ID 171 //
     /* 3029 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule87Enabled),
     /* 3032 */   // Combiner Rule #87: commute_int_constant_to_rhs; wip_match_opcode 'G_UMULFIX'
     /* 3032 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner67),
     /* 3035 */ // Label 222: @3035
     /* 3035 */ GIM_Reject,
     /* 3036 */ // Label 48: @3036
     /* 3036 */ GIM_Try, /*On fail goto*//*Label 223*/ GIMT_Encode4(3047), // Rule ID 172 //
     /* 3041 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule87Enabled),
     /* 3044 */   // Combiner Rule #87: commute_int_constant_to_rhs; wip_match_opcode 'G_SMULFIXSAT'
     /* 3044 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner67),
     /* 3047 */ // Label 223: @3047
     /* 3047 */ GIM_Reject,
     /* 3048 */ // Label 49: @3048
     /* 3048 */ GIM_Try, /*On fail goto*//*Label 224*/ GIMT_Encode4(3059), // Rule ID 173 //
     /* 3053 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule87Enabled),
     /* 3056 */   // Combiner Rule #87: commute_int_constant_to_rhs; wip_match_opcode 'G_UMULFIXSAT'
     /* 3056 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner67),
     /* 3059 */ // Label 224: @3059
     /* 3059 */ GIM_Reject,
     /* 3060 */ // Label 50: @3060
     /* 3060 */ GIM_Try, /*On fail goto*//*Label 225*/ GIMT_Encode4(3071), // Rule ID 78 //
     /* 3065 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule49Enabled),
     /* 3068 */   // Combiner Rule #49: constant_fold_fp_binop; wip_match_opcode 'G_FADD'
     /* 3068 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner40),
     /* 3071 */ // Label 225: @3071
     /* 3071 */ GIM_Try, /*On fail goto*//*Label 226*/ GIMT_Encode4(3082), // Rule ID 174 //
     /* 3076 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule88Enabled),
     /* 3079 */   // Combiner Rule #88: commute_fp_constant_to_rhs; wip_match_opcode 'G_FADD'
     /* 3079 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner68),
     /* 3082 */ // Label 226: @3082
     /* 3082 */ GIM_Try, /*On fail goto*//*Label 227*/ GIMT_Encode4(3105), // Rule ID 117 //
     /* 3087 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule67Enabled),
     /* 3090 */   // MIs[0] dst
     /* 3090 */   // No operand predicates
     /* 3090 */   // MIs[0] x
     /* 3090 */   // No operand predicates
     /* 3090 */   // MIs[0] y
     /* 3090 */   // No operand predicates
     /* 3090 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner1),
     /* 3094 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 3099 */   // Combiner Rule #67: right_identity_neg_zero_fp
     /* 3099 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 3104 */   GIR_EraseRootFromParent_Done,
     /* 3105 */ // Label 227: @3105
     /* 3105 */ GIM_Reject,
     /* 3106 */ // Label 51: @3106
     /* 3106 */ GIM_Try, /*On fail goto*//*Label 228*/ GIMT_Encode4(3117), // Rule ID 79 //
     /* 3111 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule49Enabled),
     /* 3114 */   // Combiner Rule #49: constant_fold_fp_binop; wip_match_opcode 'G_FSUB'
     /* 3114 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner40),
     /* 3117 */ // Label 228: @3117
     /* 3117 */ GIM_Reject,
     /* 3118 */ // Label 52: @3118
     /* 3118 */ GIM_Try, /*On fail goto*//*Label 229*/ GIMT_Encode4(3129), // Rule ID 80 //
     /* 3123 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule49Enabled),
     /* 3126 */   // Combiner Rule #49: constant_fold_fp_binop; wip_match_opcode 'G_FMUL'
     /* 3126 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner40),
     /* 3129 */ // Label 229: @3129
     /* 3129 */ GIM_Try, /*On fail goto*//*Label 230*/ GIMT_Encode4(3140), // Rule ID 175 //
     /* 3134 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule88Enabled),
     /* 3137 */   // Combiner Rule #88: commute_fp_constant_to_rhs; wip_match_opcode 'G_FMUL'
     /* 3137 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner68),
     /* 3140 */ // Label 230: @3140
     /* 3140 */ GIM_Try, /*On fail goto*//*Label 231*/ GIMT_Encode4(3163), // Rule ID 108 //
     /* 3145 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule60Enabled),
     /* 3148 */   // MIs[0] dst
     /* 3148 */   // No operand predicates
     /* 3148 */   // MIs[0] x
     /* 3148 */   // No operand predicates
     /* 3148 */   // MIs[0] y
     /* 3148 */   // No operand predicates
     /* 3148 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner0),
     /* 3152 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 3157 */   // Combiner Rule #60: right_identity_one_fp
     /* 3157 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 3162 */   GIR_EraseRootFromParent_Done,
     /* 3163 */ // Label 231: @3163
     /* 3163 */ GIM_Try, /*On fail goto*//*Label 232*/ GIMT_Encode4(3183), // Rule ID 118 //
     /* 3168 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule68Enabled),
     /* 3171 */   // MIs[0] dst
     /* 3171 */   // No operand predicates
     /* 3171 */   // MIs[0] x
     /* 3171 */   // No operand predicates
     /* 3171 */   // MIs[0] y
     /* 3171 */   // No operand predicates
     /* 3171 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner2),
     /* 3175 */   // Combiner Rule #68: right_identity_neg_one_fp
     /* 3175 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 3178 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /* 3180 */   GIR_RootToRootCopy, /*OpIdx*/1, // x
     /* 3182 */   GIR_EraseRootFromParent_Done,
     /* 3183 */ // Label 232: @3183
     /* 3183 */ GIM_Reject,
     /* 3184 */ // Label 53: @3184
     /* 3184 */ GIM_Try, /*On fail goto*//*Label 233*/ GIMT_Encode4(3195), // Rule ID 81 //
     /* 3189 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule49Enabled),
     /* 3192 */   // Combiner Rule #49: constant_fold_fp_binop; wip_match_opcode 'G_FDIV'
     /* 3192 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner40),
     /* 3195 */ // Label 233: @3195
     /* 3195 */ GIM_Reject,
     /* 3196 */ // Label 54: @3196
     /* 3196 */ GIM_Try, /*On fail goto*//*Label 234*/ GIMT_Encode4(3225), // Rule ID 106 //
     /* 3201 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule58Enabled),
     /* 3204 */   // MIs[0] dst
     /* 3204 */   // No operand predicates
     /* 3204 */   // MIs[0] t
     /* 3204 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3208 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 3212 */   // MIs[1] src
     /* 3212 */   // No operand predicates
     /* 3212 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 3217 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3219 */   // Combiner Rule #58: fneg_fneg_fold
     /* 3219 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 3224 */   GIR_EraseRootFromParent_Done,
     /* 3225 */ // Label 234: @3225
     /* 3225 */ GIM_Reject,
     /* 3226 */ // Label 55: @3226
     /* 3226 */ GIM_Try, /*On fail goto*//*Label 235*/ GIMT_Encode4(3247), // Rule ID 116 //
     /* 3231 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule66Enabled),
     /* 3234 */   // MIs[0] dst
     /* 3234 */   // No operand predicates
     /* 3234 */   // MIs[0] src1
     /* 3234 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3238 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPEXT),
     /* 3242 */   // MIs[1] src0
     /* 3242 */   // No operand predicates
     /* 3242 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3244 */   // Combiner Rule #66: fptrunc_fpext_fold
     /* 3244 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner49),
     /* 3247 */ // Label 235: @3247
     /* 3247 */ GIM_Reject,
     /* 3248 */ // Label 56: @3248
     /* 3248 */ GIM_Try, /*On fail goto*//*Label 236*/ GIMT_Encode4(3269), // Rule ID 139 //
     /* 3253 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule78Enabled),
     /* 3256 */   // MIs[0] dst
     /* 3256 */   // No operand predicates
     /* 3256 */   // MIs[0] __unary_undef_to_undef_match_0.x
     /* 3256 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3260 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 3264 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3266 */   // Combiner Rule #78: unary_undef_to_undef @ [__unary_undef_to_undef_match_0[5]]
     /* 3266 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner58),
     /* 3269 */ // Label 236: @3269
     /* 3269 */ GIM_Reject,
     /* 3270 */ // Label 57: @3270
     /* 3270 */ GIM_Try, /*On fail goto*//*Label 237*/ GIMT_Encode4(3291), // Rule ID 140 //
     /* 3275 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule78Enabled),
     /* 3278 */   // MIs[0] dst
     /* 3278 */   // No operand predicates
     /* 3278 */   // MIs[0] __unary_undef_to_undef_match_0.x
     /* 3278 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3282 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 3286 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3288 */   // Combiner Rule #78: unary_undef_to_undef @ [__unary_undef_to_undef_match_0[6]]
     /* 3288 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner58),
     /* 3291 */ // Label 237: @3291
     /* 3291 */ GIM_Reject,
     /* 3292 */ // Label 58: @3292
     /* 3292 */ GIM_Try, /*On fail goto*//*Label 238*/ GIMT_Encode4(3303), // Rule ID 123 //
     /* 3297 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule72Enabled),
     /* 3300 */   // Combiner Rule #72: undef_to_fp_zero; wip_match_opcode 'G_SITOFP'
     /* 3300 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner53),
     /* 3303 */ // Label 238: @3303
     /* 3303 */ GIM_Reject,
     /* 3304 */ // Label 59: @3304
     /* 3304 */ GIM_Try, /*On fail goto*//*Label 239*/ GIMT_Encode4(3315), // Rule ID 122 //
     /* 3309 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule72Enabled),
     /* 3312 */   // Combiner Rule #72: undef_to_fp_zero; wip_match_opcode 'G_UITOFP'
     /* 3312 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner53),
     /* 3315 */ // Label 239: @3315
     /* 3315 */ GIM_Reject,
     /* 3316 */ // Label 60: @3316
     /* 3316 */ GIM_Try, /*On fail goto*//*Label 240*/ GIMT_Encode4(3327), // Rule ID 176 //
     /* 3321 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule88Enabled),
     /* 3324 */   // Combiner Rule #88: commute_fp_constant_to_rhs; wip_match_opcode 'G_FMINNUM'
     /* 3324 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner68),
     /* 3327 */ // Label 240: @3327
     /* 3327 */ GIM_Reject,
     /* 3328 */ // Label 61: @3328
     /* 3328 */ GIM_Try, /*On fail goto*//*Label 241*/ GIMT_Encode4(3339), // Rule ID 177 //
     /* 3333 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule88Enabled),
     /* 3336 */   // Combiner Rule #88: commute_fp_constant_to_rhs; wip_match_opcode 'G_FMAXNUM'
     /* 3336 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner68),
     /* 3339 */ // Label 241: @3339
     /* 3339 */ GIM_Reject,
     /* 3340 */ // Label 62: @3340
     /* 3340 */ GIM_Try, /*On fail goto*//*Label 242*/ GIMT_Encode4(3351), // Rule ID 178 //
     /* 3345 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule88Enabled),
     /* 3348 */   // Combiner Rule #88: commute_fp_constant_to_rhs; wip_match_opcode 'G_FMINNUM_IEEE'
     /* 3348 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner68),
     /* 3351 */ // Label 242: @3351
     /* 3351 */ GIM_Reject,
     /* 3352 */ // Label 63: @3352
     /* 3352 */ GIM_Try, /*On fail goto*//*Label 243*/ GIMT_Encode4(3363), // Rule ID 179 //
     /* 3357 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule88Enabled),
     /* 3360 */   // Combiner Rule #88: commute_fp_constant_to_rhs; wip_match_opcode 'G_FMAXNUM_IEEE'
     /* 3360 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner68),
     /* 3363 */ // Label 243: @3363
     /* 3363 */ GIM_Reject,
     /* 3364 */ // Label 64: @3364
     /* 3364 */ GIM_Try, /*On fail goto*//*Label 244*/ GIMT_Encode4(3375), // Rule ID 180 //
     /* 3369 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule88Enabled),
     /* 3372 */   // Combiner Rule #88: commute_fp_constant_to_rhs; wip_match_opcode 'G_FMINIMUM'
     /* 3372 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner68),
     /* 3375 */ // Label 244: @3375
     /* 3375 */ GIM_Reject,
     /* 3376 */ // Label 65: @3376
     /* 3376 */ GIM_Try, /*On fail goto*//*Label 245*/ GIMT_Encode4(3387), // Rule ID 181 //
     /* 3381 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule88Enabled),
     /* 3384 */   // Combiner Rule #88: commute_fp_constant_to_rhs; wip_match_opcode 'G_FMAXIMUM'
     /* 3384 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner68),
     /* 3387 */ // Label 245: @3387
     /* 3387 */ GIM_Reject,
     /* 3388 */ // Label 66: @3388
     /* 3388 */ GIM_Try, /*On fail goto*//*Label 246*/ GIMT_Encode4(3399), // Rule ID 61 //
     /* 3393 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule48Enabled),
     /* 3396 */   // Combiner Rule #48: constant_fold_binop; wip_match_opcode 'G_PTR_ADD'
     /* 3396 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner39),
     /* 3399 */ // Label 246: @3399
     /* 3399 */ GIM_Try, /*On fail goto*//*Label 247*/ GIMT_Encode4(3410), // Rule ID 119 //
     /* 3404 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule69Enabled),
     /* 3407 */   // Combiner Rule #69: ptr_add_immed_chain; wip_match_opcode 'G_PTR_ADD'
     /* 3407 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner50),
     /* 3410 */ // Label 247: @3410
     /* 3410 */ GIM_Try, /*On fail goto*//*Label 248*/ GIMT_Encode4(3433), // Rule ID 90 //
     /* 3415 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule51Enabled),
     /* 3418 */   // MIs[0] dst
     /* 3418 */   // No operand predicates
     /* 3418 */   // MIs[0] lhs
     /* 3418 */   // No operand predicates
     /* 3418 */   // MIs[0] Operand 2
     /* 3418 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 3422 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 3427 */   // Combiner Rule #51: right_identity_zero @ [__right_identity_zero_match_0[7]]
     /* 3427 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 3432 */   GIR_EraseRootFromParent_Done,
     /* 3433 */ // Label 248: @3433
     /* 3433 */ GIM_Reject,
     /* 3434 */ // Label 67: @3434
     /* 3434 */ GIM_Try, /*On fail goto*//*Label 249*/ GIMT_Encode4(3445), // Rule ID 74 //
     /* 3439 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule48Enabled),
     /* 3442 */   // Combiner Rule #48: constant_fold_binop; wip_match_opcode 'G_SMIN'
     /* 3442 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner39),
     /* 3445 */ // Label 249: @3445
     /* 3445 */ GIM_Try, /*On fail goto*//*Label 250*/ GIMT_Encode4(3456), // Rule ID 158 //
     /* 3450 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule87Enabled),
     /* 3453 */   // Combiner Rule #87: commute_int_constant_to_rhs; wip_match_opcode 'G_SMIN'
     /* 3453 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner67),
     /* 3456 */ // Label 250: @3456
     /* 3456 */ GIM_Reject,
     /* 3457 */ // Label 68: @3457
     /* 3457 */ GIM_Try, /*On fail goto*//*Label 251*/ GIMT_Encode4(3468), // Rule ID 75 //
     /* 3462 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule48Enabled),
     /* 3465 */   // Combiner Rule #48: constant_fold_binop; wip_match_opcode 'G_SMAX'
     /* 3465 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner39),
     /* 3468 */ // Label 251: @3468
     /* 3468 */ GIM_Try, /*On fail goto*//*Label 252*/ GIMT_Encode4(3479), // Rule ID 159 //
     /* 3473 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule87Enabled),
     /* 3476 */   // Combiner Rule #87: commute_int_constant_to_rhs; wip_match_opcode 'G_SMAX'
     /* 3476 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner67),
     /* 3479 */ // Label 252: @3479
     /* 3479 */ GIM_Reject,
     /* 3480 */ // Label 69: @3480
     /* 3480 */ GIM_Try, /*On fail goto*//*Label 253*/ GIMT_Encode4(3491), // Rule ID 76 //
     /* 3485 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule48Enabled),
     /* 3488 */   // Combiner Rule #48: constant_fold_binop; wip_match_opcode 'G_UMIN'
     /* 3488 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner39),
     /* 3491 */ // Label 253: @3491
     /* 3491 */ GIM_Try, /*On fail goto*//*Label 254*/ GIMT_Encode4(3502), // Rule ID 160 //
     /* 3496 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule87Enabled),
     /* 3499 */   // Combiner Rule #87: commute_int_constant_to_rhs; wip_match_opcode 'G_UMIN'
     /* 3499 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner67),
     /* 3502 */ // Label 254: @3502
     /* 3502 */ GIM_Reject,
     /* 3503 */ // Label 70: @3503
     /* 3503 */ GIM_Try, /*On fail goto*//*Label 255*/ GIMT_Encode4(3514), // Rule ID 77 //
     /* 3508 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule48Enabled),
     /* 3511 */   // Combiner Rule #48: constant_fold_binop; wip_match_opcode 'G_UMAX'
     /* 3511 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner39),
     /* 3514 */ // Label 255: @3514
     /* 3514 */ GIM_Try, /*On fail goto*//*Label 256*/ GIMT_Encode4(3525), // Rule ID 161 //
     /* 3519 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule87Enabled),
     /* 3522 */   // Combiner Rule #87: commute_int_constant_to_rhs; wip_match_opcode 'G_UMAX'
     /* 3522 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner67),
     /* 3525 */ // Label 256: @3525
     /* 3525 */ GIM_Reject,
     /* 3526 */ // Label 71: @3526
     /* 3526 */ GIM_Try, /*On fail goto*//*Label 257*/ GIMT_Encode4(3537), // Rule ID 133 //
     /* 3531 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule77Enabled),
     /* 3534 */   // Combiner Rule #77: unary_undef_to_zero; wip_match_opcode 'G_ABS'
     /* 3534 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner56),
     /* 3537 */ // Label 257: @3537
     /* 3537 */ GIM_Reject,
     /* 3538 */ // Label 72: @3538
     /* 3538 */ GIM_Try, /*On fail goto*//*Label 258*/ GIMT_Encode4(3549), // Rule ID 148 //
     /* 3543 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule83Enabled),
     /* 3546 */   // Combiner Rule #83: insert_extract_vec_elt_out_of_bounds; wip_match_opcode 'G_INSERT_VECTOR_ELT'
     /* 3546 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner63),
     /* 3549 */ // Label 258: @3549
     /* 3549 */ GIM_Reject,
     /* 3550 */ // Label 73: @3550
     /* 3550 */ GIM_Try, /*On fail goto*//*Label 259*/ GIMT_Encode4(3561), // Rule ID 29 //
     /* 3555 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule22Enabled),
     /* 3558 */   // Combiner Rule #22: extractvecelt_pairwise_add; wip_match_opcode 'G_EXTRACT_VECTOR_ELT'
     /* 3558 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner14),
     /* 3561 */ // Label 259: @3561
     /* 3561 */ GIM_Try, /*On fail goto*//*Label 260*/ GIMT_Encode4(3572), // Rule ID 149 //
     /* 3566 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule83Enabled),
     /* 3569 */   // Combiner Rule #83: insert_extract_vec_elt_out_of_bounds; wip_match_opcode 'G_EXTRACT_VECTOR_ELT'
     /* 3569 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner63),
     /* 3572 */ // Label 260: @3572
     /* 3572 */ GIM_Reject,
     /* 3573 */ // Label 74: @3573
     /* 3573 */ GIM_Try, /*On fail goto*//*Label 261*/ GIMT_Encode4(3584), // Rule ID 144 //
     /* 3578 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule80Enabled),
     /* 3581 */   // Combiner Rule #80: propagate_undef_all_ops; wip_match_opcode 'G_SHUFFLE_VECTOR'
     /* 3581 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner60),
     /* 3584 */ // Label 261: @3584
     /* 3584 */ GIM_Try, /*On fail goto*//*Label 262*/ GIMT_Encode4(3595), // Rule ID 146 //
     /* 3589 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule81Enabled),
     /* 3592 */   // Combiner Rule #81: propagate_undef_shuffle_mask; wip_match_opcode 'G_SHUFFLE_VECTOR'
     /* 3592 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner61),
     /* 3595 */ // Label 262: @3595
     /* 3595 */ GIM_Reject,
     /* 3596 */ // Label 75: @3596
     /* 3596 */ GIM_Reject,
     /* 3597 */ }; // Size: 3597 bytes
  return MatchTable0;
}
#undef GIMT_Encode2
#undef GIMT_Encode4
#undef GIMT_Encode8

#endif // ifdef GET_GICOMBINER_IMPL

#ifdef GET_GICOMBINER_CONSTRUCTOR_INITS
AvailableModuleFeatures(computeAvailableModuleFeatures(&STI)),
AvailableFunctionFeatures()
#endif // ifdef GET_GICOMBINER_CONSTRUCTOR_INITS
#ifdef GET_GICOMBINER_CONSTRUCTOR_INITS
, State(0),
ExecInfo(TypeObjects, NumTypeObjects, FeatureBitsets, ComplexPredicateFns, CustomRenderers)
#endif // ifdef GET_GICOMBINER_CONSTRUCTOR_INITS

