/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|*  * Mips Disassembler                                                       *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/


#include "llvm/MC/MCInst.h"
#include "llvm/MC/MCSubtargetInfo.h"
#include "llvm/Support/DataTypes.h"
#include "llvm/Support/Debug.h"
#include "llvm/Support/LEB128.h"
#include "llvm/Support/raw_ostream.h"
#include "llvm/TargetParser/SubtargetFeature.h"
#include <assert.h>

namespace {

// Helper functions for extracting fields from encoded instructions.
// InsnType must either be integral or an APInt-like object that must:
// * be default-constructible and copy-constructible
// * be constructible from an APInt (this can be private)
// * Support insertBits(bits, startBit, numBits)
// * Support extractBitsAsZExtValue(numBits, startBit)
// * Support the ~, &, ==, and != operators with other objects of the same type
// * Support the != and bitwise & with uint64_t
// * Support put (<<) to raw_ostream&
template <typename InsnType>
#if defined(_MSC_VER) && !defined(__clang__)
__declspec(noinline)
#endif
static std::enable_if_t<std::is_integral<InsnType>::value, InsnType>
fieldFromInstruction(const InsnType &insn, unsigned startBit,
                     unsigned numBits) {
  assert(startBit + numBits <= 64 && "Cannot support >64-bit extractions!");
  assert(startBit + numBits <= (sizeof(InsnType) * 8) &&
         "Instruction field out of bounds!");
  InsnType fieldMask;
  if (numBits == sizeof(InsnType) * 8)
    fieldMask = (InsnType)(-1LL);
  else
    fieldMask = (((InsnType)1 << numBits) - 1) << startBit;
  return (insn & fieldMask) >> startBit;
}

template <typename InsnType>
static std::enable_if_t<!std::is_integral<InsnType>::value, uint64_t>
fieldFromInstruction(const InsnType &insn, unsigned startBit,
                     unsigned numBits) {
  return insn.extractBitsAsZExtValue(numBits, startBit);
}

// Helper function for inserting bits extracted from an encoded instruction into
// a field.
template <typename InsnType>
static void insertBits(InsnType &field, InsnType bits, unsigned startBit,
                       unsigned numBits) {
  if constexpr (std::is_integral<InsnType>::value) {
    assert(startBit + numBits <= sizeof field * 8);
    field |= (InsnType)bits << startBit;
  } else {
    field.insertBits(bits, startBit, numBits);
  }
}

static bool Check(DecodeStatus &Out, DecodeStatus In) {
  Out = static_cast<DecodeStatus>(Out & In);
  return Out != MCDisassembler::Fail;
}

static const uint8_t DecoderTable16[] = {
/* 0 */       MCD::OPC_ExtractField, 11, 5,  // Inst{15-11} ...
/* 3 */       MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 15
/* 7 */       MCD::OPC_CheckPredicate, 0, 7, 2, // Skip to: 530
/* 11 */      MCD::OPC_Decode, 194, 8, 0, // Opcode: Bimm16
/* 15 */      MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 27
/* 19 */      MCD::OPC_CheckPredicate, 0, 251, 1, // Skip to: 530
/* 23 */      MCD::OPC_Decode, 192, 8, 1, // Opcode: BeqzRxImm16
/* 27 */      MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 39
/* 31 */      MCD::OPC_CheckPredicate, 0, 239, 1, // Skip to: 530
/* 35 */      MCD::OPC_Decode, 196, 8, 1, // Opcode: BnezRxImm16
/* 39 */      MCD::OPC_FilterValue, 9, 8, 0, // Skip to: 51
/* 43 */      MCD::OPC_CheckPredicate, 0, 227, 1, // Skip to: 530
/* 47 */      MCD::OPC_Decode, 255, 6, 2, // Opcode: AddiuRxRxImm16
/* 51 */      MCD::OPC_FilterValue, 10, 8, 0, // Skip to: 63
/* 55 */      MCD::OPC_CheckPredicate, 0, 215, 1, // Skip to: 530
/* 59 */      MCD::OPC_Decode, 241, 21, 3, // Opcode: SltiRxImm16
/* 63 */      MCD::OPC_FilterValue, 11, 8, 0, // Skip to: 75
/* 67 */      MCD::OPC_CheckPredicate, 0, 203, 1, // Skip to: 530
/* 71 */      MCD::OPC_Decode, 243, 21, 3, // Opcode: SltiuRxImm16
/* 75 */      MCD::OPC_FilterValue, 12, 63, 0, // Skip to: 142
/* 79 */      MCD::OPC_ExtractField, 8, 3,  // Inst{10-8} ...
/* 82 */      MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 94
/* 86 */      MCD::OPC_CheckPredicate, 0, 184, 1, // Skip to: 530
/* 90 */      MCD::OPC_Decode, 199, 8, 4, // Opcode: Bteqz16
/* 94 */      MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 106
/* 98 */      MCD::OPC_CheckPredicate, 0, 172, 1, // Skip to: 530
/* 102 */     MCD::OPC_Decode, 201, 8, 4, // Opcode: Btnez16
/* 106 */     MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 118
/* 110 */     MCD::OPC_CheckPredicate, 0, 160, 1, // Skip to: 530
/* 114 */     MCD::OPC_Decode, 130, 7, 4, // Opcode: AddiuSpImm16
/* 118 */     MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 130
/* 122 */     MCD::OPC_CheckPredicate, 0, 148, 1, // Skip to: 530
/* 126 */     MCD::OPC_Decode, 245, 17, 5, // Opcode: Move32R16
/* 130 */     MCD::OPC_FilterValue, 7, 140, 1, // Skip to: 530
/* 134 */     MCD::OPC_CheckPredicate, 0, 136, 1, // Skip to: 530
/* 138 */     MCD::OPC_Decode, 246, 17, 6, // Opcode: MoveR3216
/* 142 */     MCD::OPC_FilterValue, 13, 8, 0, // Skip to: 154
/* 146 */     MCD::OPC_CheckPredicate, 0, 124, 1, // Skip to: 530
/* 150 */     MCD::OPC_Decode, 199, 15, 3, // Opcode: LiRxImm16
/* 154 */     MCD::OPC_FilterValue, 14, 8, 0, // Skip to: 166
/* 158 */     MCD::OPC_CheckPredicate, 0, 112, 1, // Skip to: 530
/* 162 */     MCD::OPC_Decode, 137, 11, 3, // Opcode: CmpiRxImm16
/* 166 */     MCD::OPC_FilterValue, 22, 8, 0, // Skip to: 178
/* 170 */     MCD::OPC_CheckPredicate, 0, 100, 1, // Skip to: 530
/* 174 */     MCD::OPC_Decode, 202, 15, 7, // Opcode: LwRxPcTcp16
/* 178 */     MCD::OPC_FilterValue, 28, 27, 0, // Skip to: 209
/* 182 */     MCD::OPC_ExtractField, 0, 2,  // Inst{1-0} ...
/* 185 */     MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 197
/* 189 */     MCD::OPC_CheckPredicate, 0, 81, 1, // Skip to: 530
/* 193 */     MCD::OPC_Decode, 132, 7, 8, // Opcode: AdduRxRyRz16
/* 197 */     MCD::OPC_FilterValue, 3, 73, 1, // Skip to: 530
/* 201 */     MCD::OPC_CheckPredicate, 0, 69, 1, // Skip to: 530
/* 205 */     MCD::OPC_Decode, 250, 21, 8, // Opcode: SubuRxRyRz16
/* 209 */     MCD::OPC_FilterValue, 29, 61, 1, // Skip to: 530
/* 213 */     MCD::OPC_ExtractField, 0, 5,  // Inst{4-0} ...
/* 216 */     MCD::OPC_FilterValue, 0, 69, 0, // Skip to: 289
/* 220 */     MCD::OPC_ExtractField, 5, 3,  // Inst{7-5} ...
/* 223 */     MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 235
/* 227 */     MCD::OPC_CheckPredicate, 0, 43, 1, // Skip to: 530
/* 231 */     MCD::OPC_Decode, 205, 14, 9, // Opcode: JumpLinkReg16
/* 235 */     MCD::OPC_FilterValue, 1, 14, 0, // Skip to: 253
/* 239 */     MCD::OPC_CheckPredicate, 0, 31, 1, // Skip to: 530
/* 243 */     MCD::OPC_CheckField, 8, 3, 0, 25, 1, // Skip to: 530
/* 249 */     MCD::OPC_Decode, 202, 14, 10, // Opcode: JrRa16
/* 253 */     MCD::OPC_FilterValue, 6, 14, 0, // Skip to: 271
/* 257 */     MCD::OPC_CheckPredicate, 0, 13, 1, // Skip to: 530
/* 261 */     MCD::OPC_CheckField, 8, 3, 0, 7, 1, // Skip to: 530
/* 267 */     MCD::OPC_Decode, 204, 14, 10, // Opcode: JrcRx16
/* 271 */     MCD::OPC_FilterValue, 7, 255, 0, // Skip to: 530
/* 275 */     MCD::OPC_CheckPredicate, 0, 251, 0, // Skip to: 530
/* 279 */     MCD::OPC_CheckField, 8, 3, 0, 245, 0, // Skip to: 530
/* 285 */     MCD::OPC_Decode, 203, 14, 10, // Opcode: JrcRa16
/* 289 */     MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 301
/* 293 */     MCD::OPC_CheckPredicate, 0, 233, 0, // Skip to: 530
/* 297 */     MCD::OPC_Decode, 240, 21, 11, // Opcode: SltRxRy16
/* 301 */     MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 313
/* 305 */     MCD::OPC_CheckPredicate, 0, 221, 0, // Skip to: 530
/* 309 */     MCD::OPC_Decode, 245, 21, 11, // Opcode: SltuRxRy16
/* 313 */     MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 325
/* 317 */     MCD::OPC_CheckPredicate, 0, 209, 0, // Skip to: 530
/* 321 */     MCD::OPC_Decode, 239, 21, 12, // Opcode: SllvRxRy16
/* 325 */     MCD::OPC_FilterValue, 5, 14, 0, // Skip to: 343
/* 329 */     MCD::OPC_CheckPredicate, 0, 197, 0, // Skip to: 530
/* 333 */     MCD::OPC_CheckField, 5, 6, 0, 191, 0, // Skip to: 530
/* 339 */     MCD::OPC_Decode, 198, 8, 10, // Opcode: Break16
/* 343 */     MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 355
/* 347 */     MCD::OPC_CheckPredicate, 0, 179, 0, // Skip to: 530
/* 351 */     MCD::OPC_Decode, 249, 21, 12, // Opcode: SrlvRxRy16
/* 355 */     MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 367
/* 359 */     MCD::OPC_CheckPredicate, 0, 167, 0, // Skip to: 530
/* 363 */     MCD::OPC_Decode, 247, 21, 12, // Opcode: SravRxRy16
/* 367 */     MCD::OPC_FilterValue, 10, 8, 0, // Skip to: 379
/* 371 */     MCD::OPC_CheckPredicate, 0, 155, 0, // Skip to: 530
/* 375 */     MCD::OPC_Decode, 136, 11, 11, // Opcode: CmpRxRy16
/* 379 */     MCD::OPC_FilterValue, 12, 8, 0, // Skip to: 391
/* 383 */     MCD::OPC_CheckPredicate, 0, 143, 0, // Skip to: 530
/* 387 */     MCD::OPC_Decode, 133, 7, 12, // Opcode: AndRxRxRy16
/* 391 */     MCD::OPC_FilterValue, 13, 8, 0, // Skip to: 403
/* 395 */     MCD::OPC_CheckPredicate, 0, 131, 0, // Skip to: 530
/* 399 */     MCD::OPC_Decode, 160, 18, 12, // Opcode: OrRxRxRy16
/* 403 */     MCD::OPC_FilterValue, 14, 8, 0, // Skip to: 415
/* 407 */     MCD::OPC_CheckPredicate, 0, 119, 0, // Skip to: 530
/* 411 */     MCD::OPC_Decode, 214, 22, 12, // Opcode: XorRxRxRy16
/* 415 */     MCD::OPC_FilterValue, 15, 8, 0, // Skip to: 427
/* 419 */     MCD::OPC_CheckPredicate, 0, 107, 0, // Skip to: 530
/* 423 */     MCD::OPC_Decode, 147, 18, 11, // Opcode: NotRxRy16
/* 427 */     MCD::OPC_FilterValue, 16, 14, 0, // Skip to: 445
/* 431 */     MCD::OPC_CheckPredicate, 0, 95, 0, // Skip to: 530
/* 435 */     MCD::OPC_CheckField, 5, 3, 0, 89, 0, // Skip to: 530
/* 441 */     MCD::OPC_Decode, 243, 17, 9, // Opcode: Mfhi16
/* 445 */     MCD::OPC_FilterValue, 17, 27, 0, // Skip to: 476
/* 449 */     MCD::OPC_ExtractField, 5, 3,  // Inst{7-5} ...
/* 452 */     MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 464
/* 456 */     MCD::OPC_CheckPredicate, 0, 70, 0, // Skip to: 530
/* 460 */     MCD::OPC_Decode, 235, 21, 13, // Opcode: SebRx16
/* 464 */     MCD::OPC_FilterValue, 5, 62, 0, // Skip to: 530
/* 468 */     MCD::OPC_CheckPredicate, 0, 58, 0, // Skip to: 530
/* 472 */     MCD::OPC_Decode, 236, 21, 13, // Opcode: SehRx16
/* 476 */     MCD::OPC_FilterValue, 18, 14, 0, // Skip to: 494
/* 480 */     MCD::OPC_CheckPredicate, 0, 46, 0, // Skip to: 530
/* 484 */     MCD::OPC_CheckField, 5, 3, 0, 40, 0, // Skip to: 530
/* 490 */     MCD::OPC_Decode, 244, 17, 9, // Opcode: Mflo16
/* 494 */     MCD::OPC_FilterValue, 26, 8, 0, // Skip to: 506
/* 498 */     MCD::OPC_CheckPredicate, 0, 28, 0, // Skip to: 530
/* 502 */     MCD::OPC_Decode, 146, 12, 11, // Opcode: DivRxRy16
/* 506 */     MCD::OPC_FilterValue, 27, 8, 0, // Skip to: 518
/* 510 */     MCD::OPC_CheckPredicate, 0, 16, 0, // Skip to: 530
/* 514 */     MCD::OPC_Decode, 147, 12, 11, // Opcode: DivuRxRy16
/* 518 */     MCD::OPC_FilterValue, 29, 8, 0, // Skip to: 530
/* 522 */     MCD::OPC_CheckPredicate, 0, 4, 0, // Skip to: 530
/* 526 */     MCD::OPC_Decode, 146, 18, 11, // Opcode: NegRxRy16
/* 530 */     MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTable32[] = {
/* 0 */       MCD::OPC_ExtractField, 11, 5,  // Inst{15-11} ...
/* 3 */       MCD::OPC_FilterValue, 1, 20, 0, // Skip to: 27
/* 7 */       MCD::OPC_CheckPredicate, 0, 186, 1, // Skip to: 453
/* 11 */      MCD::OPC_CheckField, 27, 5, 30, 180, 1, // Skip to: 453
/* 17 */      MCD::OPC_CheckField, 5, 3, 0, 174, 1, // Skip to: 453
/* 23 */      MCD::OPC_Decode, 254, 6, 14, // Opcode: AddiuRxPcImmX16
/* 27 */      MCD::OPC_FilterValue, 2, 20, 0, // Skip to: 51
/* 31 */      MCD::OPC_CheckPredicate, 0, 162, 1, // Skip to: 453
/* 35 */      MCD::OPC_CheckField, 27, 5, 30, 156, 1, // Skip to: 453
/* 41 */      MCD::OPC_CheckField, 5, 6, 0, 150, 1, // Skip to: 453
/* 47 */      MCD::OPC_Decode, 195, 8, 15, // Opcode: BimmX16
/* 51 */      MCD::OPC_FilterValue, 4, 20, 0, // Skip to: 75
/* 55 */      MCD::OPC_CheckPredicate, 0, 138, 1, // Skip to: 453
/* 59 */      MCD::OPC_CheckField, 27, 5, 30, 132, 1, // Skip to: 453
/* 65 */      MCD::OPC_CheckField, 5, 3, 0, 126, 1, // Skip to: 453
/* 71 */      MCD::OPC_Decode, 193, 8, 16, // Opcode: BeqzRxImmX16
/* 75 */      MCD::OPC_FilterValue, 5, 20, 0, // Skip to: 99
/* 79 */      MCD::OPC_CheckPredicate, 0, 114, 1, // Skip to: 453
/* 83 */      MCD::OPC_CheckField, 27, 5, 30, 108, 1, // Skip to: 453
/* 89 */      MCD::OPC_CheckField, 5, 3, 0, 102, 1, // Skip to: 453
/* 95 */      MCD::OPC_Decode, 197, 8, 16, // Opcode: BnezRxImmX16
/* 99 */      MCD::OPC_FilterValue, 6, 92, 0, // Skip to: 195
/* 103 */     MCD::OPC_ExtractField, 27, 5,  // Inst{31-27} ...
/* 106 */     MCD::OPC_FilterValue, 30, 87, 1, // Skip to: 453
/* 110 */     MCD::OPC_ExtractField, 16, 5,  // Inst{20-16} ...
/* 113 */     MCD::OPC_FilterValue, 0, 39, 0, // Skip to: 156
/* 117 */     MCD::OPC_ExtractField, 0, 5,  // Inst{4-0} ...
/* 120 */     MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 132
/* 124 */     MCD::OPC_CheckPredicate, 0, 28, 0, // Skip to: 156
/* 128 */     MCD::OPC_Decode, 238, 21, 17, // Opcode: SllX16
/* 132 */     MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 144
/* 136 */     MCD::OPC_CheckPredicate, 0, 16, 0, // Skip to: 156
/* 140 */     MCD::OPC_Decode, 248, 21, 17, // Opcode: SrlX16
/* 144 */     MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 156
/* 148 */     MCD::OPC_CheckPredicate, 0, 4, 0, // Skip to: 156
/* 152 */     MCD::OPC_Decode, 246, 21, 17, // Opcode: SraX16
/* 156 */     MCD::OPC_ExtractField, 5, 6,  // Inst{10-5} ...
/* 159 */     MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 171
/* 163 */     MCD::OPC_CheckPredicate, 0, 30, 1, // Skip to: 453
/* 167 */     MCD::OPC_Decode, 200, 8, 18, // Opcode: BteqzX16
/* 171 */     MCD::OPC_FilterValue, 8, 8, 0, // Skip to: 183
/* 175 */     MCD::OPC_CheckPredicate, 0, 18, 1, // Skip to: 453
/* 179 */     MCD::OPC_Decode, 202, 8, 18, // Opcode: BtnezX16
/* 183 */     MCD::OPC_FilterValue, 24, 10, 1, // Skip to: 453
/* 187 */     MCD::OPC_CheckPredicate, 0, 6, 1, // Skip to: 453
/* 191 */     MCD::OPC_Decode, 131, 7, 18, // Opcode: AddiuSpImmX16
/* 195 */     MCD::OPC_FilterValue, 8, 20, 0, // Skip to: 219
/* 199 */     MCD::OPC_CheckPredicate, 0, 250, 0, // Skip to: 453
/* 203 */     MCD::OPC_CheckField, 27, 5, 30, 244, 0, // Skip to: 453
/* 209 */     MCD::OPC_CheckField, 4, 1, 0, 238, 0, // Skip to: 453
/* 215 */     MCD::OPC_Decode, 129, 7, 19, // Opcode: AddiuRxRyOffMemX16
/* 219 */     MCD::OPC_FilterValue, 9, 20, 0, // Skip to: 243
/* 223 */     MCD::OPC_CheckPredicate, 0, 226, 0, // Skip to: 453
/* 227 */     MCD::OPC_CheckField, 27, 5, 30, 220, 0, // Skip to: 453
/* 233 */     MCD::OPC_CheckField, 5, 3, 0, 214, 0, // Skip to: 453
/* 239 */     MCD::OPC_Decode, 253, 6, 14, // Opcode: AddiuRxImmX16
/* 243 */     MCD::OPC_FilterValue, 10, 20, 0, // Skip to: 267
/* 247 */     MCD::OPC_CheckPredicate, 0, 202, 0, // Skip to: 453
/* 251 */     MCD::OPC_CheckField, 27, 5, 30, 196, 0, // Skip to: 453
/* 257 */     MCD::OPC_CheckField, 5, 3, 0, 190, 0, // Skip to: 453
/* 263 */     MCD::OPC_Decode, 242, 21, 14, // Opcode: SltiRxImmX16
/* 267 */     MCD::OPC_FilterValue, 11, 20, 0, // Skip to: 291
/* 271 */     MCD::OPC_CheckPredicate, 0, 178, 0, // Skip to: 453
/* 275 */     MCD::OPC_CheckField, 27, 5, 30, 172, 0, // Skip to: 453
/* 281 */     MCD::OPC_CheckField, 5, 3, 0, 166, 0, // Skip to: 453
/* 287 */     MCD::OPC_Decode, 244, 21, 14, // Opcode: SltiuRxImmX16
/* 291 */     MCD::OPC_FilterValue, 13, 20, 0, // Skip to: 315
/* 295 */     MCD::OPC_CheckPredicate, 0, 154, 0, // Skip to: 453
/* 299 */     MCD::OPC_CheckField, 27, 5, 30, 148, 0, // Skip to: 453
/* 305 */     MCD::OPC_CheckField, 5, 3, 0, 142, 0, // Skip to: 453
/* 311 */     MCD::OPC_Decode, 201, 15, 14, // Opcode: LiRxImmX16
/* 315 */     MCD::OPC_FilterValue, 14, 20, 0, // Skip to: 339
/* 319 */     MCD::OPC_CheckPredicate, 0, 130, 0, // Skip to: 453
/* 323 */     MCD::OPC_CheckField, 27, 5, 30, 124, 0, // Skip to: 453
/* 329 */     MCD::OPC_CheckField, 5, 3, 0, 118, 0, // Skip to: 453
/* 335 */     MCD::OPC_Decode, 138, 11, 14, // Opcode: CmpiRxImmX16
/* 339 */     MCD::OPC_FilterValue, 18, 14, 0, // Skip to: 357
/* 343 */     MCD::OPC_CheckPredicate, 0, 106, 0, // Skip to: 453
/* 347 */     MCD::OPC_CheckField, 27, 5, 30, 100, 0, // Skip to: 453
/* 353 */     MCD::OPC_Decode, 205, 15, 19, // Opcode: LwRxSpImmX16
/* 357 */     MCD::OPC_FilterValue, 22, 20, 0, // Skip to: 381
/* 361 */     MCD::OPC_CheckPredicate, 0, 88, 0, // Skip to: 453
/* 365 */     MCD::OPC_CheckField, 27, 5, 30, 82, 0, // Skip to: 453
/* 371 */     MCD::OPC_CheckField, 5, 3, 0, 76, 0, // Skip to: 453
/* 377 */     MCD::OPC_Decode, 203, 15, 20, // Opcode: LwRxPcTcpX16
/* 381 */     MCD::OPC_FilterValue, 24, 14, 0, // Skip to: 399
/* 385 */     MCD::OPC_CheckPredicate, 0, 64, 0, // Skip to: 453
/* 389 */     MCD::OPC_CheckField, 27, 5, 30, 58, 0, // Skip to: 453
/* 395 */     MCD::OPC_Decode, 234, 21, 19, // Opcode: SbRxRyOffMemX16
/* 399 */     MCD::OPC_FilterValue, 25, 14, 0, // Skip to: 417
/* 403 */     MCD::OPC_CheckPredicate, 0, 46, 0, // Skip to: 453
/* 407 */     MCD::OPC_CheckField, 27, 5, 30, 40, 0, // Skip to: 453
/* 413 */     MCD::OPC_Decode, 237, 21, 19, // Opcode: ShRxRyOffMemX16
/* 417 */     MCD::OPC_FilterValue, 26, 14, 0, // Skip to: 435
/* 421 */     MCD::OPC_CheckPredicate, 0, 28, 0, // Skip to: 453
/* 425 */     MCD::OPC_CheckField, 27, 5, 30, 22, 0, // Skip to: 453
/* 431 */     MCD::OPC_Decode, 252, 21, 19, // Opcode: SwRxSpImmX16
/* 435 */     MCD::OPC_FilterValue, 27, 14, 0, // Skip to: 453
/* 439 */     MCD::OPC_CheckPredicate, 0, 10, 0, // Skip to: 453
/* 443 */     MCD::OPC_CheckField, 27, 5, 30, 4, 0, // Skip to: 453
/* 449 */     MCD::OPC_Decode, 251, 21, 19, // Opcode: SwRxRyOffMemX16
/* 453 */     MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableCOP3_32[] = {
/* 0 */       MCD::OPC_ExtractField, 26, 6,  // Inst{31-26} ...
/* 3 */       MCD::OPC_FilterValue, 51, 8, 0, // Skip to: 15
/* 7 */       MCD::OPC_CheckPredicate, 1, 40, 0, // Skip to: 51
/* 11 */      MCD::OPC_Decode, 162, 15, 21, // Opcode: LWC3
/* 15 */      MCD::OPC_FilterValue, 55, 8, 0, // Skip to: 27
/* 19 */      MCD::OPC_CheckPredicate, 2, 28, 0, // Skip to: 51
/* 23 */      MCD::OPC_Decode, 230, 14, 21, // Opcode: LDC3
/* 27 */      MCD::OPC_FilterValue, 59, 8, 0, // Skip to: 39
/* 31 */      MCD::OPC_CheckPredicate, 1, 16, 0, // Skip to: 51
/* 35 */      MCD::OPC_Decode, 199, 21, 21, // Opcode: SWC3
/* 39 */      MCD::OPC_FilterValue, 63, 8, 0, // Skip to: 51
/* 43 */      MCD::OPC_CheckPredicate, 2, 4, 0, // Skip to: 51
/* 47 */      MCD::OPC_Decode, 195, 19, 21, // Opcode: SDC3
/* 51 */      MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableCnMips32[] = {
/* 0 */       MCD::OPC_ExtractField, 26, 6,  // Inst{31-26} ...
/* 3 */       MCD::OPC_FilterValue, 18, 27, 0, // Skip to: 34
/* 7 */       MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 10 */      MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 22
/* 14 */      MCD::OPC_CheckPredicate, 3, 169, 1, // Skip to: 443
/* 18 */      MCD::OPC_Decode, 184, 11, 22, // Opcode: DMFC2_OCTEON
/* 22 */      MCD::OPC_FilterValue, 5, 161, 1, // Skip to: 443
/* 26 */      MCD::OPC_CheckPredicate, 3, 157, 1, // Skip to: 443
/* 30 */      MCD::OPC_Decode, 192, 11, 22, // Opcode: DMTC2_OCTEON
/* 34 */      MCD::OPC_FilterValue, 28, 101, 1, // Skip to: 395
/* 38 */      MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 41 */      MCD::OPC_FilterValue, 3, 14, 0, // Skip to: 59
/* 45 */      MCD::OPC_CheckPredicate, 3, 138, 1, // Skip to: 443
/* 49 */      MCD::OPC_CheckField, 6, 5, 0, 132, 1, // Skip to: 443
/* 55 */      MCD::OPC_Decode, 196, 11, 23, // Opcode: DMUL
/* 59 */      MCD::OPC_FilterValue, 8, 14, 0, // Skip to: 77
/* 63 */      MCD::OPC_CheckPredicate, 3, 120, 1, // Skip to: 443
/* 67 */      MCD::OPC_CheckField, 6, 15, 0, 114, 1, // Skip to: 443
/* 73 */      MCD::OPC_Decode, 185, 17, 24, // Opcode: MTM0
/* 77 */      MCD::OPC_FilterValue, 9, 14, 0, // Skip to: 95
/* 81 */      MCD::OPC_CheckPredicate, 3, 102, 1, // Skip to: 443
/* 85 */      MCD::OPC_CheckField, 6, 15, 0, 96, 1, // Skip to: 443
/* 91 */      MCD::OPC_Decode, 188, 17, 24, // Opcode: MTP0
/* 95 */      MCD::OPC_FilterValue, 10, 14, 0, // Skip to: 113
/* 99 */      MCD::OPC_CheckPredicate, 3, 84, 1, // Skip to: 443
/* 103 */     MCD::OPC_CheckField, 6, 15, 0, 78, 1, // Skip to: 443
/* 109 */     MCD::OPC_Decode, 189, 17, 24, // Opcode: MTP1
/* 113 */     MCD::OPC_FilterValue, 11, 14, 0, // Skip to: 131
/* 117 */     MCD::OPC_CheckPredicate, 3, 66, 1, // Skip to: 443
/* 121 */     MCD::OPC_CheckField, 6, 15, 0, 60, 1, // Skip to: 443
/* 127 */     MCD::OPC_Decode, 190, 17, 24, // Opcode: MTP2
/* 131 */     MCD::OPC_FilterValue, 12, 14, 0, // Skip to: 149
/* 135 */     MCD::OPC_CheckPredicate, 3, 48, 1, // Skip to: 443
/* 139 */     MCD::OPC_CheckField, 6, 15, 0, 42, 1, // Skip to: 443
/* 145 */     MCD::OPC_Decode, 186, 17, 24, // Opcode: MTM1
/* 149 */     MCD::OPC_FilterValue, 13, 14, 0, // Skip to: 167
/* 153 */     MCD::OPC_CheckPredicate, 3, 30, 1, // Skip to: 443
/* 157 */     MCD::OPC_CheckField, 6, 15, 0, 24, 1, // Skip to: 443
/* 163 */     MCD::OPC_Decode, 187, 17, 24, // Opcode: MTM2
/* 167 */     MCD::OPC_FilterValue, 15, 14, 0, // Skip to: 185
/* 171 */     MCD::OPC_CheckPredicate, 3, 12, 1, // Skip to: 443
/* 175 */     MCD::OPC_CheckField, 6, 5, 0, 6, 1, // Skip to: 443
/* 181 */     MCD::OPC_Decode, 188, 22, 23, // Opcode: VMULU
/* 185 */     MCD::OPC_FilterValue, 16, 14, 0, // Skip to: 203
/* 189 */     MCD::OPC_CheckPredicate, 3, 250, 0, // Skip to: 443
/* 193 */     MCD::OPC_CheckField, 6, 5, 0, 244, 0, // Skip to: 443
/* 199 */     MCD::OPC_Decode, 187, 22, 23, // Opcode: VMM0
/* 203 */     MCD::OPC_FilterValue, 17, 14, 0, // Skip to: 221
/* 207 */     MCD::OPC_CheckPredicate, 3, 232, 0, // Skip to: 443
/* 211 */     MCD::OPC_CheckField, 6, 5, 0, 226, 0, // Skip to: 443
/* 217 */     MCD::OPC_Decode, 186, 22, 23, // Opcode: V3MULU
/* 221 */     MCD::OPC_FilterValue, 40, 14, 0, // Skip to: 239
/* 225 */     MCD::OPC_CheckPredicate, 3, 214, 0, // Skip to: 443
/* 229 */     MCD::OPC_CheckField, 6, 5, 0, 208, 0, // Skip to: 443
/* 235 */     MCD::OPC_Decode, 135, 7, 23, // Opcode: BADDu
/* 239 */     MCD::OPC_FilterValue, 42, 14, 0, // Skip to: 257
/* 243 */     MCD::OPC_CheckPredicate, 3, 196, 0, // Skip to: 443
/* 247 */     MCD::OPC_CheckField, 6, 5, 0, 190, 0, // Skip to: 443
/* 253 */     MCD::OPC_Decode, 226, 19, 23, // Opcode: SEQ
/* 257 */     MCD::OPC_FilterValue, 43, 14, 0, // Skip to: 275
/* 261 */     MCD::OPC_CheckPredicate, 3, 178, 0, // Skip to: 443
/* 265 */     MCD::OPC_CheckField, 6, 5, 0, 172, 0, // Skip to: 443
/* 271 */     MCD::OPC_Decode, 198, 20, 23, // Opcode: SNE
/* 275 */     MCD::OPC_FilterValue, 44, 20, 0, // Skip to: 299
/* 279 */     MCD::OPC_CheckPredicate, 3, 160, 0, // Skip to: 443
/* 283 */     MCD::OPC_CheckField, 16, 5, 0, 154, 0, // Skip to: 443
/* 289 */     MCD::OPC_CheckField, 6, 5, 0, 148, 0, // Skip to: 443
/* 295 */     MCD::OPC_Decode, 184, 18, 25, // Opcode: POP
/* 299 */     MCD::OPC_FilterValue, 45, 20, 0, // Skip to: 323
/* 303 */     MCD::OPC_CheckPredicate, 3, 136, 0, // Skip to: 443
/* 307 */     MCD::OPC_CheckField, 16, 5, 0, 130, 0, // Skip to: 443
/* 313 */     MCD::OPC_CheckField, 6, 5, 0, 124, 0, // Skip to: 443
/* 319 */     MCD::OPC_Decode, 229, 11, 26, // Opcode: DPOP
/* 323 */     MCD::OPC_FilterValue, 46, 8, 0, // Skip to: 335
/* 327 */     MCD::OPC_CheckPredicate, 3, 112, 0, // Skip to: 443
/* 331 */     MCD::OPC_Decode, 227, 19, 27, // Opcode: SEQi
/* 335 */     MCD::OPC_FilterValue, 47, 8, 0, // Skip to: 347
/* 339 */     MCD::OPC_CheckPredicate, 3, 100, 0, // Skip to: 443
/* 343 */     MCD::OPC_Decode, 199, 20, 27, // Opcode: SNEi
/* 347 */     MCD::OPC_FilterValue, 50, 8, 0, // Skip to: 359
/* 351 */     MCD::OPC_CheckPredicate, 4, 88, 0, // Skip to: 443
/* 355 */     MCD::OPC_Decode, 232, 8, 28, // Opcode: CINS
/* 359 */     MCD::OPC_FilterValue, 51, 8, 0, // Skip to: 371
/* 363 */     MCD::OPC_CheckPredicate, 4, 76, 0, // Skip to: 443
/* 367 */     MCD::OPC_Decode, 233, 8, 28, // Opcode: CINS32
/* 371 */     MCD::OPC_FilterValue, 58, 8, 0, // Skip to: 383
/* 375 */     MCD::OPC_CheckPredicate, 4, 64, 0, // Skip to: 443
/* 379 */     MCD::OPC_Decode, 188, 12, 28, // Opcode: EXTS
/* 383 */     MCD::OPC_FilterValue, 59, 56, 0, // Skip to: 443
/* 387 */     MCD::OPC_CheckPredicate, 4, 52, 0, // Skip to: 443
/* 391 */     MCD::OPC_Decode, 189, 12, 28, // Opcode: EXTS32
/* 395 */     MCD::OPC_FilterValue, 50, 8, 0, // Skip to: 407
/* 399 */     MCD::OPC_CheckPredicate, 3, 40, 0, // Skip to: 443
/* 403 */     MCD::OPC_Decode, 141, 7, 29, // Opcode: BBIT0
/* 407 */     MCD::OPC_FilterValue, 54, 8, 0, // Skip to: 419
/* 411 */     MCD::OPC_CheckPredicate, 3, 28, 0, // Skip to: 443
/* 415 */     MCD::OPC_Decode, 142, 7, 29, // Opcode: BBIT032
/* 419 */     MCD::OPC_FilterValue, 58, 8, 0, // Skip to: 431
/* 423 */     MCD::OPC_CheckPredicate, 3, 16, 0, // Skip to: 443
/* 427 */     MCD::OPC_Decode, 143, 7, 29, // Opcode: BBIT1
/* 431 */     MCD::OPC_FilterValue, 62, 8, 0, // Skip to: 443
/* 435 */     MCD::OPC_CheckPredicate, 3, 4, 0, // Skip to: 443
/* 439 */     MCD::OPC_Decode, 144, 7, 29, // Opcode: BBIT132
/* 443 */     MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableCnMipsP32[] = {
/* 0 */       MCD::OPC_ExtractField, 0, 16,  // Inst{15-0} ...
/* 3 */       MCD::OPC_FilterValue, 24, 14, 0, // Skip to: 21
/* 7 */       MCD::OPC_CheckPredicate, 5, 28, 0, // Skip to: 39
/* 11 */      MCD::OPC_CheckField, 26, 6, 28, 22, 0, // Skip to: 39
/* 17 */      MCD::OPC_Decode, 152, 19, 30, // Opcode: SAA
/* 21 */      MCD::OPC_FilterValue, 25, 14, 0, // Skip to: 39
/* 25 */      MCD::OPC_CheckPredicate, 5, 10, 0, // Skip to: 39
/* 29 */      MCD::OPC_CheckField, 26, 6, 28, 4, 0, // Skip to: 39
/* 35 */      MCD::OPC_Decode, 153, 19, 30, // Opcode: SAAD
/* 39 */      MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableMicroMips16[] = {
/* 0 */       MCD::OPC_ExtractField, 10, 6,  // Inst{15-10} ...
/* 3 */       MCD::OPC_FilterValue, 1, 27, 0, // Skip to: 34
/* 7 */       MCD::OPC_ExtractField, 0, 1,  // Inst{0} ...
/* 10 */      MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 22
/* 14 */      MCD::OPC_CheckPredicate, 6, 26, 2, // Skip to: 556
/* 18 */      MCD::OPC_Decode, 168, 6, 31, // Opcode: ADDU16_MM
/* 22 */      MCD::OPC_FilterValue, 1, 18, 2, // Skip to: 556
/* 26 */      MCD::OPC_CheckPredicate, 6, 14, 2, // Skip to: 556
/* 30 */      MCD::OPC_Decode, 160, 21, 31, // Opcode: SUBU16_MM
/* 34 */      MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 46
/* 38 */      MCD::OPC_CheckPredicate, 7, 2, 2, // Skip to: 556
/* 42 */      MCD::OPC_Decode, 210, 14, 32, // Opcode: LBU16_MM
/* 46 */      MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 58
/* 50 */      MCD::OPC_CheckPredicate, 6, 246, 1, // Skip to: 556
/* 54 */      MCD::OPC_Decode, 212, 16, 33, // Opcode: MOVE16_MM
/* 58 */      MCD::OPC_FilterValue, 9, 27, 0, // Skip to: 89
/* 62 */      MCD::OPC_ExtractField, 0, 1,  // Inst{0} ...
/* 65 */      MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 77
/* 69 */      MCD::OPC_CheckPredicate, 6, 227, 1, // Skip to: 556
/* 73 */      MCD::OPC_Decode, 170, 20, 34, // Opcode: SLL16_MM
/* 77 */      MCD::OPC_FilterValue, 1, 219, 1, // Skip to: 556
/* 81 */      MCD::OPC_CheckPredicate, 6, 215, 1, // Skip to: 556
/* 85 */      MCD::OPC_Decode, 229, 20, 34, // Opcode: SRL16_MM
/* 89 */      MCD::OPC_FilterValue, 10, 8, 0, // Skip to: 101
/* 93 */      MCD::OPC_CheckPredicate, 7, 203, 1, // Skip to: 556
/* 97 */      MCD::OPC_Decode, 251, 14, 32, // Opcode: LHU16_MM
/* 101 */     MCD::OPC_FilterValue, 11, 8, 0, // Skip to: 113
/* 105 */     MCD::OPC_CheckPredicate, 6, 191, 1, // Skip to: 556
/* 109 */     MCD::OPC_Decode, 213, 6, 35, // Opcode: ANDI16_MM
/* 113 */     MCD::OPC_FilterValue, 17, 227, 0, // Skip to: 344
/* 117 */     MCD::OPC_ExtractField, 6, 4,  // Inst{9-6} ...
/* 120 */     MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 132
/* 124 */     MCD::OPC_CheckPredicate, 6, 172, 1, // Skip to: 556
/* 128 */     MCD::OPC_Decode, 144, 18, 36, // Opcode: NOT16_MM
/* 132 */     MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 144
/* 136 */     MCD::OPC_CheckPredicate, 6, 160, 1, // Skip to: 556
/* 140 */     MCD::OPC_Decode, 203, 22, 37, // Opcode: XOR16_MM
/* 144 */     MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 156
/* 148 */     MCD::OPC_CheckPredicate, 6, 148, 1, // Skip to: 556
/* 152 */     MCD::OPC_Decode, 210, 6, 37, // Opcode: AND16_MM
/* 156 */     MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 168
/* 160 */     MCD::OPC_CheckPredicate, 6, 136, 1, // Skip to: 556
/* 164 */     MCD::OPC_Decode, 149, 18, 37, // Opcode: OR16_MM
/* 168 */     MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 180
/* 172 */     MCD::OPC_CheckPredicate, 6, 124, 1, // Skip to: 556
/* 176 */     MCD::OPC_Decode, 173, 15, 38, // Opcode: LWM16_MM
/* 180 */     MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 192
/* 184 */     MCD::OPC_CheckPredicate, 6, 112, 1, // Skip to: 556
/* 188 */     MCD::OPC_Decode, 209, 21, 38, // Opcode: SWM16_MM
/* 192 */     MCD::OPC_FilterValue, 6, 27, 0, // Skip to: 223
/* 196 */     MCD::OPC_ExtractField, 5, 1,  // Inst{5} ...
/* 199 */     MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 211
/* 203 */     MCD::OPC_CheckPredicate, 6, 93, 1, // Skip to: 556
/* 207 */     MCD::OPC_Decode, 188, 14, 39, // Opcode: JR16_MM
/* 211 */     MCD::OPC_FilterValue, 1, 85, 1, // Skip to: 556
/* 215 */     MCD::OPC_CheckPredicate, 6, 81, 1, // Skip to: 556
/* 219 */     MCD::OPC_Decode, 191, 14, 39, // Opcode: JRC16_MM
/* 223 */     MCD::OPC_FilterValue, 7, 27, 0, // Skip to: 254
/* 227 */     MCD::OPC_ExtractField, 5, 1,  // Inst{5} ...
/* 230 */     MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 242
/* 234 */     MCD::OPC_CheckPredicate, 6, 62, 1, // Skip to: 556
/* 238 */     MCD::OPC_Decode, 167, 14, 39, // Opcode: JALR16_MM
/* 242 */     MCD::OPC_FilterValue, 1, 54, 1, // Skip to: 556
/* 246 */     MCD::OPC_CheckPredicate, 6, 50, 1, // Skip to: 556
/* 250 */     MCD::OPC_Decode, 172, 14, 39, // Opcode: JALRS16_MM
/* 254 */     MCD::OPC_FilterValue, 8, 14, 0, // Skip to: 272
/* 258 */     MCD::OPC_CheckPredicate, 6, 38, 1, // Skip to: 556
/* 262 */     MCD::OPC_CheckField, 5, 1, 0, 32, 1, // Skip to: 556
/* 268 */     MCD::OPC_Decode, 158, 16, 39, // Opcode: MFHI16_MM
/* 272 */     MCD::OPC_FilterValue, 9, 14, 0, // Skip to: 290
/* 276 */     MCD::OPC_CheckPredicate, 6, 20, 1, // Skip to: 556
/* 280 */     MCD::OPC_CheckField, 5, 1, 0, 14, 1, // Skip to: 556
/* 286 */     MCD::OPC_Decode, 164, 16, 39, // Opcode: MFLO16_MM
/* 290 */     MCD::OPC_FilterValue, 10, 14, 0, // Skip to: 308
/* 294 */     MCD::OPC_CheckPredicate, 6, 2, 1, // Skip to: 556
/* 298 */     MCD::OPC_CheckField, 4, 2, 0, 252, 0, // Skip to: 556
/* 304 */     MCD::OPC_Decode, 173, 8, 40, // Opcode: BREAK16_MM
/* 308 */     MCD::OPC_FilterValue, 11, 14, 0, // Skip to: 326
/* 312 */     MCD::OPC_CheckPredicate, 6, 240, 0, // Skip to: 556
/* 316 */     MCD::OPC_CheckField, 4, 2, 0, 234, 0, // Skip to: 556
/* 322 */     MCD::OPC_Decode, 182, 19, 40, // Opcode: SDBBP16_MM
/* 326 */     MCD::OPC_FilterValue, 12, 226, 0, // Skip to: 556
/* 330 */     MCD::OPC_CheckPredicate, 6, 222, 0, // Skip to: 556
/* 334 */     MCD::OPC_CheckField, 5, 1, 0, 216, 0, // Skip to: 556
/* 340 */     MCD::OPC_Decode, 190, 14, 41, // Opcode: JRADDIUSP
/* 344 */     MCD::OPC_FilterValue, 18, 8, 0, // Skip to: 356
/* 348 */     MCD::OPC_CheckPredicate, 7, 204, 0, // Skip to: 556
/* 352 */     MCD::OPC_Decode, 184, 15, 42, // Opcode: LWSP_MM
/* 356 */     MCD::OPC_FilterValue, 19, 27, 0, // Skip to: 387
/* 360 */     MCD::OPC_ExtractField, 0, 1,  // Inst{0} ...
/* 363 */     MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 375
/* 367 */     MCD::OPC_CheckPredicate, 7, 185, 0, // Skip to: 556
/* 371 */     MCD::OPC_Decode, 136, 6, 43, // Opcode: ADDIUS5_MM
/* 375 */     MCD::OPC_FilterValue, 1, 177, 0, // Skip to: 556
/* 379 */     MCD::OPC_CheckPredicate, 7, 173, 0, // Skip to: 556
/* 383 */     MCD::OPC_Decode, 137, 6, 44, // Opcode: ADDIUSP_MM
/* 387 */     MCD::OPC_FilterValue, 25, 8, 0, // Skip to: 399
/* 391 */     MCD::OPC_CheckPredicate, 7, 161, 0, // Skip to: 556
/* 395 */     MCD::OPC_Decode, 167, 15, 45, // Opcode: LWGP_MM
/* 399 */     MCD::OPC_FilterValue, 26, 8, 0, // Skip to: 411
/* 403 */     MCD::OPC_CheckPredicate, 7, 149, 0, // Skip to: 556
/* 407 */     MCD::OPC_Decode, 155, 15, 32, // Opcode: LW16_MM
/* 411 */     MCD::OPC_FilterValue, 27, 27, 0, // Skip to: 442
/* 415 */     MCD::OPC_ExtractField, 0, 1,  // Inst{0} ...
/* 418 */     MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 430
/* 422 */     MCD::OPC_CheckPredicate, 7, 130, 0, // Skip to: 556
/* 426 */     MCD::OPC_Decode, 135, 6, 46, // Opcode: ADDIUR2_MM
/* 430 */     MCD::OPC_FilterValue, 1, 122, 0, // Skip to: 556
/* 434 */     MCD::OPC_CheckPredicate, 7, 118, 0, // Skip to: 556
/* 438 */     MCD::OPC_Decode, 134, 6, 47, // Opcode: ADDIUR1SP_MM
/* 442 */     MCD::OPC_FilterValue, 33, 14, 0, // Skip to: 460
/* 446 */     MCD::OPC_CheckPredicate, 6, 106, 0, // Skip to: 556
/* 450 */     MCD::OPC_CheckField, 0, 1, 0, 100, 0, // Skip to: 556
/* 456 */     MCD::OPC_Decode, 214, 16, 48, // Opcode: MOVEP_MM
/* 460 */     MCD::OPC_FilterValue, 34, 8, 0, // Skip to: 472
/* 464 */     MCD::OPC_CheckPredicate, 6, 88, 0, // Skip to: 556
/* 468 */     MCD::OPC_Decode, 163, 19, 32, // Opcode: SB16_MM
/* 472 */     MCD::OPC_FilterValue, 35, 8, 0, // Skip to: 484
/* 476 */     MCD::OPC_CheckPredicate, 6, 76, 0, // Skip to: 556
/* 480 */     MCD::OPC_Decode, 176, 7, 49, // Opcode: BEQZ16_MM
/* 484 */     MCD::OPC_FilterValue, 42, 8, 0, // Skip to: 496
/* 488 */     MCD::OPC_CheckPredicate, 6, 64, 0, // Skip to: 556
/* 492 */     MCD::OPC_Decode, 229, 19, 32, // Opcode: SH16_MM
/* 496 */     MCD::OPC_FilterValue, 43, 8, 0, // Skip to: 508
/* 500 */     MCD::OPC_CheckPredicate, 6, 52, 0, // Skip to: 556
/* 504 */     MCD::OPC_Decode, 151, 8, 49, // Opcode: BNEZ16_MM
/* 508 */     MCD::OPC_FilterValue, 50, 8, 0, // Skip to: 520
/* 512 */     MCD::OPC_CheckPredicate, 6, 40, 0, // Skip to: 556
/* 516 */     MCD::OPC_Decode, 218, 21, 42, // Opcode: SWSP_MM
/* 520 */     MCD::OPC_FilterValue, 51, 8, 0, // Skip to: 532
/* 524 */     MCD::OPC_CheckPredicate, 7, 28, 0, // Skip to: 556
/* 528 */     MCD::OPC_Decode, 134, 7, 50, // Opcode: B16_MM
/* 532 */     MCD::OPC_FilterValue, 58, 8, 0, // Skip to: 544
/* 536 */     MCD::OPC_CheckPredicate, 6, 16, 0, // Skip to: 556
/* 540 */     MCD::OPC_Decode, 191, 21, 32, // Opcode: SW16_MM
/* 544 */     MCD::OPC_FilterValue, 59, 8, 0, // Skip to: 556
/* 548 */     MCD::OPC_CheckPredicate, 6, 4, 0, // Skip to: 556
/* 552 */     MCD::OPC_Decode, 132, 15, 51, // Opcode: LI16_MM
/* 556 */     MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableMicroMips32[] = {
/* 0 */       MCD::OPC_ExtractField, 26, 6,  // Inst{31-26} ...
/* 3 */       MCD::OPC_FilterValue, 0, 210, 12, // Skip to: 3289
/* 7 */       MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 10 */      MCD::OPC_FilterValue, 0, 90, 0, // Skip to: 104
/* 14 */      MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 17 */      MCD::OPC_FilterValue, 0, 47, 0, // Skip to: 68
/* 21 */      MCD::OPC_ExtractField, 11, 15,  // Inst{25-11} ...
/* 24 */      MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 36
/* 28 */      MCD::OPC_CheckPredicate, 7, 28, 0, // Skip to: 60
/* 32 */      MCD::OPC_Decode, 251, 20, 10, // Opcode: SSNOP_MM
/* 36 */      MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 48
/* 40 */      MCD::OPC_CheckPredicate, 7, 16, 0, // Skip to: 60
/* 44 */      MCD::OPC_Decode, 149, 12, 10, // Opcode: EHB_MM
/* 48 */      MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 60
/* 52 */      MCD::OPC_CheckPredicate, 7, 4, 0, // Skip to: 60
/* 56 */      MCD::OPC_Decode, 164, 18, 10, // Opcode: PAUSE_MM
/* 60 */      MCD::OPC_CheckPredicate, 7, 215, 21, // Skip to: 5655
/* 64 */      MCD::OPC_Decode, 183, 20, 52, // Opcode: SLL_MM
/* 68 */      MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 80
/* 72 */      MCD::OPC_CheckPredicate, 7, 203, 21, // Skip to: 5655
/* 76 */      MCD::OPC_Decode, 248, 20, 52, // Opcode: SRL_MM
/* 80 */      MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 92
/* 84 */      MCD::OPC_CheckPredicate, 7, 191, 21, // Skip to: 5655
/* 88 */      MCD::OPC_Decode, 226, 20, 52, // Opcode: SRA_MM
/* 92 */      MCD::OPC_FilterValue, 3, 183, 21, // Skip to: 5655
/* 96 */      MCD::OPC_CheckPredicate, 7, 179, 21, // Skip to: 5655
/* 100 */     MCD::OPC_Decode, 132, 19, 52, // Opcode: ROTR_MM
/* 104 */     MCD::OPC_FilterValue, 5, 195, 0, // Skip to: 303
/* 108 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 111 */     MCD::OPC_FilterValue, 0, 14, 0, // Skip to: 129
/* 115 */     MCD::OPC_CheckPredicate, 8, 160, 21, // Skip to: 5655
/* 119 */     MCD::OPC_CheckField, 11, 5, 0, 154, 21, // Skip to: 5655
/* 125 */     MCD::OPC_Decode, 175, 9, 53, // Opcode: CMP_EQ_PH_MM
/* 129 */     MCD::OPC_FilterValue, 1, 14, 0, // Skip to: 147
/* 133 */     MCD::OPC_CheckPredicate, 8, 142, 21, // Skip to: 5655
/* 137 */     MCD::OPC_CheckField, 11, 5, 0, 136, 21, // Skip to: 5655
/* 143 */     MCD::OPC_Decode, 189, 9, 53, // Opcode: CMP_LT_PH_MM
/* 147 */     MCD::OPC_FilterValue, 2, 14, 0, // Skip to: 165
/* 151 */     MCD::OPC_CheckPredicate, 8, 124, 21, // Skip to: 5655
/* 155 */     MCD::OPC_CheckField, 11, 5, 0, 118, 21, // Skip to: 5655
/* 161 */     MCD::OPC_Decode, 183, 9, 53, // Opcode: CMP_LE_PH_MM
/* 165 */     MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 177
/* 169 */     MCD::OPC_CheckPredicate, 9, 106, 21, // Skip to: 5655
/* 173 */     MCD::OPC_Decode, 153, 9, 54, // Opcode: CMPGDU_EQ_QB_MMR2
/* 177 */     MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 189
/* 181 */     MCD::OPC_CheckPredicate, 9, 94, 21, // Skip to: 5655
/* 185 */     MCD::OPC_Decode, 157, 9, 54, // Opcode: CMPGDU_LT_QB_MMR2
/* 189 */     MCD::OPC_FilterValue, 8, 8, 0, // Skip to: 201
/* 193 */     MCD::OPC_CheckPredicate, 9, 82, 21, // Skip to: 5655
/* 197 */     MCD::OPC_Decode, 155, 9, 54, // Opcode: CMPGDU_LE_QB_MMR2
/* 201 */     MCD::OPC_FilterValue, 9, 14, 0, // Skip to: 219
/* 205 */     MCD::OPC_CheckPredicate, 8, 70, 21, // Skip to: 5655
/* 209 */     MCD::OPC_CheckField, 11, 5, 0, 64, 21, // Skip to: 5655
/* 215 */     MCD::OPC_Decode, 165, 9, 53, // Opcode: CMPU_EQ_QB_MM
/* 219 */     MCD::OPC_FilterValue, 10, 14, 0, // Skip to: 237
/* 223 */     MCD::OPC_CheckPredicate, 8, 52, 21, // Skip to: 5655
/* 227 */     MCD::OPC_CheckField, 11, 5, 0, 46, 21, // Skip to: 5655
/* 233 */     MCD::OPC_Decode, 169, 9, 53, // Opcode: CMPU_LT_QB_MM
/* 237 */     MCD::OPC_FilterValue, 11, 14, 0, // Skip to: 255
/* 241 */     MCD::OPC_CheckPredicate, 8, 34, 21, // Skip to: 5655
/* 245 */     MCD::OPC_CheckField, 11, 5, 0, 28, 21, // Skip to: 5655
/* 251 */     MCD::OPC_Decode, 167, 9, 53, // Opcode: CMPU_LE_QB_MM
/* 255 */     MCD::OPC_FilterValue, 12, 8, 0, // Skip to: 267
/* 259 */     MCD::OPC_CheckPredicate, 8, 16, 21, // Skip to: 5655
/* 263 */     MCD::OPC_Decode, 152, 6, 55, // Opcode: ADDQ_S_W_MM
/* 267 */     MCD::OPC_FilterValue, 13, 8, 0, // Skip to: 279
/* 271 */     MCD::OPC_CheckPredicate, 8, 4, 21, // Skip to: 5655
/* 275 */     MCD::OPC_Decode, 143, 21, 55, // Opcode: SUBQ_S_W_MM
/* 279 */     MCD::OPC_FilterValue, 14, 8, 0, // Skip to: 291
/* 283 */     MCD::OPC_CheckPredicate, 8, 248, 20, // Skip to: 5655
/* 287 */     MCD::OPC_Decode, 155, 6, 55, // Opcode: ADDSC_MM
/* 291 */     MCD::OPC_FilterValue, 15, 240, 20, // Skip to: 5655
/* 295 */     MCD::OPC_CheckPredicate, 8, 236, 20, // Skip to: 5655
/* 299 */     MCD::OPC_Decode, 192, 6, 55, // Opcode: ADDWC_MM
/* 303 */     MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 315
/* 307 */     MCD::OPC_CheckPredicate, 7, 224, 20, // Skip to: 5655
/* 311 */     MCD::OPC_Decode, 175, 8, 56, // Opcode: BREAK_MM
/* 315 */     MCD::OPC_FilterValue, 12, 8, 0, // Skip to: 327
/* 319 */     MCD::OPC_CheckPredicate, 6, 212, 20, // Skip to: 5655
/* 323 */     MCD::OPC_Decode, 162, 14, 57, // Opcode: INS_MM
/* 327 */     MCD::OPC_FilterValue, 13, 107, 1, // Skip to: 694
/* 331 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 334 */     MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 346
/* 338 */     MCD::OPC_CheckPredicate, 8, 193, 20, // Skip to: 5655
/* 342 */     MCD::OPC_Decode, 148, 6, 58, // Opcode: ADDQ_PH_MM
/* 346 */     MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 358
/* 350 */     MCD::OPC_CheckPredicate, 9, 181, 20, // Skip to: 5655
/* 354 */     MCD::OPC_Decode, 140, 6, 58, // Opcode: ADDQH_PH_MMR2
/* 358 */     MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 370
/* 362 */     MCD::OPC_CheckPredicate, 9, 169, 20, // Skip to: 5655
/* 366 */     MCD::OPC_Decode, 146, 6, 55, // Opcode: ADDQH_W_MMR2
/* 370 */     MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 382
/* 374 */     MCD::OPC_CheckPredicate, 8, 157, 20, // Skip to: 5655
/* 378 */     MCD::OPC_Decode, 178, 6, 58, // Opcode: ADDU_QB_MM
/* 382 */     MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 394
/* 386 */     MCD::OPC_CheckPredicate, 9, 145, 20, // Skip to: 5655
/* 390 */     MCD::OPC_Decode, 176, 6, 58, // Opcode: ADDU_PH_MMR2
/* 394 */     MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 406
/* 398 */     MCD::OPC_CheckPredicate, 9, 133, 20, // Skip to: 5655
/* 402 */     MCD::OPC_Decode, 171, 6, 58, // Opcode: ADDUH_QB_MMR2
/* 406 */     MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 418
/* 410 */     MCD::OPC_CheckPredicate, 8, 121, 20, // Skip to: 5655
/* 414 */     MCD::OPC_Decode, 130, 20, 59, // Opcode: SHRAV_PH_MM
/* 418 */     MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 430
/* 422 */     MCD::OPC_CheckPredicate, 9, 109, 20, // Skip to: 5655
/* 426 */     MCD::OPC_Decode, 132, 20, 59, // Opcode: SHRAV_QB_MMR2
/* 430 */     MCD::OPC_FilterValue, 8, 8, 0, // Skip to: 442
/* 434 */     MCD::OPC_CheckPredicate, 8, 97, 20, // Skip to: 5655
/* 438 */     MCD::OPC_Decode, 139, 21, 58, // Opcode: SUBQ_PH_MM
/* 442 */     MCD::OPC_FilterValue, 9, 8, 0, // Skip to: 454
/* 446 */     MCD::OPC_CheckPredicate, 9, 85, 20, // Skip to: 5655
/* 450 */     MCD::OPC_Decode, 131, 21, 58, // Opcode: SUBQH_PH_MMR2
/* 454 */     MCD::OPC_FilterValue, 10, 8, 0, // Skip to: 466
/* 458 */     MCD::OPC_CheckPredicate, 9, 73, 20, // Skip to: 5655
/* 462 */     MCD::OPC_Decode, 137, 21, 55, // Opcode: SUBQH_W_MMR2
/* 466 */     MCD::OPC_FilterValue, 11, 8, 0, // Skip to: 478
/* 470 */     MCD::OPC_CheckPredicate, 8, 61, 20, // Skip to: 5655
/* 474 */     MCD::OPC_Decode, 170, 21, 58, // Opcode: SUBU_QB_MM
/* 478 */     MCD::OPC_FilterValue, 12, 8, 0, // Skip to: 490
/* 482 */     MCD::OPC_CheckPredicate, 9, 49, 20, // Skip to: 5655
/* 486 */     MCD::OPC_Decode, 168, 21, 58, // Opcode: SUBU_PH_MMR2
/* 490 */     MCD::OPC_FilterValue, 13, 8, 0, // Skip to: 502
/* 494 */     MCD::OPC_CheckPredicate, 9, 37, 20, // Skip to: 5655
/* 498 */     MCD::OPC_Decode, 163, 21, 58, // Opcode: SUBUH_QB_MMR2
/* 502 */     MCD::OPC_FilterValue, 15, 8, 0, // Skip to: 514
/* 506 */     MCD::OPC_CheckPredicate, 9, 25, 20, // Skip to: 5655
/* 510 */     MCD::OPC_Decode, 216, 18, 60, // Opcode: PRECR_SRA_PH_W_MMR2
/* 514 */     MCD::OPC_FilterValue, 16, 8, 0, // Skip to: 526
/* 518 */     MCD::OPC_CheckPredicate, 8, 13, 20, // Skip to: 5655
/* 522 */     MCD::OPC_Decode, 150, 6, 58, // Opcode: ADDQ_S_PH_MM
/* 526 */     MCD::OPC_FilterValue, 17, 8, 0, // Skip to: 538
/* 530 */     MCD::OPC_CheckPredicate, 9, 1, 20, // Skip to: 5655
/* 534 */     MCD::OPC_Decode, 142, 6, 58, // Opcode: ADDQH_R_PH_MMR2
/* 538 */     MCD::OPC_FilterValue, 18, 8, 0, // Skip to: 550
/* 542 */     MCD::OPC_CheckPredicate, 9, 245, 19, // Skip to: 5655
/* 546 */     MCD::OPC_Decode, 144, 6, 55, // Opcode: ADDQH_R_W_MMR2
/* 550 */     MCD::OPC_FilterValue, 19, 8, 0, // Skip to: 562
/* 554 */     MCD::OPC_CheckPredicate, 8, 233, 19, // Skip to: 5655
/* 558 */     MCD::OPC_Decode, 182, 6, 58, // Opcode: ADDU_S_QB_MM
/* 562 */     MCD::OPC_FilterValue, 20, 8, 0, // Skip to: 574
/* 566 */     MCD::OPC_CheckPredicate, 9, 221, 19, // Skip to: 5655
/* 570 */     MCD::OPC_Decode, 180, 6, 58, // Opcode: ADDU_S_PH_MMR2
/* 574 */     MCD::OPC_FilterValue, 21, 8, 0, // Skip to: 586
/* 578 */     MCD::OPC_CheckPredicate, 9, 209, 19, // Skip to: 5655
/* 582 */     MCD::OPC_Decode, 173, 6, 58, // Opcode: ADDUH_R_QB_MMR2
/* 586 */     MCD::OPC_FilterValue, 22, 8, 0, // Skip to: 598
/* 590 */     MCD::OPC_CheckPredicate, 8, 197, 19, // Skip to: 5655
/* 594 */     MCD::OPC_Decode, 134, 20, 59, // Opcode: SHRAV_R_PH_MM
/* 598 */     MCD::OPC_FilterValue, 23, 8, 0, // Skip to: 610
/* 602 */     MCD::OPC_CheckPredicate, 9, 185, 19, // Skip to: 5655
/* 606 */     MCD::OPC_Decode, 136, 20, 59, // Opcode: SHRAV_R_QB_MMR2
/* 610 */     MCD::OPC_FilterValue, 24, 8, 0, // Skip to: 622
/* 614 */     MCD::OPC_CheckPredicate, 8, 173, 19, // Skip to: 5655
/* 618 */     MCD::OPC_Decode, 141, 21, 58, // Opcode: SUBQ_S_PH_MM
/* 622 */     MCD::OPC_FilterValue, 25, 8, 0, // Skip to: 634
/* 626 */     MCD::OPC_CheckPredicate, 9, 161, 19, // Skip to: 5655
/* 630 */     MCD::OPC_Decode, 133, 21, 58, // Opcode: SUBQH_R_PH_MMR2
/* 634 */     MCD::OPC_FilterValue, 26, 8, 0, // Skip to: 646
/* 638 */     MCD::OPC_CheckPredicate, 9, 149, 19, // Skip to: 5655
/* 642 */     MCD::OPC_Decode, 135, 21, 55, // Opcode: SUBQH_R_W_MMR2
/* 646 */     MCD::OPC_FilterValue, 27, 8, 0, // Skip to: 658
/* 650 */     MCD::OPC_CheckPredicate, 8, 137, 19, // Skip to: 5655
/* 654 */     MCD::OPC_Decode, 174, 21, 58, // Opcode: SUBU_S_QB_MM
/* 658 */     MCD::OPC_FilterValue, 28, 8, 0, // Skip to: 670
/* 662 */     MCD::OPC_CheckPredicate, 9, 125, 19, // Skip to: 5655
/* 666 */     MCD::OPC_Decode, 172, 21, 58, // Opcode: SUBU_S_PH_MMR2
/* 670 */     MCD::OPC_FilterValue, 29, 8, 0, // Skip to: 682
/* 674 */     MCD::OPC_CheckPredicate, 9, 113, 19, // Skip to: 5655
/* 678 */     MCD::OPC_Decode, 165, 21, 58, // Opcode: SUBUH_R_QB_MMR2
/* 682 */     MCD::OPC_FilterValue, 31, 105, 19, // Skip to: 5655
/* 686 */     MCD::OPC_CheckPredicate, 9, 101, 19, // Skip to: 5655
/* 690 */     MCD::OPC_Decode, 218, 18, 60, // Opcode: PRECR_SRA_R_PH_W_MMR2
/* 694 */     MCD::OPC_FilterValue, 14, 27, 0, // Skip to: 725
/* 698 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 701 */     MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 713
/* 705 */     MCD::OPC_CheckPredicate, 8, 82, 19, // Skip to: 5655
/* 709 */     MCD::OPC_Decode, 242, 19, 59, // Opcode: SHLLV_PH_MM
/* 713 */     MCD::OPC_FilterValue, 16, 74, 19, // Skip to: 5655
/* 717 */     MCD::OPC_CheckPredicate, 8, 70, 19, // Skip to: 5655
/* 721 */     MCD::OPC_Decode, 246, 19, 59, // Opcode: SHLLV_S_PH_MM
/* 725 */     MCD::OPC_FilterValue, 16, 183, 0, // Skip to: 912
/* 729 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 732 */     MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 744
/* 736 */     MCD::OPC_CheckPredicate, 7, 51, 19, // Skip to: 5655
/* 740 */     MCD::OPC_Decode, 179, 20, 61, // Opcode: SLLV_MM
/* 744 */     MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 756
/* 748 */     MCD::OPC_CheckPredicate, 7, 39, 19, // Skip to: 5655
/* 752 */     MCD::OPC_Decode, 244, 20, 61, // Opcode: SRLV_MM
/* 756 */     MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 768
/* 760 */     MCD::OPC_CheckPredicate, 7, 27, 19, // Skip to: 5655
/* 764 */     MCD::OPC_Decode, 222, 20, 61, // Opcode: SRAV_MM
/* 768 */     MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 780
/* 772 */     MCD::OPC_CheckPredicate, 7, 15, 19, // Skip to: 5655
/* 776 */     MCD::OPC_Decode, 131, 19, 61, // Opcode: ROTRV_MM
/* 780 */     MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 792
/* 784 */     MCD::OPC_CheckPredicate, 6, 3, 19, // Skip to: 5655
/* 788 */     MCD::OPC_Decode, 197, 6, 55, // Opcode: ADD_MM
/* 792 */     MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 804
/* 796 */     MCD::OPC_CheckPredicate, 6, 247, 18, // Skip to: 5655
/* 800 */     MCD::OPC_Decode, 204, 6, 55, // Opcode: ADDu_MM
/* 804 */     MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 816
/* 808 */     MCD::OPC_CheckPredicate, 6, 235, 18, // Skip to: 5655
/* 812 */     MCD::OPC_Decode, 183, 21, 55, // Opcode: SUB_MM
/* 816 */     MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 828
/* 820 */     MCD::OPC_CheckPredicate, 6, 223, 18, // Skip to: 5655
/* 824 */     MCD::OPC_Decode, 186, 21, 55, // Opcode: SUBu_MM
/* 828 */     MCD::OPC_FilterValue, 8, 8, 0, // Skip to: 840
/* 832 */     MCD::OPC_CheckPredicate, 6, 211, 18, // Skip to: 5655
/* 836 */     MCD::OPC_Decode, 234, 17, 55, // Opcode: MUL_MM
/* 840 */     MCD::OPC_FilterValue, 9, 8, 0, // Skip to: 852
/* 844 */     MCD::OPC_CheckPredicate, 6, 199, 18, // Skip to: 5655
/* 848 */     MCD::OPC_Decode, 217, 6, 55, // Opcode: AND_MM
/* 852 */     MCD::OPC_FilterValue, 10, 8, 0, // Skip to: 864
/* 856 */     MCD::OPC_CheckPredicate, 6, 187, 18, // Skip to: 5655
/* 860 */     MCD::OPC_Decode, 154, 18, 55, // Opcode: OR_MM
/* 864 */     MCD::OPC_FilterValue, 11, 8, 0, // Skip to: 876
/* 868 */     MCD::OPC_CheckPredicate, 6, 175, 18, // Skip to: 5655
/* 872 */     MCD::OPC_Decode, 141, 18, 55, // Opcode: NOR_MM
/* 876 */     MCD::OPC_FilterValue, 12, 8, 0, // Skip to: 888
/* 880 */     MCD::OPC_CheckPredicate, 6, 163, 18, // Skip to: 5655
/* 884 */     MCD::OPC_Decode, 208, 22, 55, // Opcode: XOR_MM
/* 888 */     MCD::OPC_FilterValue, 13, 8, 0, // Skip to: 900
/* 892 */     MCD::OPC_CheckPredicate, 7, 151, 18, // Skip to: 5655
/* 896 */     MCD::OPC_Decode, 188, 20, 55, // Opcode: SLT_MM
/* 900 */     MCD::OPC_FilterValue, 14, 143, 18, // Skip to: 5655
/* 904 */     MCD::OPC_CheckPredicate, 7, 139, 18, // Skip to: 5655
/* 908 */     MCD::OPC_Decode, 197, 20, 55, // Opcode: SLTu_MM
/* 912 */     MCD::OPC_FilterValue, 21, 171, 0, // Skip to: 1087
/* 916 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 919 */     MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 931
/* 923 */     MCD::OPC_CheckPredicate, 8, 120, 18, // Skip to: 5655
/* 927 */     MCD::OPC_Decode, 202, 17, 58, // Opcode: MULEU_S_PH_QBL_MM
/* 931 */     MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 943
/* 935 */     MCD::OPC_CheckPredicate, 8, 108, 18, // Skip to: 5655
/* 939 */     MCD::OPC_Decode, 204, 17, 58, // Opcode: MULEU_S_PH_QBR_MM
/* 943 */     MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 955
/* 947 */     MCD::OPC_CheckPredicate, 8, 96, 18, // Skip to: 5655
/* 951 */     MCD::OPC_Decode, 206, 17, 58, // Opcode: MULQ_RS_PH_MM
/* 955 */     MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 967
/* 959 */     MCD::OPC_CheckPredicate, 9, 84, 18, // Skip to: 5655
/* 963 */     MCD::OPC_Decode, 210, 17, 58, // Opcode: MULQ_S_PH_MMR2
/* 967 */     MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 979
/* 971 */     MCD::OPC_CheckPredicate, 9, 72, 18, // Skip to: 5655
/* 975 */     MCD::OPC_Decode, 208, 17, 55, // Opcode: MULQ_RS_W_MMR2
/* 979 */     MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 991
/* 983 */     MCD::OPC_CheckPredicate, 9, 60, 18, // Skip to: 5655
/* 987 */     MCD::OPC_Decode, 212, 17, 55, // Opcode: MULQ_S_W_MMR2
/* 991 */     MCD::OPC_FilterValue, 8, 8, 0, // Skip to: 1003
/* 995 */     MCD::OPC_CheckPredicate, 9, 48, 18, // Skip to: 5655
/* 999 */     MCD::OPC_Decode, 224, 6, 62, // Opcode: APPEND_MMR2
/* 1003 */    MCD::OPC_FilterValue, 9, 8, 0, // Skip to: 1015
/* 1007 */    MCD::OPC_CheckPredicate, 9, 36, 18, // Skip to: 5655
/* 1011 */    MCD::OPC_Decode, 227, 18, 62, // Opcode: PREPEND_MMR2
/* 1015 */    MCD::OPC_FilterValue, 10, 8, 0, // Skip to: 1027
/* 1019 */    MCD::OPC_CheckPredicate, 8, 24, 18, // Skip to: 5655
/* 1023 */    MCD::OPC_Decode, 200, 16, 55, // Opcode: MODSUB_MM
/* 1027 */    MCD::OPC_FilterValue, 11, 8, 0, // Skip to: 1039
/* 1031 */    MCD::OPC_CheckPredicate, 8, 12, 18, // Skip to: 5655
/* 1035 */    MCD::OPC_Decode, 138, 20, 61, // Opcode: SHRAV_R_W_MM
/* 1039 */    MCD::OPC_FilterValue, 12, 8, 0, // Skip to: 1051
/* 1043 */    MCD::OPC_CheckPredicate, 9, 0, 18, // Skip to: 5655
/* 1047 */    MCD::OPC_Decode, 150, 20, 59, // Opcode: SHRLV_PH_MMR2
/* 1051 */    MCD::OPC_FilterValue, 13, 8, 0, // Skip to: 1063
/* 1055 */    MCD::OPC_CheckPredicate, 8, 244, 17, // Skip to: 5655
/* 1059 */    MCD::OPC_Decode, 152, 20, 59, // Opcode: SHRLV_QB_MM
/* 1063 */    MCD::OPC_FilterValue, 14, 8, 0, // Skip to: 1075
/* 1067 */    MCD::OPC_CheckPredicate, 8, 232, 17, // Skip to: 5655
/* 1071 */    MCD::OPC_Decode, 244, 19, 59, // Opcode: SHLLV_QB_MM
/* 1075 */    MCD::OPC_FilterValue, 15, 224, 17, // Skip to: 5655
/* 1079 */    MCD::OPC_CheckPredicate, 8, 220, 17, // Skip to: 5655
/* 1083 */    MCD::OPC_Decode, 248, 19, 61, // Opcode: SHLLV_S_W_MM
/* 1087 */    MCD::OPC_FilterValue, 24, 39, 0, // Skip to: 1130
/* 1091 */    MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 1094 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 1106
/* 1098 */    MCD::OPC_CheckPredicate, 6, 201, 17, // Skip to: 5655
/* 1102 */    MCD::OPC_Decode, 234, 16, 63, // Opcode: MOVN_I_MM
/* 1106 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 1118
/* 1110 */    MCD::OPC_CheckPredicate, 6, 189, 17, // Skip to: 5655
/* 1114 */    MCD::OPC_Decode, 254, 16, 63, // Opcode: MOVZ_I_MM
/* 1118 */    MCD::OPC_FilterValue, 4, 181, 17, // Skip to: 5655
/* 1122 */    MCD::OPC_CheckPredicate, 7, 177, 17, // Skip to: 5655
/* 1126 */    MCD::OPC_Decode, 190, 15, 64, // Opcode: LWXS_MM
/* 1130 */    MCD::OPC_FilterValue, 29, 20, 0, // Skip to: 1154
/* 1134 */    MCD::OPC_CheckPredicate, 8, 165, 17, // Skip to: 5655
/* 1138 */    MCD::OPC_CheckField, 22, 4, 0, 159, 17, // Skip to: 5655
/* 1144 */    MCD::OPC_CheckField, 6, 8, 0, 153, 17, // Skip to: 5655
/* 1150 */    MCD::OPC_Decode, 240, 19, 65, // Opcode: SHILO_MM
/* 1154 */    MCD::OPC_FilterValue, 37, 63, 0, // Skip to: 1221
/* 1158 */    MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 1161 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 1173
/* 1165 */    MCD::OPC_CheckPredicate, 8, 134, 17, // Skip to: 5655
/* 1169 */    MCD::OPC_Decode, 198, 17, 54, // Opcode: MULEQ_S_W_PHL_MM
/* 1173 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 1185
/* 1177 */    MCD::OPC_CheckPredicate, 8, 122, 17, // Skip to: 5655
/* 1181 */    MCD::OPC_Decode, 200, 17, 54, // Opcode: MULEQ_S_W_PHR_MM
/* 1185 */    MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 1197
/* 1189 */    MCD::OPC_CheckPredicate, 8, 110, 17, // Skip to: 5655
/* 1193 */    MCD::OPC_Decode, 253, 14, 64, // Opcode: LHX_MM
/* 1197 */    MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 1209
/* 1201 */    MCD::OPC_CheckPredicate, 8, 98, 17, // Skip to: 5655
/* 1205 */    MCD::OPC_Decode, 191, 15, 64, // Opcode: LWX_MM
/* 1209 */    MCD::OPC_FilterValue, 8, 90, 17, // Skip to: 5655
/* 1213 */    MCD::OPC_CheckPredicate, 8, 86, 17, // Skip to: 5655
/* 1217 */    MCD::OPC_Decode, 212, 14, 64, // Opcode: LBUX_MM
/* 1221 */    MCD::OPC_FilterValue, 44, 8, 0, // Skip to: 1233
/* 1225 */    MCD::OPC_CheckPredicate, 6, 74, 17, // Skip to: 5655
/* 1229 */    MCD::OPC_Decode, 190, 12, 66, // Opcode: EXT_MM
/* 1233 */    MCD::OPC_FilterValue, 45, 123, 0, // Skip to: 1360
/* 1237 */    MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 1240 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 1252
/* 1244 */    MCD::OPC_CheckPredicate, 9, 55, 17, // Skip to: 5655
/* 1248 */    MCD::OPC_Decode, 237, 17, 58, // Opcode: MUL_PH_MMR2
/* 1252 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 1264
/* 1256 */    MCD::OPC_CheckPredicate, 9, 43, 17, // Skip to: 5655
/* 1260 */    MCD::OPC_Decode, 214, 18, 58, // Opcode: PRECR_QB_PH_MMR2
/* 1264 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 1276
/* 1268 */    MCD::OPC_CheckPredicate, 8, 31, 17, // Skip to: 5655
/* 1272 */    MCD::OPC_Decode, 210, 18, 58, // Opcode: PRECRQ_QB_PH_MM
/* 1276 */    MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 1288
/* 1280 */    MCD::OPC_CheckPredicate, 8, 19, 17, // Skip to: 5655
/* 1284 */    MCD::OPC_Decode, 208, 18, 67, // Opcode: PRECRQ_PH_W_MM
/* 1288 */    MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 1300
/* 1292 */    MCD::OPC_CheckPredicate, 8, 7, 17, // Skip to: 5655
/* 1296 */    MCD::OPC_Decode, 212, 18, 67, // Opcode: PRECRQ_RS_PH_W_MM
/* 1300 */    MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 1312
/* 1304 */    MCD::OPC_CheckPredicate, 8, 251, 16, // Skip to: 5655
/* 1308 */    MCD::OPC_Decode, 206, 18, 58, // Opcode: PRECRQU_S_QB_PH_MM
/* 1312 */    MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 1324
/* 1316 */    MCD::OPC_CheckPredicate, 8, 239, 16, // Skip to: 5655
/* 1320 */    MCD::OPC_Decode, 162, 18, 58, // Opcode: PACKRL_PH_MM
/* 1324 */    MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 1336
/* 1328 */    MCD::OPC_CheckPredicate, 8, 227, 16, // Skip to: 5655
/* 1332 */    MCD::OPC_Decode, 181, 18, 58, // Opcode: PICK_QB_MM
/* 1336 */    MCD::OPC_FilterValue, 8, 8, 0, // Skip to: 1348
/* 1340 */    MCD::OPC_CheckPredicate, 8, 215, 16, // Skip to: 5655
/* 1344 */    MCD::OPC_Decode, 179, 18, 58, // Opcode: PICK_PH_MM
/* 1348 */    MCD::OPC_FilterValue, 16, 207, 16, // Skip to: 5655
/* 1352 */    MCD::OPC_CheckPredicate, 9, 203, 16, // Skip to: 5655
/* 1356 */    MCD::OPC_Decode, 242, 17, 58, // Opcode: MUL_S_PH_MMR2
/* 1360 */    MCD::OPC_FilterValue, 52, 39, 0, // Skip to: 1403
/* 1364 */    MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 1367 */    MCD::OPC_FilterValue, 19, 14, 0, // Skip to: 1385
/* 1371 */    MCD::OPC_CheckPredicate, 10, 184, 16, // Skip to: 5655
/* 1375 */    MCD::OPC_CheckField, 14, 2, 0, 178, 16, // Skip to: 5655
/* 1381 */    MCD::OPC_Decode, 156, 16, 68, // Opcode: MFHGC0_MM
/* 1385 */    MCD::OPC_FilterValue, 27, 170, 16, // Skip to: 5655
/* 1389 */    MCD::OPC_CheckPredicate, 10, 166, 16, // Skip to: 5655
/* 1393 */    MCD::OPC_CheckField, 14, 2, 0, 160, 16, // Skip to: 5655
/* 1399 */    MCD::OPC_Decode, 172, 17, 69, // Opcode: MTHGC0_MM
/* 1403 */    MCD::OPC_FilterValue, 53, 94, 0, // Skip to: 1501
/* 1407 */    MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 1410 */    MCD::OPC_FilterValue, 11, 8, 0, // Skip to: 1422
/* 1414 */    MCD::OPC_CheckPredicate, 8, 141, 16, // Skip to: 5655
/* 1418 */    MCD::OPC_Decode, 148, 20, 52, // Opcode: SHRA_R_W_MM
/* 1422 */    MCD::OPC_FilterValue, 12, 14, 0, // Skip to: 1440
/* 1426 */    MCD::OPC_CheckPredicate, 8, 129, 16, // Skip to: 5655
/* 1430 */    MCD::OPC_CheckField, 11, 1, 0, 123, 16, // Skip to: 5655
/* 1436 */    MCD::OPC_Decode, 140, 20, 70, // Opcode: SHRA_PH_MM
/* 1440 */    MCD::OPC_FilterValue, 14, 27, 0, // Skip to: 1471
/* 1444 */    MCD::OPC_ExtractField, 11, 1,  // Inst{11} ...
/* 1447 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 1459
/* 1451 */    MCD::OPC_CheckPredicate, 8, 104, 16, // Skip to: 5655
/* 1455 */    MCD::OPC_Decode, 250, 19, 70, // Opcode: SHLL_PH_MM
/* 1459 */    MCD::OPC_FilterValue, 1, 96, 16, // Skip to: 5655
/* 1463 */    MCD::OPC_CheckPredicate, 8, 92, 16, // Skip to: 5655
/* 1467 */    MCD::OPC_Decode, 254, 19, 70, // Opcode: SHLL_S_PH_MM
/* 1471 */    MCD::OPC_FilterValue, 15, 8, 0, // Skip to: 1483
/* 1475 */    MCD::OPC_CheckPredicate, 8, 80, 16, // Skip to: 5655
/* 1479 */    MCD::OPC_Decode, 128, 20, 52, // Opcode: SHLL_S_W_MM
/* 1483 */    MCD::OPC_FilterValue, 28, 72, 16, // Skip to: 5655
/* 1487 */    MCD::OPC_CheckPredicate, 8, 68, 16, // Skip to: 5655
/* 1491 */    MCD::OPC_CheckField, 11, 1, 0, 62, 16, // Skip to: 5655
/* 1497 */    MCD::OPC_Decode, 144, 20, 70, // Opcode: SHRA_R_PH_MM
/* 1501 */    MCD::OPC_FilterValue, 60, 230, 6, // Skip to: 3271
/* 1505 */    MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 1508 */    MCD::OPC_FilterValue, 0, 27, 0, // Skip to: 1539
/* 1512 */    MCD::OPC_ExtractField, 11, 1,  // Inst{11} ...
/* 1515 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 1527
/* 1519 */    MCD::OPC_CheckPredicate, 7, 36, 16, // Skip to: 5655
/* 1523 */    MCD::OPC_Decode, 128, 22, 71, // Opcode: TEQ_MM
/* 1527 */    MCD::OPC_FilterValue, 1, 28, 16, // Skip to: 5655
/* 1531 */    MCD::OPC_CheckPredicate, 7, 24, 16, // Skip to: 5655
/* 1535 */    MCD::OPC_Decode, 167, 22, 71, // Opcode: TLT_MM
/* 1539 */    MCD::OPC_FilterValue, 1, 113, 0, // Skip to: 1656
/* 1543 */    MCD::OPC_ExtractField, 11, 2,  // Inst{12-11} ...
/* 1546 */    MCD::OPC_FilterValue, 0, 39, 0, // Skip to: 1589
/* 1550 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 1553 */    MCD::OPC_FilterValue, 0, 14, 0, // Skip to: 1571
/* 1557 */    MCD::OPC_CheckPredicate, 8, 254, 15, // Skip to: 5655
/* 1561 */    MCD::OPC_CheckField, 21, 5, 0, 248, 15, // Skip to: 5655
/* 1567 */    MCD::OPC_Decode, 161, 16, 72, // Opcode: MFHI_DSP_MM
/* 1571 */    MCD::OPC_FilterValue, 1, 240, 15, // Skip to: 5655
/* 1575 */    MCD::OPC_CheckPredicate, 8, 236, 15, // Skip to: 5655
/* 1579 */    MCD::OPC_CheckField, 21, 5, 0, 230, 15, // Skip to: 5655
/* 1585 */    MCD::OPC_Decode, 176, 17, 73, // Opcode: MTHI_DSP_MM
/* 1589 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 1601
/* 1593 */    MCD::OPC_CheckPredicate, 8, 218, 15, // Skip to: 5655
/* 1597 */    MCD::OPC_Decode, 252, 19, 74, // Opcode: SHLL_QB_MM
/* 1601 */    MCD::OPC_FilterValue, 2, 39, 0, // Skip to: 1644
/* 1605 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 1608 */    MCD::OPC_FilterValue, 0, 14, 0, // Skip to: 1626
/* 1612 */    MCD::OPC_CheckPredicate, 8, 199, 15, // Skip to: 5655
/* 1616 */    MCD::OPC_CheckField, 21, 5, 0, 193, 15, // Skip to: 5655
/* 1622 */    MCD::OPC_Decode, 167, 16, 72, // Opcode: MFLO_DSP_MM
/* 1626 */    MCD::OPC_FilterValue, 1, 185, 15, // Skip to: 5655
/* 1630 */    MCD::OPC_CheckPredicate, 8, 181, 15, // Skip to: 5655
/* 1634 */    MCD::OPC_CheckField, 21, 5, 0, 175, 15, // Skip to: 5655
/* 1640 */    MCD::OPC_Decode, 183, 17, 75, // Opcode: MTLO_DSP_MM
/* 1644 */    MCD::OPC_FilterValue, 3, 167, 15, // Skip to: 5655
/* 1648 */    MCD::OPC_CheckPredicate, 8, 163, 15, // Skip to: 5655
/* 1652 */    MCD::OPC_Decode, 156, 20, 74, // Opcode: SHRL_QB_MM
/* 1656 */    MCD::OPC_FilterValue, 2, 87, 0, // Skip to: 1747
/* 1660 */    MCD::OPC_ExtractField, 11, 3,  // Inst{13-11} ...
/* 1663 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 1675
/* 1667 */    MCD::OPC_CheckPredicate, 9, 144, 15, // Skip to: 5655
/* 1671 */    MCD::OPC_Decode, 228, 11, 76, // Opcode: DPA_W_PH_MMR2
/* 1675 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 1687
/* 1679 */    MCD::OPC_CheckPredicate, 9, 132, 15, // Skip to: 5655
/* 1683 */    MCD::OPC_Decode, 140, 7, 77, // Opcode: BALIGN_MMR2
/* 1687 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 1699
/* 1691 */    MCD::OPC_CheckPredicate, 9, 120, 15, // Skip to: 5655
/* 1695 */    MCD::OPC_Decode, 226, 11, 76, // Opcode: DPAX_W_PH_MMR2
/* 1699 */    MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 1711
/* 1703 */    MCD::OPC_CheckPredicate, 8, 108, 15, // Skip to: 5655
/* 1707 */    MCD::OPC_Decode, 222, 11, 76, // Opcode: DPAU_H_QBL_MM
/* 1711 */    MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 1723
/* 1715 */    MCD::OPC_CheckPredicate, 8, 96, 15, // Skip to: 5655
/* 1719 */    MCD::OPC_Decode, 170, 12, 78, // Opcode: EXTPV_MM
/* 1723 */    MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 1735
/* 1727 */    MCD::OPC_CheckPredicate, 8, 84, 15, // Skip to: 5655
/* 1731 */    MCD::OPC_Decode, 224, 11, 76, // Opcode: DPAU_H_QBR_MM
/* 1735 */    MCD::OPC_FilterValue, 7, 76, 15, // Skip to: 5655
/* 1739 */    MCD::OPC_CheckPredicate, 8, 72, 15, // Skip to: 5655
/* 1743 */    MCD::OPC_Decode, 167, 12, 78, // Opcode: EXTPDPV_MM
/* 1747 */    MCD::OPC_FilterValue, 4, 147, 0, // Skip to: 1898
/* 1751 */    MCD::OPC_ExtractField, 11, 5,  // Inst{15-11} ...
/* 1754 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 1766
/* 1758 */    MCD::OPC_CheckPredicate, 9, 53, 15, // Skip to: 5655
/* 1762 */    MCD::OPC_Decode, 255, 5, 79, // Opcode: ABSQ_S_QB_MMR2
/* 1766 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 1778
/* 1770 */    MCD::OPC_CheckPredicate, 8, 41, 15, // Skip to: 5655
/* 1774 */    MCD::OPC_Decode, 253, 5, 79, // Opcode: ABSQ_S_PH_MM
/* 1778 */    MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 1790
/* 1782 */    MCD::OPC_CheckPredicate, 8, 29, 15, // Skip to: 5655
/* 1786 */    MCD::OPC_Decode, 129, 6, 80, // Opcode: ABSQ_S_W_MM
/* 1790 */    MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 1802
/* 1794 */    MCD::OPC_CheckPredicate, 8, 17, 15, // Skip to: 5655
/* 1798 */    MCD::OPC_Decode, 230, 7, 80, // Opcode: BITREV_MM
/* 1802 */    MCD::OPC_FilterValue, 8, 8, 0, // Skip to: 1814
/* 1806 */    MCD::OPC_CheckPredicate, 8, 5, 15, // Skip to: 5655
/* 1810 */    MCD::OPC_Decode, 161, 14, 81, // Opcode: INSV_MM
/* 1814 */    MCD::OPC_FilterValue, 10, 8, 0, // Skip to: 1826
/* 1818 */    MCD::OPC_CheckPredicate, 8, 249, 14, // Skip to: 5655
/* 1822 */    MCD::OPC_Decode, 194, 18, 82, // Opcode: PRECEQ_W_PHL_MM
/* 1826 */    MCD::OPC_FilterValue, 12, 8, 0, // Skip to: 1838
/* 1830 */    MCD::OPC_CheckPredicate, 8, 237, 14, // Skip to: 5655
/* 1834 */    MCD::OPC_Decode, 196, 18, 82, // Opcode: PRECEQ_W_PHR_MM
/* 1838 */    MCD::OPC_FilterValue, 14, 8, 0, // Skip to: 1850
/* 1842 */    MCD::OPC_CheckPredicate, 8, 225, 14, // Skip to: 5655
/* 1846 */    MCD::OPC_Decode, 188, 18, 79, // Opcode: PRECEQU_PH_QBL_MM
/* 1850 */    MCD::OPC_FilterValue, 18, 8, 0, // Skip to: 1862
/* 1854 */    MCD::OPC_CheckPredicate, 8, 213, 14, // Skip to: 5655
/* 1858 */    MCD::OPC_Decode, 192, 18, 79, // Opcode: PRECEQU_PH_QBR_MM
/* 1862 */    MCD::OPC_FilterValue, 22, 8, 0, // Skip to: 1874
/* 1866 */    MCD::OPC_CheckPredicate, 8, 201, 14, // Skip to: 5655
/* 1870 */    MCD::OPC_Decode, 200, 18, 79, // Opcode: PRECEU_PH_QBL_MM
/* 1874 */    MCD::OPC_FilterValue, 26, 8, 0, // Skip to: 1886
/* 1878 */    MCD::OPC_CheckPredicate, 8, 189, 14, // Skip to: 5655
/* 1882 */    MCD::OPC_Decode, 204, 18, 79, // Opcode: PRECEU_PH_QBR_MM
/* 1886 */    MCD::OPC_FilterValue, 30, 181, 14, // Skip to: 5655
/* 1890 */    MCD::OPC_CheckPredicate, 8, 177, 14, // Skip to: 5655
/* 1894 */    MCD::OPC_Decode, 231, 18, 82, // Opcode: RADDU_W_QB_MM
/* 1898 */    MCD::OPC_FilterValue, 5, 75, 0, // Skip to: 1977
/* 1902 */    MCD::OPC_ExtractField, 11, 15,  // Inst{25-11} ...
/* 1905 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 1917
/* 1909 */    MCD::OPC_CheckPredicate, 10, 158, 14, // Skip to: 5655
/* 1913 */    MCD::OPC_Decode, 142, 22, 10, // Opcode: TLBGP_MM
/* 1917 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 1929
/* 1921 */    MCD::OPC_CheckPredicate, 10, 146, 14, // Skip to: 5655
/* 1925 */    MCD::OPC_Decode, 144, 22, 10, // Opcode: TLBGR_MM
/* 1929 */    MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 1941
/* 1933 */    MCD::OPC_CheckPredicate, 10, 134, 14, // Skip to: 5655
/* 1937 */    MCD::OPC_Decode, 146, 22, 10, // Opcode: TLBGWI_MM
/* 1941 */    MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 1953
/* 1945 */    MCD::OPC_CheckPredicate, 10, 122, 14, // Skip to: 5655
/* 1949 */    MCD::OPC_Decode, 148, 22, 10, // Opcode: TLBGWR_MM
/* 1953 */    MCD::OPC_FilterValue, 8, 8, 0, // Skip to: 1965
/* 1957 */    MCD::OPC_CheckPredicate, 10, 110, 14, // Skip to: 5655
/* 1961 */    MCD::OPC_Decode, 140, 22, 10, // Opcode: TLBGINV_MM
/* 1965 */    MCD::OPC_FilterValue, 10, 102, 14, // Skip to: 5655
/* 1969 */    MCD::OPC_CheckPredicate, 10, 98, 14, // Skip to: 5655
/* 1973 */    MCD::OPC_Decode, 139, 22, 10, // Opcode: TLBGINVF_MM
/* 1977 */    MCD::OPC_FilterValue, 7, 27, 0, // Skip to: 2008
/* 1981 */    MCD::OPC_ExtractField, 11, 2,  // Inst{12-11} ...
/* 1984 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 1996
/* 1988 */    MCD::OPC_CheckPredicate, 9, 79, 14, // Skip to: 5655
/* 1992 */    MCD::OPC_Decode, 142, 20, 74, // Opcode: SHRA_QB_MMR2
/* 1996 */    MCD::OPC_FilterValue, 2, 71, 14, // Skip to: 5655
/* 2000 */    MCD::OPC_CheckPredicate, 9, 67, 14, // Skip to: 5655
/* 2004 */    MCD::OPC_Decode, 146, 20, 74, // Opcode: SHRA_R_QB_MMR2
/* 2008 */    MCD::OPC_FilterValue, 8, 27, 0, // Skip to: 2039
/* 2012 */    MCD::OPC_ExtractField, 11, 1,  // Inst{11} ...
/* 2015 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 2027
/* 2019 */    MCD::OPC_CheckPredicate, 7, 48, 14, // Skip to: 5655
/* 2023 */    MCD::OPC_Decode, 136, 22, 71, // Opcode: TGE_MM
/* 2027 */    MCD::OPC_FilterValue, 1, 40, 14, // Skip to: 5655
/* 2031 */    MCD::OPC_CheckPredicate, 7, 36, 14, // Skip to: 5655
/* 2035 */    MCD::OPC_Decode, 166, 22, 71, // Opcode: TLTU_MM
/* 2039 */    MCD::OPC_FilterValue, 9, 87, 0, // Skip to: 2130
/* 2043 */    MCD::OPC_ExtractField, 11, 3,  // Inst{13-11} ...
/* 2046 */    MCD::OPC_FilterValue, 0, 14, 0, // Skip to: 2064
/* 2050 */    MCD::OPC_CheckPredicate, 8, 17, 14, // Skip to: 5655
/* 2054 */    MCD::OPC_CheckField, 21, 5, 0, 11, 14, // Skip to: 5655
/* 2060 */    MCD::OPC_Decode, 179, 17, 83, // Opcode: MTHLIP_MM
/* 2064 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 2076
/* 2068 */    MCD::OPC_CheckPredicate, 8, 255, 13, // Skip to: 5655
/* 2072 */    MCD::OPC_Decode, 238, 15, 76, // Opcode: MAQ_S_W_PHR_MM
/* 2076 */    MCD::OPC_FilterValue, 2, 14, 0, // Skip to: 2094
/* 2080 */    MCD::OPC_CheckPredicate, 8, 243, 13, // Skip to: 5655
/* 2084 */    MCD::OPC_CheckField, 21, 5, 0, 237, 13, // Skip to: 5655
/* 2090 */    MCD::OPC_Decode, 239, 19, 83, // Opcode: SHILOV_MM
/* 2094 */    MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 2106
/* 2098 */    MCD::OPC_CheckPredicate, 8, 225, 13, // Skip to: 5655
/* 2102 */    MCD::OPC_Decode, 236, 15, 76, // Opcode: MAQ_S_W_PHL_MM
/* 2106 */    MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 2118
/* 2110 */    MCD::OPC_CheckPredicate, 8, 213, 13, // Skip to: 5655
/* 2114 */    MCD::OPC_Decode, 234, 15, 76, // Opcode: MAQ_SA_W_PHR_MM
/* 2118 */    MCD::OPC_FilterValue, 7, 205, 13, // Skip to: 5655
/* 2122 */    MCD::OPC_CheckPredicate, 8, 201, 13, // Skip to: 5655
/* 2126 */    MCD::OPC_Decode, 232, 15, 76, // Opcode: MAQ_SA_W_PHL_MM
/* 2130 */    MCD::OPC_FilterValue, 10, 99, 0, // Skip to: 2233
/* 2134 */    MCD::OPC_ExtractField, 11, 3,  // Inst{13-11} ...
/* 2137 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 2149
/* 2141 */    MCD::OPC_CheckPredicate, 8, 182, 13, // Skip to: 5655
/* 2145 */    MCD::OPC_Decode, 220, 11, 76, // Opcode: DPAQ_S_W_PH_MM
/* 2149 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 2161
/* 2153 */    MCD::OPC_CheckPredicate, 8, 170, 13, // Skip to: 5655
/* 2157 */    MCD::OPC_Decode, 225, 15, 76, // Opcode: MADD_DSP_MM
/* 2161 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 2173
/* 2165 */    MCD::OPC_CheckPredicate, 8, 158, 13, // Skip to: 5655
/* 2169 */    MCD::OPC_Decode, 218, 11, 76, // Opcode: DPAQ_SA_L_W_MM
/* 2173 */    MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 2185
/* 2177 */    MCD::OPC_CheckPredicate, 8, 146, 13, // Skip to: 5655
/* 2181 */    MCD::OPC_Decode, 215, 15, 76, // Opcode: MADDU_DSP_MM
/* 2185 */    MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 2197
/* 2189 */    MCD::OPC_CheckPredicate, 9, 134, 13, // Skip to: 5655
/* 2193 */    MCD::OPC_Decode, 216, 11, 76, // Opcode: DPAQX_S_W_PH_MMR2
/* 2197 */    MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 2209
/* 2201 */    MCD::OPC_CheckPredicate, 8, 122, 13, // Skip to: 5655
/* 2205 */    MCD::OPC_Decode, 148, 17, 76, // Opcode: MSUB_DSP_MM
/* 2209 */    MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 2221
/* 2213 */    MCD::OPC_CheckPredicate, 9, 110, 13, // Skip to: 5655
/* 2217 */    MCD::OPC_Decode, 214, 11, 76, // Opcode: DPAQX_SA_W_PH_MMR2
/* 2221 */    MCD::OPC_FilterValue, 7, 102, 13, // Skip to: 5655
/* 2225 */    MCD::OPC_CheckPredicate, 8, 98, 13, // Skip to: 5655
/* 2229 */    MCD::OPC_Decode, 138, 17, 76, // Opcode: MSUBU_DSP_MM
/* 2233 */    MCD::OPC_FilterValue, 12, 243, 0, // Skip to: 2480
/* 2237 */    MCD::OPC_ExtractField, 11, 5,  // Inst{15-11} ...
/* 2240 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 2252
/* 2244 */    MCD::OPC_CheckPredicate, 8, 79, 13, // Skip to: 5655
/* 2248 */    MCD::OPC_Decode, 246, 18, 84, // Opcode: REPLV_PH_MM
/* 2252 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 2264
/* 2256 */    MCD::OPC_CheckPredicate, 8, 67, 13, // Skip to: 5655
/* 2260 */    MCD::OPC_Decode, 248, 18, 84, // Opcode: REPLV_QB_MM
/* 2264 */    MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 2276
/* 2268 */    MCD::OPC_CheckPredicate, 7, 55, 13, // Skip to: 5655
/* 2272 */    MCD::OPC_Decode, 204, 19, 80, // Opcode: SEB_MM
/* 2276 */    MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 2288
/* 2280 */    MCD::OPC_CheckPredicate, 7, 43, 13, // Skip to: 5655
/* 2284 */    MCD::OPC_Decode, 207, 19, 80, // Opcode: SEH_MM
/* 2288 */    MCD::OPC_FilterValue, 9, 8, 0, // Skip to: 2300
/* 2292 */    MCD::OPC_CheckPredicate, 7, 31, 13, // Skip to: 5655
/* 2296 */    MCD::OPC_Decode, 129, 9, 80, // Opcode: CLO_MM
/* 2300 */    MCD::OPC_FilterValue, 11, 8, 0, // Skip to: 2312
/* 2304 */    MCD::OPC_CheckPredicate, 7, 19, 13, // Skip to: 5655
/* 2308 */    MCD::OPC_Decode, 149, 9, 80, // Opcode: CLZ_MM
/* 2312 */    MCD::OPC_FilterValue, 13, 8, 0, // Skip to: 2324
/* 2316 */    MCD::OPC_CheckPredicate, 6, 7, 13, // Skip to: 5655
/* 2320 */    MCD::OPC_Decode, 236, 18, 85, // Opcode: RDHWR_MM
/* 2324 */    MCD::OPC_FilterValue, 14, 8, 0, // Skip to: 2336
/* 2328 */    MCD::OPC_CheckPredicate, 8, 251, 12, // Skip to: 5655
/* 2332 */    MCD::OPC_Decode, 187, 18, 79, // Opcode: PRECEQU_PH_QBLA_MM
/* 2336 */    MCD::OPC_FilterValue, 15, 8, 0, // Skip to: 2348
/* 2340 */    MCD::OPC_CheckPredicate, 7, 239, 12, // Skip to: 5655
/* 2344 */    MCD::OPC_Decode, 200, 22, 80, // Opcode: WSBH_MM
/* 2348 */    MCD::OPC_FilterValue, 17, 8, 0, // Skip to: 2360
/* 2352 */    MCD::OPC_CheckPredicate, 6, 227, 12, // Skip to: 5655
/* 2356 */    MCD::OPC_Decode, 225, 17, 86, // Opcode: MULT_MM
/* 2360 */    MCD::OPC_FilterValue, 18, 8, 0, // Skip to: 2372
/* 2364 */    MCD::OPC_CheckPredicate, 8, 215, 12, // Skip to: 5655
/* 2368 */    MCD::OPC_Decode, 191, 18, 79, // Opcode: PRECEQU_PH_QBRA_MM
/* 2372 */    MCD::OPC_FilterValue, 19, 8, 0, // Skip to: 2384
/* 2376 */    MCD::OPC_CheckPredicate, 6, 203, 12, // Skip to: 5655
/* 2380 */    MCD::OPC_Decode, 227, 17, 86, // Opcode: MULTu_MM
/* 2384 */    MCD::OPC_FilterValue, 21, 8, 0, // Skip to: 2396
/* 2388 */    MCD::OPC_CheckPredicate, 6, 191, 12, // Skip to: 5655
/* 2392 */    MCD::OPC_Decode, 197, 19, 86, // Opcode: SDIV_MM
/* 2396 */    MCD::OPC_FilterValue, 22, 8, 0, // Skip to: 2408
/* 2400 */    MCD::OPC_CheckPredicate, 8, 179, 12, // Skip to: 5655
/* 2404 */    MCD::OPC_Decode, 199, 18, 79, // Opcode: PRECEU_PH_QBLA_MM
/* 2408 */    MCD::OPC_FilterValue, 23, 8, 0, // Skip to: 2420
/* 2412 */    MCD::OPC_CheckPredicate, 6, 167, 12, // Skip to: 5655
/* 2416 */    MCD::OPC_Decode, 185, 22, 86, // Opcode: UDIV_MM
/* 2420 */    MCD::OPC_FilterValue, 25, 8, 0, // Skip to: 2432
/* 2424 */    MCD::OPC_CheckPredicate, 6, 155, 12, // Skip to: 5655
/* 2428 */    MCD::OPC_Decode, 226, 15, 86, // Opcode: MADD_MM
/* 2432 */    MCD::OPC_FilterValue, 26, 8, 0, // Skip to: 2444
/* 2436 */    MCD::OPC_CheckPredicate, 8, 143, 12, // Skip to: 5655
/* 2440 */    MCD::OPC_Decode, 203, 18, 79, // Opcode: PRECEU_PH_QBRA_MM
/* 2444 */    MCD::OPC_FilterValue, 27, 8, 0, // Skip to: 2456
/* 2448 */    MCD::OPC_CheckPredicate, 6, 131, 12, // Skip to: 5655
/* 2452 */    MCD::OPC_Decode, 216, 15, 86, // Opcode: MADDU_MM
/* 2456 */    MCD::OPC_FilterValue, 29, 8, 0, // Skip to: 2468
/* 2460 */    MCD::OPC_CheckPredicate, 6, 119, 12, // Skip to: 5655
/* 2464 */    MCD::OPC_Decode, 149, 17, 86, // Opcode: MSUB_MM
/* 2468 */    MCD::OPC_FilterValue, 31, 111, 12, // Skip to: 5655
/* 2472 */    MCD::OPC_CheckPredicate, 6, 107, 12, // Skip to: 5655
/* 2476 */    MCD::OPC_Decode, 139, 17, 86, // Opcode: MSUBU_MM
/* 2480 */    MCD::OPC_FilterValue, 13, 177, 0, // Skip to: 2661
/* 2484 */    MCD::OPC_ExtractField, 11, 5,  // Inst{15-11} ...
/* 2487 */    MCD::OPC_FilterValue, 0, 14, 0, // Skip to: 2505
/* 2491 */    MCD::OPC_CheckPredicate, 7, 88, 12, // Skip to: 5655
/* 2495 */    MCD::OPC_CheckField, 16, 10, 0, 82, 12, // Skip to: 5655
/* 2501 */    MCD::OPC_Decode, 154, 22, 10, // Opcode: TLBP_MM
/* 2505 */    MCD::OPC_FilterValue, 2, 14, 0, // Skip to: 2523
/* 2509 */    MCD::OPC_CheckPredicate, 7, 70, 12, // Skip to: 5655
/* 2513 */    MCD::OPC_CheckField, 16, 10, 0, 64, 12, // Skip to: 5655
/* 2519 */    MCD::OPC_Decode, 156, 22, 10, // Opcode: TLBR_MM
/* 2523 */    MCD::OPC_FilterValue, 4, 14, 0, // Skip to: 2541
/* 2527 */    MCD::OPC_CheckPredicate, 7, 52, 12, // Skip to: 5655
/* 2531 */    MCD::OPC_CheckField, 16, 10, 0, 46, 12, // Skip to: 5655
/* 2537 */    MCD::OPC_Decode, 158, 22, 10, // Opcode: TLBWI_MM
/* 2541 */    MCD::OPC_FilterValue, 6, 14, 0, // Skip to: 2559
/* 2545 */    MCD::OPC_CheckPredicate, 7, 34, 12, // Skip to: 5655
/* 2549 */    MCD::OPC_CheckField, 16, 10, 0, 28, 12, // Skip to: 5655
/* 2555 */    MCD::OPC_Decode, 160, 22, 10, // Opcode: TLBWR_MM
/* 2559 */    MCD::OPC_FilterValue, 13, 14, 0, // Skip to: 2577
/* 2563 */    MCD::OPC_CheckPredicate, 7, 16, 12, // Skip to: 5655
/* 2567 */    MCD::OPC_CheckField, 21, 5, 0, 10, 12, // Skip to: 5655
/* 2573 */    MCD::OPC_Decode, 228, 21, 87, // Opcode: SYNC_MM
/* 2577 */    MCD::OPC_FilterValue, 17, 8, 0, // Skip to: 2589
/* 2581 */    MCD::OPC_CheckPredicate, 7, 254, 11, // Skip to: 5655
/* 2585 */    MCD::OPC_Decode, 231, 21, 88, // Opcode: SYSCALL_MM
/* 2589 */    MCD::OPC_FilterValue, 18, 8, 0, // Skip to: 2601
/* 2593 */    MCD::OPC_CheckPredicate, 7, 242, 11, // Skip to: 5655
/* 2597 */    MCD::OPC_Decode, 194, 22, 88, // Opcode: WAIT_MM
/* 2601 */    MCD::OPC_FilterValue, 24, 8, 0, // Skip to: 2613
/* 2605 */    MCD::OPC_CheckPredicate, 10, 230, 11, // Skip to: 5655
/* 2609 */    MCD::OPC_Decode, 134, 14, 88, // Opcode: HYPCALL_MM
/* 2613 */    MCD::OPC_FilterValue, 27, 8, 0, // Skip to: 2625
/* 2617 */    MCD::OPC_CheckPredicate, 7, 218, 11, // Skip to: 5655
/* 2621 */    MCD::OPC_Decode, 184, 19, 88, // Opcode: SDBBP_MM
/* 2625 */    MCD::OPC_FilterValue, 28, 14, 0, // Skip to: 2643
/* 2629 */    MCD::OPC_CheckPredicate, 7, 206, 11, // Skip to: 5655
/* 2633 */    MCD::OPC_CheckField, 16, 10, 0, 200, 11, // Skip to: 5655
/* 2639 */    MCD::OPC_Decode, 155, 11, 10, // Opcode: DERET_MM
/* 2643 */    MCD::OPC_FilterValue, 30, 192, 11, // Skip to: 5655
/* 2647 */    MCD::OPC_CheckPredicate, 7, 188, 11, // Skip to: 5655
/* 2651 */    MCD::OPC_CheckField, 16, 10, 0, 182, 11, // Skip to: 5655
/* 2657 */    MCD::OPC_Decode, 158, 12, 10, // Opcode: ERET_MM
/* 2661 */    MCD::OPC_FilterValue, 15, 14, 0, // Skip to: 2679
/* 2665 */    MCD::OPC_CheckPredicate, 9, 170, 11, // Skip to: 5655
/* 2669 */    MCD::OPC_CheckField, 11, 1, 0, 164, 11, // Skip to: 5655
/* 2675 */    MCD::OPC_Decode, 154, 20, 70, // Opcode: SHRL_PH_MMR2
/* 2679 */    MCD::OPC_FilterValue, 16, 27, 0, // Skip to: 2710
/* 2683 */    MCD::OPC_ExtractField, 11, 1,  // Inst{11} ...
/* 2686 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 2698
/* 2690 */    MCD::OPC_CheckPredicate, 7, 145, 11, // Skip to: 5655
/* 2694 */    MCD::OPC_Decode, 135, 22, 71, // Opcode: TGEU_MM
/* 2698 */    MCD::OPC_FilterValue, 1, 137, 11, // Skip to: 5655
/* 2702 */    MCD::OPC_CheckPredicate, 7, 133, 11, // Skip to: 5655
/* 2706 */    MCD::OPC_Decode, 171, 22, 71, // Opcode: TNE_MM
/* 2710 */    MCD::OPC_FilterValue, 18, 99, 0, // Skip to: 2813
/* 2714 */    MCD::OPC_ExtractField, 11, 3,  // Inst{13-11} ...
/* 2717 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 2729
/* 2721 */    MCD::OPC_CheckPredicate, 9, 114, 11, // Skip to: 5655
/* 2725 */    MCD::OPC_Decode, 251, 11, 76, // Opcode: DPS_W_PH_MMR2
/* 2729 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 2741
/* 2733 */    MCD::OPC_CheckPredicate, 8, 102, 11, // Skip to: 5655
/* 2737 */    MCD::OPC_Decode, 224, 17, 89, // Opcode: MULT_DSP_MM
/* 2741 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 2753
/* 2745 */    MCD::OPC_CheckPredicate, 9, 90, 11, // Skip to: 5655
/* 2749 */    MCD::OPC_Decode, 249, 11, 76, // Opcode: DPSX_W_PH_MMR2
/* 2753 */    MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 2765
/* 2757 */    MCD::OPC_CheckPredicate, 8, 78, 11, // Skip to: 5655
/* 2761 */    MCD::OPC_Decode, 222, 17, 89, // Opcode: MULTU_DSP_MM
/* 2765 */    MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 2777
/* 2769 */    MCD::OPC_CheckPredicate, 8, 66, 11, // Skip to: 5655
/* 2773 */    MCD::OPC_Decode, 245, 11, 76, // Opcode: DPSU_H_QBL_MM
/* 2777 */    MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 2789
/* 2781 */    MCD::OPC_CheckPredicate, 9, 54, 11, // Skip to: 5655
/* 2785 */    MCD::OPC_Decode, 219, 17, 76, // Opcode: MULSA_W_PH_MMR2
/* 2789 */    MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 2801
/* 2793 */    MCD::OPC_CheckPredicate, 8, 42, 11, // Skip to: 5655
/* 2797 */    MCD::OPC_Decode, 247, 11, 76, // Opcode: DPSU_H_QBR_MM
/* 2801 */    MCD::OPC_FilterValue, 7, 34, 11, // Skip to: 5655
/* 2805 */    MCD::OPC_CheckPredicate, 8, 30, 11, // Skip to: 5655
/* 2809 */    MCD::OPC_Decode, 217, 17, 76, // Opcode: MULSAQ_S_W_PH_MM
/* 2813 */    MCD::OPC_FilterValue, 19, 14, 0, // Skip to: 2831
/* 2817 */    MCD::OPC_CheckPredicate, 10, 18, 11, // Skip to: 5655
/* 2821 */    MCD::OPC_CheckField, 14, 2, 0, 12, 11, // Skip to: 5655
/* 2827 */    MCD::OPC_Decode, 148, 16, 68, // Opcode: MFGC0_MM
/* 2831 */    MCD::OPC_FilterValue, 20, 27, 0, // Skip to: 2862
/* 2835 */    MCD::OPC_ExtractField, 11, 5,  // Inst{15-11} ...
/* 2838 */    MCD::OPC_FilterValue, 25, 8, 0, // Skip to: 2850
/* 2842 */    MCD::OPC_CheckPredicate, 7, 249, 10, // Skip to: 5655
/* 2846 */    MCD::OPC_Decode, 230, 8, 90, // Opcode: CFC2_MM
/* 2850 */    MCD::OPC_FilterValue, 27, 241, 10, // Skip to: 5655
/* 2854 */    MCD::OPC_CheckPredicate, 7, 237, 10, // Skip to: 5655
/* 2858 */    MCD::OPC_Decode, 129, 10, 91, // Opcode: CTC2_MM
/* 2862 */    MCD::OPC_FilterValue, 21, 75, 0, // Skip to: 2941
/* 2866 */    MCD::OPC_ExtractField, 11, 5,  // Inst{15-11} ...
/* 2869 */    MCD::OPC_FilterValue, 1, 14, 0, // Skip to: 2887
/* 2873 */    MCD::OPC_CheckPredicate, 6, 218, 10, // Skip to: 5655
/* 2877 */    MCD::OPC_CheckField, 21, 5, 0, 212, 10, // Skip to: 5655
/* 2883 */    MCD::OPC_Decode, 162, 16, 92, // Opcode: MFHI_MM
/* 2887 */    MCD::OPC_FilterValue, 3, 14, 0, // Skip to: 2905
/* 2891 */    MCD::OPC_CheckPredicate, 6, 200, 10, // Skip to: 5655
/* 2895 */    MCD::OPC_CheckField, 21, 5, 0, 194, 10, // Skip to: 5655
/* 2901 */    MCD::OPC_Decode, 168, 16, 92, // Opcode: MFLO_MM
/* 2905 */    MCD::OPC_FilterValue, 5, 14, 0, // Skip to: 2923
/* 2909 */    MCD::OPC_CheckPredicate, 6, 182, 10, // Skip to: 5655
/* 2913 */    MCD::OPC_CheckField, 21, 5, 0, 176, 10, // Skip to: 5655
/* 2919 */    MCD::OPC_Decode, 177, 17, 92, // Opcode: MTHI_MM
/* 2923 */    MCD::OPC_FilterValue, 7, 168, 10, // Skip to: 5655
/* 2927 */    MCD::OPC_CheckPredicate, 6, 164, 10, // Skip to: 5655
/* 2931 */    MCD::OPC_CheckField, 21, 5, 0, 158, 10, // Skip to: 5655
/* 2937 */    MCD::OPC_Decode, 184, 17, 92, // Opcode: MTLO_MM
/* 2941 */    MCD::OPC_FilterValue, 23, 14, 0, // Skip to: 2959
/* 2945 */    MCD::OPC_CheckPredicate, 8, 146, 10, // Skip to: 5655
/* 2949 */    MCD::OPC_CheckField, 11, 2, 0, 140, 10, // Skip to: 5655
/* 2955 */    MCD::OPC_Decode, 252, 18, 93, // Opcode: REPL_QB_MM
/* 2959 */    MCD::OPC_FilterValue, 25, 99, 0, // Skip to: 3062
/* 2963 */    MCD::OPC_ExtractField, 11, 3,  // Inst{13-11} ...
/* 2966 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 2978
/* 2970 */    MCD::OPC_CheckPredicate, 8, 121, 10, // Skip to: 5655
/* 2974 */    MCD::OPC_Decode, 233, 18, 94, // Opcode: RDDSP_MM
/* 2978 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 2990
/* 2982 */    MCD::OPC_CheckPredicate, 8, 109, 10, // Skip to: 5655
/* 2986 */    MCD::OPC_Decode, 187, 12, 95, // Opcode: EXTR_W_MM
/* 2990 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 3002
/* 2994 */    MCD::OPC_CheckPredicate, 8, 97, 10, // Skip to: 5655
/* 2998 */    MCD::OPC_Decode, 197, 22, 94, // Opcode: WRDSP_MM
/* 3002 */    MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 3014
/* 3006 */    MCD::OPC_CheckPredicate, 8, 85, 10, // Skip to: 5655
/* 3010 */    MCD::OPC_Decode, 183, 12, 95, // Opcode: EXTR_R_W_MM
/* 3014 */    MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 3026
/* 3018 */    MCD::OPC_CheckPredicate, 8, 73, 10, // Skip to: 5655
/* 3022 */    MCD::OPC_Decode, 171, 12, 95, // Opcode: EXTP_MM
/* 3026 */    MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 3038
/* 3030 */    MCD::OPC_CheckPredicate, 8, 61, 10, // Skip to: 5655
/* 3034 */    MCD::OPC_Decode, 181, 12, 95, // Opcode: EXTR_RS_W_MM
/* 3038 */    MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 3050
/* 3042 */    MCD::OPC_CheckPredicate, 8, 49, 10, // Skip to: 5655
/* 3046 */    MCD::OPC_Decode, 168, 12, 95, // Opcode: EXTPDP_MM
/* 3050 */    MCD::OPC_FilterValue, 7, 41, 10, // Skip to: 5655
/* 3054 */    MCD::OPC_CheckPredicate, 8, 37, 10, // Skip to: 5655
/* 3058 */    MCD::OPC_Decode, 185, 12, 95, // Opcode: EXTR_S_H_MM
/* 3062 */    MCD::OPC_FilterValue, 26, 99, 0, // Skip to: 3165
/* 3066 */    MCD::OPC_ExtractField, 11, 3,  // Inst{13-11} ...
/* 3069 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 3081
/* 3073 */    MCD::OPC_CheckPredicate, 8, 18, 10, // Skip to: 5655
/* 3077 */    MCD::OPC_Decode, 237, 11, 76, // Opcode: DPSQ_S_W_PH_MM
/* 3081 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 3093
/* 3085 */    MCD::OPC_CheckPredicate, 8, 6, 10, // Skip to: 5655
/* 3089 */    MCD::OPC_Decode, 179, 12, 78, // Opcode: EXTRV_W_MM
/* 3093 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 3105
/* 3097 */    MCD::OPC_CheckPredicate, 8, 250, 9, // Skip to: 5655
/* 3101 */    MCD::OPC_Decode, 235, 11, 76, // Opcode: DPSQ_SA_L_W_MM
/* 3105 */    MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 3117
/* 3109 */    MCD::OPC_CheckPredicate, 8, 238, 9, // Skip to: 5655
/* 3113 */    MCD::OPC_Decode, 175, 12, 78, // Opcode: EXTRV_R_W_MM
/* 3117 */    MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 3129
/* 3121 */    MCD::OPC_CheckPredicate, 9, 226, 9, // Skip to: 5655
/* 3125 */    MCD::OPC_Decode, 233, 11, 76, // Opcode: DPSQX_S_W_PH_MMR2
/* 3129 */    MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 3141
/* 3133 */    MCD::OPC_CheckPredicate, 8, 214, 9, // Skip to: 5655
/* 3137 */    MCD::OPC_Decode, 173, 12, 78, // Opcode: EXTRV_RS_W_MM
/* 3141 */    MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 3153
/* 3145 */    MCD::OPC_CheckPredicate, 9, 202, 9, // Skip to: 5655
/* 3149 */    MCD::OPC_Decode, 231, 11, 76, // Opcode: DPSQX_SA_W_PH_MMR2
/* 3153 */    MCD::OPC_FilterValue, 7, 194, 9, // Skip to: 5655
/* 3157 */    MCD::OPC_CheckPredicate, 8, 190, 9, // Skip to: 5655
/* 3161 */    MCD::OPC_Decode, 177, 12, 78, // Opcode: EXTRV_S_H_MM
/* 3165 */    MCD::OPC_FilterValue, 27, 14, 0, // Skip to: 3183
/* 3169 */    MCD::OPC_CheckPredicate, 10, 178, 9, // Skip to: 5655
/* 3173 */    MCD::OPC_CheckField, 14, 2, 0, 172, 9, // Skip to: 5655
/* 3179 */    MCD::OPC_Decode, 164, 17, 69, // Opcode: MTGC0_MM
/* 3183 */    MCD::OPC_FilterValue, 28, 41, 0, // Skip to: 3228
/* 3187 */    MCD::OPC_ExtractField, 11, 5,  // Inst{15-11} ...
/* 3190 */    MCD::OPC_FilterValue, 1, 22, 0, // Skip to: 3216
/* 3194 */    MCD::OPC_CheckPredicate, 6, 10, 0, // Skip to: 3208
/* 3198 */    MCD::OPC_CheckField, 21, 5, 0, 4, 0, // Skip to: 3208
/* 3204 */    MCD::OPC_Decode, 198, 14, 92, // Opcode: JR_MM
/* 3208 */    MCD::OPC_CheckPredicate, 6, 139, 9, // Skip to: 5655
/* 3212 */    MCD::OPC_Decode, 176, 14, 80, // Opcode: JALR_MM
/* 3216 */    MCD::OPC_FilterValue, 9, 131, 9, // Skip to: 5655
/* 3220 */    MCD::OPC_CheckPredicate, 6, 127, 9, // Skip to: 5655
/* 3224 */    MCD::OPC_Decode, 173, 14, 80, // Opcode: JALRS_MM
/* 3228 */    MCD::OPC_FilterValue, 29, 119, 9, // Skip to: 5655
/* 3232 */    MCD::OPC_ExtractField, 11, 5,  // Inst{15-11} ...
/* 3235 */    MCD::OPC_FilterValue, 8, 14, 0, // Skip to: 3253
/* 3239 */    MCD::OPC_CheckPredicate, 7, 108, 9, // Skip to: 5655
/* 3243 */    MCD::OPC_CheckField, 21, 5, 0, 102, 9, // Skip to: 5655
/* 3249 */    MCD::OPC_Decode, 177, 11, 92, // Opcode: DI_MM
/* 3253 */    MCD::OPC_FilterValue, 10, 94, 9, // Skip to: 5655
/* 3257 */    MCD::OPC_CheckPredicate, 7, 90, 9, // Skip to: 5655
/* 3261 */    MCD::OPC_CheckField, 21, 5, 0, 84, 9, // Skip to: 5655
/* 3267 */    MCD::OPC_Decode, 152, 12, 92, // Opcode: EI_MM
/* 3271 */    MCD::OPC_FilterValue, 61, 76, 9, // Skip to: 5655
/* 3275 */    MCD::OPC_CheckPredicate, 8, 72, 9, // Skip to: 5655
/* 3279 */    MCD::OPC_CheckField, 6, 5, 0, 66, 9, // Skip to: 5655
/* 3285 */    MCD::OPC_Decode, 250, 18, 96, // Opcode: REPL_PH_MM
/* 3289 */    MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 3301
/* 3293 */    MCD::OPC_CheckPredicate, 6, 54, 9, // Skip to: 5655
/* 3297 */    MCD::OPC_Decode, 200, 6, 97, // Opcode: ADDi_MM
/* 3301 */    MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 3313
/* 3305 */    MCD::OPC_CheckPredicate, 7, 42, 9, // Skip to: 5655
/* 3309 */    MCD::OPC_Decode, 220, 14, 98, // Opcode: LBu_MM
/* 3313 */    MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 3325
/* 3317 */    MCD::OPC_CheckPredicate, 7, 30, 9, // Skip to: 5655
/* 3321 */    MCD::OPC_Decode, 168, 19, 98, // Opcode: SB_MM
/* 3325 */    MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 3337
/* 3329 */    MCD::OPC_CheckPredicate, 7, 18, 9, // Skip to: 5655
/* 3333 */    MCD::OPC_Decode, 214, 14, 98, // Opcode: LB_MM
/* 3337 */    MCD::OPC_FilterValue, 8, 63, 0, // Skip to: 3404
/* 3341 */    MCD::OPC_ExtractField, 12, 4,  // Inst{15-12} ...
/* 3344 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 3356
/* 3348 */    MCD::OPC_CheckPredicate, 7, 255, 8, // Skip to: 5655
/* 3352 */    MCD::OPC_Decode, 178, 15, 99, // Opcode: LWP_MM
/* 3356 */    MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 3368
/* 3360 */    MCD::OPC_CheckPredicate, 7, 243, 8, // Skip to: 5655
/* 3364 */    MCD::OPC_Decode, 175, 15, 99, // Opcode: LWM32_MM
/* 3368 */    MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 3380
/* 3372 */    MCD::OPC_CheckPredicate, 6, 231, 8, // Skip to: 5655
/* 3376 */    MCD::OPC_Decode, 206, 8, 100, // Opcode: CACHE_MM
/* 3380 */    MCD::OPC_FilterValue, 9, 8, 0, // Skip to: 3392
/* 3384 */    MCD::OPC_CheckPredicate, 7, 219, 8, // Skip to: 5655
/* 3388 */    MCD::OPC_Decode, 212, 21, 99, // Opcode: SWP_MM
/* 3392 */    MCD::OPC_FilterValue, 13, 211, 8, // Skip to: 5655
/* 3396 */    MCD::OPC_CheckPredicate, 7, 207, 8, // Skip to: 5655
/* 3400 */    MCD::OPC_Decode, 211, 21, 99, // Opcode: SWM32_MM
/* 3404 */    MCD::OPC_FilterValue, 12, 8, 0, // Skip to: 3416
/* 3408 */    MCD::OPC_CheckPredicate, 6, 195, 8, // Skip to: 5655
/* 3412 */    MCD::OPC_Decode, 202, 6, 97, // Opcode: ADDiu_MM
/* 3416 */    MCD::OPC_FilterValue, 13, 8, 0, // Skip to: 3428
/* 3420 */    MCD::OPC_CheckPredicate, 7, 183, 8, // Skip to: 5655
/* 3424 */    MCD::OPC_Decode, 131, 15, 98, // Opcode: LHu_MM
/* 3428 */    MCD::OPC_FilterValue, 14, 8, 0, // Skip to: 3440
/* 3432 */    MCD::OPC_CheckPredicate, 7, 171, 8, // Skip to: 5655
/* 3436 */    MCD::OPC_Decode, 157, 20, 98, // Opcode: SH_MM
/* 3440 */    MCD::OPC_FilterValue, 15, 8, 0, // Skip to: 3452
/* 3444 */    MCD::OPC_CheckPredicate, 7, 159, 8, // Skip to: 5655
/* 3448 */    MCD::OPC_Decode, 254, 14, 98, // Opcode: LH_MM
/* 3452 */    MCD::OPC_FilterValue, 16, 35, 1, // Skip to: 3747
/* 3456 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 3459 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 3471
/* 3463 */    MCD::OPC_CheckPredicate, 6, 140, 8, // Skip to: 5655
/* 3467 */    MCD::OPC_Decode, 132, 8, 101, // Opcode: BLTZ_MM
/* 3471 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 3483
/* 3475 */    MCD::OPC_CheckPredicate, 6, 128, 8, // Skip to: 5655
/* 3479 */    MCD::OPC_Decode, 255, 7, 101, // Opcode: BLTZAL_MM
/* 3483 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 3495
/* 3487 */    MCD::OPC_CheckPredicate, 6, 116, 8, // Skip to: 5655
/* 3491 */    MCD::OPC_Decode, 203, 7, 101, // Opcode: BGEZ_MM
/* 3495 */    MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 3507
/* 3499 */    MCD::OPC_CheckPredicate, 6, 104, 8, // Skip to: 5655
/* 3503 */    MCD::OPC_Decode, 198, 7, 101, // Opcode: BGEZAL_MM
/* 3507 */    MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 3519
/* 3511 */    MCD::OPC_CheckPredicate, 6, 92, 8, // Skip to: 5655
/* 3515 */    MCD::OPC_Decode, 241, 7, 101, // Opcode: BLEZ_MM
/* 3519 */    MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 3531
/* 3523 */    MCD::OPC_CheckPredicate, 6, 80, 8, // Skip to: 5655
/* 3527 */    MCD::OPC_Decode, 157, 8, 101, // Opcode: BNEZC_MM
/* 3531 */    MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 3543
/* 3535 */    MCD::OPC_CheckPredicate, 6, 68, 8, // Skip to: 5655
/* 3539 */    MCD::OPC_Decode, 212, 7, 101, // Opcode: BGTZ_MM
/* 3543 */    MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 3555
/* 3547 */    MCD::OPC_CheckPredicate, 6, 56, 8, // Skip to: 5655
/* 3551 */    MCD::OPC_Decode, 182, 7, 101, // Opcode: BEQZC_MM
/* 3555 */    MCD::OPC_FilterValue, 8, 8, 0, // Skip to: 3567
/* 3559 */    MCD::OPC_CheckPredicate, 6, 44, 8, // Skip to: 5655
/* 3563 */    MCD::OPC_Decode, 164, 22, 102, // Opcode: TLTI_MM
/* 3567 */    MCD::OPC_FilterValue, 9, 8, 0, // Skip to: 3579
/* 3571 */    MCD::OPC_CheckPredicate, 6, 32, 8, // Skip to: 5655
/* 3575 */    MCD::OPC_Decode, 133, 22, 102, // Opcode: TGEI_MM
/* 3579 */    MCD::OPC_FilterValue, 10, 8, 0, // Skip to: 3591
/* 3583 */    MCD::OPC_CheckPredicate, 6, 20, 8, // Skip to: 5655
/* 3587 */    MCD::OPC_Decode, 163, 22, 102, // Opcode: TLTIU_MM
/* 3591 */    MCD::OPC_FilterValue, 11, 8, 0, // Skip to: 3603
/* 3595 */    MCD::OPC_CheckPredicate, 6, 8, 8, // Skip to: 5655
/* 3599 */    MCD::OPC_Decode, 132, 22, 102, // Opcode: TGEIU_MM
/* 3603 */    MCD::OPC_FilterValue, 12, 8, 0, // Skip to: 3615
/* 3607 */    MCD::OPC_CheckPredicate, 6, 252, 7, // Skip to: 5655
/* 3611 */    MCD::OPC_Decode, 170, 22, 102, // Opcode: TNEI_MM
/* 3615 */    MCD::OPC_FilterValue, 13, 8, 0, // Skip to: 3627
/* 3619 */    MCD::OPC_CheckPredicate, 6, 240, 7, // Skip to: 5655
/* 3623 */    MCD::OPC_Decode, 153, 15, 103, // Opcode: LUi_MM
/* 3627 */    MCD::OPC_FilterValue, 14, 8, 0, // Skip to: 3639
/* 3631 */    MCD::OPC_CheckPredicate, 6, 228, 7, // Skip to: 5655
/* 3635 */    MCD::OPC_Decode, 255, 21, 102, // Opcode: TEQI_MM
/* 3639 */    MCD::OPC_FilterValue, 16, 8, 0, // Skip to: 3651
/* 3643 */    MCD::OPC_CheckPredicate, 6, 216, 7, // Skip to: 5655
/* 3647 */    MCD::OPC_Decode, 226, 21, 104, // Opcode: SYNCI_MM
/* 3651 */    MCD::OPC_FilterValue, 17, 8, 0, // Skip to: 3663
/* 3655 */    MCD::OPC_CheckPredicate, 6, 204, 7, // Skip to: 5655
/* 3659 */    MCD::OPC_Decode, 254, 7, 101, // Opcode: BLTZALS_MM
/* 3663 */    MCD::OPC_FilterValue, 19, 8, 0, // Skip to: 3675
/* 3667 */    MCD::OPC_CheckPredicate, 6, 192, 7, // Skip to: 5655
/* 3671 */    MCD::OPC_Decode, 197, 7, 101, // Opcode: BGEZALS_MM
/* 3675 */    MCD::OPC_FilterValue, 25, 14, 0, // Skip to: 3693
/* 3679 */    MCD::OPC_CheckPredicate, 11, 180, 7, // Skip to: 5655
/* 3683 */    MCD::OPC_CheckField, 16, 5, 0, 174, 7, // Skip to: 5655
/* 3689 */    MCD::OPC_Decode, 170, 8, 105, // Opcode: BPOSGE32C_MMR3
/* 3693 */    MCD::OPC_FilterValue, 27, 14, 0, // Skip to: 3711
/* 3697 */    MCD::OPC_CheckPredicate, 12, 162, 7, // Skip to: 5655
/* 3701 */    MCD::OPC_CheckField, 16, 5, 0, 156, 7, // Skip to: 5655
/* 3707 */    MCD::OPC_Decode, 171, 8, 106, // Opcode: BPOSGE32_MM
/* 3711 */    MCD::OPC_FilterValue, 28, 14, 0, // Skip to: 3729
/* 3715 */    MCD::OPC_CheckPredicate, 13, 144, 7, // Skip to: 5655
/* 3719 */    MCD::OPC_CheckField, 16, 2, 0, 138, 7, // Skip to: 5655
/* 3725 */    MCD::OPC_Decode, 151, 7, 107, // Opcode: BC1F_MM
/* 3729 */    MCD::OPC_FilterValue, 29, 130, 7, // Skip to: 5655
/* 3733 */    MCD::OPC_CheckPredicate, 13, 126, 7, // Skip to: 5655
/* 3737 */    MCD::OPC_CheckField, 16, 2, 0, 120, 7, // Skip to: 5655
/* 3743 */    MCD::OPC_Decode, 156, 7, 107, // Opcode: BC1T_MM
/* 3747 */    MCD::OPC_FilterValue, 20, 8, 0, // Skip to: 3759
/* 3751 */    MCD::OPC_CheckPredicate, 6, 108, 7, // Skip to: 5655
/* 3755 */    MCD::OPC_Decode, 159, 18, 108, // Opcode: ORi_MM
/* 3759 */    MCD::OPC_FilterValue, 21, 26, 5, // Skip to: 5069
/* 3763 */    MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 3766 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 3778
/* 3770 */    MCD::OPC_CheckPredicate, 14, 89, 7, // Skip to: 5655
/* 3774 */    MCD::OPC_Decode, 230, 15, 109, // Opcode: MADD_S_MM
/* 3778 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 3790
/* 3782 */    MCD::OPC_CheckPredicate, 14, 77, 7, // Skip to: 5655
/* 3786 */    MCD::OPC_Decode, 132, 18, 109, // Opcode: NMADD_S_MM
/* 3790 */    MCD::OPC_FilterValue, 8, 51, 0, // Skip to: 3845
/* 3794 */    MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 3797 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 3809
/* 3801 */    MCD::OPC_CheckPredicate, 13, 58, 7, // Skip to: 5655
/* 3805 */    MCD::OPC_Decode, 189, 15, 110, // Opcode: LWXC1_MM
/* 3809 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 3821
/* 3813 */    MCD::OPC_CheckPredicate, 13, 46, 7, // Skip to: 5655
/* 3817 */    MCD::OPC_Decode, 221, 21, 110, // Opcode: SWXC1_MM
/* 3821 */    MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 3833
/* 3825 */    MCD::OPC_CheckPredicate, 15, 34, 7, // Skip to: 5655
/* 3829 */    MCD::OPC_Decode, 150, 15, 111, // Opcode: LUXC1_MM
/* 3833 */    MCD::OPC_FilterValue, 6, 26, 7, // Skip to: 5655
/* 3837 */    MCD::OPC_CheckPredicate, 15, 22, 7, // Skip to: 5655
/* 3841 */    MCD::OPC_Decode, 189, 21, 111, // Opcode: SUXC1_MM
/* 3845 */    MCD::OPC_FilterValue, 9, 8, 0, // Skip to: 3857
/* 3849 */    MCD::OPC_CheckPredicate, 16, 10, 7, // Skip to: 5655
/* 3853 */    MCD::OPC_Decode, 222, 15, 112, // Opcode: MADD_D32_MM
/* 3857 */    MCD::OPC_FilterValue, 10, 8, 0, // Skip to: 3869
/* 3861 */    MCD::OPC_CheckPredicate, 16, 254, 6, // Skip to: 5655
/* 3865 */    MCD::OPC_Decode, 129, 18, 112, // Opcode: NMADD_D32_MM
/* 3869 */    MCD::OPC_FilterValue, 32, 87, 0, // Skip to: 3960
/* 3873 */    MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 3876 */    MCD::OPC_FilterValue, 0, 14, 0, // Skip to: 3894
/* 3880 */    MCD::OPC_CheckPredicate, 13, 235, 6, // Skip to: 5655
/* 3884 */    MCD::OPC_CheckField, 11, 2, 0, 229, 6, // Skip to: 5655
/* 3890 */    MCD::OPC_Decode, 224, 16, 113, // Opcode: MOVF_S_MM
/* 3894 */    MCD::OPC_FilterValue, 1, 14, 0, // Skip to: 3912
/* 3898 */    MCD::OPC_CheckPredicate, 13, 217, 6, // Skip to: 5655
/* 3902 */    MCD::OPC_CheckField, 11, 2, 0, 211, 6, // Skip to: 5655
/* 3908 */    MCD::OPC_Decode, 244, 16, 113, // Opcode: MOVT_S_MM
/* 3912 */    MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 3924
/* 3916 */    MCD::OPC_CheckPredicate, 6, 199, 6, // Skip to: 5655
/* 3920 */    MCD::OPC_Decode, 222, 18, 114, // Opcode: PREFX_MM
/* 3924 */    MCD::OPC_FilterValue, 8, 14, 0, // Skip to: 3942
/* 3928 */    MCD::OPC_CheckPredicate, 17, 187, 6, // Skip to: 5655
/* 3932 */    MCD::OPC_CheckField, 11, 2, 0, 181, 6, // Skip to: 5655
/* 3938 */    MCD::OPC_Decode, 218, 16, 115, // Opcode: MOVF_D32_MM
/* 3942 */    MCD::OPC_FilterValue, 9, 173, 6, // Skip to: 5655
/* 3946 */    MCD::OPC_CheckPredicate, 17, 169, 6, // Skip to: 5655
/* 3950 */    MCD::OPC_CheckField, 11, 2, 0, 163, 6, // Skip to: 5655
/* 3956 */    MCD::OPC_Decode, 238, 16, 115, // Opcode: MOVT_D32_MM
/* 3960 */    MCD::OPC_FilterValue, 33, 8, 0, // Skip to: 3972
/* 3964 */    MCD::OPC_CheckPredicate, 14, 151, 6, // Skip to: 5655
/* 3968 */    MCD::OPC_Decode, 153, 17, 109, // Opcode: MSUB_S_MM
/* 3972 */    MCD::OPC_FilterValue, 34, 8, 0, // Skip to: 3984
/* 3976 */    MCD::OPC_CheckPredicate, 14, 139, 6, // Skip to: 5655
/* 3980 */    MCD::OPC_Decode, 137, 18, 109, // Opcode: NMSUB_S_MM
/* 3984 */    MCD::OPC_FilterValue, 41, 8, 0, // Skip to: 3996
/* 3988 */    MCD::OPC_CheckPredicate, 16, 127, 6, // Skip to: 5655
/* 3992 */    MCD::OPC_Decode, 145, 17, 112, // Opcode: MSUB_D32_MM
/* 3996 */    MCD::OPC_FilterValue, 42, 8, 0, // Skip to: 4008
/* 4000 */    MCD::OPC_CheckPredicate, 16, 115, 6, // Skip to: 5655
/* 4004 */    MCD::OPC_Decode, 134, 18, 112, // Opcode: NMSUB_D32_MM
/* 4008 */    MCD::OPC_FilterValue, 48, 51, 0, // Skip to: 4063
/* 4012 */    MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 4015 */    MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 4027
/* 4019 */    MCD::OPC_CheckPredicate, 18, 96, 6, // Skip to: 5655
/* 4023 */    MCD::OPC_Decode, 200, 12, 116, // Opcode: FADD_D32_MM
/* 4027 */    MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 4039
/* 4031 */    MCD::OPC_CheckPredicate, 18, 84, 6, // Skip to: 5655
/* 4035 */    MCD::OPC_Decode, 217, 13, 116, // Opcode: FSUB_D32_MM
/* 4039 */    MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 4051
/* 4043 */    MCD::OPC_CheckPredicate, 18, 72, 6, // Skip to: 5655
/* 4047 */    MCD::OPC_Decode, 173, 13, 116, // Opcode: FMUL_D32_MM
/* 4051 */    MCD::OPC_FilterValue, 7, 64, 6, // Skip to: 5655
/* 4055 */    MCD::OPC_CheckPredicate, 18, 60, 6, // Skip to: 5655
/* 4059 */    MCD::OPC_Decode, 239, 12, 116, // Opcode: FDIV_D32_MM
/* 4063 */    MCD::OPC_FilterValue, 56, 51, 0, // Skip to: 4118
/* 4067 */    MCD::OPC_ExtractField, 6, 4,  // Inst{9-6} ...
/* 4070 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 4082
/* 4074 */    MCD::OPC_CheckPredicate, 13, 41, 6, // Skip to: 5655
/* 4078 */    MCD::OPC_Decode, 236, 16, 117, // Opcode: MOVN_I_S_MM
/* 4082 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 4094
/* 4086 */    MCD::OPC_CheckPredicate, 13, 29, 6, // Skip to: 5655
/* 4090 */    MCD::OPC_Decode, 128, 17, 117, // Opcode: MOVZ_I_S_MM
/* 4094 */    MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 4106
/* 4098 */    MCD::OPC_CheckPredicate, 17, 17, 6, // Skip to: 5655
/* 4102 */    MCD::OPC_Decode, 230, 16, 118, // Opcode: MOVN_I_D32_MM
/* 4106 */    MCD::OPC_FilterValue, 5, 9, 6, // Skip to: 5655
/* 4110 */    MCD::OPC_CheckPredicate, 17, 5, 6, // Skip to: 5655
/* 4114 */    MCD::OPC_Decode, 250, 16, 118, // Opcode: MOVZ_I_D32_MM
/* 4118 */    MCD::OPC_FilterValue, 59, 12, 2, // Skip to: 4646
/* 4122 */    MCD::OPC_ExtractField, 6, 7,  // Inst{12-6} ...
/* 4125 */    MCD::OPC_FilterValue, 0, 14, 0, // Skip to: 4143
/* 4129 */    MCD::OPC_CheckPredicate, 19, 242, 5, // Skip to: 5655
/* 4133 */    MCD::OPC_CheckField, 13, 3, 1, 236, 5, // Skip to: 5655
/* 4139 */    MCD::OPC_Decode, 143, 16, 119, // Opcode: MFC1_MM
/* 4143 */    MCD::OPC_FilterValue, 1, 14, 0, // Skip to: 4161
/* 4147 */    MCD::OPC_CheckPredicate, 18, 224, 5, // Skip to: 5655
/* 4151 */    MCD::OPC_CheckField, 13, 3, 1, 218, 5, // Skip to: 5655
/* 4157 */    MCD::OPC_Decode, 162, 13, 120, // Opcode: FMOV_D32_MM
/* 4161 */    MCD::OPC_FilterValue, 4, 27, 0, // Skip to: 4192
/* 4165 */    MCD::OPC_ExtractField, 13, 3,  // Inst{15-13} ...
/* 4168 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 4180
/* 4172 */    MCD::OPC_CheckPredicate, 20, 199, 5, // Skip to: 5655
/* 4176 */    MCD::OPC_Decode, 145, 10, 121, // Opcode: CVT_L_S_MM
/* 4180 */    MCD::OPC_FilterValue, 2, 191, 5, // Skip to: 5655
/* 4184 */    MCD::OPC_CheckPredicate, 20, 187, 5, // Skip to: 5655
/* 4188 */    MCD::OPC_Decode, 142, 10, 122, // Opcode: CVT_L_D64_MM
/* 4192 */    MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 4204
/* 4196 */    MCD::OPC_CheckPredicate, 13, 175, 5, // Skip to: 5655
/* 4200 */    MCD::OPC_Decode, 222, 16, 123, // Opcode: MOVF_I_MM
/* 4204 */    MCD::OPC_FilterValue, 8, 27, 0, // Skip to: 4235
/* 4208 */    MCD::OPC_ExtractField, 13, 3,  // Inst{15-13} ...
/* 4211 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 4223
/* 4215 */    MCD::OPC_CheckPredicate, 19, 156, 5, // Skip to: 5655
/* 4219 */    MCD::OPC_Decode, 149, 19, 124, // Opcode: RSQRT_S_MM
/* 4223 */    MCD::OPC_FilterValue, 2, 148, 5, // Skip to: 5655
/* 4227 */    MCD::OPC_CheckPredicate, 18, 144, 5, // Skip to: 5655
/* 4231 */    MCD::OPC_Decode, 145, 19, 120, // Opcode: RSQRT_D32_MM
/* 4235 */    MCD::OPC_FilterValue, 13, 27, 0, // Skip to: 4266
/* 4239 */    MCD::OPC_ExtractField, 13, 3,  // Inst{15-13} ...
/* 4242 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 4254
/* 4246 */    MCD::OPC_CheckPredicate, 19, 125, 5, // Skip to: 5655
/* 4250 */    MCD::OPC_Decode, 197, 12, 124, // Opcode: FABS_S_MM
/* 4254 */    MCD::OPC_FilterValue, 1, 117, 5, // Skip to: 5655
/* 4258 */    MCD::OPC_CheckPredicate, 18, 113, 5, // Skip to: 5655
/* 4262 */    MCD::OPC_Decode, 193, 12, 120, // Opcode: FABS_D32_MM
/* 4266 */    MCD::OPC_FilterValue, 32, 14, 0, // Skip to: 4284
/* 4270 */    MCD::OPC_CheckPredicate, 19, 101, 5, // Skip to: 5655
/* 4274 */    MCD::OPC_CheckField, 13, 3, 1, 95, 5, // Skip to: 5655
/* 4280 */    MCD::OPC_Decode, 159, 17, 125, // Opcode: MTC1_MM
/* 4284 */    MCD::OPC_FilterValue, 36, 27, 0, // Skip to: 4315
/* 4288 */    MCD::OPC_ExtractField, 13, 3,  // Inst{15-13} ...
/* 4291 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 4303
/* 4295 */    MCD::OPC_CheckPredicate, 19, 76, 5, // Skip to: 5655
/* 4299 */    MCD::OPC_Decode, 166, 10, 124, // Opcode: CVT_W_S_MM
/* 4303 */    MCD::OPC_FilterValue, 2, 68, 5, // Skip to: 5655
/* 4307 */    MCD::OPC_CheckPredicate, 18, 64, 5, // Skip to: 5655
/* 4311 */    MCD::OPC_Decode, 162, 10, 126, // Opcode: CVT_W_D32_MM
/* 4315 */    MCD::OPC_FilterValue, 37, 8, 0, // Skip to: 4327
/* 4319 */    MCD::OPC_CheckPredicate, 13, 52, 5, // Skip to: 5655
/* 4323 */    MCD::OPC_Decode, 242, 16, 123, // Opcode: MOVT_I_MM
/* 4327 */    MCD::OPC_FilterValue, 40, 27, 0, // Skip to: 4358
/* 4331 */    MCD::OPC_ExtractField, 13, 3,  // Inst{15-13} ...
/* 4334 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 4346
/* 4338 */    MCD::OPC_CheckPredicate, 19, 33, 5, // Skip to: 5655
/* 4342 */    MCD::OPC_Decode, 213, 13, 124, // Opcode: FSQRT_S_MM
/* 4346 */    MCD::OPC_FilterValue, 2, 25, 5, // Skip to: 5655
/* 4350 */    MCD::OPC_CheckPredicate, 18, 21, 5, // Skip to: 5655
/* 4354 */    MCD::OPC_Decode, 209, 13, 120, // Opcode: FSQRT_D32_MM
/* 4358 */    MCD::OPC_FilterValue, 44, 51, 0, // Skip to: 4413
/* 4362 */    MCD::OPC_ExtractField, 13, 3,  // Inst{15-13} ...
/* 4365 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 4377
/* 4369 */    MCD::OPC_CheckPredicate, 19, 2, 5, // Skip to: 5655
/* 4373 */    MCD::OPC_Decode, 149, 13, 124, // Opcode: FLOOR_W_S_MM
/* 4377 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 4389
/* 4381 */    MCD::OPC_CheckPredicate, 19, 246, 4, // Skip to: 5655
/* 4385 */    MCD::OPC_Decode, 181, 22, 124, // Opcode: TRUNC_W_S_MM
/* 4389 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 4401
/* 4393 */    MCD::OPC_CheckPredicate, 18, 234, 4, // Skip to: 5655
/* 4397 */    MCD::OPC_Decode, 147, 13, 126, // Opcode: FLOOR_W_MM
/* 4401 */    MCD::OPC_FilterValue, 3, 226, 4, // Skip to: 5655
/* 4405 */    MCD::OPC_CheckPredicate, 18, 222, 4, // Skip to: 5655
/* 4409 */    MCD::OPC_Decode, 179, 22, 126, // Opcode: TRUNC_W_MM
/* 4413 */    MCD::OPC_FilterValue, 45, 14, 0, // Skip to: 4431
/* 4417 */    MCD::OPC_CheckPredicate, 18, 210, 4, // Skip to: 5655
/* 4421 */    MCD::OPC_CheckField, 13, 3, 1, 204, 4, // Skip to: 5655
/* 4427 */    MCD::OPC_Decode, 182, 13, 120, // Opcode: FNEG_D32_MM
/* 4431 */    MCD::OPC_FilterValue, 64, 28, 0, // Skip to: 4463
/* 4435 */    MCD::OPC_ExtractField, 13, 3,  // Inst{15-13} ...
/* 4438 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 4450
/* 4442 */    MCD::OPC_CheckPredicate, 19, 185, 4, // Skip to: 5655
/* 4446 */    MCD::OPC_Decode, 229, 8, 127, // Opcode: CFC1_MM
/* 4450 */    MCD::OPC_FilterValue, 1, 177, 4, // Skip to: 5655
/* 4454 */    MCD::OPC_CheckPredicate, 18, 173, 4, // Skip to: 5655
/* 4458 */    MCD::OPC_Decode, 151, 16, 128, 1, // Opcode: MFHC1_D32_MM
/* 4463 */    MCD::OPC_FilterValue, 72, 27, 0, // Skip to: 4494
/* 4467 */    MCD::OPC_ExtractField, 13, 3,  // Inst{15-13} ...
/* 4470 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 4482
/* 4474 */    MCD::OPC_CheckPredicate, 19, 153, 4, // Skip to: 5655
/* 4478 */    MCD::OPC_Decode, 244, 18, 124, // Opcode: RECIP_S_MM
/* 4482 */    MCD::OPC_FilterValue, 2, 145, 4, // Skip to: 5655
/* 4486 */    MCD::OPC_CheckPredicate, 18, 141, 4, // Skip to: 5655
/* 4490 */    MCD::OPC_Decode, 240, 18, 120, // Opcode: RECIP_D32_MM
/* 4494 */    MCD::OPC_FilterValue, 77, 29, 0, // Skip to: 4527
/* 4498 */    MCD::OPC_ExtractField, 13, 3,  // Inst{15-13} ...
/* 4501 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 4514
/* 4505 */    MCD::OPC_CheckPredicate, 18, 122, 4, // Skip to: 5655
/* 4509 */    MCD::OPC_Decode, 132, 10, 129, 1, // Opcode: CVT_D32_S_MM
/* 4514 */    MCD::OPC_FilterValue, 1, 113, 4, // Skip to: 5655
/* 4518 */    MCD::OPC_CheckPredicate, 18, 109, 4, // Skip to: 5655
/* 4522 */    MCD::OPC_Decode, 134, 10, 129, 1, // Opcode: CVT_D32_W_MM
/* 4527 */    MCD::OPC_FilterValue, 96, 29, 0, // Skip to: 4560
/* 4531 */    MCD::OPC_ExtractField, 13, 3,  // Inst{15-13} ...
/* 4534 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 4547
/* 4538 */    MCD::OPC_CheckPredicate, 19, 89, 4, // Skip to: 5655
/* 4542 */    MCD::OPC_Decode, 128, 10, 130, 1, // Opcode: CTC1_MM
/* 4547 */    MCD::OPC_FilterValue, 1, 80, 4, // Skip to: 5655
/* 4551 */    MCD::OPC_CheckPredicate, 18, 76, 4, // Skip to: 5655
/* 4555 */    MCD::OPC_Decode, 167, 17, 131, 1, // Opcode: MTHC1_D32_MM
/* 4560 */    MCD::OPC_FilterValue, 108, 51, 0, // Skip to: 4615
/* 4564 */    MCD::OPC_ExtractField, 13, 3,  // Inst{15-13} ...
/* 4567 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 4579
/* 4571 */    MCD::OPC_CheckPredicate, 19, 56, 4, // Skip to: 5655
/* 4575 */    MCD::OPC_Decode, 218, 8, 124, // Opcode: CEIL_W_S_MM
/* 4579 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 4591
/* 4583 */    MCD::OPC_CheckPredicate, 19, 44, 4, // Skip to: 5655
/* 4587 */    MCD::OPC_Decode, 142, 19, 124, // Opcode: ROUND_W_S_MM
/* 4591 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 4603
/* 4595 */    MCD::OPC_CheckPredicate, 18, 32, 4, // Skip to: 5655
/* 4599 */    MCD::OPC_Decode, 216, 8, 126, // Opcode: CEIL_W_MM
/* 4603 */    MCD::OPC_FilterValue, 3, 24, 4, // Skip to: 5655
/* 4607 */    MCD::OPC_CheckPredicate, 18, 20, 4, // Skip to: 5655
/* 4611 */    MCD::OPC_Decode, 140, 19, 126, // Opcode: ROUND_W_MM
/* 4615 */    MCD::OPC_FilterValue, 109, 12, 4, // Skip to: 5655
/* 4619 */    MCD::OPC_ExtractField, 13, 3,  // Inst{15-13} ...
/* 4622 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 4634
/* 4626 */    MCD::OPC_CheckPredicate, 18, 1, 4, // Skip to: 5655
/* 4630 */    MCD::OPC_Decode, 151, 10, 126, // Opcode: CVT_S_D32_MM
/* 4634 */    MCD::OPC_FilterValue, 1, 249, 3, // Skip to: 5655
/* 4638 */    MCD::OPC_CheckPredicate, 19, 245, 3, // Skip to: 5655
/* 4642 */    MCD::OPC_Decode, 159, 10, 124, // Opcode: CVT_S_W_MM
/* 4646 */    MCD::OPC_FilterValue, 60, 237, 3, // Skip to: 5655
/* 4650 */    MCD::OPC_ExtractField, 6, 7,  // Inst{12-6} ...
/* 4653 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 4666
/* 4657 */    MCD::OPC_CheckPredicate, 13, 226, 3, // Skip to: 5655
/* 4661 */    MCD::OPC_Decode, 179, 10, 132, 1, // Opcode: C_F_S_MM
/* 4666 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 4679
/* 4670 */    MCD::OPC_CheckPredicate, 13, 213, 3, // Skip to: 5655
/* 4674 */    MCD::OPC_Decode, 135, 11, 132, 1, // Opcode: C_UN_S_MM
/* 4679 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 4692
/* 4683 */    MCD::OPC_CheckPredicate, 13, 200, 3, // Skip to: 5655
/* 4687 */    MCD::OPC_Decode, 173, 10, 132, 1, // Opcode: C_EQ_S_MM
/* 4692 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 4705
/* 4696 */    MCD::OPC_CheckPredicate, 13, 187, 3, // Skip to: 5655
/* 4700 */    MCD::OPC_Decode, 245, 10, 132, 1, // Opcode: C_UEQ_S_MM
/* 4705 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 4718
/* 4709 */    MCD::OPC_CheckPredicate, 13, 174, 3, // Skip to: 5655
/* 4713 */    MCD::OPC_Decode, 227, 10, 132, 1, // Opcode: C_OLT_S_MM
/* 4718 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 4731
/* 4722 */    MCD::OPC_CheckPredicate, 13, 161, 3, // Skip to: 5655
/* 4726 */    MCD::OPC_Decode, 129, 11, 132, 1, // Opcode: C_ULT_S_MM
/* 4731 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 4744
/* 4735 */    MCD::OPC_CheckPredicate, 13, 148, 3, // Skip to: 5655
/* 4739 */    MCD::OPC_Decode, 221, 10, 132, 1, // Opcode: C_OLE_S_MM
/* 4744 */    MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 4757
/* 4748 */    MCD::OPC_CheckPredicate, 13, 135, 3, // Skip to: 5655
/* 4752 */    MCD::OPC_Decode, 251, 10, 132, 1, // Opcode: C_ULE_S_MM
/* 4757 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 4770
/* 4761 */    MCD::OPC_CheckPredicate, 13, 122, 3, // Skip to: 5655
/* 4765 */    MCD::OPC_Decode, 239, 10, 132, 1, // Opcode: C_SF_S_MM
/* 4770 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 4783
/* 4774 */    MCD::OPC_CheckPredicate, 13, 109, 3, // Skip to: 5655
/* 4778 */    MCD::OPC_Decode, 203, 10, 132, 1, // Opcode: C_NGLE_S_MM
/* 4783 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 4796
/* 4787 */    MCD::OPC_CheckPredicate, 13, 96, 3, // Skip to: 5655
/* 4791 */    MCD::OPC_Decode, 233, 10, 132, 1, // Opcode: C_SEQ_S_MM
/* 4796 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 4809
/* 4800 */    MCD::OPC_CheckPredicate, 13, 83, 3, // Skip to: 5655
/* 4804 */    MCD::OPC_Decode, 209, 10, 132, 1, // Opcode: C_NGL_S_MM
/* 4809 */    MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 4822
/* 4813 */    MCD::OPC_CheckPredicate, 13, 70, 3, // Skip to: 5655
/* 4817 */    MCD::OPC_Decode, 191, 10, 132, 1, // Opcode: C_LT_S_MM
/* 4822 */    MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 4835
/* 4826 */    MCD::OPC_CheckPredicate, 13, 57, 3, // Skip to: 5655
/* 4830 */    MCD::OPC_Decode, 197, 10, 132, 1, // Opcode: C_NGE_S_MM
/* 4835 */    MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 4848
/* 4839 */    MCD::OPC_CheckPredicate, 13, 44, 3, // Skip to: 5655
/* 4843 */    MCD::OPC_Decode, 185, 10, 132, 1, // Opcode: C_LE_S_MM
/* 4848 */    MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 4861
/* 4852 */    MCD::OPC_CheckPredicate, 13, 31, 3, // Skip to: 5655
/* 4856 */    MCD::OPC_Decode, 215, 10, 132, 1, // Opcode: C_NGT_S_MM
/* 4861 */    MCD::OPC_FilterValue, 16, 9, 0, // Skip to: 4874
/* 4865 */    MCD::OPC_CheckPredicate, 17, 18, 3, // Skip to: 5655
/* 4869 */    MCD::OPC_Decode, 175, 10, 133, 1, // Opcode: C_F_D32_MM
/* 4874 */    MCD::OPC_FilterValue, 17, 9, 0, // Skip to: 4887
/* 4878 */    MCD::OPC_CheckPredicate, 17, 5, 3, // Skip to: 5655
/* 4882 */    MCD::OPC_Decode, 131, 11, 133, 1, // Opcode: C_UN_D32_MM
/* 4887 */    MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 4900
/* 4891 */    MCD::OPC_CheckPredicate, 17, 248, 2, // Skip to: 5655
/* 4895 */    MCD::OPC_Decode, 169, 10, 133, 1, // Opcode: C_EQ_D32_MM
/* 4900 */    MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 4913
/* 4904 */    MCD::OPC_CheckPredicate, 17, 235, 2, // Skip to: 5655
/* 4908 */    MCD::OPC_Decode, 241, 10, 133, 1, // Opcode: C_UEQ_D32_MM
/* 4913 */    MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 4926
/* 4917 */    MCD::OPC_CheckPredicate, 17, 222, 2, // Skip to: 5655
/* 4921 */    MCD::OPC_Decode, 223, 10, 133, 1, // Opcode: C_OLT_D32_MM
/* 4926 */    MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 4939
/* 4930 */    MCD::OPC_CheckPredicate, 17, 209, 2, // Skip to: 5655
/* 4934 */    MCD::OPC_Decode, 253, 10, 133, 1, // Opcode: C_ULT_D32_MM
/* 4939 */    MCD::OPC_FilterValue, 22, 9, 0, // Skip to: 4952
/* 4943 */    MCD::OPC_CheckPredicate, 17, 196, 2, // Skip to: 5655
/* 4947 */    MCD::OPC_Decode, 217, 10, 133, 1, // Opcode: C_OLE_D32_MM
/* 4952 */    MCD::OPC_FilterValue, 23, 9, 0, // Skip to: 4965
/* 4956 */    MCD::OPC_CheckPredicate, 17, 183, 2, // Skip to: 5655
/* 4960 */    MCD::OPC_Decode, 247, 10, 133, 1, // Opcode: C_ULE_D32_MM
/* 4965 */    MCD::OPC_FilterValue, 24, 9, 0, // Skip to: 4978
/* 4969 */    MCD::OPC_CheckPredicate, 17, 170, 2, // Skip to: 5655
/* 4973 */    MCD::OPC_Decode, 235, 10, 133, 1, // Opcode: C_SF_D32_MM
/* 4978 */    MCD::OPC_FilterValue, 25, 9, 0, // Skip to: 4991
/* 4982 */    MCD::OPC_CheckPredicate, 17, 157, 2, // Skip to: 5655
/* 4986 */    MCD::OPC_Decode, 199, 10, 133, 1, // Opcode: C_NGLE_D32_MM
/* 4991 */    MCD::OPC_FilterValue, 26, 9, 0, // Skip to: 5004
/* 4995 */    MCD::OPC_CheckPredicate, 17, 144, 2, // Skip to: 5655
/* 4999 */    MCD::OPC_Decode, 229, 10, 133, 1, // Opcode: C_SEQ_D32_MM
/* 5004 */    MCD::OPC_FilterValue, 27, 9, 0, // Skip to: 5017
/* 5008 */    MCD::OPC_CheckPredicate, 17, 131, 2, // Skip to: 5655
/* 5012 */    MCD::OPC_Decode, 205, 10, 133, 1, // Opcode: C_NGL_D32_MM
/* 5017 */    MCD::OPC_FilterValue, 28, 9, 0, // Skip to: 5030
/* 5021 */    MCD::OPC_CheckPredicate, 17, 118, 2, // Skip to: 5655
/* 5025 */    MCD::OPC_Decode, 187, 10, 133, 1, // Opcode: C_LT_D32_MM
/* 5030 */    MCD::OPC_FilterValue, 29, 9, 0, // Skip to: 5043
/* 5034 */    MCD::OPC_CheckPredicate, 17, 105, 2, // Skip to: 5655
/* 5038 */    MCD::OPC_Decode, 193, 10, 133, 1, // Opcode: C_NGE_D32_MM
/* 5043 */    MCD::OPC_FilterValue, 30, 9, 0, // Skip to: 5056
/* 5047 */    MCD::OPC_CheckPredicate, 17, 92, 2, // Skip to: 5655
/* 5051 */    MCD::OPC_Decode, 181, 10, 133, 1, // Opcode: C_LE_D32_MM
/* 5056 */    MCD::OPC_FilterValue, 31, 83, 2, // Skip to: 5655
/* 5060 */    MCD::OPC_CheckPredicate, 17, 79, 2, // Skip to: 5655
/* 5064 */    MCD::OPC_Decode, 211, 10, 133, 1, // Opcode: C_NGT_D32_MM
/* 5069 */    MCD::OPC_FilterValue, 22, 42, 0, // Skip to: 5115
/* 5073 */    MCD::OPC_ExtractField, 0, 11,  // Inst{10-0} ...
/* 5076 */    MCD::OPC_FilterValue, 197, 1, 8, 0, // Skip to: 5089
/* 5081 */    MCD::OPC_CheckPredicate, 8, 58, 2, // Skip to: 5655
/* 5085 */    MCD::OPC_Decode, 159, 9, 54, // Opcode: CMPGU_EQ_QB_MM
/* 5089 */    MCD::OPC_FilterValue, 133, 2, 8, 0, // Skip to: 5102
/* 5094 */    MCD::OPC_CheckPredicate, 8, 45, 2, // Skip to: 5655
/* 5098 */    MCD::OPC_Decode, 163, 9, 54, // Opcode: CMPGU_LT_QB_MM
/* 5102 */    MCD::OPC_FilterValue, 197, 2, 36, 2, // Skip to: 5655
/* 5107 */    MCD::OPC_CheckPredicate, 8, 32, 2, // Skip to: 5655
/* 5111 */    MCD::OPC_Decode, 161, 9, 54, // Opcode: CMPGU_LE_QB_MM
/* 5115 */    MCD::OPC_FilterValue, 24, 65, 1, // Skip to: 5440
/* 5119 */    MCD::OPC_ExtractField, 12, 4,  // Inst{15-12} ...
/* 5122 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 5134
/* 5126 */    MCD::OPC_CheckPredicate, 6, 13, 2, // Skip to: 5655
/* 5130 */    MCD::OPC_Decode, 172, 15, 99, // Opcode: LWL_MM
/* 5134 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 5146
/* 5138 */    MCD::OPC_CheckPredicate, 6, 1, 2, // Skip to: 5655
/* 5142 */    MCD::OPC_Decode, 183, 15, 99, // Opcode: LWR_MM
/* 5146 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 5158
/* 5150 */    MCD::OPC_CheckPredicate, 6, 245, 1, // Skip to: 5655
/* 5154 */    MCD::OPC_Decode, 223, 18, 100, // Opcode: PREF_MM
/* 5158 */    MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 5170
/* 5162 */    MCD::OPC_CheckPredicate, 6, 233, 1, // Skip to: 5655
/* 5166 */    MCD::OPC_Decode, 141, 15, 99, // Opcode: LL_MM
/* 5170 */    MCD::OPC_FilterValue, 6, 107, 0, // Skip to: 5281
/* 5174 */    MCD::OPC_ExtractField, 9, 3,  // Inst{11-9} ...
/* 5177 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5190
/* 5181 */    MCD::OPC_CheckPredicate, 21, 214, 1, // Skip to: 5655
/* 5185 */    MCD::OPC_Decode, 219, 14, 134, 1, // Opcode: LBuE_MM
/* 5190 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 5203
/* 5194 */    MCD::OPC_CheckPredicate, 21, 201, 1, // Skip to: 5655
/* 5198 */    MCD::OPC_Decode, 130, 15, 134, 1, // Opcode: LHuE_MM
/* 5203 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 5216
/* 5207 */    MCD::OPC_CheckPredicate, 22, 188, 1, // Skip to: 5655
/* 5211 */    MCD::OPC_Decode, 171, 15, 134, 1, // Opcode: LWLE_MM
/* 5216 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 5229
/* 5220 */    MCD::OPC_CheckPredicate, 22, 175, 1, // Skip to: 5655
/* 5224 */    MCD::OPC_Decode, 182, 15, 134, 1, // Opcode: LWRE_MM
/* 5229 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 5242
/* 5233 */    MCD::OPC_CheckPredicate, 21, 162, 1, // Skip to: 5655
/* 5237 */    MCD::OPC_Decode, 209, 14, 134, 1, // Opcode: LBE_MM
/* 5242 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 5255
/* 5246 */    MCD::OPC_CheckPredicate, 21, 149, 1, // Skip to: 5655
/* 5250 */    MCD::OPC_Decode, 250, 14, 134, 1, // Opcode: LHE_MM
/* 5255 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 5268
/* 5259 */    MCD::OPC_CheckPredicate, 21, 136, 1, // Skip to: 5655
/* 5263 */    MCD::OPC_Decode, 140, 15, 134, 1, // Opcode: LLE_MM
/* 5268 */    MCD::OPC_FilterValue, 7, 127, 1, // Skip to: 5655
/* 5272 */    MCD::OPC_CheckPredicate, 21, 123, 1, // Skip to: 5655
/* 5276 */    MCD::OPC_Decode, 166, 15, 134, 1, // Opcode: LWE_MM
/* 5281 */    MCD::OPC_FilterValue, 8, 8, 0, // Skip to: 5293
/* 5285 */    MCD::OPC_CheckPredicate, 6, 110, 1, // Skip to: 5655
/* 5289 */    MCD::OPC_Decode, 208, 21, 99, // Opcode: SWL_MM
/* 5293 */    MCD::OPC_FilterValue, 9, 8, 0, // Skip to: 5305
/* 5297 */    MCD::OPC_CheckPredicate, 6, 98, 1, // Skip to: 5655
/* 5301 */    MCD::OPC_Decode, 217, 21, 99, // Opcode: SWR_MM
/* 5305 */    MCD::OPC_FilterValue, 10, 107, 0, // Skip to: 5416
/* 5309 */    MCD::OPC_ExtractField, 9, 3,  // Inst{11-9} ...
/* 5312 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5325
/* 5316 */    MCD::OPC_CheckPredicate, 22, 79, 1, // Skip to: 5655
/* 5320 */    MCD::OPC_Decode, 207, 21, 134, 1, // Opcode: SWLE_MM
/* 5325 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 5338
/* 5329 */    MCD::OPC_CheckPredicate, 22, 66, 1, // Skip to: 5655
/* 5333 */    MCD::OPC_Decode, 216, 21, 134, 1, // Opcode: SWRE_MM
/* 5338 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 5351
/* 5342 */    MCD::OPC_CheckPredicate, 21, 53, 1, // Skip to: 5655
/* 5346 */    MCD::OPC_Decode, 221, 18, 135, 1, // Opcode: PREFE_MM
/* 5351 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 5364
/* 5355 */    MCD::OPC_CheckPredicate, 21, 40, 1, // Skip to: 5655
/* 5359 */    MCD::OPC_Decode, 205, 8, 135, 1, // Opcode: CACHEE_MM
/* 5364 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 5377
/* 5368 */    MCD::OPC_CheckPredicate, 21, 27, 1, // Skip to: 5655
/* 5372 */    MCD::OPC_Decode, 167, 19, 134, 1, // Opcode: SBE_MM
/* 5377 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 5390
/* 5381 */    MCD::OPC_CheckPredicate, 21, 14, 1, // Skip to: 5655
/* 5385 */    MCD::OPC_Decode, 233, 19, 134, 1, // Opcode: SHE_MM
/* 5390 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 5403
/* 5394 */    MCD::OPC_CheckPredicate, 21, 1, 1, // Skip to: 5655
/* 5398 */    MCD::OPC_Decode, 176, 19, 134, 1, // Opcode: SCE_MM
/* 5403 */    MCD::OPC_FilterValue, 7, 248, 0, // Skip to: 5655
/* 5407 */    MCD::OPC_CheckPredicate, 21, 244, 0, // Skip to: 5655
/* 5411 */    MCD::OPC_Decode, 203, 21, 134, 1, // Opcode: SWE_MM
/* 5416 */    MCD::OPC_FilterValue, 11, 8, 0, // Skip to: 5428
/* 5420 */    MCD::OPC_CheckPredicate, 6, 231, 0, // Skip to: 5655
/* 5424 */    MCD::OPC_Decode, 177, 19, 99, // Opcode: SC_MM
/* 5428 */    MCD::OPC_FilterValue, 14, 223, 0, // Skip to: 5655
/* 5432 */    MCD::OPC_CheckPredicate, 6, 219, 0, // Skip to: 5655
/* 5436 */    MCD::OPC_Decode, 186, 15, 99, // Opcode: LWU_MM
/* 5440 */    MCD::OPC_FilterValue, 28, 8, 0, // Skip to: 5452
/* 5444 */    MCD::OPC_CheckPredicate, 6, 207, 0, // Skip to: 5655
/* 5448 */    MCD::OPC_Decode, 213, 22, 108, // Opcode: XORi_MM
/* 5452 */    MCD::OPC_FilterValue, 29, 9, 0, // Skip to: 5465
/* 5456 */    MCD::OPC_CheckPredicate, 6, 195, 0, // Skip to: 5655
/* 5460 */    MCD::OPC_Decode, 177, 14, 136, 1, // Opcode: JALS_MM
/* 5465 */    MCD::OPC_FilterValue, 30, 9, 0, // Skip to: 5478
/* 5469 */    MCD::OPC_CheckPredicate, 6, 182, 0, // Skip to: 5655
/* 5473 */    MCD::OPC_Decode, 132, 6, 137, 1, // Opcode: ADDIUPC_MM
/* 5478 */    MCD::OPC_FilterValue, 36, 8, 0, // Skip to: 5490
/* 5482 */    MCD::OPC_CheckPredicate, 7, 169, 0, // Skip to: 5655
/* 5486 */    MCD::OPC_Decode, 191, 20, 97, // Opcode: SLTi_MM
/* 5490 */    MCD::OPC_FilterValue, 37, 9, 0, // Skip to: 5503
/* 5494 */    MCD::OPC_CheckPredicate, 6, 157, 0, // Skip to: 5655
/* 5498 */    MCD::OPC_Decode, 184, 7, 138, 1, // Opcode: BEQ_MM
/* 5503 */    MCD::OPC_FilterValue, 38, 9, 0, // Skip to: 5516
/* 5507 */    MCD::OPC_CheckPredicate, 19, 144, 0, // Skip to: 5655
/* 5511 */    MCD::OPC_Decode, 195, 21, 139, 1, // Opcode: SWC1_MM
/* 5516 */    MCD::OPC_FilterValue, 39, 9, 0, // Skip to: 5529
/* 5520 */    MCD::OPC_CheckPredicate, 19, 131, 0, // Skip to: 5655
/* 5524 */    MCD::OPC_Decode, 158, 15, 139, 1, // Opcode: LWC1_MM
/* 5529 */    MCD::OPC_FilterValue, 44, 8, 0, // Skip to: 5541
/* 5533 */    MCD::OPC_CheckPredicate, 7, 118, 0, // Skip to: 5655
/* 5537 */    MCD::OPC_Decode, 194, 20, 97, // Opcode: SLTiu_MM
/* 5541 */    MCD::OPC_FilterValue, 45, 9, 0, // Skip to: 5554
/* 5545 */    MCD::OPC_CheckPredicate, 6, 106, 0, // Skip to: 5655
/* 5549 */    MCD::OPC_Decode, 159, 8, 138, 1, // Opcode: BNE_MM
/* 5554 */    MCD::OPC_FilterValue, 46, 9, 0, // Skip to: 5567
/* 5558 */    MCD::OPC_CheckPredicate, 18, 93, 0, // Skip to: 5655
/* 5562 */    MCD::OPC_Decode, 190, 19, 139, 1, // Opcode: SDC1_MM_D32
/* 5567 */    MCD::OPC_FilterValue, 47, 9, 0, // Skip to: 5580
/* 5571 */    MCD::OPC_CheckPredicate, 18, 80, 0, // Skip to: 5655
/* 5575 */    MCD::OPC_Decode, 225, 14, 139, 1, // Opcode: LDC1_MM_D32
/* 5580 */    MCD::OPC_FilterValue, 52, 8, 0, // Skip to: 5592
/* 5584 */    MCD::OPC_CheckPredicate, 6, 67, 0, // Skip to: 5655
/* 5588 */    MCD::OPC_Decode, 222, 6, 108, // Opcode: ANDi_MM
/* 5592 */    MCD::OPC_FilterValue, 53, 9, 0, // Skip to: 5605
/* 5596 */    MCD::OPC_CheckPredicate, 6, 55, 0, // Skip to: 5655
/* 5600 */    MCD::OPC_Decode, 199, 14, 136, 1, // Opcode: J_MM
/* 5605 */    MCD::OPC_FilterValue, 60, 9, 0, // Skip to: 5618
/* 5609 */    MCD::OPC_CheckPredicate, 6, 42, 0, // Skip to: 5655
/* 5613 */    MCD::OPC_Decode, 179, 14, 140, 1, // Opcode: JALX_MM
/* 5618 */    MCD::OPC_FilterValue, 61, 9, 0, // Skip to: 5631
/* 5622 */    MCD::OPC_CheckPredicate, 6, 29, 0, // Skip to: 5655
/* 5626 */    MCD::OPC_Decode, 180, 14, 136, 1, // Opcode: JAL_MM
/* 5631 */    MCD::OPC_FilterValue, 62, 8, 0, // Skip to: 5643
/* 5635 */    MCD::OPC_CheckPredicate, 7, 16, 0, // Skip to: 5655
/* 5639 */    MCD::OPC_Decode, 222, 21, 98, // Opcode: SW_MM
/* 5643 */    MCD::OPC_FilterValue, 63, 8, 0, // Skip to: 5655
/* 5647 */    MCD::OPC_CheckPredicate, 7, 4, 0, // Skip to: 5655
/* 5651 */    MCD::OPC_Decode, 192, 15, 98, // Opcode: LW_MM
/* 5655 */    MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableMicroMipsDSP32[] = {
/* 0 */       MCD::OPC_ExtractField, 26, 6,  // Inst{31-26} ...
/* 3 */       MCD::OPC_FilterValue, 62, 9, 0, // Skip to: 16
/* 7 */       MCD::OPC_CheckPredicate, 8, 18, 0, // Skip to: 29
/* 11 */      MCD::OPC_Decode, 201, 21, 141, 1, // Opcode: SWDSP_MM
/* 16 */      MCD::OPC_FilterValue, 63, 9, 0, // Skip to: 29
/* 20 */      MCD::OPC_CheckPredicate, 8, 5, 0, // Skip to: 29
/* 24 */      MCD::OPC_Decode, 164, 15, 141, 1, // Opcode: LWDSP_MM
/* 29 */      MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableMicroMipsFP6432[] = {
/* 0 */       MCD::OPC_ExtractField, 26, 6,  // Inst{31-26} ...
/* 3 */       MCD::OPC_FilterValue, 21, 0, 1, // Skip to: 263
/* 7 */       MCD::OPC_ExtractField, 0, 11,  // Inst{10-0} ...
/* 10 */      MCD::OPC_FilterValue, 59, 42, 0, // Skip to: 56
/* 14 */      MCD::OPC_ExtractField, 11, 5,  // Inst{15-11} ...
/* 17 */      MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 30
/* 21 */      MCD::OPC_CheckPredicate, 20, 8, 1, // Skip to: 289
/* 25 */      MCD::OPC_Decode, 158, 17, 142, 1, // Opcode: MTC1_D64_MM
/* 30 */      MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 43
/* 34 */      MCD::OPC_CheckPredicate, 20, 251, 0, // Skip to: 289
/* 38 */      MCD::OPC_Decode, 153, 16, 143, 1, // Opcode: MFHC1_D64_MM
/* 43 */      MCD::OPC_FilterValue, 7, 242, 0, // Skip to: 289
/* 47 */      MCD::OPC_CheckPredicate, 20, 238, 0, // Skip to: 289
/* 51 */      MCD::OPC_Decode, 169, 17, 144, 1, // Opcode: MTHC1_D64_MM
/* 56 */      MCD::OPC_FilterValue, 123, 14, 0, // Skip to: 74
/* 60 */      MCD::OPC_CheckPredicate, 20, 225, 0, // Skip to: 289
/* 64 */      MCD::OPC_CheckField, 11, 5, 4, 219, 0, // Skip to: 289
/* 70 */      MCD::OPC_Decode, 164, 13, 122, // Opcode: FMOV_D64_MM
/* 74 */      MCD::OPC_FilterValue, 176, 2, 9, 0, // Skip to: 88
/* 79 */      MCD::OPC_CheckPredicate, 20, 206, 0, // Skip to: 289
/* 83 */      MCD::OPC_Decode, 202, 12, 145, 1, // Opcode: FADD_D64_MM
/* 88 */      MCD::OPC_FilterValue, 187, 2, 15, 0, // Skip to: 108
/* 93 */      MCD::OPC_CheckPredicate, 20, 192, 0, // Skip to: 289
/* 97 */      MCD::OPC_CheckField, 11, 5, 9, 186, 0, // Skip to: 289
/* 103 */     MCD::OPC_Decode, 164, 10, 146, 1, // Opcode: CVT_W_D64_MM
/* 108 */     MCD::OPC_FilterValue, 240, 2, 9, 0, // Skip to: 122
/* 113 */     MCD::OPC_CheckPredicate, 20, 172, 0, // Skip to: 289
/* 117 */     MCD::OPC_Decode, 219, 13, 145, 1, // Opcode: FSUB_D64_MM
/* 122 */     MCD::OPC_FilterValue, 176, 3, 9, 0, // Skip to: 136
/* 127 */     MCD::OPC_CheckPredicate, 20, 158, 0, // Skip to: 289
/* 131 */     MCD::OPC_Decode, 175, 13, 145, 1, // Opcode: FMUL_D64_MM
/* 136 */     MCD::OPC_FilterValue, 240, 3, 9, 0, // Skip to: 150
/* 141 */     MCD::OPC_CheckPredicate, 20, 144, 0, // Skip to: 289
/* 145 */     MCD::OPC_Decode, 241, 12, 145, 1, // Opcode: FDIV_D64_MM
/* 150 */     MCD::OPC_FilterValue, 187, 4, 39, 0, // Skip to: 194
/* 155 */     MCD::OPC_ExtractField, 11, 5,  // Inst{15-11} ...
/* 158 */     MCD::OPC_FilterValue, 8, 8, 0, // Skip to: 170
/* 162 */     MCD::OPC_CheckPredicate, 20, 123, 0, // Skip to: 289
/* 166 */     MCD::OPC_Decode, 147, 19, 122, // Opcode: RSQRT_D64_MM
/* 170 */     MCD::OPC_FilterValue, 9, 8, 0, // Skip to: 182
/* 174 */     MCD::OPC_CheckPredicate, 20, 111, 0, // Skip to: 289
/* 178 */     MCD::OPC_Decode, 211, 13, 122, // Opcode: FSQRT_D64_MM
/* 182 */     MCD::OPC_FilterValue, 10, 103, 0, // Skip to: 289
/* 186 */     MCD::OPC_CheckPredicate, 20, 99, 0, // Skip to: 289
/* 190 */     MCD::OPC_Decode, 242, 18, 122, // Opcode: RECIP_D64_MM
/* 194 */     MCD::OPC_FilterValue, 251, 6, 90, 0, // Skip to: 289
/* 199 */     MCD::OPC_ExtractField, 11, 5,  // Inst{15-11} ...
/* 202 */     MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 214
/* 206 */     MCD::OPC_CheckPredicate, 20, 79, 0, // Skip to: 289
/* 210 */     MCD::OPC_Decode, 137, 10, 121, // Opcode: CVT_D64_S_MM
/* 214 */     MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 227
/* 218 */     MCD::OPC_CheckPredicate, 20, 67, 0, // Skip to: 289
/* 222 */     MCD::OPC_Decode, 153, 10, 146, 1, // Opcode: CVT_S_D64_MM
/* 227 */     MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 239
/* 231 */     MCD::OPC_CheckPredicate, 20, 54, 0, // Skip to: 289
/* 235 */     MCD::OPC_Decode, 195, 12, 122, // Opcode: FABS_D64_MM
/* 239 */     MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 251
/* 243 */     MCD::OPC_CheckPredicate, 20, 42, 0, // Skip to: 289
/* 247 */     MCD::OPC_Decode, 184, 13, 122, // Opcode: FNEG_D64_MM
/* 251 */     MCD::OPC_FilterValue, 6, 34, 0, // Skip to: 289
/* 255 */     MCD::OPC_CheckPredicate, 20, 30, 0, // Skip to: 289
/* 259 */     MCD::OPC_Decode, 139, 10, 121, // Opcode: CVT_D64_W_MM
/* 263 */     MCD::OPC_FilterValue, 46, 9, 0, // Skip to: 276
/* 267 */     MCD::OPC_CheckPredicate, 23, 18, 0, // Skip to: 289
/* 271 */     MCD::OPC_Decode, 189, 19, 139, 1, // Opcode: SDC1_D64_MMR6
/* 276 */     MCD::OPC_FilterValue, 47, 9, 0, // Skip to: 289
/* 280 */     MCD::OPC_CheckPredicate, 23, 5, 0, // Skip to: 289
/* 284 */     MCD::OPC_Decode, 224, 14, 139, 1, // Opcode: LDC1_D64_MMR6
/* 289 */     MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableMicroMipsR616[] = {
/* 0 */       MCD::OPC_ExtractField, 10, 6,  // Inst{15-10} ...
/* 3 */       MCD::OPC_FilterValue, 1, 29, 0, // Skip to: 36
/* 7 */       MCD::OPC_ExtractField, 0, 1,  // Inst{0} ...
/* 10 */      MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 23
/* 14 */      MCD::OPC_CheckPredicate, 24, 115, 1, // Skip to: 389
/* 18 */      MCD::OPC_Decode, 169, 6, 147, 1, // Opcode: ADDU16_MMR6
/* 23 */      MCD::OPC_FilterValue, 1, 106, 1, // Skip to: 389
/* 27 */      MCD::OPC_CheckPredicate, 24, 102, 1, // Skip to: 389
/* 31 */      MCD::OPC_Decode, 161, 21, 147, 1, // Opcode: SUBU16_MMR6
/* 36 */      MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 48
/* 40 */      MCD::OPC_CheckPredicate, 24, 89, 1, // Skip to: 389
/* 44 */      MCD::OPC_Decode, 213, 16, 33, // Opcode: MOVE16_MMR6
/* 48 */      MCD::OPC_FilterValue, 9, 27, 0, // Skip to: 79
/* 52 */      MCD::OPC_ExtractField, 0, 1,  // Inst{0} ...
/* 55 */      MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 67
/* 59 */      MCD::OPC_CheckPredicate, 24, 70, 1, // Skip to: 389
/* 63 */      MCD::OPC_Decode, 171, 20, 34, // Opcode: SLL16_MMR6
/* 67 */      MCD::OPC_FilterValue, 1, 62, 1, // Skip to: 389
/* 71 */      MCD::OPC_CheckPredicate, 24, 58, 1, // Skip to: 389
/* 75 */      MCD::OPC_Decode, 230, 20, 34, // Opcode: SRL16_MMR6
/* 79 */      MCD::OPC_FilterValue, 11, 8, 0, // Skip to: 91
/* 83 */      MCD::OPC_CheckPredicate, 24, 46, 1, // Skip to: 389
/* 87 */      MCD::OPC_Decode, 214, 6, 35, // Opcode: ANDI16_MMR6
/* 91 */      MCD::OPC_FilterValue, 17, 198, 0, // Skip to: 293
/* 95 */      MCD::OPC_ExtractField, 2, 1,  // Inst{2} ...
/* 98 */      MCD::OPC_FilterValue, 0, 179, 0, // Skip to: 281
/* 102 */     MCD::OPC_ExtractField, 0, 2,  // Inst{1-0} ...
/* 105 */     MCD::OPC_FilterValue, 0, 29, 0, // Skip to: 138
/* 109 */     MCD::OPC_ExtractField, 3, 1,  // Inst{3} ...
/* 112 */     MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 125
/* 116 */     MCD::OPC_CheckPredicate, 24, 13, 1, // Skip to: 389
/* 120 */     MCD::OPC_Decode, 145, 18, 148, 1, // Opcode: NOT16_MMR6
/* 125 */     MCD::OPC_FilterValue, 1, 4, 1, // Skip to: 389
/* 129 */     MCD::OPC_CheckPredicate, 24, 0, 1, // Skip to: 389
/* 133 */     MCD::OPC_Decode, 204, 22, 149, 1, // Opcode: XOR16_MMR6
/* 138 */     MCD::OPC_FilterValue, 1, 29, 0, // Skip to: 171
/* 142 */     MCD::OPC_ExtractField, 3, 1,  // Inst{3} ...
/* 145 */     MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 158
/* 149 */     MCD::OPC_CheckPredicate, 24, 236, 0, // Skip to: 389
/* 153 */     MCD::OPC_Decode, 211, 6, 149, 1, // Opcode: AND16_MMR6
/* 158 */     MCD::OPC_FilterValue, 1, 227, 0, // Skip to: 389
/* 162 */     MCD::OPC_CheckPredicate, 24, 223, 0, // Skip to: 389
/* 166 */     MCD::OPC_Decode, 150, 18, 149, 1, // Opcode: OR16_MMR6
/* 171 */     MCD::OPC_FilterValue, 2, 27, 0, // Skip to: 202
/* 175 */     MCD::OPC_ExtractField, 3, 1,  // Inst{3} ...
/* 178 */     MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 190
/* 182 */     MCD::OPC_CheckPredicate, 24, 203, 0, // Skip to: 389
/* 186 */     MCD::OPC_Decode, 174, 15, 38, // Opcode: LWM16_MMR6
/* 190 */     MCD::OPC_FilterValue, 1, 195, 0, // Skip to: 389
/* 194 */     MCD::OPC_CheckPredicate, 24, 191, 0, // Skip to: 389
/* 198 */     MCD::OPC_Decode, 210, 21, 38, // Opcode: SWM16_MMR6
/* 202 */     MCD::OPC_FilterValue, 3, 183, 0, // Skip to: 389
/* 206 */     MCD::OPC_ExtractField, 3, 2,  // Inst{4-3} ...
/* 209 */     MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 222
/* 213 */     MCD::OPC_CheckPredicate, 24, 172, 0, // Skip to: 389
/* 217 */     MCD::OPC_Decode, 192, 14, 150, 1, // Opcode: JRC16_MMR6
/* 222 */     MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 235
/* 226 */     MCD::OPC_CheckPredicate, 24, 159, 0, // Skip to: 389
/* 230 */     MCD::OPC_Decode, 169, 14, 150, 1, // Opcode: JALRC16_MMR6
/* 235 */     MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 248
/* 239 */     MCD::OPC_CheckPredicate, 24, 146, 0, // Skip to: 389
/* 243 */     MCD::OPC_Decode, 193, 14, 151, 1, // Opcode: JRCADDIUSP_MMR6
/* 248 */     MCD::OPC_FilterValue, 3, 137, 0, // Skip to: 389
/* 252 */     MCD::OPC_ExtractField, 5, 1,  // Inst{5} ...
/* 255 */     MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 268
/* 259 */     MCD::OPC_CheckPredicate, 24, 126, 0, // Skip to: 389
/* 263 */     MCD::OPC_Decode, 174, 8, 152, 1, // Opcode: BREAK16_MMR6
/* 268 */     MCD::OPC_FilterValue, 1, 117, 0, // Skip to: 389
/* 272 */     MCD::OPC_CheckPredicate, 24, 113, 0, // Skip to: 389
/* 276 */     MCD::OPC_Decode, 183, 19, 152, 1, // Opcode: SDBBP16_MMR6
/* 281 */     MCD::OPC_FilterValue, 1, 104, 0, // Skip to: 389
/* 285 */     MCD::OPC_CheckPredicate, 24, 100, 0, // Skip to: 389
/* 289 */     MCD::OPC_Decode, 215, 16, 48, // Opcode: MOVEP_MMR6
/* 293 */     MCD::OPC_FilterValue, 34, 8, 0, // Skip to: 305
/* 297 */     MCD::OPC_CheckPredicate, 24, 88, 0, // Skip to: 389
/* 301 */     MCD::OPC_Decode, 164, 19, 32, // Opcode: SB16_MMR6
/* 305 */     MCD::OPC_FilterValue, 35, 8, 0, // Skip to: 317
/* 309 */     MCD::OPC_CheckPredicate, 24, 76, 0, // Skip to: 389
/* 313 */     MCD::OPC_Decode, 180, 7, 49, // Opcode: BEQZC16_MMR6
/* 317 */     MCD::OPC_FilterValue, 42, 8, 0, // Skip to: 329
/* 321 */     MCD::OPC_CheckPredicate, 24, 64, 0, // Skip to: 389
/* 325 */     MCD::OPC_Decode, 230, 19, 32, // Opcode: SH16_MMR6
/* 329 */     MCD::OPC_FilterValue, 43, 8, 0, // Skip to: 341
/* 333 */     MCD::OPC_CheckPredicate, 24, 52, 0, // Skip to: 389
/* 337 */     MCD::OPC_Decode, 155, 8, 49, // Opcode: BNEZC16_MMR6
/* 341 */     MCD::OPC_FilterValue, 50, 8, 0, // Skip to: 353
/* 345 */     MCD::OPC_CheckPredicate, 24, 40, 0, // Skip to: 389
/* 349 */     MCD::OPC_Decode, 219, 21, 42, // Opcode: SWSP_MMR6
/* 353 */     MCD::OPC_FilterValue, 51, 8, 0, // Skip to: 365
/* 357 */     MCD::OPC_CheckPredicate, 24, 28, 0, // Skip to: 389
/* 361 */     MCD::OPC_Decode, 146, 7, 50, // Opcode: BC16_MMR6
/* 365 */     MCD::OPC_FilterValue, 58, 8, 0, // Skip to: 377
/* 369 */     MCD::OPC_CheckPredicate, 24, 16, 0, // Skip to: 389
/* 373 */     MCD::OPC_Decode, 192, 21, 32, // Opcode: SW16_MMR6
/* 377 */     MCD::OPC_FilterValue, 59, 8, 0, // Skip to: 389
/* 381 */     MCD::OPC_CheckPredicate, 24, 4, 0, // Skip to: 389
/* 385 */     MCD::OPC_Decode, 133, 15, 51, // Opcode: LI16_MMR6
/* 389 */     MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableMicroMipsR632[] = {
/* 0 */       MCD::OPC_ExtractField, 26, 6,  // Inst{31-26} ...
/* 3 */       MCD::OPC_FilterValue, 0, 198, 3, // Skip to: 973
/* 7 */       MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 10 */      MCD::OPC_FilterValue, 0, 97, 0, // Skip to: 111
/* 14 */      MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 17 */      MCD::OPC_FilterValue, 0, 47, 0, // Skip to: 68
/* 21 */      MCD::OPC_ExtractField, 11, 15,  // Inst{25-11} ...
/* 24 */      MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 36
/* 28 */      MCD::OPC_CheckPredicate, 24, 28, 0, // Skip to: 60
/* 32 */      MCD::OPC_Decode, 252, 20, 10, // Opcode: SSNOP_MMR6
/* 36 */      MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 48
/* 40 */      MCD::OPC_CheckPredicate, 24, 16, 0, // Skip to: 60
/* 44 */      MCD::OPC_Decode, 150, 12, 10, // Opcode: EHB_MMR6
/* 48 */      MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 60
/* 52 */      MCD::OPC_CheckPredicate, 24, 4, 0, // Skip to: 60
/* 56 */      MCD::OPC_Decode, 165, 18, 10, // Opcode: PAUSE_MMR6
/* 60 */      MCD::OPC_CheckPredicate, 24, 168, 10, // Skip to: 2792
/* 64 */      MCD::OPC_Decode, 184, 20, 52, // Opcode: SLL_MMR6
/* 68 */      MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 80
/* 72 */      MCD::OPC_CheckPredicate, 24, 156, 10, // Skip to: 2792
/* 76 */      MCD::OPC_Decode, 212, 19, 55, // Opcode: SELEQZ_MMR6
/* 80 */      MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 92
/* 84 */      MCD::OPC_CheckPredicate, 24, 144, 10, // Skip to: 2792
/* 88 */      MCD::OPC_Decode, 219, 19, 55, // Opcode: SELNEZ_MMR6
/* 92 */      MCD::OPC_FilterValue, 7, 136, 10, // Skip to: 2792
/* 96 */      MCD::OPC_CheckPredicate, 24, 132, 10, // Skip to: 2792
/* 100 */     MCD::OPC_CheckField, 14, 2, 0, 126, 10, // Skip to: 2792
/* 106 */     MCD::OPC_Decode, 237, 18, 153, 1, // Opcode: RDHWR_MMR6
/* 111 */     MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 123
/* 115 */     MCD::OPC_CheckPredicate, 24, 113, 10, // Skip to: 2792
/* 119 */     MCD::OPC_Decode, 176, 8, 56, // Opcode: BREAK_MMR6
/* 123 */     MCD::OPC_FilterValue, 12, 8, 0, // Skip to: 135
/* 127 */     MCD::OPC_CheckPredicate, 24, 101, 10, // Skip to: 2792
/* 131 */     MCD::OPC_Decode, 163, 14, 57, // Opcode: INS_MMR6
/* 135 */     MCD::OPC_FilterValue, 15, 15, 0, // Skip to: 154
/* 139 */     MCD::OPC_CheckPredicate, 24, 89, 10, // Skip to: 2792
/* 143 */     MCD::OPC_CheckField, 6, 3, 0, 83, 10, // Skip to: 2792
/* 149 */     MCD::OPC_Decode, 145, 15, 154, 1, // Opcode: LSA_MMR6
/* 154 */     MCD::OPC_FilterValue, 16, 117, 0, // Skip to: 275
/* 158 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 161 */     MCD::OPC_FilterValue, 1, 14, 0, // Skip to: 179
/* 165 */     MCD::OPC_CheckPredicate, 24, 63, 10, // Skip to: 2792
/* 169 */     MCD::OPC_CheckField, 16, 5, 0, 57, 10, // Skip to: 2792
/* 175 */     MCD::OPC_Decode, 150, 9, 25, // Opcode: CLZ_MMR6
/* 179 */     MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 191
/* 183 */     MCD::OPC_CheckPredicate, 24, 45, 10, // Skip to: 2792
/* 187 */     MCD::OPC_Decode, 198, 6, 55, // Opcode: ADD_MMR6
/* 191 */     MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 203
/* 195 */     MCD::OPC_CheckPredicate, 24, 33, 10, // Skip to: 2792
/* 199 */     MCD::OPC_Decode, 174, 6, 55, // Opcode: ADDU_MMR6
/* 203 */     MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 215
/* 207 */     MCD::OPC_CheckPredicate, 24, 21, 10, // Skip to: 2792
/* 211 */     MCD::OPC_Decode, 184, 21, 55, // Opcode: SUB_MMR6
/* 215 */     MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 227
/* 219 */     MCD::OPC_CheckPredicate, 24, 9, 10, // Skip to: 2792
/* 223 */     MCD::OPC_Decode, 166, 21, 55, // Opcode: SUBU_MMR6
/* 227 */     MCD::OPC_FilterValue, 9, 8, 0, // Skip to: 239
/* 231 */     MCD::OPC_CheckPredicate, 24, 253, 9, // Skip to: 2792
/* 235 */     MCD::OPC_Decode, 218, 6, 55, // Opcode: AND_MMR6
/* 239 */     MCD::OPC_FilterValue, 10, 8, 0, // Skip to: 251
/* 243 */     MCD::OPC_CheckPredicate, 24, 241, 9, // Skip to: 2792
/* 247 */     MCD::OPC_Decode, 155, 18, 55, // Opcode: OR_MMR6
/* 251 */     MCD::OPC_FilterValue, 11, 8, 0, // Skip to: 263
/* 255 */     MCD::OPC_CheckPredicate, 24, 229, 9, // Skip to: 2792
/* 259 */     MCD::OPC_Decode, 142, 18, 55, // Opcode: NOR_MMR6
/* 263 */     MCD::OPC_FilterValue, 12, 221, 9, // Skip to: 2792
/* 267 */     MCD::OPC_CheckPredicate, 24, 217, 9, // Skip to: 2792
/* 271 */     MCD::OPC_Decode, 209, 22, 55, // Opcode: XOR_MMR6
/* 275 */     MCD::OPC_FilterValue, 24, 99, 0, // Skip to: 378
/* 279 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 282 */     MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 294
/* 286 */     MCD::OPC_CheckPredicate, 24, 198, 9, // Skip to: 2792
/* 290 */     MCD::OPC_Decode, 235, 17, 55, // Opcode: MUL_MMR6
/* 294 */     MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 306
/* 298 */     MCD::OPC_CheckPredicate, 24, 186, 9, // Skip to: 2792
/* 302 */     MCD::OPC_Decode, 195, 17, 55, // Opcode: MUH_MMR6
/* 306 */     MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 318
/* 310 */     MCD::OPC_CheckPredicate, 24, 174, 9, // Skip to: 2792
/* 314 */     MCD::OPC_Decode, 229, 17, 55, // Opcode: MULU_MMR6
/* 318 */     MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 330
/* 322 */     MCD::OPC_CheckPredicate, 24, 162, 9, // Skip to: 2792
/* 326 */     MCD::OPC_Decode, 194, 17, 55, // Opcode: MUHU_MMR6
/* 330 */     MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 342
/* 334 */     MCD::OPC_CheckPredicate, 24, 150, 9, // Skip to: 2792
/* 338 */     MCD::OPC_Decode, 168, 11, 55, // Opcode: DIV_MMR6
/* 342 */     MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 354
/* 346 */     MCD::OPC_CheckPredicate, 24, 138, 9, // Skip to: 2792
/* 350 */     MCD::OPC_Decode, 203, 16, 55, // Opcode: MOD_MMR6
/* 354 */     MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 366
/* 358 */     MCD::OPC_CheckPredicate, 24, 126, 9, // Skip to: 2792
/* 362 */     MCD::OPC_Decode, 167, 11, 55, // Opcode: DIVU_MMR6
/* 366 */     MCD::OPC_FilterValue, 7, 118, 9, // Skip to: 2792
/* 370 */     MCD::OPC_CheckPredicate, 24, 114, 9, // Skip to: 2792
/* 374 */     MCD::OPC_Decode, 202, 16, 55, // Opcode: MODU_MMR6
/* 378 */     MCD::OPC_FilterValue, 31, 15, 0, // Skip to: 397
/* 382 */     MCD::OPC_CheckPredicate, 24, 102, 9, // Skip to: 2792
/* 386 */     MCD::OPC_CheckField, 6, 3, 0, 96, 9, // Skip to: 2792
/* 392 */     MCD::OPC_Decode, 206, 6, 155, 1, // Opcode: ALIGN_MMR6
/* 397 */     MCD::OPC_FilterValue, 44, 8, 0, // Skip to: 409
/* 401 */     MCD::OPC_CheckPredicate, 24, 83, 9, // Skip to: 2792
/* 405 */     MCD::OPC_Decode, 191, 12, 66, // Opcode: EXT_MMR6
/* 409 */     MCD::OPC_FilterValue, 52, 39, 0, // Skip to: 452
/* 413 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 416 */     MCD::OPC_FilterValue, 3, 14, 0, // Skip to: 434
/* 420 */     MCD::OPC_CheckPredicate, 24, 64, 9, // Skip to: 2792
/* 424 */     MCD::OPC_CheckField, 14, 2, 0, 58, 9, // Skip to: 2792
/* 430 */     MCD::OPC_Decode, 149, 16, 68, // Opcode: MFHC0_MMR6
/* 434 */     MCD::OPC_FilterValue, 11, 50, 9, // Skip to: 2792
/* 438 */     MCD::OPC_CheckPredicate, 24, 46, 9, // Skip to: 2792
/* 442 */     MCD::OPC_CheckField, 14, 2, 0, 40, 9, // Skip to: 2792
/* 448 */     MCD::OPC_Decode, 165, 17, 69, // Opcode: MTHC0_MMR6
/* 452 */     MCD::OPC_FilterValue, 60, 242, 1, // Skip to: 954
/* 456 */     MCD::OPC_ExtractField, 14, 2,  // Inst{15-14} ...
/* 459 */     MCD::OPC_FilterValue, 0, 119, 0, // Skip to: 582
/* 463 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 466 */     MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 478
/* 470 */     MCD::OPC_CheckPredicate, 24, 14, 9, // Skip to: 2792
/* 474 */     MCD::OPC_Decode, 140, 16, 68, // Opcode: MFC0_MMR6
/* 478 */     MCD::OPC_FilterValue, 5, 39, 0, // Skip to: 521
/* 482 */     MCD::OPC_ExtractField, 11, 3,  // Inst{13-11} ...
/* 485 */     MCD::OPC_FilterValue, 3, 14, 0, // Skip to: 503
/* 489 */     MCD::OPC_CheckPredicate, 24, 251, 8, // Skip to: 2792
/* 493 */     MCD::OPC_CheckField, 21, 5, 0, 245, 8, // Skip to: 2792
/* 499 */     MCD::OPC_Decode, 145, 12, 92, // Opcode: DVP_MMR6
/* 503 */     MCD::OPC_FilterValue, 7, 237, 8, // Skip to: 2792
/* 507 */     MCD::OPC_CheckPredicate, 24, 233, 8, // Skip to: 2792
/* 511 */     MCD::OPC_CheckField, 21, 5, 0, 227, 8, // Skip to: 2792
/* 517 */     MCD::OPC_Decode, 162, 12, 92, // Opcode: EVP_MMR6
/* 521 */     MCD::OPC_FilterValue, 11, 8, 0, // Skip to: 533
/* 525 */     MCD::OPC_CheckPredicate, 24, 215, 8, // Skip to: 2792
/* 529 */     MCD::OPC_Decode, 155, 17, 69, // Opcode: MTC0_MMR6
/* 533 */     MCD::OPC_FilterValue, 12, 14, 0, // Skip to: 551
/* 537 */     MCD::OPC_CheckPredicate, 24, 203, 8, // Skip to: 2792
/* 541 */     MCD::OPC_CheckField, 11, 3, 1, 197, 8, // Skip to: 2792
/* 547 */     MCD::OPC_Decode, 232, 7, 86, // Opcode: BITSWAP_MMR6
/* 551 */     MCD::OPC_FilterValue, 28, 189, 8, // Skip to: 2792
/* 555 */     MCD::OPC_ExtractField, 11, 3,  // Inst{13-11} ...
/* 558 */     MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 570
/* 562 */     MCD::OPC_CheckPredicate, 24, 178, 8, // Skip to: 2792
/* 566 */     MCD::OPC_Decode, 171, 14, 80, // Opcode: JALRC_MMR6
/* 570 */     MCD::OPC_FilterValue, 3, 170, 8, // Skip to: 2792
/* 574 */     MCD::OPC_CheckPredicate, 24, 166, 8, // Skip to: 2792
/* 578 */     MCD::OPC_Decode, 170, 14, 80, // Opcode: JALRC_HB_MMR6
/* 582 */     MCD::OPC_FilterValue, 1, 229, 0, // Skip to: 815
/* 586 */     MCD::OPC_ExtractField, 11, 3,  // Inst{13-11} ...
/* 589 */     MCD::OPC_FilterValue, 0, 39, 0, // Skip to: 632
/* 593 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 596 */     MCD::OPC_FilterValue, 13, 14, 0, // Skip to: 614
/* 600 */     MCD::OPC_CheckPredicate, 24, 140, 8, // Skip to: 2792
/* 604 */     MCD::OPC_CheckField, 16, 10, 0, 134, 8, // Skip to: 2792
/* 610 */     MCD::OPC_Decode, 152, 22, 10, // Opcode: TLBINV_MMR6
/* 614 */     MCD::OPC_FilterValue, 29, 126, 8, // Skip to: 2792
/* 618 */     MCD::OPC_CheckPredicate, 24, 122, 8, // Skip to: 2792
/* 622 */     MCD::OPC_CheckField, 21, 5, 0, 116, 8, // Skip to: 2792
/* 628 */     MCD::OPC_Decode, 178, 11, 92, // Opcode: DI_MMR6
/* 632 */     MCD::OPC_FilterValue, 1, 27, 0, // Skip to: 663
/* 636 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 639 */     MCD::OPC_FilterValue, 12, 8, 0, // Skip to: 651
/* 643 */     MCD::OPC_CheckPredicate, 24, 97, 8, // Skip to: 2792
/* 647 */     MCD::OPC_Decode, 130, 9, 80, // Opcode: CLO_MMR6
/* 651 */     MCD::OPC_FilterValue, 20, 89, 8, // Skip to: 2792
/* 655 */     MCD::OPC_CheckPredicate, 24, 85, 8, // Skip to: 2792
/* 659 */     MCD::OPC_Decode, 146, 16, 90, // Opcode: MFC2_MMR6
/* 663 */     MCD::OPC_FilterValue, 2, 39, 0, // Skip to: 706
/* 667 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 670 */     MCD::OPC_FilterValue, 13, 14, 0, // Skip to: 688
/* 674 */     MCD::OPC_CheckPredicate, 24, 66, 8, // Skip to: 2792
/* 678 */     MCD::OPC_CheckField, 16, 10, 0, 60, 8, // Skip to: 2792
/* 684 */     MCD::OPC_Decode, 151, 22, 10, // Opcode: TLBINVF_MMR6
/* 688 */     MCD::OPC_FilterValue, 29, 52, 8, // Skip to: 2792
/* 692 */     MCD::OPC_CheckPredicate, 24, 48, 8, // Skip to: 2792
/* 696 */     MCD::OPC_CheckField, 21, 5, 0, 42, 8, // Skip to: 2792
/* 702 */     MCD::OPC_Decode, 153, 12, 92, // Opcode: EI_MMR6
/* 706 */     MCD::OPC_FilterValue, 3, 14, 0, // Skip to: 724
/* 710 */     MCD::OPC_CheckPredicate, 24, 30, 8, // Skip to: 2792
/* 714 */     MCD::OPC_CheckField, 6, 5, 20, 24, 8, // Skip to: 2792
/* 720 */     MCD::OPC_Decode, 162, 17, 91, // Opcode: MTC2_MMR6
/* 724 */     MCD::OPC_FilterValue, 4, 20, 0, // Skip to: 748
/* 728 */     MCD::OPC_CheckPredicate, 25, 12, 8, // Skip to: 2792
/* 732 */     MCD::OPC_CheckField, 21, 5, 0, 6, 8, // Skip to: 2792
/* 738 */     MCD::OPC_CheckField, 6, 5, 5, 0, 8, // Skip to: 2792
/* 744 */     MCD::OPC_Decode, 246, 13, 92, // Opcode: GINVI_MMR6
/* 748 */     MCD::OPC_FilterValue, 5, 20, 0, // Skip to: 772
/* 752 */     MCD::OPC_CheckPredicate, 24, 244, 7, // Skip to: 2792
/* 756 */     MCD::OPC_CheckField, 21, 5, 0, 238, 7, // Skip to: 2792
/* 762 */     MCD::OPC_CheckField, 6, 5, 13, 232, 7, // Skip to: 2792
/* 768 */     MCD::OPC_Decode, 229, 21, 87, // Opcode: SYNC_MMR6
/* 772 */     MCD::OPC_FilterValue, 6, 21, 0, // Skip to: 797
/* 776 */     MCD::OPC_CheckPredicate, 25, 220, 7, // Skip to: 2792
/* 780 */     MCD::OPC_CheckField, 21, 5, 0, 214, 7, // Skip to: 2792
/* 786 */     MCD::OPC_CheckField, 6, 3, 5, 208, 7, // Skip to: 2792
/* 792 */     MCD::OPC_Decode, 248, 13, 156, 1, // Opcode: GINVT_MMR6
/* 797 */     MCD::OPC_FilterValue, 7, 199, 7, // Skip to: 2792
/* 801 */     MCD::OPC_CheckPredicate, 24, 195, 7, // Skip to: 2792
/* 805 */     MCD::OPC_CheckField, 6, 5, 12, 189, 7, // Skip to: 2792
/* 811 */     MCD::OPC_Decode, 201, 22, 80, // Opcode: WSBH_MMR6
/* 815 */     MCD::OPC_FilterValue, 2, 39, 0, // Skip to: 858
/* 819 */     MCD::OPC_ExtractField, 6, 8,  // Inst{13-6} ...
/* 822 */     MCD::OPC_FilterValue, 52, 8, 0, // Skip to: 834
/* 826 */     MCD::OPC_CheckPredicate, 24, 170, 7, // Skip to: 2792
/* 830 */     MCD::OPC_Decode, 154, 16, 90, // Opcode: MFHC2_MMR6
/* 834 */     MCD::OPC_FilterValue, 77, 8, 0, // Skip to: 846
/* 838 */     MCD::OPC_CheckPredicate, 24, 158, 7, // Skip to: 2792
/* 842 */     MCD::OPC_Decode, 195, 22, 88, // Opcode: WAIT_MMR6
/* 846 */     MCD::OPC_FilterValue, 116, 150, 7, // Skip to: 2792
/* 850 */     MCD::OPC_CheckPredicate, 24, 146, 7, // Skip to: 2792
/* 854 */     MCD::OPC_Decode, 170, 17, 91, // Opcode: MTHC2_MMR6
/* 858 */     MCD::OPC_FilterValue, 3, 138, 7, // Skip to: 2792
/* 862 */     MCD::OPC_ExtractField, 6, 8,  // Inst{13-6} ...
/* 865 */     MCD::OPC_FilterValue, 109, 8, 0, // Skip to: 877
/* 869 */     MCD::OPC_CheckPredicate, 24, 127, 7, // Skip to: 2792
/* 873 */     MCD::OPC_Decode, 185, 19, 88, // Opcode: SDBBP_MMR6
/* 877 */     MCD::OPC_FilterValue, 133, 1, 8, 0, // Skip to: 890
/* 882 */     MCD::OPC_CheckPredicate, 24, 114, 7, // Skip to: 2792
/* 886 */     MCD::OPC_Decode, 238, 18, 80, // Opcode: RDPGPR_MMR6
/* 890 */     MCD::OPC_FilterValue, 141, 1, 14, 0, // Skip to: 909
/* 895 */     MCD::OPC_CheckPredicate, 24, 101, 7, // Skip to: 2792
/* 899 */     MCD::OPC_CheckField, 16, 10, 0, 95, 7, // Skip to: 2792
/* 905 */     MCD::OPC_Decode, 156, 11, 10, // Opcode: DERET_MMR6
/* 909 */     MCD::OPC_FilterValue, 197, 1, 8, 0, // Skip to: 922
/* 914 */     MCD::OPC_CheckPredicate, 24, 82, 7, // Skip to: 2792
/* 918 */     MCD::OPC_Decode, 198, 22, 80, // Opcode: WRPGPR_MMR6
/* 922 */     MCD::OPC_FilterValue, 205, 1, 73, 7, // Skip to: 2792
/* 927 */     MCD::OPC_ExtractField, 16, 10,  // Inst{25-16} ...
/* 930 */     MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 942
/* 934 */     MCD::OPC_CheckPredicate, 24, 62, 7, // Skip to: 2792
/* 938 */     MCD::OPC_Decode, 159, 12, 10, // Opcode: ERET_MMR6
/* 942 */     MCD::OPC_FilterValue, 1, 54, 7, // Skip to: 2792
/* 946 */     MCD::OPC_CheckPredicate, 24, 50, 7, // Skip to: 2792
/* 950 */     MCD::OPC_Decode, 157, 12, 10, // Opcode: ERETNC_MMR6
/* 954 */     MCD::OPC_FilterValue, 63, 42, 7, // Skip to: 2792
/* 958 */     MCD::OPC_CheckPredicate, 24, 38, 7, // Skip to: 2792
/* 962 */     MCD::OPC_CheckField, 22, 4, 0, 32, 7, // Skip to: 2792
/* 968 */     MCD::OPC_Decode, 160, 20, 157, 1, // Opcode: SIGRIE_MMR6
/* 973 */     MCD::OPC_FilterValue, 4, 23, 0, // Skip to: 1000
/* 977 */     MCD::OPC_CheckPredicate, 24, 11, 0, // Skip to: 992
/* 981 */     MCD::OPC_CheckField, 16, 5, 0, 5, 0, // Skip to: 992
/* 987 */     MCD::OPC_Decode, 147, 15, 158, 1, // Opcode: LUI_MMR6
/* 992 */     MCD::OPC_CheckPredicate, 24, 4, 7, // Skip to: 2792
/* 996 */     MCD::OPC_Decode, 236, 6, 108, // Opcode: AUI_MMR6
/* 1000 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 1013
/* 1004 */    MCD::OPC_CheckPredicate, 24, 248, 6, // Skip to: 2792
/* 1008 */    MCD::OPC_Decode, 213, 14, 159, 1, // Opcode: LBU_MMR6
/* 1013 */    MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 1025
/* 1017 */    MCD::OPC_CheckPredicate, 24, 235, 6, // Skip to: 2792
/* 1021 */    MCD::OPC_Decode, 169, 19, 98, // Opcode: SB_MMR6
/* 1025 */    MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 1038
/* 1029 */    MCD::OPC_CheckPredicate, 24, 223, 6, // Skip to: 2792
/* 1033 */    MCD::OPC_Decode, 215, 14, 159, 1, // Opcode: LB_MMR6
/* 1038 */    MCD::OPC_FilterValue, 8, 91, 0, // Skip to: 1133
/* 1042 */    MCD::OPC_ExtractField, 12, 4,  // Inst{15-12} ...
/* 1045 */    MCD::OPC_FilterValue, 0, 15, 0, // Skip to: 1064
/* 1049 */    MCD::OPC_CheckPredicate, 24, 203, 6, // Skip to: 2792
/* 1053 */    MCD::OPC_CheckField, 11, 1, 0, 197, 6, // Skip to: 2792
/* 1059 */    MCD::OPC_Decode, 160, 15, 160, 1, // Opcode: LWC2_MMR6
/* 1064 */    MCD::OPC_FilterValue, 2, 15, 0, // Skip to: 1083
/* 1068 */    MCD::OPC_CheckPredicate, 24, 184, 6, // Skip to: 2792
/* 1072 */    MCD::OPC_CheckField, 11, 1, 0, 178, 6, // Skip to: 2792
/* 1078 */    MCD::OPC_Decode, 228, 14, 160, 1, // Opcode: LDC2_MMR6
/* 1083 */    MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 1095
/* 1087 */    MCD::OPC_CheckPredicate, 24, 165, 6, // Skip to: 2792
/* 1091 */    MCD::OPC_Decode, 207, 8, 100, // Opcode: CACHE_MMR6
/* 1095 */    MCD::OPC_FilterValue, 8, 15, 0, // Skip to: 1114
/* 1099 */    MCD::OPC_CheckPredicate, 24, 153, 6, // Skip to: 2792
/* 1103 */    MCD::OPC_CheckField, 11, 1, 0, 147, 6, // Skip to: 2792
/* 1109 */    MCD::OPC_Decode, 197, 21, 160, 1, // Opcode: SWC2_MMR6
/* 1114 */    MCD::OPC_FilterValue, 10, 138, 6, // Skip to: 2792
/* 1118 */    MCD::OPC_CheckPredicate, 24, 134, 6, // Skip to: 2792
/* 1122 */    MCD::OPC_CheckField, 11, 1, 0, 128, 6, // Skip to: 2792
/* 1128 */    MCD::OPC_Decode, 193, 19, 160, 1, // Opcode: SDC2_MMR6
/* 1133 */    MCD::OPC_FilterValue, 12, 8, 0, // Skip to: 1145
/* 1137 */    MCD::OPC_CheckPredicate, 24, 115, 6, // Skip to: 2792
/* 1141 */    MCD::OPC_Decode, 138, 6, 97, // Opcode: ADDIU_MMR6
/* 1145 */    MCD::OPC_FilterValue, 14, 8, 0, // Skip to: 1157
/* 1149 */    MCD::OPC_CheckPredicate, 24, 103, 6, // Skip to: 2792
/* 1153 */    MCD::OPC_Decode, 158, 20, 98, // Opcode: SH_MMR6
/* 1157 */    MCD::OPC_FilterValue, 16, 68, 0, // Skip to: 1229
/* 1161 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 1164 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 1177
/* 1168 */    MCD::OPC_CheckPredicate, 26, 84, 6, // Skip to: 2792
/* 1172 */    MCD::OPC_Decode, 148, 7, 161, 1, // Opcode: BC1EQZC_MMR6
/* 1177 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 1190
/* 1181 */    MCD::OPC_CheckPredicate, 26, 71, 6, // Skip to: 2792
/* 1185 */    MCD::OPC_Decode, 153, 7, 161, 1, // Opcode: BC1NEZC_MMR6
/* 1190 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 1203
/* 1194 */    MCD::OPC_CheckPredicate, 24, 58, 6, // Skip to: 2792
/* 1198 */    MCD::OPC_Decode, 158, 7, 162, 1, // Opcode: BC2EQZC_MMR6
/* 1203 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 1216
/* 1207 */    MCD::OPC_CheckPredicate, 24, 45, 6, // Skip to: 2792
/* 1211 */    MCD::OPC_Decode, 160, 7, 162, 1, // Opcode: BC2NEZC_MMR6
/* 1216 */    MCD::OPC_FilterValue, 12, 36, 6, // Skip to: 2792
/* 1220 */    MCD::OPC_CheckPredicate, 24, 32, 6, // Skip to: 2792
/* 1224 */    MCD::OPC_Decode, 227, 21, 163, 1, // Opcode: SYNCI_MMR6
/* 1229 */    MCD::OPC_FilterValue, 20, 8, 0, // Skip to: 1241
/* 1233 */    MCD::OPC_CheckPredicate, 24, 19, 6, // Skip to: 2792
/* 1237 */    MCD::OPC_Decode, 153, 18, 108, // Opcode: ORI_MMR6
/* 1241 */    MCD::OPC_FilterValue, 21, 164, 4, // Skip to: 2433
/* 1245 */    MCD::OPC_ExtractField, 0, 11,  // Inst{10-0} ...
/* 1248 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 1261
/* 1252 */    MCD::OPC_CheckPredicate, 26, 0, 6, // Skip to: 2792
/* 1256 */    MCD::OPC_Decode, 192, 16, 164, 1, // Opcode: MIN_S_MMR6
/* 1261 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 1274
/* 1265 */    MCD::OPC_CheckPredicate, 26, 243, 5, // Skip to: 2792
/* 1269 */    MCD::OPC_Decode, 171, 9, 165, 1, // Opcode: CMP_AF_S_MMR6
/* 1274 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 1287
/* 1278 */    MCD::OPC_CheckPredicate, 26, 230, 5, // Skip to: 2792
/* 1282 */    MCD::OPC_Decode, 133, 16, 164, 1, // Opcode: MAX_S_MMR6
/* 1287 */    MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 1300
/* 1291 */    MCD::OPC_CheckPredicate, 26, 217, 5, // Skip to: 2792
/* 1295 */    MCD::OPC_Decode, 170, 9, 166, 1, // Opcode: CMP_AF_D_MMR6
/* 1300 */    MCD::OPC_FilterValue, 32, 15, 0, // Skip to: 1319
/* 1304 */    MCD::OPC_CheckPredicate, 24, 204, 5, // Skip to: 2792
/* 1308 */    MCD::OPC_CheckField, 11, 5, 0, 198, 5, // Skip to: 2792
/* 1314 */    MCD::OPC_Decode, 128, 19, 167, 1, // Opcode: RINT_S_MMR6
/* 1319 */    MCD::OPC_FilterValue, 35, 9, 0, // Skip to: 1332
/* 1323 */    MCD::OPC_CheckPredicate, 26, 185, 5, // Skip to: 2792
/* 1327 */    MCD::OPC_Decode, 173, 16, 164, 1, // Opcode: MINA_S_MMR6
/* 1332 */    MCD::OPC_FilterValue, 43, 9, 0, // Skip to: 1345
/* 1336 */    MCD::OPC_CheckPredicate, 26, 172, 5, // Skip to: 2792
/* 1340 */    MCD::OPC_Decode, 242, 15, 164, 1, // Opcode: MAXA_S_MMR6
/* 1345 */    MCD::OPC_FilterValue, 48, 9, 0, // Skip to: 1358
/* 1349 */    MCD::OPC_CheckPredicate, 26, 159, 5, // Skip to: 2792
/* 1353 */    MCD::OPC_Decode, 206, 12, 168, 1, // Opcode: FADD_S_MMR6
/* 1358 */    MCD::OPC_FilterValue, 56, 9, 0, // Skip to: 1371
/* 1362 */    MCD::OPC_CheckPredicate, 24, 146, 5, // Skip to: 2792
/* 1366 */    MCD::OPC_Decode, 214, 19, 164, 1, // Opcode: SELEQZ_S_MMR6
/* 1371 */    MCD::OPC_FilterValue, 59, 27, 0, // Skip to: 1402
/* 1375 */    MCD::OPC_ExtractField, 11, 5,  // Inst{15-11} ...
/* 1378 */    MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 1390
/* 1382 */    MCD::OPC_CheckPredicate, 26, 126, 5, // Skip to: 2792
/* 1386 */    MCD::OPC_Decode, 144, 16, 119, // Opcode: MFC1_MMR6
/* 1390 */    MCD::OPC_FilterValue, 5, 118, 5, // Skip to: 2792
/* 1394 */    MCD::OPC_CheckPredicate, 26, 114, 5, // Skip to: 2792
/* 1398 */    MCD::OPC_Decode, 160, 17, 125, // Opcode: MTC1_MMR6
/* 1402 */    MCD::OPC_FilterValue, 69, 9, 0, // Skip to: 1415
/* 1406 */    MCD::OPC_CheckPredicate, 26, 102, 5, // Skip to: 2792
/* 1410 */    MCD::OPC_Decode, 239, 9, 165, 1, // Opcode: CMP_UN_S_MMR6
/* 1415 */    MCD::OPC_FilterValue, 85, 9, 0, // Skip to: 1428
/* 1419 */    MCD::OPC_CheckPredicate, 26, 89, 5, // Skip to: 2792
/* 1423 */    MCD::OPC_Decode, 237, 9, 166, 1, // Opcode: CMP_UN_D_MMR6
/* 1428 */    MCD::OPC_FilterValue, 96, 15, 0, // Skip to: 1447
/* 1432 */    MCD::OPC_CheckPredicate, 24, 76, 5, // Skip to: 2792
/* 1436 */    MCD::OPC_CheckField, 11, 5, 0, 70, 5, // Skip to: 2792
/* 1442 */    MCD::OPC_Decode, 239, 8, 167, 1, // Opcode: CLASS_S_MMR6
/* 1447 */    MCD::OPC_FilterValue, 112, 9, 0, // Skip to: 1460
/* 1451 */    MCD::OPC_CheckPredicate, 26, 57, 5, // Skip to: 2792
/* 1455 */    MCD::OPC_Decode, 223, 13, 168, 1, // Opcode: FSUB_S_MMR6
/* 1460 */    MCD::OPC_FilterValue, 120, 9, 0, // Skip to: 1473
/* 1464 */    MCD::OPC_CheckPredicate, 24, 44, 5, // Skip to: 2792
/* 1468 */    MCD::OPC_Decode, 221, 19, 164, 1, // Opcode: SELNEZ_S_MMR6
/* 1473 */    MCD::OPC_FilterValue, 123, 27, 0, // Skip to: 1504
/* 1477 */    MCD::OPC_ExtractField, 11, 5,  // Inst{15-11} ...
/* 1480 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 1492
/* 1484 */    MCD::OPC_CheckPredicate, 26, 24, 5, // Skip to: 2792
/* 1488 */    MCD::OPC_Decode, 168, 13, 124, // Opcode: FMOV_S_MMR6
/* 1492 */    MCD::OPC_FilterValue, 4, 16, 5, // Skip to: 2792
/* 1496 */    MCD::OPC_CheckPredicate, 26, 12, 5, // Skip to: 2792
/* 1500 */    MCD::OPC_Decode, 165, 13, 122, // Opcode: FMOV_D_MMR6
/* 1504 */    MCD::OPC_FilterValue, 133, 1, 9, 0, // Skip to: 1518
/* 1509 */    MCD::OPC_CheckPredicate, 26, 255, 4, // Skip to: 2792
/* 1513 */    MCD::OPC_Decode, 177, 9, 165, 1, // Opcode: CMP_EQ_S_MMR6
/* 1518 */    MCD::OPC_FilterValue, 149, 1, 9, 0, // Skip to: 1532
/* 1523 */    MCD::OPC_CheckPredicate, 26, 241, 4, // Skip to: 2792
/* 1527 */    MCD::OPC_Decode, 173, 9, 166, 1, // Opcode: CMP_EQ_D_MMR6
/* 1532 */    MCD::OPC_FilterValue, 176, 1, 9, 0, // Skip to: 1546
/* 1537 */    MCD::OPC_CheckPredicate, 26, 227, 4, // Skip to: 2792
/* 1541 */    MCD::OPC_Decode, 179, 13, 168, 1, // Opcode: FMUL_S_MMR6
/* 1546 */    MCD::OPC_FilterValue, 184, 1, 9, 0, // Skip to: 1560
/* 1551 */    MCD::OPC_CheckPredicate, 24, 213, 4, // Skip to: 2792
/* 1555 */    MCD::OPC_Decode, 225, 19, 169, 1, // Opcode: SEL_S_MMR6
/* 1560 */    MCD::OPC_FilterValue, 197, 1, 9, 0, // Skip to: 1574
/* 1565 */    MCD::OPC_CheckPredicate, 26, 199, 4, // Skip to: 2792
/* 1569 */    MCD::OPC_Decode, 227, 9, 165, 1, // Opcode: CMP_UEQ_S_MMR6
/* 1574 */    MCD::OPC_FilterValue, 213, 1, 9, 0, // Skip to: 1588
/* 1579 */    MCD::OPC_CheckPredicate, 26, 185, 4, // Skip to: 2792
/* 1583 */    MCD::OPC_Decode, 225, 9, 166, 1, // Opcode: CMP_UEQ_D_MMR6
/* 1588 */    MCD::OPC_FilterValue, 240, 1, 9, 0, // Skip to: 1602
/* 1593 */    MCD::OPC_CheckPredicate, 26, 171, 4, // Skip to: 2792
/* 1597 */    MCD::OPC_Decode, 244, 12, 168, 1, // Opcode: FDIV_S_MMR6
/* 1602 */    MCD::OPC_FilterValue, 133, 2, 9, 0, // Skip to: 1616
/* 1607 */    MCD::OPC_CheckPredicate, 26, 157, 4, // Skip to: 2792
/* 1611 */    MCD::OPC_Decode, 191, 9, 165, 1, // Opcode: CMP_LT_S_MMR6
/* 1616 */    MCD::OPC_FilterValue, 149, 2, 9, 0, // Skip to: 1630
/* 1621 */    MCD::OPC_CheckPredicate, 26, 143, 4, // Skip to: 2792
/* 1625 */    MCD::OPC_Decode, 187, 9, 166, 1, // Opcode: CMP_LT_D_MMR6
/* 1630 */    MCD::OPC_FilterValue, 187, 2, 39, 0, // Skip to: 1674
/* 1635 */    MCD::OPC_ExtractField, 11, 5,  // Inst{15-11} ...
/* 1638 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 1650
/* 1642 */    MCD::OPC_CheckPredicate, 26, 122, 4, // Skip to: 2792
/* 1646 */    MCD::OPC_Decode, 146, 10, 121, // Opcode: CVT_L_S_MMR6
/* 1650 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 1662
/* 1654 */    MCD::OPC_CheckPredicate, 26, 110, 4, // Skip to: 2792
/* 1658 */    MCD::OPC_Decode, 167, 10, 124, // Opcode: CVT_W_S_MMR6
/* 1662 */    MCD::OPC_FilterValue, 8, 102, 4, // Skip to: 2792
/* 1666 */    MCD::OPC_CheckPredicate, 26, 98, 4, // Skip to: 2792
/* 1670 */    MCD::OPC_Decode, 143, 10, 122, // Opcode: CVT_L_D_MMR6
/* 1674 */    MCD::OPC_FilterValue, 197, 2, 9, 0, // Skip to: 1688
/* 1679 */    MCD::OPC_CheckPredicate, 26, 85, 4, // Skip to: 2792
/* 1683 */    MCD::OPC_Decode, 235, 9, 165, 1, // Opcode: CMP_ULT_S_MMR6
/* 1688 */    MCD::OPC_FilterValue, 213, 2, 9, 0, // Skip to: 1702
/* 1693 */    MCD::OPC_CheckPredicate, 26, 71, 4, // Skip to: 2792
/* 1697 */    MCD::OPC_Decode, 233, 9, 166, 1, // Opcode: CMP_ULT_D_MMR6
/* 1702 */    MCD::OPC_FilterValue, 133, 3, 9, 0, // Skip to: 1716
/* 1707 */    MCD::OPC_CheckPredicate, 26, 57, 4, // Skip to: 2792
/* 1711 */    MCD::OPC_Decode, 185, 9, 165, 1, // Opcode: CMP_LE_S_MMR6
/* 1716 */    MCD::OPC_FilterValue, 149, 3, 9, 0, // Skip to: 1730
/* 1721 */    MCD::OPC_CheckPredicate, 26, 43, 4, // Skip to: 2792
/* 1725 */    MCD::OPC_Decode, 181, 9, 166, 1, // Opcode: CMP_LE_D_MMR6
/* 1730 */    MCD::OPC_FilterValue, 184, 3, 9, 0, // Skip to: 1744
/* 1735 */    MCD::OPC_CheckPredicate, 26, 29, 4, // Skip to: 2792
/* 1739 */    MCD::OPC_Decode, 210, 15, 170, 1, // Opcode: MADDF_S_MMR6
/* 1744 */    MCD::OPC_FilterValue, 197, 3, 9, 0, // Skip to: 1758
/* 1749 */    MCD::OPC_CheckPredicate, 26, 15, 4, // Skip to: 2792
/* 1753 */    MCD::OPC_Decode, 231, 9, 165, 1, // Opcode: CMP_ULE_S_MMR6
/* 1758 */    MCD::OPC_FilterValue, 213, 3, 9, 0, // Skip to: 1772
/* 1763 */    MCD::OPC_CheckPredicate, 26, 1, 4, // Skip to: 2792
/* 1767 */    MCD::OPC_Decode, 229, 9, 166, 1, // Opcode: CMP_ULE_D_MMR6
/* 1772 */    MCD::OPC_FilterValue, 248, 3, 9, 0, // Skip to: 1786
/* 1777 */    MCD::OPC_CheckPredicate, 26, 243, 3, // Skip to: 2792
/* 1781 */    MCD::OPC_Decode, 133, 17, 170, 1, // Opcode: MSUBF_S_MMR6
/* 1786 */    MCD::OPC_FilterValue, 131, 4, 9, 0, // Skip to: 1800
/* 1791 */    MCD::OPC_CheckPredicate, 26, 229, 3, // Skip to: 2792
/* 1795 */    MCD::OPC_Decode, 187, 16, 145, 1, // Opcode: MIN_D_MMR6
/* 1800 */    MCD::OPC_FilterValue, 133, 4, 9, 0, // Skip to: 1814
/* 1805 */    MCD::OPC_CheckPredicate, 26, 215, 3, // Skip to: 2792
/* 1809 */    MCD::OPC_Decode, 195, 9, 165, 1, // Opcode: CMP_SAF_S_MMR6
/* 1814 */    MCD::OPC_FilterValue, 139, 4, 9, 0, // Skip to: 1828
/* 1819 */    MCD::OPC_CheckPredicate, 26, 201, 3, // Skip to: 2792
/* 1823 */    MCD::OPC_Decode, 128, 16, 145, 1, // Opcode: MAX_D_MMR6
/* 1828 */    MCD::OPC_FilterValue, 149, 4, 9, 0, // Skip to: 1842
/* 1833 */    MCD::OPC_CheckPredicate, 26, 187, 3, // Skip to: 2792
/* 1837 */    MCD::OPC_Decode, 193, 9, 166, 1, // Opcode: CMP_SAF_D_MMR6
/* 1842 */    MCD::OPC_FilterValue, 160, 4, 15, 0, // Skip to: 1862
/* 1847 */    MCD::OPC_CheckPredicate, 24, 173, 3, // Skip to: 2792
/* 1851 */    MCD::OPC_CheckField, 11, 5, 0, 167, 3, // Skip to: 2792
/* 1857 */    MCD::OPC_Decode, 254, 18, 171, 1, // Opcode: RINT_D_MMR6
/* 1862 */    MCD::OPC_FilterValue, 163, 4, 9, 0, // Skip to: 1876
/* 1867 */    MCD::OPC_CheckPredicate, 26, 153, 3, // Skip to: 2792
/* 1871 */    MCD::OPC_Decode, 171, 16, 145, 1, // Opcode: MINA_D_MMR6
/* 1876 */    MCD::OPC_FilterValue, 171, 4, 9, 0, // Skip to: 1890
/* 1881 */    MCD::OPC_CheckPredicate, 26, 139, 3, // Skip to: 2792
/* 1885 */    MCD::OPC_Decode, 240, 15, 145, 1, // Opcode: MAXA_D_MMR6
/* 1890 */    MCD::OPC_FilterValue, 184, 4, 9, 0, // Skip to: 1904
/* 1895 */    MCD::OPC_CheckPredicate, 24, 125, 3, // Skip to: 2792
/* 1899 */    MCD::OPC_Decode, 211, 19, 145, 1, // Opcode: SELEQZ_D_MMR6
/* 1904 */    MCD::OPC_FilterValue, 197, 4, 9, 0, // Skip to: 1918
/* 1909 */    MCD::OPC_CheckPredicate, 26, 111, 3, // Skip to: 2792
/* 1913 */    MCD::OPC_Decode, 223, 9, 165, 1, // Opcode: CMP_SUN_S_MMR6
/* 1918 */    MCD::OPC_FilterValue, 213, 4, 9, 0, // Skip to: 1932
/* 1923 */    MCD::OPC_CheckPredicate, 26, 97, 3, // Skip to: 2792
/* 1927 */    MCD::OPC_Decode, 221, 9, 166, 1, // Opcode: CMP_SUN_D_MMR6
/* 1932 */    MCD::OPC_FilterValue, 224, 4, 15, 0, // Skip to: 1952
/* 1937 */    MCD::OPC_CheckPredicate, 24, 83, 3, // Skip to: 2792
/* 1941 */    MCD::OPC_CheckField, 11, 5, 0, 77, 3, // Skip to: 2792
/* 1947 */    MCD::OPC_Decode, 237, 8, 171, 1, // Opcode: CLASS_D_MMR6
/* 1952 */    MCD::OPC_FilterValue, 248, 4, 9, 0, // Skip to: 1966
/* 1957 */    MCD::OPC_CheckPredicate, 24, 63, 3, // Skip to: 2792
/* 1961 */    MCD::OPC_Decode, 218, 19, 145, 1, // Opcode: SELNEZ_D_MMR6
/* 1966 */    MCD::OPC_FilterValue, 133, 5, 9, 0, // Skip to: 1980
/* 1971 */    MCD::OPC_CheckPredicate, 26, 49, 3, // Skip to: 2792
/* 1975 */    MCD::OPC_Decode, 199, 9, 165, 1, // Opcode: CMP_SEQ_S_MMR6
/* 1980 */    MCD::OPC_FilterValue, 149, 5, 9, 0, // Skip to: 1994
/* 1985 */    MCD::OPC_CheckPredicate, 26, 35, 3, // Skip to: 2792
/* 1989 */    MCD::OPC_Decode, 197, 9, 166, 1, // Opcode: CMP_SEQ_D_MMR6
/* 1994 */    MCD::OPC_FilterValue, 184, 5, 9, 0, // Skip to: 2008
/* 1999 */    MCD::OPC_CheckPredicate, 24, 21, 3, // Skip to: 2792
/* 2003 */    MCD::OPC_Decode, 223, 19, 172, 1, // Opcode: SEL_D_MMR6
/* 2008 */    MCD::OPC_FilterValue, 197, 5, 9, 0, // Skip to: 2022
/* 2013 */    MCD::OPC_CheckPredicate, 26, 7, 3, // Skip to: 2792
/* 2017 */    MCD::OPC_Decode, 211, 9, 165, 1, // Opcode: CMP_SUEQ_S_MMR6
/* 2022 */    MCD::OPC_FilterValue, 213, 5, 9, 0, // Skip to: 2036
/* 2027 */    MCD::OPC_CheckPredicate, 26, 249, 2, // Skip to: 2792
/* 2031 */    MCD::OPC_Decode, 209, 9, 166, 1, // Opcode: CMP_SUEQ_D_MMR6
/* 2036 */    MCD::OPC_FilterValue, 133, 6, 9, 0, // Skip to: 2050
/* 2041 */    MCD::OPC_CheckPredicate, 26, 235, 2, // Skip to: 2792
/* 2045 */    MCD::OPC_Decode, 207, 9, 165, 1, // Opcode: CMP_SLT_S_MMR6
/* 2050 */    MCD::OPC_FilterValue, 149, 6, 9, 0, // Skip to: 2064
/* 2055 */    MCD::OPC_CheckPredicate, 26, 221, 2, // Skip to: 2792
/* 2059 */    MCD::OPC_Decode, 205, 9, 166, 1, // Opcode: CMP_SLT_D_MMR6
/* 2064 */    MCD::OPC_FilterValue, 187, 6, 196, 0, // Skip to: 2265
/* 2069 */    MCD::OPC_ExtractField, 11, 5,  // Inst{15-11} ...
/* 2072 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 2084
/* 2076 */    MCD::OPC_CheckPredicate, 26, 200, 2, // Skip to: 2792
/* 2080 */    MCD::OPC_Decode, 143, 13, 121, // Opcode: FLOOR_L_S_MMR6
/* 2084 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 2096
/* 2088 */    MCD::OPC_CheckPredicate, 26, 188, 2, // Skip to: 2792
/* 2092 */    MCD::OPC_Decode, 150, 13, 124, // Opcode: FLOOR_W_S_MMR6
/* 2096 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 2108
/* 2100 */    MCD::OPC_CheckPredicate, 26, 176, 2, // Skip to: 2792
/* 2104 */    MCD::OPC_Decode, 212, 8, 121, // Opcode: CEIL_L_S_MMR6
/* 2108 */    MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 2120
/* 2112 */    MCD::OPC_CheckPredicate, 26, 164, 2, // Skip to: 2792
/* 2116 */    MCD::OPC_Decode, 219, 8, 124, // Opcode: CEIL_W_S_MMR6
/* 2120 */    MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 2132
/* 2124 */    MCD::OPC_CheckPredicate, 26, 152, 2, // Skip to: 2792
/* 2128 */    MCD::OPC_Decode, 175, 22, 121, // Opcode: TRUNC_L_S_MMR6
/* 2132 */    MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 2144
/* 2136 */    MCD::OPC_CheckPredicate, 26, 140, 2, // Skip to: 2792
/* 2140 */    MCD::OPC_Decode, 182, 22, 124, // Opcode: TRUNC_W_S_MMR6
/* 2144 */    MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 2156
/* 2148 */    MCD::OPC_CheckPredicate, 26, 128, 2, // Skip to: 2792
/* 2152 */    MCD::OPC_Decode, 136, 19, 121, // Opcode: ROUND_L_S_MMR6
/* 2156 */    MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 2168
/* 2160 */    MCD::OPC_CheckPredicate, 26, 116, 2, // Skip to: 2792
/* 2164 */    MCD::OPC_Decode, 143, 19, 124, // Opcode: ROUND_W_S_MMR6
/* 2168 */    MCD::OPC_FilterValue, 8, 8, 0, // Skip to: 2180
/* 2172 */    MCD::OPC_CheckPredicate, 26, 104, 2, // Skip to: 2792
/* 2176 */    MCD::OPC_Decode, 141, 13, 122, // Opcode: FLOOR_L_D_MMR6
/* 2180 */    MCD::OPC_FilterValue, 9, 8, 0, // Skip to: 2192
/* 2184 */    MCD::OPC_CheckPredicate, 26, 92, 2, // Skip to: 2792
/* 2188 */    MCD::OPC_Decode, 146, 13, 126, // Opcode: FLOOR_W_D_MMR6
/* 2192 */    MCD::OPC_FilterValue, 10, 8, 0, // Skip to: 2204
/* 2196 */    MCD::OPC_CheckPredicate, 26, 80, 2, // Skip to: 2792
/* 2200 */    MCD::OPC_Decode, 210, 8, 122, // Opcode: CEIL_L_D_MMR6
/* 2204 */    MCD::OPC_FilterValue, 11, 8, 0, // Skip to: 2216
/* 2208 */    MCD::OPC_CheckPredicate, 26, 68, 2, // Skip to: 2792
/* 2212 */    MCD::OPC_Decode, 215, 8, 126, // Opcode: CEIL_W_D_MMR6
/* 2216 */    MCD::OPC_FilterValue, 12, 8, 0, // Skip to: 2228
/* 2220 */    MCD::OPC_CheckPredicate, 26, 56, 2, // Skip to: 2792
/* 2224 */    MCD::OPC_Decode, 173, 22, 122, // Opcode: TRUNC_L_D_MMR6
/* 2228 */    MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 2241
/* 2232 */    MCD::OPC_CheckPredicate, 26, 44, 2, // Skip to: 2792
/* 2236 */    MCD::OPC_Decode, 178, 22, 146, 1, // Opcode: TRUNC_W_D_MMR6
/* 2241 */    MCD::OPC_FilterValue, 14, 8, 0, // Skip to: 2253
/* 2245 */    MCD::OPC_CheckPredicate, 26, 31, 2, // Skip to: 2792
/* 2249 */    MCD::OPC_Decode, 134, 19, 122, // Opcode: ROUND_L_D_MMR6
/* 2253 */    MCD::OPC_FilterValue, 15, 23, 2, // Skip to: 2792
/* 2257 */    MCD::OPC_CheckPredicate, 26, 19, 2, // Skip to: 2792
/* 2261 */    MCD::OPC_Decode, 139, 19, 122, // Opcode: ROUND_W_D_MMR6
/* 2265 */    MCD::OPC_FilterValue, 197, 6, 9, 0, // Skip to: 2279
/* 2270 */    MCD::OPC_CheckPredicate, 26, 6, 2, // Skip to: 2792
/* 2274 */    MCD::OPC_Decode, 219, 9, 165, 1, // Opcode: CMP_SULT_S_MMR6
/* 2279 */    MCD::OPC_FilterValue, 213, 6, 9, 0, // Skip to: 2293
/* 2284 */    MCD::OPC_CheckPredicate, 26, 248, 1, // Skip to: 2792
/* 2288 */    MCD::OPC_Decode, 217, 9, 166, 1, // Opcode: CMP_SULT_D_MMR6
/* 2293 */    MCD::OPC_FilterValue, 251, 6, 51, 0, // Skip to: 2349
/* 2298 */    MCD::OPC_ExtractField, 11, 5,  // Inst{15-11} ...
/* 2301 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 2313
/* 2305 */    MCD::OPC_CheckPredicate, 26, 227, 1, // Skip to: 2792
/* 2309 */    MCD::OPC_Decode, 187, 13, 124, // Opcode: FNEG_S_MMR6
/* 2313 */    MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 2325
/* 2317 */    MCD::OPC_CheckPredicate, 26, 215, 1, // Skip to: 2792
/* 2321 */    MCD::OPC_Decode, 160, 10, 124, // Opcode: CVT_S_W_MMR6
/* 2325 */    MCD::OPC_FilterValue, 10, 8, 0, // Skip to: 2337
/* 2329 */    MCD::OPC_CheckPredicate, 23, 203, 1, // Skip to: 2792
/* 2333 */    MCD::OPC_Decode, 140, 10, 122, // Opcode: CVT_D_L_MMR6
/* 2337 */    MCD::OPC_FilterValue, 11, 195, 1, // Skip to: 2792
/* 2341 */    MCD::OPC_CheckPredicate, 23, 191, 1, // Skip to: 2792
/* 2345 */    MCD::OPC_Decode, 155, 10, 121, // Opcode: CVT_S_L_MMR6
/* 2349 */    MCD::OPC_FilterValue, 133, 7, 9, 0, // Skip to: 2363
/* 2354 */    MCD::OPC_CheckPredicate, 26, 178, 1, // Skip to: 2792
/* 2358 */    MCD::OPC_Decode, 203, 9, 165, 1, // Opcode: CMP_SLE_S_MMR6
/* 2363 */    MCD::OPC_FilterValue, 149, 7, 9, 0, // Skip to: 2377
/* 2368 */    MCD::OPC_CheckPredicate, 26, 164, 1, // Skip to: 2792
/* 2372 */    MCD::OPC_Decode, 201, 9, 166, 1, // Opcode: CMP_SLE_D_MMR6
/* 2377 */    MCD::OPC_FilterValue, 184, 7, 9, 0, // Skip to: 2391
/* 2382 */    MCD::OPC_CheckPredicate, 26, 150, 1, // Skip to: 2792
/* 2386 */    MCD::OPC_Decode, 208, 15, 172, 1, // Opcode: MADDF_D_MMR6
/* 2391 */    MCD::OPC_FilterValue, 197, 7, 9, 0, // Skip to: 2405
/* 2396 */    MCD::OPC_CheckPredicate, 26, 136, 1, // Skip to: 2792
/* 2400 */    MCD::OPC_Decode, 215, 9, 165, 1, // Opcode: CMP_SULE_S_MMR6
/* 2405 */    MCD::OPC_FilterValue, 213, 7, 9, 0, // Skip to: 2419
/* 2410 */    MCD::OPC_CheckPredicate, 26, 122, 1, // Skip to: 2792
/* 2414 */    MCD::OPC_Decode, 213, 9, 166, 1, // Opcode: CMP_SULE_D_MMR6
/* 2419 */    MCD::OPC_FilterValue, 248, 7, 112, 1, // Skip to: 2792
/* 2424 */    MCD::OPC_CheckPredicate, 26, 108, 1, // Skip to: 2792
/* 2428 */    MCD::OPC_Decode, 131, 17, 172, 1, // Opcode: MSUBF_D_MMR6
/* 2433 */    MCD::OPC_FilterValue, 24, 53, 0, // Skip to: 2490
/* 2437 */    MCD::OPC_ExtractField, 12, 4,  // Inst{15-12} ...
/* 2440 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 2452
/* 2444 */    MCD::OPC_CheckPredicate, 24, 88, 1, // Skip to: 2792
/* 2448 */    MCD::OPC_Decode, 224, 18, 100, // Opcode: PREF_MMR6
/* 2452 */    MCD::OPC_FilterValue, 3, 15, 0, // Skip to: 2471
/* 2456 */    MCD::OPC_CheckPredicate, 24, 76, 1, // Skip to: 2792
/* 2460 */    MCD::OPC_CheckField, 9, 3, 0, 70, 1, // Skip to: 2792
/* 2466 */    MCD::OPC_Decode, 142, 15, 134, 1, // Opcode: LL_MMR6
/* 2471 */    MCD::OPC_FilterValue, 11, 61, 1, // Skip to: 2792
/* 2475 */    MCD::OPC_CheckPredicate, 24, 57, 1, // Skip to: 2792
/* 2479 */    MCD::OPC_CheckField, 9, 3, 0, 51, 1, // Skip to: 2792
/* 2485 */    MCD::OPC_Decode, 178, 19, 134, 1, // Opcode: SC_MMR6
/* 2490 */    MCD::OPC_FilterValue, 28, 8, 0, // Skip to: 2502
/* 2494 */    MCD::OPC_CheckPredicate, 24, 38, 1, // Skip to: 2792
/* 2498 */    MCD::OPC_Decode, 207, 22, 108, // Opcode: XORI_MMR6
/* 2502 */    MCD::OPC_FilterValue, 29, 24, 0, // Skip to: 2530
/* 2506 */    MCD::OPC_CheckPredicate, 24, 11, 0, // Skip to: 2521
/* 2510 */    MCD::OPC_CheckField, 16, 5, 0, 5, 0, // Skip to: 2521
/* 2516 */    MCD::OPC_Decode, 178, 7, 173, 1, // Opcode: BEQZALC_MMR6
/* 2521 */    MCD::OPC_CheckPredicate, 24, 11, 1, // Skip to: 2792
/* 2525 */    MCD::OPC_Decode, 174, 7, 173, 1, // Opcode: BEQC_MMR6
/* 2530 */    MCD::OPC_FilterValue, 30, 62, 0, // Skip to: 2596
/* 2534 */    MCD::OPC_ExtractField, 19, 2,  // Inst{20-19} ...
/* 2537 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 2550
/* 2541 */    MCD::OPC_CheckPredicate, 24, 247, 0, // Skip to: 2792
/* 2545 */    MCD::OPC_Decode, 133, 6, 174, 1, // Opcode: ADDIUPC_MMR6
/* 2550 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 2563
/* 2554 */    MCD::OPC_CheckPredicate, 24, 234, 0, // Skip to: 2792
/* 2558 */    MCD::OPC_Decode, 177, 15, 174, 1, // Opcode: LWPC_MMR6
/* 2563 */    MCD::OPC_FilterValue, 3, 225, 0, // Skip to: 2792
/* 2567 */    MCD::OPC_ExtractField, 16, 3,  // Inst{18-16} ...
/* 2570 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 2583
/* 2574 */    MCD::OPC_CheckPredicate, 24, 214, 0, // Skip to: 2792
/* 2578 */    MCD::OPC_Decode, 235, 6, 175, 1, // Opcode: AUIPC_MMR6
/* 2583 */    MCD::OPC_FilterValue, 7, 205, 0, // Skip to: 2792
/* 2587 */    MCD::OPC_CheckPredicate, 24, 201, 0, // Skip to: 2792
/* 2591 */    MCD::OPC_Decode, 208, 6, 175, 1, // Opcode: ALUIPC_MMR6
/* 2596 */    MCD::OPC_FilterValue, 31, 24, 0, // Skip to: 2624
/* 2600 */    MCD::OPC_CheckPredicate, 24, 11, 0, // Skip to: 2615
/* 2604 */    MCD::OPC_CheckField, 16, 5, 0, 5, 0, // Skip to: 2615
/* 2610 */    MCD::OPC_Decode, 153, 8, 176, 1, // Opcode: BNEZALC_MMR6
/* 2615 */    MCD::OPC_CheckPredicate, 24, 173, 0, // Skip to: 2792
/* 2619 */    MCD::OPC_Decode, 141, 8, 176, 1, // Opcode: BNEC_MMR6
/* 2624 */    MCD::OPC_FilterValue, 32, 23, 0, // Skip to: 2651
/* 2628 */    MCD::OPC_CheckPredicate, 24, 10, 0, // Skip to: 2642
/* 2632 */    MCD::OPC_CheckField, 21, 5, 0, 4, 0, // Skip to: 2642
/* 2638 */    MCD::OPC_Decode, 183, 14, 103, // Opcode: JIALC_MMR6
/* 2642 */    MCD::OPC_CheckPredicate, 24, 146, 0, // Skip to: 2792
/* 2646 */    MCD::OPC_Decode, 183, 7, 177, 1, // Opcode: BEQZC_MMR6
/* 2651 */    MCD::OPC_FilterValue, 37, 9, 0, // Skip to: 2664
/* 2655 */    MCD::OPC_CheckPredicate, 24, 133, 0, // Skip to: 2792
/* 2659 */    MCD::OPC_Decode, 169, 7, 178, 1, // Opcode: BC_MMR6
/* 2664 */    MCD::OPC_FilterValue, 40, 23, 0, // Skip to: 2691
/* 2668 */    MCD::OPC_CheckPredicate, 24, 10, 0, // Skip to: 2682
/* 2672 */    MCD::OPC_CheckField, 21, 5, 0, 4, 0, // Skip to: 2682
/* 2678 */    MCD::OPC_Decode, 186, 14, 103, // Opcode: JIC_MMR6
/* 2682 */    MCD::OPC_CheckPredicate, 24, 106, 0, // Skip to: 2792
/* 2686 */    MCD::OPC_Decode, 158, 8, 177, 1, // Opcode: BNEZC_MMR6
/* 2691 */    MCD::OPC_FilterValue, 45, 9, 0, // Skip to: 2704
/* 2695 */    MCD::OPC_CheckPredicate, 24, 93, 0, // Skip to: 2792
/* 2699 */    MCD::OPC_Decode, 138, 7, 178, 1, // Opcode: BALC_MMR6
/* 2704 */    MCD::OPC_FilterValue, 48, 9, 0, // Skip to: 2717
/* 2708 */    MCD::OPC_CheckPredicate, 24, 80, 0, // Skip to: 2792
/* 2712 */    MCD::OPC_Decode, 190, 7, 179, 1, // Opcode: BGEUC_MMR6
/* 2717 */    MCD::OPC_FilterValue, 52, 8, 0, // Skip to: 2729
/* 2721 */    MCD::OPC_CheckPredicate, 24, 67, 0, // Skip to: 2792
/* 2725 */    MCD::OPC_Decode, 216, 6, 108, // Opcode: ANDI_MMR6
/* 2729 */    MCD::OPC_FilterValue, 53, 9, 0, // Skip to: 2742
/* 2733 */    MCD::OPC_CheckPredicate, 24, 55, 0, // Skip to: 2792
/* 2737 */    MCD::OPC_Decode, 244, 7, 180, 1, // Opcode: BLTC_MMR6
/* 2742 */    MCD::OPC_FilterValue, 56, 9, 0, // Skip to: 2755
/* 2746 */    MCD::OPC_CheckPredicate, 24, 42, 0, // Skip to: 2792
/* 2750 */    MCD::OPC_Decode, 247, 7, 181, 1, // Opcode: BLTUC_MMR6
/* 2755 */    MCD::OPC_FilterValue, 61, 9, 0, // Skip to: 2768
/* 2759 */    MCD::OPC_CheckPredicate, 24, 29, 0, // Skip to: 2792
/* 2763 */    MCD::OPC_Decode, 187, 7, 182, 1, // Opcode: BGEC_MMR6
/* 2768 */    MCD::OPC_FilterValue, 62, 8, 0, // Skip to: 2780
/* 2772 */    MCD::OPC_CheckPredicate, 24, 16, 0, // Skip to: 2792
/* 2776 */    MCD::OPC_Decode, 223, 21, 98, // Opcode: SW_MMR6
/* 2780 */    MCD::OPC_FilterValue, 63, 8, 0, // Skip to: 2792
/* 2784 */    MCD::OPC_CheckPredicate, 24, 4, 0, // Skip to: 2792
/* 2788 */    MCD::OPC_Decode, 193, 15, 98, // Opcode: LW_MMR6
/* 2792 */    MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableMicroMipsR6_Ambiguous32[] = {
/* 0 */       MCD::OPC_ExtractField, 26, 6,  // Inst{31-26} ...
/* 3 */       MCD::OPC_FilterValue, 29, 9, 0, // Skip to: 16
/* 7 */       MCD::OPC_CheckPredicate, 24, 74, 0, // Skip to: 85
/* 11 */      MCD::OPC_Decode, 168, 8, 173, 1, // Opcode: BOVC_MMR6
/* 16 */      MCD::OPC_FilterValue, 31, 9, 0, // Skip to: 29
/* 20 */      MCD::OPC_CheckPredicate, 24, 61, 0, // Skip to: 85
/* 24 */      MCD::OPC_Decode, 161, 8, 176, 1, // Opcode: BNVC_MMR6
/* 29 */      MCD::OPC_FilterValue, 48, 24, 0, // Skip to: 57
/* 33 */      MCD::OPC_CheckPredicate, 24, 11, 0, // Skip to: 48
/* 37 */      MCD::OPC_CheckField, 16, 5, 0, 5, 0, // Skip to: 48
/* 43 */      MCD::OPC_Decode, 236, 7, 179, 1, // Opcode: BLEZALC_MMR6
/* 48 */      MCD::OPC_CheckPredicate, 24, 33, 0, // Skip to: 85
/* 52 */      MCD::OPC_Decode, 195, 7, 179, 1, // Opcode: BGEZALC_MMR6
/* 57 */      MCD::OPC_FilterValue, 56, 24, 0, // Skip to: 85
/* 61 */      MCD::OPC_CheckPredicate, 24, 11, 0, // Skip to: 76
/* 65 */      MCD::OPC_CheckField, 16, 5, 0, 5, 0, // Skip to: 76
/* 71 */      MCD::OPC_Decode, 207, 7, 181, 1, // Opcode: BGTZALC_MMR6
/* 76 */      MCD::OPC_CheckPredicate, 24, 5, 0, // Skip to: 85
/* 80 */      MCD::OPC_Decode, 252, 7, 181, 1, // Opcode: BLTZALC_MMR6
/* 85 */      MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableMips32[] = {
/* 0 */       MCD::OPC_ExtractField, 26, 6,  // Inst{31-26} ...
/* 3 */       MCD::OPC_FilterValue, 0, 206, 3, // Skip to: 981
/* 7 */       MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 10 */      MCD::OPC_FilterValue, 0, 55, 0, // Skip to: 69
/* 14 */      MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 17 */      MCD::OPC_FilterValue, 0, 195, 57, // Skip to: 14808
/* 21 */      MCD::OPC_ExtractField, 6, 15,  // Inst{20-6} ...
/* 24 */      MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 36
/* 28 */      MCD::OPC_CheckPredicate, 27, 28, 0, // Skip to: 60
/* 32 */      MCD::OPC_Decode, 250, 20, 10, // Opcode: SSNOP
/* 36 */      MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 48
/* 40 */      MCD::OPC_CheckPredicate, 27, 16, 0, // Skip to: 60
/* 44 */      MCD::OPC_Decode, 148, 12, 10, // Opcode: EHB
/* 48 */      MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 60
/* 52 */      MCD::OPC_CheckPredicate, 28, 4, 0, // Skip to: 60
/* 56 */      MCD::OPC_Decode, 163, 18, 10, // Opcode: PAUSE
/* 60 */      MCD::OPC_CheckPredicate, 27, 152, 57, // Skip to: 14808
/* 64 */      MCD::OPC_Decode, 169, 20, 183, 1, // Opcode: SLL
/* 69 */      MCD::OPC_FilterValue, 1, 41, 0, // Skip to: 114
/* 73 */      MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 76 */      MCD::OPC_FilterValue, 0, 15, 0, // Skip to: 95
/* 80 */      MCD::OPC_CheckPredicate, 29, 132, 57, // Skip to: 14808
/* 84 */      MCD::OPC_CheckField, 6, 5, 0, 126, 57, // Skip to: 14808
/* 90 */      MCD::OPC_Decode, 220, 16, 184, 1, // Opcode: MOVF_I
/* 95 */      MCD::OPC_FilterValue, 1, 117, 57, // Skip to: 14808
/* 99 */      MCD::OPC_CheckPredicate, 29, 113, 57, // Skip to: 14808
/* 103 */     MCD::OPC_CheckField, 6, 5, 0, 107, 57, // Skip to: 14808
/* 109 */     MCD::OPC_Decode, 240, 16, 184, 1, // Opcode: MOVT_I
/* 114 */     MCD::OPC_FilterValue, 2, 29, 0, // Skip to: 147
/* 118 */     MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 121 */     MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 134
/* 125 */     MCD::OPC_CheckPredicate, 27, 87, 57, // Skip to: 14808
/* 129 */     MCD::OPC_Decode, 228, 20, 183, 1, // Opcode: SRL
/* 134 */     MCD::OPC_FilterValue, 1, 78, 57, // Skip to: 14808
/* 138 */     MCD::OPC_CheckPredicate, 28, 74, 57, // Skip to: 14808
/* 142 */     MCD::OPC_Decode, 129, 19, 183, 1, // Opcode: ROTR
/* 147 */     MCD::OPC_FilterValue, 3, 15, 0, // Skip to: 166
/* 151 */     MCD::OPC_CheckPredicate, 27, 61, 57, // Skip to: 14808
/* 155 */     MCD::OPC_CheckField, 21, 5, 0, 55, 57, // Skip to: 14808
/* 161 */     MCD::OPC_Decode, 208, 20, 183, 1, // Opcode: SRA
/* 166 */     MCD::OPC_FilterValue, 4, 14, 0, // Skip to: 184
/* 170 */     MCD::OPC_CheckPredicate, 27, 42, 57, // Skip to: 14808
/* 174 */     MCD::OPC_CheckField, 6, 5, 0, 36, 57, // Skip to: 14808
/* 180 */     MCD::OPC_Decode, 178, 20, 55, // Opcode: SLLV
/* 184 */     MCD::OPC_FilterValue, 5, 15, 0, // Skip to: 203
/* 188 */     MCD::OPC_CheckPredicate, 30, 24, 57, // Skip to: 14808
/* 192 */     MCD::OPC_CheckField, 8, 3, 0, 18, 57, // Skip to: 14808
/* 198 */     MCD::OPC_Decode, 144, 15, 185, 1, // Opcode: LSA
/* 203 */     MCD::OPC_FilterValue, 6, 27, 0, // Skip to: 234
/* 207 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 210 */     MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 222
/* 214 */     MCD::OPC_CheckPredicate, 27, 254, 56, // Skip to: 14808
/* 218 */     MCD::OPC_Decode, 243, 20, 55, // Opcode: SRLV
/* 222 */     MCD::OPC_FilterValue, 1, 246, 56, // Skip to: 14808
/* 226 */     MCD::OPC_CheckPredicate, 28, 242, 56, // Skip to: 14808
/* 230 */     MCD::OPC_Decode, 130, 19, 55, // Opcode: ROTRV
/* 234 */     MCD::OPC_FilterValue, 7, 14, 0, // Skip to: 252
/* 238 */     MCD::OPC_CheckPredicate, 27, 230, 56, // Skip to: 14808
/* 242 */     MCD::OPC_CheckField, 6, 5, 0, 224, 56, // Skip to: 14808
/* 248 */     MCD::OPC_Decode, 221, 20, 55, // Opcode: SRAV
/* 252 */     MCD::OPC_FilterValue, 8, 29, 0, // Skip to: 285
/* 256 */     MCD::OPC_ExtractField, 6, 15,  // Inst{20-6} ...
/* 259 */     MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 272
/* 263 */     MCD::OPC_CheckPredicate, 31, 205, 56, // Skip to: 14808
/* 267 */     MCD::OPC_Decode, 187, 14, 186, 1, // Opcode: JR
/* 272 */     MCD::OPC_FilterValue, 16, 196, 56, // Skip to: 14808
/* 276 */     MCD::OPC_CheckPredicate, 32, 192, 56, // Skip to: 14808
/* 280 */     MCD::OPC_Decode, 194, 14, 186, 1, // Opcode: JR_HB
/* 285 */     MCD::OPC_FilterValue, 9, 39, 0, // Skip to: 328
/* 289 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 292 */     MCD::OPC_FilterValue, 0, 14, 0, // Skip to: 310
/* 296 */     MCD::OPC_CheckPredicate, 33, 172, 56, // Skip to: 14808
/* 300 */     MCD::OPC_CheckField, 16, 5, 0, 166, 56, // Skip to: 14808
/* 306 */     MCD::OPC_Decode, 166, 14, 25, // Opcode: JALR
/* 310 */     MCD::OPC_FilterValue, 16, 158, 56, // Skip to: 14808
/* 314 */     MCD::OPC_CheckPredicate, 34, 154, 56, // Skip to: 14808
/* 318 */     MCD::OPC_CheckField, 16, 5, 0, 148, 56, // Skip to: 14808
/* 324 */     MCD::OPC_Decode, 174, 14, 25, // Opcode: JALR_HB
/* 328 */     MCD::OPC_FilterValue, 10, 15, 0, // Skip to: 347
/* 332 */     MCD::OPC_CheckPredicate, 35, 136, 56, // Skip to: 14808
/* 336 */     MCD::OPC_CheckField, 6, 5, 0, 130, 56, // Skip to: 14808
/* 342 */     MCD::OPC_Decode, 252, 16, 187, 1, // Opcode: MOVZ_I_I
/* 347 */     MCD::OPC_FilterValue, 11, 15, 0, // Skip to: 366
/* 351 */     MCD::OPC_CheckPredicate, 35, 117, 56, // Skip to: 14808
/* 355 */     MCD::OPC_CheckField, 6, 5, 0, 111, 56, // Skip to: 14808
/* 361 */     MCD::OPC_Decode, 232, 16, 187, 1, // Opcode: MOVN_I_I
/* 366 */     MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 379
/* 370 */     MCD::OPC_CheckPredicate, 27, 98, 56, // Skip to: 14808
/* 374 */     MCD::OPC_Decode, 230, 21, 188, 1, // Opcode: SYSCALL
/* 379 */     MCD::OPC_FilterValue, 13, 8, 0, // Skip to: 391
/* 383 */     MCD::OPC_CheckPredicate, 27, 85, 56, // Skip to: 14808
/* 387 */     MCD::OPC_Decode, 172, 8, 56, // Opcode: BREAK
/* 391 */     MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 404
/* 395 */     MCD::OPC_CheckPredicate, 36, 73, 56, // Skip to: 14808
/* 399 */     MCD::OPC_Decode, 224, 21, 189, 1, // Opcode: SYNC
/* 404 */     MCD::OPC_FilterValue, 16, 45, 0, // Skip to: 453
/* 408 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 411 */     MCD::OPC_FilterValue, 0, 57, 56, // Skip to: 14808
/* 415 */     MCD::OPC_ExtractField, 16, 5,  // Inst{20-16} ...
/* 418 */     MCD::OPC_FilterValue, 0, 50, 56, // Skip to: 14808
/* 422 */     MCD::OPC_ExtractField, 23, 3,  // Inst{25-23} ...
/* 425 */     MCD::OPC_FilterValue, 0, 43, 56, // Skip to: 14808
/* 429 */     MCD::OPC_CheckPredicate, 31, 11, 0, // Skip to: 444
/* 433 */     MCD::OPC_CheckField, 21, 2, 0, 5, 0, // Skip to: 444
/* 439 */     MCD::OPC_Decode, 157, 16, 190, 1, // Opcode: MFHI
/* 444 */     MCD::OPC_CheckPredicate, 37, 24, 56, // Skip to: 14808
/* 448 */     MCD::OPC_Decode, 160, 16, 191, 1, // Opcode: MFHI_DSP
/* 453 */     MCD::OPC_FilterValue, 17, 38, 0, // Skip to: 495
/* 457 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 460 */     MCD::OPC_FilterValue, 0, 8, 56, // Skip to: 14808
/* 464 */     MCD::OPC_ExtractField, 13, 8,  // Inst{20-13} ...
/* 467 */     MCD::OPC_FilterValue, 0, 1, 56, // Skip to: 14808
/* 471 */     MCD::OPC_CheckPredicate, 31, 11, 0, // Skip to: 486
/* 475 */     MCD::OPC_CheckField, 11, 2, 0, 5, 0, // Skip to: 486
/* 481 */     MCD::OPC_Decode, 173, 17, 186, 1, // Opcode: MTHI
/* 486 */     MCD::OPC_CheckPredicate, 37, 238, 55, // Skip to: 14808
/* 490 */     MCD::OPC_Decode, 175, 17, 192, 1, // Opcode: MTHI_DSP
/* 495 */     MCD::OPC_FilterValue, 18, 45, 0, // Skip to: 544
/* 499 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 502 */     MCD::OPC_FilterValue, 0, 222, 55, // Skip to: 14808
/* 506 */     MCD::OPC_ExtractField, 16, 5,  // Inst{20-16} ...
/* 509 */     MCD::OPC_FilterValue, 0, 215, 55, // Skip to: 14808
/* 513 */     MCD::OPC_ExtractField, 23, 3,  // Inst{25-23} ...
/* 516 */     MCD::OPC_FilterValue, 0, 208, 55, // Skip to: 14808
/* 520 */     MCD::OPC_CheckPredicate, 31, 11, 0, // Skip to: 535
/* 524 */     MCD::OPC_CheckField, 21, 2, 0, 5, 0, // Skip to: 535
/* 530 */     MCD::OPC_Decode, 163, 16, 190, 1, // Opcode: MFLO
/* 535 */     MCD::OPC_CheckPredicate, 37, 189, 55, // Skip to: 14808
/* 539 */     MCD::OPC_Decode, 166, 16, 191, 1, // Opcode: MFLO_DSP
/* 544 */     MCD::OPC_FilterValue, 19, 38, 0, // Skip to: 586
/* 548 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 551 */     MCD::OPC_FilterValue, 0, 173, 55, // Skip to: 14808
/* 555 */     MCD::OPC_ExtractField, 13, 8,  // Inst{20-13} ...
/* 558 */     MCD::OPC_FilterValue, 0, 166, 55, // Skip to: 14808
/* 562 */     MCD::OPC_CheckPredicate, 31, 11, 0, // Skip to: 577
/* 566 */     MCD::OPC_CheckField, 11, 2, 0, 5, 0, // Skip to: 577
/* 572 */     MCD::OPC_Decode, 180, 17, 186, 1, // Opcode: MTLO
/* 577 */     MCD::OPC_CheckPredicate, 37, 147, 55, // Skip to: 14808
/* 581 */     MCD::OPC_Decode, 182, 17, 193, 1, // Opcode: MTLO_DSP
/* 586 */     MCD::OPC_FilterValue, 21, 15, 0, // Skip to: 605
/* 590 */     MCD::OPC_CheckPredicate, 38, 134, 55, // Skip to: 14808
/* 594 */     MCD::OPC_CheckField, 8, 3, 0, 128, 55, // Skip to: 14808
/* 600 */     MCD::OPC_Decode, 179, 11, 194, 1, // Opcode: DLSA
/* 605 */     MCD::OPC_FilterValue, 24, 37, 0, // Skip to: 646
/* 609 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 612 */     MCD::OPC_FilterValue, 0, 112, 55, // Skip to: 14808
/* 616 */     MCD::OPC_ExtractField, 13, 3,  // Inst{15-13} ...
/* 619 */     MCD::OPC_FilterValue, 0, 105, 55, // Skip to: 14808
/* 623 */     MCD::OPC_CheckPredicate, 31, 10, 0, // Skip to: 637
/* 627 */     MCD::OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 637
/* 633 */     MCD::OPC_Decode, 220, 17, 80, // Opcode: MULT
/* 637 */     MCD::OPC_CheckPredicate, 37, 87, 55, // Skip to: 14808
/* 641 */     MCD::OPC_Decode, 223, 17, 195, 1, // Opcode: MULT_DSP
/* 646 */     MCD::OPC_FilterValue, 25, 37, 0, // Skip to: 687
/* 650 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 653 */     MCD::OPC_FilterValue, 0, 71, 55, // Skip to: 14808
/* 657 */     MCD::OPC_ExtractField, 13, 3,  // Inst{15-13} ...
/* 660 */     MCD::OPC_FilterValue, 0, 64, 55, // Skip to: 14808
/* 664 */     MCD::OPC_CheckPredicate, 31, 10, 0, // Skip to: 678
/* 668 */     MCD::OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 678
/* 674 */     MCD::OPC_Decode, 226, 17, 80, // Opcode: MULTu
/* 678 */     MCD::OPC_CheckPredicate, 37, 46, 55, // Skip to: 14808
/* 682 */     MCD::OPC_Decode, 221, 17, 195, 1, // Opcode: MULTU_DSP
/* 687 */     MCD::OPC_FilterValue, 26, 14, 0, // Skip to: 705
/* 691 */     MCD::OPC_CheckPredicate, 31, 33, 55, // Skip to: 14808
/* 695 */     MCD::OPC_CheckField, 6, 10, 0, 27, 55, // Skip to: 14808
/* 701 */     MCD::OPC_Decode, 196, 19, 80, // Opcode: SDIV
/* 705 */     MCD::OPC_FilterValue, 27, 14, 0, // Skip to: 723
/* 709 */     MCD::OPC_CheckPredicate, 31, 15, 55, // Skip to: 14808
/* 713 */     MCD::OPC_CheckField, 6, 10, 0, 9, 55, // Skip to: 14808
/* 719 */     MCD::OPC_Decode, 184, 22, 80, // Opcode: UDIV
/* 723 */     MCD::OPC_FilterValue, 32, 14, 0, // Skip to: 741
/* 727 */     MCD::OPC_CheckPredicate, 27, 253, 54, // Skip to: 14808
/* 731 */     MCD::OPC_CheckField, 6, 5, 0, 247, 54, // Skip to: 14808
/* 737 */     MCD::OPC_Decode, 130, 6, 61, // Opcode: ADD
/* 741 */     MCD::OPC_FilterValue, 33, 14, 0, // Skip to: 759
/* 745 */     MCD::OPC_CheckPredicate, 27, 235, 54, // Skip to: 14808
/* 749 */     MCD::OPC_CheckField, 6, 5, 0, 229, 54, // Skip to: 14808
/* 755 */     MCD::OPC_Decode, 203, 6, 61, // Opcode: ADDu
/* 759 */     MCD::OPC_FilterValue, 34, 14, 0, // Skip to: 777
/* 763 */     MCD::OPC_CheckPredicate, 27, 217, 54, // Skip to: 14808
/* 767 */     MCD::OPC_CheckField, 6, 5, 0, 211, 54, // Skip to: 14808
/* 773 */     MCD::OPC_Decode, 129, 21, 61, // Opcode: SUB
/* 777 */     MCD::OPC_FilterValue, 35, 14, 0, // Skip to: 795
/* 781 */     MCD::OPC_CheckPredicate, 27, 199, 54, // Skip to: 14808
/* 785 */     MCD::OPC_CheckField, 6, 5, 0, 193, 54, // Skip to: 14808
/* 791 */     MCD::OPC_Decode, 185, 21, 61, // Opcode: SUBu
/* 795 */     MCD::OPC_FilterValue, 36, 14, 0, // Skip to: 813
/* 799 */     MCD::OPC_CheckPredicate, 27, 181, 54, // Skip to: 14808
/* 803 */     MCD::OPC_CheckField, 6, 5, 0, 175, 54, // Skip to: 14808
/* 809 */     MCD::OPC_Decode, 209, 6, 61, // Opcode: AND
/* 813 */     MCD::OPC_FilterValue, 37, 14, 0, // Skip to: 831
/* 817 */     MCD::OPC_CheckPredicate, 27, 163, 54, // Skip to: 14808
/* 821 */     MCD::OPC_CheckField, 6, 5, 0, 157, 54, // Skip to: 14808
/* 827 */     MCD::OPC_Decode, 148, 18, 61, // Opcode: OR
/* 831 */     MCD::OPC_FilterValue, 38, 14, 0, // Skip to: 849
/* 835 */     MCD::OPC_CheckPredicate, 27, 145, 54, // Skip to: 14808
/* 839 */     MCD::OPC_CheckField, 6, 5, 0, 139, 54, // Skip to: 14808
/* 845 */     MCD::OPC_Decode, 202, 22, 61, // Opcode: XOR
/* 849 */     MCD::OPC_FilterValue, 39, 14, 0, // Skip to: 867
/* 853 */     MCD::OPC_CheckPredicate, 27, 127, 54, // Skip to: 14808
/* 857 */     MCD::OPC_CheckField, 6, 5, 0, 121, 54, // Skip to: 14808
/* 863 */     MCD::OPC_Decode, 138, 18, 61, // Opcode: NOR
/* 867 */     MCD::OPC_FilterValue, 42, 14, 0, // Skip to: 885
/* 871 */     MCD::OPC_CheckPredicate, 27, 109, 54, // Skip to: 14808
/* 875 */     MCD::OPC_CheckField, 6, 5, 0, 103, 54, // Skip to: 14808
/* 881 */     MCD::OPC_Decode, 186, 20, 61, // Opcode: SLT
/* 885 */     MCD::OPC_FilterValue, 43, 14, 0, // Skip to: 903
/* 889 */     MCD::OPC_CheckPredicate, 27, 91, 54, // Skip to: 14808
/* 893 */     MCD::OPC_CheckField, 6, 5, 0, 85, 54, // Skip to: 14808
/* 899 */     MCD::OPC_Decode, 195, 20, 61, // Opcode: SLTu
/* 903 */     MCD::OPC_FilterValue, 48, 9, 0, // Skip to: 916
/* 907 */     MCD::OPC_CheckPredicate, 36, 73, 54, // Skip to: 14808
/* 911 */     MCD::OPC_Decode, 129, 22, 196, 1, // Opcode: TGE
/* 916 */     MCD::OPC_FilterValue, 49, 9, 0, // Skip to: 929
/* 920 */     MCD::OPC_CheckPredicate, 36, 60, 54, // Skip to: 14808
/* 924 */     MCD::OPC_Decode, 134, 22, 196, 1, // Opcode: TGEU
/* 929 */     MCD::OPC_FilterValue, 50, 9, 0, // Skip to: 942
/* 933 */     MCD::OPC_CheckPredicate, 36, 47, 54, // Skip to: 14808
/* 937 */     MCD::OPC_Decode, 161, 22, 196, 1, // Opcode: TLT
/* 942 */     MCD::OPC_FilterValue, 51, 9, 0, // Skip to: 955
/* 946 */     MCD::OPC_CheckPredicate, 36, 34, 54, // Skip to: 14808
/* 950 */     MCD::OPC_Decode, 165, 22, 196, 1, // Opcode: TLTU
/* 955 */     MCD::OPC_FilterValue, 52, 9, 0, // Skip to: 968
/* 959 */     MCD::OPC_CheckPredicate, 36, 21, 54, // Skip to: 14808
/* 963 */     MCD::OPC_Decode, 253, 21, 196, 1, // Opcode: TEQ
/* 968 */     MCD::OPC_FilterValue, 54, 12, 54, // Skip to: 14808
/* 972 */     MCD::OPC_CheckPredicate, 36, 8, 54, // Skip to: 14808
/* 976 */     MCD::OPC_Decode, 168, 22, 196, 1, // Opcode: TNE
/* 981 */     MCD::OPC_FilterValue, 1, 217, 0, // Skip to: 1202
/* 985 */     MCD::OPC_ExtractField, 16, 5,  // Inst{20-16} ...
/* 988 */     MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 1001
/* 992 */     MCD::OPC_CheckPredicate, 27, 244, 53, // Skip to: 14808
/* 996 */     MCD::OPC_Decode, 248, 7, 197, 1, // Opcode: BLTZ
/* 1001 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 1014
/* 1005 */    MCD::OPC_CheckPredicate, 27, 231, 53, // Skip to: 14808
/* 1009 */    MCD::OPC_Decode, 191, 7, 197, 1, // Opcode: BGEZ
/* 1014 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 1027
/* 1018 */    MCD::OPC_CheckPredicate, 39, 218, 53, // Skip to: 14808
/* 1022 */    MCD::OPC_Decode, 131, 8, 197, 1, // Opcode: BLTZL
/* 1027 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 1040
/* 1031 */    MCD::OPC_CheckPredicate, 39, 205, 53, // Skip to: 14808
/* 1035 */    MCD::OPC_Decode, 202, 7, 197, 1, // Opcode: BGEZL
/* 1040 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 1053
/* 1044 */    MCD::OPC_CheckPredicate, 39, 192, 53, // Skip to: 14808
/* 1048 */    MCD::OPC_Decode, 130, 22, 175, 1, // Opcode: TGEI
/* 1053 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 1066
/* 1057 */    MCD::OPC_CheckPredicate, 39, 179, 53, // Skip to: 14808
/* 1061 */    MCD::OPC_Decode, 131, 22, 175, 1, // Opcode: TGEIU
/* 1066 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 1079
/* 1070 */    MCD::OPC_CheckPredicate, 39, 166, 53, // Skip to: 14808
/* 1074 */    MCD::OPC_Decode, 162, 22, 175, 1, // Opcode: TLTI
/* 1079 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 1092
/* 1083 */    MCD::OPC_CheckPredicate, 39, 153, 53, // Skip to: 14808
/* 1087 */    MCD::OPC_Decode, 183, 22, 175, 1, // Opcode: TTLTIU
/* 1092 */    MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 1105
/* 1096 */    MCD::OPC_CheckPredicate, 39, 140, 53, // Skip to: 14808
/* 1100 */    MCD::OPC_Decode, 254, 21, 175, 1, // Opcode: TEQI
/* 1105 */    MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 1118
/* 1109 */    MCD::OPC_CheckPredicate, 39, 127, 53, // Skip to: 14808
/* 1113 */    MCD::OPC_Decode, 169, 22, 175, 1, // Opcode: TNEI
/* 1118 */    MCD::OPC_FilterValue, 16, 9, 0, // Skip to: 1131
/* 1122 */    MCD::OPC_CheckPredicate, 31, 114, 53, // Skip to: 14808
/* 1126 */    MCD::OPC_Decode, 250, 7, 197, 1, // Opcode: BLTZAL
/* 1131 */    MCD::OPC_FilterValue, 17, 9, 0, // Skip to: 1144
/* 1135 */    MCD::OPC_CheckPredicate, 31, 101, 53, // Skip to: 14808
/* 1139 */    MCD::OPC_Decode, 193, 7, 197, 1, // Opcode: BGEZAL
/* 1144 */    MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 1157
/* 1148 */    MCD::OPC_CheckPredicate, 39, 88, 53, // Skip to: 14808
/* 1152 */    MCD::OPC_Decode, 253, 7, 197, 1, // Opcode: BLTZALL
/* 1157 */    MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 1170
/* 1161 */    MCD::OPC_CheckPredicate, 39, 75, 53, // Skip to: 14808
/* 1165 */    MCD::OPC_Decode, 196, 7, 197, 1, // Opcode: BGEZALL
/* 1170 */    MCD::OPC_FilterValue, 28, 15, 0, // Skip to: 1189
/* 1174 */    MCD::OPC_CheckPredicate, 40, 62, 53, // Skip to: 14808
/* 1178 */    MCD::OPC_CheckField, 21, 5, 0, 56, 53, // Skip to: 14808
/* 1184 */    MCD::OPC_Decode, 169, 8, 198, 1, // Opcode: BPOSGE32
/* 1189 */    MCD::OPC_FilterValue, 31, 47, 53, // Skip to: 14808
/* 1193 */    MCD::OPC_CheckPredicate, 28, 43, 53, // Skip to: 14808
/* 1197 */    MCD::OPC_Decode, 225, 21, 199, 1, // Opcode: SYNCI
/* 1202 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 1215
/* 1206 */    MCD::OPC_CheckPredicate, 27, 30, 53, // Skip to: 14808
/* 1210 */    MCD::OPC_Decode, 164, 14, 200, 1, // Opcode: J
/* 1215 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 1228
/* 1219 */    MCD::OPC_CheckPredicate, 27, 17, 53, // Skip to: 14808
/* 1223 */    MCD::OPC_Decode, 165, 14, 200, 1, // Opcode: JAL
/* 1228 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 1241
/* 1232 */    MCD::OPC_CheckPredicate, 27, 4, 53, // Skip to: 14808
/* 1236 */    MCD::OPC_Decode, 170, 7, 201, 1, // Opcode: BEQ
/* 1241 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 1254
/* 1245 */    MCD::OPC_CheckPredicate, 27, 247, 52, // Skip to: 14808
/* 1249 */    MCD::OPC_Decode, 137, 8, 201, 1, // Opcode: BNE
/* 1254 */    MCD::OPC_FilterValue, 6, 15, 0, // Skip to: 1273
/* 1258 */    MCD::OPC_CheckPredicate, 27, 234, 52, // Skip to: 14808
/* 1262 */    MCD::OPC_CheckField, 16, 5, 0, 228, 52, // Skip to: 14808
/* 1268 */    MCD::OPC_Decode, 233, 7, 197, 1, // Opcode: BLEZ
/* 1273 */    MCD::OPC_FilterValue, 7, 15, 0, // Skip to: 1292
/* 1277 */    MCD::OPC_CheckPredicate, 27, 215, 52, // Skip to: 14808
/* 1281 */    MCD::OPC_CheckField, 16, 5, 0, 209, 52, // Skip to: 14808
/* 1287 */    MCD::OPC_Decode, 204, 7, 197, 1, // Opcode: BGTZ
/* 1292 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 1305
/* 1296 */    MCD::OPC_CheckPredicate, 31, 196, 52, // Skip to: 14808
/* 1300 */    MCD::OPC_Decode, 199, 6, 202, 1, // Opcode: ADDi
/* 1305 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 1318
/* 1309 */    MCD::OPC_CheckPredicate, 27, 183, 52, // Skip to: 14808
/* 1313 */    MCD::OPC_Decode, 201, 6, 202, 1, // Opcode: ADDiu
/* 1318 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 1331
/* 1322 */    MCD::OPC_CheckPredicate, 27, 170, 52, // Skip to: 14808
/* 1326 */    MCD::OPC_Decode, 189, 20, 202, 1, // Opcode: SLTi
/* 1331 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 1344
/* 1335 */    MCD::OPC_CheckPredicate, 27, 157, 52, // Skip to: 14808
/* 1339 */    MCD::OPC_Decode, 192, 20, 202, 1, // Opcode: SLTiu
/* 1344 */    MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 1357
/* 1348 */    MCD::OPC_CheckPredicate, 27, 144, 52, // Skip to: 14808
/* 1352 */    MCD::OPC_Decode, 220, 6, 203, 1, // Opcode: ANDi
/* 1357 */    MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 1370
/* 1361 */    MCD::OPC_CheckPredicate, 27, 131, 52, // Skip to: 14808
/* 1365 */    MCD::OPC_Decode, 157, 18, 203, 1, // Opcode: ORi
/* 1370 */    MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 1383
/* 1374 */    MCD::OPC_CheckPredicate, 27, 118, 52, // Skip to: 14808
/* 1378 */    MCD::OPC_Decode, 211, 22, 203, 1, // Opcode: XORi
/* 1383 */    MCD::OPC_FilterValue, 15, 14, 0, // Skip to: 1401
/* 1387 */    MCD::OPC_CheckPredicate, 27, 105, 52, // Skip to: 14808
/* 1391 */    MCD::OPC_CheckField, 21, 5, 0, 99, 52, // Skip to: 14808
/* 1397 */    MCD::OPC_Decode, 151, 15, 103, // Opcode: LUi
/* 1401 */    MCD::OPC_FilterValue, 16, 94, 2, // Skip to: 2011
/* 1405 */    MCD::OPC_ExtractField, 3, 1,  // Inst{3} ...
/* 1408 */    MCD::OPC_FilterValue, 0, 129, 1, // Skip to: 1797
/* 1412 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 1415 */    MCD::OPC_FilterValue, 0, 15, 0, // Skip to: 1434
/* 1419 */    MCD::OPC_CheckPredicate, 27, 73, 52, // Skip to: 14808
/* 1423 */    MCD::OPC_CheckField, 4, 7, 0, 67, 52, // Skip to: 14808
/* 1429 */    MCD::OPC_Decode, 139, 16, 204, 1, // Opcode: MFC0
/* 1434 */    MCD::OPC_FilterValue, 3, 55, 0, // Skip to: 1493
/* 1438 */    MCD::OPC_ExtractField, 4, 7,  // Inst{10-4} ...
/* 1441 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 1454
/* 1445 */    MCD::OPC_CheckPredicate, 41, 47, 52, // Skip to: 14808
/* 1449 */    MCD::OPC_Decode, 147, 16, 204, 1, // Opcode: MFGC0
/* 1454 */    MCD::OPC_FilterValue, 32, 9, 0, // Skip to: 1467
/* 1458 */    MCD::OPC_CheckPredicate, 41, 34, 52, // Skip to: 14808
/* 1462 */    MCD::OPC_Decode, 163, 17, 205, 1, // Opcode: MTGC0
/* 1467 */    MCD::OPC_FilterValue, 64, 9, 0, // Skip to: 1480
/* 1471 */    MCD::OPC_CheckPredicate, 41, 21, 52, // Skip to: 14808
/* 1475 */    MCD::OPC_Decode, 155, 16, 204, 1, // Opcode: MFHGC0
/* 1480 */    MCD::OPC_FilterValue, 96, 12, 52, // Skip to: 14808
/* 1484 */    MCD::OPC_CheckPredicate, 41, 8, 52, // Skip to: 14808
/* 1488 */    MCD::OPC_Decode, 171, 17, 205, 1, // Opcode: MTHGC0
/* 1493 */    MCD::OPC_FilterValue, 4, 15, 0, // Skip to: 1512
/* 1497 */    MCD::OPC_CheckPredicate, 27, 251, 51, // Skip to: 14808
/* 1501 */    MCD::OPC_CheckField, 4, 7, 0, 245, 51, // Skip to: 14808
/* 1507 */    MCD::OPC_Decode, 154, 17, 205, 1, // Opcode: MTC0
/* 1512 */    MCD::OPC_FilterValue, 8, 15, 0, // Skip to: 1531
/* 1516 */    MCD::OPC_CheckPredicate, 42, 232, 51, // Skip to: 14808
/* 1520 */    MCD::OPC_CheckField, 6, 5, 0, 226, 51, // Skip to: 14808
/* 1526 */    MCD::OPC_Decode, 169, 16, 206, 1, // Opcode: MFTR
/* 1531 */    MCD::OPC_FilterValue, 11, 115, 0, // Skip to: 1650
/* 1535 */    MCD::OPC_ExtractField, 4, 12,  // Inst{15-4} ...
/* 1538 */    MCD::OPC_FilterValue, 0, 14, 0, // Skip to: 1556
/* 1542 */    MCD::OPC_CheckPredicate, 42, 206, 51, // Skip to: 14808
/* 1546 */    MCD::OPC_CheckField, 0, 3, 1, 200, 51, // Skip to: 14808
/* 1552 */    MCD::OPC_Decode, 144, 12, 92, // Opcode: DVPE
/* 1556 */    MCD::OPC_FilterValue, 2, 14, 0, // Skip to: 1574
/* 1560 */    MCD::OPC_CheckPredicate, 42, 188, 51, // Skip to: 14808
/* 1564 */    MCD::OPC_CheckField, 0, 3, 1, 182, 51, // Skip to: 14808
/* 1570 */    MCD::OPC_Decode, 161, 12, 92, // Opcode: EVPE
/* 1574 */    MCD::OPC_FilterValue, 188, 1, 14, 0, // Skip to: 1593
/* 1579 */    MCD::OPC_CheckPredicate, 42, 169, 51, // Skip to: 14808
/* 1583 */    MCD::OPC_CheckField, 0, 3, 1, 163, 51, // Skip to: 14808
/* 1589 */    MCD::OPC_Decode, 188, 11, 92, // Opcode: DMT
/* 1593 */    MCD::OPC_FilterValue, 190, 1, 14, 0, // Skip to: 1612
/* 1598 */    MCD::OPC_CheckPredicate, 42, 150, 51, // Skip to: 14808
/* 1602 */    MCD::OPC_CheckField, 0, 3, 1, 144, 51, // Skip to: 14808
/* 1608 */    MCD::OPC_Decode, 154, 12, 92, // Opcode: EMT
/* 1612 */    MCD::OPC_FilterValue, 128, 12, 14, 0, // Skip to: 1631
/* 1617 */    MCD::OPC_CheckPredicate, 28, 131, 51, // Skip to: 14808
/* 1621 */    MCD::OPC_CheckField, 0, 3, 0, 125, 51, // Skip to: 14808
/* 1627 */    MCD::OPC_Decode, 161, 11, 92, // Opcode: DI
/* 1631 */    MCD::OPC_FilterValue, 130, 12, 116, 51, // Skip to: 14808
/* 1636 */    MCD::OPC_CheckPredicate, 28, 112, 51, // Skip to: 14808
/* 1640 */    MCD::OPC_CheckField, 0, 3, 0, 106, 51, // Skip to: 14808
/* 1646 */    MCD::OPC_Decode, 151, 12, 92, // Opcode: EI
/* 1650 */    MCD::OPC_FilterValue, 12, 15, 0, // Skip to: 1669
/* 1654 */    MCD::OPC_CheckPredicate, 42, 94, 51, // Skip to: 14808
/* 1658 */    MCD::OPC_CheckField, 6, 5, 0, 88, 51, // Skip to: 14808
/* 1664 */    MCD::OPC_Decode, 191, 17, 206, 1, // Opcode: MTTR
/* 1669 */    MCD::OPC_FilterValue, 16, 79, 51, // Skip to: 14808
/* 1673 */    MCD::OPC_ExtractField, 0, 3,  // Inst{2-0} ...
/* 1676 */    MCD::OPC_FilterValue, 0, 27, 0, // Skip to: 1707
/* 1680 */    MCD::OPC_ExtractField, 4, 17,  // Inst{20-4} ...
/* 1683 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 1695
/* 1687 */    MCD::OPC_CheckPredicate, 41, 61, 51, // Skip to: 14808
/* 1691 */    MCD::OPC_Decode, 141, 22, 10, // Opcode: TLBGP
/* 1695 */    MCD::OPC_FilterValue, 2, 53, 51, // Skip to: 14808
/* 1699 */    MCD::OPC_CheckPredicate, 43, 49, 51, // Skip to: 14808
/* 1703 */    MCD::OPC_Decode, 193, 22, 10, // Opcode: WAIT
/* 1707 */    MCD::OPC_FilterValue, 1, 14, 0, // Skip to: 1725
/* 1711 */    MCD::OPC_CheckPredicate, 27, 37, 51, // Skip to: 14808
/* 1715 */    MCD::OPC_CheckField, 4, 17, 0, 31, 51, // Skip to: 14808
/* 1721 */    MCD::OPC_Decode, 155, 22, 10, // Opcode: TLBR
/* 1725 */    MCD::OPC_FilterValue, 2, 14, 0, // Skip to: 1743
/* 1729 */    MCD::OPC_CheckPredicate, 27, 19, 51, // Skip to: 14808
/* 1733 */    MCD::OPC_CheckField, 4, 17, 0, 13, 51, // Skip to: 14808
/* 1739 */    MCD::OPC_Decode, 157, 22, 10, // Opcode: TLBWI
/* 1743 */    MCD::OPC_FilterValue, 3, 14, 0, // Skip to: 1761
/* 1747 */    MCD::OPC_CheckPredicate, 44, 1, 51, // Skip to: 14808
/* 1751 */    MCD::OPC_CheckField, 4, 17, 0, 251, 50, // Skip to: 14808
/* 1757 */    MCD::OPC_Decode, 149, 22, 10, // Opcode: TLBINV
/* 1761 */    MCD::OPC_FilterValue, 4, 14, 0, // Skip to: 1779
/* 1765 */    MCD::OPC_CheckPredicate, 44, 239, 50, // Skip to: 14808
/* 1769 */    MCD::OPC_CheckField, 4, 17, 0, 233, 50, // Skip to: 14808
/* 1775 */    MCD::OPC_Decode, 150, 22, 10, // Opcode: TLBINVF
/* 1779 */    MCD::OPC_FilterValue, 6, 225, 50, // Skip to: 14808
/* 1783 */    MCD::OPC_CheckPredicate, 27, 221, 50, // Skip to: 14808
/* 1787 */    MCD::OPC_CheckField, 4, 17, 0, 215, 50, // Skip to: 14808
/* 1793 */    MCD::OPC_Decode, 159, 22, 10, // Opcode: TLBWR
/* 1797 */    MCD::OPC_FilterValue, 1, 207, 50, // Skip to: 14808
/* 1801 */    MCD::OPC_ExtractField, 0, 3,  // Inst{2-0} ...
/* 1804 */    MCD::OPC_FilterValue, 0, 77, 0, // Skip to: 1885
/* 1808 */    MCD::OPC_ExtractField, 4, 2,  // Inst{5-4} ...
/* 1811 */    MCD::OPC_FilterValue, 0, 16, 0, // Skip to: 1831
/* 1815 */    MCD::OPC_CheckPredicate, 27, 189, 50, // Skip to: 14808
/* 1819 */    MCD::OPC_CheckField, 6, 20, 128, 128, 32, 181, 50, // Skip to: 14808
/* 1827 */    MCD::OPC_Decode, 153, 22, 10, // Opcode: TLBP
/* 1831 */    MCD::OPC_FilterValue, 1, 31, 0, // Skip to: 1866
/* 1835 */    MCD::OPC_ExtractField, 6, 20,  // Inst{25-6} ...
/* 1838 */    MCD::OPC_FilterValue, 128, 128, 32, 8, 0, // Skip to: 1852
/* 1844 */    MCD::OPC_CheckPredicate, 43, 160, 50, // Skip to: 14808
/* 1848 */    MCD::OPC_Decode, 155, 12, 10, // Opcode: ERET
/* 1852 */    MCD::OPC_FilterValue, 129, 128, 32, 150, 50, // Skip to: 14808
/* 1858 */    MCD::OPC_CheckPredicate, 45, 146, 50, // Skip to: 14808
/* 1862 */    MCD::OPC_Decode, 156, 12, 10, // Opcode: ERETNC
/* 1866 */    MCD::OPC_FilterValue, 2, 138, 50, // Skip to: 14808
/* 1870 */    MCD::OPC_CheckPredicate, 41, 134, 50, // Skip to: 14808
/* 1874 */    MCD::OPC_CheckField, 25, 1, 1, 128, 50, // Skip to: 14808
/* 1880 */    MCD::OPC_Decode, 133, 14, 207, 1, // Opcode: HYPCALL
/* 1885 */    MCD::OPC_FilterValue, 1, 17, 0, // Skip to: 1906
/* 1889 */    MCD::OPC_CheckPredicate, 41, 115, 50, // Skip to: 14808
/* 1893 */    MCD::OPC_CheckField, 4, 22, 128, 128, 128, 1, 106, 50, // Skip to: 14808
/* 1902 */    MCD::OPC_Decode, 143, 22, 10, // Opcode: TLBGR
/* 1906 */    MCD::OPC_FilterValue, 2, 17, 0, // Skip to: 1927
/* 1910 */    MCD::OPC_CheckPredicate, 41, 94, 50, // Skip to: 14808
/* 1914 */    MCD::OPC_CheckField, 4, 22, 128, 128, 128, 1, 85, 50, // Skip to: 14808
/* 1923 */    MCD::OPC_Decode, 145, 22, 10, // Opcode: TLBGWI
/* 1927 */    MCD::OPC_FilterValue, 3, 17, 0, // Skip to: 1948
/* 1931 */    MCD::OPC_CheckPredicate, 41, 73, 50, // Skip to: 14808
/* 1935 */    MCD::OPC_CheckField, 4, 22, 128, 128, 128, 1, 64, 50, // Skip to: 14808
/* 1944 */    MCD::OPC_Decode, 137, 22, 10, // Opcode: TLBGINV
/* 1948 */    MCD::OPC_FilterValue, 4, 17, 0, // Skip to: 1969
/* 1952 */    MCD::OPC_CheckPredicate, 41, 52, 50, // Skip to: 14808
/* 1956 */    MCD::OPC_CheckField, 4, 22, 128, 128, 128, 1, 43, 50, // Skip to: 14808
/* 1965 */    MCD::OPC_Decode, 138, 22, 10, // Opcode: TLBGINVF
/* 1969 */    MCD::OPC_FilterValue, 6, 17, 0, // Skip to: 1990
/* 1973 */    MCD::OPC_CheckPredicate, 41, 31, 50, // Skip to: 14808
/* 1977 */    MCD::OPC_CheckField, 4, 22, 128, 128, 128, 1, 22, 50, // Skip to: 14808
/* 1986 */    MCD::OPC_Decode, 147, 22, 10, // Opcode: TLBGWR
/* 1990 */    MCD::OPC_FilterValue, 7, 14, 50, // Skip to: 14808
/* 1994 */    MCD::OPC_CheckPredicate, 46, 10, 50, // Skip to: 14808
/* 1998 */    MCD::OPC_CheckField, 4, 22, 129, 128, 128, 1, 1, 50, // Skip to: 14808
/* 2007 */    MCD::OPC_Decode, 154, 11, 10, // Opcode: DERET
/* 2011 */    MCD::OPC_FilterValue, 17, 191, 6, // Skip to: 3742
/* 2015 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 2018 */    MCD::OPC_FilterValue, 0, 15, 0, // Skip to: 2037
/* 2022 */    MCD::OPC_CheckPredicate, 47, 238, 49, // Skip to: 14808
/* 2026 */    MCD::OPC_CheckField, 0, 11, 0, 232, 49, // Skip to: 14808
/* 2032 */    MCD::OPC_Decode, 141, 16, 208, 1, // Opcode: MFC1
/* 2037 */    MCD::OPC_FilterValue, 1, 15, 0, // Skip to: 2056
/* 2041 */    MCD::OPC_CheckPredicate, 48, 219, 49, // Skip to: 14808
/* 2045 */    MCD::OPC_CheckField, 0, 11, 0, 213, 49, // Skip to: 14808
/* 2051 */    MCD::OPC_Decode, 182, 11, 209, 1, // Opcode: DMFC1
/* 2056 */    MCD::OPC_FilterValue, 2, 15, 0, // Skip to: 2075
/* 2060 */    MCD::OPC_CheckPredicate, 47, 200, 49, // Skip to: 14808
/* 2064 */    MCD::OPC_CheckField, 0, 11, 0, 194, 49, // Skip to: 14808
/* 2070 */    MCD::OPC_Decode, 228, 8, 210, 1, // Opcode: CFC1
/* 2075 */    MCD::OPC_FilterValue, 3, 15, 0, // Skip to: 2094
/* 2079 */    MCD::OPC_CheckPredicate, 49, 181, 49, // Skip to: 14808
/* 2083 */    MCD::OPC_CheckField, 0, 11, 0, 175, 49, // Skip to: 14808
/* 2089 */    MCD::OPC_Decode, 150, 16, 211, 1, // Opcode: MFHC1_D32
/* 2094 */    MCD::OPC_FilterValue, 4, 15, 0, // Skip to: 2113
/* 2098 */    MCD::OPC_CheckPredicate, 47, 162, 49, // Skip to: 14808
/* 2102 */    MCD::OPC_CheckField, 0, 11, 0, 156, 49, // Skip to: 14808
/* 2108 */    MCD::OPC_Decode, 156, 17, 212, 1, // Opcode: MTC1
/* 2113 */    MCD::OPC_FilterValue, 5, 15, 0, // Skip to: 2132
/* 2117 */    MCD::OPC_CheckPredicate, 48, 143, 49, // Skip to: 14808
/* 2121 */    MCD::OPC_CheckField, 0, 11, 0, 137, 49, // Skip to: 14808
/* 2127 */    MCD::OPC_Decode, 190, 11, 213, 1, // Opcode: DMTC1
/* 2132 */    MCD::OPC_FilterValue, 6, 15, 0, // Skip to: 2151
/* 2136 */    MCD::OPC_CheckPredicate, 47, 124, 49, // Skip to: 14808
/* 2140 */    MCD::OPC_CheckField, 0, 11, 0, 118, 49, // Skip to: 14808
/* 2146 */    MCD::OPC_Decode, 255, 9, 214, 1, // Opcode: CTC1
/* 2151 */    MCD::OPC_FilterValue, 7, 15, 0, // Skip to: 2170
/* 2155 */    MCD::OPC_CheckPredicate, 49, 105, 49, // Skip to: 14808
/* 2159 */    MCD::OPC_CheckField, 0, 11, 0, 99, 49, // Skip to: 14808
/* 2165 */    MCD::OPC_Decode, 166, 17, 215, 1, // Opcode: MTHC1_D32
/* 2170 */    MCD::OPC_FilterValue, 8, 55, 0, // Skip to: 2229
/* 2174 */    MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 2177 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 2190
/* 2181 */    MCD::OPC_CheckPredicate, 50, 79, 49, // Skip to: 14808
/* 2185 */    MCD::OPC_Decode, 149, 7, 216, 1, // Opcode: BC1F
/* 2190 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 2203
/* 2194 */    MCD::OPC_CheckPredicate, 50, 66, 49, // Skip to: 14808
/* 2198 */    MCD::OPC_Decode, 154, 7, 216, 1, // Opcode: BC1T
/* 2203 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 2216
/* 2207 */    MCD::OPC_CheckPredicate, 51, 53, 49, // Skip to: 14808
/* 2211 */    MCD::OPC_Decode, 150, 7, 216, 1, // Opcode: BC1FL
/* 2216 */    MCD::OPC_FilterValue, 3, 44, 49, // Skip to: 14808
/* 2220 */    MCD::OPC_CheckPredicate, 51, 40, 49, // Skip to: 14808
/* 2224 */    MCD::OPC_Decode, 155, 7, 216, 1, // Opcode: BC1TL
/* 2229 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 2242
/* 2233 */    MCD::OPC_CheckPredicate, 30, 27, 49, // Skip to: 14808
/* 2237 */    MCD::OPC_Decode, 190, 8, 217, 1, // Opcode: BZ_V
/* 2242 */    MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 2255
/* 2246 */    MCD::OPC_CheckPredicate, 30, 14, 49, // Skip to: 14808
/* 2250 */    MCD::OPC_Decode, 165, 8, 217, 1, // Opcode: BNZ_V
/* 2255 */    MCD::OPC_FilterValue, 16, 153, 2, // Skip to: 2924
/* 2259 */    MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 2262 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 2275
/* 2266 */    MCD::OPC_CheckPredicate, 47, 250, 48, // Skip to: 14808
/* 2270 */    MCD::OPC_Decode, 204, 12, 218, 1, // Opcode: FADD_S
/* 2275 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 2288
/* 2279 */    MCD::OPC_CheckPredicate, 47, 237, 48, // Skip to: 14808
/* 2283 */    MCD::OPC_Decode, 221, 13, 218, 1, // Opcode: FSUB_S
/* 2288 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 2301
/* 2292 */    MCD::OPC_CheckPredicate, 47, 224, 48, // Skip to: 14808
/* 2296 */    MCD::OPC_Decode, 177, 13, 218, 1, // Opcode: FMUL_S
/* 2301 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 2314
/* 2305 */    MCD::OPC_CheckPredicate, 47, 211, 48, // Skip to: 14808
/* 2309 */    MCD::OPC_Decode, 242, 12, 218, 1, // Opcode: FDIV_S
/* 2314 */    MCD::OPC_FilterValue, 4, 15, 0, // Skip to: 2333
/* 2318 */    MCD::OPC_CheckPredicate, 52, 198, 48, // Skip to: 14808
/* 2322 */    MCD::OPC_CheckField, 16, 5, 0, 192, 48, // Skip to: 14808
/* 2328 */    MCD::OPC_Decode, 212, 13, 219, 1, // Opcode: FSQRT_S
/* 2333 */    MCD::OPC_FilterValue, 5, 15, 0, // Skip to: 2352
/* 2337 */    MCD::OPC_CheckPredicate, 47, 179, 48, // Skip to: 14808
/* 2341 */    MCD::OPC_CheckField, 16, 5, 0, 173, 48, // Skip to: 14808
/* 2347 */    MCD::OPC_Decode, 196, 12, 219, 1, // Opcode: FABS_S
/* 2352 */    MCD::OPC_FilterValue, 6, 15, 0, // Skip to: 2371
/* 2356 */    MCD::OPC_CheckPredicate, 47, 160, 48, // Skip to: 14808
/* 2360 */    MCD::OPC_CheckField, 16, 5, 0, 154, 48, // Skip to: 14808
/* 2366 */    MCD::OPC_Decode, 166, 13, 219, 1, // Opcode: FMOV_S
/* 2371 */    MCD::OPC_FilterValue, 7, 15, 0, // Skip to: 2390
/* 2375 */    MCD::OPC_CheckPredicate, 53, 141, 48, // Skip to: 14808
/* 2379 */    MCD::OPC_CheckField, 16, 5, 0, 135, 48, // Skip to: 14808
/* 2385 */    MCD::OPC_Decode, 185, 13, 219, 1, // Opcode: FNEG_S
/* 2390 */    MCD::OPC_FilterValue, 12, 15, 0, // Skip to: 2409
/* 2394 */    MCD::OPC_CheckPredicate, 52, 122, 48, // Skip to: 14808
/* 2398 */    MCD::OPC_CheckField, 16, 5, 0, 116, 48, // Skip to: 14808
/* 2404 */    MCD::OPC_Decode, 141, 19, 219, 1, // Opcode: ROUND_W_S
/* 2409 */    MCD::OPC_FilterValue, 13, 15, 0, // Skip to: 2428
/* 2413 */    MCD::OPC_CheckPredicate, 52, 103, 48, // Skip to: 14808
/* 2417 */    MCD::OPC_CheckField, 16, 5, 0, 97, 48, // Skip to: 14808
/* 2423 */    MCD::OPC_Decode, 180, 22, 219, 1, // Opcode: TRUNC_W_S
/* 2428 */    MCD::OPC_FilterValue, 14, 15, 0, // Skip to: 2447
/* 2432 */    MCD::OPC_CheckPredicate, 52, 84, 48, // Skip to: 14808
/* 2436 */    MCD::OPC_CheckField, 16, 5, 0, 78, 48, // Skip to: 14808
/* 2442 */    MCD::OPC_Decode, 217, 8, 219, 1, // Opcode: CEIL_W_S
/* 2447 */    MCD::OPC_FilterValue, 15, 15, 0, // Skip to: 2466
/* 2451 */    MCD::OPC_CheckPredicate, 52, 65, 48, // Skip to: 14808
/* 2455 */    MCD::OPC_CheckField, 16, 5, 0, 59, 48, // Skip to: 14808
/* 2461 */    MCD::OPC_Decode, 148, 13, 219, 1, // Opcode: FLOOR_W_S
/* 2466 */    MCD::OPC_FilterValue, 17, 29, 0, // Skip to: 2499
/* 2470 */    MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 2473 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 2486
/* 2477 */    MCD::OPC_CheckPredicate, 29, 39, 48, // Skip to: 14808
/* 2481 */    MCD::OPC_Decode, 223, 16, 220, 1, // Opcode: MOVF_S
/* 2486 */    MCD::OPC_FilterValue, 1, 30, 48, // Skip to: 14808
/* 2490 */    MCD::OPC_CheckPredicate, 29, 26, 48, // Skip to: 14808
/* 2494 */    MCD::OPC_Decode, 243, 16, 220, 1, // Opcode: MOVT_S
/* 2499 */    MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 2512
/* 2503 */    MCD::OPC_CheckPredicate, 29, 13, 48, // Skip to: 14808
/* 2507 */    MCD::OPC_Decode, 255, 16, 221, 1, // Opcode: MOVZ_I_S
/* 2512 */    MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 2525
/* 2516 */    MCD::OPC_CheckPredicate, 29, 0, 48, // Skip to: 14808
/* 2520 */    MCD::OPC_Decode, 235, 16, 221, 1, // Opcode: MOVN_I_S
/* 2525 */    MCD::OPC_FilterValue, 21, 15, 0, // Skip to: 2544
/* 2529 */    MCD::OPC_CheckPredicate, 54, 243, 47, // Skip to: 14808
/* 2533 */    MCD::OPC_CheckField, 16, 5, 0, 237, 47, // Skip to: 14808
/* 2539 */    MCD::OPC_Decode, 243, 18, 219, 1, // Opcode: RECIP_S
/* 2544 */    MCD::OPC_FilterValue, 22, 15, 0, // Skip to: 2563
/* 2548 */    MCD::OPC_CheckPredicate, 54, 224, 47, // Skip to: 14808
/* 2552 */    MCD::OPC_CheckField, 16, 5, 0, 218, 47, // Skip to: 14808
/* 2558 */    MCD::OPC_Decode, 148, 19, 219, 1, // Opcode: RSQRT_S
/* 2563 */    MCD::OPC_FilterValue, 33, 15, 0, // Skip to: 2582
/* 2567 */    MCD::OPC_CheckPredicate, 55, 205, 47, // Skip to: 14808
/* 2571 */    MCD::OPC_CheckField, 16, 5, 0, 199, 47, // Skip to: 14808
/* 2577 */    MCD::OPC_Decode, 131, 10, 222, 1, // Opcode: CVT_D32_S
/* 2582 */    MCD::OPC_FilterValue, 36, 15, 0, // Skip to: 2601
/* 2586 */    MCD::OPC_CheckPredicate, 47, 186, 47, // Skip to: 14808
/* 2590 */    MCD::OPC_CheckField, 16, 5, 0, 180, 47, // Skip to: 14808
/* 2596 */    MCD::OPC_Decode, 165, 10, 219, 1, // Opcode: CVT_W_S
/* 2601 */    MCD::OPC_FilterValue, 37, 15, 0, // Skip to: 2620
/* 2605 */    MCD::OPC_CheckPredicate, 56, 167, 47, // Skip to: 14808
/* 2609 */    MCD::OPC_CheckField, 16, 5, 0, 161, 47, // Skip to: 14808
/* 2615 */    MCD::OPC_Decode, 144, 10, 223, 1, // Opcode: CVT_L_S
/* 2620 */    MCD::OPC_FilterValue, 48, 15, 0, // Skip to: 2639
/* 2624 */    MCD::OPC_CheckPredicate, 50, 148, 47, // Skip to: 14808
/* 2628 */    MCD::OPC_CheckField, 6, 2, 0, 142, 47, // Skip to: 14808
/* 2634 */    MCD::OPC_Decode, 178, 10, 224, 1, // Opcode: C_F_S
/* 2639 */    MCD::OPC_FilterValue, 49, 15, 0, // Skip to: 2658
/* 2643 */    MCD::OPC_CheckPredicate, 50, 129, 47, // Skip to: 14808
/* 2647 */    MCD::OPC_CheckField, 6, 2, 0, 123, 47, // Skip to: 14808
/* 2653 */    MCD::OPC_Decode, 134, 11, 224, 1, // Opcode: C_UN_S
/* 2658 */    MCD::OPC_FilterValue, 50, 15, 0, // Skip to: 2677
/* 2662 */    MCD::OPC_CheckPredicate, 50, 110, 47, // Skip to: 14808
/* 2666 */    MCD::OPC_CheckField, 6, 2, 0, 104, 47, // Skip to: 14808
/* 2672 */    MCD::OPC_Decode, 172, 10, 224, 1, // Opcode: C_EQ_S
/* 2677 */    MCD::OPC_FilterValue, 51, 15, 0, // Skip to: 2696
/* 2681 */    MCD::OPC_CheckPredicate, 50, 91, 47, // Skip to: 14808
/* 2685 */    MCD::OPC_CheckField, 6, 2, 0, 85, 47, // Skip to: 14808
/* 2691 */    MCD::OPC_Decode, 244, 10, 224, 1, // Opcode: C_UEQ_S
/* 2696 */    MCD::OPC_FilterValue, 52, 15, 0, // Skip to: 2715
/* 2700 */    MCD::OPC_CheckPredicate, 50, 72, 47, // Skip to: 14808
/* 2704 */    MCD::OPC_CheckField, 6, 2, 0, 66, 47, // Skip to: 14808
/* 2710 */    MCD::OPC_Decode, 226, 10, 224, 1, // Opcode: C_OLT_S
/* 2715 */    MCD::OPC_FilterValue, 53, 15, 0, // Skip to: 2734
/* 2719 */    MCD::OPC_CheckPredicate, 50, 53, 47, // Skip to: 14808
/* 2723 */    MCD::OPC_CheckField, 6, 2, 0, 47, 47, // Skip to: 14808
/* 2729 */    MCD::OPC_Decode, 128, 11, 224, 1, // Opcode: C_ULT_S
/* 2734 */    MCD::OPC_FilterValue, 54, 15, 0, // Skip to: 2753
/* 2738 */    MCD::OPC_CheckPredicate, 50, 34, 47, // Skip to: 14808
/* 2742 */    MCD::OPC_CheckField, 6, 2, 0, 28, 47, // Skip to: 14808
/* 2748 */    MCD::OPC_Decode, 220, 10, 224, 1, // Opcode: C_OLE_S
/* 2753 */    MCD::OPC_FilterValue, 55, 15, 0, // Skip to: 2772
/* 2757 */    MCD::OPC_CheckPredicate, 50, 15, 47, // Skip to: 14808
/* 2761 */    MCD::OPC_CheckField, 6, 2, 0, 9, 47, // Skip to: 14808
/* 2767 */    MCD::OPC_Decode, 250, 10, 224, 1, // Opcode: C_ULE_S
/* 2772 */    MCD::OPC_FilterValue, 56, 15, 0, // Skip to: 2791
/* 2776 */    MCD::OPC_CheckPredicate, 50, 252, 46, // Skip to: 14808
/* 2780 */    MCD::OPC_CheckField, 6, 2, 0, 246, 46, // Skip to: 14808
/* 2786 */    MCD::OPC_Decode, 238, 10, 224, 1, // Opcode: C_SF_S
/* 2791 */    MCD::OPC_FilterValue, 57, 15, 0, // Skip to: 2810
/* 2795 */    MCD::OPC_CheckPredicate, 50, 233, 46, // Skip to: 14808
/* 2799 */    MCD::OPC_CheckField, 6, 2, 0, 227, 46, // Skip to: 14808
/* 2805 */    MCD::OPC_Decode, 202, 10, 224, 1, // Opcode: C_NGLE_S
/* 2810 */    MCD::OPC_FilterValue, 58, 15, 0, // Skip to: 2829
/* 2814 */    MCD::OPC_CheckPredicate, 50, 214, 46, // Skip to: 14808
/* 2818 */    MCD::OPC_CheckField, 6, 2, 0, 208, 46, // Skip to: 14808
/* 2824 */    MCD::OPC_Decode, 232, 10, 224, 1, // Opcode: C_SEQ_S
/* 2829 */    MCD::OPC_FilterValue, 59, 15, 0, // Skip to: 2848
/* 2833 */    MCD::OPC_CheckPredicate, 50, 195, 46, // Skip to: 14808
/* 2837 */    MCD::OPC_CheckField, 6, 2, 0, 189, 46, // Skip to: 14808
/* 2843 */    MCD::OPC_Decode, 208, 10, 224, 1, // Opcode: C_NGL_S
/* 2848 */    MCD::OPC_FilterValue, 60, 15, 0, // Skip to: 2867
/* 2852 */    MCD::OPC_CheckPredicate, 50, 176, 46, // Skip to: 14808
/* 2856 */    MCD::OPC_CheckField, 6, 2, 0, 170, 46, // Skip to: 14808
/* 2862 */    MCD::OPC_Decode, 190, 10, 224, 1, // Opcode: C_LT_S
/* 2867 */    MCD::OPC_FilterValue, 61, 15, 0, // Skip to: 2886
/* 2871 */    MCD::OPC_CheckPredicate, 50, 157, 46, // Skip to: 14808
/* 2875 */    MCD::OPC_CheckField, 6, 2, 0, 151, 46, // Skip to: 14808
/* 2881 */    MCD::OPC_Decode, 196, 10, 224, 1, // Opcode: C_NGE_S
/* 2886 */    MCD::OPC_FilterValue, 62, 15, 0, // Skip to: 2905
/* 2890 */    MCD::OPC_CheckPredicate, 50, 138, 46, // Skip to: 14808
/* 2894 */    MCD::OPC_CheckField, 6, 2, 0, 132, 46, // Skip to: 14808
/* 2900 */    MCD::OPC_Decode, 184, 10, 224, 1, // Opcode: C_LE_S
/* 2905 */    MCD::OPC_FilterValue, 63, 123, 46, // Skip to: 14808
/* 2909 */    MCD::OPC_CheckPredicate, 50, 119, 46, // Skip to: 14808
/* 2913 */    MCD::OPC_CheckField, 6, 2, 0, 113, 46, // Skip to: 14808
/* 2919 */    MCD::OPC_Decode, 214, 10, 224, 1, // Opcode: C_NGT_S
/* 2924 */    MCD::OPC_FilterValue, 17, 153, 2, // Skip to: 3593
/* 2928 */    MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 2931 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 2944
/* 2935 */    MCD::OPC_CheckPredicate, 55, 93, 46, // Skip to: 14808
/* 2939 */    MCD::OPC_Decode, 199, 12, 225, 1, // Opcode: FADD_D32
/* 2944 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 2957
/* 2948 */    MCD::OPC_CheckPredicate, 55, 80, 46, // Skip to: 14808
/* 2952 */    MCD::OPC_Decode, 216, 13, 225, 1, // Opcode: FSUB_D32
/* 2957 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 2970
/* 2961 */    MCD::OPC_CheckPredicate, 55, 67, 46, // Skip to: 14808
/* 2965 */    MCD::OPC_Decode, 172, 13, 225, 1, // Opcode: FMUL_D32
/* 2970 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 2983
/* 2974 */    MCD::OPC_CheckPredicate, 55, 54, 46, // Skip to: 14808
/* 2978 */    MCD::OPC_Decode, 238, 12, 225, 1, // Opcode: FDIV_D32
/* 2983 */    MCD::OPC_FilterValue, 4, 15, 0, // Skip to: 3002
/* 2987 */    MCD::OPC_CheckPredicate, 57, 41, 46, // Skip to: 14808
/* 2991 */    MCD::OPC_CheckField, 16, 5, 0, 35, 46, // Skip to: 14808
/* 2997 */    MCD::OPC_Decode, 208, 13, 226, 1, // Opcode: FSQRT_D32
/* 3002 */    MCD::OPC_FilterValue, 5, 15, 0, // Skip to: 3021
/* 3006 */    MCD::OPC_CheckPredicate, 55, 22, 46, // Skip to: 14808
/* 3010 */    MCD::OPC_CheckField, 16, 5, 0, 16, 46, // Skip to: 14808
/* 3016 */    MCD::OPC_Decode, 192, 12, 226, 1, // Opcode: FABS_D32
/* 3021 */    MCD::OPC_FilterValue, 6, 15, 0, // Skip to: 3040
/* 3025 */    MCD::OPC_CheckPredicate, 55, 3, 46, // Skip to: 14808
/* 3029 */    MCD::OPC_CheckField, 16, 5, 0, 253, 45, // Skip to: 14808
/* 3035 */    MCD::OPC_Decode, 161, 13, 226, 1, // Opcode: FMOV_D32
/* 3040 */    MCD::OPC_FilterValue, 7, 15, 0, // Skip to: 3059
/* 3044 */    MCD::OPC_CheckPredicate, 55, 240, 45, // Skip to: 14808
/* 3048 */    MCD::OPC_CheckField, 16, 5, 0, 234, 45, // Skip to: 14808
/* 3054 */    MCD::OPC_Decode, 181, 13, 226, 1, // Opcode: FNEG_D32
/* 3059 */    MCD::OPC_FilterValue, 12, 15, 0, // Skip to: 3078
/* 3063 */    MCD::OPC_CheckPredicate, 57, 221, 45, // Skip to: 14808
/* 3067 */    MCD::OPC_CheckField, 16, 5, 0, 215, 45, // Skip to: 14808
/* 3073 */    MCD::OPC_Decode, 137, 19, 227, 1, // Opcode: ROUND_W_D32
/* 3078 */    MCD::OPC_FilterValue, 13, 15, 0, // Skip to: 3097
/* 3082 */    MCD::OPC_CheckPredicate, 57, 202, 45, // Skip to: 14808
/* 3086 */    MCD::OPC_CheckField, 16, 5, 0, 196, 45, // Skip to: 14808
/* 3092 */    MCD::OPC_Decode, 176, 22, 227, 1, // Opcode: TRUNC_W_D32
/* 3097 */    MCD::OPC_FilterValue, 14, 15, 0, // Skip to: 3116
/* 3101 */    MCD::OPC_CheckPredicate, 57, 183, 45, // Skip to: 14808
/* 3105 */    MCD::OPC_CheckField, 16, 5, 0, 177, 45, // Skip to: 14808
/* 3111 */    MCD::OPC_Decode, 213, 8, 227, 1, // Opcode: CEIL_W_D32
/* 3116 */    MCD::OPC_FilterValue, 15, 15, 0, // Skip to: 3135
/* 3120 */    MCD::OPC_CheckPredicate, 57, 164, 45, // Skip to: 14808
/* 3124 */    MCD::OPC_CheckField, 16, 5, 0, 158, 45, // Skip to: 14808
/* 3130 */    MCD::OPC_Decode, 144, 13, 227, 1, // Opcode: FLOOR_W_D32
/* 3135 */    MCD::OPC_FilterValue, 17, 29, 0, // Skip to: 3168
/* 3139 */    MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 3142 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 3155
/* 3146 */    MCD::OPC_CheckPredicate, 58, 138, 45, // Skip to: 14808
/* 3150 */    MCD::OPC_Decode, 217, 16, 228, 1, // Opcode: MOVF_D32
/* 3155 */    MCD::OPC_FilterValue, 1, 129, 45, // Skip to: 14808
/* 3159 */    MCD::OPC_CheckPredicate, 58, 125, 45, // Skip to: 14808
/* 3163 */    MCD::OPC_Decode, 237, 16, 228, 1, // Opcode: MOVT_D32
/* 3168 */    MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 3181
/* 3172 */    MCD::OPC_CheckPredicate, 58, 112, 45, // Skip to: 14808
/* 3176 */    MCD::OPC_Decode, 249, 16, 229, 1, // Opcode: MOVZ_I_D32
/* 3181 */    MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 3194
/* 3185 */    MCD::OPC_CheckPredicate, 58, 99, 45, // Skip to: 14808
/* 3189 */    MCD::OPC_Decode, 229, 16, 229, 1, // Opcode: MOVN_I_D32
/* 3194 */    MCD::OPC_FilterValue, 21, 15, 0, // Skip to: 3213
/* 3198 */    MCD::OPC_CheckPredicate, 59, 86, 45, // Skip to: 14808
/* 3202 */    MCD::OPC_CheckField, 16, 5, 0, 80, 45, // Skip to: 14808
/* 3208 */    MCD::OPC_Decode, 239, 18, 226, 1, // Opcode: RECIP_D32
/* 3213 */    MCD::OPC_FilterValue, 22, 15, 0, // Skip to: 3232
/* 3217 */    MCD::OPC_CheckPredicate, 59, 67, 45, // Skip to: 14808
/* 3221 */    MCD::OPC_CheckField, 16, 5, 0, 61, 45, // Skip to: 14808
/* 3227 */    MCD::OPC_Decode, 144, 19, 226, 1, // Opcode: RSQRT_D32
/* 3232 */    MCD::OPC_FilterValue, 32, 15, 0, // Skip to: 3251
/* 3236 */    MCD::OPC_CheckPredicate, 55, 48, 45, // Skip to: 14808
/* 3240 */    MCD::OPC_CheckField, 16, 5, 0, 42, 45, // Skip to: 14808
/* 3246 */    MCD::OPC_Decode, 150, 10, 227, 1, // Opcode: CVT_S_D32
/* 3251 */    MCD::OPC_FilterValue, 36, 15, 0, // Skip to: 3270
/* 3255 */    MCD::OPC_CheckPredicate, 55, 29, 45, // Skip to: 14808
/* 3259 */    MCD::OPC_CheckField, 16, 5, 0, 23, 45, // Skip to: 14808
/* 3265 */    MCD::OPC_Decode, 161, 10, 227, 1, // Opcode: CVT_W_D32
/* 3270 */    MCD::OPC_FilterValue, 37, 15, 0, // Skip to: 3289
/* 3274 */    MCD::OPC_CheckPredicate, 56, 10, 45, // Skip to: 14808
/* 3278 */    MCD::OPC_CheckField, 16, 5, 0, 4, 45, // Skip to: 14808
/* 3284 */    MCD::OPC_Decode, 141, 10, 230, 1, // Opcode: CVT_L_D64
/* 3289 */    MCD::OPC_FilterValue, 48, 15, 0, // Skip to: 3308
/* 3293 */    MCD::OPC_CheckPredicate, 60, 247, 44, // Skip to: 14808
/* 3297 */    MCD::OPC_CheckField, 6, 2, 0, 241, 44, // Skip to: 14808
/* 3303 */    MCD::OPC_Decode, 174, 10, 231, 1, // Opcode: C_F_D32
/* 3308 */    MCD::OPC_FilterValue, 49, 15, 0, // Skip to: 3327
/* 3312 */    MCD::OPC_CheckPredicate, 60, 228, 44, // Skip to: 14808
/* 3316 */    MCD::OPC_CheckField, 6, 2, 0, 222, 44, // Skip to: 14808
/* 3322 */    MCD::OPC_Decode, 130, 11, 231, 1, // Opcode: C_UN_D32
/* 3327 */    MCD::OPC_FilterValue, 50, 15, 0, // Skip to: 3346
/* 3331 */    MCD::OPC_CheckPredicate, 60, 209, 44, // Skip to: 14808
/* 3335 */    MCD::OPC_CheckField, 6, 2, 0, 203, 44, // Skip to: 14808
/* 3341 */    MCD::OPC_Decode, 168, 10, 231, 1, // Opcode: C_EQ_D32
/* 3346 */    MCD::OPC_FilterValue, 51, 15, 0, // Skip to: 3365
/* 3350 */    MCD::OPC_CheckPredicate, 60, 190, 44, // Skip to: 14808
/* 3354 */    MCD::OPC_CheckField, 6, 2, 0, 184, 44, // Skip to: 14808
/* 3360 */    MCD::OPC_Decode, 240, 10, 231, 1, // Opcode: C_UEQ_D32
/* 3365 */    MCD::OPC_FilterValue, 52, 15, 0, // Skip to: 3384
/* 3369 */    MCD::OPC_CheckPredicate, 60, 171, 44, // Skip to: 14808
/* 3373 */    MCD::OPC_CheckField, 6, 2, 0, 165, 44, // Skip to: 14808
/* 3379 */    MCD::OPC_Decode, 222, 10, 231, 1, // Opcode: C_OLT_D32
/* 3384 */    MCD::OPC_FilterValue, 53, 15, 0, // Skip to: 3403
/* 3388 */    MCD::OPC_CheckPredicate, 60, 152, 44, // Skip to: 14808
/* 3392 */    MCD::OPC_CheckField, 6, 2, 0, 146, 44, // Skip to: 14808
/* 3398 */    MCD::OPC_Decode, 252, 10, 231, 1, // Opcode: C_ULT_D32
/* 3403 */    MCD::OPC_FilterValue, 54, 15, 0, // Skip to: 3422
/* 3407 */    MCD::OPC_CheckPredicate, 60, 133, 44, // Skip to: 14808
/* 3411 */    MCD::OPC_CheckField, 6, 2, 0, 127, 44, // Skip to: 14808
/* 3417 */    MCD::OPC_Decode, 216, 10, 231, 1, // Opcode: C_OLE_D32
/* 3422 */    MCD::OPC_FilterValue, 55, 15, 0, // Skip to: 3441
/* 3426 */    MCD::OPC_CheckPredicate, 60, 114, 44, // Skip to: 14808
/* 3430 */    MCD::OPC_CheckField, 6, 2, 0, 108, 44, // Skip to: 14808
/* 3436 */    MCD::OPC_Decode, 246, 10, 231, 1, // Opcode: C_ULE_D32
/* 3441 */    MCD::OPC_FilterValue, 56, 15, 0, // Skip to: 3460
/* 3445 */    MCD::OPC_CheckPredicate, 60, 95, 44, // Skip to: 14808
/* 3449 */    MCD::OPC_CheckField, 6, 2, 0, 89, 44, // Skip to: 14808
/* 3455 */    MCD::OPC_Decode, 234, 10, 231, 1, // Opcode: C_SF_D32
/* 3460 */    MCD::OPC_FilterValue, 57, 15, 0, // Skip to: 3479
/* 3464 */    MCD::OPC_CheckPredicate, 60, 76, 44, // Skip to: 14808
/* 3468 */    MCD::OPC_CheckField, 6, 2, 0, 70, 44, // Skip to: 14808
/* 3474 */    MCD::OPC_Decode, 198, 10, 231, 1, // Opcode: C_NGLE_D32
/* 3479 */    MCD::OPC_FilterValue, 58, 15, 0, // Skip to: 3498
/* 3483 */    MCD::OPC_CheckPredicate, 60, 57, 44, // Skip to: 14808
/* 3487 */    MCD::OPC_CheckField, 6, 2, 0, 51, 44, // Skip to: 14808
/* 3493 */    MCD::OPC_Decode, 228, 10, 231, 1, // Opcode: C_SEQ_D32
/* 3498 */    MCD::OPC_FilterValue, 59, 15, 0, // Skip to: 3517
/* 3502 */    MCD::OPC_CheckPredicate, 60, 38, 44, // Skip to: 14808
/* 3506 */    MCD::OPC_CheckField, 6, 2, 0, 32, 44, // Skip to: 14808
/* 3512 */    MCD::OPC_Decode, 204, 10, 231, 1, // Opcode: C_NGL_D32
/* 3517 */    MCD::OPC_FilterValue, 60, 15, 0, // Skip to: 3536
/* 3521 */    MCD::OPC_CheckPredicate, 60, 19, 44, // Skip to: 14808
/* 3525 */    MCD::OPC_CheckField, 6, 2, 0, 13, 44, // Skip to: 14808
/* 3531 */    MCD::OPC_Decode, 186, 10, 231, 1, // Opcode: C_LT_D32
/* 3536 */    MCD::OPC_FilterValue, 61, 15, 0, // Skip to: 3555
/* 3540 */    MCD::OPC_CheckPredicate, 60, 0, 44, // Skip to: 14808
/* 3544 */    MCD::OPC_CheckField, 6, 2, 0, 250, 43, // Skip to: 14808
/* 3550 */    MCD::OPC_Decode, 192, 10, 231, 1, // Opcode: C_NGE_D32
/* 3555 */    MCD::OPC_FilterValue, 62, 15, 0, // Skip to: 3574
/* 3559 */    MCD::OPC_CheckPredicate, 60, 237, 43, // Skip to: 14808
/* 3563 */    MCD::OPC_CheckField, 6, 2, 0, 231, 43, // Skip to: 14808
/* 3569 */    MCD::OPC_Decode, 180, 10, 231, 1, // Opcode: C_LE_D32
/* 3574 */    MCD::OPC_FilterValue, 63, 222, 43, // Skip to: 14808
/* 3578 */    MCD::OPC_CheckPredicate, 60, 218, 43, // Skip to: 14808
/* 3582 */    MCD::OPC_CheckField, 6, 2, 0, 212, 43, // Skip to: 14808
/* 3588 */    MCD::OPC_Decode, 210, 10, 231, 1, // Opcode: C_NGT_D32
/* 3593 */    MCD::OPC_FilterValue, 20, 41, 0, // Skip to: 3638
/* 3597 */    MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 3600 */    MCD::OPC_FilterValue, 32, 15, 0, // Skip to: 3619
/* 3604 */    MCD::OPC_CheckPredicate, 47, 192, 43, // Skip to: 14808
/* 3608 */    MCD::OPC_CheckField, 16, 5, 0, 186, 43, // Skip to: 14808
/* 3614 */    MCD::OPC_Decode, 158, 10, 219, 1, // Opcode: CVT_S_W
/* 3619 */    MCD::OPC_FilterValue, 33, 177, 43, // Skip to: 14808
/* 3623 */    MCD::OPC_CheckPredicate, 55, 173, 43, // Skip to: 14808
/* 3627 */    MCD::OPC_CheckField, 16, 5, 0, 167, 43, // Skip to: 14808
/* 3633 */    MCD::OPC_Decode, 133, 10, 222, 1, // Opcode: CVT_D32_W
/* 3638 */    MCD::OPC_FilterValue, 24, 9, 0, // Skip to: 3651
/* 3642 */    MCD::OPC_CheckPredicate, 30, 154, 43, // Skip to: 14808
/* 3646 */    MCD::OPC_Decode, 187, 8, 217, 1, // Opcode: BZ_B
/* 3651 */    MCD::OPC_FilterValue, 25, 9, 0, // Skip to: 3664
/* 3655 */    MCD::OPC_CheckPredicate, 30, 141, 43, // Skip to: 14808
/* 3659 */    MCD::OPC_Decode, 189, 8, 232, 1, // Opcode: BZ_H
/* 3664 */    MCD::OPC_FilterValue, 26, 9, 0, // Skip to: 3677
/* 3668 */    MCD::OPC_CheckPredicate, 30, 128, 43, // Skip to: 14808
/* 3672 */    MCD::OPC_Decode, 191, 8, 233, 1, // Opcode: BZ_W
/* 3677 */    MCD::OPC_FilterValue, 27, 9, 0, // Skip to: 3690
/* 3681 */    MCD::OPC_CheckPredicate, 30, 115, 43, // Skip to: 14808
/* 3685 */    MCD::OPC_Decode, 188, 8, 234, 1, // Opcode: BZ_D
/* 3690 */    MCD::OPC_FilterValue, 28, 9, 0, // Skip to: 3703
/* 3694 */    MCD::OPC_CheckPredicate, 30, 102, 43, // Skip to: 14808
/* 3698 */    MCD::OPC_Decode, 162, 8, 217, 1, // Opcode: BNZ_B
/* 3703 */    MCD::OPC_FilterValue, 29, 9, 0, // Skip to: 3716
/* 3707 */    MCD::OPC_CheckPredicate, 30, 89, 43, // Skip to: 14808
/* 3711 */    MCD::OPC_Decode, 164, 8, 232, 1, // Opcode: BNZ_H
/* 3716 */    MCD::OPC_FilterValue, 30, 9, 0, // Skip to: 3729
/* 3720 */    MCD::OPC_CheckPredicate, 30, 76, 43, // Skip to: 14808
/* 3724 */    MCD::OPC_Decode, 166, 8, 233, 1, // Opcode: BNZ_W
/* 3729 */    MCD::OPC_FilterValue, 31, 67, 43, // Skip to: 14808
/* 3733 */    MCD::OPC_CheckPredicate, 30, 63, 43, // Skip to: 14808
/* 3737 */    MCD::OPC_Decode, 163, 8, 234, 1, // Opcode: BNZ_D
/* 3742 */    MCD::OPC_FilterValue, 18, 41, 0, // Skip to: 3787
/* 3746 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 3749 */    MCD::OPC_FilterValue, 0, 15, 0, // Skip to: 3768
/* 3753 */    MCD::OPC_CheckPredicate, 27, 43, 43, // Skip to: 14808
/* 3757 */    MCD::OPC_CheckField, 3, 8, 0, 37, 43, // Skip to: 14808
/* 3763 */    MCD::OPC_Decode, 145, 16, 235, 1, // Opcode: MFC2
/* 3768 */    MCD::OPC_FilterValue, 4, 28, 43, // Skip to: 14808
/* 3772 */    MCD::OPC_CheckPredicate, 27, 24, 43, // Skip to: 14808
/* 3776 */    MCD::OPC_CheckField, 3, 8, 0, 18, 43, // Skip to: 14808
/* 3782 */    MCD::OPC_Decode, 161, 17, 236, 1, // Opcode: MTC2
/* 3787 */    MCD::OPC_FilterValue, 19, 221, 0, // Skip to: 4012
/* 3791 */    MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 3794 */    MCD::OPC_FilterValue, 0, 15, 0, // Skip to: 3813
/* 3798 */    MCD::OPC_CheckPredicate, 61, 254, 42, // Skip to: 14808
/* 3802 */    MCD::OPC_CheckField, 11, 5, 0, 248, 42, // Skip to: 14808
/* 3808 */    MCD::OPC_Decode, 188, 15, 237, 1, // Opcode: LWXC1
/* 3813 */    MCD::OPC_FilterValue, 1, 15, 0, // Skip to: 3832
/* 3817 */    MCD::OPC_CheckPredicate, 62, 235, 42, // Skip to: 14808
/* 3821 */    MCD::OPC_CheckField, 11, 5, 0, 229, 42, // Skip to: 14808
/* 3827 */    MCD::OPC_Decode, 238, 14, 238, 1, // Opcode: LDXC1
/* 3832 */    MCD::OPC_FilterValue, 5, 15, 0, // Skip to: 3851
/* 3836 */    MCD::OPC_CheckPredicate, 63, 216, 42, // Skip to: 14808
/* 3840 */    MCD::OPC_CheckField, 11, 5, 0, 210, 42, // Skip to: 14808
/* 3846 */    MCD::OPC_Decode, 148, 15, 238, 1, // Opcode: LUXC1
/* 3851 */    MCD::OPC_FilterValue, 8, 15, 0, // Skip to: 3870
/* 3855 */    MCD::OPC_CheckPredicate, 61, 197, 42, // Skip to: 14808
/* 3859 */    MCD::OPC_CheckField, 6, 5, 0, 191, 42, // Skip to: 14808
/* 3865 */    MCD::OPC_Decode, 220, 21, 239, 1, // Opcode: SWXC1
/* 3870 */    MCD::OPC_FilterValue, 9, 15, 0, // Skip to: 3889
/* 3874 */    MCD::OPC_CheckPredicate, 62, 178, 42, // Skip to: 14808
/* 3878 */    MCD::OPC_CheckField, 6, 5, 0, 172, 42, // Skip to: 14808
/* 3884 */    MCD::OPC_Decode, 200, 19, 240, 1, // Opcode: SDXC1
/* 3889 */    MCD::OPC_FilterValue, 13, 15, 0, // Skip to: 3908
/* 3893 */    MCD::OPC_CheckPredicate, 63, 159, 42, // Skip to: 14808
/* 3897 */    MCD::OPC_CheckField, 6, 5, 0, 153, 42, // Skip to: 14808
/* 3903 */    MCD::OPC_Decode, 187, 21, 240, 1, // Opcode: SUXC1
/* 3908 */    MCD::OPC_FilterValue, 32, 9, 0, // Skip to: 3921
/* 3912 */    MCD::OPC_CheckPredicate, 64, 140, 42, // Skip to: 14808
/* 3916 */    MCD::OPC_Decode, 229, 15, 241, 1, // Opcode: MADD_S
/* 3921 */    MCD::OPC_FilterValue, 33, 9, 0, // Skip to: 3934
/* 3925 */    MCD::OPC_CheckPredicate, 65, 127, 42, // Skip to: 14808
/* 3929 */    MCD::OPC_Decode, 221, 15, 242, 1, // Opcode: MADD_D32
/* 3934 */    MCD::OPC_FilterValue, 40, 9, 0, // Skip to: 3947
/* 3938 */    MCD::OPC_CheckPredicate, 64, 114, 42, // Skip to: 14808
/* 3942 */    MCD::OPC_Decode, 152, 17, 241, 1, // Opcode: MSUB_S
/* 3947 */    MCD::OPC_FilterValue, 41, 9, 0, // Skip to: 3960
/* 3951 */    MCD::OPC_CheckPredicate, 65, 101, 42, // Skip to: 14808
/* 3955 */    MCD::OPC_Decode, 144, 17, 242, 1, // Opcode: MSUB_D32
/* 3960 */    MCD::OPC_FilterValue, 48, 9, 0, // Skip to: 3973
/* 3964 */    MCD::OPC_CheckPredicate, 66, 88, 42, // Skip to: 14808
/* 3968 */    MCD::OPC_Decode, 131, 18, 241, 1, // Opcode: NMADD_S
/* 3973 */    MCD::OPC_FilterValue, 49, 9, 0, // Skip to: 3986
/* 3977 */    MCD::OPC_CheckPredicate, 67, 75, 42, // Skip to: 14808
/* 3981 */    MCD::OPC_Decode, 128, 18, 242, 1, // Opcode: NMADD_D32
/* 3986 */    MCD::OPC_FilterValue, 56, 9, 0, // Skip to: 3999
/* 3990 */    MCD::OPC_CheckPredicate, 66, 62, 42, // Skip to: 14808
/* 3994 */    MCD::OPC_Decode, 136, 18, 241, 1, // Opcode: NMSUB_S
/* 3999 */    MCD::OPC_FilterValue, 57, 53, 42, // Skip to: 14808
/* 4003 */    MCD::OPC_CheckPredicate, 67, 49, 42, // Skip to: 14808
/* 4007 */    MCD::OPC_Decode, 133, 18, 242, 1, // Opcode: NMSUB_D32
/* 4012 */    MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 4025
/* 4016 */    MCD::OPC_CheckPredicate, 39, 36, 42, // Skip to: 14808
/* 4020 */    MCD::OPC_Decode, 175, 7, 201, 1, // Opcode: BEQL
/* 4025 */    MCD::OPC_FilterValue, 21, 94, 0, // Skip to: 4123
/* 4029 */    MCD::OPC_ExtractField, 0, 16,  // Inst{15-0} ...
/* 4032 */    MCD::OPC_FilterValue, 123, 8, 0, // Skip to: 4044
/* 4036 */    MCD::OPC_CheckPredicate, 19, 17, 0, // Skip to: 4057
/* 4040 */    MCD::OPC_Decode, 167, 13, 124, // Opcode: FMOV_S_MM
/* 4044 */    MCD::OPC_FilterValue, 251, 22, 8, 0, // Skip to: 4057
/* 4049 */    MCD::OPC_CheckPredicate, 19, 4, 0, // Skip to: 4057
/* 4053 */    MCD::OPC_Decode, 186, 13, 124, // Opcode: FNEG_S_MM
/* 4057 */    MCD::OPC_ExtractField, 0, 11,  // Inst{10-0} ...
/* 4060 */    MCD::OPC_FilterValue, 48, 9, 0, // Skip to: 4073
/* 4064 */    MCD::OPC_CheckPredicate, 19, 46, 0, // Skip to: 4114
/* 4068 */    MCD::OPC_Decode, 205, 12, 164, 1, // Opcode: FADD_S_MM
/* 4073 */    MCD::OPC_FilterValue, 112, 9, 0, // Skip to: 4086
/* 4077 */    MCD::OPC_CheckPredicate, 19, 33, 0, // Skip to: 4114
/* 4081 */    MCD::OPC_Decode, 222, 13, 164, 1, // Opcode: FSUB_S_MM
/* 4086 */    MCD::OPC_FilterValue, 176, 1, 9, 0, // Skip to: 4100
/* 4091 */    MCD::OPC_CheckPredicate, 19, 19, 0, // Skip to: 4114
/* 4095 */    MCD::OPC_Decode, 178, 13, 164, 1, // Opcode: FMUL_S_MM
/* 4100 */    MCD::OPC_FilterValue, 240, 1, 9, 0, // Skip to: 4114
/* 4105 */    MCD::OPC_CheckPredicate, 19, 5, 0, // Skip to: 4114
/* 4109 */    MCD::OPC_Decode, 243, 12, 164, 1, // Opcode: FDIV_S_MM
/* 4114 */    MCD::OPC_CheckPredicate, 39, 194, 41, // Skip to: 14808
/* 4118 */    MCD::OPC_Decode, 150, 8, 201, 1, // Opcode: BNEL
/* 4123 */    MCD::OPC_FilterValue, 22, 15, 0, // Skip to: 4142
/* 4127 */    MCD::OPC_CheckPredicate, 39, 181, 41, // Skip to: 14808
/* 4131 */    MCD::OPC_CheckField, 16, 5, 0, 175, 41, // Skip to: 14808
/* 4137 */    MCD::OPC_Decode, 240, 7, 197, 1, // Opcode: BLEZL
/* 4142 */    MCD::OPC_FilterValue, 23, 15, 0, // Skip to: 4161
/* 4146 */    MCD::OPC_CheckPredicate, 39, 162, 41, // Skip to: 14808
/* 4150 */    MCD::OPC_CheckField, 16, 5, 0, 156, 41, // Skip to: 14808
/* 4156 */    MCD::OPC_Decode, 211, 7, 197, 1, // Opcode: BGTZL
/* 4161 */    MCD::OPC_FilterValue, 28, 236, 0, // Skip to: 4401
/* 4165 */    MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 4168 */    MCD::OPC_FilterValue, 0, 37, 0, // Skip to: 4209
/* 4172 */    MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 4175 */    MCD::OPC_FilterValue, 0, 133, 41, // Skip to: 14808
/* 4179 */    MCD::OPC_ExtractField, 13, 3,  // Inst{15-13} ...
/* 4182 */    MCD::OPC_FilterValue, 0, 126, 41, // Skip to: 14808
/* 4186 */    MCD::OPC_CheckPredicate, 68, 10, 0, // Skip to: 4200
/* 4190 */    MCD::OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 4200
/* 4196 */    MCD::OPC_Decode, 206, 15, 80, // Opcode: MADD
/* 4200 */    MCD::OPC_CheckPredicate, 37, 108, 41, // Skip to: 14808
/* 4204 */    MCD::OPC_Decode, 224, 15, 243, 1, // Opcode: MADD_DSP
/* 4209 */    MCD::OPC_FilterValue, 1, 37, 0, // Skip to: 4250
/* 4213 */    MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 4216 */    MCD::OPC_FilterValue, 0, 92, 41, // Skip to: 14808
/* 4220 */    MCD::OPC_ExtractField, 13, 3,  // Inst{15-13} ...
/* 4223 */    MCD::OPC_FilterValue, 0, 85, 41, // Skip to: 14808
/* 4227 */    MCD::OPC_CheckPredicate, 68, 10, 0, // Skip to: 4241
/* 4231 */    MCD::OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 4241
/* 4237 */    MCD::OPC_Decode, 213, 15, 80, // Opcode: MADDU
/* 4241 */    MCD::OPC_CheckPredicate, 37, 67, 41, // Skip to: 14808
/* 4245 */    MCD::OPC_Decode, 214, 15, 243, 1, // Opcode: MADDU_DSP
/* 4250 */    MCD::OPC_FilterValue, 2, 14, 0, // Skip to: 4268
/* 4254 */    MCD::OPC_CheckPredicate, 68, 54, 41, // Skip to: 14808
/* 4258 */    MCD::OPC_CheckField, 6, 5, 0, 48, 41, // Skip to: 14808
/* 4264 */    MCD::OPC_Decode, 196, 17, 61, // Opcode: MUL
/* 4268 */    MCD::OPC_FilterValue, 4, 37, 0, // Skip to: 4309
/* 4272 */    MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 4275 */    MCD::OPC_FilterValue, 0, 33, 41, // Skip to: 14808
/* 4279 */    MCD::OPC_ExtractField, 13, 3,  // Inst{15-13} ...
/* 4282 */    MCD::OPC_FilterValue, 0, 26, 41, // Skip to: 14808
/* 4286 */    MCD::OPC_CheckPredicate, 68, 10, 0, // Skip to: 4300
/* 4290 */    MCD::OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 4300
/* 4296 */    MCD::OPC_Decode, 129, 17, 80, // Opcode: MSUB
/* 4300 */    MCD::OPC_CheckPredicate, 37, 8, 41, // Skip to: 14808
/* 4304 */    MCD::OPC_Decode, 147, 17, 243, 1, // Opcode: MSUB_DSP
/* 4309 */    MCD::OPC_FilterValue, 5, 37, 0, // Skip to: 4350
/* 4313 */    MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 4316 */    MCD::OPC_FilterValue, 0, 248, 40, // Skip to: 14808
/* 4320 */    MCD::OPC_ExtractField, 13, 3,  // Inst{15-13} ...
/* 4323 */    MCD::OPC_FilterValue, 0, 241, 40, // Skip to: 14808
/* 4327 */    MCD::OPC_CheckPredicate, 68, 10, 0, // Skip to: 4341
/* 4331 */    MCD::OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 4341
/* 4337 */    MCD::OPC_Decode, 136, 17, 80, // Opcode: MSUBU
/* 4341 */    MCD::OPC_CheckPredicate, 37, 223, 40, // Skip to: 14808
/* 4345 */    MCD::OPC_Decode, 137, 17, 243, 1, // Opcode: MSUBU_DSP
/* 4350 */    MCD::OPC_FilterValue, 32, 15, 0, // Skip to: 4369
/* 4354 */    MCD::OPC_CheckPredicate, 68, 210, 40, // Skip to: 14808
/* 4358 */    MCD::OPC_CheckField, 6, 5, 0, 204, 40, // Skip to: 14808
/* 4364 */    MCD::OPC_Decode, 148, 9, 244, 1, // Opcode: CLZ
/* 4369 */    MCD::OPC_FilterValue, 33, 15, 0, // Skip to: 4388
/* 4373 */    MCD::OPC_CheckPredicate, 68, 191, 40, // Skip to: 14808
/* 4377 */    MCD::OPC_CheckField, 6, 5, 0, 185, 40, // Skip to: 14808
/* 4383 */    MCD::OPC_Decode, 128, 9, 244, 1, // Opcode: CLO
/* 4388 */    MCD::OPC_FilterValue, 63, 176, 40, // Skip to: 14808
/* 4392 */    MCD::OPC_CheckPredicate, 68, 172, 40, // Skip to: 14808
/* 4396 */    MCD::OPC_Decode, 181, 19, 188, 1, // Opcode: SDBBP
/* 4401 */    MCD::OPC_FilterValue, 29, 9, 0, // Skip to: 4414
/* 4405 */    MCD::OPC_CheckPredicate, 68, 159, 40, // Skip to: 14808
/* 4409 */    MCD::OPC_Decode, 178, 14, 200, 1, // Opcode: JALX
/* 4414 */    MCD::OPC_FilterValue, 30, 108, 28, // Skip to: 11694
/* 4418 */    MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 4421 */    MCD::OPC_FilterValue, 0, 55, 0, // Skip to: 4480
/* 4425 */    MCD::OPC_ExtractField, 24, 2,  // Inst{25-24} ...
/* 4428 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 4441
/* 4432 */    MCD::OPC_CheckPredicate, 30, 132, 40, // Skip to: 14808
/* 4436 */    MCD::OPC_Decode, 215, 6, 245, 1, // Opcode: ANDI_B
/* 4441 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 4454
/* 4445 */    MCD::OPC_CheckPredicate, 30, 119, 40, // Skip to: 14808
/* 4449 */    MCD::OPC_Decode, 152, 18, 245, 1, // Opcode: ORI_B
/* 4454 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 4467
/* 4458 */    MCD::OPC_CheckPredicate, 30, 106, 40, // Skip to: 14808
/* 4462 */    MCD::OPC_Decode, 140, 18, 245, 1, // Opcode: NORI_B
/* 4467 */    MCD::OPC_FilterValue, 3, 97, 40, // Skip to: 14808
/* 4471 */    MCD::OPC_CheckPredicate, 30, 93, 40, // Skip to: 14808
/* 4475 */    MCD::OPC_Decode, 206, 22, 245, 1, // Opcode: XORI_B
/* 4480 */    MCD::OPC_FilterValue, 1, 42, 0, // Skip to: 4526
/* 4484 */    MCD::OPC_ExtractField, 24, 2,  // Inst{25-24} ...
/* 4487 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 4500
/* 4491 */    MCD::OPC_CheckPredicate, 30, 73, 40, // Skip to: 14808
/* 4495 */    MCD::OPC_Decode, 133, 8, 246, 1, // Opcode: BMNZI_B
/* 4500 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 4513
/* 4504 */    MCD::OPC_CheckPredicate, 30, 60, 40, // Skip to: 14808
/* 4508 */    MCD::OPC_Decode, 135, 8, 246, 1, // Opcode: BMZI_B
/* 4513 */    MCD::OPC_FilterValue, 2, 51, 40, // Skip to: 14808
/* 4517 */    MCD::OPC_CheckPredicate, 30, 47, 40, // Skip to: 14808
/* 4521 */    MCD::OPC_Decode, 177, 8, 246, 1, // Opcode: BSELI_B
/* 4526 */    MCD::OPC_FilterValue, 2, 42, 0, // Skip to: 4572
/* 4530 */    MCD::OPC_ExtractField, 24, 2,  // Inst{25-24} ...
/* 4533 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 4546
/* 4537 */    MCD::OPC_CheckPredicate, 30, 27, 40, // Skip to: 14808
/* 4541 */    MCD::OPC_Decode, 234, 19, 245, 1, // Opcode: SHF_B
/* 4546 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 4559
/* 4550 */    MCD::OPC_CheckPredicate, 30, 14, 40, // Skip to: 14808
/* 4554 */    MCD::OPC_Decode, 235, 19, 247, 1, // Opcode: SHF_H
/* 4559 */    MCD::OPC_FilterValue, 2, 5, 40, // Skip to: 14808
/* 4563 */    MCD::OPC_CheckPredicate, 30, 1, 40, // Skip to: 14808
/* 4567 */    MCD::OPC_Decode, 236, 19, 248, 1, // Opcode: SHF_W
/* 4572 */    MCD::OPC_FilterValue, 6, 59, 1, // Skip to: 4891
/* 4576 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 4579 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 4592
/* 4583 */    MCD::OPC_CheckPredicate, 30, 237, 39, // Skip to: 14808
/* 4587 */    MCD::OPC_Decode, 183, 6, 249, 1, // Opcode: ADDVI_B
/* 4592 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 4605
/* 4596 */    MCD::OPC_CheckPredicate, 30, 224, 39, // Skip to: 14808
/* 4600 */    MCD::OPC_Decode, 185, 6, 250, 1, // Opcode: ADDVI_H
/* 4605 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 4618
/* 4609 */    MCD::OPC_CheckPredicate, 30, 211, 39, // Skip to: 14808
/* 4613 */    MCD::OPC_Decode, 186, 6, 251, 1, // Opcode: ADDVI_W
/* 4618 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 4631
/* 4622 */    MCD::OPC_CheckPredicate, 30, 198, 39, // Skip to: 14808
/* 4626 */    MCD::OPC_Decode, 184, 6, 252, 1, // Opcode: ADDVI_D
/* 4631 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 4644
/* 4635 */    MCD::OPC_CheckPredicate, 30, 185, 39, // Skip to: 14808
/* 4639 */    MCD::OPC_Decode, 175, 21, 249, 1, // Opcode: SUBVI_B
/* 4644 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 4657
/* 4648 */    MCD::OPC_CheckPredicate, 30, 172, 39, // Skip to: 14808
/* 4652 */    MCD::OPC_Decode, 177, 21, 250, 1, // Opcode: SUBVI_H
/* 4657 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 4670
/* 4661 */    MCD::OPC_CheckPredicate, 30, 159, 39, // Skip to: 14808
/* 4665 */    MCD::OPC_Decode, 178, 21, 251, 1, // Opcode: SUBVI_W
/* 4670 */    MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 4683
/* 4674 */    MCD::OPC_CheckPredicate, 30, 146, 39, // Skip to: 14808
/* 4678 */    MCD::OPC_Decode, 176, 21, 252, 1, // Opcode: SUBVI_D
/* 4683 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 4696
/* 4687 */    MCD::OPC_CheckPredicate, 30, 133, 39, // Skip to: 14808
/* 4691 */    MCD::OPC_Decode, 243, 15, 249, 1, // Opcode: MAXI_S_B
/* 4696 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 4709
/* 4700 */    MCD::OPC_CheckPredicate, 30, 120, 39, // Skip to: 14808
/* 4704 */    MCD::OPC_Decode, 245, 15, 250, 1, // Opcode: MAXI_S_H
/* 4709 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 4722
/* 4713 */    MCD::OPC_CheckPredicate, 30, 107, 39, // Skip to: 14808
/* 4717 */    MCD::OPC_Decode, 246, 15, 251, 1, // Opcode: MAXI_S_W
/* 4722 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 4735
/* 4726 */    MCD::OPC_CheckPredicate, 30, 94, 39, // Skip to: 14808
/* 4730 */    MCD::OPC_Decode, 244, 15, 252, 1, // Opcode: MAXI_S_D
/* 4735 */    MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 4748
/* 4739 */    MCD::OPC_CheckPredicate, 30, 81, 39, // Skip to: 14808
/* 4743 */    MCD::OPC_Decode, 247, 15, 249, 1, // Opcode: MAXI_U_B
/* 4748 */    MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 4761
/* 4752 */    MCD::OPC_CheckPredicate, 30, 68, 39, // Skip to: 14808
/* 4756 */    MCD::OPC_Decode, 249, 15, 250, 1, // Opcode: MAXI_U_H
/* 4761 */    MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 4774
/* 4765 */    MCD::OPC_CheckPredicate, 30, 55, 39, // Skip to: 14808
/* 4769 */    MCD::OPC_Decode, 250, 15, 251, 1, // Opcode: MAXI_U_W
/* 4774 */    MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 4787
/* 4778 */    MCD::OPC_CheckPredicate, 30, 42, 39, // Skip to: 14808
/* 4782 */    MCD::OPC_Decode, 248, 15, 252, 1, // Opcode: MAXI_U_D
/* 4787 */    MCD::OPC_FilterValue, 16, 9, 0, // Skip to: 4800
/* 4791 */    MCD::OPC_CheckPredicate, 30, 29, 39, // Skip to: 14808
/* 4795 */    MCD::OPC_Decode, 174, 16, 249, 1, // Opcode: MINI_S_B
/* 4800 */    MCD::OPC_FilterValue, 17, 9, 0, // Skip to: 4813
/* 4804 */    MCD::OPC_CheckPredicate, 30, 16, 39, // Skip to: 14808
/* 4808 */    MCD::OPC_Decode, 176, 16, 250, 1, // Opcode: MINI_S_H
/* 4813 */    MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 4826
/* 4817 */    MCD::OPC_CheckPredicate, 30, 3, 39, // Skip to: 14808
/* 4821 */    MCD::OPC_Decode, 177, 16, 251, 1, // Opcode: MINI_S_W
/* 4826 */    MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 4839
/* 4830 */    MCD::OPC_CheckPredicate, 30, 246, 38, // Skip to: 14808
/* 4834 */    MCD::OPC_Decode, 175, 16, 252, 1, // Opcode: MINI_S_D
/* 4839 */    MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 4852
/* 4843 */    MCD::OPC_CheckPredicate, 30, 233, 38, // Skip to: 14808
/* 4847 */    MCD::OPC_Decode, 178, 16, 249, 1, // Opcode: MINI_U_B
/* 4852 */    MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 4865
/* 4856 */    MCD::OPC_CheckPredicate, 30, 220, 38, // Skip to: 14808
/* 4860 */    MCD::OPC_Decode, 180, 16, 250, 1, // Opcode: MINI_U_H
/* 4865 */    MCD::OPC_FilterValue, 22, 9, 0, // Skip to: 4878
/* 4869 */    MCD::OPC_CheckPredicate, 30, 207, 38, // Skip to: 14808
/* 4873 */    MCD::OPC_Decode, 181, 16, 251, 1, // Opcode: MINI_U_W
/* 4878 */    MCD::OPC_FilterValue, 23, 198, 38, // Skip to: 14808
/* 4882 */    MCD::OPC_CheckPredicate, 30, 194, 38, // Skip to: 14808
/* 4886 */    MCD::OPC_Decode, 179, 16, 252, 1, // Opcode: MINI_U_D
/* 4891 */    MCD::OPC_FilterValue, 7, 59, 1, // Skip to: 5210
/* 4895 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 4898 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 4911
/* 4902 */    MCD::OPC_CheckPredicate, 30, 174, 38, // Skip to: 14808
/* 4906 */    MCD::OPC_Decode, 220, 8, 249, 1, // Opcode: CEQI_B
/* 4911 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 4924
/* 4915 */    MCD::OPC_CheckPredicate, 30, 161, 38, // Skip to: 14808
/* 4919 */    MCD::OPC_Decode, 222, 8, 250, 1, // Opcode: CEQI_H
/* 4924 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 4937
/* 4928 */    MCD::OPC_CheckPredicate, 30, 148, 38, // Skip to: 14808
/* 4932 */    MCD::OPC_Decode, 223, 8, 251, 1, // Opcode: CEQI_W
/* 4937 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 4950
/* 4941 */    MCD::OPC_CheckPredicate, 30, 135, 38, // Skip to: 14808
/* 4945 */    MCD::OPC_Decode, 221, 8, 252, 1, // Opcode: CEQI_D
/* 4950 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 4963
/* 4954 */    MCD::OPC_CheckPredicate, 30, 122, 38, // Skip to: 14808
/* 4958 */    MCD::OPC_Decode, 132, 9, 249, 1, // Opcode: CLTI_S_B
/* 4963 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 4976
/* 4967 */    MCD::OPC_CheckPredicate, 30, 109, 38, // Skip to: 14808
/* 4971 */    MCD::OPC_Decode, 134, 9, 250, 1, // Opcode: CLTI_S_H
/* 4976 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 4989
/* 4980 */    MCD::OPC_CheckPredicate, 30, 96, 38, // Skip to: 14808
/* 4984 */    MCD::OPC_Decode, 135, 9, 251, 1, // Opcode: CLTI_S_W
/* 4989 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 5002
/* 4993 */    MCD::OPC_CheckPredicate, 30, 83, 38, // Skip to: 14808
/* 4997 */    MCD::OPC_Decode, 133, 9, 252, 1, // Opcode: CLTI_S_D
/* 5002 */    MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 5015
/* 5006 */    MCD::OPC_CheckPredicate, 30, 70, 38, // Skip to: 14808
/* 5010 */    MCD::OPC_Decode, 136, 9, 249, 1, // Opcode: CLTI_U_B
/* 5015 */    MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 5028
/* 5019 */    MCD::OPC_CheckPredicate, 30, 57, 38, // Skip to: 14808
/* 5023 */    MCD::OPC_Decode, 138, 9, 250, 1, // Opcode: CLTI_U_H
/* 5028 */    MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 5041
/* 5032 */    MCD::OPC_CheckPredicate, 30, 44, 38, // Skip to: 14808
/* 5036 */    MCD::OPC_Decode, 139, 9, 251, 1, // Opcode: CLTI_U_W
/* 5041 */    MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 5054
/* 5045 */    MCD::OPC_CheckPredicate, 30, 31, 38, // Skip to: 14808
/* 5049 */    MCD::OPC_Decode, 137, 9, 252, 1, // Opcode: CLTI_U_D
/* 5054 */    MCD::OPC_FilterValue, 16, 9, 0, // Skip to: 5067
/* 5058 */    MCD::OPC_CheckPredicate, 30, 18, 38, // Skip to: 14808
/* 5062 */    MCD::OPC_Decode, 240, 8, 249, 1, // Opcode: CLEI_S_B
/* 5067 */    MCD::OPC_FilterValue, 17, 9, 0, // Skip to: 5080
/* 5071 */    MCD::OPC_CheckPredicate, 30, 5, 38, // Skip to: 14808
/* 5075 */    MCD::OPC_Decode, 242, 8, 250, 1, // Opcode: CLEI_S_H
/* 5080 */    MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 5093
/* 5084 */    MCD::OPC_CheckPredicate, 30, 248, 37, // Skip to: 14808
/* 5088 */    MCD::OPC_Decode, 243, 8, 251, 1, // Opcode: CLEI_S_W
/* 5093 */    MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 5106
/* 5097 */    MCD::OPC_CheckPredicate, 30, 235, 37, // Skip to: 14808
/* 5101 */    MCD::OPC_Decode, 241, 8, 252, 1, // Opcode: CLEI_S_D
/* 5106 */    MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 5119
/* 5110 */    MCD::OPC_CheckPredicate, 30, 222, 37, // Skip to: 14808
/* 5114 */    MCD::OPC_Decode, 244, 8, 249, 1, // Opcode: CLEI_U_B
/* 5119 */    MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 5132
/* 5123 */    MCD::OPC_CheckPredicate, 30, 209, 37, // Skip to: 14808
/* 5127 */    MCD::OPC_Decode, 246, 8, 250, 1, // Opcode: CLEI_U_H
/* 5132 */    MCD::OPC_FilterValue, 22, 9, 0, // Skip to: 5145
/* 5136 */    MCD::OPC_CheckPredicate, 30, 196, 37, // Skip to: 14808
/* 5140 */    MCD::OPC_Decode, 247, 8, 251, 1, // Opcode: CLEI_U_W
/* 5145 */    MCD::OPC_FilterValue, 23, 9, 0, // Skip to: 5158
/* 5149 */    MCD::OPC_CheckPredicate, 30, 183, 37, // Skip to: 14808
/* 5153 */    MCD::OPC_Decode, 245, 8, 252, 1, // Opcode: CLEI_U_D
/* 5158 */    MCD::OPC_FilterValue, 24, 9, 0, // Skip to: 5171
/* 5162 */    MCD::OPC_CheckPredicate, 30, 170, 37, // Skip to: 14808
/* 5166 */    MCD::OPC_Decode, 231, 14, 253, 1, // Opcode: LDI_B
/* 5171 */    MCD::OPC_FilterValue, 25, 9, 0, // Skip to: 5184
/* 5175 */    MCD::OPC_CheckPredicate, 30, 157, 37, // Skip to: 14808
/* 5179 */    MCD::OPC_Decode, 233, 14, 254, 1, // Opcode: LDI_H
/* 5184 */    MCD::OPC_FilterValue, 26, 9, 0, // Skip to: 5197
/* 5188 */    MCD::OPC_CheckPredicate, 30, 144, 37, // Skip to: 14808
/* 5192 */    MCD::OPC_Decode, 234, 14, 255, 1, // Opcode: LDI_W
/* 5197 */    MCD::OPC_FilterValue, 27, 135, 37, // Skip to: 14808
/* 5201 */    MCD::OPC_CheckPredicate, 30, 131, 37, // Skip to: 14808
/* 5205 */    MCD::OPC_Decode, 232, 14, 128, 2, // Opcode: LDI_D
/* 5210 */    MCD::OPC_FilterValue, 9, 67, 2, // Skip to: 5793
/* 5214 */    MCD::OPC_ExtractField, 22, 4,  // Inst{25-22} ...
/* 5217 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5230
/* 5221 */    MCD::OPC_CheckPredicate, 30, 111, 37, // Skip to: 14808
/* 5225 */    MCD::OPC_Decode, 175, 20, 129, 2, // Opcode: SLLI_D
/* 5230 */    MCD::OPC_FilterValue, 1, 55, 0, // Skip to: 5289
/* 5234 */    MCD::OPC_ExtractField, 21, 1,  // Inst{21} ...
/* 5237 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5250
/* 5241 */    MCD::OPC_CheckPredicate, 30, 91, 37, // Skip to: 14808
/* 5245 */    MCD::OPC_Decode, 177, 20, 251, 1, // Opcode: SLLI_W
/* 5250 */    MCD::OPC_FilterValue, 1, 82, 37, // Skip to: 14808
/* 5254 */    MCD::OPC_ExtractField, 20, 1,  // Inst{20} ...
/* 5257 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5270
/* 5261 */    MCD::OPC_CheckPredicate, 30, 71, 37, // Skip to: 14808
/* 5265 */    MCD::OPC_Decode, 176, 20, 130, 2, // Opcode: SLLI_H
/* 5270 */    MCD::OPC_FilterValue, 1, 62, 37, // Skip to: 14808
/* 5274 */    MCD::OPC_CheckPredicate, 30, 58, 37, // Skip to: 14808
/* 5278 */    MCD::OPC_CheckField, 19, 1, 0, 52, 37, // Skip to: 14808
/* 5284 */    MCD::OPC_Decode, 174, 20, 131, 2, // Opcode: SLLI_B
/* 5289 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 5302
/* 5293 */    MCD::OPC_CheckPredicate, 30, 39, 37, // Skip to: 14808
/* 5297 */    MCD::OPC_Decode, 210, 20, 129, 2, // Opcode: SRAI_D
/* 5302 */    MCD::OPC_FilterValue, 3, 55, 0, // Skip to: 5361
/* 5306 */    MCD::OPC_ExtractField, 21, 1,  // Inst{21} ...
/* 5309 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5322
/* 5313 */    MCD::OPC_CheckPredicate, 30, 19, 37, // Skip to: 14808
/* 5317 */    MCD::OPC_Decode, 212, 20, 251, 1, // Opcode: SRAI_W
/* 5322 */    MCD::OPC_FilterValue, 1, 10, 37, // Skip to: 14808
/* 5326 */    MCD::OPC_ExtractField, 20, 1,  // Inst{20} ...
/* 5329 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5342
/* 5333 */    MCD::OPC_CheckPredicate, 30, 255, 36, // Skip to: 14808
/* 5337 */    MCD::OPC_Decode, 211, 20, 130, 2, // Opcode: SRAI_H
/* 5342 */    MCD::OPC_FilterValue, 1, 246, 36, // Skip to: 14808
/* 5346 */    MCD::OPC_CheckPredicate, 30, 242, 36, // Skip to: 14808
/* 5350 */    MCD::OPC_CheckField, 19, 1, 0, 236, 36, // Skip to: 14808
/* 5356 */    MCD::OPC_Decode, 209, 20, 131, 2, // Opcode: SRAI_B
/* 5361 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 5374
/* 5365 */    MCD::OPC_CheckPredicate, 30, 223, 36, // Skip to: 14808
/* 5369 */    MCD::OPC_Decode, 232, 20, 129, 2, // Opcode: SRLI_D
/* 5374 */    MCD::OPC_FilterValue, 5, 55, 0, // Skip to: 5433
/* 5378 */    MCD::OPC_ExtractField, 21, 1,  // Inst{21} ...
/* 5381 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5394
/* 5385 */    MCD::OPC_CheckPredicate, 30, 203, 36, // Skip to: 14808
/* 5389 */    MCD::OPC_Decode, 234, 20, 251, 1, // Opcode: SRLI_W
/* 5394 */    MCD::OPC_FilterValue, 1, 194, 36, // Skip to: 14808
/* 5398 */    MCD::OPC_ExtractField, 20, 1,  // Inst{20} ...
/* 5401 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5414
/* 5405 */    MCD::OPC_CheckPredicate, 30, 183, 36, // Skip to: 14808
/* 5409 */    MCD::OPC_Decode, 233, 20, 130, 2, // Opcode: SRLI_H
/* 5414 */    MCD::OPC_FilterValue, 1, 174, 36, // Skip to: 14808
/* 5418 */    MCD::OPC_CheckPredicate, 30, 170, 36, // Skip to: 14808
/* 5422 */    MCD::OPC_CheckField, 19, 1, 0, 164, 36, // Skip to: 14808
/* 5428 */    MCD::OPC_Decode, 231, 20, 131, 2, // Opcode: SRLI_B
/* 5433 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 5446
/* 5437 */    MCD::OPC_CheckPredicate, 30, 151, 36, // Skip to: 14808
/* 5441 */    MCD::OPC_Decode, 162, 7, 129, 2, // Opcode: BCLRI_D
/* 5446 */    MCD::OPC_FilterValue, 7, 55, 0, // Skip to: 5505
/* 5450 */    MCD::OPC_ExtractField, 21, 1,  // Inst{21} ...
/* 5453 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5466
/* 5457 */    MCD::OPC_CheckPredicate, 30, 131, 36, // Skip to: 14808
/* 5461 */    MCD::OPC_Decode, 164, 7, 251, 1, // Opcode: BCLRI_W
/* 5466 */    MCD::OPC_FilterValue, 1, 122, 36, // Skip to: 14808
/* 5470 */    MCD::OPC_ExtractField, 20, 1,  // Inst{20} ...
/* 5473 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5486
/* 5477 */    MCD::OPC_CheckPredicate, 30, 111, 36, // Skip to: 14808
/* 5481 */    MCD::OPC_Decode, 163, 7, 130, 2, // Opcode: BCLRI_H
/* 5486 */    MCD::OPC_FilterValue, 1, 102, 36, // Skip to: 14808
/* 5490 */    MCD::OPC_CheckPredicate, 30, 98, 36, // Skip to: 14808
/* 5494 */    MCD::OPC_CheckField, 19, 1, 0, 92, 36, // Skip to: 14808
/* 5500 */    MCD::OPC_Decode, 161, 7, 131, 2, // Opcode: BCLRI_B
/* 5505 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 5518
/* 5509 */    MCD::OPC_CheckPredicate, 30, 79, 36, // Skip to: 14808
/* 5513 */    MCD::OPC_Decode, 180, 8, 129, 2, // Opcode: BSETI_D
/* 5518 */    MCD::OPC_FilterValue, 9, 55, 0, // Skip to: 5577
/* 5522 */    MCD::OPC_ExtractField, 21, 1,  // Inst{21} ...
/* 5525 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5538
/* 5529 */    MCD::OPC_CheckPredicate, 30, 59, 36, // Skip to: 14808
/* 5533 */    MCD::OPC_Decode, 182, 8, 251, 1, // Opcode: BSETI_W
/* 5538 */    MCD::OPC_FilterValue, 1, 50, 36, // Skip to: 14808
/* 5542 */    MCD::OPC_ExtractField, 20, 1,  // Inst{20} ...
/* 5545 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5558
/* 5549 */    MCD::OPC_CheckPredicate, 30, 39, 36, // Skip to: 14808
/* 5553 */    MCD::OPC_Decode, 181, 8, 130, 2, // Opcode: BSETI_H
/* 5558 */    MCD::OPC_FilterValue, 1, 30, 36, // Skip to: 14808
/* 5562 */    MCD::OPC_CheckPredicate, 30, 26, 36, // Skip to: 14808
/* 5566 */    MCD::OPC_CheckField, 19, 1, 0, 20, 36, // Skip to: 14808
/* 5572 */    MCD::OPC_Decode, 179, 8, 131, 2, // Opcode: BSETI_B
/* 5577 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 5590
/* 5581 */    MCD::OPC_CheckPredicate, 30, 7, 36, // Skip to: 14808
/* 5585 */    MCD::OPC_Decode, 143, 8, 129, 2, // Opcode: BNEGI_D
/* 5590 */    MCD::OPC_FilterValue, 11, 55, 0, // Skip to: 5649
/* 5594 */    MCD::OPC_ExtractField, 21, 1,  // Inst{21} ...
/* 5597 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5610
/* 5601 */    MCD::OPC_CheckPredicate, 30, 243, 35, // Skip to: 14808
/* 5605 */    MCD::OPC_Decode, 145, 8, 251, 1, // Opcode: BNEGI_W
/* 5610 */    MCD::OPC_FilterValue, 1, 234, 35, // Skip to: 14808
/* 5614 */    MCD::OPC_ExtractField, 20, 1,  // Inst{20} ...
/* 5617 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5630
/* 5621 */    MCD::OPC_CheckPredicate, 30, 223, 35, // Skip to: 14808
/* 5625 */    MCD::OPC_Decode, 144, 8, 130, 2, // Opcode: BNEGI_H
/* 5630 */    MCD::OPC_FilterValue, 1, 214, 35, // Skip to: 14808
/* 5634 */    MCD::OPC_CheckPredicate, 30, 210, 35, // Skip to: 14808
/* 5638 */    MCD::OPC_CheckField, 19, 1, 0, 204, 35, // Skip to: 14808
/* 5644 */    MCD::OPC_Decode, 142, 8, 131, 2, // Opcode: BNEGI_B
/* 5649 */    MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 5662
/* 5653 */    MCD::OPC_CheckPredicate, 30, 191, 35, // Skip to: 14808
/* 5657 */    MCD::OPC_Decode, 214, 7, 132, 2, // Opcode: BINSLI_D
/* 5662 */    MCD::OPC_FilterValue, 13, 55, 0, // Skip to: 5721
/* 5666 */    MCD::OPC_ExtractField, 21, 1,  // Inst{21} ...
/* 5669 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5682
/* 5673 */    MCD::OPC_CheckPredicate, 30, 171, 35, // Skip to: 14808
/* 5677 */    MCD::OPC_Decode, 216, 7, 133, 2, // Opcode: BINSLI_W
/* 5682 */    MCD::OPC_FilterValue, 1, 162, 35, // Skip to: 14808
/* 5686 */    MCD::OPC_ExtractField, 20, 1,  // Inst{20} ...
/* 5689 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5702
/* 5693 */    MCD::OPC_CheckPredicate, 30, 151, 35, // Skip to: 14808
/* 5697 */    MCD::OPC_Decode, 215, 7, 134, 2, // Opcode: BINSLI_H
/* 5702 */    MCD::OPC_FilterValue, 1, 142, 35, // Skip to: 14808
/* 5706 */    MCD::OPC_CheckPredicate, 30, 138, 35, // Skip to: 14808
/* 5710 */    MCD::OPC_CheckField, 19, 1, 0, 132, 35, // Skip to: 14808
/* 5716 */    MCD::OPC_Decode, 213, 7, 135, 2, // Opcode: BINSLI_B
/* 5721 */    MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 5734
/* 5725 */    MCD::OPC_CheckPredicate, 30, 119, 35, // Skip to: 14808
/* 5729 */    MCD::OPC_Decode, 222, 7, 132, 2, // Opcode: BINSRI_D
/* 5734 */    MCD::OPC_FilterValue, 15, 110, 35, // Skip to: 14808
/* 5738 */    MCD::OPC_ExtractField, 21, 1,  // Inst{21} ...
/* 5741 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5754
/* 5745 */    MCD::OPC_CheckPredicate, 30, 99, 35, // Skip to: 14808
/* 5749 */    MCD::OPC_Decode, 224, 7, 133, 2, // Opcode: BINSRI_W
/* 5754 */    MCD::OPC_FilterValue, 1, 90, 35, // Skip to: 14808
/* 5758 */    MCD::OPC_ExtractField, 20, 1,  // Inst{20} ...
/* 5761 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5774
/* 5765 */    MCD::OPC_CheckPredicate, 30, 79, 35, // Skip to: 14808
/* 5769 */    MCD::OPC_Decode, 223, 7, 134, 2, // Opcode: BINSRI_H
/* 5774 */    MCD::OPC_FilterValue, 1, 70, 35, // Skip to: 14808
/* 5778 */    MCD::OPC_CheckPredicate, 30, 66, 35, // Skip to: 14808
/* 5782 */    MCD::OPC_CheckField, 19, 1, 0, 60, 35, // Skip to: 14808
/* 5788 */    MCD::OPC_Decode, 221, 7, 135, 2, // Opcode: BINSRI_B
/* 5793 */    MCD::OPC_FilterValue, 10, 35, 1, // Skip to: 6088
/* 5797 */    MCD::OPC_ExtractField, 22, 4,  // Inst{25-22} ...
/* 5800 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5813
/* 5804 */    MCD::OPC_CheckPredicate, 30, 40, 35, // Skip to: 14808
/* 5808 */    MCD::OPC_Decode, 155, 19, 129, 2, // Opcode: SAT_S_D
/* 5813 */    MCD::OPC_FilterValue, 1, 55, 0, // Skip to: 5872
/* 5817 */    MCD::OPC_ExtractField, 21, 1,  // Inst{21} ...
/* 5820 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5833
/* 5824 */    MCD::OPC_CheckPredicate, 30, 20, 35, // Skip to: 14808
/* 5828 */    MCD::OPC_Decode, 157, 19, 251, 1, // Opcode: SAT_S_W
/* 5833 */    MCD::OPC_FilterValue, 1, 11, 35, // Skip to: 14808
/* 5837 */    MCD::OPC_ExtractField, 20, 1,  // Inst{20} ...
/* 5840 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5853
/* 5844 */    MCD::OPC_CheckPredicate, 30, 0, 35, // Skip to: 14808
/* 5848 */    MCD::OPC_Decode, 156, 19, 130, 2, // Opcode: SAT_S_H
/* 5853 */    MCD::OPC_FilterValue, 1, 247, 34, // Skip to: 14808
/* 5857 */    MCD::OPC_CheckPredicate, 30, 243, 34, // Skip to: 14808
/* 5861 */    MCD::OPC_CheckField, 19, 1, 0, 237, 34, // Skip to: 14808
/* 5867 */    MCD::OPC_Decode, 154, 19, 131, 2, // Opcode: SAT_S_B
/* 5872 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 5885
/* 5876 */    MCD::OPC_CheckPredicate, 30, 224, 34, // Skip to: 14808
/* 5880 */    MCD::OPC_Decode, 159, 19, 129, 2, // Opcode: SAT_U_D
/* 5885 */    MCD::OPC_FilterValue, 3, 55, 0, // Skip to: 5944
/* 5889 */    MCD::OPC_ExtractField, 21, 1,  // Inst{21} ...
/* 5892 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5905
/* 5896 */    MCD::OPC_CheckPredicate, 30, 204, 34, // Skip to: 14808
/* 5900 */    MCD::OPC_Decode, 161, 19, 251, 1, // Opcode: SAT_U_W
/* 5905 */    MCD::OPC_FilterValue, 1, 195, 34, // Skip to: 14808
/* 5909 */    MCD::OPC_ExtractField, 20, 1,  // Inst{20} ...
/* 5912 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5925
/* 5916 */    MCD::OPC_CheckPredicate, 30, 184, 34, // Skip to: 14808
/* 5920 */    MCD::OPC_Decode, 160, 19, 130, 2, // Opcode: SAT_U_H
/* 5925 */    MCD::OPC_FilterValue, 1, 175, 34, // Skip to: 14808
/* 5929 */    MCD::OPC_CheckPredicate, 30, 171, 34, // Skip to: 14808
/* 5933 */    MCD::OPC_CheckField, 19, 1, 0, 165, 34, // Skip to: 14808
/* 5939 */    MCD::OPC_Decode, 158, 19, 131, 2, // Opcode: SAT_U_B
/* 5944 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 5957
/* 5948 */    MCD::OPC_CheckPredicate, 30, 152, 34, // Skip to: 14808
/* 5952 */    MCD::OPC_Decode, 214, 20, 129, 2, // Opcode: SRARI_D
/* 5957 */    MCD::OPC_FilterValue, 5, 55, 0, // Skip to: 6016
/* 5961 */    MCD::OPC_ExtractField, 21, 1,  // Inst{21} ...
/* 5964 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5977
/* 5968 */    MCD::OPC_CheckPredicate, 30, 132, 34, // Skip to: 14808
/* 5972 */    MCD::OPC_Decode, 216, 20, 251, 1, // Opcode: SRARI_W
/* 5977 */    MCD::OPC_FilterValue, 1, 123, 34, // Skip to: 14808
/* 5981 */    MCD::OPC_ExtractField, 20, 1,  // Inst{20} ...
/* 5984 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5997
/* 5988 */    MCD::OPC_CheckPredicate, 30, 112, 34, // Skip to: 14808
/* 5992 */    MCD::OPC_Decode, 215, 20, 130, 2, // Opcode: SRARI_H
/* 5997 */    MCD::OPC_FilterValue, 1, 103, 34, // Skip to: 14808
/* 6001 */    MCD::OPC_CheckPredicate, 30, 99, 34, // Skip to: 14808
/* 6005 */    MCD::OPC_CheckField, 19, 1, 0, 93, 34, // Skip to: 14808
/* 6011 */    MCD::OPC_Decode, 213, 20, 131, 2, // Opcode: SRARI_B
/* 6016 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 6029
/* 6020 */    MCD::OPC_CheckPredicate, 30, 80, 34, // Skip to: 14808
/* 6024 */    MCD::OPC_Decode, 236, 20, 129, 2, // Opcode: SRLRI_D
/* 6029 */    MCD::OPC_FilterValue, 7, 71, 34, // Skip to: 14808
/* 6033 */    MCD::OPC_ExtractField, 21, 1,  // Inst{21} ...
/* 6036 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 6049
/* 6040 */    MCD::OPC_CheckPredicate, 30, 60, 34, // Skip to: 14808
/* 6044 */    MCD::OPC_Decode, 238, 20, 251, 1, // Opcode: SRLRI_W
/* 6049 */    MCD::OPC_FilterValue, 1, 51, 34, // Skip to: 14808
/* 6053 */    MCD::OPC_ExtractField, 20, 1,  // Inst{20} ...
/* 6056 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 6069
/* 6060 */    MCD::OPC_CheckPredicate, 30, 40, 34, // Skip to: 14808
/* 6064 */    MCD::OPC_Decode, 237, 20, 130, 2, // Opcode: SRLRI_H
/* 6069 */    MCD::OPC_FilterValue, 1, 31, 34, // Skip to: 14808
/* 6073 */    MCD::OPC_CheckPredicate, 30, 27, 34, // Skip to: 14808
/* 6077 */    MCD::OPC_CheckField, 19, 1, 0, 21, 34, // Skip to: 14808
/* 6083 */    MCD::OPC_Decode, 235, 20, 131, 2, // Opcode: SRLRI_B
/* 6088 */    MCD::OPC_FilterValue, 13, 163, 1, // Skip to: 6511
/* 6092 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 6095 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 6108
/* 6099 */    MCD::OPC_CheckPredicate, 30, 1, 34, // Skip to: 14808
/* 6103 */    MCD::OPC_Decode, 180, 20, 136, 2, // Opcode: SLL_B
/* 6108 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 6121
/* 6112 */    MCD::OPC_CheckPredicate, 30, 244, 33, // Skip to: 14808
/* 6116 */    MCD::OPC_Decode, 182, 20, 137, 2, // Opcode: SLL_H
/* 6121 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 6134
/* 6125 */    MCD::OPC_CheckPredicate, 30, 231, 33, // Skip to: 14808
/* 6129 */    MCD::OPC_Decode, 185, 20, 138, 2, // Opcode: SLL_W
/* 6134 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 6147
/* 6138 */    MCD::OPC_CheckPredicate, 30, 218, 33, // Skip to: 14808
/* 6142 */    MCD::OPC_Decode, 181, 20, 139, 2, // Opcode: SLL_D
/* 6147 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 6160
/* 6151 */    MCD::OPC_CheckPredicate, 30, 205, 33, // Skip to: 14808
/* 6155 */    MCD::OPC_Decode, 223, 20, 136, 2, // Opcode: SRA_B
/* 6160 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 6173
/* 6164 */    MCD::OPC_CheckPredicate, 30, 192, 33, // Skip to: 14808
/* 6168 */    MCD::OPC_Decode, 225, 20, 137, 2, // Opcode: SRA_H
/* 6173 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 6186
/* 6177 */    MCD::OPC_CheckPredicate, 30, 179, 33, // Skip to: 14808
/* 6181 */    MCD::OPC_Decode, 227, 20, 138, 2, // Opcode: SRA_W
/* 6186 */    MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 6199
/* 6190 */    MCD::OPC_CheckPredicate, 30, 166, 33, // Skip to: 14808
/* 6194 */    MCD::OPC_Decode, 224, 20, 139, 2, // Opcode: SRA_D
/* 6199 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 6212
/* 6203 */    MCD::OPC_CheckPredicate, 30, 153, 33, // Skip to: 14808
/* 6207 */    MCD::OPC_Decode, 245, 20, 136, 2, // Opcode: SRL_B
/* 6212 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 6225
/* 6216 */    MCD::OPC_CheckPredicate, 30, 140, 33, // Skip to: 14808
/* 6220 */    MCD::OPC_Decode, 247, 20, 137, 2, // Opcode: SRL_H
/* 6225 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 6238
/* 6229 */    MCD::OPC_CheckPredicate, 30, 127, 33, // Skip to: 14808
/* 6233 */    MCD::OPC_Decode, 249, 20, 138, 2, // Opcode: SRL_W
/* 6238 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 6251
/* 6242 */    MCD::OPC_CheckPredicate, 30, 114, 33, // Skip to: 14808
/* 6246 */    MCD::OPC_Decode, 246, 20, 139, 2, // Opcode: SRL_D
/* 6251 */    MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 6264
/* 6255 */    MCD::OPC_CheckPredicate, 30, 101, 33, // Skip to: 14808
/* 6259 */    MCD::OPC_Decode, 165, 7, 136, 2, // Opcode: BCLR_B
/* 6264 */    MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 6277
/* 6268 */    MCD::OPC_CheckPredicate, 30, 88, 33, // Skip to: 14808
/* 6272 */    MCD::OPC_Decode, 167, 7, 137, 2, // Opcode: BCLR_H
/* 6277 */    MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 6290
/* 6281 */    MCD::OPC_CheckPredicate, 30, 75, 33, // Skip to: 14808
/* 6285 */    MCD::OPC_Decode, 168, 7, 138, 2, // Opcode: BCLR_W
/* 6290 */    MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 6303
/* 6294 */    MCD::OPC_CheckPredicate, 30, 62, 33, // Skip to: 14808
/* 6298 */    MCD::OPC_Decode, 166, 7, 139, 2, // Opcode: BCLR_D
/* 6303 */    MCD::OPC_FilterValue, 16, 9, 0, // Skip to: 6316
/* 6307 */    MCD::OPC_CheckPredicate, 30, 49, 33, // Skip to: 14808
/* 6311 */    MCD::OPC_Decode, 183, 8, 136, 2, // Opcode: BSET_B
/* 6316 */    MCD::OPC_FilterValue, 17, 9, 0, // Skip to: 6329
/* 6320 */    MCD::OPC_CheckPredicate, 30, 36, 33, // Skip to: 14808
/* 6324 */    MCD::OPC_Decode, 185, 8, 137, 2, // Opcode: BSET_H
/* 6329 */    MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 6342
/* 6333 */    MCD::OPC_CheckPredicate, 30, 23, 33, // Skip to: 14808
/* 6337 */    MCD::OPC_Decode, 186, 8, 138, 2, // Opcode: BSET_W
/* 6342 */    MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 6355
/* 6346 */    MCD::OPC_CheckPredicate, 30, 10, 33, // Skip to: 14808
/* 6350 */    MCD::OPC_Decode, 184, 8, 139, 2, // Opcode: BSET_D
/* 6355 */    MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 6368
/* 6359 */    MCD::OPC_CheckPredicate, 30, 253, 32, // Skip to: 14808
/* 6363 */    MCD::OPC_Decode, 146, 8, 136, 2, // Opcode: BNEG_B
/* 6368 */    MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 6381
/* 6372 */    MCD::OPC_CheckPredicate, 30, 240, 32, // Skip to: 14808
/* 6376 */    MCD::OPC_Decode, 148, 8, 137, 2, // Opcode: BNEG_H
/* 6381 */    MCD::OPC_FilterValue, 22, 9, 0, // Skip to: 6394
/* 6385 */    MCD::OPC_CheckPredicate, 30, 227, 32, // Skip to: 14808
/* 6389 */    MCD::OPC_Decode, 149, 8, 138, 2, // Opcode: BNEG_W
/* 6394 */    MCD::OPC_FilterValue, 23, 9, 0, // Skip to: 6407
/* 6398 */    MCD::OPC_CheckPredicate, 30, 214, 32, // Skip to: 14808
/* 6402 */    MCD::OPC_Decode, 147, 8, 139, 2, // Opcode: BNEG_D
/* 6407 */    MCD::OPC_FilterValue, 24, 9, 0, // Skip to: 6420
/* 6411 */    MCD::OPC_CheckPredicate, 30, 201, 32, // Skip to: 14808
/* 6415 */    MCD::OPC_Decode, 217, 7, 140, 2, // Opcode: BINSL_B
/* 6420 */    MCD::OPC_FilterValue, 25, 9, 0, // Skip to: 6433
/* 6424 */    MCD::OPC_CheckPredicate, 30, 188, 32, // Skip to: 14808
/* 6428 */    MCD::OPC_Decode, 219, 7, 141, 2, // Opcode: BINSL_H
/* 6433 */    MCD::OPC_FilterValue, 26, 9, 0, // Skip to: 6446
/* 6437 */    MCD::OPC_CheckPredicate, 30, 175, 32, // Skip to: 14808
/* 6441 */    MCD::OPC_Decode, 220, 7, 142, 2, // Opcode: BINSL_W
/* 6446 */    MCD::OPC_FilterValue, 27, 9, 0, // Skip to: 6459
/* 6450 */    MCD::OPC_CheckPredicate, 30, 162, 32, // Skip to: 14808
/* 6454 */    MCD::OPC_Decode, 218, 7, 143, 2, // Opcode: BINSL_D
/* 6459 */    MCD::OPC_FilterValue, 28, 9, 0, // Skip to: 6472
/* 6463 */    MCD::OPC_CheckPredicate, 30, 149, 32, // Skip to: 14808
/* 6467 */    MCD::OPC_Decode, 225, 7, 140, 2, // Opcode: BINSR_B
/* 6472 */    MCD::OPC_FilterValue, 29, 9, 0, // Skip to: 6485
/* 6476 */    MCD::OPC_CheckPredicate, 30, 136, 32, // Skip to: 14808
/* 6480 */    MCD::OPC_Decode, 227, 7, 141, 2, // Opcode: BINSR_H
/* 6485 */    MCD::OPC_FilterValue, 30, 9, 0, // Skip to: 6498
/* 6489 */    MCD::OPC_CheckPredicate, 30, 123, 32, // Skip to: 14808
/* 6493 */    MCD::OPC_Decode, 228, 7, 142, 2, // Opcode: BINSR_W
/* 6498 */    MCD::OPC_FilterValue, 31, 114, 32, // Skip to: 14808
/* 6502 */    MCD::OPC_CheckPredicate, 30, 110, 32, // Skip to: 14808
/* 6506 */    MCD::OPC_Decode, 226, 7, 143, 2, // Opcode: BINSR_D
/* 6511 */    MCD::OPC_FilterValue, 14, 163, 1, // Skip to: 6934
/* 6515 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 6518 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 6531
/* 6522 */    MCD::OPC_CheckPredicate, 30, 90, 32, // Skip to: 14808
/* 6526 */    MCD::OPC_Decode, 187, 6, 136, 2, // Opcode: ADDV_B
/* 6531 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 6544
/* 6535 */    MCD::OPC_CheckPredicate, 30, 77, 32, // Skip to: 14808
/* 6539 */    MCD::OPC_Decode, 189, 6, 137, 2, // Opcode: ADDV_H
/* 6544 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 6557
/* 6548 */    MCD::OPC_CheckPredicate, 30, 64, 32, // Skip to: 14808
/* 6552 */    MCD::OPC_Decode, 190, 6, 138, 2, // Opcode: ADDV_W
/* 6557 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 6570
/* 6561 */    MCD::OPC_CheckPredicate, 30, 51, 32, // Skip to: 14808
/* 6565 */    MCD::OPC_Decode, 188, 6, 139, 2, // Opcode: ADDV_D
/* 6570 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 6583
/* 6574 */    MCD::OPC_CheckPredicate, 30, 38, 32, // Skip to: 14808
/* 6578 */    MCD::OPC_Decode, 179, 21, 136, 2, // Opcode: SUBV_B
/* 6583 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 6596
/* 6587 */    MCD::OPC_CheckPredicate, 30, 25, 32, // Skip to: 14808
/* 6591 */    MCD::OPC_Decode, 181, 21, 137, 2, // Opcode: SUBV_H
/* 6596 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 6609
/* 6600 */    MCD::OPC_CheckPredicate, 30, 12, 32, // Skip to: 14808
/* 6604 */    MCD::OPC_Decode, 182, 21, 138, 2, // Opcode: SUBV_W
/* 6609 */    MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 6622
/* 6613 */    MCD::OPC_CheckPredicate, 30, 255, 31, // Skip to: 14808
/* 6617 */    MCD::OPC_Decode, 180, 21, 139, 2, // Opcode: SUBV_D
/* 6622 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 6635
/* 6626 */    MCD::OPC_CheckPredicate, 30, 242, 31, // Skip to: 14808
/* 6630 */    MCD::OPC_Decode, 130, 16, 136, 2, // Opcode: MAX_S_B
/* 6635 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 6648
/* 6639 */    MCD::OPC_CheckPredicate, 30, 229, 31, // Skip to: 14808
/* 6643 */    MCD::OPC_Decode, 132, 16, 137, 2, // Opcode: MAX_S_H
/* 6648 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 6661
/* 6652 */    MCD::OPC_CheckPredicate, 30, 216, 31, // Skip to: 14808
/* 6656 */    MCD::OPC_Decode, 134, 16, 138, 2, // Opcode: MAX_S_W
/* 6661 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 6674
/* 6665 */    MCD::OPC_CheckPredicate, 30, 203, 31, // Skip to: 14808
/* 6669 */    MCD::OPC_Decode, 131, 16, 139, 2, // Opcode: MAX_S_D
/* 6674 */    MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 6687
/* 6678 */    MCD::OPC_CheckPredicate, 30, 190, 31, // Skip to: 14808
/* 6682 */    MCD::OPC_Decode, 135, 16, 136, 2, // Opcode: MAX_U_B
/* 6687 */    MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 6700
/* 6691 */    MCD::OPC_CheckPredicate, 30, 177, 31, // Skip to: 14808
/* 6695 */    MCD::OPC_Decode, 137, 16, 137, 2, // Opcode: MAX_U_H
/* 6700 */    MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 6713
/* 6704 */    MCD::OPC_CheckPredicate, 30, 164, 31, // Skip to: 14808
/* 6708 */    MCD::OPC_Decode, 138, 16, 138, 2, // Opcode: MAX_U_W
/* 6713 */    MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 6726
/* 6717 */    MCD::OPC_CheckPredicate, 30, 151, 31, // Skip to: 14808
/* 6721 */    MCD::OPC_Decode, 136, 16, 139, 2, // Opcode: MAX_U_D
/* 6726 */    MCD::OPC_FilterValue, 16, 9, 0, // Skip to: 6739
/* 6730 */    MCD::OPC_CheckPredicate, 30, 138, 31, // Skip to: 14808
/* 6734 */    MCD::OPC_Decode, 189, 16, 136, 2, // Opcode: MIN_S_B
/* 6739 */    MCD::OPC_FilterValue, 17, 9, 0, // Skip to: 6752
/* 6743 */    MCD::OPC_CheckPredicate, 30, 125, 31, // Skip to: 14808
/* 6747 */    MCD::OPC_Decode, 191, 16, 137, 2, // Opcode: MIN_S_H
/* 6752 */    MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 6765
/* 6756 */    MCD::OPC_CheckPredicate, 30, 112, 31, // Skip to: 14808
/* 6760 */    MCD::OPC_Decode, 193, 16, 138, 2, // Opcode: MIN_S_W
/* 6765 */    MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 6778
/* 6769 */    MCD::OPC_CheckPredicate, 30, 99, 31, // Skip to: 14808
/* 6773 */    MCD::OPC_Decode, 190, 16, 139, 2, // Opcode: MIN_S_D
/* 6778 */    MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 6791
/* 6782 */    MCD::OPC_CheckPredicate, 30, 86, 31, // Skip to: 14808
/* 6786 */    MCD::OPC_Decode, 194, 16, 136, 2, // Opcode: MIN_U_B
/* 6791 */    MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 6804
/* 6795 */    MCD::OPC_CheckPredicate, 30, 73, 31, // Skip to: 14808
/* 6799 */    MCD::OPC_Decode, 196, 16, 137, 2, // Opcode: MIN_U_H
/* 6804 */    MCD::OPC_FilterValue, 22, 9, 0, // Skip to: 6817
/* 6808 */    MCD::OPC_CheckPredicate, 30, 60, 31, // Skip to: 14808
/* 6812 */    MCD::OPC_Decode, 197, 16, 138, 2, // Opcode: MIN_U_W
/* 6817 */    MCD::OPC_FilterValue, 23, 9, 0, // Skip to: 6830
/* 6821 */    MCD::OPC_CheckPredicate, 30, 47, 31, // Skip to: 14808
/* 6825 */    MCD::OPC_Decode, 195, 16, 139, 2, // Opcode: MIN_U_D
/* 6830 */    MCD::OPC_FilterValue, 24, 9, 0, // Skip to: 6843
/* 6834 */    MCD::OPC_CheckPredicate, 30, 34, 31, // Skip to: 14808
/* 6838 */    MCD::OPC_Decode, 251, 15, 136, 2, // Opcode: MAX_A_B
/* 6843 */    MCD::OPC_FilterValue, 25, 9, 0, // Skip to: 6856
/* 6847 */    MCD::OPC_CheckPredicate, 30, 21, 31, // Skip to: 14808
/* 6851 */    MCD::OPC_Decode, 253, 15, 137, 2, // Opcode: MAX_A_H
/* 6856 */    MCD::OPC_FilterValue, 26, 9, 0, // Skip to: 6869
/* 6860 */    MCD::OPC_CheckPredicate, 30, 8, 31, // Skip to: 14808
/* 6864 */    MCD::OPC_Decode, 254, 15, 138, 2, // Opcode: MAX_A_W
/* 6869 */    MCD::OPC_FilterValue, 27, 9, 0, // Skip to: 6882
/* 6873 */    MCD::OPC_CheckPredicate, 30, 251, 30, // Skip to: 14808
/* 6877 */    MCD::OPC_Decode, 252, 15, 139, 2, // Opcode: MAX_A_D
/* 6882 */    MCD::OPC_FilterValue, 28, 9, 0, // Skip to: 6895
/* 6886 */    MCD::OPC_CheckPredicate, 30, 238, 30, // Skip to: 14808
/* 6890 */    MCD::OPC_Decode, 182, 16, 136, 2, // Opcode: MIN_A_B
/* 6895 */    MCD::OPC_FilterValue, 29, 9, 0, // Skip to: 6908
/* 6899 */    MCD::OPC_CheckPredicate, 30, 225, 30, // Skip to: 14808
/* 6903 */    MCD::OPC_Decode, 184, 16, 137, 2, // Opcode: MIN_A_H
/* 6908 */    MCD::OPC_FilterValue, 30, 9, 0, // Skip to: 6921
/* 6912 */    MCD::OPC_CheckPredicate, 30, 212, 30, // Skip to: 14808
/* 6916 */    MCD::OPC_Decode, 185, 16, 138, 2, // Opcode: MIN_A_W
/* 6921 */    MCD::OPC_FilterValue, 31, 203, 30, // Skip to: 14808
/* 6925 */    MCD::OPC_CheckPredicate, 30, 199, 30, // Skip to: 14808
/* 6929 */    MCD::OPC_Decode, 183, 16, 139, 2, // Opcode: MIN_A_D
/* 6934 */    MCD::OPC_FilterValue, 15, 7, 1, // Skip to: 7201
/* 6938 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 6941 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 6954
/* 6945 */    MCD::OPC_CheckPredicate, 30, 179, 30, // Skip to: 14808
/* 6949 */    MCD::OPC_Decode, 224, 8, 136, 2, // Opcode: CEQ_B
/* 6954 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 6967
/* 6958 */    MCD::OPC_CheckPredicate, 30, 166, 30, // Skip to: 14808
/* 6962 */    MCD::OPC_Decode, 226, 8, 137, 2, // Opcode: CEQ_H
/* 6967 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 6980
/* 6971 */    MCD::OPC_CheckPredicate, 30, 153, 30, // Skip to: 14808
/* 6975 */    MCD::OPC_Decode, 227, 8, 138, 2, // Opcode: CEQ_W
/* 6980 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 6993
/* 6984 */    MCD::OPC_CheckPredicate, 30, 140, 30, // Skip to: 14808
/* 6988 */    MCD::OPC_Decode, 225, 8, 139, 2, // Opcode: CEQ_D
/* 6993 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 7006
/* 6997 */    MCD::OPC_CheckPredicate, 30, 127, 30, // Skip to: 14808
/* 7001 */    MCD::OPC_Decode, 140, 9, 136, 2, // Opcode: CLT_S_B
/* 7006 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 7019
/* 7010 */    MCD::OPC_CheckPredicate, 30, 114, 30, // Skip to: 14808
/* 7014 */    MCD::OPC_Decode, 142, 9, 137, 2, // Opcode: CLT_S_H
/* 7019 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 7032
/* 7023 */    MCD::OPC_CheckPredicate, 30, 101, 30, // Skip to: 14808
/* 7027 */    MCD::OPC_Decode, 143, 9, 138, 2, // Opcode: CLT_S_W
/* 7032 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 7045
/* 7036 */    MCD::OPC_CheckPredicate, 30, 88, 30, // Skip to: 14808
/* 7040 */    MCD::OPC_Decode, 141, 9, 139, 2, // Opcode: CLT_S_D
/* 7045 */    MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 7058
/* 7049 */    MCD::OPC_CheckPredicate, 30, 75, 30, // Skip to: 14808
/* 7053 */    MCD::OPC_Decode, 144, 9, 136, 2, // Opcode: CLT_U_B
/* 7058 */    MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 7071
/* 7062 */    MCD::OPC_CheckPredicate, 30, 62, 30, // Skip to: 14808
/* 7066 */    MCD::OPC_Decode, 146, 9, 137, 2, // Opcode: CLT_U_H
/* 7071 */    MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 7084
/* 7075 */    MCD::OPC_CheckPredicate, 30, 49, 30, // Skip to: 14808
/* 7079 */    MCD::OPC_Decode, 147, 9, 138, 2, // Opcode: CLT_U_W
/* 7084 */    MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 7097
/* 7088 */    MCD::OPC_CheckPredicate, 30, 36, 30, // Skip to: 14808
/* 7092 */    MCD::OPC_Decode, 145, 9, 139, 2, // Opcode: CLT_U_D
/* 7097 */    MCD::OPC_FilterValue, 16, 9, 0, // Skip to: 7110
/* 7101 */    MCD::OPC_CheckPredicate, 30, 23, 30, // Skip to: 14808
/* 7105 */    MCD::OPC_Decode, 248, 8, 136, 2, // Opcode: CLE_S_B
/* 7110 */    MCD::OPC_FilterValue, 17, 9, 0, // Skip to: 7123
/* 7114 */    MCD::OPC_CheckPredicate, 30, 10, 30, // Skip to: 14808
/* 7118 */    MCD::OPC_Decode, 250, 8, 137, 2, // Opcode: CLE_S_H
/* 7123 */    MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 7136
/* 7127 */    MCD::OPC_CheckPredicate, 30, 253, 29, // Skip to: 14808
/* 7131 */    MCD::OPC_Decode, 251, 8, 138, 2, // Opcode: CLE_S_W
/* 7136 */    MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 7149
/* 7140 */    MCD::OPC_CheckPredicate, 30, 240, 29, // Skip to: 14808
/* 7144 */    MCD::OPC_Decode, 249, 8, 139, 2, // Opcode: CLE_S_D
/* 7149 */    MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 7162
/* 7153 */    MCD::OPC_CheckPredicate, 30, 227, 29, // Skip to: 14808
/* 7157 */    MCD::OPC_Decode, 252, 8, 136, 2, // Opcode: CLE_U_B
/* 7162 */    MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 7175
/* 7166 */    MCD::OPC_CheckPredicate, 30, 214, 29, // Skip to: 14808
/* 7170 */    MCD::OPC_Decode, 254, 8, 137, 2, // Opcode: CLE_U_H
/* 7175 */    MCD::OPC_FilterValue, 22, 9, 0, // Skip to: 7188
/* 7179 */    MCD::OPC_CheckPredicate, 30, 201, 29, // Skip to: 14808
/* 7183 */    MCD::OPC_Decode, 255, 8, 138, 2, // Opcode: CLE_U_W
/* 7188 */    MCD::OPC_FilterValue, 23, 192, 29, // Skip to: 14808
/* 7192 */    MCD::OPC_CheckPredicate, 30, 188, 29, // Skip to: 14808
/* 7196 */    MCD::OPC_Decode, 253, 8, 139, 2, // Opcode: CLE_U_D
/* 7201 */    MCD::OPC_FilterValue, 16, 163, 1, // Skip to: 7624
/* 7205 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 7208 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 7221
/* 7212 */    MCD::OPC_CheckPredicate, 30, 168, 29, // Skip to: 14808
/* 7216 */    MCD::OPC_Decode, 193, 6, 136, 2, // Opcode: ADD_A_B
/* 7221 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 7234
/* 7225 */    MCD::OPC_CheckPredicate, 30, 155, 29, // Skip to: 14808
/* 7229 */    MCD::OPC_Decode, 195, 6, 137, 2, // Opcode: ADD_A_H
/* 7234 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 7247
/* 7238 */    MCD::OPC_CheckPredicate, 30, 142, 29, // Skip to: 14808
/* 7242 */    MCD::OPC_Decode, 196, 6, 138, 2, // Opcode: ADD_A_W
/* 7247 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 7260
/* 7251 */    MCD::OPC_CheckPredicate, 30, 129, 29, // Skip to: 14808
/* 7255 */    MCD::OPC_Decode, 194, 6, 139, 2, // Opcode: ADD_A_D
/* 7260 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 7273
/* 7264 */    MCD::OPC_CheckPredicate, 30, 116, 29, // Skip to: 14808
/* 7268 */    MCD::OPC_Decode, 156, 6, 136, 2, // Opcode: ADDS_A_B
/* 7273 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 7286
/* 7277 */    MCD::OPC_CheckPredicate, 30, 103, 29, // Skip to: 14808
/* 7281 */    MCD::OPC_Decode, 158, 6, 137, 2, // Opcode: ADDS_A_H
/* 7286 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 7299
/* 7290 */    MCD::OPC_CheckPredicate, 30, 90, 29, // Skip to: 14808
/* 7294 */    MCD::OPC_Decode, 159, 6, 138, 2, // Opcode: ADDS_A_W
/* 7299 */    MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 7312
/* 7303 */    MCD::OPC_CheckPredicate, 30, 77, 29, // Skip to: 14808
/* 7307 */    MCD::OPC_Decode, 157, 6, 139, 2, // Opcode: ADDS_A_D
/* 7312 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 7325
/* 7316 */    MCD::OPC_CheckPredicate, 30, 64, 29, // Skip to: 14808
/* 7320 */    MCD::OPC_Decode, 160, 6, 136, 2, // Opcode: ADDS_S_B
/* 7325 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 7338
/* 7329 */    MCD::OPC_CheckPredicate, 30, 51, 29, // Skip to: 14808
/* 7333 */    MCD::OPC_Decode, 162, 6, 137, 2, // Opcode: ADDS_S_H
/* 7338 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 7351
/* 7342 */    MCD::OPC_CheckPredicate, 30, 38, 29, // Skip to: 14808
/* 7346 */    MCD::OPC_Decode, 163, 6, 138, 2, // Opcode: ADDS_S_W
/* 7351 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 7364
/* 7355 */    MCD::OPC_CheckPredicate, 30, 25, 29, // Skip to: 14808
/* 7359 */    MCD::OPC_Decode, 161, 6, 139, 2, // Opcode: ADDS_S_D
/* 7364 */    MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 7377
/* 7368 */    MCD::OPC_CheckPredicate, 30, 12, 29, // Skip to: 14808
/* 7372 */    MCD::OPC_Decode, 164, 6, 136, 2, // Opcode: ADDS_U_B
/* 7377 */    MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 7390
/* 7381 */    MCD::OPC_CheckPredicate, 30, 255, 28, // Skip to: 14808
/* 7385 */    MCD::OPC_Decode, 166, 6, 137, 2, // Opcode: ADDS_U_H
/* 7390 */    MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 7403
/* 7394 */    MCD::OPC_CheckPredicate, 30, 242, 28, // Skip to: 14808
/* 7398 */    MCD::OPC_Decode, 167, 6, 138, 2, // Opcode: ADDS_U_W
/* 7403 */    MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 7416
/* 7407 */    MCD::OPC_CheckPredicate, 30, 229, 28, // Skip to: 14808
/* 7411 */    MCD::OPC_Decode, 165, 6, 139, 2, // Opcode: ADDS_U_D
/* 7416 */    MCD::OPC_FilterValue, 16, 9, 0, // Skip to: 7429
/* 7420 */    MCD::OPC_CheckPredicate, 30, 216, 28, // Skip to: 14808
/* 7424 */    MCD::OPC_Decode, 245, 6, 136, 2, // Opcode: AVE_S_B
/* 7429 */    MCD::OPC_FilterValue, 17, 9, 0, // Skip to: 7442
/* 7433 */    MCD::OPC_CheckPredicate, 30, 203, 28, // Skip to: 14808
/* 7437 */    MCD::OPC_Decode, 247, 6, 137, 2, // Opcode: AVE_S_H
/* 7442 */    MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 7455
/* 7446 */    MCD::OPC_CheckPredicate, 30, 190, 28, // Skip to: 14808
/* 7450 */    MCD::OPC_Decode, 248, 6, 138, 2, // Opcode: AVE_S_W
/* 7455 */    MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 7468
/* 7459 */    MCD::OPC_CheckPredicate, 30, 177, 28, // Skip to: 14808
/* 7463 */    MCD::OPC_Decode, 246, 6, 139, 2, // Opcode: AVE_S_D
/* 7468 */    MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 7481
/* 7472 */    MCD::OPC_CheckPredicate, 30, 164, 28, // Skip to: 14808
/* 7476 */    MCD::OPC_Decode, 249, 6, 136, 2, // Opcode: AVE_U_B
/* 7481 */    MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 7494
/* 7485 */    MCD::OPC_CheckPredicate, 30, 151, 28, // Skip to: 14808
/* 7489 */    MCD::OPC_Decode, 251, 6, 137, 2, // Opcode: AVE_U_H
/* 7494 */    MCD::OPC_FilterValue, 22, 9, 0, // Skip to: 7507
/* 7498 */    MCD::OPC_CheckPredicate, 30, 138, 28, // Skip to: 14808
/* 7502 */    MCD::OPC_Decode, 252, 6, 138, 2, // Opcode: AVE_U_W
/* 7507 */    MCD::OPC_FilterValue, 23, 9, 0, // Skip to: 7520
/* 7511 */    MCD::OPC_CheckPredicate, 30, 125, 28, // Skip to: 14808
/* 7515 */    MCD::OPC_Decode, 250, 6, 139, 2, // Opcode: AVE_U_D
/* 7520 */    MCD::OPC_FilterValue, 24, 9, 0, // Skip to: 7533
/* 7524 */    MCD::OPC_CheckPredicate, 30, 112, 28, // Skip to: 14808
/* 7528 */    MCD::OPC_Decode, 237, 6, 136, 2, // Opcode: AVER_S_B
/* 7533 */    MCD::OPC_FilterValue, 25, 9, 0, // Skip to: 7546
/* 7537 */    MCD::OPC_CheckPredicate, 30, 99, 28, // Skip to: 14808
/* 7541 */    MCD::OPC_Decode, 239, 6, 137, 2, // Opcode: AVER_S_H
/* 7546 */    MCD::OPC_FilterValue, 26, 9, 0, // Skip to: 7559
/* 7550 */    MCD::OPC_CheckPredicate, 30, 86, 28, // Skip to: 14808
/* 7554 */    MCD::OPC_Decode, 240, 6, 138, 2, // Opcode: AVER_S_W
/* 7559 */    MCD::OPC_FilterValue, 27, 9, 0, // Skip to: 7572
/* 7563 */    MCD::OPC_CheckPredicate, 30, 73, 28, // Skip to: 14808
/* 7567 */    MCD::OPC_Decode, 238, 6, 139, 2, // Opcode: AVER_S_D
/* 7572 */    MCD::OPC_FilterValue, 28, 9, 0, // Skip to: 7585
/* 7576 */    MCD::OPC_CheckPredicate, 30, 60, 28, // Skip to: 14808
/* 7580 */    MCD::OPC_Decode, 241, 6, 136, 2, // Opcode: AVER_U_B
/* 7585 */    MCD::OPC_FilterValue, 29, 9, 0, // Skip to: 7598
/* 7589 */    MCD::OPC_CheckPredicate, 30, 47, 28, // Skip to: 14808
/* 7593 */    MCD::OPC_Decode, 243, 6, 137, 2, // Opcode: AVER_U_H
/* 7598 */    MCD::OPC_FilterValue, 30, 9, 0, // Skip to: 7611
/* 7602 */    MCD::OPC_CheckPredicate, 30, 34, 28, // Skip to: 14808
/* 7606 */    MCD::OPC_Decode, 244, 6, 138, 2, // Opcode: AVER_U_W
/* 7611 */    MCD::OPC_FilterValue, 31, 25, 28, // Skip to: 14808
/* 7615 */    MCD::OPC_CheckPredicate, 30, 21, 28, // Skip to: 14808
/* 7619 */    MCD::OPC_Decode, 242, 6, 139, 2, // Opcode: AVER_U_D
/* 7624 */    MCD::OPC_FilterValue, 17, 59, 1, // Skip to: 7943
/* 7628 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 7631 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 7644
/* 7635 */    MCD::OPC_CheckPredicate, 30, 1, 28, // Skip to: 14808
/* 7639 */    MCD::OPC_Decode, 152, 21, 136, 2, // Opcode: SUBS_S_B
/* 7644 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 7657
/* 7648 */    MCD::OPC_CheckPredicate, 30, 244, 27, // Skip to: 14808
/* 7652 */    MCD::OPC_Decode, 154, 21, 137, 2, // Opcode: SUBS_S_H
/* 7657 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 7670
/* 7661 */    MCD::OPC_CheckPredicate, 30, 231, 27, // Skip to: 14808
/* 7665 */    MCD::OPC_Decode, 155, 21, 138, 2, // Opcode: SUBS_S_W
/* 7670 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 7683
/* 7674 */    MCD::OPC_CheckPredicate, 30, 218, 27, // Skip to: 14808
/* 7678 */    MCD::OPC_Decode, 153, 21, 139, 2, // Opcode: SUBS_S_D
/* 7683 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 7696
/* 7687 */    MCD::OPC_CheckPredicate, 30, 205, 27, // Skip to: 14808
/* 7691 */    MCD::OPC_Decode, 156, 21, 136, 2, // Opcode: SUBS_U_B
/* 7696 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 7709
/* 7700 */    MCD::OPC_CheckPredicate, 30, 192, 27, // Skip to: 14808
/* 7704 */    MCD::OPC_Decode, 158, 21, 137, 2, // Opcode: SUBS_U_H
/* 7709 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 7722
/* 7713 */    MCD::OPC_CheckPredicate, 30, 179, 27, // Skip to: 14808
/* 7717 */    MCD::OPC_Decode, 159, 21, 138, 2, // Opcode: SUBS_U_W
/* 7722 */    MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 7735
/* 7726 */    MCD::OPC_CheckPredicate, 30, 166, 27, // Skip to: 14808
/* 7730 */    MCD::OPC_Decode, 157, 21, 139, 2, // Opcode: SUBS_U_D
/* 7735 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 7748
/* 7739 */    MCD::OPC_CheckPredicate, 30, 153, 27, // Skip to: 14808
/* 7743 */    MCD::OPC_Decode, 144, 21, 136, 2, // Opcode: SUBSUS_U_B
/* 7748 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 7761
/* 7752 */    MCD::OPC_CheckPredicate, 30, 140, 27, // Skip to: 14808
/* 7756 */    MCD::OPC_Decode, 146, 21, 137, 2, // Opcode: SUBSUS_U_H
/* 7761 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 7774
/* 7765 */    MCD::OPC_CheckPredicate, 30, 127, 27, // Skip to: 14808
/* 7769 */    MCD::OPC_Decode, 147, 21, 138, 2, // Opcode: SUBSUS_U_W
/* 7774 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 7787
/* 7778 */    MCD::OPC_CheckPredicate, 30, 114, 27, // Skip to: 14808
/* 7782 */    MCD::OPC_Decode, 145, 21, 139, 2, // Opcode: SUBSUS_U_D
/* 7787 */    MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 7800
/* 7791 */    MCD::OPC_CheckPredicate, 30, 101, 27, // Skip to: 14808
/* 7795 */    MCD::OPC_Decode, 148, 21, 136, 2, // Opcode: SUBSUU_S_B
/* 7800 */    MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 7813
/* 7804 */    MCD::OPC_CheckPredicate, 30, 88, 27, // Skip to: 14808
/* 7808 */    MCD::OPC_Decode, 150, 21, 137, 2, // Opcode: SUBSUU_S_H
/* 7813 */    MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 7826
/* 7817 */    MCD::OPC_CheckPredicate, 30, 75, 27, // Skip to: 14808
/* 7821 */    MCD::OPC_Decode, 151, 21, 138, 2, // Opcode: SUBSUU_S_W
/* 7826 */    MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 7839
/* 7830 */    MCD::OPC_CheckPredicate, 30, 62, 27, // Skip to: 14808
/* 7834 */    MCD::OPC_Decode, 149, 21, 139, 2, // Opcode: SUBSUU_S_D
/* 7839 */    MCD::OPC_FilterValue, 16, 9, 0, // Skip to: 7852
/* 7843 */    MCD::OPC_CheckPredicate, 30, 49, 27, // Skip to: 14808
/* 7847 */    MCD::OPC_Decode, 225, 6, 136, 2, // Opcode: ASUB_S_B
/* 7852 */    MCD::OPC_FilterValue, 17, 9, 0, // Skip to: 7865
/* 7856 */    MCD::OPC_CheckPredicate, 30, 36, 27, // Skip to: 14808
/* 7860 */    MCD::OPC_Decode, 227, 6, 137, 2, // Opcode: ASUB_S_H
/* 7865 */    MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 7878
/* 7869 */    MCD::OPC_CheckPredicate, 30, 23, 27, // Skip to: 14808
/* 7873 */    MCD::OPC_Decode, 228, 6, 138, 2, // Opcode: ASUB_S_W
/* 7878 */    MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 7891
/* 7882 */    MCD::OPC_CheckPredicate, 30, 10, 27, // Skip to: 14808
/* 7886 */    MCD::OPC_Decode, 226, 6, 139, 2, // Opcode: ASUB_S_D
/* 7891 */    MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 7904
/* 7895 */    MCD::OPC_CheckPredicate, 30, 253, 26, // Skip to: 14808
/* 7899 */    MCD::OPC_Decode, 229, 6, 136, 2, // Opcode: ASUB_U_B
/* 7904 */    MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 7917
/* 7908 */    MCD::OPC_CheckPredicate, 30, 240, 26, // Skip to: 14808
/* 7912 */    MCD::OPC_Decode, 231, 6, 137, 2, // Opcode: ASUB_U_H
/* 7917 */    MCD::OPC_FilterValue, 22, 9, 0, // Skip to: 7930
/* 7921 */    MCD::OPC_CheckPredicate, 30, 227, 26, // Skip to: 14808
/* 7925 */    MCD::OPC_Decode, 232, 6, 138, 2, // Opcode: ASUB_U_W
/* 7930 */    MCD::OPC_FilterValue, 23, 218, 26, // Skip to: 14808
/* 7934 */    MCD::OPC_CheckPredicate, 30, 214, 26, // Skip to: 14808
/* 7938 */    MCD::OPC_Decode, 230, 6, 139, 2, // Opcode: ASUB_U_D
/* 7943 */    MCD::OPC_FilterValue, 18, 111, 1, // Skip to: 8314
/* 7947 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 7950 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 7963
/* 7954 */    MCD::OPC_CheckPredicate, 30, 194, 26, // Skip to: 14808
/* 7958 */    MCD::OPC_Decode, 230, 17, 136, 2, // Opcode: MULV_B
/* 7963 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 7976
/* 7967 */    MCD::OPC_CheckPredicate, 30, 181, 26, // Skip to: 14808
/* 7971 */    MCD::OPC_Decode, 232, 17, 137, 2, // Opcode: MULV_H
/* 7976 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 7989
/* 7980 */    MCD::OPC_CheckPredicate, 30, 168, 26, // Skip to: 14808
/* 7984 */    MCD::OPC_Decode, 233, 17, 138, 2, // Opcode: MULV_W
/* 7989 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 8002
/* 7993 */    MCD::OPC_CheckPredicate, 30, 155, 26, // Skip to: 14808
/* 7997 */    MCD::OPC_Decode, 231, 17, 139, 2, // Opcode: MULV_D
/* 8002 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 8015
/* 8006 */    MCD::OPC_CheckPredicate, 30, 142, 26, // Skip to: 14808
/* 8010 */    MCD::OPC_Decode, 217, 15, 140, 2, // Opcode: MADDV_B
/* 8015 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 8028
/* 8019 */    MCD::OPC_CheckPredicate, 30, 129, 26, // Skip to: 14808
/* 8023 */    MCD::OPC_Decode, 219, 15, 141, 2, // Opcode: MADDV_H
/* 8028 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 8041
/* 8032 */    MCD::OPC_CheckPredicate, 30, 116, 26, // Skip to: 14808
/* 8036 */    MCD::OPC_Decode, 220, 15, 142, 2, // Opcode: MADDV_W
/* 8041 */    MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 8054
/* 8045 */    MCD::OPC_CheckPredicate, 30, 103, 26, // Skip to: 14808
/* 8049 */    MCD::OPC_Decode, 218, 15, 143, 2, // Opcode: MADDV_D
/* 8054 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 8067
/* 8058 */    MCD::OPC_CheckPredicate, 30, 90, 26, // Skip to: 14808
/* 8062 */    MCD::OPC_Decode, 140, 17, 140, 2, // Opcode: MSUBV_B
/* 8067 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 8080
/* 8071 */    MCD::OPC_CheckPredicate, 30, 77, 26, // Skip to: 14808
/* 8075 */    MCD::OPC_Decode, 142, 17, 141, 2, // Opcode: MSUBV_H
/* 8080 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 8093
/* 8084 */    MCD::OPC_CheckPredicate, 30, 64, 26, // Skip to: 14808
/* 8088 */    MCD::OPC_Decode, 143, 17, 142, 2, // Opcode: MSUBV_W
/* 8093 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 8106
/* 8097 */    MCD::OPC_CheckPredicate, 30, 51, 26, // Skip to: 14808
/* 8101 */    MCD::OPC_Decode, 141, 17, 143, 2, // Opcode: MSUBV_D
/* 8106 */    MCD::OPC_FilterValue, 16, 9, 0, // Skip to: 8119
/* 8110 */    MCD::OPC_CheckPredicate, 30, 38, 26, // Skip to: 14808
/* 8114 */    MCD::OPC_Decode, 169, 11, 136, 2, // Opcode: DIV_S_B
/* 8119 */    MCD::OPC_FilterValue, 17, 9, 0, // Skip to: 8132
/* 8123 */    MCD::OPC_CheckPredicate, 30, 25, 26, // Skip to: 14808
/* 8127 */    MCD::OPC_Decode, 171, 11, 137, 2, // Opcode: DIV_S_H
/* 8132 */    MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 8145
/* 8136 */    MCD::OPC_CheckPredicate, 30, 12, 26, // Skip to: 14808
/* 8140 */    MCD::OPC_Decode, 172, 11, 138, 2, // Opcode: DIV_S_W
/* 8145 */    MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 8158
/* 8149 */    MCD::OPC_CheckPredicate, 30, 255, 25, // Skip to: 14808
/* 8153 */    MCD::OPC_Decode, 170, 11, 139, 2, // Opcode: DIV_S_D
/* 8158 */    MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 8171
/* 8162 */    MCD::OPC_CheckPredicate, 30, 242, 25, // Skip to: 14808
/* 8166 */    MCD::OPC_Decode, 173, 11, 136, 2, // Opcode: DIV_U_B
/* 8171 */    MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 8184
/* 8175 */    MCD::OPC_CheckPredicate, 30, 229, 25, // Skip to: 14808
/* 8179 */    MCD::OPC_Decode, 175, 11, 137, 2, // Opcode: DIV_U_H
/* 8184 */    MCD::OPC_FilterValue, 22, 9, 0, // Skip to: 8197
/* 8188 */    MCD::OPC_CheckPredicate, 30, 216, 25, // Skip to: 14808
/* 8192 */    MCD::OPC_Decode, 176, 11, 138, 2, // Opcode: DIV_U_W
/* 8197 */    MCD::OPC_FilterValue, 23, 9, 0, // Skip to: 8210
/* 8201 */    MCD::OPC_CheckPredicate, 30, 203, 25, // Skip to: 14808
/* 8205 */    MCD::OPC_Decode, 174, 11, 139, 2, // Opcode: DIV_U_D
/* 8210 */    MCD::OPC_FilterValue, 24, 9, 0, // Skip to: 8223
/* 8214 */    MCD::OPC_CheckPredicate, 30, 190, 25, // Skip to: 14808
/* 8218 */    MCD::OPC_Decode, 204, 16, 136, 2, // Opcode: MOD_S_B
/* 8223 */    MCD::OPC_FilterValue, 25, 9, 0, // Skip to: 8236
/* 8227 */    MCD::OPC_CheckPredicate, 30, 177, 25, // Skip to: 14808
/* 8231 */    MCD::OPC_Decode, 206, 16, 137, 2, // Opcode: MOD_S_H
/* 8236 */    MCD::OPC_FilterValue, 26, 9, 0, // Skip to: 8249
/* 8240 */    MCD::OPC_CheckPredicate, 30, 164, 25, // Skip to: 14808
/* 8244 */    MCD::OPC_Decode, 207, 16, 138, 2, // Opcode: MOD_S_W
/* 8249 */    MCD::OPC_FilterValue, 27, 9, 0, // Skip to: 8262
/* 8253 */    MCD::OPC_CheckPredicate, 30, 151, 25, // Skip to: 14808
/* 8257 */    MCD::OPC_Decode, 205, 16, 139, 2, // Opcode: MOD_S_D
/* 8262 */    MCD::OPC_FilterValue, 28, 9, 0, // Skip to: 8275
/* 8266 */    MCD::OPC_CheckPredicate, 30, 138, 25, // Skip to: 14808
/* 8270 */    MCD::OPC_Decode, 208, 16, 136, 2, // Opcode: MOD_U_B
/* 8275 */    MCD::OPC_FilterValue, 29, 9, 0, // Skip to: 8288
/* 8279 */    MCD::OPC_CheckPredicate, 30, 125, 25, // Skip to: 14808
/* 8283 */    MCD::OPC_Decode, 210, 16, 137, 2, // Opcode: MOD_U_H
/* 8288 */    MCD::OPC_FilterValue, 30, 9, 0, // Skip to: 8301
/* 8292 */    MCD::OPC_CheckPredicate, 30, 112, 25, // Skip to: 14808
/* 8296 */    MCD::OPC_Decode, 211, 16, 138, 2, // Opcode: MOD_U_W
/* 8301 */    MCD::OPC_FilterValue, 31, 103, 25, // Skip to: 14808
/* 8305 */    MCD::OPC_CheckPredicate, 30, 99, 25, // Skip to: 14808
/* 8309 */    MCD::OPC_Decode, 209, 16, 139, 2, // Opcode: MOD_U_D
/* 8314 */    MCD::OPC_FilterValue, 19, 237, 0, // Skip to: 8555
/* 8318 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 8321 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 8334
/* 8325 */    MCD::OPC_CheckPredicate, 30, 79, 25, // Skip to: 14808
/* 8329 */    MCD::OPC_Decode, 202, 11, 144, 2, // Opcode: DOTP_S_H
/* 8334 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 8347
/* 8338 */    MCD::OPC_CheckPredicate, 30, 66, 25, // Skip to: 14808
/* 8342 */    MCD::OPC_Decode, 203, 11, 145, 2, // Opcode: DOTP_S_W
/* 8347 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 8360
/* 8351 */    MCD::OPC_CheckPredicate, 30, 53, 25, // Skip to: 14808
/* 8355 */    MCD::OPC_Decode, 201, 11, 146, 2, // Opcode: DOTP_S_D
/* 8360 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 8373
/* 8364 */    MCD::OPC_CheckPredicate, 30, 40, 25, // Skip to: 14808
/* 8368 */    MCD::OPC_Decode, 205, 11, 144, 2, // Opcode: DOTP_U_H
/* 8373 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 8386
/* 8377 */    MCD::OPC_CheckPredicate, 30, 27, 25, // Skip to: 14808
/* 8381 */    MCD::OPC_Decode, 206, 11, 145, 2, // Opcode: DOTP_U_W
/* 8386 */    MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 8399
/* 8390 */    MCD::OPC_CheckPredicate, 30, 14, 25, // Skip to: 14808
/* 8394 */    MCD::OPC_Decode, 204, 11, 146, 2, // Opcode: DOTP_U_D
/* 8399 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 8412
/* 8403 */    MCD::OPC_CheckPredicate, 30, 1, 25, // Skip to: 14808
/* 8407 */    MCD::OPC_Decode, 208, 11, 147, 2, // Opcode: DPADD_S_H
/* 8412 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 8425
/* 8416 */    MCD::OPC_CheckPredicate, 30, 244, 24, // Skip to: 14808
/* 8420 */    MCD::OPC_Decode, 209, 11, 148, 2, // Opcode: DPADD_S_W
/* 8425 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 8438
/* 8429 */    MCD::OPC_CheckPredicate, 30, 231, 24, // Skip to: 14808
/* 8433 */    MCD::OPC_Decode, 207, 11, 149, 2, // Opcode: DPADD_S_D
/* 8438 */    MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 8451
/* 8442 */    MCD::OPC_CheckPredicate, 30, 218, 24, // Skip to: 14808
/* 8446 */    MCD::OPC_Decode, 211, 11, 147, 2, // Opcode: DPADD_U_H
/* 8451 */    MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 8464
/* 8455 */    MCD::OPC_CheckPredicate, 30, 205, 24, // Skip to: 14808
/* 8459 */    MCD::OPC_Decode, 212, 11, 148, 2, // Opcode: DPADD_U_W
/* 8464 */    MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 8477
/* 8468 */    MCD::OPC_CheckPredicate, 30, 192, 24, // Skip to: 14808
/* 8472 */    MCD::OPC_Decode, 210, 11, 149, 2, // Opcode: DPADD_U_D
/* 8477 */    MCD::OPC_FilterValue, 17, 9, 0, // Skip to: 8490
/* 8481 */    MCD::OPC_CheckPredicate, 30, 179, 24, // Skip to: 14808
/* 8485 */    MCD::OPC_Decode, 239, 11, 147, 2, // Opcode: DPSUB_S_H
/* 8490 */    MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 8503
/* 8494 */    MCD::OPC_CheckPredicate, 30, 166, 24, // Skip to: 14808
/* 8498 */    MCD::OPC_Decode, 240, 11, 148, 2, // Opcode: DPSUB_S_W
/* 8503 */    MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 8516
/* 8507 */    MCD::OPC_CheckPredicate, 30, 153, 24, // Skip to: 14808
/* 8511 */    MCD::OPC_Decode, 238, 11, 149, 2, // Opcode: DPSUB_S_D
/* 8516 */    MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 8529
/* 8520 */    MCD::OPC_CheckPredicate, 30, 140, 24, // Skip to: 14808
/* 8524 */    MCD::OPC_Decode, 242, 11, 147, 2, // Opcode: DPSUB_U_H
/* 8529 */    MCD::OPC_FilterValue, 22, 9, 0, // Skip to: 8542
/* 8533 */    MCD::OPC_CheckPredicate, 30, 127, 24, // Skip to: 14808
/* 8537 */    MCD::OPC_Decode, 243, 11, 148, 2, // Opcode: DPSUB_U_W
/* 8542 */    MCD::OPC_FilterValue, 23, 118, 24, // Skip to: 14808
/* 8546 */    MCD::OPC_CheckPredicate, 30, 114, 24, // Skip to: 14808
/* 8550 */    MCD::OPC_Decode, 241, 11, 149, 2, // Opcode: DPSUB_U_D
/* 8555 */    MCD::OPC_FilterValue, 20, 163, 1, // Skip to: 8978
/* 8559 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 8562 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 8575
/* 8566 */    MCD::OPC_CheckPredicate, 30, 94, 24, // Skip to: 14808
/* 8570 */    MCD::OPC_Decode, 165, 20, 150, 2, // Opcode: SLD_B
/* 8575 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 8588
/* 8579 */    MCD::OPC_CheckPredicate, 30, 81, 24, // Skip to: 14808
/* 8583 */    MCD::OPC_Decode, 167, 20, 151, 2, // Opcode: SLD_H
/* 8588 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 8601
/* 8592 */    MCD::OPC_CheckPredicate, 30, 68, 24, // Skip to: 14808
/* 8596 */    MCD::OPC_Decode, 168, 20, 152, 2, // Opcode: SLD_W
/* 8601 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 8614
/* 8605 */    MCD::OPC_CheckPredicate, 30, 55, 24, // Skip to: 14808
/* 8609 */    MCD::OPC_Decode, 166, 20, 153, 2, // Opcode: SLD_D
/* 8614 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 8627
/* 8618 */    MCD::OPC_CheckPredicate, 30, 42, 24, // Skip to: 14808
/* 8622 */    MCD::OPC_Decode, 204, 20, 154, 2, // Opcode: SPLAT_B
/* 8627 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 8640
/* 8631 */    MCD::OPC_CheckPredicate, 30, 29, 24, // Skip to: 14808
/* 8635 */    MCD::OPC_Decode, 206, 20, 155, 2, // Opcode: SPLAT_H
/* 8640 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 8653
/* 8644 */    MCD::OPC_CheckPredicate, 30, 16, 24, // Skip to: 14808
/* 8648 */    MCD::OPC_Decode, 207, 20, 156, 2, // Opcode: SPLAT_W
/* 8653 */    MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 8666
/* 8657 */    MCD::OPC_CheckPredicate, 30, 3, 24, // Skip to: 14808
/* 8661 */    MCD::OPC_Decode, 205, 20, 157, 2, // Opcode: SPLAT_D
/* 8666 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 8679
/* 8670 */    MCD::OPC_CheckPredicate, 30, 246, 23, // Skip to: 14808
/* 8674 */    MCD::OPC_Decode, 166, 18, 136, 2, // Opcode: PCKEV_B
/* 8679 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 8692
/* 8683 */    MCD::OPC_CheckPredicate, 30, 233, 23, // Skip to: 14808
/* 8687 */    MCD::OPC_Decode, 168, 18, 137, 2, // Opcode: PCKEV_H
/* 8692 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 8705
/* 8696 */    MCD::OPC_CheckPredicate, 30, 220, 23, // Skip to: 14808
/* 8700 */    MCD::OPC_Decode, 169, 18, 138, 2, // Opcode: PCKEV_W
/* 8705 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 8718
/* 8709 */    MCD::OPC_CheckPredicate, 30, 207, 23, // Skip to: 14808
/* 8713 */    MCD::OPC_Decode, 167, 18, 139, 2, // Opcode: PCKEV_D
/* 8718 */    MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 8731
/* 8722 */    MCD::OPC_CheckPredicate, 30, 194, 23, // Skip to: 14808
/* 8726 */    MCD::OPC_Decode, 170, 18, 136, 2, // Opcode: PCKOD_B
/* 8731 */    MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 8744
/* 8735 */    MCD::OPC_CheckPredicate, 30, 181, 23, // Skip to: 14808
/* 8739 */    MCD::OPC_Decode, 172, 18, 137, 2, // Opcode: PCKOD_H
/* 8744 */    MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 8757
/* 8748 */    MCD::OPC_CheckPredicate, 30, 168, 23, // Skip to: 14808
/* 8752 */    MCD::OPC_Decode, 173, 18, 138, 2, // Opcode: PCKOD_W
/* 8757 */    MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 8770
/* 8761 */    MCD::OPC_CheckPredicate, 30, 155, 23, // Skip to: 14808
/* 8765 */    MCD::OPC_Decode, 171, 18, 139, 2, // Opcode: PCKOD_D
/* 8770 */    MCD::OPC_FilterValue, 16, 9, 0, // Skip to: 8783
/* 8774 */    MCD::OPC_CheckPredicate, 30, 142, 23, // Skip to: 14808
/* 8778 */    MCD::OPC_Decode, 139, 14, 136, 2, // Opcode: ILVL_B
/* 8783 */    MCD::OPC_FilterValue, 17, 9, 0, // Skip to: 8796
/* 8787 */    MCD::OPC_CheckPredicate, 30, 129, 23, // Skip to: 14808
/* 8791 */    MCD::OPC_Decode, 141, 14, 137, 2, // Opcode: ILVL_H
/* 8796 */    MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 8809
/* 8800 */    MCD::OPC_CheckPredicate, 30, 116, 23, // Skip to: 14808
/* 8804 */    MCD::OPC_Decode, 142, 14, 138, 2, // Opcode: ILVL_W
/* 8809 */    MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 8822
/* 8813 */    MCD::OPC_CheckPredicate, 30, 103, 23, // Skip to: 14808
/* 8817 */    MCD::OPC_Decode, 140, 14, 139, 2, // Opcode: ILVL_D
/* 8822 */    MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 8835
/* 8826 */    MCD::OPC_CheckPredicate, 30, 90, 23, // Skip to: 14808
/* 8830 */    MCD::OPC_Decode, 147, 14, 136, 2, // Opcode: ILVR_B
/* 8835 */    MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 8848
/* 8839 */    MCD::OPC_CheckPredicate, 30, 77, 23, // Skip to: 14808
/* 8843 */    MCD::OPC_Decode, 149, 14, 137, 2, // Opcode: ILVR_H
/* 8848 */    MCD::OPC_FilterValue, 22, 9, 0, // Skip to: 8861
/* 8852 */    MCD::OPC_CheckPredicate, 30, 64, 23, // Skip to: 14808
/* 8856 */    MCD::OPC_Decode, 150, 14, 138, 2, // Opcode: ILVR_W
/* 8861 */    MCD::OPC_FilterValue, 23, 9, 0, // Skip to: 8874
/* 8865 */    MCD::OPC_CheckPredicate, 30, 51, 23, // Skip to: 14808
/* 8869 */    MCD::OPC_Decode, 148, 14, 139, 2, // Opcode: ILVR_D
/* 8874 */    MCD::OPC_FilterValue, 24, 9, 0, // Skip to: 8887
/* 8878 */    MCD::OPC_CheckPredicate, 30, 38, 23, // Skip to: 14808
/* 8882 */    MCD::OPC_Decode, 135, 14, 136, 2, // Opcode: ILVEV_B
/* 8887 */    MCD::OPC_FilterValue, 25, 9, 0, // Skip to: 8900
/* 8891 */    MCD::OPC_CheckPredicate, 30, 25, 23, // Skip to: 14808
/* 8895 */    MCD::OPC_Decode, 137, 14, 137, 2, // Opcode: ILVEV_H
/* 8900 */    MCD::OPC_FilterValue, 26, 9, 0, // Skip to: 8913
/* 8904 */    MCD::OPC_CheckPredicate, 30, 12, 23, // Skip to: 14808
/* 8908 */    MCD::OPC_Decode, 138, 14, 138, 2, // Opcode: ILVEV_W
/* 8913 */    MCD::OPC_FilterValue, 27, 9, 0, // Skip to: 8926
/* 8917 */    MCD::OPC_CheckPredicate, 30, 255, 22, // Skip to: 14808
/* 8921 */    MCD::OPC_Decode, 136, 14, 139, 2, // Opcode: ILVEV_D
/* 8926 */    MCD::OPC_FilterValue, 28, 9, 0, // Skip to: 8939
/* 8930 */    MCD::OPC_CheckPredicate, 30, 242, 22, // Skip to: 14808
/* 8934 */    MCD::OPC_Decode, 143, 14, 136, 2, // Opcode: ILVOD_B
/* 8939 */    MCD::OPC_FilterValue, 29, 9, 0, // Skip to: 8952
/* 8943 */    MCD::OPC_CheckPredicate, 30, 229, 22, // Skip to: 14808
/* 8947 */    MCD::OPC_Decode, 145, 14, 137, 2, // Opcode: ILVOD_H
/* 8952 */    MCD::OPC_FilterValue, 30, 9, 0, // Skip to: 8965
/* 8956 */    MCD::OPC_CheckPredicate, 30, 216, 22, // Skip to: 14808
/* 8960 */    MCD::OPC_Decode, 146, 14, 138, 2, // Opcode: ILVOD_W
/* 8965 */    MCD::OPC_FilterValue, 31, 207, 22, // Skip to: 14808
/* 8969 */    MCD::OPC_CheckPredicate, 30, 203, 22, // Skip to: 14808
/* 8973 */    MCD::OPC_Decode, 144, 14, 139, 2, // Opcode: ILVOD_D
/* 8978 */    MCD::OPC_FilterValue, 21, 59, 1, // Skip to: 9297
/* 8982 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 8985 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 8998
/* 8989 */    MCD::OPC_CheckPredicate, 30, 183, 22, // Skip to: 14808
/* 8993 */    MCD::OPC_Decode, 189, 22, 140, 2, // Opcode: VSHF_B
/* 8998 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 9011
/* 9002 */    MCD::OPC_CheckPredicate, 30, 170, 22, // Skip to: 14808
/* 9006 */    MCD::OPC_Decode, 191, 22, 141, 2, // Opcode: VSHF_H
/* 9011 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 9024
/* 9015 */    MCD::OPC_CheckPredicate, 30, 157, 22, // Skip to: 14808
/* 9019 */    MCD::OPC_Decode, 192, 22, 142, 2, // Opcode: VSHF_W
/* 9024 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 9037
/* 9028 */    MCD::OPC_CheckPredicate, 30, 144, 22, // Skip to: 14808
/* 9032 */    MCD::OPC_Decode, 190, 22, 143, 2, // Opcode: VSHF_D
/* 9037 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 9050
/* 9041 */    MCD::OPC_CheckPredicate, 30, 131, 22, // Skip to: 14808
/* 9045 */    MCD::OPC_Decode, 217, 20, 136, 2, // Opcode: SRAR_B
/* 9050 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 9063
/* 9054 */    MCD::OPC_CheckPredicate, 30, 118, 22, // Skip to: 14808
/* 9058 */    MCD::OPC_Decode, 219, 20, 137, 2, // Opcode: SRAR_H
/* 9063 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 9076
/* 9067 */    MCD::OPC_CheckPredicate, 30, 105, 22, // Skip to: 14808
/* 9071 */    MCD::OPC_Decode, 220, 20, 138, 2, // Opcode: SRAR_W
/* 9076 */    MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 9089
/* 9080 */    MCD::OPC_CheckPredicate, 30, 92, 22, // Skip to: 14808
/* 9084 */    MCD::OPC_Decode, 218, 20, 139, 2, // Opcode: SRAR_D
/* 9089 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 9102
/* 9093 */    MCD::OPC_CheckPredicate, 30, 79, 22, // Skip to: 14808
/* 9097 */    MCD::OPC_Decode, 239, 20, 136, 2, // Opcode: SRLR_B
/* 9102 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 9115
/* 9106 */    MCD::OPC_CheckPredicate, 30, 66, 22, // Skip to: 14808
/* 9110 */    MCD::OPC_Decode, 241, 20, 137, 2, // Opcode: SRLR_H
/* 9115 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 9128
/* 9119 */    MCD::OPC_CheckPredicate, 30, 53, 22, // Skip to: 14808
/* 9123 */    MCD::OPC_Decode, 242, 20, 138, 2, // Opcode: SRLR_W
/* 9128 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 9141
/* 9132 */    MCD::OPC_CheckPredicate, 30, 40, 22, // Skip to: 14808
/* 9136 */    MCD::OPC_Decode, 240, 20, 139, 2, // Opcode: SRLR_D
/* 9141 */    MCD::OPC_FilterValue, 17, 9, 0, // Skip to: 9154
/* 9145 */    MCD::OPC_CheckPredicate, 30, 27, 22, // Skip to: 14808
/* 9149 */    MCD::OPC_Decode, 250, 13, 144, 2, // Opcode: HADD_S_H
/* 9154 */    MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 9167
/* 9158 */    MCD::OPC_CheckPredicate, 30, 14, 22, // Skip to: 14808
/* 9162 */    MCD::OPC_Decode, 251, 13, 145, 2, // Opcode: HADD_S_W
/* 9167 */    MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 9180
/* 9171 */    MCD::OPC_CheckPredicate, 30, 1, 22, // Skip to: 14808
/* 9175 */    MCD::OPC_Decode, 249, 13, 146, 2, // Opcode: HADD_S_D
/* 9180 */    MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 9193
/* 9184 */    MCD::OPC_CheckPredicate, 30, 244, 21, // Skip to: 14808
/* 9188 */    MCD::OPC_Decode, 253, 13, 144, 2, // Opcode: HADD_U_H
/* 9193 */    MCD::OPC_FilterValue, 22, 9, 0, // Skip to: 9206
/* 9197 */    MCD::OPC_CheckPredicate, 30, 231, 21, // Skip to: 14808
/* 9201 */    MCD::OPC_Decode, 254, 13, 145, 2, // Opcode: HADD_U_W
/* 9206 */    MCD::OPC_FilterValue, 23, 9, 0, // Skip to: 9219
/* 9210 */    MCD::OPC_CheckPredicate, 30, 218, 21, // Skip to: 14808
/* 9214 */    MCD::OPC_Decode, 252, 13, 146, 2, // Opcode: HADD_U_D
/* 9219 */    MCD::OPC_FilterValue, 25, 9, 0, // Skip to: 9232
/* 9223 */    MCD::OPC_CheckPredicate, 30, 205, 21, // Skip to: 14808
/* 9227 */    MCD::OPC_Decode, 128, 14, 144, 2, // Opcode: HSUB_S_H
/* 9232 */    MCD::OPC_FilterValue, 26, 9, 0, // Skip to: 9245
/* 9236 */    MCD::OPC_CheckPredicate, 30, 192, 21, // Skip to: 14808
/* 9240 */    MCD::OPC_Decode, 129, 14, 145, 2, // Opcode: HSUB_S_W
/* 9245 */    MCD::OPC_FilterValue, 27, 9, 0, // Skip to: 9258
/* 9249 */    MCD::OPC_CheckPredicate, 30, 179, 21, // Skip to: 14808
/* 9253 */    MCD::OPC_Decode, 255, 13, 146, 2, // Opcode: HSUB_S_D
/* 9258 */    MCD::OPC_FilterValue, 29, 9, 0, // Skip to: 9271
/* 9262 */    MCD::OPC_CheckPredicate, 30, 166, 21, // Skip to: 14808
/* 9266 */    MCD::OPC_Decode, 131, 14, 144, 2, // Opcode: HSUB_U_H
/* 9271 */    MCD::OPC_FilterValue, 30, 9, 0, // Skip to: 9284
/* 9275 */    MCD::OPC_CheckPredicate, 30, 153, 21, // Skip to: 14808
/* 9279 */    MCD::OPC_Decode, 132, 14, 145, 2, // Opcode: HSUB_U_W
/* 9284 */    MCD::OPC_FilterValue, 31, 144, 21, // Skip to: 14808
/* 9288 */    MCD::OPC_CheckPredicate, 30, 140, 21, // Skip to: 14808
/* 9292 */    MCD::OPC_Decode, 130, 14, 146, 2, // Opcode: HSUB_U_D
/* 9297 */    MCD::OPC_FilterValue, 25, 210, 1, // Skip to: 9767
/* 9301 */    MCD::OPC_ExtractField, 20, 6,  // Inst{25-20} ...
/* 9304 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 9317
/* 9308 */    MCD::OPC_CheckPredicate, 30, 120, 21, // Skip to: 14808
/* 9312 */    MCD::OPC_Decode, 161, 20, 158, 2, // Opcode: SLDI_B
/* 9317 */    MCD::OPC_FilterValue, 2, 15, 0, // Skip to: 9336
/* 9321 */    MCD::OPC_CheckPredicate, 30, 107, 21, // Skip to: 14808
/* 9325 */    MCD::OPC_CheckField, 19, 1, 0, 101, 21, // Skip to: 14808
/* 9331 */    MCD::OPC_Decode, 163, 20, 159, 2, // Opcode: SLDI_H
/* 9336 */    MCD::OPC_FilterValue, 3, 54, 0, // Skip to: 9394
/* 9340 */    MCD::OPC_ExtractField, 18, 2,  // Inst{19-18} ...
/* 9343 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 9356
/* 9347 */    MCD::OPC_CheckPredicate, 30, 81, 21, // Skip to: 14808
/* 9351 */    MCD::OPC_Decode, 164, 20, 160, 2, // Opcode: SLDI_W
/* 9356 */    MCD::OPC_FilterValue, 2, 15, 0, // Skip to: 9375
/* 9360 */    MCD::OPC_CheckPredicate, 30, 68, 21, // Skip to: 14808
/* 9364 */    MCD::OPC_CheckField, 17, 1, 0, 62, 21, // Skip to: 14808
/* 9370 */    MCD::OPC_Decode, 162, 20, 161, 2, // Opcode: SLDI_D
/* 9375 */    MCD::OPC_FilterValue, 3, 53, 21, // Skip to: 14808
/* 9379 */    MCD::OPC_CheckPredicate, 30, 49, 21, // Skip to: 14808
/* 9383 */    MCD::OPC_CheckField, 16, 2, 2, 43, 21, // Skip to: 14808
/* 9389 */    MCD::OPC_Decode, 130, 10, 162, 2, // Opcode: CTCMSA
/* 9394 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 9407
/* 9398 */    MCD::OPC_CheckPredicate, 30, 30, 21, // Skip to: 14808
/* 9402 */    MCD::OPC_Decode, 200, 20, 163, 2, // Opcode: SPLATI_B
/* 9407 */    MCD::OPC_FilterValue, 6, 15, 0, // Skip to: 9426
/* 9411 */    MCD::OPC_CheckPredicate, 30, 17, 21, // Skip to: 14808
/* 9415 */    MCD::OPC_CheckField, 19, 1, 0, 11, 21, // Skip to: 14808
/* 9421 */    MCD::OPC_Decode, 202, 20, 164, 2, // Opcode: SPLATI_H
/* 9426 */    MCD::OPC_FilterValue, 7, 54, 0, // Skip to: 9484
/* 9430 */    MCD::OPC_ExtractField, 18, 2,  // Inst{19-18} ...
/* 9433 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 9446
/* 9437 */    MCD::OPC_CheckPredicate, 30, 247, 20, // Skip to: 14808
/* 9441 */    MCD::OPC_Decode, 203, 20, 165, 2, // Opcode: SPLATI_W
/* 9446 */    MCD::OPC_FilterValue, 2, 15, 0, // Skip to: 9465
/* 9450 */    MCD::OPC_CheckPredicate, 30, 234, 20, // Skip to: 14808
/* 9454 */    MCD::OPC_CheckField, 17, 1, 0, 228, 20, // Skip to: 14808
/* 9460 */    MCD::OPC_Decode, 201, 20, 166, 2, // Opcode: SPLATI_D
/* 9465 */    MCD::OPC_FilterValue, 3, 219, 20, // Skip to: 14808
/* 9469 */    MCD::OPC_CheckPredicate, 30, 215, 20, // Skip to: 14808
/* 9473 */    MCD::OPC_CheckField, 16, 2, 2, 209, 20, // Skip to: 14808
/* 9479 */    MCD::OPC_Decode, 231, 8, 167, 2, // Opcode: CFCMSA
/* 9484 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 9497
/* 9488 */    MCD::OPC_CheckPredicate, 30, 196, 20, // Skip to: 14808
/* 9492 */    MCD::OPC_Decode, 240, 9, 168, 2, // Opcode: COPY_S_B
/* 9497 */    MCD::OPC_FilterValue, 10, 15, 0, // Skip to: 9516
/* 9501 */    MCD::OPC_CheckPredicate, 30, 183, 20, // Skip to: 14808
/* 9505 */    MCD::OPC_CheckField, 19, 1, 0, 177, 20, // Skip to: 14808
/* 9511 */    MCD::OPC_Decode, 242, 9, 169, 2, // Opcode: COPY_S_H
/* 9516 */    MCD::OPC_FilterValue, 11, 54, 0, // Skip to: 9574
/* 9520 */    MCD::OPC_ExtractField, 18, 2,  // Inst{19-18} ...
/* 9523 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 9536
/* 9527 */    MCD::OPC_CheckPredicate, 30, 157, 20, // Skip to: 14808
/* 9531 */    MCD::OPC_Decode, 243, 9, 170, 2, // Opcode: COPY_S_W
/* 9536 */    MCD::OPC_FilterValue, 2, 15, 0, // Skip to: 9555
/* 9540 */    MCD::OPC_CheckPredicate, 38, 144, 20, // Skip to: 14808
/* 9544 */    MCD::OPC_CheckField, 17, 1, 0, 138, 20, // Skip to: 14808
/* 9550 */    MCD::OPC_Decode, 241, 9, 171, 2, // Opcode: COPY_S_D
/* 9555 */    MCD::OPC_FilterValue, 3, 129, 20, // Skip to: 14808
/* 9559 */    MCD::OPC_CheckPredicate, 30, 125, 20, // Skip to: 14808
/* 9563 */    MCD::OPC_CheckField, 16, 2, 2, 119, 20, // Skip to: 14808
/* 9569 */    MCD::OPC_Decode, 216, 16, 172, 2, // Opcode: MOVE_V
/* 9574 */    MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 9587
/* 9578 */    MCD::OPC_CheckPredicate, 30, 106, 20, // Skip to: 14808
/* 9582 */    MCD::OPC_Decode, 244, 9, 168, 2, // Opcode: COPY_U_B
/* 9587 */    MCD::OPC_FilterValue, 14, 15, 0, // Skip to: 9606
/* 9591 */    MCD::OPC_CheckPredicate, 30, 93, 20, // Skip to: 14808
/* 9595 */    MCD::OPC_CheckField, 19, 1, 0, 87, 20, // Skip to: 14808
/* 9601 */    MCD::OPC_Decode, 245, 9, 169, 2, // Opcode: COPY_U_H
/* 9606 */    MCD::OPC_FilterValue, 15, 15, 0, // Skip to: 9625
/* 9610 */    MCD::OPC_CheckPredicate, 38, 74, 20, // Skip to: 14808
/* 9614 */    MCD::OPC_CheckField, 18, 2, 0, 68, 20, // Skip to: 14808
/* 9620 */    MCD::OPC_Decode, 246, 9, 170, 2, // Opcode: COPY_U_W
/* 9625 */    MCD::OPC_FilterValue, 16, 9, 0, // Skip to: 9638
/* 9629 */    MCD::OPC_CheckPredicate, 30, 55, 20, // Skip to: 14808
/* 9633 */    MCD::OPC_Decode, 152, 14, 173, 2, // Opcode: INSERT_B
/* 9638 */    MCD::OPC_FilterValue, 18, 15, 0, // Skip to: 9657
/* 9642 */    MCD::OPC_CheckPredicate, 30, 42, 20, // Skip to: 14808
/* 9646 */    MCD::OPC_CheckField, 19, 1, 0, 36, 20, // Skip to: 14808
/* 9652 */    MCD::OPC_Decode, 154, 14, 174, 2, // Opcode: INSERT_H
/* 9657 */    MCD::OPC_FilterValue, 19, 35, 0, // Skip to: 9696
/* 9661 */    MCD::OPC_ExtractField, 18, 2,  // Inst{19-18} ...
/* 9664 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 9677
/* 9668 */    MCD::OPC_CheckPredicate, 30, 16, 20, // Skip to: 14808
/* 9672 */    MCD::OPC_Decode, 155, 14, 175, 2, // Opcode: INSERT_W
/* 9677 */    MCD::OPC_FilterValue, 2, 7, 20, // Skip to: 14808
/* 9681 */    MCD::OPC_CheckPredicate, 38, 3, 20, // Skip to: 14808
/* 9685 */    MCD::OPC_CheckField, 17, 1, 0, 253, 19, // Skip to: 14808
/* 9691 */    MCD::OPC_Decode, 153, 14, 176, 2, // Opcode: INSERT_D
/* 9696 */    MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 9709
/* 9700 */    MCD::OPC_CheckPredicate, 30, 240, 19, // Skip to: 14808
/* 9704 */    MCD::OPC_Decode, 157, 14, 177, 2, // Opcode: INSVE_B
/* 9709 */    MCD::OPC_FilterValue, 22, 15, 0, // Skip to: 9728
/* 9713 */    MCD::OPC_CheckPredicate, 30, 227, 19, // Skip to: 14808
/* 9717 */    MCD::OPC_CheckField, 19, 1, 0, 221, 19, // Skip to: 14808
/* 9723 */    MCD::OPC_Decode, 159, 14, 177, 2, // Opcode: INSVE_H
/* 9728 */    MCD::OPC_FilterValue, 23, 212, 19, // Skip to: 14808
/* 9732 */    MCD::OPC_ExtractField, 18, 2,  // Inst{19-18} ...
/* 9735 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 9748
/* 9739 */    MCD::OPC_CheckPredicate, 30, 201, 19, // Skip to: 14808
/* 9743 */    MCD::OPC_Decode, 160, 14, 177, 2, // Opcode: INSVE_W
/* 9748 */    MCD::OPC_FilterValue, 2, 192, 19, // Skip to: 14808
/* 9752 */    MCD::OPC_CheckPredicate, 30, 188, 19, // Skip to: 14808
/* 9756 */    MCD::OPC_CheckField, 17, 1, 0, 182, 19, // Skip to: 14808
/* 9762 */    MCD::OPC_Decode, 158, 14, 177, 2, // Opcode: INSVE_D
/* 9767 */    MCD::OPC_FilterValue, 26, 163, 1, // Skip to: 10190
/* 9771 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 9774 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 9787
/* 9778 */    MCD::OPC_CheckPredicate, 30, 162, 19, // Skip to: 14808
/* 9782 */    MCD::OPC_Decode, 209, 12, 138, 2, // Opcode: FCAF_W
/* 9787 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 9800
/* 9791 */    MCD::OPC_CheckPredicate, 30, 149, 19, // Skip to: 14808
/* 9795 */    MCD::OPC_Decode, 208, 12, 139, 2, // Opcode: FCAF_D
/* 9800 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 9813
/* 9804 */    MCD::OPC_CheckPredicate, 30, 136, 19, // Skip to: 14808
/* 9808 */    MCD::OPC_Decode, 236, 12, 138, 2, // Opcode: FCUN_W
/* 9813 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 9826
/* 9817 */    MCD::OPC_CheckPredicate, 30, 123, 19, // Skip to: 14808
/* 9821 */    MCD::OPC_Decode, 235, 12, 139, 2, // Opcode: FCUN_D
/* 9826 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 9839
/* 9830 */    MCD::OPC_CheckPredicate, 30, 110, 19, // Skip to: 14808
/* 9834 */    MCD::OPC_Decode, 211, 12, 138, 2, // Opcode: FCEQ_W
/* 9839 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 9852
/* 9843 */    MCD::OPC_CheckPredicate, 30, 97, 19, // Skip to: 14808
/* 9847 */    MCD::OPC_Decode, 210, 12, 139, 2, // Opcode: FCEQ_D
/* 9852 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 9865
/* 9856 */    MCD::OPC_CheckPredicate, 30, 84, 19, // Skip to: 14808
/* 9860 */    MCD::OPC_Decode, 228, 12, 138, 2, // Opcode: FCUEQ_W
/* 9865 */    MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 9878
/* 9869 */    MCD::OPC_CheckPredicate, 30, 71, 19, // Skip to: 14808
/* 9873 */    MCD::OPC_Decode, 227, 12, 139, 2, // Opcode: FCUEQ_D
/* 9878 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 9891
/* 9882 */    MCD::OPC_CheckPredicate, 30, 58, 19, // Skip to: 14808
/* 9886 */    MCD::OPC_Decode, 217, 12, 138, 2, // Opcode: FCLT_W
/* 9891 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 9904
/* 9895 */    MCD::OPC_CheckPredicate, 30, 45, 19, // Skip to: 14808
/* 9899 */    MCD::OPC_Decode, 216, 12, 139, 2, // Opcode: FCLT_D
/* 9904 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 9917
/* 9908 */    MCD::OPC_CheckPredicate, 30, 32, 19, // Skip to: 14808
/* 9912 */    MCD::OPC_Decode, 232, 12, 138, 2, // Opcode: FCULT_W
/* 9917 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 9930
/* 9921 */    MCD::OPC_CheckPredicate, 30, 19, 19, // Skip to: 14808
/* 9925 */    MCD::OPC_Decode, 231, 12, 139, 2, // Opcode: FCULT_D
/* 9930 */    MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 9943
/* 9934 */    MCD::OPC_CheckPredicate, 30, 6, 19, // Skip to: 14808
/* 9938 */    MCD::OPC_Decode, 215, 12, 138, 2, // Opcode: FCLE_W
/* 9943 */    MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 9956
/* 9947 */    MCD::OPC_CheckPredicate, 30, 249, 18, // Skip to: 14808
/* 9951 */    MCD::OPC_Decode, 214, 12, 139, 2, // Opcode: FCLE_D
/* 9956 */    MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 9969
/* 9960 */    MCD::OPC_CheckPredicate, 30, 236, 18, // Skip to: 14808
/* 9964 */    MCD::OPC_Decode, 230, 12, 138, 2, // Opcode: FCULE_W
/* 9969 */    MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 9982
/* 9973 */    MCD::OPC_CheckPredicate, 30, 223, 18, // Skip to: 14808
/* 9977 */    MCD::OPC_Decode, 229, 12, 139, 2, // Opcode: FCULE_D
/* 9982 */    MCD::OPC_FilterValue, 16, 9, 0, // Skip to: 9995
/* 9986 */    MCD::OPC_CheckPredicate, 30, 210, 18, // Skip to: 14808
/* 9990 */    MCD::OPC_Decode, 196, 13, 138, 2, // Opcode: FSAF_W
/* 9995 */    MCD::OPC_FilterValue, 17, 9, 0, // Skip to: 10008
/* 9999 */    MCD::OPC_CheckPredicate, 30, 197, 18, // Skip to: 14808
/* 10003 */   MCD::OPC_Decode, 195, 13, 139, 2, // Opcode: FSAF_D
/* 10008 */   MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 10021
/* 10012 */   MCD::OPC_CheckPredicate, 30, 184, 18, // Skip to: 14808
/* 10016 */   MCD::OPC_Decode, 234, 13, 138, 2, // Opcode: FSUN_W
/* 10021 */   MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 10034
/* 10025 */   MCD::OPC_CheckPredicate, 30, 171, 18, // Skip to: 14808
/* 10029 */   MCD::OPC_Decode, 233, 13, 139, 2, // Opcode: FSUN_D
/* 10034 */   MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 10047
/* 10038 */   MCD::OPC_CheckPredicate, 30, 158, 18, // Skip to: 14808
/* 10042 */   MCD::OPC_Decode, 198, 13, 138, 2, // Opcode: FSEQ_W
/* 10047 */   MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 10060
/* 10051 */   MCD::OPC_CheckPredicate, 30, 145, 18, // Skip to: 14808
/* 10055 */   MCD::OPC_Decode, 197, 13, 139, 2, // Opcode: FSEQ_D
/* 10060 */   MCD::OPC_FilterValue, 22, 9, 0, // Skip to: 10073
/* 10064 */   MCD::OPC_CheckPredicate, 30, 132, 18, // Skip to: 14808
/* 10068 */   MCD::OPC_Decode, 226, 13, 138, 2, // Opcode: FSUEQ_W
/* 10073 */   MCD::OPC_FilterValue, 23, 9, 0, // Skip to: 10086
/* 10077 */   MCD::OPC_CheckPredicate, 30, 119, 18, // Skip to: 14808
/* 10081 */   MCD::OPC_Decode, 225, 13, 139, 2, // Opcode: FSUEQ_D
/* 10086 */   MCD::OPC_FilterValue, 24, 9, 0, // Skip to: 10099
/* 10090 */   MCD::OPC_CheckPredicate, 30, 106, 18, // Skip to: 14808
/* 10094 */   MCD::OPC_Decode, 202, 13, 138, 2, // Opcode: FSLT_W
/* 10099 */   MCD::OPC_FilterValue, 25, 9, 0, // Skip to: 10112
/* 10103 */   MCD::OPC_CheckPredicate, 30, 93, 18, // Skip to: 14808
/* 10107 */   MCD::OPC_Decode, 201, 13, 139, 2, // Opcode: FSLT_D
/* 10112 */   MCD::OPC_FilterValue, 26, 9, 0, // Skip to: 10125
/* 10116 */   MCD::OPC_CheckPredicate, 30, 80, 18, // Skip to: 14808
/* 10120 */   MCD::OPC_Decode, 230, 13, 138, 2, // Opcode: FSULT_W
/* 10125 */   MCD::OPC_FilterValue, 27, 9, 0, // Skip to: 10138
/* 10129 */   MCD::OPC_CheckPredicate, 30, 67, 18, // Skip to: 14808
/* 10133 */   MCD::OPC_Decode, 229, 13, 139, 2, // Opcode: FSULT_D
/* 10138 */   MCD::OPC_FilterValue, 28, 9, 0, // Skip to: 10151
/* 10142 */   MCD::OPC_CheckPredicate, 30, 54, 18, // Skip to: 14808
/* 10146 */   MCD::OPC_Decode, 200, 13, 138, 2, // Opcode: FSLE_W
/* 10151 */   MCD::OPC_FilterValue, 29, 9, 0, // Skip to: 10164
/* 10155 */   MCD::OPC_CheckPredicate, 30, 41, 18, // Skip to: 14808
/* 10159 */   MCD::OPC_Decode, 199, 13, 139, 2, // Opcode: FSLE_D
/* 10164 */   MCD::OPC_FilterValue, 30, 9, 0, // Skip to: 10177
/* 10168 */   MCD::OPC_CheckPredicate, 30, 28, 18, // Skip to: 14808
/* 10172 */   MCD::OPC_Decode, 228, 13, 138, 2, // Opcode: FSULE_W
/* 10177 */   MCD::OPC_FilterValue, 31, 19, 18, // Skip to: 14808
/* 10181 */   MCD::OPC_CheckPredicate, 30, 15, 18, // Skip to: 14808
/* 10185 */   MCD::OPC_Decode, 227, 13, 139, 2, // Opcode: FSULE_D
/* 10190 */   MCD::OPC_FilterValue, 27, 85, 1, // Skip to: 10535
/* 10194 */   MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 10197 */   MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 10210
/* 10201 */   MCD::OPC_CheckPredicate, 30, 251, 17, // Skip to: 14808
/* 10205 */   MCD::OPC_Decode, 207, 12, 138, 2, // Opcode: FADD_W
/* 10210 */   MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 10223
/* 10214 */   MCD::OPC_CheckPredicate, 30, 238, 17, // Skip to: 14808
/* 10218 */   MCD::OPC_Decode, 198, 12, 139, 2, // Opcode: FADD_D
/* 10223 */   MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 10236
/* 10227 */   MCD::OPC_CheckPredicate, 30, 225, 17, // Skip to: 14808
/* 10231 */   MCD::OPC_Decode, 224, 13, 138, 2, // Opcode: FSUB_W
/* 10236 */   MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 10249
/* 10240 */   MCD::OPC_CheckPredicate, 30, 212, 17, // Skip to: 14808
/* 10244 */   MCD::OPC_Decode, 215, 13, 139, 2, // Opcode: FSUB_D
/* 10249 */   MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 10262
/* 10253 */   MCD::OPC_CheckPredicate, 30, 199, 17, // Skip to: 14808
/* 10257 */   MCD::OPC_Decode, 180, 13, 138, 2, // Opcode: FMUL_W
/* 10262 */   MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 10275
/* 10266 */   MCD::OPC_CheckPredicate, 30, 186, 17, // Skip to: 14808
/* 10270 */   MCD::OPC_Decode, 171, 13, 139, 2, // Opcode: FMUL_D
/* 10275 */   MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 10288
/* 10279 */   MCD::OPC_CheckPredicate, 30, 173, 17, // Skip to: 14808
/* 10283 */   MCD::OPC_Decode, 245, 12, 138, 2, // Opcode: FDIV_W
/* 10288 */   MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 10301
/* 10292 */   MCD::OPC_CheckPredicate, 30, 160, 17, // Skip to: 14808
/* 10296 */   MCD::OPC_Decode, 237, 12, 139, 2, // Opcode: FDIV_D
/* 10301 */   MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 10314
/* 10305 */   MCD::OPC_CheckPredicate, 30, 147, 17, // Skip to: 14808
/* 10309 */   MCD::OPC_Decode, 152, 13, 142, 2, // Opcode: FMADD_W
/* 10314 */   MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 10327
/* 10318 */   MCD::OPC_CheckPredicate, 30, 134, 17, // Skip to: 14808
/* 10322 */   MCD::OPC_Decode, 151, 13, 143, 2, // Opcode: FMADD_D
/* 10327 */   MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 10340
/* 10331 */   MCD::OPC_CheckPredicate, 30, 121, 17, // Skip to: 14808
/* 10335 */   MCD::OPC_Decode, 170, 13, 142, 2, // Opcode: FMSUB_W
/* 10340 */   MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 10353
/* 10344 */   MCD::OPC_CheckPredicate, 30, 108, 17, // Skip to: 14808
/* 10348 */   MCD::OPC_Decode, 169, 13, 143, 2, // Opcode: FMSUB_D
/* 10353 */   MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 10366
/* 10357 */   MCD::OPC_CheckPredicate, 30, 95, 17, // Skip to: 14808
/* 10361 */   MCD::OPC_Decode, 249, 12, 138, 2, // Opcode: FEXP2_W
/* 10366 */   MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 10379
/* 10370 */   MCD::OPC_CheckPredicate, 30, 82, 17, // Skip to: 14808
/* 10374 */   MCD::OPC_Decode, 248, 12, 139, 2, // Opcode: FEXP2_D
/* 10379 */   MCD::OPC_FilterValue, 16, 9, 0, // Skip to: 10392
/* 10383 */   MCD::OPC_CheckPredicate, 30, 69, 17, // Skip to: 14808
/* 10387 */   MCD::OPC_Decode, 246, 12, 178, 2, // Opcode: FEXDO_H
/* 10392 */   MCD::OPC_FilterValue, 17, 9, 0, // Skip to: 10405
/* 10396 */   MCD::OPC_CheckPredicate, 30, 56, 17, // Skip to: 14808
/* 10400 */   MCD::OPC_Decode, 247, 12, 179, 2, // Opcode: FEXDO_W
/* 10405 */   MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 10418
/* 10409 */   MCD::OPC_CheckPredicate, 30, 43, 17, // Skip to: 14808
/* 10413 */   MCD::OPC_Decode, 239, 13, 178, 2, // Opcode: FTQ_H
/* 10418 */   MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 10431
/* 10422 */   MCD::OPC_CheckPredicate, 30, 30, 17, // Skip to: 14808
/* 10426 */   MCD::OPC_Decode, 240, 13, 179, 2, // Opcode: FTQ_W
/* 10431 */   MCD::OPC_FilterValue, 24, 9, 0, // Skip to: 10444
/* 10435 */   MCD::OPC_CheckPredicate, 30, 17, 17, // Skip to: 14808
/* 10439 */   MCD::OPC_Decode, 160, 13, 138, 2, // Opcode: FMIN_W
/* 10444 */   MCD::OPC_FilterValue, 25, 9, 0, // Skip to: 10457
/* 10448 */   MCD::OPC_CheckPredicate, 30, 4, 17, // Skip to: 14808
/* 10452 */   MCD::OPC_Decode, 159, 13, 139, 2, // Opcode: FMIN_D
/* 10457 */   MCD::OPC_FilterValue, 26, 9, 0, // Skip to: 10470
/* 10461 */   MCD::OPC_CheckPredicate, 30, 247, 16, // Skip to: 14808
/* 10465 */   MCD::OPC_Decode, 158, 13, 138, 2, // Opcode: FMIN_A_W
/* 10470 */   MCD::OPC_FilterValue, 27, 9, 0, // Skip to: 10483
/* 10474 */   MCD::OPC_CheckPredicate, 30, 234, 16, // Skip to: 14808
/* 10478 */   MCD::OPC_Decode, 157, 13, 139, 2, // Opcode: FMIN_A_D
/* 10483 */   MCD::OPC_FilterValue, 28, 9, 0, // Skip to: 10496
/* 10487 */   MCD::OPC_CheckPredicate, 30, 221, 16, // Skip to: 14808
/* 10491 */   MCD::OPC_Decode, 156, 13, 138, 2, // Opcode: FMAX_W
/* 10496 */   MCD::OPC_FilterValue, 29, 9, 0, // Skip to: 10509
/* 10500 */   MCD::OPC_CheckPredicate, 30, 208, 16, // Skip to: 14808
/* 10504 */   MCD::OPC_Decode, 155, 13, 139, 2, // Opcode: FMAX_D
/* 10509 */   MCD::OPC_FilterValue, 30, 9, 0, // Skip to: 10522
/* 10513 */   MCD::OPC_CheckPredicate, 30, 195, 16, // Skip to: 14808
/* 10517 */   MCD::OPC_Decode, 154, 13, 138, 2, // Opcode: FMAX_A_W
/* 10522 */   MCD::OPC_FilterValue, 31, 186, 16, // Skip to: 14808
/* 10526 */   MCD::OPC_CheckPredicate, 30, 182, 16, // Skip to: 14808
/* 10530 */   MCD::OPC_Decode, 153, 13, 139, 2, // Opcode: FMAX_A_D
/* 10535 */   MCD::OPC_FilterValue, 28, 59, 1, // Skip to: 10854
/* 10539 */   MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 10542 */   MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 10555
/* 10546 */   MCD::OPC_CheckPredicate, 30, 162, 16, // Skip to: 14808
/* 10550 */   MCD::OPC_Decode, 226, 12, 138, 2, // Opcode: FCOR_W
/* 10555 */   MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 10568
/* 10559 */   MCD::OPC_CheckPredicate, 30, 149, 16, // Skip to: 14808
/* 10563 */   MCD::OPC_Decode, 225, 12, 139, 2, // Opcode: FCOR_D
/* 10568 */   MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 10581
/* 10572 */   MCD::OPC_CheckPredicate, 30, 136, 16, // Skip to: 14808
/* 10576 */   MCD::OPC_Decode, 234, 12, 138, 2, // Opcode: FCUNE_W
/* 10581 */   MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 10594
/* 10585 */   MCD::OPC_CheckPredicate, 30, 123, 16, // Skip to: 14808
/* 10589 */   MCD::OPC_Decode, 233, 12, 139, 2, // Opcode: FCUNE_D
/* 10594 */   MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 10607
/* 10598 */   MCD::OPC_CheckPredicate, 30, 110, 16, // Skip to: 14808
/* 10602 */   MCD::OPC_Decode, 224, 12, 138, 2, // Opcode: FCNE_W
/* 10607 */   MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 10620
/* 10611 */   MCD::OPC_CheckPredicate, 30, 97, 16, // Skip to: 14808
/* 10615 */   MCD::OPC_Decode, 223, 12, 139, 2, // Opcode: FCNE_D
/* 10620 */   MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 10633
/* 10624 */   MCD::OPC_CheckPredicate, 30, 84, 16, // Skip to: 14808
/* 10628 */   MCD::OPC_Decode, 238, 17, 137, 2, // Opcode: MUL_Q_H
/* 10633 */   MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 10646
/* 10637 */   MCD::OPC_CheckPredicate, 30, 71, 16, // Skip to: 14808
/* 10641 */   MCD::OPC_Decode, 239, 17, 138, 2, // Opcode: MUL_Q_W
/* 10646 */   MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 10659
/* 10650 */   MCD::OPC_CheckPredicate, 30, 58, 16, // Skip to: 14808
/* 10654 */   MCD::OPC_Decode, 227, 15, 141, 2, // Opcode: MADD_Q_H
/* 10659 */   MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 10672
/* 10663 */   MCD::OPC_CheckPredicate, 30, 45, 16, // Skip to: 14808
/* 10667 */   MCD::OPC_Decode, 228, 15, 142, 2, // Opcode: MADD_Q_W
/* 10672 */   MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 10685
/* 10676 */   MCD::OPC_CheckPredicate, 30, 32, 16, // Skip to: 14808
/* 10680 */   MCD::OPC_Decode, 150, 17, 141, 2, // Opcode: MSUB_Q_H
/* 10685 */   MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 10698
/* 10689 */   MCD::OPC_CheckPredicate, 30, 19, 16, // Skip to: 14808
/* 10693 */   MCD::OPC_Decode, 151, 17, 142, 2, // Opcode: MSUB_Q_W
/* 10698 */   MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 10711
/* 10702 */   MCD::OPC_CheckPredicate, 30, 6, 16, // Skip to: 14808
/* 10706 */   MCD::OPC_Decode, 206, 13, 138, 2, // Opcode: FSOR_W
/* 10711 */   MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 10724
/* 10715 */   MCD::OPC_CheckPredicate, 30, 249, 15, // Skip to: 14808
/* 10719 */   MCD::OPC_Decode, 205, 13, 139, 2, // Opcode: FSOR_D
/* 10724 */   MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 10737
/* 10728 */   MCD::OPC_CheckPredicate, 30, 236, 15, // Skip to: 14808
/* 10732 */   MCD::OPC_Decode, 232, 13, 138, 2, // Opcode: FSUNE_W
/* 10737 */   MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 10750
/* 10741 */   MCD::OPC_CheckPredicate, 30, 223, 15, // Skip to: 14808
/* 10745 */   MCD::OPC_Decode, 231, 13, 139, 2, // Opcode: FSUNE_D
/* 10750 */   MCD::OPC_FilterValue, 22, 9, 0, // Skip to: 10763
/* 10754 */   MCD::OPC_CheckPredicate, 30, 210, 15, // Skip to: 14808
/* 10758 */   MCD::OPC_Decode, 204, 13, 138, 2, // Opcode: FSNE_W
/* 10763 */   MCD::OPC_FilterValue, 23, 9, 0, // Skip to: 10776
/* 10767 */   MCD::OPC_CheckPredicate, 30, 197, 15, // Skip to: 14808
/* 10771 */   MCD::OPC_Decode, 203, 13, 139, 2, // Opcode: FSNE_D
/* 10776 */   MCD::OPC_FilterValue, 24, 9, 0, // Skip to: 10789
/* 10780 */   MCD::OPC_CheckPredicate, 30, 184, 15, // Skip to: 14808
/* 10784 */   MCD::OPC_Decode, 214, 17, 137, 2, // Opcode: MULR_Q_H
/* 10789 */   MCD::OPC_FilterValue, 25, 9, 0, // Skip to: 10802
/* 10793 */   MCD::OPC_CheckPredicate, 30, 171, 15, // Skip to: 14808
/* 10797 */   MCD::OPC_Decode, 215, 17, 138, 2, // Opcode: MULR_Q_W
/* 10802 */   MCD::OPC_FilterValue, 26, 9, 0, // Skip to: 10815
/* 10806 */   MCD::OPC_CheckPredicate, 30, 158, 15, // Skip to: 14808
/* 10810 */   MCD::OPC_Decode, 211, 15, 141, 2, // Opcode: MADDR_Q_H
/* 10815 */   MCD::OPC_FilterValue, 27, 9, 0, // Skip to: 10828
/* 10819 */   MCD::OPC_CheckPredicate, 30, 145, 15, // Skip to: 14808
/* 10823 */   MCD::OPC_Decode, 212, 15, 142, 2, // Opcode: MADDR_Q_W
/* 10828 */   MCD::OPC_FilterValue, 28, 9, 0, // Skip to: 10841
/* 10832 */   MCD::OPC_CheckPredicate, 30, 132, 15, // Skip to: 14808
/* 10836 */   MCD::OPC_Decode, 134, 17, 141, 2, // Opcode: MSUBR_Q_H
/* 10841 */   MCD::OPC_FilterValue, 29, 123, 15, // Skip to: 14808
/* 10845 */   MCD::OPC_CheckPredicate, 30, 119, 15, // Skip to: 14808
/* 10849 */   MCD::OPC_Decode, 135, 17, 142, 2, // Opcode: MSUBR_Q_W
/* 10854 */   MCD::OPC_FilterValue, 30, 220, 2, // Skip to: 11590
/* 10858 */   MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 10861 */   MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 10874
/* 10865 */   MCD::OPC_CheckPredicate, 30, 99, 15, // Skip to: 14808
/* 10869 */   MCD::OPC_Decode, 219, 6, 136, 2, // Opcode: AND_V
/* 10874 */   MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 10887
/* 10878 */   MCD::OPC_CheckPredicate, 30, 86, 15, // Skip to: 14808
/* 10882 */   MCD::OPC_Decode, 156, 18, 136, 2, // Opcode: OR_V
/* 10887 */   MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 10900
/* 10891 */   MCD::OPC_CheckPredicate, 30, 73, 15, // Skip to: 14808
/* 10895 */   MCD::OPC_Decode, 143, 18, 136, 2, // Opcode: NOR_V
/* 10900 */   MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 10913
/* 10904 */   MCD::OPC_CheckPredicate, 30, 60, 15, // Skip to: 14808
/* 10908 */   MCD::OPC_Decode, 210, 22, 136, 2, // Opcode: XOR_V
/* 10913 */   MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 10926
/* 10917 */   MCD::OPC_CheckPredicate, 30, 47, 15, // Skip to: 14808
/* 10921 */   MCD::OPC_Decode, 134, 8, 140, 2, // Opcode: BMNZ_V
/* 10926 */   MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 10939
/* 10930 */   MCD::OPC_CheckPredicate, 30, 34, 15, // Skip to: 14808
/* 10934 */   MCD::OPC_Decode, 136, 8, 140, 2, // Opcode: BMZ_V
/* 10939 */   MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 10952
/* 10943 */   MCD::OPC_CheckPredicate, 30, 21, 15, // Skip to: 14808
/* 10947 */   MCD::OPC_Decode, 178, 8, 140, 2, // Opcode: BSEL_V
/* 10952 */   MCD::OPC_FilterValue, 24, 211, 0, // Skip to: 11167
/* 10956 */   MCD::OPC_ExtractField, 16, 5,  // Inst{20-16} ...
/* 10959 */   MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 10972
/* 10963 */   MCD::OPC_CheckPredicate, 30, 1, 15, // Skip to: 14808
/* 10967 */   MCD::OPC_Decode, 134, 13, 180, 2, // Opcode: FILL_B
/* 10972 */   MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 10985
/* 10976 */   MCD::OPC_CheckPredicate, 30, 244, 14, // Skip to: 14808
/* 10980 */   MCD::OPC_Decode, 136, 13, 181, 2, // Opcode: FILL_H
/* 10985 */   MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 10998
/* 10989 */   MCD::OPC_CheckPredicate, 30, 231, 14, // Skip to: 14808
/* 10993 */   MCD::OPC_Decode, 137, 13, 182, 2, // Opcode: FILL_W
/* 10998 */   MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 11011
/* 11002 */   MCD::OPC_CheckPredicate, 38, 218, 14, // Skip to: 14808
/* 11006 */   MCD::OPC_Decode, 135, 13, 183, 2, // Opcode: FILL_D
/* 11011 */   MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 11024
/* 11015 */   MCD::OPC_CheckPredicate, 30, 205, 14, // Skip to: 14808
/* 11019 */   MCD::OPC_Decode, 174, 18, 172, 2, // Opcode: PCNT_B
/* 11024 */   MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 11037
/* 11028 */   MCD::OPC_CheckPredicate, 30, 192, 14, // Skip to: 14808
/* 11032 */   MCD::OPC_Decode, 176, 18, 184, 2, // Opcode: PCNT_H
/* 11037 */   MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 11050
/* 11041 */   MCD::OPC_CheckPredicate, 30, 179, 14, // Skip to: 14808
/* 11045 */   MCD::OPC_Decode, 177, 18, 185, 2, // Opcode: PCNT_W
/* 11050 */   MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 11063
/* 11054 */   MCD::OPC_CheckPredicate, 30, 166, 14, // Skip to: 14808
/* 11058 */   MCD::OPC_Decode, 175, 18, 186, 2, // Opcode: PCNT_D
/* 11063 */   MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 11076
/* 11067 */   MCD::OPC_CheckPredicate, 30, 153, 14, // Skip to: 14808
/* 11071 */   MCD::OPC_Decode, 248, 17, 172, 2, // Opcode: NLOC_B
/* 11076 */   MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 11089
/* 11080 */   MCD::OPC_CheckPredicate, 30, 140, 14, // Skip to: 14808
/* 11084 */   MCD::OPC_Decode, 250, 17, 184, 2, // Opcode: NLOC_H
/* 11089 */   MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 11102
/* 11093 */   MCD::OPC_CheckPredicate, 30, 127, 14, // Skip to: 14808
/* 11097 */   MCD::OPC_Decode, 251, 17, 185, 2, // Opcode: NLOC_W
/* 11102 */   MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 11115
/* 11106 */   MCD::OPC_CheckPredicate, 30, 114, 14, // Skip to: 14808
/* 11110 */   MCD::OPC_Decode, 249, 17, 186, 2, // Opcode: NLOC_D
/* 11115 */   MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 11128
/* 11119 */   MCD::OPC_CheckPredicate, 30, 101, 14, // Skip to: 14808
/* 11123 */   MCD::OPC_Decode, 252, 17, 172, 2, // Opcode: NLZC_B
/* 11128 */   MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 11141
/* 11132 */   MCD::OPC_CheckPredicate, 30, 88, 14, // Skip to: 14808
/* 11136 */   MCD::OPC_Decode, 254, 17, 184, 2, // Opcode: NLZC_H
/* 11141 */   MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 11154
/* 11145 */   MCD::OPC_CheckPredicate, 30, 75, 14, // Skip to: 14808
/* 11149 */   MCD::OPC_Decode, 255, 17, 185, 2, // Opcode: NLZC_W
/* 11154 */   MCD::OPC_FilterValue, 15, 66, 14, // Skip to: 14808
/* 11158 */   MCD::OPC_CheckPredicate, 30, 62, 14, // Skip to: 14808
/* 11162 */   MCD::OPC_Decode, 253, 17, 186, 2, // Opcode: NLZC_D
/* 11167 */   MCD::OPC_FilterValue, 25, 53, 14, // Skip to: 14808
/* 11171 */   MCD::OPC_ExtractField, 16, 5,  // Inst{20-16} ...
/* 11174 */   MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 11187
/* 11178 */   MCD::OPC_CheckPredicate, 30, 42, 14, // Skip to: 14808
/* 11182 */   MCD::OPC_Decode, 213, 12, 185, 2, // Opcode: FCLASS_W
/* 11187 */   MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 11200
/* 11191 */   MCD::OPC_CheckPredicate, 30, 29, 14, // Skip to: 14808
/* 11195 */   MCD::OPC_Decode, 212, 12, 186, 2, // Opcode: FCLASS_D
/* 11200 */   MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 11213
/* 11204 */   MCD::OPC_CheckPredicate, 30, 16, 14, // Skip to: 14808
/* 11208 */   MCD::OPC_Decode, 242, 13, 185, 2, // Opcode: FTRUNC_S_W
/* 11213 */   MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 11226
/* 11217 */   MCD::OPC_CheckPredicate, 30, 3, 14, // Skip to: 14808
/* 11221 */   MCD::OPC_Decode, 241, 13, 186, 2, // Opcode: FTRUNC_S_D
/* 11226 */   MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 11239
/* 11230 */   MCD::OPC_CheckPredicate, 30, 246, 13, // Skip to: 14808
/* 11234 */   MCD::OPC_Decode, 244, 13, 185, 2, // Opcode: FTRUNC_U_W
/* 11239 */   MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 11252
/* 11243 */   MCD::OPC_CheckPredicate, 30, 233, 13, // Skip to: 14808
/* 11247 */   MCD::OPC_Decode, 243, 13, 186, 2, // Opcode: FTRUNC_U_D
/* 11252 */   MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 11265
/* 11256 */   MCD::OPC_CheckPredicate, 30, 220, 13, // Skip to: 14808
/* 11260 */   MCD::OPC_Decode, 214, 13, 185, 2, // Opcode: FSQRT_W
/* 11265 */   MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 11278
/* 11269 */   MCD::OPC_CheckPredicate, 30, 207, 13, // Skip to: 14808
/* 11273 */   MCD::OPC_Decode, 207, 13, 186, 2, // Opcode: FSQRT_D
/* 11278 */   MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 11291
/* 11282 */   MCD::OPC_CheckPredicate, 30, 194, 13, // Skip to: 14808
/* 11286 */   MCD::OPC_Decode, 194, 13, 185, 2, // Opcode: FRSQRT_W
/* 11291 */   MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 11304
/* 11295 */   MCD::OPC_CheckPredicate, 30, 181, 13, // Skip to: 14808
/* 11299 */   MCD::OPC_Decode, 193, 13, 186, 2, // Opcode: FRSQRT_D
/* 11304 */   MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 11317
/* 11308 */   MCD::OPC_CheckPredicate, 30, 168, 13, // Skip to: 14808
/* 11312 */   MCD::OPC_Decode, 190, 13, 185, 2, // Opcode: FRCP_W
/* 11317 */   MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 11330
/* 11321 */   MCD::OPC_CheckPredicate, 30, 155, 13, // Skip to: 14808
/* 11325 */   MCD::OPC_Decode, 189, 13, 186, 2, // Opcode: FRCP_D
/* 11330 */   MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 11343
/* 11334 */   MCD::OPC_CheckPredicate, 30, 142, 13, // Skip to: 14808
/* 11338 */   MCD::OPC_Decode, 192, 13, 185, 2, // Opcode: FRINT_W
/* 11343 */   MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 11356
/* 11347 */   MCD::OPC_CheckPredicate, 30, 129, 13, // Skip to: 14808
/* 11351 */   MCD::OPC_Decode, 191, 13, 186, 2, // Opcode: FRINT_D
/* 11356 */   MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 11369
/* 11360 */   MCD::OPC_CheckPredicate, 30, 116, 13, // Skip to: 14808
/* 11364 */   MCD::OPC_Decode, 139, 13, 185, 2, // Opcode: FLOG2_W
/* 11369 */   MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 11382
/* 11373 */   MCD::OPC_CheckPredicate, 30, 103, 13, // Skip to: 14808
/* 11377 */   MCD::OPC_Decode, 138, 13, 186, 2, // Opcode: FLOG2_D
/* 11382 */   MCD::OPC_FilterValue, 16, 9, 0, // Skip to: 11395
/* 11386 */   MCD::OPC_CheckPredicate, 30, 90, 13, // Skip to: 14808
/* 11390 */   MCD::OPC_Decode, 251, 12, 187, 2, // Opcode: FEXUPL_W
/* 11395 */   MCD::OPC_FilterValue, 17, 9, 0, // Skip to: 11408
/* 11399 */   MCD::OPC_CheckPredicate, 30, 77, 13, // Skip to: 14808
/* 11403 */   MCD::OPC_Decode, 250, 12, 188, 2, // Opcode: FEXUPL_D
/* 11408 */   MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 11421
/* 11412 */   MCD::OPC_CheckPredicate, 30, 64, 13, // Skip to: 14808
/* 11416 */   MCD::OPC_Decode, 253, 12, 187, 2, // Opcode: FEXUPR_W
/* 11421 */   MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 11434
/* 11425 */   MCD::OPC_CheckPredicate, 30, 51, 13, // Skip to: 14808
/* 11429 */   MCD::OPC_Decode, 252, 12, 188, 2, // Opcode: FEXUPR_D
/* 11434 */   MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 11447
/* 11438 */   MCD::OPC_CheckPredicate, 30, 38, 13, // Skip to: 14808
/* 11442 */   MCD::OPC_Decode, 131, 13, 187, 2, // Opcode: FFQL_W
/* 11447 */   MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 11460
/* 11451 */   MCD::OPC_CheckPredicate, 30, 25, 13, // Skip to: 14808
/* 11455 */   MCD::OPC_Decode, 130, 13, 188, 2, // Opcode: FFQL_D
/* 11460 */   MCD::OPC_FilterValue, 22, 9, 0, // Skip to: 11473
/* 11464 */   MCD::OPC_CheckPredicate, 30, 12, 13, // Skip to: 14808
/* 11468 */   MCD::OPC_Decode, 133, 13, 187, 2, // Opcode: FFQR_W
/* 11473 */   MCD::OPC_FilterValue, 23, 9, 0, // Skip to: 11486
/* 11477 */   MCD::OPC_CheckPredicate, 30, 255, 12, // Skip to: 14808
/* 11481 */   MCD::OPC_Decode, 132, 13, 188, 2, // Opcode: FFQR_D
/* 11486 */   MCD::OPC_FilterValue, 24, 9, 0, // Skip to: 11499
/* 11490 */   MCD::OPC_CheckPredicate, 30, 242, 12, // Skip to: 14808
/* 11494 */   MCD::OPC_Decode, 236, 13, 185, 2, // Opcode: FTINT_S_W
/* 11499 */   MCD::OPC_FilterValue, 25, 9, 0, // Skip to: 11512
/* 11503 */   MCD::OPC_CheckPredicate, 30, 229, 12, // Skip to: 14808
/* 11507 */   MCD::OPC_Decode, 235, 13, 186, 2, // Opcode: FTINT_S_D
/* 11512 */   MCD::OPC_FilterValue, 26, 9, 0, // Skip to: 11525
/* 11516 */   MCD::OPC_CheckPredicate, 30, 216, 12, // Skip to: 14808
/* 11520 */   MCD::OPC_Decode, 238, 13, 185, 2, // Opcode: FTINT_U_W
/* 11525 */   MCD::OPC_FilterValue, 27, 9, 0, // Skip to: 11538
/* 11529 */   MCD::OPC_CheckPredicate, 30, 203, 12, // Skip to: 14808
/* 11533 */   MCD::OPC_Decode, 237, 13, 186, 2, // Opcode: FTINT_U_D
/* 11538 */   MCD::OPC_FilterValue, 28, 9, 0, // Skip to: 11551
/* 11542 */   MCD::OPC_CheckPredicate, 30, 190, 12, // Skip to: 14808
/* 11546 */   MCD::OPC_Decode, 255, 12, 185, 2, // Opcode: FFINT_S_W
/* 11551 */   MCD::OPC_FilterValue, 29, 9, 0, // Skip to: 11564
/* 11555 */   MCD::OPC_CheckPredicate, 30, 177, 12, // Skip to: 14808
/* 11559 */   MCD::OPC_Decode, 254, 12, 186, 2, // Opcode: FFINT_S_D
/* 11564 */   MCD::OPC_FilterValue, 30, 9, 0, // Skip to: 11577
/* 11568 */   MCD::OPC_CheckPredicate, 30, 164, 12, // Skip to: 14808
/* 11572 */   MCD::OPC_Decode, 129, 13, 185, 2, // Opcode: FFINT_U_W
/* 11577 */   MCD::OPC_FilterValue, 31, 155, 12, // Skip to: 14808
/* 11581 */   MCD::OPC_CheckPredicate, 30, 151, 12, // Skip to: 14808
/* 11585 */   MCD::OPC_Decode, 128, 13, 186, 2, // Opcode: FFINT_U_D
/* 11590 */   MCD::OPC_FilterValue, 32, 9, 0, // Skip to: 11603
/* 11594 */   MCD::OPC_CheckPredicate, 30, 138, 12, // Skip to: 14808
/* 11598 */   MCD::OPC_Decode, 240, 14, 189, 2, // Opcode: LD_B
/* 11603 */   MCD::OPC_FilterValue, 33, 9, 0, // Skip to: 11616
/* 11607 */   MCD::OPC_CheckPredicate, 30, 125, 12, // Skip to: 14808
/* 11611 */   MCD::OPC_Decode, 242, 14, 189, 2, // Opcode: LD_H
/* 11616 */   MCD::OPC_FilterValue, 34, 9, 0, // Skip to: 11629
/* 11620 */   MCD::OPC_CheckPredicate, 30, 112, 12, // Skip to: 14808
/* 11624 */   MCD::OPC_Decode, 243, 14, 189, 2, // Opcode: LD_W
/* 11629 */   MCD::OPC_FilterValue, 35, 9, 0, // Skip to: 11642
/* 11633 */   MCD::OPC_CheckPredicate, 30, 99, 12, // Skip to: 14808
/* 11637 */   MCD::OPC_Decode, 241, 14, 189, 2, // Opcode: LD_D
/* 11642 */   MCD::OPC_FilterValue, 36, 9, 0, // Skip to: 11655
/* 11646 */   MCD::OPC_CheckPredicate, 30, 86, 12, // Skip to: 14808
/* 11650 */   MCD::OPC_Decode, 253, 20, 189, 2, // Opcode: ST_B
/* 11655 */   MCD::OPC_FilterValue, 37, 9, 0, // Skip to: 11668
/* 11659 */   MCD::OPC_CheckPredicate, 30, 73, 12, // Skip to: 14808
/* 11663 */   MCD::OPC_Decode, 255, 20, 189, 2, // Opcode: ST_H
/* 11668 */   MCD::OPC_FilterValue, 38, 9, 0, // Skip to: 11681
/* 11672 */   MCD::OPC_CheckPredicate, 30, 60, 12, // Skip to: 14808
/* 11676 */   MCD::OPC_Decode, 128, 21, 189, 2, // Opcode: ST_W
/* 11681 */   MCD::OPC_FilterValue, 39, 51, 12, // Skip to: 14808
/* 11685 */   MCD::OPC_CheckPredicate, 30, 47, 12, // Skip to: 14808
/* 11689 */   MCD::OPC_Decode, 254, 20, 189, 2, // Opcode: ST_D
/* 11694 */   MCD::OPC_FilterValue, 31, 238, 10, // Skip to: 14496
/* 11698 */   MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 11701 */   MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 11714
/* 11705 */   MCD::OPC_CheckPredicate, 28, 27, 12, // Skip to: 14808
/* 11709 */   MCD::OPC_Decode, 163, 12, 190, 2, // Opcode: EXT
/* 11714 */   MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 11727
/* 11718 */   MCD::OPC_CheckPredicate, 28, 14, 12, // Skip to: 14808
/* 11722 */   MCD::OPC_Decode, 151, 14, 191, 2, // Opcode: INS
/* 11727 */   MCD::OPC_FilterValue, 8, 15, 0, // Skip to: 11746
/* 11731 */   MCD::OPC_CheckPredicate, 42, 1, 12, // Skip to: 14808
/* 11735 */   MCD::OPC_CheckField, 6, 5, 0, 251, 11, // Skip to: 14808
/* 11741 */   MCD::OPC_Decode, 188, 13, 192, 2, // Opcode: FORK
/* 11746 */   MCD::OPC_FilterValue, 9, 20, 0, // Skip to: 11770
/* 11750 */   MCD::OPC_CheckPredicate, 42, 238, 11, // Skip to: 14808
/* 11754 */   MCD::OPC_CheckField, 16, 5, 0, 232, 11, // Skip to: 14808
/* 11760 */   MCD::OPC_CheckField, 6, 5, 0, 226, 11, // Skip to: 14808
/* 11766 */   MCD::OPC_Decode, 215, 22, 25, // Opcode: YIELD
/* 11770 */   MCD::OPC_FilterValue, 10, 42, 0, // Skip to: 11816
/* 11774 */   MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 11777 */   MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 11790
/* 11781 */   MCD::OPC_CheckPredicate, 37, 207, 11, // Skip to: 14808
/* 11785 */   MCD::OPC_Decode, 187, 15, 193, 2, // Opcode: LWX
/* 11790 */   MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 11803
/* 11794 */   MCD::OPC_CheckPredicate, 37, 194, 11, // Skip to: 14808
/* 11798 */   MCD::OPC_Decode, 252, 14, 193, 2, // Opcode: LHX
/* 11803 */   MCD::OPC_FilterValue, 6, 185, 11, // Skip to: 14808
/* 11807 */   MCD::OPC_CheckPredicate, 37, 181, 11, // Skip to: 14808
/* 11811 */   MCD::OPC_Decode, 211, 14, 193, 2, // Opcode: LBUX
/* 11816 */   MCD::OPC_FilterValue, 12, 15, 0, // Skip to: 11835
/* 11820 */   MCD::OPC_CheckPredicate, 37, 168, 11, // Skip to: 14808
/* 11824 */   MCD::OPC_CheckField, 6, 10, 0, 162, 11, // Skip to: 14808
/* 11830 */   MCD::OPC_Decode, 156, 14, 194, 2, // Opcode: INSV
/* 11835 */   MCD::OPC_FilterValue, 16, 60, 1, // Skip to: 12155
/* 11839 */   MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 11842 */   MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 11855
/* 11846 */   MCD::OPC_CheckPredicate, 37, 142, 11, // Skip to: 14808
/* 11850 */   MCD::OPC_Decode, 177, 6, 195, 2, // Opcode: ADDU_QB
/* 11855 */   MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 11868
/* 11859 */   MCD::OPC_CheckPredicate, 37, 129, 11, // Skip to: 14808
/* 11863 */   MCD::OPC_Decode, 169, 21, 195, 2, // Opcode: SUBU_QB
/* 11868 */   MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 11881
/* 11872 */   MCD::OPC_CheckPredicate, 37, 116, 11, // Skip to: 14808
/* 11876 */   MCD::OPC_Decode, 181, 6, 195, 2, // Opcode: ADDU_S_QB
/* 11881 */   MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 11894
/* 11885 */   MCD::OPC_CheckPredicate, 37, 103, 11, // Skip to: 14808
/* 11889 */   MCD::OPC_Decode, 173, 21, 195, 2, // Opcode: SUBU_S_QB
/* 11894 */   MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 11907
/* 11898 */   MCD::OPC_CheckPredicate, 37, 90, 11, // Skip to: 14808
/* 11902 */   MCD::OPC_Decode, 201, 17, 195, 2, // Opcode: MULEU_S_PH_QBL
/* 11907 */   MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 11920
/* 11911 */   MCD::OPC_CheckPredicate, 37, 77, 11, // Skip to: 14808
/* 11915 */   MCD::OPC_Decode, 203, 17, 195, 2, // Opcode: MULEU_S_PH_QBR
/* 11920 */   MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 11933
/* 11924 */   MCD::OPC_CheckPredicate, 69, 64, 11, // Skip to: 14808
/* 11928 */   MCD::OPC_Decode, 175, 6, 195, 2, // Opcode: ADDU_PH
/* 11933 */   MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 11946
/* 11937 */   MCD::OPC_CheckPredicate, 69, 51, 11, // Skip to: 14808
/* 11941 */   MCD::OPC_Decode, 167, 21, 195, 2, // Opcode: SUBU_PH
/* 11946 */   MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 11959
/* 11950 */   MCD::OPC_CheckPredicate, 37, 38, 11, // Skip to: 14808
/* 11954 */   MCD::OPC_Decode, 147, 6, 195, 2, // Opcode: ADDQ_PH
/* 11959 */   MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 11972
/* 11963 */   MCD::OPC_CheckPredicate, 37, 25, 11, // Skip to: 14808
/* 11967 */   MCD::OPC_Decode, 138, 21, 195, 2, // Opcode: SUBQ_PH
/* 11972 */   MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 11985
/* 11976 */   MCD::OPC_CheckPredicate, 69, 12, 11, // Skip to: 14808
/* 11980 */   MCD::OPC_Decode, 179, 6, 195, 2, // Opcode: ADDU_S_PH
/* 11985 */   MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 11998
/* 11989 */   MCD::OPC_CheckPredicate, 69, 255, 10, // Skip to: 14808
/* 11993 */   MCD::OPC_Decode, 171, 21, 195, 2, // Opcode: SUBU_S_PH
/* 11998 */   MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 12011
/* 12002 */   MCD::OPC_CheckPredicate, 37, 242, 10, // Skip to: 14808
/* 12006 */   MCD::OPC_Decode, 149, 6, 195, 2, // Opcode: ADDQ_S_PH
/* 12011 */   MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 12024
/* 12015 */   MCD::OPC_CheckPredicate, 37, 229, 10, // Skip to: 14808
/* 12019 */   MCD::OPC_Decode, 140, 21, 195, 2, // Opcode: SUBQ_S_PH
/* 12024 */   MCD::OPC_FilterValue, 16, 8, 0, // Skip to: 12036
/* 12028 */   MCD::OPC_CheckPredicate, 37, 216, 10, // Skip to: 14808
/* 12032 */   MCD::OPC_Decode, 154, 6, 61, // Opcode: ADDSC
/* 12036 */   MCD::OPC_FilterValue, 17, 8, 0, // Skip to: 12048
/* 12040 */   MCD::OPC_CheckPredicate, 37, 204, 10, // Skip to: 14808
/* 12044 */   MCD::OPC_Decode, 191, 6, 61, // Opcode: ADDWC
/* 12048 */   MCD::OPC_FilterValue, 18, 8, 0, // Skip to: 12060
/* 12052 */   MCD::OPC_CheckPredicate, 37, 192, 10, // Skip to: 14808
/* 12056 */   MCD::OPC_Decode, 199, 16, 61, // Opcode: MODSUB
/* 12060 */   MCD::OPC_FilterValue, 20, 15, 0, // Skip to: 12079
/* 12064 */   MCD::OPC_CheckPredicate, 37, 180, 10, // Skip to: 14808
/* 12068 */   MCD::OPC_CheckField, 16, 5, 0, 174, 10, // Skip to: 14808
/* 12074 */   MCD::OPC_Decode, 230, 18, 196, 2, // Opcode: RADDU_W_QB
/* 12079 */   MCD::OPC_FilterValue, 22, 8, 0, // Skip to: 12091
/* 12083 */   MCD::OPC_CheckPredicate, 37, 161, 10, // Skip to: 14808
/* 12087 */   MCD::OPC_Decode, 151, 6, 61, // Opcode: ADDQ_S_W
/* 12091 */   MCD::OPC_FilterValue, 23, 8, 0, // Skip to: 12103
/* 12095 */   MCD::OPC_CheckPredicate, 37, 149, 10, // Skip to: 14808
/* 12099 */   MCD::OPC_Decode, 142, 21, 61, // Opcode: SUBQ_S_W
/* 12103 */   MCD::OPC_FilterValue, 28, 9, 0, // Skip to: 12116
/* 12107 */   MCD::OPC_CheckPredicate, 37, 137, 10, // Skip to: 14808
/* 12111 */   MCD::OPC_Decode, 197, 17, 197, 2, // Opcode: MULEQ_S_W_PHL
/* 12116 */   MCD::OPC_FilterValue, 29, 9, 0, // Skip to: 12129
/* 12120 */   MCD::OPC_CheckPredicate, 37, 124, 10, // Skip to: 14808
/* 12124 */   MCD::OPC_Decode, 199, 17, 197, 2, // Opcode: MULEQ_S_W_PHR
/* 12129 */   MCD::OPC_FilterValue, 30, 9, 0, // Skip to: 12142
/* 12133 */   MCD::OPC_CheckPredicate, 69, 111, 10, // Skip to: 14808
/* 12137 */   MCD::OPC_Decode, 209, 17, 195, 2, // Opcode: MULQ_S_PH
/* 12142 */   MCD::OPC_FilterValue, 31, 102, 10, // Skip to: 14808
/* 12146 */   MCD::OPC_CheckPredicate, 37, 98, 10, // Skip to: 14808
/* 12150 */   MCD::OPC_Decode, 205, 17, 195, 2, // Opcode: MULQ_RS_PH
/* 12155 */   MCD::OPC_FilterValue, 17, 63, 1, // Skip to: 12478
/* 12159 */   MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 12162 */   MCD::OPC_FilterValue, 0, 14, 0, // Skip to: 12180
/* 12166 */   MCD::OPC_CheckPredicate, 37, 78, 10, // Skip to: 14808
/* 12170 */   MCD::OPC_CheckField, 11, 5, 0, 72, 10, // Skip to: 14808
/* 12176 */   MCD::OPC_Decode, 164, 9, 79, // Opcode: CMPU_EQ_QB
/* 12180 */   MCD::OPC_FilterValue, 1, 14, 0, // Skip to: 12198
/* 12184 */   MCD::OPC_CheckPredicate, 37, 60, 10, // Skip to: 14808
/* 12188 */   MCD::OPC_CheckField, 11, 5, 0, 54, 10, // Skip to: 14808
/* 12194 */   MCD::OPC_Decode, 168, 9, 79, // Opcode: CMPU_LT_QB
/* 12198 */   MCD::OPC_FilterValue, 2, 14, 0, // Skip to: 12216
/* 12202 */   MCD::OPC_CheckPredicate, 37, 42, 10, // Skip to: 14808
/* 12206 */   MCD::OPC_CheckField, 11, 5, 0, 36, 10, // Skip to: 14808
/* 12212 */   MCD::OPC_Decode, 166, 9, 79, // Opcode: CMPU_LE_QB
/* 12216 */   MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 12229
/* 12220 */   MCD::OPC_CheckPredicate, 37, 24, 10, // Skip to: 14808
/* 12224 */   MCD::OPC_Decode, 180, 18, 195, 2, // Opcode: PICK_QB
/* 12229 */   MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 12242
/* 12233 */   MCD::OPC_CheckPredicate, 37, 11, 10, // Skip to: 14808
/* 12237 */   MCD::OPC_Decode, 158, 9, 197, 2, // Opcode: CMPGU_EQ_QB
/* 12242 */   MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 12255
/* 12246 */   MCD::OPC_CheckPredicate, 37, 254, 9, // Skip to: 14808
/* 12250 */   MCD::OPC_Decode, 162, 9, 197, 2, // Opcode: CMPGU_LT_QB
/* 12255 */   MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 12268
/* 12259 */   MCD::OPC_CheckPredicate, 37, 241, 9, // Skip to: 14808
/* 12263 */   MCD::OPC_Decode, 160, 9, 197, 2, // Opcode: CMPGU_LE_QB
/* 12268 */   MCD::OPC_FilterValue, 8, 14, 0, // Skip to: 12286
/* 12272 */   MCD::OPC_CheckPredicate, 37, 228, 9, // Skip to: 14808
/* 12276 */   MCD::OPC_CheckField, 11, 5, 0, 222, 9, // Skip to: 14808
/* 12282 */   MCD::OPC_Decode, 174, 9, 79, // Opcode: CMP_EQ_PH
/* 12286 */   MCD::OPC_FilterValue, 9, 14, 0, // Skip to: 12304
/* 12290 */   MCD::OPC_CheckPredicate, 37, 210, 9, // Skip to: 14808
/* 12294 */   MCD::OPC_CheckField, 11, 5, 0, 204, 9, // Skip to: 14808
/* 12300 */   MCD::OPC_Decode, 188, 9, 79, // Opcode: CMP_LT_PH
/* 12304 */   MCD::OPC_FilterValue, 10, 14, 0, // Skip to: 12322
/* 12308 */   MCD::OPC_CheckPredicate, 37, 192, 9, // Skip to: 14808
/* 12312 */   MCD::OPC_CheckField, 11, 5, 0, 186, 9, // Skip to: 14808
/* 12318 */   MCD::OPC_Decode, 182, 9, 79, // Opcode: CMP_LE_PH
/* 12322 */   MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 12335
/* 12326 */   MCD::OPC_CheckPredicate, 37, 174, 9, // Skip to: 14808
/* 12330 */   MCD::OPC_Decode, 178, 18, 195, 2, // Opcode: PICK_PH
/* 12335 */   MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 12348
/* 12339 */   MCD::OPC_CheckPredicate, 37, 161, 9, // Skip to: 14808
/* 12343 */   MCD::OPC_Decode, 209, 18, 195, 2, // Opcode: PRECRQ_QB_PH
/* 12348 */   MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 12361
/* 12352 */   MCD::OPC_CheckPredicate, 69, 148, 9, // Skip to: 14808
/* 12356 */   MCD::OPC_Decode, 213, 18, 195, 2, // Opcode: PRECR_QB_PH
/* 12361 */   MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 12374
/* 12365 */   MCD::OPC_CheckPredicate, 37, 135, 9, // Skip to: 14808
/* 12369 */   MCD::OPC_Decode, 161, 18, 195, 2, // Opcode: PACKRL_PH
/* 12374 */   MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 12387
/* 12378 */   MCD::OPC_CheckPredicate, 37, 122, 9, // Skip to: 14808
/* 12382 */   MCD::OPC_Decode, 205, 18, 195, 2, // Opcode: PRECRQU_S_QB_PH
/* 12387 */   MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 12400
/* 12391 */   MCD::OPC_CheckPredicate, 37, 109, 9, // Skip to: 14808
/* 12395 */   MCD::OPC_Decode, 207, 18, 198, 2, // Opcode: PRECRQ_PH_W
/* 12400 */   MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 12413
/* 12404 */   MCD::OPC_CheckPredicate, 37, 96, 9, // Skip to: 14808
/* 12408 */   MCD::OPC_Decode, 211, 18, 198, 2, // Opcode: PRECRQ_RS_PH_W
/* 12413 */   MCD::OPC_FilterValue, 24, 9, 0, // Skip to: 12426
/* 12417 */   MCD::OPC_CheckPredicate, 69, 83, 9, // Skip to: 14808
/* 12421 */   MCD::OPC_Decode, 152, 9, 197, 2, // Opcode: CMPGDU_EQ_QB
/* 12426 */   MCD::OPC_FilterValue, 25, 9, 0, // Skip to: 12439
/* 12430 */   MCD::OPC_CheckPredicate, 69, 70, 9, // Skip to: 14808
/* 12434 */   MCD::OPC_Decode, 156, 9, 197, 2, // Opcode: CMPGDU_LT_QB
/* 12439 */   MCD::OPC_FilterValue, 26, 9, 0, // Skip to: 12452
/* 12443 */   MCD::OPC_CheckPredicate, 69, 57, 9, // Skip to: 14808
/* 12447 */   MCD::OPC_Decode, 154, 9, 197, 2, // Opcode: CMPGDU_LE_QB
/* 12452 */   MCD::OPC_FilterValue, 30, 9, 0, // Skip to: 12465
/* 12456 */   MCD::OPC_CheckPredicate, 69, 44, 9, // Skip to: 14808
/* 12460 */   MCD::OPC_Decode, 215, 18, 199, 2, // Opcode: PRECR_SRA_PH_W
/* 12465 */   MCD::OPC_FilterValue, 31, 35, 9, // Skip to: 14808
/* 12469 */   MCD::OPC_CheckPredicate, 69, 31, 9, // Skip to: 14808
/* 12473 */   MCD::OPC_Decode, 217, 18, 199, 2, // Opcode: PRECR_SRA_R_PH_W
/* 12478 */   MCD::OPC_FilterValue, 18, 76, 1, // Skip to: 12814
/* 12482 */   MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 12485 */   MCD::OPC_FilterValue, 1, 15, 0, // Skip to: 12504
/* 12489 */   MCD::OPC_CheckPredicate, 69, 11, 9, // Skip to: 14808
/* 12493 */   MCD::OPC_CheckField, 21, 5, 0, 5, 9, // Skip to: 14808
/* 12499 */   MCD::OPC_Decode, 254, 5, 200, 2, // Opcode: ABSQ_S_QB
/* 12504 */   MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 12517
/* 12508 */   MCD::OPC_CheckPredicate, 37, 248, 8, // Skip to: 14808
/* 12512 */   MCD::OPC_Decode, 251, 18, 201, 2, // Opcode: REPL_QB
/* 12517 */   MCD::OPC_FilterValue, 3, 15, 0, // Skip to: 12536
/* 12521 */   MCD::OPC_CheckPredicate, 37, 235, 8, // Skip to: 14808
/* 12525 */   MCD::OPC_CheckField, 21, 5, 0, 229, 8, // Skip to: 14808
/* 12531 */   MCD::OPC_Decode, 247, 18, 202, 2, // Opcode: REPLV_QB
/* 12536 */   MCD::OPC_FilterValue, 4, 15, 0, // Skip to: 12555
/* 12540 */   MCD::OPC_CheckPredicate, 37, 216, 8, // Skip to: 14808
/* 12544 */   MCD::OPC_CheckField, 21, 5, 0, 210, 8, // Skip to: 14808
/* 12550 */   MCD::OPC_Decode, 185, 18, 200, 2, // Opcode: PRECEQU_PH_QBL
/* 12555 */   MCD::OPC_FilterValue, 5, 15, 0, // Skip to: 12574
/* 12559 */   MCD::OPC_CheckPredicate, 37, 197, 8, // Skip to: 14808
/* 12563 */   MCD::OPC_CheckField, 21, 5, 0, 191, 8, // Skip to: 14808
/* 12569 */   MCD::OPC_Decode, 189, 18, 200, 2, // Opcode: PRECEQU_PH_QBR
/* 12574 */   MCD::OPC_FilterValue, 6, 15, 0, // Skip to: 12593
/* 12578 */   MCD::OPC_CheckPredicate, 37, 178, 8, // Skip to: 14808
/* 12582 */   MCD::OPC_CheckField, 21, 5, 0, 172, 8, // Skip to: 14808
/* 12588 */   MCD::OPC_Decode, 186, 18, 200, 2, // Opcode: PRECEQU_PH_QBLA
/* 12593 */   MCD::OPC_FilterValue, 7, 15, 0, // Skip to: 12612
/* 12597 */   MCD::OPC_CheckPredicate, 37, 159, 8, // Skip to: 14808
/* 12601 */   MCD::OPC_CheckField, 21, 5, 0, 153, 8, // Skip to: 14808
/* 12607 */   MCD::OPC_Decode, 190, 18, 200, 2, // Opcode: PRECEQU_PH_QBRA
/* 12612 */   MCD::OPC_FilterValue, 9, 15, 0, // Skip to: 12631
/* 12616 */   MCD::OPC_CheckPredicate, 37, 140, 8, // Skip to: 14808
/* 12620 */   MCD::OPC_CheckField, 21, 5, 0, 134, 8, // Skip to: 14808
/* 12626 */   MCD::OPC_Decode, 252, 5, 200, 2, // Opcode: ABSQ_S_PH
/* 12631 */   MCD::OPC_FilterValue, 10, 8, 0, // Skip to: 12643
/* 12635 */   MCD::OPC_CheckPredicate, 37, 121, 8, // Skip to: 14808
/* 12639 */   MCD::OPC_Decode, 249, 18, 96, // Opcode: REPL_PH
/* 12643 */   MCD::OPC_FilterValue, 11, 15, 0, // Skip to: 12662
/* 12647 */   MCD::OPC_CheckPredicate, 37, 109, 8, // Skip to: 14808
/* 12651 */   MCD::OPC_CheckField, 21, 5, 0, 103, 8, // Skip to: 14808
/* 12657 */   MCD::OPC_Decode, 245, 18, 202, 2, // Opcode: REPLV_PH
/* 12662 */   MCD::OPC_FilterValue, 12, 15, 0, // Skip to: 12681
/* 12666 */   MCD::OPC_CheckPredicate, 37, 90, 8, // Skip to: 14808
/* 12670 */   MCD::OPC_CheckField, 21, 5, 0, 84, 8, // Skip to: 14808
/* 12676 */   MCD::OPC_Decode, 193, 18, 203, 2, // Opcode: PRECEQ_W_PHL
/* 12681 */   MCD::OPC_FilterValue, 13, 15, 0, // Skip to: 12700
/* 12685 */   MCD::OPC_CheckPredicate, 37, 71, 8, // Skip to: 14808
/* 12689 */   MCD::OPC_CheckField, 21, 5, 0, 65, 8, // Skip to: 14808
/* 12695 */   MCD::OPC_Decode, 195, 18, 203, 2, // Opcode: PRECEQ_W_PHR
/* 12700 */   MCD::OPC_FilterValue, 17, 15, 0, // Skip to: 12719
/* 12704 */   MCD::OPC_CheckPredicate, 37, 52, 8, // Skip to: 14808
/* 12708 */   MCD::OPC_CheckField, 21, 5, 0, 46, 8, // Skip to: 14808
/* 12714 */   MCD::OPC_Decode, 128, 6, 204, 2, // Opcode: ABSQ_S_W
/* 12719 */   MCD::OPC_FilterValue, 27, 15, 0, // Skip to: 12738
/* 12723 */   MCD::OPC_CheckPredicate, 37, 33, 8, // Skip to: 14808
/* 12727 */   MCD::OPC_CheckField, 21, 5, 0, 27, 8, // Skip to: 14808
/* 12733 */   MCD::OPC_Decode, 229, 7, 204, 2, // Opcode: BITREV
/* 12738 */   MCD::OPC_FilterValue, 28, 15, 0, // Skip to: 12757
/* 12742 */   MCD::OPC_CheckPredicate, 37, 14, 8, // Skip to: 14808
/* 12746 */   MCD::OPC_CheckField, 21, 5, 0, 8, 8, // Skip to: 14808
/* 12752 */   MCD::OPC_Decode, 197, 18, 200, 2, // Opcode: PRECEU_PH_QBL
/* 12757 */   MCD::OPC_FilterValue, 29, 15, 0, // Skip to: 12776
/* 12761 */   MCD::OPC_CheckPredicate, 37, 251, 7, // Skip to: 14808
/* 12765 */   MCD::OPC_CheckField, 21, 5, 0, 245, 7, // Skip to: 14808
/* 12771 */   MCD::OPC_Decode, 201, 18, 200, 2, // Opcode: PRECEU_PH_QBR
/* 12776 */   MCD::OPC_FilterValue, 30, 15, 0, // Skip to: 12795
/* 12780 */   MCD::OPC_CheckPredicate, 37, 232, 7, // Skip to: 14808
/* 12784 */   MCD::OPC_CheckField, 21, 5, 0, 226, 7, // Skip to: 14808
/* 12790 */   MCD::OPC_Decode, 198, 18, 200, 2, // Opcode: PRECEU_PH_QBLA
/* 12795 */   MCD::OPC_FilterValue, 31, 217, 7, // Skip to: 14808
/* 12799 */   MCD::OPC_CheckPredicate, 37, 213, 7, // Skip to: 14808
/* 12803 */   MCD::OPC_CheckField, 21, 5, 0, 207, 7, // Skip to: 14808
/* 12809 */   MCD::OPC_Decode, 202, 18, 200, 2, // Opcode: PRECEU_PH_QBRA
/* 12814 */   MCD::OPC_FilterValue, 19, 31, 1, // Skip to: 13105
/* 12818 */   MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 12821 */   MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 12834
/* 12825 */   MCD::OPC_CheckPredicate, 37, 187, 7, // Skip to: 14808
/* 12829 */   MCD::OPC_Decode, 251, 19, 205, 2, // Opcode: SHLL_QB
/* 12834 */   MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 12847
/* 12838 */   MCD::OPC_CheckPredicate, 37, 174, 7, // Skip to: 14808
/* 12842 */   MCD::OPC_Decode, 155, 20, 205, 2, // Opcode: SHRL_QB
/* 12847 */   MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 12860
/* 12851 */   MCD::OPC_CheckPredicate, 37, 161, 7, // Skip to: 14808
/* 12855 */   MCD::OPC_Decode, 243, 19, 206, 2, // Opcode: SHLLV_QB
/* 12860 */   MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 12873
/* 12864 */   MCD::OPC_CheckPredicate, 37, 148, 7, // Skip to: 14808
/* 12868 */   MCD::OPC_Decode, 151, 20, 206, 2, // Opcode: SHRLV_QB
/* 12873 */   MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 12886
/* 12877 */   MCD::OPC_CheckPredicate, 69, 135, 7, // Skip to: 14808
/* 12881 */   MCD::OPC_Decode, 141, 20, 205, 2, // Opcode: SHRA_QB
/* 12886 */   MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 12899
/* 12890 */   MCD::OPC_CheckPredicate, 69, 122, 7, // Skip to: 14808
/* 12894 */   MCD::OPC_Decode, 145, 20, 205, 2, // Opcode: SHRA_R_QB
/* 12899 */   MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 12912
/* 12903 */   MCD::OPC_CheckPredicate, 69, 109, 7, // Skip to: 14808
/* 12907 */   MCD::OPC_Decode, 131, 20, 206, 2, // Opcode: SHRAV_QB
/* 12912 */   MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 12925
/* 12916 */   MCD::OPC_CheckPredicate, 69, 96, 7, // Skip to: 14808
/* 12920 */   MCD::OPC_Decode, 135, 20, 206, 2, // Opcode: SHRAV_R_QB
/* 12925 */   MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 12938
/* 12929 */   MCD::OPC_CheckPredicate, 37, 83, 7, // Skip to: 14808
/* 12933 */   MCD::OPC_Decode, 249, 19, 205, 2, // Opcode: SHLL_PH
/* 12938 */   MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 12951
/* 12942 */   MCD::OPC_CheckPredicate, 37, 70, 7, // Skip to: 14808
/* 12946 */   MCD::OPC_Decode, 139, 20, 205, 2, // Opcode: SHRA_PH
/* 12951 */   MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 12964
/* 12955 */   MCD::OPC_CheckPredicate, 37, 57, 7, // Skip to: 14808
/* 12959 */   MCD::OPC_Decode, 241, 19, 206, 2, // Opcode: SHLLV_PH
/* 12964 */   MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 12977
/* 12968 */   MCD::OPC_CheckPredicate, 37, 44, 7, // Skip to: 14808
/* 12972 */   MCD::OPC_Decode, 129, 20, 206, 2, // Opcode: SHRAV_PH
/* 12977 */   MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 12990
/* 12981 */   MCD::OPC_CheckPredicate, 37, 31, 7, // Skip to: 14808
/* 12985 */   MCD::OPC_Decode, 253, 19, 205, 2, // Opcode: SHLL_S_PH
/* 12990 */   MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 13003
/* 12994 */   MCD::OPC_CheckPredicate, 37, 18, 7, // Skip to: 14808
/* 12998 */   MCD::OPC_Decode, 143, 20, 205, 2, // Opcode: SHRA_R_PH
/* 13003 */   MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 13016
/* 13007 */   MCD::OPC_CheckPredicate, 37, 5, 7, // Skip to: 14808
/* 13011 */   MCD::OPC_Decode, 245, 19, 206, 2, // Opcode: SHLLV_S_PH
/* 13016 */   MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 13029
/* 13020 */   MCD::OPC_CheckPredicate, 37, 248, 6, // Skip to: 14808
/* 13024 */   MCD::OPC_Decode, 133, 20, 206, 2, // Opcode: SHRAV_R_PH
/* 13029 */   MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 13042
/* 13033 */   MCD::OPC_CheckPredicate, 37, 235, 6, // Skip to: 14808
/* 13037 */   MCD::OPC_Decode, 255, 19, 207, 2, // Opcode: SHLL_S_W
/* 13042 */   MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 13055
/* 13046 */   MCD::OPC_CheckPredicate, 37, 222, 6, // Skip to: 14808
/* 13050 */   MCD::OPC_Decode, 147, 20, 207, 2, // Opcode: SHRA_R_W
/* 13055 */   MCD::OPC_FilterValue, 22, 8, 0, // Skip to: 13067
/* 13059 */   MCD::OPC_CheckPredicate, 37, 209, 6, // Skip to: 14808
/* 13063 */   MCD::OPC_Decode, 247, 19, 55, // Opcode: SHLLV_S_W
/* 13067 */   MCD::OPC_FilterValue, 23, 8, 0, // Skip to: 13079
/* 13071 */   MCD::OPC_CheckPredicate, 37, 197, 6, // Skip to: 14808
/* 13075 */   MCD::OPC_Decode, 137, 20, 55, // Opcode: SHRAV_R_W
/* 13079 */   MCD::OPC_FilterValue, 25, 9, 0, // Skip to: 13092
/* 13083 */   MCD::OPC_CheckPredicate, 69, 185, 6, // Skip to: 14808
/* 13087 */   MCD::OPC_Decode, 153, 20, 205, 2, // Opcode: SHRL_PH
/* 13092 */   MCD::OPC_FilterValue, 27, 176, 6, // Skip to: 14808
/* 13096 */   MCD::OPC_CheckPredicate, 69, 172, 6, // Skip to: 14808
/* 13100 */   MCD::OPC_Decode, 149, 20, 206, 2, // Opcode: SHRLV_PH
/* 13105 */   MCD::OPC_FilterValue, 24, 205, 0, // Skip to: 13314
/* 13109 */   MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 13112 */   MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 13125
/* 13116 */   MCD::OPC_CheckPredicate, 69, 152, 6, // Skip to: 14808
/* 13120 */   MCD::OPC_Decode, 170, 6, 195, 2, // Opcode: ADDUH_QB
/* 13125 */   MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 13138
/* 13129 */   MCD::OPC_CheckPredicate, 69, 139, 6, // Skip to: 14808
/* 13133 */   MCD::OPC_Decode, 162, 21, 195, 2, // Opcode: SUBUH_QB
/* 13138 */   MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 13151
/* 13142 */   MCD::OPC_CheckPredicate, 69, 126, 6, // Skip to: 14808
/* 13146 */   MCD::OPC_Decode, 172, 6, 195, 2, // Opcode: ADDUH_R_QB
/* 13151 */   MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 13164
/* 13155 */   MCD::OPC_CheckPredicate, 69, 113, 6, // Skip to: 14808
/* 13159 */   MCD::OPC_Decode, 164, 21, 195, 2, // Opcode: SUBUH_R_QB
/* 13164 */   MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 13177
/* 13168 */   MCD::OPC_CheckPredicate, 69, 100, 6, // Skip to: 14808
/* 13172 */   MCD::OPC_Decode, 139, 6, 195, 2, // Opcode: ADDQH_PH
/* 13177 */   MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 13190
/* 13181 */   MCD::OPC_CheckPredicate, 69, 87, 6, // Skip to: 14808
/* 13185 */   MCD::OPC_Decode, 130, 21, 195, 2, // Opcode: SUBQH_PH
/* 13190 */   MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 13203
/* 13194 */   MCD::OPC_CheckPredicate, 69, 74, 6, // Skip to: 14808
/* 13198 */   MCD::OPC_Decode, 141, 6, 195, 2, // Opcode: ADDQH_R_PH
/* 13203 */   MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 13216
/* 13207 */   MCD::OPC_CheckPredicate, 69, 61, 6, // Skip to: 14808
/* 13211 */   MCD::OPC_Decode, 132, 21, 195, 2, // Opcode: SUBQH_R_PH
/* 13216 */   MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 13229
/* 13220 */   MCD::OPC_CheckPredicate, 69, 48, 6, // Skip to: 14808
/* 13224 */   MCD::OPC_Decode, 236, 17, 195, 2, // Opcode: MUL_PH
/* 13229 */   MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 13242
/* 13233 */   MCD::OPC_CheckPredicate, 69, 35, 6, // Skip to: 14808
/* 13237 */   MCD::OPC_Decode, 241, 17, 195, 2, // Opcode: MUL_S_PH
/* 13242 */   MCD::OPC_FilterValue, 16, 8, 0, // Skip to: 13254
/* 13246 */   MCD::OPC_CheckPredicate, 69, 22, 6, // Skip to: 14808
/* 13250 */   MCD::OPC_Decode, 145, 6, 61, // Opcode: ADDQH_W
/* 13254 */   MCD::OPC_FilterValue, 17, 8, 0, // Skip to: 13266
/* 13258 */   MCD::OPC_CheckPredicate, 69, 10, 6, // Skip to: 14808
/* 13262 */   MCD::OPC_Decode, 136, 21, 61, // Opcode: SUBQH_W
/* 13266 */   MCD::OPC_FilterValue, 18, 8, 0, // Skip to: 13278
/* 13270 */   MCD::OPC_CheckPredicate, 69, 254, 5, // Skip to: 14808
/* 13274 */   MCD::OPC_Decode, 143, 6, 61, // Opcode: ADDQH_R_W
/* 13278 */   MCD::OPC_FilterValue, 19, 8, 0, // Skip to: 13290
/* 13282 */   MCD::OPC_CheckPredicate, 69, 242, 5, // Skip to: 14808
/* 13286 */   MCD::OPC_Decode, 134, 21, 61, // Opcode: SUBQH_R_W
/* 13290 */   MCD::OPC_FilterValue, 22, 8, 0, // Skip to: 13302
/* 13294 */   MCD::OPC_CheckPredicate, 69, 230, 5, // Skip to: 14808
/* 13298 */   MCD::OPC_Decode, 211, 17, 61, // Opcode: MULQ_S_W
/* 13302 */   MCD::OPC_FilterValue, 23, 222, 5, // Skip to: 14808
/* 13306 */   MCD::OPC_CheckPredicate, 69, 218, 5, // Skip to: 14808
/* 13310 */   MCD::OPC_Decode, 207, 17, 61, // Opcode: MULQ_RS_W
/* 13314 */   MCD::OPC_FilterValue, 25, 15, 0, // Skip to: 13333
/* 13318 */   MCD::OPC_CheckPredicate, 70, 206, 5, // Skip to: 14808
/* 13322 */   MCD::OPC_CheckField, 6, 1, 0, 200, 5, // Skip to: 14808
/* 13328 */   MCD::OPC_Decode, 170, 15, 208, 2, // Opcode: LWLE
/* 13333 */   MCD::OPC_FilterValue, 26, 15, 0, // Skip to: 13352
/* 13337 */   MCD::OPC_CheckPredicate, 70, 187, 5, // Skip to: 14808
/* 13341 */   MCD::OPC_CheckField, 6, 1, 0, 181, 5, // Skip to: 14808
/* 13347 */   MCD::OPC_Decode, 181, 15, 208, 2, // Opcode: LWRE
/* 13352 */   MCD::OPC_FilterValue, 27, 15, 0, // Skip to: 13371
/* 13356 */   MCD::OPC_CheckPredicate, 44, 168, 5, // Skip to: 14808
/* 13360 */   MCD::OPC_CheckField, 6, 1, 0, 162, 5, // Skip to: 14808
/* 13366 */   MCD::OPC_Decode, 204, 8, 209, 2, // Opcode: CACHEE
/* 13371 */   MCD::OPC_FilterValue, 28, 15, 0, // Skip to: 13390
/* 13375 */   MCD::OPC_CheckPredicate, 44, 149, 5, // Skip to: 14808
/* 13379 */   MCD::OPC_CheckField, 6, 1, 0, 143, 5, // Skip to: 14808
/* 13385 */   MCD::OPC_Decode, 166, 19, 208, 2, // Opcode: SBE
/* 13390 */   MCD::OPC_FilterValue, 29, 15, 0, // Skip to: 13409
/* 13394 */   MCD::OPC_CheckPredicate, 44, 130, 5, // Skip to: 14808
/* 13398 */   MCD::OPC_CheckField, 6, 1, 0, 124, 5, // Skip to: 14808
/* 13404 */   MCD::OPC_Decode, 232, 19, 208, 2, // Opcode: SHE
/* 13409 */   MCD::OPC_FilterValue, 30, 15, 0, // Skip to: 13428
/* 13413 */   MCD::OPC_CheckPredicate, 44, 111, 5, // Skip to: 14808
/* 13417 */   MCD::OPC_CheckField, 6, 1, 0, 105, 5, // Skip to: 14808
/* 13423 */   MCD::OPC_Decode, 175, 19, 208, 2, // Opcode: SCE
/* 13428 */   MCD::OPC_FilterValue, 31, 15, 0, // Skip to: 13447
/* 13432 */   MCD::OPC_CheckPredicate, 44, 92, 5, // Skip to: 14808
/* 13436 */   MCD::OPC_CheckField, 6, 1, 0, 86, 5, // Skip to: 14808
/* 13442 */   MCD::OPC_Decode, 202, 21, 208, 2, // Opcode: SWE
/* 13447 */   MCD::OPC_FilterValue, 32, 60, 0, // Skip to: 13511
/* 13451 */   MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 13454 */   MCD::OPC_FilterValue, 2, 15, 0, // Skip to: 13473
/* 13458 */   MCD::OPC_CheckPredicate, 28, 66, 5, // Skip to: 14808
/* 13462 */   MCD::OPC_CheckField, 21, 5, 0, 60, 5, // Skip to: 14808
/* 13468 */   MCD::OPC_Decode, 199, 22, 204, 2, // Opcode: WSBH
/* 13473 */   MCD::OPC_FilterValue, 16, 15, 0, // Skip to: 13492
/* 13477 */   MCD::OPC_CheckPredicate, 28, 47, 5, // Skip to: 14808
/* 13481 */   MCD::OPC_CheckField, 21, 5, 0, 41, 5, // Skip to: 14808
/* 13487 */   MCD::OPC_Decode, 202, 19, 204, 2, // Opcode: SEB
/* 13492 */   MCD::OPC_FilterValue, 24, 32, 5, // Skip to: 14808
/* 13496 */   MCD::OPC_CheckPredicate, 28, 28, 5, // Skip to: 14808
/* 13500 */   MCD::OPC_CheckField, 21, 5, 0, 22, 5, // Skip to: 14808
/* 13506 */   MCD::OPC_Decode, 205, 19, 204, 2, // Opcode: SEH
/* 13511 */   MCD::OPC_FilterValue, 33, 15, 0, // Skip to: 13530
/* 13515 */   MCD::OPC_CheckPredicate, 70, 9, 5, // Skip to: 14808
/* 13519 */   MCD::OPC_CheckField, 6, 1, 0, 3, 5, // Skip to: 14808
/* 13525 */   MCD::OPC_Decode, 206, 21, 208, 2, // Opcode: SWLE
/* 13530 */   MCD::OPC_FilterValue, 34, 15, 0, // Skip to: 13549
/* 13534 */   MCD::OPC_CheckPredicate, 70, 246, 4, // Skip to: 14808
/* 13538 */   MCD::OPC_CheckField, 6, 1, 0, 240, 4, // Skip to: 14808
/* 13544 */   MCD::OPC_Decode, 215, 21, 208, 2, // Opcode: SWRE
/* 13549 */   MCD::OPC_FilterValue, 35, 15, 0, // Skip to: 13568
/* 13553 */   MCD::OPC_CheckPredicate, 44, 227, 4, // Skip to: 14808
/* 13557 */   MCD::OPC_CheckField, 6, 1, 0, 221, 4, // Skip to: 14808
/* 13563 */   MCD::OPC_Decode, 220, 18, 209, 2, // Opcode: PREFE
/* 13568 */   MCD::OPC_FilterValue, 40, 15, 0, // Skip to: 13587
/* 13572 */   MCD::OPC_CheckPredicate, 44, 208, 4, // Skip to: 14808
/* 13576 */   MCD::OPC_CheckField, 6, 1, 0, 202, 4, // Skip to: 14808
/* 13582 */   MCD::OPC_Decode, 218, 14, 208, 2, // Opcode: LBuE
/* 13587 */   MCD::OPC_FilterValue, 41, 15, 0, // Skip to: 13606
/* 13591 */   MCD::OPC_CheckPredicate, 44, 189, 4, // Skip to: 14808
/* 13595 */   MCD::OPC_CheckField, 6, 1, 0, 183, 4, // Skip to: 14808
/* 13601 */   MCD::OPC_Decode, 129, 15, 208, 2, // Opcode: LHuE
/* 13606 */   MCD::OPC_FilterValue, 44, 15, 0, // Skip to: 13625
/* 13610 */   MCD::OPC_CheckPredicate, 44, 170, 4, // Skip to: 14808
/* 13614 */   MCD::OPC_CheckField, 6, 1, 0, 164, 4, // Skip to: 14808
/* 13620 */   MCD::OPC_Decode, 208, 14, 208, 2, // Opcode: LBE
/* 13625 */   MCD::OPC_FilterValue, 45, 15, 0, // Skip to: 13644
/* 13629 */   MCD::OPC_CheckPredicate, 44, 151, 4, // Skip to: 14808
/* 13633 */   MCD::OPC_CheckField, 6, 1, 0, 145, 4, // Skip to: 14808
/* 13639 */   MCD::OPC_Decode, 249, 14, 208, 2, // Opcode: LHE
/* 13644 */   MCD::OPC_FilterValue, 46, 15, 0, // Skip to: 13663
/* 13648 */   MCD::OPC_CheckPredicate, 44, 132, 4, // Skip to: 14808
/* 13652 */   MCD::OPC_CheckField, 6, 1, 0, 126, 4, // Skip to: 14808
/* 13658 */   MCD::OPC_Decode, 139, 15, 208, 2, // Opcode: LLE
/* 13663 */   MCD::OPC_FilterValue, 47, 15, 0, // Skip to: 13682
/* 13667 */   MCD::OPC_CheckPredicate, 44, 113, 4, // Skip to: 14808
/* 13671 */   MCD::OPC_CheckField, 6, 1, 0, 107, 4, // Skip to: 14808
/* 13677 */   MCD::OPC_Decode, 165, 15, 208, 2, // Opcode: LWE
/* 13682 */   MCD::OPC_FilterValue, 48, 165, 1, // Skip to: 14107
/* 13686 */   MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 13689 */   MCD::OPC_FilterValue, 0, 15, 0, // Skip to: 13708
/* 13693 */   MCD::OPC_CheckPredicate, 69, 87, 4, // Skip to: 14808
/* 13697 */   MCD::OPC_CheckField, 13, 3, 0, 81, 4, // Skip to: 14808
/* 13703 */   MCD::OPC_Decode, 227, 11, 243, 1, // Opcode: DPA_W_PH
/* 13708 */   MCD::OPC_FilterValue, 1, 15, 0, // Skip to: 13727
/* 13712 */   MCD::OPC_CheckPredicate, 69, 68, 4, // Skip to: 14808
/* 13716 */   MCD::OPC_CheckField, 13, 3, 0, 62, 4, // Skip to: 14808
/* 13722 */   MCD::OPC_Decode, 250, 11, 243, 1, // Opcode: DPS_W_PH
/* 13727 */   MCD::OPC_FilterValue, 2, 15, 0, // Skip to: 13746
/* 13731 */   MCD::OPC_CheckPredicate, 69, 49, 4, // Skip to: 14808
/* 13735 */   MCD::OPC_CheckField, 13, 3, 0, 43, 4, // Skip to: 14808
/* 13741 */   MCD::OPC_Decode, 218, 17, 243, 1, // Opcode: MULSA_W_PH
/* 13746 */   MCD::OPC_FilterValue, 3, 15, 0, // Skip to: 13765
/* 13750 */   MCD::OPC_CheckPredicate, 37, 30, 4, // Skip to: 14808
/* 13754 */   MCD::OPC_CheckField, 13, 3, 0, 24, 4, // Skip to: 14808
/* 13760 */   MCD::OPC_Decode, 221, 11, 243, 1, // Opcode: DPAU_H_QBL
/* 13765 */   MCD::OPC_FilterValue, 4, 15, 0, // Skip to: 13784
/* 13769 */   MCD::OPC_CheckPredicate, 37, 11, 4, // Skip to: 14808
/* 13773 */   MCD::OPC_CheckField, 13, 3, 0, 5, 4, // Skip to: 14808
/* 13779 */   MCD::OPC_Decode, 219, 11, 243, 1, // Opcode: DPAQ_S_W_PH
/* 13784 */   MCD::OPC_FilterValue, 5, 15, 0, // Skip to: 13803
/* 13788 */   MCD::OPC_CheckPredicate, 37, 248, 3, // Skip to: 14808
/* 13792 */   MCD::OPC_CheckField, 13, 3, 0, 242, 3, // Skip to: 14808
/* 13798 */   MCD::OPC_Decode, 236, 11, 243, 1, // Opcode: DPSQ_S_W_PH
/* 13803 */   MCD::OPC_FilterValue, 6, 15, 0, // Skip to: 13822
/* 13807 */   MCD::OPC_CheckPredicate, 37, 229, 3, // Skip to: 14808
/* 13811 */   MCD::OPC_CheckField, 13, 3, 0, 223, 3, // Skip to: 14808
/* 13817 */   MCD::OPC_Decode, 216, 17, 243, 1, // Opcode: MULSAQ_S_W_PH
/* 13822 */   MCD::OPC_FilterValue, 7, 15, 0, // Skip to: 13841
/* 13826 */   MCD::OPC_CheckPredicate, 37, 210, 3, // Skip to: 14808
/* 13830 */   MCD::OPC_CheckField, 13, 3, 0, 204, 3, // Skip to: 14808
/* 13836 */   MCD::OPC_Decode, 223, 11, 243, 1, // Opcode: DPAU_H_QBR
/* 13841 */   MCD::OPC_FilterValue, 8, 15, 0, // Skip to: 13860
/* 13845 */   MCD::OPC_CheckPredicate, 69, 191, 3, // Skip to: 14808
/* 13849 */   MCD::OPC_CheckField, 13, 3, 0, 185, 3, // Skip to: 14808
/* 13855 */   MCD::OPC_Decode, 225, 11, 243, 1, // Opcode: DPAX_W_PH
/* 13860 */   MCD::OPC_FilterValue, 9, 15, 0, // Skip to: 13879
/* 13864 */   MCD::OPC_CheckPredicate, 69, 172, 3, // Skip to: 14808
/* 13868 */   MCD::OPC_CheckField, 13, 3, 0, 166, 3, // Skip to: 14808
/* 13874 */   MCD::OPC_Decode, 248, 11, 243, 1, // Opcode: DPSX_W_PH
/* 13879 */   MCD::OPC_FilterValue, 11, 15, 0, // Skip to: 13898
/* 13883 */   MCD::OPC_CheckPredicate, 37, 153, 3, // Skip to: 14808
/* 13887 */   MCD::OPC_CheckField, 13, 3, 0, 147, 3, // Skip to: 14808
/* 13893 */   MCD::OPC_Decode, 244, 11, 243, 1, // Opcode: DPSU_H_QBL
/* 13898 */   MCD::OPC_FilterValue, 12, 15, 0, // Skip to: 13917
/* 13902 */   MCD::OPC_CheckPredicate, 37, 134, 3, // Skip to: 14808
/* 13906 */   MCD::OPC_CheckField, 13, 3, 0, 128, 3, // Skip to: 14808
/* 13912 */   MCD::OPC_Decode, 217, 11, 243, 1, // Opcode: DPAQ_SA_L_W
/* 13917 */   MCD::OPC_FilterValue, 13, 15, 0, // Skip to: 13936
/* 13921 */   MCD::OPC_CheckPredicate, 37, 115, 3, // Skip to: 14808
/* 13925 */   MCD::OPC_CheckField, 13, 3, 0, 109, 3, // Skip to: 14808
/* 13931 */   MCD::OPC_Decode, 234, 11, 243, 1, // Opcode: DPSQ_SA_L_W
/* 13936 */   MCD::OPC_FilterValue, 15, 15, 0, // Skip to: 13955
/* 13940 */   MCD::OPC_CheckPredicate, 37, 96, 3, // Skip to: 14808
/* 13944 */   MCD::OPC_CheckField, 13, 3, 0, 90, 3, // Skip to: 14808
/* 13950 */   MCD::OPC_Decode, 246, 11, 243, 1, // Opcode: DPSU_H_QBR
/* 13955 */   MCD::OPC_FilterValue, 16, 15, 0, // Skip to: 13974
/* 13959 */   MCD::OPC_CheckPredicate, 37, 77, 3, // Skip to: 14808
/* 13963 */   MCD::OPC_CheckField, 13, 3, 0, 71, 3, // Skip to: 14808
/* 13969 */   MCD::OPC_Decode, 231, 15, 243, 1, // Opcode: MAQ_SA_W_PHL
/* 13974 */   MCD::OPC_FilterValue, 18, 15, 0, // Skip to: 13993
/* 13978 */   MCD::OPC_CheckPredicate, 37, 58, 3, // Skip to: 14808
/* 13982 */   MCD::OPC_CheckField, 13, 3, 0, 52, 3, // Skip to: 14808
/* 13988 */   MCD::OPC_Decode, 233, 15, 243, 1, // Opcode: MAQ_SA_W_PHR
/* 13993 */   MCD::OPC_FilterValue, 20, 15, 0, // Skip to: 14012
/* 13997 */   MCD::OPC_CheckPredicate, 37, 39, 3, // Skip to: 14808
/* 14001 */   MCD::OPC_CheckField, 13, 3, 0, 33, 3, // Skip to: 14808
/* 14007 */   MCD::OPC_Decode, 235, 15, 243, 1, // Opcode: MAQ_S_W_PHL
/* 14012 */   MCD::OPC_FilterValue, 22, 15, 0, // Skip to: 14031
/* 14016 */   MCD::OPC_CheckPredicate, 37, 20, 3, // Skip to: 14808
/* 14020 */   MCD::OPC_CheckField, 13, 3, 0, 14, 3, // Skip to: 14808
/* 14026 */   MCD::OPC_Decode, 237, 15, 243, 1, // Opcode: MAQ_S_W_PHR
/* 14031 */   MCD::OPC_FilterValue, 24, 15, 0, // Skip to: 14050
/* 14035 */   MCD::OPC_CheckPredicate, 69, 1, 3, // Skip to: 14808
/* 14039 */   MCD::OPC_CheckField, 13, 3, 0, 251, 2, // Skip to: 14808
/* 14045 */   MCD::OPC_Decode, 215, 11, 243, 1, // Opcode: DPAQX_S_W_PH
/* 14050 */   MCD::OPC_FilterValue, 25, 15, 0, // Skip to: 14069
/* 14054 */   MCD::OPC_CheckPredicate, 69, 238, 2, // Skip to: 14808
/* 14058 */   MCD::OPC_CheckField, 13, 3, 0, 232, 2, // Skip to: 14808
/* 14064 */   MCD::OPC_Decode, 232, 11, 243, 1, // Opcode: DPSQX_S_W_PH
/* 14069 */   MCD::OPC_FilterValue, 26, 15, 0, // Skip to: 14088
/* 14073 */   MCD::OPC_CheckPredicate, 69, 219, 2, // Skip to: 14808
/* 14077 */   MCD::OPC_CheckField, 13, 3, 0, 213, 2, // Skip to: 14808
/* 14083 */   MCD::OPC_Decode, 213, 11, 243, 1, // Opcode: DPAQX_SA_W_PH
/* 14088 */   MCD::OPC_FilterValue, 27, 204, 2, // Skip to: 14808
/* 14092 */   MCD::OPC_CheckPredicate, 69, 200, 2, // Skip to: 14808
/* 14096 */   MCD::OPC_CheckField, 13, 3, 0, 194, 2, // Skip to: 14808
/* 14102 */   MCD::OPC_Decode, 230, 11, 243, 1, // Opcode: DPSQX_SA_W_PH
/* 14107 */   MCD::OPC_FilterValue, 49, 42, 0, // Skip to: 14153
/* 14111 */   MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 14114 */   MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 14127
/* 14118 */   MCD::OPC_CheckPredicate, 69, 174, 2, // Skip to: 14808
/* 14122 */   MCD::OPC_Decode, 223, 6, 210, 2, // Opcode: APPEND
/* 14127 */   MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 14140
/* 14131 */   MCD::OPC_CheckPredicate, 69, 161, 2, // Skip to: 14808
/* 14135 */   MCD::OPC_Decode, 226, 18, 210, 2, // Opcode: PREPEND
/* 14140 */   MCD::OPC_FilterValue, 16, 152, 2, // Skip to: 14808
/* 14144 */   MCD::OPC_CheckPredicate, 69, 148, 2, // Skip to: 14808
/* 14148 */   MCD::OPC_Decode, 139, 7, 210, 2, // Opcode: BALIGN
/* 14153 */   MCD::OPC_FilterValue, 56, 58, 1, // Skip to: 14471
/* 14157 */   MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 14160 */   MCD::OPC_FilterValue, 0, 15, 0, // Skip to: 14179
/* 14164 */   MCD::OPC_CheckPredicate, 37, 128, 2, // Skip to: 14808
/* 14168 */   MCD::OPC_CheckField, 13, 3, 0, 122, 2, // Skip to: 14808
/* 14174 */   MCD::OPC_Decode, 186, 12, 211, 2, // Opcode: EXTR_W
/* 14179 */   MCD::OPC_FilterValue, 1, 15, 0, // Skip to: 14198
/* 14183 */   MCD::OPC_CheckPredicate, 37, 109, 2, // Skip to: 14808
/* 14187 */   MCD::OPC_CheckField, 13, 3, 0, 103, 2, // Skip to: 14808
/* 14193 */   MCD::OPC_Decode, 178, 12, 212, 2, // Opcode: EXTRV_W
/* 14198 */   MCD::OPC_FilterValue, 2, 15, 0, // Skip to: 14217
/* 14202 */   MCD::OPC_CheckPredicate, 37, 90, 2, // Skip to: 14808
/* 14206 */   MCD::OPC_CheckField, 13, 3, 0, 84, 2, // Skip to: 14808
/* 14212 */   MCD::OPC_Decode, 164, 12, 211, 2, // Opcode: EXTP
/* 14217 */   MCD::OPC_FilterValue, 3, 15, 0, // Skip to: 14236
/* 14221 */   MCD::OPC_CheckPredicate, 37, 71, 2, // Skip to: 14808
/* 14225 */   MCD::OPC_CheckField, 13, 3, 0, 65, 2, // Skip to: 14808
/* 14231 */   MCD::OPC_Decode, 169, 12, 212, 2, // Opcode: EXTPV
/* 14236 */   MCD::OPC_FilterValue, 4, 15, 0, // Skip to: 14255
/* 14240 */   MCD::OPC_CheckPredicate, 37, 52, 2, // Skip to: 14808
/* 14244 */   MCD::OPC_CheckField, 13, 3, 0, 46, 2, // Skip to: 14808
/* 14250 */   MCD::OPC_Decode, 182, 12, 211, 2, // Opcode: EXTR_R_W
/* 14255 */   MCD::OPC_FilterValue, 5, 15, 0, // Skip to: 14274
/* 14259 */   MCD::OPC_CheckPredicate, 37, 33, 2, // Skip to: 14808
/* 14263 */   MCD::OPC_CheckField, 13, 3, 0, 27, 2, // Skip to: 14808
/* 14269 */   MCD::OPC_Decode, 174, 12, 212, 2, // Opcode: EXTRV_R_W
/* 14274 */   MCD::OPC_FilterValue, 6, 15, 0, // Skip to: 14293
/* 14278 */   MCD::OPC_CheckPredicate, 37, 14, 2, // Skip to: 14808
/* 14282 */   MCD::OPC_CheckField, 13, 3, 0, 8, 2, // Skip to: 14808
/* 14288 */   MCD::OPC_Decode, 180, 12, 211, 2, // Opcode: EXTR_RS_W
/* 14293 */   MCD::OPC_FilterValue, 7, 15, 0, // Skip to: 14312
/* 14297 */   MCD::OPC_CheckPredicate, 37, 251, 1, // Skip to: 14808
/* 14301 */   MCD::OPC_CheckField, 13, 3, 0, 245, 1, // Skip to: 14808
/* 14307 */   MCD::OPC_Decode, 172, 12, 212, 2, // Opcode: EXTRV_RS_W
/* 14312 */   MCD::OPC_FilterValue, 10, 15, 0, // Skip to: 14331
/* 14316 */   MCD::OPC_CheckPredicate, 37, 232, 1, // Skip to: 14808
/* 14320 */   MCD::OPC_CheckField, 13, 3, 0, 226, 1, // Skip to: 14808
/* 14326 */   MCD::OPC_Decode, 165, 12, 211, 2, // Opcode: EXTPDP
/* 14331 */   MCD::OPC_FilterValue, 11, 15, 0, // Skip to: 14350
/* 14335 */   MCD::OPC_CheckPredicate, 37, 213, 1, // Skip to: 14808
/* 14339 */   MCD::OPC_CheckField, 13, 3, 0, 207, 1, // Skip to: 14808
/* 14345 */   MCD::OPC_Decode, 166, 12, 212, 2, // Opcode: EXTPDPV
/* 14350 */   MCD::OPC_FilterValue, 14, 15, 0, // Skip to: 14369
/* 14354 */   MCD::OPC_CheckPredicate, 37, 194, 1, // Skip to: 14808
/* 14358 */   MCD::OPC_CheckField, 13, 3, 0, 188, 1, // Skip to: 14808
/* 14364 */   MCD::OPC_Decode, 184, 12, 211, 2, // Opcode: EXTR_S_H
/* 14369 */   MCD::OPC_FilterValue, 15, 15, 0, // Skip to: 14388
/* 14373 */   MCD::OPC_CheckPredicate, 37, 175, 1, // Skip to: 14808
/* 14377 */   MCD::OPC_CheckField, 13, 3, 0, 169, 1, // Skip to: 14808
/* 14383 */   MCD::OPC_Decode, 176, 12, 212, 2, // Opcode: EXTRV_S_H
/* 14388 */   MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 14401
/* 14392 */   MCD::OPC_CheckPredicate, 37, 156, 1, // Skip to: 14808
/* 14396 */   MCD::OPC_Decode, 232, 18, 213, 2, // Opcode: RDDSP
/* 14401 */   MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 14414
/* 14405 */   MCD::OPC_CheckPredicate, 40, 143, 1, // Skip to: 14808
/* 14409 */   MCD::OPC_Decode, 196, 22, 214, 2, // Opcode: WRDSP
/* 14414 */   MCD::OPC_FilterValue, 26, 15, 0, // Skip to: 14433
/* 14418 */   MCD::OPC_CheckPredicate, 37, 130, 1, // Skip to: 14808
/* 14422 */   MCD::OPC_CheckField, 13, 7, 0, 124, 1, // Skip to: 14808
/* 14428 */   MCD::OPC_Decode, 237, 19, 215, 2, // Opcode: SHILO
/* 14433 */   MCD::OPC_FilterValue, 27, 15, 0, // Skip to: 14452
/* 14437 */   MCD::OPC_CheckPredicate, 37, 111, 1, // Skip to: 14808
/* 14441 */   MCD::OPC_CheckField, 13, 8, 0, 105, 1, // Skip to: 14808
/* 14447 */   MCD::OPC_Decode, 238, 19, 216, 2, // Opcode: SHILOV
/* 14452 */   MCD::OPC_FilterValue, 31, 96, 1, // Skip to: 14808
/* 14456 */   MCD::OPC_CheckPredicate, 37, 92, 1, // Skip to: 14808
/* 14460 */   MCD::OPC_CheckField, 13, 8, 0, 86, 1, // Skip to: 14808
/* 14466 */   MCD::OPC_Decode, 178, 17, 216, 2, // Opcode: MTHLIP
/* 14471 */   MCD::OPC_FilterValue, 59, 77, 1, // Skip to: 14808
/* 14475 */   MCD::OPC_CheckPredicate, 27, 73, 1, // Skip to: 14808
/* 14479 */   MCD::OPC_CheckField, 21, 5, 0, 67, 1, // Skip to: 14808
/* 14485 */   MCD::OPC_CheckField, 9, 2, 0, 61, 1, // Skip to: 14808
/* 14491 */   MCD::OPC_Decode, 234, 18, 217, 2, // Opcode: RDHWR
/* 14496 */   MCD::OPC_FilterValue, 32, 9, 0, // Skip to: 14509
/* 14500 */   MCD::OPC_CheckPredicate, 27, 48, 1, // Skip to: 14808
/* 14504 */   MCD::OPC_Decode, 206, 14, 141, 1, // Opcode: LB
/* 14509 */   MCD::OPC_FilterValue, 33, 9, 0, // Skip to: 14522
/* 14513 */   MCD::OPC_CheckPredicate, 27, 35, 1, // Skip to: 14808
/* 14517 */   MCD::OPC_Decode, 247, 14, 141, 1, // Opcode: LH
/* 14522 */   MCD::OPC_FilterValue, 34, 9, 0, // Skip to: 14535
/* 14526 */   MCD::OPC_CheckPredicate, 31, 22, 1, // Skip to: 14808
/* 14530 */   MCD::OPC_Decode, 168, 15, 141, 1, // Opcode: LWL
/* 14535 */   MCD::OPC_FilterValue, 35, 9, 0, // Skip to: 14548
/* 14539 */   MCD::OPC_CheckPredicate, 27, 9, 1, // Skip to: 14808
/* 14543 */   MCD::OPC_Decode, 154, 15, 141, 1, // Opcode: LW
/* 14548 */   MCD::OPC_FilterValue, 36, 9, 0, // Skip to: 14561
/* 14552 */   MCD::OPC_CheckPredicate, 27, 252, 0, // Skip to: 14808
/* 14556 */   MCD::OPC_Decode, 216, 14, 141, 1, // Opcode: LBu
/* 14561 */   MCD::OPC_FilterValue, 37, 9, 0, // Skip to: 14574
/* 14565 */   MCD::OPC_CheckPredicate, 27, 239, 0, // Skip to: 14808
/* 14569 */   MCD::OPC_Decode, 255, 14, 141, 1, // Opcode: LHu
/* 14574 */   MCD::OPC_FilterValue, 38, 9, 0, // Skip to: 14587
/* 14578 */   MCD::OPC_CheckPredicate, 31, 226, 0, // Skip to: 14808
/* 14582 */   MCD::OPC_Decode, 179, 15, 141, 1, // Opcode: LWR
/* 14587 */   MCD::OPC_FilterValue, 40, 9, 0, // Skip to: 14600
/* 14591 */   MCD::OPC_CheckPredicate, 27, 213, 0, // Skip to: 14808
/* 14595 */   MCD::OPC_Decode, 162, 19, 141, 1, // Opcode: SB
/* 14600 */   MCD::OPC_FilterValue, 41, 9, 0, // Skip to: 14613
/* 14604 */   MCD::OPC_CheckPredicate, 27, 200, 0, // Skip to: 14808
/* 14608 */   MCD::OPC_Decode, 228, 19, 141, 1, // Opcode: SH
/* 14613 */   MCD::OPC_FilterValue, 42, 9, 0, // Skip to: 14626
/* 14617 */   MCD::OPC_CheckPredicate, 31, 187, 0, // Skip to: 14808
/* 14621 */   MCD::OPC_Decode, 204, 21, 141, 1, // Opcode: SWL
/* 14626 */   MCD::OPC_FilterValue, 43, 9, 0, // Skip to: 14639
/* 14630 */   MCD::OPC_CheckPredicate, 27, 174, 0, // Skip to: 14808
/* 14634 */   MCD::OPC_Decode, 190, 21, 141, 1, // Opcode: SW
/* 14639 */   MCD::OPC_FilterValue, 46, 9, 0, // Skip to: 14652
/* 14643 */   MCD::OPC_CheckPredicate, 31, 161, 0, // Skip to: 14808
/* 14647 */   MCD::OPC_Decode, 213, 21, 141, 1, // Opcode: SWR
/* 14652 */   MCD::OPC_FilterValue, 47, 9, 0, // Skip to: 14665
/* 14656 */   MCD::OPC_CheckPredicate, 71, 148, 0, // Skip to: 14808
/* 14660 */   MCD::OPC_Decode, 203, 8, 218, 2, // Opcode: CACHE
/* 14665 */   MCD::OPC_FilterValue, 48, 9, 0, // Skip to: 14678
/* 14669 */   MCD::OPC_CheckPredicate, 72, 135, 0, // Skip to: 14808
/* 14673 */   MCD::OPC_Decode, 134, 15, 141, 1, // Opcode: LL
/* 14678 */   MCD::OPC_FilterValue, 49, 9, 0, // Skip to: 14691
/* 14682 */   MCD::OPC_CheckPredicate, 47, 122, 0, // Skip to: 14808
/* 14686 */   MCD::OPC_Decode, 157, 15, 219, 2, // Opcode: LWC1
/* 14691 */   MCD::OPC_FilterValue, 50, 9, 0, // Skip to: 14704
/* 14695 */   MCD::OPC_CheckPredicate, 31, 109, 0, // Skip to: 14808
/* 14699 */   MCD::OPC_Decode, 159, 15, 220, 2, // Opcode: LWC2
/* 14704 */   MCD::OPC_FilterValue, 51, 9, 0, // Skip to: 14717
/* 14708 */   MCD::OPC_CheckPredicate, 71, 96, 0, // Skip to: 14808
/* 14712 */   MCD::OPC_Decode, 219, 18, 218, 2, // Opcode: PREF
/* 14717 */   MCD::OPC_FilterValue, 53, 9, 0, // Skip to: 14730
/* 14721 */   MCD::OPC_CheckPredicate, 57, 83, 0, // Skip to: 14808
/* 14725 */   MCD::OPC_Decode, 222, 14, 219, 2, // Opcode: LDC1
/* 14730 */   MCD::OPC_FilterValue, 54, 9, 0, // Skip to: 14743
/* 14734 */   MCD::OPC_CheckPredicate, 39, 70, 0, // Skip to: 14808
/* 14738 */   MCD::OPC_Decode, 227, 14, 220, 2, // Opcode: LDC2
/* 14743 */   MCD::OPC_FilterValue, 56, 9, 0, // Skip to: 14756
/* 14747 */   MCD::OPC_CheckPredicate, 72, 57, 0, // Skip to: 14808
/* 14751 */   MCD::OPC_Decode, 170, 19, 141, 1, // Opcode: SC
/* 14756 */   MCD::OPC_FilterValue, 57, 9, 0, // Skip to: 14769
/* 14760 */   MCD::OPC_CheckPredicate, 47, 44, 0, // Skip to: 14808
/* 14764 */   MCD::OPC_Decode, 194, 21, 219, 2, // Opcode: SWC1
/* 14769 */   MCD::OPC_FilterValue, 58, 9, 0, // Skip to: 14782
/* 14773 */   MCD::OPC_CheckPredicate, 31, 31, 0, // Skip to: 14808
/* 14777 */   MCD::OPC_Decode, 196, 21, 220, 2, // Opcode: SWC2
/* 14782 */   MCD::OPC_FilterValue, 61, 9, 0, // Skip to: 14795
/* 14786 */   MCD::OPC_CheckPredicate, 57, 18, 0, // Skip to: 14808
/* 14790 */   MCD::OPC_Decode, 187, 19, 219, 2, // Opcode: SDC1
/* 14795 */   MCD::OPC_FilterValue, 62, 9, 0, // Skip to: 14808
/* 14799 */   MCD::OPC_CheckPredicate, 39, 5, 0, // Skip to: 14808
/* 14803 */   MCD::OPC_Decode, 192, 19, 220, 2, // Opcode: SDC2
/* 14808 */   MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableMips32_64_PTR6432[] = {
/* 0 */       MCD::OPC_ExtractField, 26, 6,  // Inst{31-26} ...
/* 3 */       MCD::OPC_FilterValue, 0, 14, 0, // Skip to: 21
/* 7 */       MCD::OPC_CheckPredicate, 73, 36, 0, // Skip to: 47
/* 11 */      MCD::OPC_CheckField, 0, 21, 8, 30, 0, // Skip to: 47
/* 17 */      MCD::OPC_Decode, 189, 14, 24, // Opcode: JR64
/* 21 */      MCD::OPC_FilterValue, 48, 9, 0, // Skip to: 34
/* 25 */      MCD::OPC_CheckPredicate, 74, 18, 0, // Skip to: 47
/* 29 */      MCD::OPC_Decode, 135, 15, 141, 1, // Opcode: LL64
/* 34 */      MCD::OPC_FilterValue, 56, 9, 0, // Skip to: 47
/* 38 */      MCD::OPC_CheckPredicate, 74, 5, 0, // Skip to: 47
/* 42 */      MCD::OPC_Decode, 171, 19, 141, 1, // Opcode: SC64
/* 47 */      MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableMips32r6_64r632[] = {
/* 0 */       MCD::OPC_ExtractField, 26, 6,  // Inst{31-26} ...
/* 3 */       MCD::OPC_FilterValue, 0, 197, 1, // Skip to: 460
/* 7 */       MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 10 */      MCD::OPC_FilterValue, 5, 15, 0, // Skip to: 29
/* 14 */      MCD::OPC_CheckPredicate, 75, 86, 8, // Skip to: 2152
/* 18 */      MCD::OPC_CheckField, 8, 3, 0, 80, 8, // Skip to: 2152
/* 24 */      MCD::OPC_Decode, 146, 15, 185, 1, // Opcode: LSA_R6
/* 29 */      MCD::OPC_FilterValue, 9, 15, 0, // Skip to: 48
/* 33 */      MCD::OPC_CheckPredicate, 75, 67, 8, // Skip to: 2152
/* 37 */      MCD::OPC_CheckField, 6, 15, 16, 61, 8, // Skip to: 2152
/* 43 */      MCD::OPC_Decode, 197, 14, 186, 1, // Opcode: JR_HB_R6
/* 48 */      MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 61
/* 52 */      MCD::OPC_CheckPredicate, 76, 48, 8, // Skip to: 2152
/* 56 */      MCD::OPC_Decode, 186, 19, 188, 1, // Opcode: SDBBP_R6
/* 61 */      MCD::OPC_FilterValue, 16, 20, 0, // Skip to: 85
/* 65 */      MCD::OPC_CheckPredicate, 75, 35, 8, // Skip to: 2152
/* 69 */      MCD::OPC_CheckField, 16, 5, 0, 29, 8, // Skip to: 2152
/* 75 */      MCD::OPC_CheckField, 6, 5, 1, 23, 8, // Skip to: 2152
/* 81 */      MCD::OPC_Decode, 151, 9, 25, // Opcode: CLZ_R6
/* 85 */      MCD::OPC_FilterValue, 17, 20, 0, // Skip to: 109
/* 89 */      MCD::OPC_CheckPredicate, 75, 11, 8, // Skip to: 2152
/* 93 */      MCD::OPC_CheckField, 16, 5, 0, 5, 8, // Skip to: 2152
/* 99 */      MCD::OPC_CheckField, 6, 5, 1, 255, 7, // Skip to: 2152
/* 105 */     MCD::OPC_Decode, 131, 9, 25, // Opcode: CLO_R6
/* 109 */     MCD::OPC_FilterValue, 18, 20, 0, // Skip to: 133
/* 113 */     MCD::OPC_CheckPredicate, 77, 243, 7, // Skip to: 2152
/* 117 */     MCD::OPC_CheckField, 16, 5, 0, 237, 7, // Skip to: 2152
/* 123 */     MCD::OPC_CheckField, 6, 5, 1, 231, 7, // Skip to: 2152
/* 129 */     MCD::OPC_Decode, 151, 11, 26, // Opcode: DCLZ_R6
/* 133 */     MCD::OPC_FilterValue, 19, 20, 0, // Skip to: 157
/* 137 */     MCD::OPC_CheckPredicate, 77, 219, 7, // Skip to: 2152
/* 141 */     MCD::OPC_CheckField, 16, 5, 0, 213, 7, // Skip to: 2152
/* 147 */     MCD::OPC_CheckField, 6, 5, 1, 207, 7, // Skip to: 2152
/* 153 */     MCD::OPC_Decode, 149, 11, 26, // Opcode: DCLO_R6
/* 157 */     MCD::OPC_FilterValue, 21, 15, 0, // Skip to: 176
/* 161 */     MCD::OPC_CheckPredicate, 77, 195, 7, // Skip to: 2152
/* 165 */     MCD::OPC_CheckField, 8, 3, 0, 189, 7, // Skip to: 2152
/* 171 */     MCD::OPC_Decode, 180, 11, 194, 1, // Opcode: DLSA_R6
/* 176 */     MCD::OPC_FilterValue, 24, 27, 0, // Skip to: 207
/* 180 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 183 */     MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 195
/* 187 */     MCD::OPC_CheckPredicate, 76, 169, 7, // Skip to: 2152
/* 191 */     MCD::OPC_Decode, 240, 17, 61, // Opcode: MUL_R6
/* 195 */     MCD::OPC_FilterValue, 3, 161, 7, // Skip to: 2152
/* 199 */     MCD::OPC_CheckPredicate, 76, 157, 7, // Skip to: 2152
/* 203 */     MCD::OPC_Decode, 192, 17, 61, // Opcode: MUH
/* 207 */     MCD::OPC_FilterValue, 25, 27, 0, // Skip to: 238
/* 211 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 214 */     MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 226
/* 218 */     MCD::OPC_CheckPredicate, 76, 138, 7, // Skip to: 2152
/* 222 */     MCD::OPC_Decode, 228, 17, 61, // Opcode: MULU
/* 226 */     MCD::OPC_FilterValue, 3, 130, 7, // Skip to: 2152
/* 230 */     MCD::OPC_CheckPredicate, 76, 126, 7, // Skip to: 2152
/* 234 */     MCD::OPC_Decode, 193, 17, 61, // Opcode: MUHU
/* 238 */     MCD::OPC_FilterValue, 26, 27, 0, // Skip to: 269
/* 242 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 245 */     MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 257
/* 249 */     MCD::OPC_CheckPredicate, 76, 107, 7, // Skip to: 2152
/* 253 */     MCD::OPC_Decode, 165, 11, 61, // Opcode: DIV
/* 257 */     MCD::OPC_FilterValue, 3, 99, 7, // Skip to: 2152
/* 261 */     MCD::OPC_CheckPredicate, 76, 95, 7, // Skip to: 2152
/* 265 */     MCD::OPC_Decode, 198, 16, 61, // Opcode: MOD
/* 269 */     MCD::OPC_FilterValue, 27, 27, 0, // Skip to: 300
/* 273 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 276 */     MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 288
/* 280 */     MCD::OPC_CheckPredicate, 76, 76, 7, // Skip to: 2152
/* 284 */     MCD::OPC_Decode, 166, 11, 61, // Opcode: DIVU
/* 288 */     MCD::OPC_FilterValue, 3, 68, 7, // Skip to: 2152
/* 292 */     MCD::OPC_CheckPredicate, 76, 64, 7, // Skip to: 2152
/* 296 */     MCD::OPC_Decode, 201, 16, 61, // Opcode: MODU
/* 300 */     MCD::OPC_FilterValue, 28, 27, 0, // Skip to: 331
/* 304 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 307 */     MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 319
/* 311 */     MCD::OPC_CheckPredicate, 77, 45, 7, // Skip to: 2152
/* 315 */     MCD::OPC_Decode, 200, 11, 23, // Opcode: DMUL_R6
/* 319 */     MCD::OPC_FilterValue, 3, 37, 7, // Skip to: 2152
/* 323 */     MCD::OPC_CheckPredicate, 77, 33, 7, // Skip to: 2152
/* 327 */     MCD::OPC_Decode, 194, 11, 23, // Opcode: DMUH
/* 331 */     MCD::OPC_FilterValue, 29, 27, 0, // Skip to: 362
/* 335 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 338 */     MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 350
/* 342 */     MCD::OPC_CheckPredicate, 77, 14, 7, // Skip to: 2152
/* 346 */     MCD::OPC_Decode, 199, 11, 23, // Opcode: DMULU
/* 350 */     MCD::OPC_FilterValue, 3, 6, 7, // Skip to: 2152
/* 354 */     MCD::OPC_CheckPredicate, 77, 2, 7, // Skip to: 2152
/* 358 */     MCD::OPC_Decode, 195, 11, 23, // Opcode: DMUHU
/* 362 */     MCD::OPC_FilterValue, 30, 27, 0, // Skip to: 393
/* 366 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 369 */     MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 381
/* 373 */     MCD::OPC_CheckPredicate, 77, 239, 6, // Skip to: 2152
/* 377 */     MCD::OPC_Decode, 152, 11, 23, // Opcode: DDIV
/* 381 */     MCD::OPC_FilterValue, 3, 231, 6, // Skip to: 2152
/* 385 */     MCD::OPC_CheckPredicate, 77, 227, 6, // Skip to: 2152
/* 389 */     MCD::OPC_Decode, 186, 11, 23, // Opcode: DMOD
/* 393 */     MCD::OPC_FilterValue, 31, 27, 0, // Skip to: 424
/* 397 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 400 */     MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 412
/* 404 */     MCD::OPC_CheckPredicate, 77, 208, 6, // Skip to: 2152
/* 408 */     MCD::OPC_Decode, 153, 11, 23, // Opcode: DDIVU
/* 412 */     MCD::OPC_FilterValue, 3, 200, 6, // Skip to: 2152
/* 416 */     MCD::OPC_CheckPredicate, 77, 196, 6, // Skip to: 2152
/* 420 */     MCD::OPC_Decode, 187, 11, 23, // Opcode: DMODU
/* 424 */     MCD::OPC_FilterValue, 53, 14, 0, // Skip to: 442
/* 428 */     MCD::OPC_CheckPredicate, 78, 184, 6, // Skip to: 2152
/* 432 */     MCD::OPC_CheckField, 6, 5, 0, 178, 6, // Skip to: 2152
/* 438 */     MCD::OPC_Decode, 208, 19, 61, // Opcode: SELEQZ
/* 442 */     MCD::OPC_FilterValue, 55, 170, 6, // Skip to: 2152
/* 446 */     MCD::OPC_CheckPredicate, 78, 166, 6, // Skip to: 2152
/* 450 */     MCD::OPC_CheckField, 6, 5, 0, 160, 6, // Skip to: 2152
/* 456 */     MCD::OPC_Decode, 215, 19, 61, // Opcode: SELNEZ
/* 460 */     MCD::OPC_FilterValue, 1, 91, 0, // Skip to: 555
/* 464 */     MCD::OPC_ExtractField, 16, 5,  // Inst{20-16} ...
/* 467 */     MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 480
/* 471 */     MCD::OPC_CheckPredicate, 77, 141, 6, // Skip to: 2152
/* 475 */     MCD::OPC_Decode, 143, 11, 221, 2, // Opcode: DAHI
/* 480 */     MCD::OPC_FilterValue, 16, 20, 0, // Skip to: 504
/* 484 */     MCD::OPC_CheckPredicate, 75, 128, 6, // Skip to: 2152
/* 488 */     MCD::OPC_CheckField, 21, 5, 0, 122, 6, // Skip to: 2152
/* 494 */     MCD::OPC_CheckField, 0, 16, 0, 116, 6, // Skip to: 2152
/* 500 */     MCD::OPC_Decode, 247, 17, 10, // Opcode: NAL
/* 504 */     MCD::OPC_FilterValue, 17, 15, 0, // Skip to: 523
/* 508 */     MCD::OPC_CheckPredicate, 75, 104, 6, // Skip to: 2152
/* 512 */     MCD::OPC_CheckField, 21, 5, 0, 98, 6, // Skip to: 2152
/* 518 */     MCD::OPC_Decode, 136, 7, 198, 1, // Opcode: BAL
/* 523 */     MCD::OPC_FilterValue, 23, 15, 0, // Skip to: 542
/* 527 */     MCD::OPC_CheckPredicate, 76, 85, 6, // Skip to: 2152
/* 531 */     MCD::OPC_CheckField, 21, 5, 0, 79, 6, // Skip to: 2152
/* 537 */     MCD::OPC_Decode, 159, 20, 222, 2, // Opcode: SIGRIE
/* 542 */     MCD::OPC_FilterValue, 30, 70, 6, // Skip to: 2152
/* 546 */     MCD::OPC_CheckPredicate, 77, 66, 6, // Skip to: 2152
/* 550 */     MCD::OPC_Decode, 145, 11, 221, 2, // Opcode: DATI
/* 555 */     MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 568
/* 559 */     MCD::OPC_CheckPredicate, 76, 53, 6, // Skip to: 2152
/* 563 */     MCD::OPC_Decode, 194, 7, 223, 2, // Opcode: BGEZALC
/* 568 */     MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 581
/* 572 */     MCD::OPC_CheckPredicate, 76, 40, 6, // Skip to: 2152
/* 576 */     MCD::OPC_Decode, 251, 7, 224, 2, // Opcode: BLTZALC
/* 581 */     MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 594
/* 585 */     MCD::OPC_CheckPredicate, 76, 27, 6, // Skip to: 2152
/* 589 */     MCD::OPC_Decode, 172, 7, 225, 2, // Opcode: BEQC
/* 594 */     MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 607
/* 598 */     MCD::OPC_CheckPredicate, 75, 14, 6, // Skip to: 2152
/* 602 */     MCD::OPC_Decode, 233, 6, 203, 1, // Opcode: AUI
/* 607 */     MCD::OPC_FilterValue, 16, 39, 0, // Skip to: 650
/* 611 */     MCD::OPC_ExtractField, 0, 16,  // Inst{15-0} ...
/* 614 */     MCD::OPC_FilterValue, 4, 14, 0, // Skip to: 632
/* 618 */     MCD::OPC_CheckPredicate, 75, 250, 5, // Skip to: 2152
/* 622 */     MCD::OPC_CheckField, 21, 5, 11, 244, 5, // Skip to: 2152
/* 628 */     MCD::OPC_Decode, 160, 12, 92, // Opcode: EVP
/* 632 */     MCD::OPC_FilterValue, 36, 236, 5, // Skip to: 2152
/* 636 */     MCD::OPC_CheckPredicate, 75, 232, 5, // Skip to: 2152
/* 640 */     MCD::OPC_CheckField, 21, 5, 11, 226, 5, // Skip to: 2152
/* 646 */     MCD::OPC_Decode, 143, 12, 92, // Opcode: DVP
/* 650 */     MCD::OPC_FilterValue, 17, 15, 3, // Skip to: 1437
/* 654 */     MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 657 */     MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 670
/* 661 */     MCD::OPC_CheckPredicate, 79, 207, 5, // Skip to: 2152
/* 665 */     MCD::OPC_Decode, 147, 7, 226, 2, // Opcode: BC1EQZ
/* 670 */     MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 683
/* 674 */     MCD::OPC_CheckPredicate, 79, 194, 5, // Skip to: 2152
/* 678 */     MCD::OPC_Decode, 152, 7, 226, 2, // Opcode: BC1NEZ
/* 683 */     MCD::OPC_FilterValue, 16, 158, 0, // Skip to: 845
/* 687 */     MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 690 */     MCD::OPC_FilterValue, 16, 9, 0, // Skip to: 703
/* 694 */     MCD::OPC_CheckPredicate, 79, 174, 5, // Skip to: 2152
/* 698 */     MCD::OPC_Decode, 224, 19, 227, 2, // Opcode: SEL_S
/* 703 */     MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 716
/* 707 */     MCD::OPC_CheckPredicate, 79, 161, 5, // Skip to: 2152
/* 711 */     MCD::OPC_Decode, 213, 19, 218, 1, // Opcode: SELEQZ_S
/* 716 */     MCD::OPC_FilterValue, 23, 9, 0, // Skip to: 729
/* 720 */     MCD::OPC_CheckPredicate, 79, 148, 5, // Skip to: 2152
/* 724 */     MCD::OPC_Decode, 220, 19, 218, 1, // Opcode: SELNEZ_S
/* 729 */     MCD::OPC_FilterValue, 24, 9, 0, // Skip to: 742
/* 733 */     MCD::OPC_CheckPredicate, 79, 135, 5, // Skip to: 2152
/* 737 */     MCD::OPC_Decode, 209, 15, 228, 2, // Opcode: MADDF_S
/* 742 */     MCD::OPC_FilterValue, 25, 9, 0, // Skip to: 755
/* 746 */     MCD::OPC_CheckPredicate, 79, 122, 5, // Skip to: 2152
/* 750 */     MCD::OPC_Decode, 132, 17, 228, 2, // Opcode: MSUBF_S
/* 755 */     MCD::OPC_FilterValue, 26, 15, 0, // Skip to: 774
/* 759 */     MCD::OPC_CheckPredicate, 79, 109, 5, // Skip to: 2152
/* 763 */     MCD::OPC_CheckField, 16, 5, 0, 103, 5, // Skip to: 2152
/* 769 */     MCD::OPC_Decode, 255, 18, 219, 1, // Opcode: RINT_S
/* 774 */     MCD::OPC_FilterValue, 27, 15, 0, // Skip to: 793
/* 778 */     MCD::OPC_CheckPredicate, 79, 90, 5, // Skip to: 2152
/* 782 */     MCD::OPC_CheckField, 16, 5, 0, 84, 5, // Skip to: 2152
/* 788 */     MCD::OPC_Decode, 238, 8, 219, 1, // Opcode: CLASS_S
/* 793 */     MCD::OPC_FilterValue, 28, 9, 0, // Skip to: 806
/* 797 */     MCD::OPC_CheckPredicate, 79, 71, 5, // Skip to: 2152
/* 801 */     MCD::OPC_Decode, 188, 16, 218, 1, // Opcode: MIN_S
/* 806 */     MCD::OPC_FilterValue, 29, 9, 0, // Skip to: 819
/* 810 */     MCD::OPC_CheckPredicate, 79, 58, 5, // Skip to: 2152
/* 814 */     MCD::OPC_Decode, 172, 16, 218, 1, // Opcode: MINA_S
/* 819 */     MCD::OPC_FilterValue, 30, 9, 0, // Skip to: 832
/* 823 */     MCD::OPC_CheckPredicate, 79, 45, 5, // Skip to: 2152
/* 827 */     MCD::OPC_Decode, 129, 16, 218, 1, // Opcode: MAX_S
/* 832 */     MCD::OPC_FilterValue, 31, 36, 5, // Skip to: 2152
/* 836 */     MCD::OPC_CheckPredicate, 79, 32, 5, // Skip to: 2152
/* 840 */     MCD::OPC_Decode, 241, 15, 218, 1, // Opcode: MAXA_S
/* 845 */     MCD::OPC_FilterValue, 17, 158, 0, // Skip to: 1007
/* 849 */     MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 852 */     MCD::OPC_FilterValue, 16, 9, 0, // Skip to: 865
/* 856 */     MCD::OPC_CheckPredicate, 79, 12, 5, // Skip to: 2152
/* 860 */     MCD::OPC_Decode, 222, 19, 229, 2, // Opcode: SEL_D
/* 865 */     MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 878
/* 869 */     MCD::OPC_CheckPredicate, 79, 255, 4, // Skip to: 2152
/* 873 */     MCD::OPC_Decode, 210, 19, 230, 2, // Opcode: SELEQZ_D
/* 878 */     MCD::OPC_FilterValue, 23, 9, 0, // Skip to: 891
/* 882 */     MCD::OPC_CheckPredicate, 79, 242, 4, // Skip to: 2152
/* 886 */     MCD::OPC_Decode, 217, 19, 230, 2, // Opcode: SELNEZ_D
/* 891 */     MCD::OPC_FilterValue, 24, 9, 0, // Skip to: 904
/* 895 */     MCD::OPC_CheckPredicate, 79, 229, 4, // Skip to: 2152
/* 899 */     MCD::OPC_Decode, 207, 15, 229, 2, // Opcode: MADDF_D
/* 904 */     MCD::OPC_FilterValue, 25, 9, 0, // Skip to: 917
/* 908 */     MCD::OPC_CheckPredicate, 79, 216, 4, // Skip to: 2152
/* 912 */     MCD::OPC_Decode, 130, 17, 229, 2, // Opcode: MSUBF_D
/* 917 */     MCD::OPC_FilterValue, 26, 15, 0, // Skip to: 936
/* 921 */     MCD::OPC_CheckPredicate, 79, 203, 4, // Skip to: 2152
/* 925 */     MCD::OPC_CheckField, 16, 5, 0, 197, 4, // Skip to: 2152
/* 931 */     MCD::OPC_Decode, 253, 18, 230, 1, // Opcode: RINT_D
/* 936 */     MCD::OPC_FilterValue, 27, 15, 0, // Skip to: 955
/* 940 */     MCD::OPC_CheckPredicate, 79, 184, 4, // Skip to: 2152
/* 944 */     MCD::OPC_CheckField, 16, 5, 0, 178, 4, // Skip to: 2152
/* 950 */     MCD::OPC_Decode, 236, 8, 230, 1, // Opcode: CLASS_D
/* 955 */     MCD::OPC_FilterValue, 28, 9, 0, // Skip to: 968
/* 959 */     MCD::OPC_CheckPredicate, 79, 165, 4, // Skip to: 2152
/* 963 */     MCD::OPC_Decode, 186, 16, 230, 2, // Opcode: MIN_D
/* 968 */     MCD::OPC_FilterValue, 29, 9, 0, // Skip to: 981
/* 972 */     MCD::OPC_CheckPredicate, 79, 152, 4, // Skip to: 2152
/* 976 */     MCD::OPC_Decode, 170, 16, 230, 2, // Opcode: MINA_D
/* 981 */     MCD::OPC_FilterValue, 30, 9, 0, // Skip to: 994
/* 985 */     MCD::OPC_CheckPredicate, 79, 139, 4, // Skip to: 2152
/* 989 */     MCD::OPC_Decode, 255, 15, 230, 2, // Opcode: MAX_D
/* 994 */     MCD::OPC_FilterValue, 31, 130, 4, // Skip to: 2152
/* 998 */     MCD::OPC_CheckPredicate, 79, 126, 4, // Skip to: 2152
/* 1002 */    MCD::OPC_Decode, 239, 15, 230, 2, // Opcode: MAXA_D
/* 1007 */    MCD::OPC_FilterValue, 20, 211, 0, // Skip to: 1222
/* 1011 */    MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 1014 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 1027
/* 1018 */    MCD::OPC_CheckPredicate, 79, 106, 4, // Skip to: 2152
/* 1022 */    MCD::OPC_Decode, 179, 9, 231, 2, // Opcode: CMP_F_S
/* 1027 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 1040
/* 1031 */    MCD::OPC_CheckPredicate, 79, 93, 4, // Skip to: 2152
/* 1035 */    MCD::OPC_Decode, 238, 9, 231, 2, // Opcode: CMP_UN_S
/* 1040 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 1053
/* 1044 */    MCD::OPC_CheckPredicate, 79, 80, 4, // Skip to: 2152
/* 1048 */    MCD::OPC_Decode, 176, 9, 231, 2, // Opcode: CMP_EQ_S
/* 1053 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 1066
/* 1057 */    MCD::OPC_CheckPredicate, 79, 67, 4, // Skip to: 2152
/* 1061 */    MCD::OPC_Decode, 226, 9, 231, 2, // Opcode: CMP_UEQ_S
/* 1066 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 1079
/* 1070 */    MCD::OPC_CheckPredicate, 79, 54, 4, // Skip to: 2152
/* 1074 */    MCD::OPC_Decode, 190, 9, 231, 2, // Opcode: CMP_LT_S
/* 1079 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 1092
/* 1083 */    MCD::OPC_CheckPredicate, 79, 41, 4, // Skip to: 2152
/* 1087 */    MCD::OPC_Decode, 234, 9, 231, 2, // Opcode: CMP_ULT_S
/* 1092 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 1105
/* 1096 */    MCD::OPC_CheckPredicate, 79, 28, 4, // Skip to: 2152
/* 1100 */    MCD::OPC_Decode, 184, 9, 231, 2, // Opcode: CMP_LE_S
/* 1105 */    MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 1118
/* 1109 */    MCD::OPC_CheckPredicate, 79, 15, 4, // Skip to: 2152
/* 1113 */    MCD::OPC_Decode, 230, 9, 231, 2, // Opcode: CMP_ULE_S
/* 1118 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 1131
/* 1122 */    MCD::OPC_CheckPredicate, 79, 2, 4, // Skip to: 2152
/* 1126 */    MCD::OPC_Decode, 194, 9, 231, 2, // Opcode: CMP_SAF_S
/* 1131 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 1144
/* 1135 */    MCD::OPC_CheckPredicate, 79, 245, 3, // Skip to: 2152
/* 1139 */    MCD::OPC_Decode, 222, 9, 231, 2, // Opcode: CMP_SUN_S
/* 1144 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 1157
/* 1148 */    MCD::OPC_CheckPredicate, 79, 232, 3, // Skip to: 2152
/* 1152 */    MCD::OPC_Decode, 198, 9, 231, 2, // Opcode: CMP_SEQ_S
/* 1157 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 1170
/* 1161 */    MCD::OPC_CheckPredicate, 79, 219, 3, // Skip to: 2152
/* 1165 */    MCD::OPC_Decode, 210, 9, 231, 2, // Opcode: CMP_SUEQ_S
/* 1170 */    MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 1183
/* 1174 */    MCD::OPC_CheckPredicate, 79, 206, 3, // Skip to: 2152
/* 1178 */    MCD::OPC_Decode, 206, 9, 231, 2, // Opcode: CMP_SLT_S
/* 1183 */    MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 1196
/* 1187 */    MCD::OPC_CheckPredicate, 79, 193, 3, // Skip to: 2152
/* 1191 */    MCD::OPC_Decode, 218, 9, 231, 2, // Opcode: CMP_SULT_S
/* 1196 */    MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 1209
/* 1200 */    MCD::OPC_CheckPredicate, 79, 180, 3, // Skip to: 2152
/* 1204 */    MCD::OPC_Decode, 202, 9, 231, 2, // Opcode: CMP_SLE_S
/* 1209 */    MCD::OPC_FilterValue, 15, 171, 3, // Skip to: 2152
/* 1213 */    MCD::OPC_CheckPredicate, 79, 167, 3, // Skip to: 2152
/* 1217 */    MCD::OPC_Decode, 214, 9, 231, 2, // Opcode: CMP_SULE_S
/* 1222 */    MCD::OPC_FilterValue, 21, 158, 3, // Skip to: 2152
/* 1226 */    MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 1229 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 1242
/* 1233 */    MCD::OPC_CheckPredicate, 79, 147, 3, // Skip to: 2152
/* 1237 */    MCD::OPC_Decode, 178, 9, 232, 2, // Opcode: CMP_F_D
/* 1242 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 1255
/* 1246 */    MCD::OPC_CheckPredicate, 79, 134, 3, // Skip to: 2152
/* 1250 */    MCD::OPC_Decode, 236, 9, 232, 2, // Opcode: CMP_UN_D
/* 1255 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 1268
/* 1259 */    MCD::OPC_CheckPredicate, 79, 121, 3, // Skip to: 2152
/* 1263 */    MCD::OPC_Decode, 172, 9, 232, 2, // Opcode: CMP_EQ_D
/* 1268 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 1281
/* 1272 */    MCD::OPC_CheckPredicate, 79, 108, 3, // Skip to: 2152
/* 1276 */    MCD::OPC_Decode, 224, 9, 232, 2, // Opcode: CMP_UEQ_D
/* 1281 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 1294
/* 1285 */    MCD::OPC_CheckPredicate, 79, 95, 3, // Skip to: 2152
/* 1289 */    MCD::OPC_Decode, 186, 9, 232, 2, // Opcode: CMP_LT_D
/* 1294 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 1307
/* 1298 */    MCD::OPC_CheckPredicate, 79, 82, 3, // Skip to: 2152
/* 1302 */    MCD::OPC_Decode, 232, 9, 232, 2, // Opcode: CMP_ULT_D
/* 1307 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 1320
/* 1311 */    MCD::OPC_CheckPredicate, 79, 69, 3, // Skip to: 2152
/* 1315 */    MCD::OPC_Decode, 180, 9, 232, 2, // Opcode: CMP_LE_D
/* 1320 */    MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 1333
/* 1324 */    MCD::OPC_CheckPredicate, 79, 56, 3, // Skip to: 2152
/* 1328 */    MCD::OPC_Decode, 228, 9, 232, 2, // Opcode: CMP_ULE_D
/* 1333 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 1346
/* 1337 */    MCD::OPC_CheckPredicate, 79, 43, 3, // Skip to: 2152
/* 1341 */    MCD::OPC_Decode, 192, 9, 232, 2, // Opcode: CMP_SAF_D
/* 1346 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 1359
/* 1350 */    MCD::OPC_CheckPredicate, 79, 30, 3, // Skip to: 2152
/* 1354 */    MCD::OPC_Decode, 220, 9, 232, 2, // Opcode: CMP_SUN_D
/* 1359 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 1372
/* 1363 */    MCD::OPC_CheckPredicate, 79, 17, 3, // Skip to: 2152
/* 1367 */    MCD::OPC_Decode, 196, 9, 232, 2, // Opcode: CMP_SEQ_D
/* 1372 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 1385
/* 1376 */    MCD::OPC_CheckPredicate, 79, 4, 3, // Skip to: 2152
/* 1380 */    MCD::OPC_Decode, 208, 9, 232, 2, // Opcode: CMP_SUEQ_D
/* 1385 */    MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 1398
/* 1389 */    MCD::OPC_CheckPredicate, 79, 247, 2, // Skip to: 2152
/* 1393 */    MCD::OPC_Decode, 204, 9, 232, 2, // Opcode: CMP_SLT_D
/* 1398 */    MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 1411
/* 1402 */    MCD::OPC_CheckPredicate, 79, 234, 2, // Skip to: 2152
/* 1406 */    MCD::OPC_Decode, 216, 9, 232, 2, // Opcode: CMP_SULT_D
/* 1411 */    MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 1424
/* 1415 */    MCD::OPC_CheckPredicate, 79, 221, 2, // Skip to: 2152
/* 1419 */    MCD::OPC_Decode, 200, 9, 232, 2, // Opcode: CMP_SLE_D
/* 1424 */    MCD::OPC_FilterValue, 15, 212, 2, // Skip to: 2152
/* 1428 */    MCD::OPC_CheckPredicate, 79, 208, 2, // Skip to: 2152
/* 1432 */    MCD::OPC_Decode, 212, 9, 232, 2, // Opcode: CMP_SULE_D
/* 1437 */    MCD::OPC_FilterValue, 18, 81, 0, // Skip to: 1522
/* 1441 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 1444 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 1457
/* 1448 */    MCD::OPC_CheckPredicate, 76, 188, 2, // Skip to: 2152
/* 1452 */    MCD::OPC_Decode, 157, 7, 233, 2, // Opcode: BC2EQZ
/* 1457 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 1470
/* 1461 */    MCD::OPC_CheckPredicate, 76, 175, 2, // Skip to: 2152
/* 1465 */    MCD::OPC_Decode, 161, 15, 234, 2, // Opcode: LWC2_R6
/* 1470 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 1483
/* 1474 */    MCD::OPC_CheckPredicate, 76, 162, 2, // Skip to: 2152
/* 1478 */    MCD::OPC_Decode, 198, 21, 234, 2, // Opcode: SWC2_R6
/* 1483 */    MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 1496
/* 1487 */    MCD::OPC_CheckPredicate, 76, 149, 2, // Skip to: 2152
/* 1491 */    MCD::OPC_Decode, 159, 7, 233, 2, // Opcode: BC2NEZ
/* 1496 */    MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 1509
/* 1500 */    MCD::OPC_CheckPredicate, 76, 136, 2, // Skip to: 2152
/* 1504 */    MCD::OPC_Decode, 229, 14, 234, 2, // Opcode: LDC2_R6
/* 1509 */    MCD::OPC_FilterValue, 15, 127, 2, // Skip to: 2152
/* 1513 */    MCD::OPC_CheckPredicate, 76, 123, 2, // Skip to: 2152
/* 1517 */    MCD::OPC_Decode, 194, 19, 234, 2, // Opcode: SDC2_R6
/* 1522 */    MCD::OPC_FilterValue, 22, 9, 0, // Skip to: 1535
/* 1526 */    MCD::OPC_CheckPredicate, 76, 110, 2, // Skip to: 2152
/* 1530 */    MCD::OPC_Decode, 199, 7, 235, 2, // Opcode: BGEZC
/* 1535 */    MCD::OPC_FilterValue, 23, 9, 0, // Skip to: 1548
/* 1539 */    MCD::OPC_CheckPredicate, 76, 97, 2, // Skip to: 2152
/* 1543 */    MCD::OPC_Decode, 128, 8, 236, 2, // Opcode: BLTZC
/* 1548 */    MCD::OPC_FilterValue, 24, 9, 0, // Skip to: 1561
/* 1552 */    MCD::OPC_CheckPredicate, 76, 84, 2, // Skip to: 2152
/* 1556 */    MCD::OPC_Decode, 139, 8, 237, 2, // Opcode: BNEC
/* 1561 */    MCD::OPC_FilterValue, 29, 9, 0, // Skip to: 1574
/* 1565 */    MCD::OPC_CheckPredicate, 77, 71, 2, // Skip to: 2152
/* 1569 */    MCD::OPC_Decode, 146, 11, 238, 2, // Opcode: DAUI
/* 1574 */    MCD::OPC_FilterValue, 31, 83, 1, // Skip to: 1917
/* 1578 */    MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 1581 */    MCD::OPC_FilterValue, 15, 107, 0, // Skip to: 1692
/* 1585 */    MCD::OPC_ExtractField, 6, 10,  // Inst{15-6} ...
/* 1588 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 1601
/* 1592 */    MCD::OPC_CheckPredicate, 80, 44, 2, // Skip to: 2152
/* 1596 */    MCD::OPC_Decode, 247, 9, 239, 2, // Opcode: CRC32B
/* 1601 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 1614
/* 1605 */    MCD::OPC_CheckPredicate, 80, 31, 2, // Skip to: 2152
/* 1609 */    MCD::OPC_Decode, 253, 9, 239, 2, // Opcode: CRC32H
/* 1614 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 1627
/* 1618 */    MCD::OPC_CheckPredicate, 80, 18, 2, // Skip to: 2152
/* 1622 */    MCD::OPC_Decode, 254, 9, 239, 2, // Opcode: CRC32W
/* 1627 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 1640
/* 1631 */    MCD::OPC_CheckPredicate, 81, 5, 2, // Skip to: 2152
/* 1635 */    MCD::OPC_Decode, 252, 9, 239, 2, // Opcode: CRC32D
/* 1640 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 1653
/* 1644 */    MCD::OPC_CheckPredicate, 80, 248, 1, // Skip to: 2152
/* 1648 */    MCD::OPC_Decode, 248, 9, 239, 2, // Opcode: CRC32CB
/* 1653 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 1666
/* 1657 */    MCD::OPC_CheckPredicate, 80, 235, 1, // Skip to: 2152
/* 1661 */    MCD::OPC_Decode, 250, 9, 239, 2, // Opcode: CRC32CH
/* 1666 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 1679
/* 1670 */    MCD::OPC_CheckPredicate, 80, 222, 1, // Skip to: 2152
/* 1674 */    MCD::OPC_Decode, 251, 9, 239, 2, // Opcode: CRC32CW
/* 1679 */    MCD::OPC_FilterValue, 7, 213, 1, // Skip to: 2152
/* 1683 */    MCD::OPC_CheckPredicate, 81, 209, 1, // Skip to: 2152
/* 1687 */    MCD::OPC_Decode, 249, 9, 239, 2, // Opcode: CRC32CD
/* 1692 */    MCD::OPC_FilterValue, 32, 41, 0, // Skip to: 1737
/* 1696 */    MCD::OPC_ExtractField, 8, 3,  // Inst{10-8} ...
/* 1699 */    MCD::OPC_FilterValue, 0, 21, 0, // Skip to: 1724
/* 1703 */    MCD::OPC_CheckPredicate, 75, 189, 1, // Skip to: 2152
/* 1707 */    MCD::OPC_CheckField, 21, 5, 0, 183, 1, // Skip to: 2152
/* 1713 */    MCD::OPC_CheckField, 6, 2, 0, 177, 1, // Skip to: 2152
/* 1719 */    MCD::OPC_Decode, 231, 7, 204, 2, // Opcode: BITSWAP
/* 1724 */    MCD::OPC_FilterValue, 2, 168, 1, // Skip to: 2152
/* 1728 */    MCD::OPC_CheckPredicate, 75, 164, 1, // Skip to: 2152
/* 1732 */    MCD::OPC_Decode, 205, 6, 240, 2, // Opcode: ALIGN
/* 1737 */    MCD::OPC_FilterValue, 36, 41, 0, // Skip to: 1782
/* 1741 */    MCD::OPC_ExtractField, 9, 2,  // Inst{10-9} ...
/* 1744 */    MCD::OPC_FilterValue, 0, 21, 0, // Skip to: 1769
/* 1748 */    MCD::OPC_CheckPredicate, 77, 144, 1, // Skip to: 2152
/* 1752 */    MCD::OPC_CheckField, 21, 5, 0, 138, 1, // Skip to: 2152
/* 1758 */    MCD::OPC_CheckField, 6, 3, 0, 132, 1, // Skip to: 2152
/* 1764 */    MCD::OPC_Decode, 147, 11, 241, 2, // Opcode: DBITSWAP
/* 1769 */    MCD::OPC_FilterValue, 1, 123, 1, // Skip to: 2152
/* 1773 */    MCD::OPC_CheckPredicate, 77, 119, 1, // Skip to: 2152
/* 1777 */    MCD::OPC_Decode, 144, 11, 242, 2, // Opcode: DALIGN
/* 1782 */    MCD::OPC_FilterValue, 37, 15, 0, // Skip to: 1801
/* 1786 */    MCD::OPC_CheckPredicate, 76, 106, 1, // Skip to: 2152
/* 1790 */    MCD::OPC_CheckField, 6, 1, 0, 100, 1, // Skip to: 2152
/* 1796 */    MCD::OPC_Decode, 208, 8, 209, 2, // Opcode: CACHE_R6
/* 1801 */    MCD::OPC_FilterValue, 38, 9, 0, // Skip to: 1814
/* 1805 */    MCD::OPC_CheckPredicate, 82, 87, 1, // Skip to: 2152
/* 1809 */    MCD::OPC_Decode, 179, 19, 243, 2, // Opcode: SC_R6
/* 1814 */    MCD::OPC_FilterValue, 39, 9, 0, // Skip to: 1827
/* 1818 */    MCD::OPC_CheckPredicate, 75, 74, 1, // Skip to: 2152
/* 1822 */    MCD::OPC_Decode, 174, 19, 243, 2, // Opcode: SCD_R6
/* 1827 */    MCD::OPC_FilterValue, 53, 15, 0, // Skip to: 1846
/* 1831 */    MCD::OPC_CheckPredicate, 76, 61, 1, // Skip to: 2152
/* 1835 */    MCD::OPC_CheckField, 6, 1, 0, 55, 1, // Skip to: 2152
/* 1841 */    MCD::OPC_Decode, 225, 18, 209, 2, // Opcode: PREF_R6
/* 1846 */    MCD::OPC_FilterValue, 54, 9, 0, // Skip to: 1859
/* 1850 */    MCD::OPC_CheckPredicate, 82, 42, 1, // Skip to: 2152
/* 1854 */    MCD::OPC_Decode, 143, 15, 243, 2, // Opcode: LL_R6
/* 1859 */    MCD::OPC_FilterValue, 55, 9, 0, // Skip to: 1872
/* 1863 */    MCD::OPC_CheckPredicate, 77, 29, 1, // Skip to: 2152
/* 1867 */    MCD::OPC_Decode, 138, 15, 243, 2, // Opcode: LLD_R6
/* 1872 */    MCD::OPC_FilterValue, 61, 20, 1, // Skip to: 2152
/* 1876 */    MCD::OPC_ExtractField, 6, 2,  // Inst{7-6} ...
/* 1879 */    MCD::OPC_FilterValue, 0, 15, 0, // Skip to: 1898
/* 1883 */    MCD::OPC_CheckPredicate, 83, 9, 1, // Skip to: 2152
/* 1887 */    MCD::OPC_CheckField, 8, 13, 0, 3, 1, // Skip to: 2152
/* 1893 */    MCD::OPC_Decode, 245, 13, 186, 1, // Opcode: GINVI
/* 1898 */    MCD::OPC_FilterValue, 2, 250, 0, // Skip to: 2152
/* 1902 */    MCD::OPC_CheckPredicate, 83, 246, 0, // Skip to: 2152
/* 1906 */    MCD::OPC_CheckField, 10, 11, 0, 240, 0, // Skip to: 2152
/* 1912 */    MCD::OPC_Decode, 247, 13, 244, 2, // Opcode: GINVT
/* 1917 */    MCD::OPC_FilterValue, 50, 9, 0, // Skip to: 1930
/* 1921 */    MCD::OPC_CheckPredicate, 76, 227, 0, // Skip to: 2152
/* 1925 */    MCD::OPC_Decode, 145, 7, 245, 2, // Opcode: BC
/* 1930 */    MCD::OPC_FilterValue, 53, 24, 0, // Skip to: 1958
/* 1934 */    MCD::OPC_CheckPredicate, 24, 11, 0, // Skip to: 1949
/* 1938 */    MCD::OPC_CheckField, 16, 5, 0, 5, 0, // Skip to: 1949
/* 1944 */    MCD::OPC_Decode, 210, 7, 180, 1, // Opcode: BGTZC_MMR6
/* 1949 */    MCD::OPC_CheckPredicate, 24, 199, 0, // Skip to: 2152
/* 1953 */    MCD::OPC_Decode, 130, 8, 180, 1, // Opcode: BLTZC_MMR6
/* 1958 */    MCD::OPC_FilterValue, 54, 23, 0, // Skip to: 1985
/* 1962 */    MCD::OPC_CheckPredicate, 75, 10, 0, // Skip to: 1976
/* 1966 */    MCD::OPC_CheckField, 21, 5, 0, 4, 0, // Skip to: 1976
/* 1972 */    MCD::OPC_Decode, 184, 14, 103, // Opcode: JIC
/* 1976 */    MCD::OPC_CheckPredicate, 76, 172, 0, // Skip to: 2152
/* 1980 */    MCD::OPC_Decode, 179, 7, 246, 2, // Opcode: BEQZC
/* 1985 */    MCD::OPC_FilterValue, 58, 9, 0, // Skip to: 1998
/* 1989 */    MCD::OPC_CheckPredicate, 75, 159, 0, // Skip to: 2152
/* 1993 */    MCD::OPC_Decode, 137, 7, 245, 2, // Opcode: BALC
/* 1998 */    MCD::OPC_FilterValue, 59, 95, 0, // Skip to: 2097
/* 2002 */    MCD::OPC_ExtractField, 19, 2,  // Inst{20-19} ...
/* 2005 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 2018
/* 2009 */    MCD::OPC_CheckPredicate, 75, 139, 0, // Skip to: 2152
/* 2013 */    MCD::OPC_Decode, 131, 6, 174, 1, // Opcode: ADDIUPC
/* 2018 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 2031
/* 2022 */    MCD::OPC_CheckPredicate, 75, 126, 0, // Skip to: 2152
/* 2026 */    MCD::OPC_Decode, 176, 15, 174, 1, // Opcode: LWPC
/* 2031 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 2044
/* 2035 */    MCD::OPC_CheckPredicate, 84, 113, 0, // Skip to: 2152
/* 2039 */    MCD::OPC_Decode, 185, 15, 174, 1, // Opcode: LWUPC
/* 2044 */    MCD::OPC_FilterValue, 3, 104, 0, // Skip to: 2152
/* 2048 */    MCD::OPC_ExtractField, 18, 1,  // Inst{18} ...
/* 2051 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 2064
/* 2055 */    MCD::OPC_CheckPredicate, 84, 93, 0, // Skip to: 2152
/* 2059 */    MCD::OPC_Decode, 236, 14, 247, 2, // Opcode: LDPC
/* 2064 */    MCD::OPC_FilterValue, 1, 84, 0, // Skip to: 2152
/* 2068 */    MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 2071 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 2084
/* 2075 */    MCD::OPC_CheckPredicate, 75, 73, 0, // Skip to: 2152
/* 2079 */    MCD::OPC_Decode, 234, 6, 175, 1, // Opcode: AUIPC
/* 2084 */    MCD::OPC_FilterValue, 3, 64, 0, // Skip to: 2152
/* 2088 */    MCD::OPC_CheckPredicate, 75, 60, 0, // Skip to: 2152
/* 2092 */    MCD::OPC_Decode, 207, 6, 175, 1, // Opcode: ALUIPC
/* 2097 */    MCD::OPC_FilterValue, 61, 24, 0, // Skip to: 2125
/* 2101 */    MCD::OPC_CheckPredicate, 24, 11, 0, // Skip to: 2116
/* 2105 */    MCD::OPC_CheckField, 16, 5, 0, 5, 0, // Skip to: 2116
/* 2111 */    MCD::OPC_Decode, 239, 7, 182, 1, // Opcode: BLEZC_MMR6
/* 2116 */    MCD::OPC_CheckPredicate, 24, 32, 0, // Skip to: 2152
/* 2120 */    MCD::OPC_Decode, 201, 7, 182, 1, // Opcode: BGEZC_MMR6
/* 2125 */    MCD::OPC_FilterValue, 62, 23, 0, // Skip to: 2152
/* 2129 */    MCD::OPC_CheckPredicate, 75, 10, 0, // Skip to: 2143
/* 2133 */    MCD::OPC_CheckField, 21, 5, 0, 4, 0, // Skip to: 2143
/* 2139 */    MCD::OPC_Decode, 181, 14, 103, // Opcode: JIALC
/* 2143 */    MCD::OPC_CheckPredicate, 76, 5, 0, // Skip to: 2152
/* 2147 */    MCD::OPC_Decode, 154, 8, 246, 2, // Opcode: BNEZC
/* 2152 */    MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableMips32r6_64r6_Ambiguous32[] = {
/* 0 */       MCD::OPC_ExtractField, 26, 6,  // Inst{31-26} ...
/* 3 */       MCD::OPC_FilterValue, 6, 24, 0, // Skip to: 31
/* 7 */       MCD::OPC_CheckPredicate, 76, 11, 0, // Skip to: 22
/* 11 */      MCD::OPC_CheckField, 21, 5, 0, 5, 0, // Skip to: 22
/* 17 */      MCD::OPC_Decode, 235, 7, 223, 2, // Opcode: BLEZALC
/* 22 */      MCD::OPC_CheckPredicate, 76, 145, 0, // Skip to: 171
/* 26 */      MCD::OPC_Decode, 188, 7, 223, 2, // Opcode: BGEUC
/* 31 */      MCD::OPC_FilterValue, 7, 24, 0, // Skip to: 59
/* 35 */      MCD::OPC_CheckPredicate, 76, 11, 0, // Skip to: 50
/* 39 */      MCD::OPC_CheckField, 21, 5, 0, 5, 0, // Skip to: 50
/* 45 */      MCD::OPC_Decode, 206, 7, 224, 2, // Opcode: BGTZALC
/* 50 */      MCD::OPC_CheckPredicate, 76, 117, 0, // Skip to: 171
/* 54 */      MCD::OPC_Decode, 245, 7, 224, 2, // Opcode: BLTUC
/* 59 */      MCD::OPC_FilterValue, 8, 24, 0, // Skip to: 87
/* 63 */      MCD::OPC_CheckPredicate, 76, 11, 0, // Skip to: 78
/* 67 */      MCD::OPC_CheckField, 21, 5, 0, 5, 0, // Skip to: 78
/* 73 */      MCD::OPC_Decode, 177, 7, 237, 2, // Opcode: BEQZALC
/* 78 */      MCD::OPC_CheckPredicate, 76, 89, 0, // Skip to: 171
/* 82 */      MCD::OPC_Decode, 167, 8, 225, 2, // Opcode: BOVC
/* 87 */      MCD::OPC_FilterValue, 22, 24, 0, // Skip to: 115
/* 91 */      MCD::OPC_CheckPredicate, 76, 11, 0, // Skip to: 106
/* 95 */      MCD::OPC_CheckField, 21, 5, 0, 5, 0, // Skip to: 106
/* 101 */     MCD::OPC_Decode, 237, 7, 235, 2, // Opcode: BLEZC
/* 106 */     MCD::OPC_CheckPredicate, 76, 61, 0, // Skip to: 171
/* 110 */     MCD::OPC_Decode, 185, 7, 235, 2, // Opcode: BGEC
/* 115 */     MCD::OPC_FilterValue, 23, 24, 0, // Skip to: 143
/* 119 */     MCD::OPC_CheckPredicate, 76, 11, 0, // Skip to: 134
/* 123 */     MCD::OPC_CheckField, 21, 5, 0, 5, 0, // Skip to: 134
/* 129 */     MCD::OPC_Decode, 208, 7, 236, 2, // Opcode: BGTZC
/* 134 */     MCD::OPC_CheckPredicate, 76, 33, 0, // Skip to: 171
/* 138 */     MCD::OPC_Decode, 242, 7, 236, 2, // Opcode: BLTC
/* 143 */     MCD::OPC_FilterValue, 24, 24, 0, // Skip to: 171
/* 147 */     MCD::OPC_CheckPredicate, 76, 11, 0, // Skip to: 162
/* 151 */     MCD::OPC_CheckField, 21, 5, 0, 5, 0, // Skip to: 162
/* 157 */     MCD::OPC_Decode, 152, 8, 237, 2, // Opcode: BNEZALC
/* 162 */     MCD::OPC_CheckPredicate, 76, 5, 0, // Skip to: 171
/* 166 */     MCD::OPC_Decode, 160, 8, 237, 2, // Opcode: BNVC
/* 171 */     MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableMips32r6_64r6_BranchZero32[] = {
/* 0 */       MCD::OPC_ExtractField, 26, 6,  // Inst{31-26} ...
/* 3 */       MCD::OPC_FilterValue, 22, 9, 0, // Skip to: 16
/* 7 */       MCD::OPC_CheckPredicate, 85, 18, 0, // Skip to: 29
/* 11 */      MCD::OPC_Decode, 200, 7, 235, 2, // Opcode: BGEZC64
/* 16 */      MCD::OPC_FilterValue, 23, 9, 0, // Skip to: 29
/* 20 */      MCD::OPC_CheckPredicate, 85, 5, 0, // Skip to: 29
/* 24 */      MCD::OPC_Decode, 129, 8, 236, 2, // Opcode: BLTZC64
/* 29 */      MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableMips32r6_64r6_GP6432[] = {
/* 0 */       MCD::OPC_ExtractField, 26, 6,  // Inst{31-26} ...
/* 3 */       MCD::OPC_FilterValue, 0, 46, 0, // Skip to: 53
/* 7 */       MCD::OPC_ExtractField, 0, 11,  // Inst{10-0} ...
/* 10 */      MCD::OPC_FilterValue, 53, 8, 0, // Skip to: 22
/* 14 */      MCD::OPC_CheckPredicate, 86, 197, 0, // Skip to: 215
/* 18 */      MCD::OPC_Decode, 209, 19, 23, // Opcode: SELEQZ64
/* 22 */      MCD::OPC_FilterValue, 55, 8, 0, // Skip to: 34
/* 26 */      MCD::OPC_CheckPredicate, 86, 185, 0, // Skip to: 215
/* 30 */      MCD::OPC_Decode, 216, 19, 23, // Opcode: SELNEZ64
/* 34 */      MCD::OPC_FilterValue, 137, 8, 176, 0, // Skip to: 215
/* 39 */      MCD::OPC_CheckPredicate, 75, 172, 0, // Skip to: 215
/* 43 */      MCD::OPC_CheckField, 11, 10, 0, 166, 0, // Skip to: 215
/* 49 */      MCD::OPC_Decode, 196, 14, 24, // Opcode: JR_HB64_R6
/* 53 */      MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 66
/* 57 */      MCD::OPC_CheckPredicate, 85, 154, 0, // Skip to: 215
/* 61 */      MCD::OPC_Decode, 189, 7, 223, 2, // Opcode: BGEUC64
/* 66 */      MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 79
/* 70 */      MCD::OPC_CheckPredicate, 85, 141, 0, // Skip to: 215
/* 74 */      MCD::OPC_Decode, 246, 7, 224, 2, // Opcode: BLTUC64
/* 79 */      MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 92
/* 83 */      MCD::OPC_CheckPredicate, 85, 128, 0, // Skip to: 215
/* 87 */      MCD::OPC_Decode, 173, 7, 225, 2, // Opcode: BEQC64
/* 92 */      MCD::OPC_FilterValue, 22, 24, 0, // Skip to: 120
/* 96 */      MCD::OPC_CheckPredicate, 85, 11, 0, // Skip to: 111
/* 100 */     MCD::OPC_CheckField, 21, 5, 0, 5, 0, // Skip to: 111
/* 106 */     MCD::OPC_Decode, 238, 7, 235, 2, // Opcode: BLEZC64
/* 111 */     MCD::OPC_CheckPredicate, 85, 100, 0, // Skip to: 215
/* 115 */     MCD::OPC_Decode, 186, 7, 235, 2, // Opcode: BGEC64
/* 120 */     MCD::OPC_FilterValue, 23, 24, 0, // Skip to: 148
/* 124 */     MCD::OPC_CheckPredicate, 85, 11, 0, // Skip to: 139
/* 128 */     MCD::OPC_CheckField, 21, 5, 0, 5, 0, // Skip to: 139
/* 134 */     MCD::OPC_Decode, 209, 7, 236, 2, // Opcode: BGTZC64
/* 139 */     MCD::OPC_CheckPredicate, 85, 72, 0, // Skip to: 215
/* 143 */     MCD::OPC_Decode, 243, 7, 236, 2, // Opcode: BLTC64
/* 148 */     MCD::OPC_FilterValue, 24, 9, 0, // Skip to: 161
/* 152 */     MCD::OPC_CheckPredicate, 85, 59, 0, // Skip to: 215
/* 156 */     MCD::OPC_Decode, 140, 8, 237, 2, // Opcode: BNEC64
/* 161 */     MCD::OPC_FilterValue, 54, 23, 0, // Skip to: 188
/* 165 */     MCD::OPC_CheckPredicate, 85, 10, 0, // Skip to: 179
/* 169 */     MCD::OPC_CheckField, 21, 5, 0, 4, 0, // Skip to: 179
/* 175 */     MCD::OPC_Decode, 185, 14, 22, // Opcode: JIC64
/* 179 */     MCD::OPC_CheckPredicate, 85, 32, 0, // Skip to: 215
/* 183 */     MCD::OPC_Decode, 181, 7, 248, 2, // Opcode: BEQZC64
/* 188 */     MCD::OPC_FilterValue, 62, 23, 0, // Skip to: 215
/* 192 */     MCD::OPC_CheckPredicate, 85, 10, 0, // Skip to: 206
/* 196 */     MCD::OPC_CheckField, 21, 5, 0, 4, 0, // Skip to: 206
/* 202 */     MCD::OPC_Decode, 182, 14, 22, // Opcode: JIALC64
/* 206 */     MCD::OPC_CheckPredicate, 85, 5, 0, // Skip to: 215
/* 210 */     MCD::OPC_Decode, 156, 8, 248, 2, // Opcode: BNEZC64
/* 215 */     MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableMips32r6_64r6_PTR6432[] = {
/* 0 */       MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 3 */       MCD::OPC_FilterValue, 38, 15, 0, // Skip to: 22
/* 7 */       MCD::OPC_CheckPredicate, 87, 30, 0, // Skip to: 41
/* 11 */      MCD::OPC_CheckField, 26, 6, 31, 24, 0, // Skip to: 41
/* 17 */      MCD::OPC_Decode, 172, 19, 243, 2, // Opcode: SC64_R6
/* 22 */      MCD::OPC_FilterValue, 54, 15, 0, // Skip to: 41
/* 26 */      MCD::OPC_CheckPredicate, 87, 11, 0, // Skip to: 41
/* 30 */      MCD::OPC_CheckField, 26, 6, 31, 5, 0, // Skip to: 41
/* 36 */      MCD::OPC_Decode, 136, 15, 243, 2, // Opcode: LL64_R6
/* 41 */      MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableMips6432[] = {
/* 0 */       MCD::OPC_ExtractField, 26, 6,  // Inst{31-26} ...
/* 3 */       MCD::OPC_FilterValue, 0, 169, 1, // Skip to: 432
/* 7 */       MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 10 */      MCD::OPC_FilterValue, 8, 14, 0, // Skip to: 28
/* 14 */      MCD::OPC_CheckPredicate, 88, 76, 4, // Skip to: 1118
/* 18 */      MCD::OPC_CheckField, 6, 15, 16, 70, 4, // Skip to: 1118
/* 24 */      MCD::OPC_Decode, 195, 14, 24, // Opcode: JR_HB64
/* 28 */      MCD::OPC_FilterValue, 9, 39, 0, // Skip to: 71
/* 32 */      MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 35 */      MCD::OPC_FilterValue, 0, 14, 0, // Skip to: 53
/* 39 */      MCD::OPC_CheckPredicate, 89, 51, 4, // Skip to: 1118
/* 43 */      MCD::OPC_CheckField, 16, 5, 0, 45, 4, // Skip to: 1118
/* 49 */      MCD::OPC_Decode, 168, 14, 26, // Opcode: JALR64
/* 53 */      MCD::OPC_FilterValue, 16, 37, 4, // Skip to: 1118
/* 57 */      MCD::OPC_CheckPredicate, 90, 33, 4, // Skip to: 1118
/* 61 */      MCD::OPC_CheckField, 16, 5, 0, 27, 4, // Skip to: 1118
/* 67 */      MCD::OPC_Decode, 175, 14, 26, // Opcode: JALR_HB64
/* 71 */      MCD::OPC_FilterValue, 20, 15, 0, // Skip to: 90
/* 75 */      MCD::OPC_CheckPredicate, 91, 15, 4, // Skip to: 1118
/* 79 */      MCD::OPC_CheckField, 6, 5, 0, 9, 4, // Skip to: 1118
/* 85 */      MCD::OPC_Decode, 133, 12, 249, 2, // Opcode: DSLLV
/* 90 */      MCD::OPC_FilterValue, 22, 29, 0, // Skip to: 123
/* 94 */      MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 97 */      MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 110
/* 101 */     MCD::OPC_CheckPredicate, 91, 245, 3, // Skip to: 1118
/* 105 */     MCD::OPC_Decode, 139, 12, 249, 2, // Opcode: DSRLV
/* 110 */     MCD::OPC_FilterValue, 1, 236, 3, // Skip to: 1118
/* 114 */     MCD::OPC_CheckPredicate, 90, 232, 3, // Skip to: 1118
/* 118 */     MCD::OPC_Decode, 254, 11, 249, 2, // Opcode: DROTRV
/* 123 */     MCD::OPC_FilterValue, 23, 15, 0, // Skip to: 142
/* 127 */     MCD::OPC_CheckPredicate, 91, 219, 3, // Skip to: 1118
/* 131 */     MCD::OPC_CheckField, 6, 5, 0, 213, 3, // Skip to: 1118
/* 137 */     MCD::OPC_Decode, 136, 12, 249, 2, // Opcode: DSRAV
/* 142 */     MCD::OPC_FilterValue, 28, 15, 0, // Skip to: 161
/* 146 */     MCD::OPC_CheckPredicate, 92, 200, 3, // Skip to: 1118
/* 150 */     MCD::OPC_CheckField, 6, 10, 0, 194, 3, // Skip to: 1118
/* 156 */     MCD::OPC_Decode, 197, 11, 250, 2, // Opcode: DMULT
/* 161 */     MCD::OPC_FilterValue, 29, 15, 0, // Skip to: 180
/* 165 */     MCD::OPC_CheckPredicate, 92, 181, 3, // Skip to: 1118
/* 169 */     MCD::OPC_CheckField, 6, 10, 0, 175, 3, // Skip to: 1118
/* 175 */     MCD::OPC_Decode, 198, 11, 250, 2, // Opcode: DMULTu
/* 180 */     MCD::OPC_FilterValue, 30, 15, 0, // Skip to: 199
/* 184 */     MCD::OPC_CheckPredicate, 92, 162, 3, // Skip to: 1118
/* 188 */     MCD::OPC_CheckField, 6, 10, 0, 156, 3, // Skip to: 1118
/* 194 */     MCD::OPC_Decode, 128, 12, 250, 2, // Opcode: DSDIV
/* 199 */     MCD::OPC_FilterValue, 31, 15, 0, // Skip to: 218
/* 203 */     MCD::OPC_CheckPredicate, 92, 143, 3, // Skip to: 1118
/* 207 */     MCD::OPC_CheckField, 6, 10, 0, 137, 3, // Skip to: 1118
/* 213 */     MCD::OPC_Decode, 142, 12, 250, 2, // Opcode: DUDIV
/* 218 */     MCD::OPC_FilterValue, 44, 14, 0, // Skip to: 236
/* 222 */     MCD::OPC_CheckPredicate, 91, 124, 3, // Skip to: 1118
/* 226 */     MCD::OPC_CheckField, 6, 5, 0, 118, 3, // Skip to: 1118
/* 232 */     MCD::OPC_Decode, 139, 11, 23, // Opcode: DADD
/* 236 */     MCD::OPC_FilterValue, 45, 14, 0, // Skip to: 254
/* 240 */     MCD::OPC_CheckPredicate, 91, 106, 3, // Skip to: 1118
/* 244 */     MCD::OPC_CheckField, 6, 5, 0, 100, 3, // Skip to: 1118
/* 250 */     MCD::OPC_Decode, 142, 11, 23, // Opcode: DADDu
/* 254 */     MCD::OPC_FilterValue, 46, 14, 0, // Skip to: 272
/* 258 */     MCD::OPC_CheckPredicate, 91, 88, 3, // Skip to: 1118
/* 262 */     MCD::OPC_CheckField, 6, 5, 0, 82, 3, // Skip to: 1118
/* 268 */     MCD::OPC_Decode, 140, 12, 23, // Opcode: DSUB
/* 272 */     MCD::OPC_FilterValue, 47, 14, 0, // Skip to: 290
/* 276 */     MCD::OPC_CheckPredicate, 91, 70, 3, // Skip to: 1118
/* 280 */     MCD::OPC_CheckField, 6, 5, 0, 64, 3, // Skip to: 1118
/* 286 */     MCD::OPC_Decode, 141, 12, 23, // Opcode: DSUBu
/* 290 */     MCD::OPC_FilterValue, 56, 15, 0, // Skip to: 309
/* 294 */     MCD::OPC_CheckPredicate, 91, 52, 3, // Skip to: 1118
/* 298 */     MCD::OPC_CheckField, 21, 5, 0, 46, 3, // Skip to: 1118
/* 304 */     MCD::OPC_Decode, 130, 12, 251, 2, // Opcode: DSLL
/* 309 */     MCD::OPC_FilterValue, 58, 29, 0, // Skip to: 342
/* 313 */     MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 316 */     MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 329
/* 320 */     MCD::OPC_CheckPredicate, 91, 26, 3, // Skip to: 1118
/* 324 */     MCD::OPC_Decode, 137, 12, 251, 2, // Opcode: DSRL
/* 329 */     MCD::OPC_FilterValue, 1, 17, 3, // Skip to: 1118
/* 333 */     MCD::OPC_CheckPredicate, 90, 13, 3, // Skip to: 1118
/* 337 */     MCD::OPC_Decode, 252, 11, 251, 2, // Opcode: DROTR
/* 342 */     MCD::OPC_FilterValue, 59, 15, 0, // Skip to: 361
/* 346 */     MCD::OPC_CheckPredicate, 91, 0, 3, // Skip to: 1118
/* 350 */     MCD::OPC_CheckField, 21, 5, 0, 250, 2, // Skip to: 1118
/* 356 */     MCD::OPC_Decode, 134, 12, 251, 2, // Opcode: DSRA
/* 361 */     MCD::OPC_FilterValue, 60, 15, 0, // Skip to: 380
/* 365 */     MCD::OPC_CheckPredicate, 91, 237, 2, // Skip to: 1118
/* 369 */     MCD::OPC_CheckField, 21, 5, 0, 231, 2, // Skip to: 1118
/* 375 */     MCD::OPC_Decode, 131, 12, 251, 2, // Opcode: DSLL32
/* 380 */     MCD::OPC_FilterValue, 62, 29, 0, // Skip to: 413
/* 384 */     MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 387 */     MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 400
/* 391 */     MCD::OPC_CheckPredicate, 91, 211, 2, // Skip to: 1118
/* 395 */     MCD::OPC_Decode, 138, 12, 251, 2, // Opcode: DSRL32
/* 400 */     MCD::OPC_FilterValue, 1, 202, 2, // Skip to: 1118
/* 404 */     MCD::OPC_CheckPredicate, 90, 198, 2, // Skip to: 1118
/* 408 */     MCD::OPC_Decode, 253, 11, 251, 2, // Opcode: DROTR32
/* 413 */     MCD::OPC_FilterValue, 63, 189, 2, // Skip to: 1118
/* 417 */     MCD::OPC_CheckPredicate, 91, 185, 2, // Skip to: 1118
/* 421 */     MCD::OPC_CheckField, 21, 5, 0, 179, 2, // Skip to: 1118
/* 427 */     MCD::OPC_Decode, 135, 12, 251, 2, // Opcode: DSRA32
/* 432 */     MCD::OPC_FilterValue, 16, 74, 0, // Skip to: 510
/* 436 */     MCD::OPC_ExtractField, 3, 8,  // Inst{10-3} ...
/* 439 */     MCD::OPC_FilterValue, 0, 29, 0, // Skip to: 472
/* 443 */     MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 446 */     MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 459
/* 450 */     MCD::OPC_CheckPredicate, 93, 152, 2, // Skip to: 1118
/* 454 */     MCD::OPC_Decode, 181, 11, 252, 2, // Opcode: DMFC0
/* 459 */     MCD::OPC_FilterValue, 5, 143, 2, // Skip to: 1118
/* 463 */     MCD::OPC_CheckPredicate, 93, 139, 2, // Skip to: 1118
/* 467 */     MCD::OPC_Decode, 189, 11, 253, 2, // Opcode: DMTC0
/* 472 */     MCD::OPC_FilterValue, 32, 15, 0, // Skip to: 491
/* 476 */     MCD::OPC_CheckPredicate, 94, 126, 2, // Skip to: 1118
/* 480 */     MCD::OPC_CheckField, 21, 5, 3, 120, 2, // Skip to: 1118
/* 486 */     MCD::OPC_Decode, 185, 11, 252, 2, // Opcode: DMFGC0
/* 491 */     MCD::OPC_FilterValue, 96, 111, 2, // Skip to: 1118
/* 495 */     MCD::OPC_CheckPredicate, 94, 107, 2, // Skip to: 1118
/* 499 */     MCD::OPC_CheckField, 21, 5, 3, 101, 2, // Skip to: 1118
/* 505 */     MCD::OPC_Decode, 193, 11, 253, 2, // Opcode: DMTGC0
/* 510 */     MCD::OPC_FilterValue, 18, 41, 0, // Skip to: 555
/* 514 */     MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 517 */     MCD::OPC_FilterValue, 1, 15, 0, // Skip to: 536
/* 521 */     MCD::OPC_CheckPredicate, 93, 81, 2, // Skip to: 1118
/* 525 */     MCD::OPC_CheckField, 3, 8, 0, 75, 2, // Skip to: 1118
/* 531 */     MCD::OPC_Decode, 183, 11, 254, 2, // Opcode: DMFC2
/* 536 */     MCD::OPC_FilterValue, 5, 66, 2, // Skip to: 1118
/* 540 */     MCD::OPC_CheckPredicate, 93, 62, 2, // Skip to: 1118
/* 544 */     MCD::OPC_CheckField, 3, 8, 0, 56, 2, // Skip to: 1118
/* 550 */     MCD::OPC_Decode, 191, 11, 255, 2, // Opcode: DMTC2
/* 555 */     MCD::OPC_FilterValue, 21, 227, 0, // Skip to: 786
/* 559 */     MCD::OPC_ExtractField, 0, 13,  // Inst{12-0} ...
/* 562 */     MCD::OPC_FilterValue, 188, 8, 9, 0, // Skip to: 576
/* 567 */     MCD::OPC_CheckPredicate, 15, 35, 2, // Skip to: 1118
/* 571 */     MCD::OPC_Decode, 177, 10, 128, 3, // Opcode: C_F_D64_MM
/* 576 */     MCD::OPC_FilterValue, 252, 8, 9, 0, // Skip to: 590
/* 581 */     MCD::OPC_CheckPredicate, 15, 21, 2, // Skip to: 1118
/* 585 */     MCD::OPC_Decode, 133, 11, 128, 3, // Opcode: C_UN_D64_MM
/* 590 */     MCD::OPC_FilterValue, 188, 9, 9, 0, // Skip to: 604
/* 595 */     MCD::OPC_CheckPredicate, 15, 7, 2, // Skip to: 1118
/* 599 */     MCD::OPC_Decode, 171, 10, 128, 3, // Opcode: C_EQ_D64_MM
/* 604 */     MCD::OPC_FilterValue, 252, 9, 9, 0, // Skip to: 618
/* 609 */     MCD::OPC_CheckPredicate, 15, 249, 1, // Skip to: 1118
/* 613 */     MCD::OPC_Decode, 243, 10, 128, 3, // Opcode: C_UEQ_D64_MM
/* 618 */     MCD::OPC_FilterValue, 188, 10, 9, 0, // Skip to: 632
/* 623 */     MCD::OPC_CheckPredicate, 15, 235, 1, // Skip to: 1118
/* 627 */     MCD::OPC_Decode, 225, 10, 128, 3, // Opcode: C_OLT_D64_MM
/* 632 */     MCD::OPC_FilterValue, 252, 10, 9, 0, // Skip to: 646
/* 637 */     MCD::OPC_CheckPredicate, 15, 221, 1, // Skip to: 1118
/* 641 */     MCD::OPC_Decode, 255, 10, 128, 3, // Opcode: C_ULT_D64_MM
/* 646 */     MCD::OPC_FilterValue, 188, 11, 9, 0, // Skip to: 660
/* 651 */     MCD::OPC_CheckPredicate, 15, 207, 1, // Skip to: 1118
/* 655 */     MCD::OPC_Decode, 219, 10, 128, 3, // Opcode: C_OLE_D64_MM
/* 660 */     MCD::OPC_FilterValue, 252, 11, 9, 0, // Skip to: 674
/* 665 */     MCD::OPC_CheckPredicate, 15, 193, 1, // Skip to: 1118
/* 669 */     MCD::OPC_Decode, 249, 10, 128, 3, // Opcode: C_ULE_D64_MM
/* 674 */     MCD::OPC_FilterValue, 188, 12, 9, 0, // Skip to: 688
/* 679 */     MCD::OPC_CheckPredicate, 15, 179, 1, // Skip to: 1118
/* 683 */     MCD::OPC_Decode, 237, 10, 128, 3, // Opcode: C_SF_D64_MM
/* 688 */     MCD::OPC_FilterValue, 252, 12, 9, 0, // Skip to: 702
/* 693 */     MCD::OPC_CheckPredicate, 15, 165, 1, // Skip to: 1118
/* 697 */     MCD::OPC_Decode, 201, 10, 128, 3, // Opcode: C_NGLE_D64_MM
/* 702 */     MCD::OPC_FilterValue, 188, 13, 9, 0, // Skip to: 716
/* 707 */     MCD::OPC_CheckPredicate, 15, 151, 1, // Skip to: 1118
/* 711 */     MCD::OPC_Decode, 231, 10, 128, 3, // Opcode: C_SEQ_D64_MM
/* 716 */     MCD::OPC_FilterValue, 252, 13, 9, 0, // Skip to: 730
/* 721 */     MCD::OPC_CheckPredicate, 15, 137, 1, // Skip to: 1118
/* 725 */     MCD::OPC_Decode, 207, 10, 128, 3, // Opcode: C_NGL_D64_MM
/* 730 */     MCD::OPC_FilterValue, 188, 14, 9, 0, // Skip to: 744
/* 735 */     MCD::OPC_CheckPredicate, 15, 123, 1, // Skip to: 1118
/* 739 */     MCD::OPC_Decode, 189, 10, 128, 3, // Opcode: C_LT_D64_MM
/* 744 */     MCD::OPC_FilterValue, 252, 14, 9, 0, // Skip to: 758
/* 749 */     MCD::OPC_CheckPredicate, 15, 109, 1, // Skip to: 1118
/* 753 */     MCD::OPC_Decode, 195, 10, 128, 3, // Opcode: C_NGE_D64_MM
/* 758 */     MCD::OPC_FilterValue, 188, 15, 9, 0, // Skip to: 772
/* 763 */     MCD::OPC_CheckPredicate, 15, 95, 1, // Skip to: 1118
/* 767 */     MCD::OPC_Decode, 183, 10, 128, 3, // Opcode: C_LE_D64_MM
/* 772 */     MCD::OPC_FilterValue, 252, 15, 85, 1, // Skip to: 1118
/* 777 */     MCD::OPC_CheckPredicate, 15, 81, 1, // Skip to: 1118
/* 781 */     MCD::OPC_Decode, 213, 10, 128, 3, // Opcode: C_NGT_D64_MM
/* 786 */     MCD::OPC_FilterValue, 24, 9, 0, // Skip to: 799
/* 790 */     MCD::OPC_CheckPredicate, 95, 68, 1, // Skip to: 1118
/* 794 */     MCD::OPC_Decode, 140, 11, 129, 3, // Opcode: DADDi
/* 799 */     MCD::OPC_FilterValue, 25, 9, 0, // Skip to: 812
/* 803 */     MCD::OPC_CheckPredicate, 91, 55, 1, // Skip to: 1118
/* 807 */     MCD::OPC_Decode, 141, 11, 129, 3, // Opcode: DADDiu
/* 812 */     MCD::OPC_FilterValue, 26, 9, 0, // Skip to: 825
/* 816 */     MCD::OPC_CheckPredicate, 95, 42, 1, // Skip to: 1118
/* 820 */     MCD::OPC_Decode, 235, 14, 141, 1, // Opcode: LDL
/* 825 */     MCD::OPC_FilterValue, 27, 9, 0, // Skip to: 838
/* 829 */     MCD::OPC_CheckPredicate, 95, 29, 1, // Skip to: 1118
/* 833 */     MCD::OPC_Decode, 237, 14, 141, 1, // Opcode: LDR
/* 838 */     MCD::OPC_FilterValue, 28, 29, 0, // Skip to: 871
/* 842 */     MCD::OPC_ExtractField, 0, 11,  // Inst{10-0} ...
/* 845 */     MCD::OPC_FilterValue, 36, 9, 0, // Skip to: 858
/* 849 */     MCD::OPC_CheckPredicate, 96, 9, 1, // Skip to: 1118
/* 853 */     MCD::OPC_Decode, 150, 11, 130, 3, // Opcode: DCLZ
/* 858 */     MCD::OPC_FilterValue, 37, 0, 1, // Skip to: 1118
/* 862 */     MCD::OPC_CheckPredicate, 96, 252, 0, // Skip to: 1118
/* 866 */     MCD::OPC_Decode, 148, 11, 130, 3, // Opcode: DCLO
/* 871 */     MCD::OPC_FilterValue, 31, 126, 0, // Skip to: 1001
/* 875 */     MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 878 */     MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 891
/* 882 */     MCD::OPC_CheckPredicate, 90, 232, 0, // Skip to: 1118
/* 886 */     MCD::OPC_Decode, 159, 11, 131, 3, // Opcode: DEXTM
/* 891 */     MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 904
/* 895 */     MCD::OPC_CheckPredicate, 90, 219, 0, // Skip to: 1118
/* 899 */     MCD::OPC_Decode, 160, 11, 131, 3, // Opcode: DEXTU
/* 904 */     MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 917
/* 908 */     MCD::OPC_CheckPredicate, 90, 206, 0, // Skip to: 1118
/* 912 */     MCD::OPC_Decode, 157, 11, 131, 3, // Opcode: DEXT
/* 917 */     MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 930
/* 921 */     MCD::OPC_CheckPredicate, 90, 193, 0, // Skip to: 1118
/* 925 */     MCD::OPC_Decode, 163, 11, 132, 3, // Opcode: DINSM
/* 930 */     MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 943
/* 934 */     MCD::OPC_CheckPredicate, 90, 180, 0, // Skip to: 1118
/* 938 */     MCD::OPC_Decode, 164, 11, 132, 3, // Opcode: DINSU
/* 943 */     MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 956
/* 947 */     MCD::OPC_CheckPredicate, 90, 167, 0, // Skip to: 1118
/* 951 */     MCD::OPC_Decode, 162, 11, 132, 3, // Opcode: DINS
/* 956 */     MCD::OPC_FilterValue, 36, 158, 0, // Skip to: 1118
/* 960 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 963 */     MCD::OPC_FilterValue, 2, 15, 0, // Skip to: 982
/* 967 */     MCD::OPC_CheckPredicate, 90, 147, 0, // Skip to: 1118
/* 971 */     MCD::OPC_CheckField, 21, 5, 0, 141, 0, // Skip to: 1118
/* 977 */     MCD::OPC_Decode, 255, 11, 241, 2, // Opcode: DSBH
/* 982 */     MCD::OPC_FilterValue, 5, 132, 0, // Skip to: 1118
/* 986 */     MCD::OPC_CheckPredicate, 90, 128, 0, // Skip to: 1118
/* 990 */     MCD::OPC_CheckField, 21, 5, 0, 122, 0, // Skip to: 1118
/* 996 */     MCD::OPC_Decode, 129, 12, 241, 2, // Opcode: DSHD
/* 1001 */    MCD::OPC_FilterValue, 39, 9, 0, // Skip to: 1014
/* 1005 */    MCD::OPC_CheckPredicate, 91, 109, 0, // Skip to: 1118
/* 1009 */    MCD::OPC_Decode, 194, 15, 141, 1, // Opcode: LWu
/* 1014 */    MCD::OPC_FilterValue, 44, 9, 0, // Skip to: 1027
/* 1018 */    MCD::OPC_CheckPredicate, 95, 96, 0, // Skip to: 1118
/* 1022 */    MCD::OPC_Decode, 198, 19, 141, 1, // Opcode: SDL
/* 1027 */    MCD::OPC_FilterValue, 45, 9, 0, // Skip to: 1040
/* 1031 */    MCD::OPC_CheckPredicate, 95, 83, 0, // Skip to: 1118
/* 1035 */    MCD::OPC_Decode, 199, 19, 141, 1, // Opcode: SDR
/* 1040 */    MCD::OPC_FilterValue, 46, 9, 0, // Skip to: 1053
/* 1044 */    MCD::OPC_CheckPredicate, 20, 70, 0, // Skip to: 1118
/* 1048 */    MCD::OPC_Decode, 191, 19, 139, 1, // Opcode: SDC1_MM_D64
/* 1053 */    MCD::OPC_FilterValue, 47, 9, 0, // Skip to: 1066
/* 1057 */    MCD::OPC_CheckPredicate, 20, 57, 0, // Skip to: 1118
/* 1061 */    MCD::OPC_Decode, 226, 14, 139, 1, // Opcode: LDC1_MM_D64
/* 1066 */    MCD::OPC_FilterValue, 52, 9, 0, // Skip to: 1079
/* 1070 */    MCD::OPC_CheckPredicate, 92, 44, 0, // Skip to: 1118
/* 1074 */    MCD::OPC_Decode, 137, 15, 141, 1, // Opcode: LLD
/* 1079 */    MCD::OPC_FilterValue, 55, 9, 0, // Skip to: 1092
/* 1083 */    MCD::OPC_CheckPredicate, 91, 31, 0, // Skip to: 1118
/* 1087 */    MCD::OPC_Decode, 221, 14, 141, 1, // Opcode: LD
/* 1092 */    MCD::OPC_FilterValue, 60, 9, 0, // Skip to: 1105
/* 1096 */    MCD::OPC_CheckPredicate, 95, 18, 0, // Skip to: 1118
/* 1100 */    MCD::OPC_Decode, 173, 19, 141, 1, // Opcode: SCD
/* 1105 */    MCD::OPC_FilterValue, 63, 9, 0, // Skip to: 1118
/* 1109 */    MCD::OPC_CheckPredicate, 91, 5, 0, // Skip to: 1118
/* 1113 */    MCD::OPC_Decode, 180, 19, 141, 1, // Opcode: SD
/* 1118 */    MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableMipsDSP32[] = {
/* 0 */       MCD::OPC_ExtractField, 26, 6,  // Inst{31-26} ...
/* 3 */       MCD::OPC_FilterValue, 35, 9, 0, // Skip to: 16
/* 7 */       MCD::OPC_CheckPredicate, 97, 18, 0, // Skip to: 29
/* 11 */      MCD::OPC_Decode, 163, 15, 141, 1, // Opcode: LWDSP
/* 16 */      MCD::OPC_FilterValue, 43, 9, 0, // Skip to: 29
/* 20 */      MCD::OPC_CheckPredicate, 97, 5, 0, // Skip to: 29
/* 24 */      MCD::OPC_Decode, 200, 21, 141, 1, // Opcode: SWDSP
/* 29 */      MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableMipsFP6432[] = {
/* 0 */       MCD::OPC_ExtractField, 26, 6,  // Inst{31-26} ...
/* 3 */       MCD::OPC_FilterValue, 17, 46, 5, // Skip to: 1333
/* 7 */       MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 10 */      MCD::OPC_FilterValue, 0, 105, 0, // Skip to: 119
/* 14 */      MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 17 */      MCD::OPC_FilterValue, 0, 15, 0, // Skip to: 36
/* 21 */      MCD::OPC_CheckPredicate, 98, 189, 5, // Skip to: 1494
/* 25 */      MCD::OPC_CheckField, 6, 5, 0, 183, 5, // Skip to: 1494
/* 31 */      MCD::OPC_Decode, 142, 16, 133, 3, // Opcode: MFC1_D64
/* 36 */      MCD::OPC_FilterValue, 3, 15, 0, // Skip to: 55
/* 40 */      MCD::OPC_CheckPredicate, 99, 170, 5, // Skip to: 1494
/* 44 */      MCD::OPC_CheckField, 6, 5, 0, 164, 5, // Skip to: 1494
/* 50 */      MCD::OPC_Decode, 152, 16, 133, 3, // Opcode: MFHC1_D64
/* 55 */      MCD::OPC_FilterValue, 4, 15, 0, // Skip to: 74
/* 59 */      MCD::OPC_CheckPredicate, 98, 151, 5, // Skip to: 1494
/* 63 */      MCD::OPC_CheckField, 6, 5, 0, 145, 5, // Skip to: 1494
/* 69 */      MCD::OPC_Decode, 157, 17, 134, 3, // Opcode: MTC1_D64
/* 74 */      MCD::OPC_FilterValue, 7, 15, 0, // Skip to: 93
/* 78 */      MCD::OPC_CheckPredicate, 99, 132, 5, // Skip to: 1494
/* 82 */      MCD::OPC_CheckField, 6, 5, 0, 126, 5, // Skip to: 1494
/* 88 */      MCD::OPC_Decode, 168, 17, 135, 3, // Opcode: MTHC1_D64
/* 93 */      MCD::OPC_FilterValue, 17, 9, 0, // Skip to: 106
/* 97 */      MCD::OPC_CheckPredicate, 98, 113, 5, // Skip to: 1494
/* 101 */     MCD::OPC_Decode, 201, 12, 230, 2, // Opcode: FADD_D64
/* 106 */     MCD::OPC_FilterValue, 22, 104, 5, // Skip to: 1494
/* 110 */     MCD::OPC_CheckPredicate, 100, 100, 5, // Skip to: 1494
/* 114 */     MCD::OPC_Decode, 203, 12, 230, 2, // Opcode: FADD_PS64
/* 119 */     MCD::OPC_FilterValue, 1, 29, 0, // Skip to: 152
/* 123 */     MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 126 */     MCD::OPC_FilterValue, 17, 9, 0, // Skip to: 139
/* 130 */     MCD::OPC_CheckPredicate, 98, 80, 5, // Skip to: 1494
/* 134 */     MCD::OPC_Decode, 218, 13, 230, 2, // Opcode: FSUB_D64
/* 139 */     MCD::OPC_FilterValue, 22, 71, 5, // Skip to: 1494
/* 143 */     MCD::OPC_CheckPredicate, 100, 67, 5, // Skip to: 1494
/* 147 */     MCD::OPC_Decode, 220, 13, 230, 2, // Opcode: FSUB_PS64
/* 152 */     MCD::OPC_FilterValue, 2, 29, 0, // Skip to: 185
/* 156 */     MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 159 */     MCD::OPC_FilterValue, 17, 9, 0, // Skip to: 172
/* 163 */     MCD::OPC_CheckPredicate, 98, 47, 5, // Skip to: 1494
/* 167 */     MCD::OPC_Decode, 174, 13, 230, 2, // Opcode: FMUL_D64
/* 172 */     MCD::OPC_FilterValue, 22, 38, 5, // Skip to: 1494
/* 176 */     MCD::OPC_CheckPredicate, 100, 34, 5, // Skip to: 1494
/* 180 */     MCD::OPC_Decode, 176, 13, 230, 2, // Opcode: FMUL_PS64
/* 185 */     MCD::OPC_FilterValue, 3, 15, 0, // Skip to: 204
/* 189 */     MCD::OPC_CheckPredicate, 98, 21, 5, // Skip to: 1494
/* 193 */     MCD::OPC_CheckField, 21, 5, 17, 15, 5, // Skip to: 1494
/* 199 */     MCD::OPC_Decode, 240, 12, 230, 2, // Opcode: FDIV_D64
/* 204 */     MCD::OPC_FilterValue, 4, 16, 0, // Skip to: 224
/* 208 */     MCD::OPC_CheckPredicate, 101, 2, 5, // Skip to: 1494
/* 212 */     MCD::OPC_CheckField, 16, 10, 160, 4, 251, 4, // Skip to: 1494
/* 219 */     MCD::OPC_Decode, 210, 13, 230, 1, // Opcode: FSQRT_D64
/* 224 */     MCD::OPC_FilterValue, 5, 16, 0, // Skip to: 244
/* 228 */     MCD::OPC_CheckPredicate, 98, 238, 4, // Skip to: 1494
/* 232 */     MCD::OPC_CheckField, 16, 10, 160, 4, 231, 4, // Skip to: 1494
/* 239 */     MCD::OPC_Decode, 194, 12, 230, 1, // Opcode: FABS_D64
/* 244 */     MCD::OPC_FilterValue, 6, 16, 0, // Skip to: 264
/* 248 */     MCD::OPC_CheckPredicate, 98, 218, 4, // Skip to: 1494
/* 252 */     MCD::OPC_CheckField, 16, 10, 160, 4, 211, 4, // Skip to: 1494
/* 259 */     MCD::OPC_Decode, 163, 13, 230, 1, // Opcode: FMOV_D64
/* 264 */     MCD::OPC_FilterValue, 7, 16, 0, // Skip to: 284
/* 268 */     MCD::OPC_CheckPredicate, 98, 198, 4, // Skip to: 1494
/* 272 */     MCD::OPC_CheckField, 16, 10, 160, 4, 191, 4, // Skip to: 1494
/* 279 */     MCD::OPC_Decode, 183, 13, 230, 1, // Opcode: FNEG_D64
/* 284 */     MCD::OPC_FilterValue, 8, 31, 0, // Skip to: 319
/* 288 */     MCD::OPC_ExtractField, 16, 10,  // Inst{25-16} ...
/* 291 */     MCD::OPC_FilterValue, 128, 4, 9, 0, // Skip to: 305
/* 296 */     MCD::OPC_CheckPredicate, 101, 170, 4, // Skip to: 1494
/* 300 */     MCD::OPC_Decode, 135, 19, 223, 1, // Opcode: ROUND_L_S
/* 305 */     MCD::OPC_FilterValue, 160, 4, 160, 4, // Skip to: 1494
/* 310 */     MCD::OPC_CheckPredicate, 102, 156, 4, // Skip to: 1494
/* 314 */     MCD::OPC_Decode, 133, 19, 230, 1, // Opcode: ROUND_L_D64
/* 319 */     MCD::OPC_FilterValue, 9, 31, 0, // Skip to: 354
/* 323 */     MCD::OPC_ExtractField, 16, 10,  // Inst{25-16} ...
/* 326 */     MCD::OPC_FilterValue, 128, 4, 9, 0, // Skip to: 340
/* 331 */     MCD::OPC_CheckPredicate, 101, 135, 4, // Skip to: 1494
/* 335 */     MCD::OPC_Decode, 174, 22, 223, 1, // Opcode: TRUNC_L_S
/* 340 */     MCD::OPC_FilterValue, 160, 4, 125, 4, // Skip to: 1494
/* 345 */     MCD::OPC_CheckPredicate, 102, 121, 4, // Skip to: 1494
/* 349 */     MCD::OPC_Decode, 172, 22, 230, 1, // Opcode: TRUNC_L_D64
/* 354 */     MCD::OPC_FilterValue, 10, 31, 0, // Skip to: 389
/* 358 */     MCD::OPC_ExtractField, 16, 10,  // Inst{25-16} ...
/* 361 */     MCD::OPC_FilterValue, 128, 4, 9, 0, // Skip to: 375
/* 366 */     MCD::OPC_CheckPredicate, 101, 100, 4, // Skip to: 1494
/* 370 */     MCD::OPC_Decode, 211, 8, 223, 1, // Opcode: CEIL_L_S
/* 375 */     MCD::OPC_FilterValue, 160, 4, 90, 4, // Skip to: 1494
/* 380 */     MCD::OPC_CheckPredicate, 102, 86, 4, // Skip to: 1494
/* 384 */     MCD::OPC_Decode, 209, 8, 230, 1, // Opcode: CEIL_L_D64
/* 389 */     MCD::OPC_FilterValue, 11, 31, 0, // Skip to: 424
/* 393 */     MCD::OPC_ExtractField, 16, 10,  // Inst{25-16} ...
/* 396 */     MCD::OPC_FilterValue, 128, 4, 9, 0, // Skip to: 410
/* 401 */     MCD::OPC_CheckPredicate, 101, 65, 4, // Skip to: 1494
/* 405 */     MCD::OPC_Decode, 142, 13, 223, 1, // Opcode: FLOOR_L_S
/* 410 */     MCD::OPC_FilterValue, 160, 4, 55, 4, // Skip to: 1494
/* 415 */     MCD::OPC_CheckPredicate, 102, 51, 4, // Skip to: 1494
/* 419 */     MCD::OPC_Decode, 140, 13, 230, 1, // Opcode: FLOOR_L_D64
/* 424 */     MCD::OPC_FilterValue, 12, 16, 0, // Skip to: 444
/* 428 */     MCD::OPC_CheckPredicate, 101, 38, 4, // Skip to: 1494
/* 432 */     MCD::OPC_CheckField, 16, 10, 160, 4, 31, 4, // Skip to: 1494
/* 439 */     MCD::OPC_Decode, 138, 19, 136, 3, // Opcode: ROUND_W_D64
/* 444 */     MCD::OPC_FilterValue, 13, 16, 0, // Skip to: 464
/* 448 */     MCD::OPC_CheckPredicate, 101, 18, 4, // Skip to: 1494
/* 452 */     MCD::OPC_CheckField, 16, 10, 160, 4, 11, 4, // Skip to: 1494
/* 459 */     MCD::OPC_Decode, 177, 22, 136, 3, // Opcode: TRUNC_W_D64
/* 464 */     MCD::OPC_FilterValue, 14, 16, 0, // Skip to: 484
/* 468 */     MCD::OPC_CheckPredicate, 101, 254, 3, // Skip to: 1494
/* 472 */     MCD::OPC_CheckField, 16, 10, 160, 4, 247, 3, // Skip to: 1494
/* 479 */     MCD::OPC_Decode, 214, 8, 136, 3, // Opcode: CEIL_W_D64
/* 484 */     MCD::OPC_FilterValue, 15, 16, 0, // Skip to: 504
/* 488 */     MCD::OPC_CheckPredicate, 101, 234, 3, // Skip to: 1494
/* 492 */     MCD::OPC_CheckField, 16, 10, 160, 4, 227, 3, // Skip to: 1494
/* 499 */     MCD::OPC_Decode, 145, 13, 136, 3, // Opcode: FLOOR_W_D64
/* 504 */     MCD::OPC_FilterValue, 17, 41, 0, // Skip to: 549
/* 508 */     MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 511 */     MCD::OPC_FilterValue, 0, 15, 0, // Skip to: 530
/* 515 */     MCD::OPC_CheckPredicate, 103, 207, 3, // Skip to: 1494
/* 519 */     MCD::OPC_CheckField, 21, 5, 17, 201, 3, // Skip to: 1494
/* 525 */     MCD::OPC_Decode, 219, 16, 137, 3, // Opcode: MOVF_D64
/* 530 */     MCD::OPC_FilterValue, 1, 192, 3, // Skip to: 1494
/* 534 */     MCD::OPC_CheckPredicate, 103, 188, 3, // Skip to: 1494
/* 538 */     MCD::OPC_CheckField, 21, 5, 17, 182, 3, // Skip to: 1494
/* 544 */     MCD::OPC_Decode, 239, 16, 137, 3, // Opcode: MOVT_D64
/* 549 */     MCD::OPC_FilterValue, 18, 15, 0, // Skip to: 568
/* 553 */     MCD::OPC_CheckPredicate, 103, 169, 3, // Skip to: 1494
/* 557 */     MCD::OPC_CheckField, 21, 5, 17, 163, 3, // Skip to: 1494
/* 563 */     MCD::OPC_Decode, 251, 16, 138, 3, // Opcode: MOVZ_I_D64
/* 568 */     MCD::OPC_FilterValue, 19, 15, 0, // Skip to: 587
/* 572 */     MCD::OPC_CheckPredicate, 103, 150, 3, // Skip to: 1494
/* 576 */     MCD::OPC_CheckField, 21, 5, 17, 144, 3, // Skip to: 1494
/* 582 */     MCD::OPC_Decode, 231, 16, 138, 3, // Opcode: MOVN_I_D64
/* 587 */     MCD::OPC_FilterValue, 21, 16, 0, // Skip to: 607
/* 591 */     MCD::OPC_CheckPredicate, 104, 131, 3, // Skip to: 1494
/* 595 */     MCD::OPC_CheckField, 16, 10, 160, 4, 124, 3, // Skip to: 1494
/* 602 */     MCD::OPC_Decode, 241, 18, 230, 1, // Opcode: RECIP_D64
/* 607 */     MCD::OPC_FilterValue, 22, 16, 0, // Skip to: 627
/* 611 */     MCD::OPC_CheckPredicate, 104, 111, 3, // Skip to: 1494
/* 615 */     MCD::OPC_CheckField, 16, 10, 160, 4, 104, 3, // Skip to: 1494
/* 622 */     MCD::OPC_Decode, 146, 19, 230, 1, // Opcode: RSQRT_D64
/* 627 */     MCD::OPC_FilterValue, 24, 15, 0, // Skip to: 646
/* 631 */     MCD::OPC_CheckPredicate, 105, 91, 3, // Skip to: 1494
/* 635 */     MCD::OPC_CheckField, 21, 5, 22, 85, 3, // Skip to: 1494
/* 641 */     MCD::OPC_Decode, 153, 6, 230, 2, // Opcode: ADDR_PS64
/* 646 */     MCD::OPC_FilterValue, 26, 15, 0, // Skip to: 665
/* 650 */     MCD::OPC_CheckPredicate, 105, 72, 3, // Skip to: 1494
/* 654 */     MCD::OPC_CheckField, 21, 5, 22, 66, 3, // Skip to: 1494
/* 660 */     MCD::OPC_Decode, 213, 17, 230, 2, // Opcode: MULR_PS64
/* 665 */     MCD::OPC_FilterValue, 32, 45, 0, // Skip to: 714
/* 669 */     MCD::OPC_ExtractField, 16, 10,  // Inst{25-16} ...
/* 672 */     MCD::OPC_FilterValue, 160, 4, 9, 0, // Skip to: 686
/* 677 */     MCD::OPC_CheckPredicate, 98, 45, 3, // Skip to: 1494
/* 681 */     MCD::OPC_Decode, 152, 10, 136, 3, // Opcode: CVT_S_D64
/* 686 */     MCD::OPC_FilterValue, 160, 5, 9, 0, // Skip to: 700
/* 691 */     MCD::OPC_CheckPredicate, 106, 31, 3, // Skip to: 1494
/* 695 */     MCD::OPC_Decode, 154, 10, 136, 3, // Opcode: CVT_S_L
/* 700 */     MCD::OPC_FilterValue, 192, 5, 21, 3, // Skip to: 1494
/* 705 */     MCD::OPC_CheckPredicate, 100, 17, 3, // Skip to: 1494
/* 709 */     MCD::OPC_Decode, 157, 10, 136, 3, // Opcode: CVT_S_PU64
/* 714 */     MCD::OPC_FilterValue, 33, 45, 0, // Skip to: 763
/* 718 */     MCD::OPC_ExtractField, 16, 10,  // Inst{25-16} ...
/* 721 */     MCD::OPC_FilterValue, 128, 4, 9, 0, // Skip to: 735
/* 726 */     MCD::OPC_CheckPredicate, 98, 252, 2, // Skip to: 1494
/* 730 */     MCD::OPC_Decode, 136, 10, 223, 1, // Opcode: CVT_D64_S
/* 735 */     MCD::OPC_FilterValue, 128, 5, 9, 0, // Skip to: 749
/* 740 */     MCD::OPC_CheckPredicate, 98, 238, 2, // Skip to: 1494
/* 744 */     MCD::OPC_Decode, 138, 10, 223, 1, // Opcode: CVT_D64_W
/* 749 */     MCD::OPC_FilterValue, 160, 5, 228, 2, // Skip to: 1494
/* 754 */     MCD::OPC_CheckPredicate, 106, 224, 2, // Skip to: 1494
/* 758 */     MCD::OPC_Decode, 135, 10, 230, 1, // Opcode: CVT_D64_L
/* 763 */     MCD::OPC_FilterValue, 36, 31, 0, // Skip to: 798
/* 767 */     MCD::OPC_ExtractField, 16, 10,  // Inst{25-16} ...
/* 770 */     MCD::OPC_FilterValue, 160, 4, 9, 0, // Skip to: 784
/* 775 */     MCD::OPC_CheckPredicate, 98, 203, 2, // Skip to: 1494
/* 779 */     MCD::OPC_Decode, 163, 10, 136, 3, // Opcode: CVT_W_D64
/* 784 */     MCD::OPC_FilterValue, 192, 5, 193, 2, // Skip to: 1494
/* 789 */     MCD::OPC_CheckPredicate, 105, 189, 2, // Skip to: 1494
/* 793 */     MCD::OPC_Decode, 149, 10, 230, 1, // Opcode: CVT_PW_PS64
/* 798 */     MCD::OPC_FilterValue, 38, 35, 0, // Skip to: 837
/* 802 */     MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 805 */     MCD::OPC_FilterValue, 16, 9, 0, // Skip to: 818
/* 809 */     MCD::OPC_CheckPredicate, 100, 169, 2, // Skip to: 1494
/* 813 */     MCD::OPC_Decode, 148, 10, 139, 3, // Opcode: CVT_PS_S64
/* 818 */     MCD::OPC_FilterValue, 20, 160, 2, // Skip to: 1494
/* 822 */     MCD::OPC_CheckPredicate, 105, 156, 2, // Skip to: 1494
/* 826 */     MCD::OPC_CheckField, 16, 5, 0, 150, 2, // Skip to: 1494
/* 832 */     MCD::OPC_Decode, 147, 10, 230, 1, // Opcode: CVT_PS_PW64
/* 837 */     MCD::OPC_FilterValue, 40, 16, 0, // Skip to: 857
/* 841 */     MCD::OPC_CheckPredicate, 100, 137, 2, // Skip to: 1494
/* 845 */     MCD::OPC_CheckField, 16, 10, 192, 5, 130, 2, // Skip to: 1494
/* 852 */     MCD::OPC_Decode, 156, 10, 136, 3, // Opcode: CVT_S_PL64
/* 857 */     MCD::OPC_FilterValue, 44, 15, 0, // Skip to: 876
/* 861 */     MCD::OPC_CheckPredicate, 100, 117, 2, // Skip to: 1494
/* 865 */     MCD::OPC_CheckField, 21, 5, 22, 111, 2, // Skip to: 1494
/* 871 */     MCD::OPC_Decode, 182, 18, 230, 2, // Opcode: PLL_PS64
/* 876 */     MCD::OPC_FilterValue, 45, 15, 0, // Skip to: 895
/* 880 */     MCD::OPC_CheckPredicate, 100, 98, 2, // Skip to: 1494
/* 884 */     MCD::OPC_CheckField, 21, 5, 22, 92, 2, // Skip to: 1494
/* 890 */     MCD::OPC_Decode, 183, 18, 230, 2, // Opcode: PLU_PS64
/* 895 */     MCD::OPC_FilterValue, 46, 15, 0, // Skip to: 914
/* 899 */     MCD::OPC_CheckPredicate, 100, 79, 2, // Skip to: 1494
/* 903 */     MCD::OPC_CheckField, 21, 5, 22, 73, 2, // Skip to: 1494
/* 909 */     MCD::OPC_Decode, 228, 18, 230, 2, // Opcode: PUL_PS64
/* 914 */     MCD::OPC_FilterValue, 47, 15, 0, // Skip to: 933
/* 918 */     MCD::OPC_CheckPredicate, 100, 60, 2, // Skip to: 1494
/* 922 */     MCD::OPC_CheckField, 21, 5, 22, 54, 2, // Skip to: 1494
/* 928 */     MCD::OPC_Decode, 229, 18, 230, 2, // Opcode: PUU_PS64
/* 933 */     MCD::OPC_FilterValue, 48, 21, 0, // Skip to: 958
/* 937 */     MCD::OPC_CheckPredicate, 107, 41, 2, // Skip to: 1494
/* 941 */     MCD::OPC_CheckField, 21, 5, 17, 35, 2, // Skip to: 1494
/* 947 */     MCD::OPC_CheckField, 6, 2, 0, 29, 2, // Skip to: 1494
/* 953 */     MCD::OPC_Decode, 176, 10, 140, 3, // Opcode: C_F_D64
/* 958 */     MCD::OPC_FilterValue, 49, 21, 0, // Skip to: 983
/* 962 */     MCD::OPC_CheckPredicate, 107, 16, 2, // Skip to: 1494
/* 966 */     MCD::OPC_CheckField, 21, 5, 17, 10, 2, // Skip to: 1494
/* 972 */     MCD::OPC_CheckField, 6, 2, 0, 4, 2, // Skip to: 1494
/* 978 */     MCD::OPC_Decode, 132, 11, 140, 3, // Opcode: C_UN_D64
/* 983 */     MCD::OPC_FilterValue, 50, 21, 0, // Skip to: 1008
/* 987 */     MCD::OPC_CheckPredicate, 107, 247, 1, // Skip to: 1494
/* 991 */     MCD::OPC_CheckField, 21, 5, 17, 241, 1, // Skip to: 1494
/* 997 */     MCD::OPC_CheckField, 6, 2, 0, 235, 1, // Skip to: 1494
/* 1003 */    MCD::OPC_Decode, 170, 10, 140, 3, // Opcode: C_EQ_D64
/* 1008 */    MCD::OPC_FilterValue, 51, 21, 0, // Skip to: 1033
/* 1012 */    MCD::OPC_CheckPredicate, 107, 222, 1, // Skip to: 1494
/* 1016 */    MCD::OPC_CheckField, 21, 5, 17, 216, 1, // Skip to: 1494
/* 1022 */    MCD::OPC_CheckField, 6, 2, 0, 210, 1, // Skip to: 1494
/* 1028 */    MCD::OPC_Decode, 242, 10, 140, 3, // Opcode: C_UEQ_D64
/* 1033 */    MCD::OPC_FilterValue, 52, 21, 0, // Skip to: 1058
/* 1037 */    MCD::OPC_CheckPredicate, 107, 197, 1, // Skip to: 1494
/* 1041 */    MCD::OPC_CheckField, 21, 5, 17, 191, 1, // Skip to: 1494
/* 1047 */    MCD::OPC_CheckField, 6, 2, 0, 185, 1, // Skip to: 1494
/* 1053 */    MCD::OPC_Decode, 224, 10, 140, 3, // Opcode: C_OLT_D64
/* 1058 */    MCD::OPC_FilterValue, 53, 21, 0, // Skip to: 1083
/* 1062 */    MCD::OPC_CheckPredicate, 107, 172, 1, // Skip to: 1494
/* 1066 */    MCD::OPC_CheckField, 21, 5, 17, 166, 1, // Skip to: 1494
/* 1072 */    MCD::OPC_CheckField, 6, 2, 0, 160, 1, // Skip to: 1494
/* 1078 */    MCD::OPC_Decode, 254, 10, 140, 3, // Opcode: C_ULT_D64
/* 1083 */    MCD::OPC_FilterValue, 54, 21, 0, // Skip to: 1108
/* 1087 */    MCD::OPC_CheckPredicate, 107, 147, 1, // Skip to: 1494
/* 1091 */    MCD::OPC_CheckField, 21, 5, 17, 141, 1, // Skip to: 1494
/* 1097 */    MCD::OPC_CheckField, 6, 2, 0, 135, 1, // Skip to: 1494
/* 1103 */    MCD::OPC_Decode, 218, 10, 140, 3, // Opcode: C_OLE_D64
/* 1108 */    MCD::OPC_FilterValue, 55, 21, 0, // Skip to: 1133
/* 1112 */    MCD::OPC_CheckPredicate, 107, 122, 1, // Skip to: 1494
/* 1116 */    MCD::OPC_CheckField, 21, 5, 17, 116, 1, // Skip to: 1494
/* 1122 */    MCD::OPC_CheckField, 6, 2, 0, 110, 1, // Skip to: 1494
/* 1128 */    MCD::OPC_Decode, 248, 10, 140, 3, // Opcode: C_ULE_D64
/* 1133 */    MCD::OPC_FilterValue, 56, 21, 0, // Skip to: 1158
/* 1137 */    MCD::OPC_CheckPredicate, 107, 97, 1, // Skip to: 1494
/* 1141 */    MCD::OPC_CheckField, 21, 5, 17, 91, 1, // Skip to: 1494
/* 1147 */    MCD::OPC_CheckField, 6, 2, 0, 85, 1, // Skip to: 1494
/* 1153 */    MCD::OPC_Decode, 236, 10, 140, 3, // Opcode: C_SF_D64
/* 1158 */    MCD::OPC_FilterValue, 57, 21, 0, // Skip to: 1183
/* 1162 */    MCD::OPC_CheckPredicate, 107, 72, 1, // Skip to: 1494
/* 1166 */    MCD::OPC_CheckField, 21, 5, 17, 66, 1, // Skip to: 1494
/* 1172 */    MCD::OPC_CheckField, 6, 2, 0, 60, 1, // Skip to: 1494
/* 1178 */    MCD::OPC_Decode, 200, 10, 140, 3, // Opcode: C_NGLE_D64
/* 1183 */    MCD::OPC_FilterValue, 58, 21, 0, // Skip to: 1208
/* 1187 */    MCD::OPC_CheckPredicate, 107, 47, 1, // Skip to: 1494
/* 1191 */    MCD::OPC_CheckField, 21, 5, 17, 41, 1, // Skip to: 1494
/* 1197 */    MCD::OPC_CheckField, 6, 2, 0, 35, 1, // Skip to: 1494
/* 1203 */    MCD::OPC_Decode, 230, 10, 140, 3, // Opcode: C_SEQ_D64
/* 1208 */    MCD::OPC_FilterValue, 59, 21, 0, // Skip to: 1233
/* 1212 */    MCD::OPC_CheckPredicate, 107, 22, 1, // Skip to: 1494
/* 1216 */    MCD::OPC_CheckField, 21, 5, 17, 16, 1, // Skip to: 1494
/* 1222 */    MCD::OPC_CheckField, 6, 2, 0, 10, 1, // Skip to: 1494
/* 1228 */    MCD::OPC_Decode, 206, 10, 140, 3, // Opcode: C_NGL_D64
/* 1233 */    MCD::OPC_FilterValue, 60, 21, 0, // Skip to: 1258
/* 1237 */    MCD::OPC_CheckPredicate, 107, 253, 0, // Skip to: 1494
/* 1241 */    MCD::OPC_CheckField, 21, 5, 17, 247, 0, // Skip to: 1494
/* 1247 */    MCD::OPC_CheckField, 6, 2, 0, 241, 0, // Skip to: 1494
/* 1253 */    MCD::OPC_Decode, 188, 10, 140, 3, // Opcode: C_LT_D64
/* 1258 */    MCD::OPC_FilterValue, 61, 21, 0, // Skip to: 1283
/* 1262 */    MCD::OPC_CheckPredicate, 107, 228, 0, // Skip to: 1494
/* 1266 */    MCD::OPC_CheckField, 21, 5, 17, 222, 0, // Skip to: 1494
/* 1272 */    MCD::OPC_CheckField, 6, 2, 0, 216, 0, // Skip to: 1494
/* 1278 */    MCD::OPC_Decode, 194, 10, 140, 3, // Opcode: C_NGE_D64
/* 1283 */    MCD::OPC_FilterValue, 62, 21, 0, // Skip to: 1308
/* 1287 */    MCD::OPC_CheckPredicate, 107, 203, 0, // Skip to: 1494
/* 1291 */    MCD::OPC_CheckField, 21, 5, 17, 197, 0, // Skip to: 1494
/* 1297 */    MCD::OPC_CheckField, 6, 2, 0, 191, 0, // Skip to: 1494
/* 1303 */    MCD::OPC_Decode, 182, 10, 140, 3, // Opcode: C_LE_D64
/* 1308 */    MCD::OPC_FilterValue, 63, 182, 0, // Skip to: 1494
/* 1312 */    MCD::OPC_CheckPredicate, 107, 178, 0, // Skip to: 1494
/* 1316 */    MCD::OPC_CheckField, 21, 5, 17, 172, 0, // Skip to: 1494
/* 1322 */    MCD::OPC_CheckField, 6, 2, 0, 166, 0, // Skip to: 1494
/* 1328 */    MCD::OPC_Decode, 212, 10, 140, 3, // Opcode: C_NGT_D64
/* 1333 */    MCD::OPC_FilterValue, 19, 131, 0, // Skip to: 1468
/* 1337 */    MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 1340 */    MCD::OPC_FilterValue, 1, 15, 0, // Skip to: 1359
/* 1344 */    MCD::OPC_CheckPredicate, 108, 146, 0, // Skip to: 1494
/* 1348 */    MCD::OPC_CheckField, 11, 5, 0, 140, 0, // Skip to: 1494
/* 1354 */    MCD::OPC_Decode, 239, 14, 141, 3, // Opcode: LDXC164
/* 1359 */    MCD::OPC_FilterValue, 5, 15, 0, // Skip to: 1378
/* 1363 */    MCD::OPC_CheckPredicate, 109, 127, 0, // Skip to: 1494
/* 1367 */    MCD::OPC_CheckField, 11, 5, 0, 121, 0, // Skip to: 1494
/* 1373 */    MCD::OPC_Decode, 149, 15, 141, 3, // Opcode: LUXC164
/* 1378 */    MCD::OPC_FilterValue, 9, 15, 0, // Skip to: 1397
/* 1382 */    MCD::OPC_CheckPredicate, 108, 108, 0, // Skip to: 1494
/* 1386 */    MCD::OPC_CheckField, 6, 5, 0, 102, 0, // Skip to: 1494
/* 1392 */    MCD::OPC_Decode, 201, 19, 142, 3, // Opcode: SDXC164
/* 1397 */    MCD::OPC_FilterValue, 13, 15, 0, // Skip to: 1416
/* 1401 */    MCD::OPC_CheckPredicate, 109, 89, 0, // Skip to: 1494
/* 1405 */    MCD::OPC_CheckField, 6, 5, 0, 83, 0, // Skip to: 1494
/* 1411 */    MCD::OPC_Decode, 188, 21, 142, 3, // Opcode: SUXC164
/* 1416 */    MCD::OPC_FilterValue, 33, 9, 0, // Skip to: 1429
/* 1420 */    MCD::OPC_CheckPredicate, 110, 70, 0, // Skip to: 1494
/* 1424 */    MCD::OPC_Decode, 223, 15, 143, 3, // Opcode: MADD_D64
/* 1429 */    MCD::OPC_FilterValue, 41, 9, 0, // Skip to: 1442
/* 1433 */    MCD::OPC_CheckPredicate, 110, 57, 0, // Skip to: 1494
/* 1437 */    MCD::OPC_Decode, 146, 17, 143, 3, // Opcode: MSUB_D64
/* 1442 */    MCD::OPC_FilterValue, 49, 9, 0, // Skip to: 1455
/* 1446 */    MCD::OPC_CheckPredicate, 111, 44, 0, // Skip to: 1494
/* 1450 */    MCD::OPC_Decode, 130, 18, 143, 3, // Opcode: NMADD_D64
/* 1455 */    MCD::OPC_FilterValue, 57, 35, 0, // Skip to: 1494
/* 1459 */    MCD::OPC_CheckPredicate, 111, 31, 0, // Skip to: 1494
/* 1463 */    MCD::OPC_Decode, 135, 18, 143, 3, // Opcode: NMSUB_D64
/* 1468 */    MCD::OPC_FilterValue, 53, 9, 0, // Skip to: 1481
/* 1472 */    MCD::OPC_CheckPredicate, 101, 18, 0, // Skip to: 1494
/* 1476 */    MCD::OPC_Decode, 223, 14, 219, 2, // Opcode: LDC164
/* 1481 */    MCD::OPC_FilterValue, 61, 9, 0, // Skip to: 1494
/* 1485 */    MCD::OPC_CheckPredicate, 101, 5, 0, // Skip to: 1494
/* 1489 */    MCD::OPC_Decode, 188, 19, 219, 2, // Opcode: SDC164
/* 1494 */    MCD::OPC_Fail,
  0
};

static bool checkDecoderPredicate(unsigned Idx, const FeatureBitset &Bits) {
  switch (Idx) {
  default: llvm_unreachable("Invalid index!");
  case 0:
    return (Bits[Mips::FeatureMips16]);
  case 1:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureCnMips] && !Bits[Mips::FeatureMicroMips]);
  case 2:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips2] && !Bits[Mips::FeatureCnMips] && !Bits[Mips::FeatureMicroMips]);
  case 3:
    return (Bits[Mips::FeatureCnMips]);
  case 4:
    return (Bits[Mips::FeatureMips64] && Bits[Mips::FeatureCnMips] && !Bits[Mips::FeatureMicroMips]);
  case 5:
    return (Bits[Mips::FeatureCnMipsP]);
  case 6:
    return (Bits[Mips::FeatureMicroMips] && !Bits[Mips::FeatureMips32r6]);
  case 7:
    return (Bits[Mips::FeatureMicroMips]);
  case 8:
    return (Bits[Mips::FeatureMicroMips] && Bits[Mips::FeatureDSP]);
  case 9:
    return (Bits[Mips::FeatureMicroMips] && Bits[Mips::FeatureDSPR2]);
  case 10:
    return (Bits[Mips::FeatureMicroMips] && Bits[Mips::FeatureMips32r5] && Bits[Mips::FeatureVirt]);
  case 11:
    return (Bits[Mips::FeatureMicroMips] && Bits[Mips::FeatureDSPR3]);
  case 12:
    return (Bits[Mips::FeatureMicroMips] && !Bits[Mips::FeatureMips32r6] && Bits[Mips::FeatureDSP]);
  case 13:
    return (Bits[Mips::FeatureMicroMips] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureSoftFloat]);
  case 14:
    return (Bits[Mips::FeatureMicroMips] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureNoMadd4]);
  case 15:
    return (Bits[Mips::FeatureMicroMips] && Bits[Mips::FeatureFP64Bit] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureSoftFloat]);
  case 16:
    return (Bits[Mips::FeatureMicroMips] && !Bits[Mips::FeatureFP64Bit] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureNoMadd4]);
  case 17:
    return (Bits[Mips::FeatureMicroMips] && !Bits[Mips::FeatureFP64Bit] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureSoftFloat]);
  case 18:
    return (Bits[Mips::FeatureMicroMips] && !Bits[Mips::FeatureFP64Bit] && !Bits[Mips::FeatureSoftFloat]);
  case 19:
    return (Bits[Mips::FeatureMicroMips] && !Bits[Mips::FeatureSoftFloat]);
  case 20:
    return (Bits[Mips::FeatureMicroMips] && Bits[Mips::FeatureFP64Bit] && !Bits[Mips::FeatureSoftFloat]);
  case 21:
    return (Bits[Mips::FeatureMicroMips] && Bits[Mips::FeatureEVA]);
  case 22:
    return (Bits[Mips::FeatureMicroMips] && !Bits[Mips::FeatureMips32r6] && Bits[Mips::FeatureEVA]);
  case 23:
    return (Bits[Mips::FeatureMicroMips] && Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureSoftFloat]);
  case 24:
    return (Bits[Mips::FeatureMicroMips] && Bits[Mips::FeatureMips32r6]);
  case 25:
    return (Bits[Mips::FeatureMicroMips] && Bits[Mips::FeatureMips32r6] && Bits[Mips::FeatureGINV]);
  case 26:
    return (Bits[Mips::FeatureMicroMips] && Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureSoftFloat]);
  case 27:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureMicroMips]);
  case 28:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips32r2] && !Bits[Mips::FeatureMicroMips]);
  case 29:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips4_32] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 30:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMSA]);
  case 31:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureMicroMips]);
  case 32:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips32r2] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6]);
  case 33:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureMicroMips] && !Bits[Mips::FeatureUseIndirectJumpsHazard]);
  case 34:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips32]);
  case 35:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips4_32] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureMicroMips]);
  case 36:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips2] && !Bits[Mips::FeatureMicroMips]);
  case 37:
    return (Bits[Mips::FeatureDSP]);
  case 38:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMSA] && Bits[Mips::FeatureMips64]);
  case 39:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips2] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureMicroMips]);
  case 40:
    return (Bits[Mips::FeatureDSP] && !Bits[Mips::FeatureMicroMips]);
  case 41:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips32r5] && Bits[Mips::FeatureVirt] && !Bits[Mips::FeatureMicroMips]);
  case 42:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMT] && !Bits[Mips::FeatureMicroMips]);
  case 43:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips3_32] && !Bits[Mips::FeatureMicroMips]);
  case 44:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips32r2] && Bits[Mips::FeatureEVA] && !Bits[Mips::FeatureMicroMips]);
  case 45:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips32r5] && !Bits[Mips::FeatureMicroMips]);
  case 46:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips32] && !Bits[Mips::FeatureMicroMips]);
  case 47:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 48:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips3] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 49:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMips32r2] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 50:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 51:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips2] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 52:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips2] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 53:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureSoftFloat]);
  case 54:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips4_32r2] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 55:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureFP64Bit] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 56:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips3_32r2] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 57:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMips2] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 58:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMips4_32] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 59:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMips4_32r2] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 60:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureFP64Bit] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 61:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips4_32r2] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat]);
  case 62:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMips4_32r2] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 63:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMips5_32r2] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 64:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips4_32r2] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips] && !Bits[Mips::FeatureNoMadd4]);
  case 65:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMips4_32r2] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips] && !Bits[Mips::FeatureNoMadd4]);
  case 66:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips4_32r2] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureNoMadd4] && !Bits[Mips::FeatureMicroMips]);
  case 67:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMips4_32r2] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureNoMadd4] && !Bits[Mips::FeatureMicroMips]);
  case 68:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips32] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureMicroMips]);
  case 69:
    return (Bits[Mips::FeatureDSPR2]);
  case 70:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips32r2] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && Bits[Mips::FeatureEVA] && !Bits[Mips::FeatureMicroMips]);
  case 71:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips3_32] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureMicroMips]);
  case 72:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeaturePTR64Bit] && Bits[Mips::FeatureMips2] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureMicroMips]);
  case 73:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeaturePTR64Bit] && !Bits[Mips::FeatureMicroMips]);
  case 74:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeaturePTR64Bit] && Bits[Mips::FeatureMips2] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureMicroMips]);
  case 75:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips32r6]);
  case 76:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMicroMips]);
  case 77:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureMicroMips]);
  case 78:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureGP64Bit] && Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMicroMips]);
  case 79:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 80:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips32r6] && Bits[Mips::FeatureCRC] && !Bits[Mips::FeatureMicroMips]);
  case 81:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips64r6] && Bits[Mips::FeatureCRC] && !Bits[Mips::FeatureMicroMips]);
  case 82:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeaturePTR64Bit] && Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMicroMips]);
  case 83:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips32r6] && Bits[Mips::FeatureGINV] && !Bits[Mips::FeatureMicroMips]);
  case 84:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips64r6]);
  case 85:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureGP64Bit] && Bits[Mips::FeatureMips64r6]);
  case 86:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureGP64Bit] && Bits[Mips::FeatureMips32r6]);
  case 87:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeaturePTR64Bit] && Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureMicroMips]);
  case 88:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips64] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureMicroMips]);
  case 89:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeaturePTR64Bit]);
  case 90:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips64r2] && !Bits[Mips::FeatureMicroMips]);
  case 91:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips3] && !Bits[Mips::FeatureMicroMips]);
  case 92:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips3] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureMicroMips]);
  case 93:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureGP64Bit] && Bits[Mips::FeatureMips3]);
  case 94:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips64r5] && Bits[Mips::FeatureVirt]);
  case 95:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips3] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6]);
  case 96:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureGP64Bit] && Bits[Mips::FeatureMips64] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureMicroMips]);
  case 97:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureDSP]);
  case 98:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureFP64Bit] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 99:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMips32r2] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 100:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMips32r2] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 101:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMips2] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 102:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMips3_32] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 103:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMips4_32] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 104:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMips4_32r2] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 105:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMips32r2] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat] && Bits[Mips::FeatureMips3D]);
  case 106:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMips3_32r2] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 107:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureFP64Bit] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 108:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMips4_32r2] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat]);
  case 109:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMips5_32r2] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 110:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMips4_32r2] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips] && !Bits[Mips::FeatureNoMadd4]);
  case 111:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMips4_32r2] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureNoMadd4] && !Bits[Mips::FeatureMicroMips]);
  }
}

template <typename InsnType>
static DecodeStatus decodeToMCInst(DecodeStatus S, unsigned Idx, InsnType insn, MCInst &MI,
                                   uint64_t Address, const MCDisassembler *Decoder, bool &DecodeComplete) {
  DecodeComplete = true;
  using TmpType = std::conditional_t<std::is_integral<InsnType>::value, InsnType, uint64_t>;
  TmpType tmp;
  switch (Idx) {
  default: llvm_unreachable("Invalid index!");
  case 0:
    tmp = fieldFromInstruction(insn, 0, 11);
    if (!Check(S, DecodeBranchTarget(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 1:
    tmp = fieldFromInstruction(insn, 8, 3);
    if (!Check(S, DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 8);
    if (!Check(S, DecodeBranchTarget(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 2:
    tmp = fieldFromInstruction(insn, 8, 3);
    if (!Check(S, DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 8, 3);
    if (!Check(S, DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 8);
    if (!Check(S, DecodeSImmWithOffsetAndScale<16>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 3:
    tmp = fieldFromInstruction(insn, 8, 3);
    if (!Check(S, DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 8);
    if (!Check(S, DecodeSImmWithOffsetAndScale<16>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 4:
    tmp = fieldFromInstruction(insn, 0, 8);
    if (!Check(S, DecodeSImmWithOffsetAndScale<16>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 5:
    tmp = 0x0;
    insertBits(tmp, fieldFromInstruction(insn, 3, 2), 3, 2);
    insertBits(tmp, fieldFromInstruction(insn, 5, 3), 0, 3);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 3);
    if (!Check(S, DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 6:
    tmp = fieldFromInstruction(insn, 4, 4);
    if (!Check(S, DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 4);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 7:
    tmp = fieldFromInstruction(insn, 8, 3);
    if (!Check(S, DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 8:
    tmp = fieldFromInstruction(insn, 2, 3);
    if (!Check(S, DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 8, 3);
    if (!Check(S, DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 3);
    if (!Check(S, DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 9:
    tmp = fieldFromInstruction(insn, 8, 3);
    if (!Check(S, DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 10:
    return S;
  case 11:
    tmp = fieldFromInstruction(insn, 8, 3);
    if (!Check(S, DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 3);
    if (!Check(S, DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 12:
    tmp = fieldFromInstruction(insn, 8, 3);
    if (!Check(S, DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 8, 3);
    if (!Check(S, DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 3);
    if (!Check(S, DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 13:
    tmp = fieldFromInstruction(insn, 8, 3);
    if (!Check(S, DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 8, 3);
    if (!Check(S, DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 14:
    tmp = fieldFromInstruction(insn, 8, 3);
    if (!Check(S, DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = 0x0;
    insertBits(tmp, fieldFromInstruction(insn, 0, 5), 0, 5);
    insertBits(tmp, fieldFromInstruction(insn, 16, 5), 11, 5);
    insertBits(tmp, fieldFromInstruction(insn, 21, 6), 5, 6);
    if (!Check(S, DecodeSImmWithOffsetAndScale<16>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 15:
    tmp = 0x0;
    insertBits(tmp, fieldFromInstruction(insn, 0, 5), 0, 5);
    insertBits(tmp, fieldFromInstruction(insn, 16, 5), 11, 5);
    insertBits(tmp, fieldFromInstruction(insn, 21, 6), 5, 6);
    if (!Check(S, DecodeBranchTarget(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 16:
    tmp = fieldFromInstruction(insn, 8, 3);
    if (!Check(S, DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = 0x0;
    insertBits(tmp, fieldFromInstruction(insn, 0, 5), 0, 5);
    insertBits(tmp, fieldFromInstruction(insn, 16, 5), 11, 5);
    insertBits(tmp, fieldFromInstruction(insn, 21, 6), 5, 6);
    if (!Check(S, DecodeBranchTarget(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 17:
    tmp = fieldFromInstruction(insn, 8, 3);
    if (!Check(S, DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 3);
    if (!Check(S, DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = 0x0;
    insertBits(tmp, fieldFromInstruction(insn, 21, 1), 5, 1);
    insertBits(tmp, fieldFromInstruction(insn, 22, 5), 0, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 18:
    tmp = 0x0;
    insertBits(tmp, fieldFromInstruction(insn, 0, 5), 0, 5);
    insertBits(tmp, fieldFromInstruction(insn, 16, 5), 11, 5);
    insertBits(tmp, fieldFromInstruction(insn, 21, 6), 5, 6);
    if (!Check(S, DecodeSImmWithOffsetAndScale<16>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 19:
    if (!Check(S, DecodeFIXMEInstruction(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 20:
    tmp = fieldFromInstruction(insn, 8, 3);
    if (!Check(S, DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = 0x0;
    insertBits(tmp, fieldFromInstruction(insn, 0, 5), 0, 5);
    insertBits(tmp, fieldFromInstruction(insn, 16, 5), 11, 5);
    insertBits(tmp, fieldFromInstruction(insn, 21, 6), 5, 6);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 21:
    if (!Check(S, DecodeFMem3(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 22:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 23:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 24:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 25:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 26:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 27:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 10);
    if (!Check(S, DecodeSImmWithOffsetAndScale<10>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 28:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 11, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 29:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 0, 16);
    if (!Check(S, DecodeBranchTarget(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 30:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 31:
    tmp = fieldFromInstruction(insn, 7, 3);
    if (!Check(S, DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 1, 3);
    if (!Check(S, DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 4, 3);
    if (!Check(S, DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 32:
    if (!Check(S, DecodeMemMMImm4(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 33:
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 34:
    tmp = fieldFromInstruction(insn, 7, 3);
    if (!Check(S, DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 4, 3);
    if (!Check(S, DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 1, 3);
    if (!Check(S, DecodePOOL16BEncodedField(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 35:
    tmp = fieldFromInstruction(insn, 7, 3);
    if (!Check(S, DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 4, 3);
    if (!Check(S, DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 4);
    if (!Check(S, DecodeANDI16Imm(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 36:
    tmp = fieldFromInstruction(insn, 3, 3);
    if (!Check(S, DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 3);
    if (!Check(S, DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 37:
    tmp = fieldFromInstruction(insn, 3, 3);
    if (!Check(S, DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 3);
    if (!Check(S, DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 3, 3);
    if (!Check(S, DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 38:
    if (!Check(S, DecodeMemMMReglistImm4Lsl2(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 39:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 40:
    tmp = fieldFromInstruction(insn, 0, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 41:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeUImmWithOffsetAndScale<5, 0, 4>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 42:
    if (!Check(S, DecodeMemMMSPImm5Lsl2(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 43:
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 1, 4);
    if (!Check(S, DecodeSImmWithOffsetAndScale<4>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 44:
    tmp = fieldFromInstruction(insn, 1, 9);
    if (!Check(S, DecodeSimm9SP(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 45:
    if (!Check(S, DecodeMemMMGPImm7Lsl2(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 46:
    tmp = fieldFromInstruction(insn, 7, 3);
    if (!Check(S, DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 4, 3);
    if (!Check(S, DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 1, 3);
    if (!Check(S, DecodeAddiur2Simm7(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 47:
    tmp = fieldFromInstruction(insn, 7, 3);
    if (!Check(S, DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 1, 6);
    if (!Check(S, DecodeUImmWithOffsetAndScale<6, 0, 4>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 48:
    if (!Check(S, DecodeMovePOperands(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 49:
    tmp = fieldFromInstruction(insn, 7, 3);
    if (!Check(S, DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 7);
    if (!Check(S, DecodeBranchTarget7MM(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 50:
    tmp = fieldFromInstruction(insn, 0, 10);
    if (!Check(S, DecodeBranchTarget10MM(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 51:
    tmp = fieldFromInstruction(insn, 7, 3);
    if (!Check(S, DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 7);
    if (!Check(S, DecodeLi16Imm(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 52:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 53:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 54:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 55:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 56:
    tmp = fieldFromInstruction(insn, 16, 10);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 6, 10);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 57:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeInsSize(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 58:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 59:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 60:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 61:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 62:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 63:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 64:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodePtrRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodePtrRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 65:
    tmp = fieldFromInstruction(insn, 14, 2);
    if (!Check(S, DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 6);
    if (!Check(S, DecodeSImmWithOffsetAndScale<6>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 2);
    if (!Check(S, DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 66:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeUImmWithOffset<5, 1>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 67:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 68:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeCOP0RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 69:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeCOP0RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 70:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 12, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 71:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 12, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 72:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 2);
    if (!Check(S, DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 73:
    tmp = fieldFromInstruction(insn, 14, 2);
    if (!Check(S, DecodeHI32DSPRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 74:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 13, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 75:
    tmp = fieldFromInstruction(insn, 14, 2);
    if (!Check(S, DecodeLO32DSPRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 76:
    tmp = fieldFromInstruction(insn, 14, 2);
    if (!Check(S, DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 2);
    if (!Check(S, DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 77:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 2);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 78:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 2);
    if (!Check(S, DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 79:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 80:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 81:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 82:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 83:
    tmp = fieldFromInstruction(insn, 14, 2);
    if (!Check(S, DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 2);
    if (!Check(S, DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 84:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 85:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeHWRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 86:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 87:
    tmp = fieldFromInstruction(insn, 16, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 88:
    tmp = fieldFromInstruction(insn, 16, 10);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 89:
    tmp = fieldFromInstruction(insn, 14, 2);
    if (!Check(S, DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 90:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeCOP2RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 91:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeCOP2RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 92:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 93:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 13, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 94:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 7);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 95:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 2);
    if (!Check(S, DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 96:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 10);
    if (!Check(S, DecodeSImmWithOffsetAndScale<10>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 97:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (!Check(S, DecodeSImmWithOffsetAndScale<16>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 98:
    if (!Check(S, DecodeMemMMImm16(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 99:
    if (!Check(S, DecodeMemMMImm12(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 100:
    if (!Check(S, DecodeCacheOpMM(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 101:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (!Check(S, DecodeBranchTargetMM(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 102:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (!Check(S, DecodeSImmWithOffsetAndScale<16>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 103:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 104:
    if (!Check(S, DecodeSyncI_MM(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 105:
    tmp = fieldFromInstruction(insn, 0, 16);
    if (!Check(S, DecodeBranchTarget1SImm16(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 106:
    tmp = fieldFromInstruction(insn, 0, 16);
    if (!Check(S, DecodeBranchTargetMM(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 107:
    tmp = fieldFromInstruction(insn, 18, 3);
    if (!Check(S, DecodeFCCRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (!Check(S, DecodeBranchTargetMM(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 108:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 109:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 110:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodePtrRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodePtrRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 111:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodePtrRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodePtrRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 112:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 113:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 13, 3);
    if (!Check(S, DecodeFCCRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 114:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodePtrRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodePtrRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 115:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 13, 3);
    if (!Check(S, DecodeFCCRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 116:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 117:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 118:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 119:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 120:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 121:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 122:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 123:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 13, 3);
    if (!Check(S, DecodeFCCRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 124:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 125:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 126:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 127:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeCCRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 128:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 129:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 130:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeCCRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 131:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 132:
    tmp = fieldFromInstruction(insn, 13, 3);
    if (!Check(S, DecodeFCCRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 133:
    tmp = fieldFromInstruction(insn, 13, 3);
    if (!Check(S, DecodeFCCRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 134:
    if (!Check(S, DecodeMemMMImm9(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 135:
    if (!Check(S, DecodePrefeOpMM(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 136:
    if (!Check(S, DecodeJumpTargetMM(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 137:
    tmp = fieldFromInstruction(insn, 23, 3);
    if (!Check(S, DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 23);
    if (!Check(S, DecodeSimm23Lsl2(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 138:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (!Check(S, DecodeBranchTargetMM(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 139:
    if (!Check(S, DecodeFMemMMR2(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 140:
    if (!Check(S, DecodeJumpTargetXMM(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 141:
    if (!Check(S, DecodeMem(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 142:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 143:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 144:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 145:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 146:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 147:
    tmp = fieldFromInstruction(insn, 1, 3);
    if (!Check(S, DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 7, 3);
    if (!Check(S, DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 4, 3);
    if (!Check(S, DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 148:
    tmp = fieldFromInstruction(insn, 7, 3);
    if (!Check(S, DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 4, 3);
    if (!Check(S, DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 149:
    tmp = fieldFromInstruction(insn, 7, 3);
    if (!Check(S, DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 4, 3);
    if (!Check(S, DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 7, 3);
    if (!Check(S, DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 150:
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 151:
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeUImmWithOffsetAndScale<5, 0, 4>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 152:
    tmp = fieldFromInstruction(insn, 6, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 153:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeHWRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 154:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 9, 2);
    if (!Check(S, DecodeUImmWithOffset<2, 1>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 155:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 9, 2);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 156:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 9, 2);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 157:
    tmp = fieldFromInstruction(insn, 6, 16);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 158:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 159:
    if (!Check(S, DecodeLoadByte15(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 160:
    if (!Check(S, DecodeFMemCop2MMR6(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 161:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (!Check(S, DecodeBranchTargetMM(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 162:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeCOP2RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (!Check(S, DecodeBranchTargetMM(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 163:
    if (!Check(S, DecodeSynciR6(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 164:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 165:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGRCCRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 166:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGRCCRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 167:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 168:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 169:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGRCCRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 170:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 171:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 172:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 173:
    if (!Check(S, DecodePOP35GroupBranchMMR6(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 174:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 19);
    if (!Check(S, DecodeSimm19Lsl2(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 175:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (!Check(S, DecodeSImmWithOffsetAndScale<16>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 176:
    if (!Check(S, DecodePOP37GroupBranchMMR6(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 177:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 21);
    if (!Check(S, DecodeBranchTarget21MM(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 178:
    tmp = fieldFromInstruction(insn, 0, 26);
    if (!Check(S, DecodeBranchTarget26MM(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 179:
    if (!Check(S, DecodeBlezGroupBranchMMR6(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 180:
    if (!Check(S, DecodePOP65GroupBranchMMR6(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 181:
    if (!Check(S, DecodeBgtzGroupBranchMMR6(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 182:
    if (!Check(S, DecodePOP75GroupBranchMMR6(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 183:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 184:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 18, 3);
    if (!Check(S, DecodeFCCRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 185:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 2);
    if (!Check(S, DecodeUImmWithOffset<2, 1>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 186:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 187:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 188:
    tmp = fieldFromInstruction(insn, 6, 20);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 189:
    tmp = fieldFromInstruction(insn, 6, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 190:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 191:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 2);
    if (!Check(S, DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 192:
    tmp = fieldFromInstruction(insn, 11, 2);
    if (!Check(S, DecodeHI32DSPRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 193:
    tmp = fieldFromInstruction(insn, 11, 2);
    if (!Check(S, DecodeLO32DSPRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 194:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 2);
    if (!Check(S, DecodeUImmWithOffset<2, 1>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 195:
    tmp = fieldFromInstruction(insn, 11, 2);
    if (!Check(S, DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 196:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 10);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 197:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (!Check(S, DecodeBranchTarget(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 198:
    tmp = fieldFromInstruction(insn, 0, 16);
    if (!Check(S, DecodeBranchTarget(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 199:
    if (!Check(S, DecodeSyncI(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 200:
    if (!Check(S, DecodeJumpTarget(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 201:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (!Check(S, DecodeBranchTarget(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 202:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (!Check(S, DecodeSImmWithOffsetAndScale<16>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 203:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 204:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeCOP0RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 205:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeCOP0RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 206:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 1);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 0, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 4, 1);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 207:
    tmp = fieldFromInstruction(insn, 11, 10);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 208:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 209:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 210:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeCCRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 211:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 212:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 213:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 214:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeCCRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 215:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 216:
    tmp = fieldFromInstruction(insn, 18, 3);
    if (!Check(S, DecodeFCCRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (!Check(S, DecodeBranchTarget(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 217:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (!Check(S, DecodeBranchTarget(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 218:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 219:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 220:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 18, 3);
    if (!Check(S, DecodeFCCRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 221:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 222:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 223:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 224:
    tmp = fieldFromInstruction(insn, 8, 3);
    if (!Check(S, DecodeFCCRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 225:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 226:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 227:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 228:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 18, 3);
    if (!Check(S, DecodeFCCRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 229:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 230:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 231:
    tmp = fieldFromInstruction(insn, 8, 3);
    if (!Check(S, DecodeFCCRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 232:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (!Check(S, DecodeBranchTarget(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 233:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (!Check(S, DecodeBranchTarget(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 234:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (!Check(S, DecodeBranchTarget(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 235:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeCOP2RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 236:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeCOP2RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 237:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodePtrRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodePtrRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 238:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodePtrRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodePtrRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 239:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodePtrRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodePtrRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 240:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodePtrRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodePtrRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 241:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 242:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 243:
    tmp = fieldFromInstruction(insn, 11, 2);
    if (!Check(S, DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 2);
    if (!Check(S, DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 244:
    tmp = 0x0;
    insertBits(tmp, fieldFromInstruction(insn, 11, 5), 0, 5);
    insertBits(tmp, fieldFromInstruction(insn, 16, 5), 0, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 245:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 246:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 247:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 248:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 249:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 250:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 251:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 252:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 253:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 10);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 254:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 10);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 255:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 10);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 256:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 10);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 257:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 6);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 258:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 259:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 260:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 6);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 261:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 262:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 263:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 264:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 265:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 266:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 267:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 268:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 269:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 270:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 271:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 272:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 273:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 274:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 275:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 276:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 277:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 278:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 279:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 280:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 281:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 282:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 283:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 284:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 285:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 286:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 287:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 288:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 2);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 289:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 1);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 290:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSACtrlRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 291:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 292:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 293:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 2);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 294:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 1);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 295:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSACtrlRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 296:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 297:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 298:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 2);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 299:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 1);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 300:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 301:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 302:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 303:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 2);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 304:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 1);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 305:
    if (!Check(S, DecodeINSVE_DF(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 306:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 307:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 308:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 309:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 310:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 311:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 312:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 313:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 314:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 315:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 316:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 317:
    if (!Check(S, DecodeMSA128Mem(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 318:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeUImmWithOffset<5, 1>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 319:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeInsSize(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 320:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 321:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodePtrRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodePtrRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 322:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 323:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 324:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 325:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 326:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 327:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 328:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 329:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 10);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 330:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 331:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 332:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 333:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 334:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeDSPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 335:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 336:
    if (!Check(S, DecodeMemEVA(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 337:
    if (!Check(S, DecodeCacheeOp_CacheOpR6(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 338:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 339:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 2);
    if (!Check(S, DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 340:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 2);
    if (!Check(S, DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 341:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 10);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 342:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 10);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 343:
    tmp = fieldFromInstruction(insn, 11, 2);
    if (!Check(S, DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 20, 6);
    if (!Check(S, DecodeSImmWithOffsetAndScale<6>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 2);
    if (!Check(S, DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 344:
    tmp = fieldFromInstruction(insn, 11, 2);
    if (!Check(S, DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 2);
    if (!Check(S, DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 345:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeHWRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 346:
    if (!Check(S, DecodeCacheOp(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 347:
    if (!Check(S, DecodeFMem(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 348:
    if (!Check(S, DecodeFMem2(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 349:
    if (!Check(S, DecodeDAHIDATI(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 350:
    tmp = fieldFromInstruction(insn, 0, 16);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 351:
    if (!Check(S, DecodeBlezGroupBranch(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 352:
    if (!Check(S, DecodeBgtzGroupBranch(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 353:
    if (!Check(S, DecodeAddiGroupBranch(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 354:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (!Check(S, DecodeBranchTarget(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 355:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeFGRCCRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 356:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 357:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 358:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 359:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeFGRCCRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 360:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeFGRCCRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 361:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeCOP2RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (!Check(S, DecodeBranchTarget(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 362:
    if (!Check(S, DecodeFMemCop2R6(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 363:
    if (!Check(S, DecodeBlezlGroupBranch(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 364:
    if (!Check(S, DecodeBgtzlGroupBranch(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 365:
    if (!Check(S, DecodeDaddiGroupBranch(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 366:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 367:
    if (!Check(S, DecodeCRC(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 368:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 2);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 369:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 370:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 371:
    if (!Check(S, DecodeSpecial3LlSc(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 372:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 8, 2);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 373:
    tmp = fieldFromInstruction(insn, 0, 26);
    if (!Check(S, DecodeBranchTarget26(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 374:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 21);
    if (!Check(S, DecodeBranchTarget21(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 375:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 18);
    if (!Check(S, DecodeSimm18Lsl3(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 376:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 21);
    if (!Check(S, DecodeBranchTarget21(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 377:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 378:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 379:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 380:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeCOP0RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 381:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeCOP0RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 382:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeCOP2RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 383:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeCOP2RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 384:
    tmp = fieldFromInstruction(insn, 13, 3);
    if (!Check(S, DecodeFCCRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 385:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (!Check(S, DecodeSImmWithOffsetAndScale<16>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 386:
    tmp = 0x0;
    insertBits(tmp, fieldFromInstruction(insn, 11, 5), 0, 5);
    insertBits(tmp, fieldFromInstruction(insn, 16, 5), 0, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeGPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 387:
    if (!Check(S, DecodeDEXT(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 388:
    if (!Check(S, DecodeDINS(MI, insn, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 389:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 390:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 391:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 392:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 393:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 18, 3);
    if (!Check(S, DecodeFCCRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 394:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeGPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 395:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 396:
    tmp = fieldFromInstruction(insn, 8, 3);
    if (!Check(S, DecodeFCCRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 397:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodePtrRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodePtrRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 398:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodePtrRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodePtrRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 399:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (!Check(S, DecodeFGR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  }
}

static unsigned decodeNumToSkip(const uint8_t *&Ptr) {
  unsigned NumToSkip = *Ptr++;
  NumToSkip |= (*Ptr++) << 8;
  return NumToSkip;
}

template <typename InsnType>
static DecodeStatus decodeInstruction(const uint8_t DecodeTable[], MCInst &MI,
                                      InsnType insn, uint64_t Address,
                                      const MCDisassembler *DisAsm,
                                      const MCSubtargetInfo &STI) {
  const FeatureBitset &Bits = STI.getFeatureBits();

  const uint8_t *Ptr = DecodeTable;
  uint64_t CurFieldValue = 0;
  DecodeStatus S = MCDisassembler::Success;
  while (true) {
    ptrdiff_t Loc = Ptr - DecodeTable;
    switch (*Ptr++) {
    default:
      errs() << Loc << ": Unexpected decode table opcode!\n";
      return MCDisassembler::Fail;
    case MCD::OPC_ExtractField: {
      // Decode the start value.
      unsigned Start = decodeULEB128AndIncUnsafe(Ptr);
      unsigned Len = *Ptr++;
      CurFieldValue = fieldFromInstruction(insn, Start, Len);
      LLVM_DEBUG(dbgs() << Loc << ": OPC_ExtractField(" << Start << ", "
                   << Len << "): " << CurFieldValue << "\n");
      break;
    }
    case MCD::OPC_FilterValue: {
      // Decode the field value.
      uint64_t Val = decodeULEB128AndIncUnsafe(Ptr);
      bool Failed = Val != CurFieldValue;
      unsigned NumToSkip = decodeNumToSkip(Ptr);

      // Perform the filter operation.
      if (Failed)
        Ptr += NumToSkip;
      LLVM_DEBUG(dbgs() << Loc << ": OPC_FilterValue(" << Val << ", " << NumToSkip
                   << "): " << (Failed ? "FAIL:" : "PASS:")
                   << " continuing at " << (Ptr - DecodeTable) << "\n");

      break;
    }
    case MCD::OPC_CheckField: {
      // Decode the start value.
      unsigned Start = decodeULEB128AndIncUnsafe(Ptr);
      unsigned Len = *Ptr;
      uint64_t FieldValue = fieldFromInstruction(insn, Start, Len);
      // Decode the field value.
      unsigned PtrLen = 0;
      uint64_t ExpectedValue = decodeULEB128(++Ptr, &PtrLen);
      Ptr += PtrLen;
      bool Failed = ExpectedValue != FieldValue;
      unsigned NumToSkip = decodeNumToSkip(Ptr);

      // If the actual and expected values don't match, skip.
      if (Failed)
        Ptr += NumToSkip;
      LLVM_DEBUG(dbgs() << Loc << ": OPC_CheckField(" << Start << ", "
                   << Len << ", " << ExpectedValue << ", " << NumToSkip
                   << "): FieldValue = " << FieldValue << ", ExpectedValue = "
                   << ExpectedValue << ": "
                   << (Failed ? "FAIL\n" : "PASS\n"));
      break;
    }
    case MCD::OPC_CheckPredicate: {
      // Decode the Predicate Index value.
      unsigned PIdx = decodeULEB128AndIncUnsafe(Ptr);
      unsigned NumToSkip = decodeNumToSkip(Ptr);
      // Check the predicate.
      bool Failed = !checkDecoderPredicate(PIdx, Bits);
      if (Failed)
        Ptr += NumToSkip;
      LLVM_DEBUG(dbgs() << Loc << ": OPC_CheckPredicate(" << PIdx << "): "
            << (Failed ? "FAIL\n" : "PASS\n"));

      break;
    }
    case MCD::OPC_Decode: {
      // Decode the Opcode value.
      unsigned Opc = decodeULEB128AndIncUnsafe(Ptr);
      unsigned DecodeIdx = decodeULEB128AndIncUnsafe(Ptr);

      MI.clear();
      MI.setOpcode(Opc);
      bool DecodeComplete;
      S = decodeToMCInst(S, DecodeIdx, insn, MI, Address, DisAsm, DecodeComplete);
      assert(DecodeComplete);

      LLVM_DEBUG(dbgs() << Loc << ": OPC_Decode: opcode " << Opc
                   << ", using decoder " << DecodeIdx << ": "
                   << (S != MCDisassembler::Fail ? "PASS" : "FAIL") << "\n");
      return S;
    }
    case MCD::OPC_TryDecode: {
      // Decode the Opcode value.
      unsigned Opc = decodeULEB128AndIncUnsafe(Ptr);
      unsigned DecodeIdx = decodeULEB128AndIncUnsafe(Ptr);
      unsigned NumToSkip = decodeNumToSkip(Ptr);

      // Perform the decode operation.
      MCInst TmpMI;
      TmpMI.setOpcode(Opc);
      bool DecodeComplete;
      S = decodeToMCInst(S, DecodeIdx, insn, TmpMI, Address, DisAsm, DecodeComplete);
      LLVM_DEBUG(dbgs() << Loc << ": OPC_TryDecode: opcode " << Opc
                   << ", using decoder " << DecodeIdx << ": ");

      if (DecodeComplete) {
        // Decoding complete.
        LLVM_DEBUG(dbgs() << (S != MCDisassembler::Fail ? "PASS" : "FAIL") << "\n");
        MI = TmpMI;
        return S;
      } else {
        assert(S == MCDisassembler::Fail);
        // If the decoding was incomplete, skip.
        Ptr += NumToSkip;
        LLVM_DEBUG(dbgs() << "FAIL: continuing at " << (Ptr - DecodeTable) << "\n");
        // Reset decode status. This also drops a SoftFail status that could be
        // set before the decode attempt.
        S = MCDisassembler::Success;
      }
      break;
    }
    case MCD::OPC_SoftFail: {
      // Decode the mask values.
      uint64_t PositiveMask = decodeULEB128AndIncUnsafe(Ptr);
      uint64_t NegativeMask = decodeULEB128AndIncUnsafe(Ptr);
      bool Fail = (insn & PositiveMask) != 0 || (~insn & NegativeMask) != 0;
      if (Fail)
        S = MCDisassembler::SoftFail;
      LLVM_DEBUG(dbgs() << Loc << ": OPC_SoftFail: " << (Fail ? "FAIL\n" : "PASS\n"));
      break;
    }
    case MCD::OPC_Fail: {
      LLVM_DEBUG(dbgs() << Loc << ": OPC_Fail\n");
      return MCDisassembler::Fail;
    }
    }
  }
  llvm_unreachable("bogosity detected in disassembler state machine!");
}


} // namespace
