/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|* Global Instruction Selector for the X86 target                             *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/

#ifdef GET_GLOBALISEL_PREDICATE_BITSET
const unsigned MAX_SUBTARGET_PREDICATES = 150;
using PredicateBitset = llvm::Bitset<MAX_SUBTARGET_PREDICATES>;
#endif // ifdef GET_GLOBALISEL_PREDICATE_BITSET

#ifdef GET_GLOBALISEL_TEMPORARIES_DECL
  mutable MatcherState State;
  typedef ComplexRendererFns(X86InstructionSelector::*ComplexMatcherMemFn)(MachineOperand &) const;
  typedef void(X86InstructionSelector::*CustomRendererFn)(MachineInstrBuilder &, const MachineInstr &, int) const;
  const ExecInfoTy<PredicateBitset, ComplexMatcherMemFn, CustomRendererFn> ExecInfo;
  static X86InstructionSelector::ComplexMatcherMemFn ComplexPredicateFns[];
  static X86InstructionSelector::CustomRendererFn CustomRenderers[];
  bool testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const override;
  bool testImmPredicate_APInt(unsigned PredicateID, const APInt &Imm) const override;
  bool testImmPredicate_APFloat(unsigned PredicateID, const APFloat &Imm) const override;
  const uint8_t *getMatchTable() const override;
  bool testMIPredicate_MI(unsigned PredicateID, const MachineInstr &MI, const MatcherState &State) const override;
  bool testSimplePredicate(unsigned PredicateID) const override;
  bool runCustomAction(unsigned FnID, const MatcherState &State, NewMIVector &OutMIs) const override;
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_DECL

#ifdef GET_GLOBALISEL_TEMPORARIES_INIT
, State(1),
ExecInfo(TypeObjects, NumTypeObjects, FeatureBitsets, ComplexPredicateFns, CustomRenderers)
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_INIT

#ifdef GET_GLOBALISEL_IMPL
// LLT Objects.
enum {
  GILLT_s1,
  GILLT_s8,
  GILLT_s16,
  GILLT_s32,
  GILLT_s64,
  GILLT_s80,
  GILLT_s128,
  GILLT_v2s1,
  GILLT_v2s64,
  GILLT_v4s1,
  GILLT_v4s32,
  GILLT_v4s64,
  GILLT_v8s1,
  GILLT_v8s16,
  GILLT_v8s32,
  GILLT_v8s64,
  GILLT_v16s1,
  GILLT_v16s8,
  GILLT_v16s16,
  GILLT_v16s32,
  GILLT_v32s1,
  GILLT_v32s8,
  GILLT_v32s16,
  GILLT_v64s1,
  GILLT_v64s8,
};
const static size_t NumTypeObjects = 25;
const static LLT TypeObjects[] = {
  LLT::scalar(1),
  LLT::scalar(8),
  LLT::scalar(16),
  LLT::scalar(32),
  LLT::scalar(64),
  LLT::scalar(80),
  LLT::scalar(128),
  LLT::vector(ElementCount::getFixed(2), 1),
  LLT::vector(ElementCount::getFixed(2), 64),
  LLT::vector(ElementCount::getFixed(4), 1),
  LLT::vector(ElementCount::getFixed(4), 32),
  LLT::vector(ElementCount::getFixed(4), 64),
  LLT::vector(ElementCount::getFixed(8), 1),
  LLT::vector(ElementCount::getFixed(8), 16),
  LLT::vector(ElementCount::getFixed(8), 32),
  LLT::vector(ElementCount::getFixed(8), 64),
  LLT::vector(ElementCount::getFixed(16), 1),
  LLT::vector(ElementCount::getFixed(16), 8),
  LLT::vector(ElementCount::getFixed(16), 16),
  LLT::vector(ElementCount::getFixed(16), 32),
  LLT::vector(ElementCount::getFixed(32), 1),
  LLT::vector(ElementCount::getFixed(32), 8),
  LLT::vector(ElementCount::getFixed(32), 16),
  LLT::vector(ElementCount::getFixed(64), 1),
  LLT::vector(ElementCount::getFixed(64), 8),
};

// Bits for subtarget features that participate in instruction matching.
enum SubtargetFeatureBits : uint8_t {
  Feature_TruePredicateBit = 61,
  Feature_HasEGPRBit = 5,
  Feature_NoEGPRBit = 4,
  Feature_HasNDDBit = 6,
  Feature_NoNDDBit = 27,
  Feature_HasZUBit = 149,
  Feature_HasCFBit = 30,
  Feature_HasCMOVBit = 29,
  Feature_NoCMOVBit = 135,
  Feature_HasMMXBit = 107,
  Feature_HasSSE1Bit = 47,
  Feature_UseSSE1Bit = 54,
  Feature_HasSSE2Bit = 46,
  Feature_UseSSE2Bit = 55,
  Feature_HasSSE3Bit = 38,
  Feature_UseSSE3Bit = 64,
  Feature_HasSSSE3Bit = 108,
  Feature_UseSSSE3Bit = 65,
  Feature_UseSSE41Bit = 62,
  Feature_UseSSE42Bit = 69,
  Feature_HasSSE4ABit = 79,
  Feature_NoAVXBit = 75,
  Feature_HasAVXBit = 56,
  Feature_HasAVX2Bit = 50,
  Feature_HasAVX1OnlyBit = 48,
  Feature_HasEVEX512Bit = 142,
  Feature_HasAVX10_2Bit = 106,
  Feature_HasAVX10_2_512Bit = 105,
  Feature_NoAVX10_2Bit = 68,
  Feature_HasAVX512Bit = 92,
  Feature_UseAVXBit = 52,
  Feature_NoAVX512Bit = 43,
  Feature_HasCDIBit = 96,
  Feature_HasVPOPCNTDQBit = 100,
  Feature_HasDQIBit = 94,
  Feature_NoDQIBit = 66,
  Feature_HasBWIBit = 95,
  Feature_NoBWIBit = 63,
  Feature_HasVLXBit = 93,
  Feature_NoVLXBit = 42,
  Feature_NoVLX_Or_NoBWIBit = 60,
  Feature_HasVNNIBit = 102,
  Feature_HasVP2INTERSECTBit = 104,
  Feature_HasFP16Bit = 98,
  Feature_HasAVXVNNIINT16Bit = 91,
  Feature_HasAVXVNNIINT8Bit = 86,
  Feature_HasAVXVNNIBit = 80,
  Feature_NoVLX_Or_NoVNNIBit = 81,
  Feature_HasBITALGBit = 103,
  Feature_HasPOPCNTBit = 67,
  Feature_HasAESBit = 72,
  Feature_HasVAESBit = 74,
  Feature_NoVLX_Or_NoVAESBit = 73,
  Feature_HasFXSRBit = 39,
  Feature_HasX87Bit = 37,
  Feature_HasXSAVEBit = 124,
  Feature_HasXSAVEOPTBit = 125,
  Feature_HasXSAVECBit = 126,
  Feature_HasXSAVESBit = 127,
  Feature_HasPCLMULBit = 76,
  Feature_NoVLX_Or_NoVPCLMULQDQBit = 77,
  Feature_HasVPCLMULQDQBit = 78,
  Feature_HasGFNIBit = 83,
  Feature_HasFMABit = 40,
  Feature_HasFMA4Bit = 44,
  Feature_NoFMA4Bit = 41,
  Feature_HasXOPBit = 45,
  Feature_HasTBMBit = 26,
  Feature_NoTBMBit = 140,
  Feature_HasLWPBit = 12,
  Feature_HasMOVBEBit = 3,
  Feature_NoNDD_Or_NoMOVBEBit = 2,
  Feature_HasRDRANDBit = 7,
  Feature_HasF16CBit = 82,
  Feature_HasFSGSBaseBit = 128,
  Feature_HasLZCNTBit = 9,
  Feature_HasBMIBit = 10,
  Feature_HasBMI2Bit = 11,
  Feature_NoBMI2Bit = 139,
  Feature_HasVBMIBit = 97,
  Feature_HasVBMI2Bit = 101,
  Feature_HasIFMABit = 99,
  Feature_HasAVXIFMABit = 84,
  Feature_NoVLX_Or_NoIFMABit = 85,
  Feature_HasRTMBit = 110,
  Feature_HasSHABit = 71,
  Feature_HasSHA512Bit = 88,
  Feature_HasSM3Bit = 89,
  Feature_HasRDSEEDBit = 8,
  Feature_HasSSEPrefetchBit = 57,
  Feature_HasPREFETCHIBit = 20,
  Feature_HasPrefetchWBit = 109,
  Feature_HasMWAITXBit = 138,
  Feature_HasCLDEMOTEBit = 24,
  Feature_HasMOVDIRIBit = 14,
  Feature_HasMOVDIR64BBit = 15,
  Feature_HasMOVRSBit = 25,
  Feature_HasPTWRITEBit = 131,
  Feature_FPStackf32Bit = 35,
  Feature_FPStackf64Bit = 36,
  Feature_HasSM4Bit = 90,
  Feature_HasCLFLUSHBit = 58,
  Feature_HasCLFLUSHOPTBit = 22,
  Feature_HasCLWBBit = 23,
  Feature_HasWBNOINVDBit = 123,
  Feature_HasRDPIDBit = 130,
  Feature_HasWAITPKGBit = 13,
  Feature_HasINVPCIDBit = 129,
  Feature_HasCX8Bit = 136,
  Feature_HasCX16Bit = 137,
  Feature_HasENQCMDBit = 16,
  Feature_HasAMXFP16Bit = 115,
  Feature_HasCMPCCXADDBit = 21,
  Feature_HasAVXNECONVERTBit = 87,
  Feature_HasKLBit = 111,
  Feature_HasRAOINTBit = 121,
  Feature_HasSERIALIZEBit = 17,
  Feature_HasTSXLDTRKBit = 18,
  Feature_HasAMXTILEBit = 112,
  Feature_HasAMXBF16Bit = 114,
  Feature_HasAMXINT8Bit = 113,
  Feature_HasAMXCOMPLEXBit = 116,
  Feature_HasAMXFP8Bit = 117,
  Feature_HasAMXTRANSPOSEBit = 118,
  Feature_HasAMXAVX512Bit = 119,
  Feature_HasAMXTF32Bit = 120,
  Feature_HasUINTRBit = 19,
  Feature_HasUSERMSRBit = 122,
  Feature_HasCRC32Bit = 70,
  Feature_Not64BitModeBit = 0,
  Feature_In64BitModeBit = 1,
  Feature_IsLP64Bit = 133,
  Feature_NotLP64Bit = 132,
  Feature_NotWin64WithoutFPBit = 134,
  Feature_IsPSBit = 144,
  Feature_NotPSBit = 143,
  Feature_KernelCodeBit = 145,
  Feature_NearDataBit = 147,
  Feature_IsNotPICBit = 146,
  Feature_OptForSizeBit = 51,
  Feature_OptForMinSizeBit = 49,
  Feature_OptForSpeedBit = 141,
  Feature_UseIncDecBit = 28,
  Feature_NoSSE41_Or_OptForSizeBit = 53,
  Feature_CallImmAddrBit = 148,
  Feature_FavorMemIndirectCallBit = 31,
  Feature_HasFastSHLDRotateBit = 34,
  Feature_HasMFenceBit = 59,
  Feature_UseIndirectThunkCallsBit = 33,
  Feature_NotUseIndirectThunkCallsBit = 32,
};

PredicateBitset X86InstructionSelector::
computeAvailableModuleFeatures(const X86Subtarget *Subtarget) const {
  PredicateBitset Features{};
  if (true)
    Features.set(Feature_TruePredicateBit);
  if (Subtarget->hasEGPR())
    Features.set(Feature_HasEGPRBit);
  if (!Subtarget->hasEGPR())
    Features.set(Feature_NoEGPRBit);
  if (Subtarget->hasNDD())
    Features.set(Feature_HasNDDBit);
  if (!Subtarget->hasNDD())
    Features.set(Feature_NoNDDBit);
  if (Subtarget->hasZU())
    Features.set(Feature_HasZUBit);
  if (Subtarget->hasCF())
    Features.set(Feature_HasCFBit);
  if (Subtarget->canUseCMOV())
    Features.set(Feature_HasCMOVBit);
  if (!Subtarget->canUseCMOV())
    Features.set(Feature_NoCMOVBit);
  if (Subtarget->hasMMX())
    Features.set(Feature_HasMMXBit);
  if (Subtarget->hasSSE1())
    Features.set(Feature_HasSSE1Bit);
  if (Subtarget->hasSSE1() && !Subtarget->hasAVX())
    Features.set(Feature_UseSSE1Bit);
  if (Subtarget->hasSSE2())
    Features.set(Feature_HasSSE2Bit);
  if (Subtarget->hasSSE2() && !Subtarget->hasAVX())
    Features.set(Feature_UseSSE2Bit);
  if (Subtarget->hasSSE3())
    Features.set(Feature_HasSSE3Bit);
  if (Subtarget->hasSSE3() && !Subtarget->hasAVX())
    Features.set(Feature_UseSSE3Bit);
  if (Subtarget->hasSSSE3())
    Features.set(Feature_HasSSSE3Bit);
  if (Subtarget->hasSSSE3() && !Subtarget->hasAVX())
    Features.set(Feature_UseSSSE3Bit);
  if (Subtarget->hasSSE41() && !Subtarget->hasAVX())
    Features.set(Feature_UseSSE41Bit);
  if (Subtarget->hasSSE42() && !Subtarget->hasAVX())
    Features.set(Feature_UseSSE42Bit);
  if (Subtarget->hasSSE4A())
    Features.set(Feature_HasSSE4ABit);
  if (!Subtarget->hasAVX())
    Features.set(Feature_NoAVXBit);
  if (Subtarget->hasAVX())
    Features.set(Feature_HasAVXBit);
  if (Subtarget->hasAVX2())
    Features.set(Feature_HasAVX2Bit);
  if (Subtarget->hasAVX() && !Subtarget->hasAVX2())
    Features.set(Feature_HasAVX1OnlyBit);
  if (Subtarget->hasEVEX512())
    Features.set(Feature_HasEVEX512Bit);
  if (Subtarget->hasAVX10_2())
    Features.set(Feature_HasAVX10_2Bit);
  if (Subtarget->hasAVX10_2_512())
    Features.set(Feature_HasAVX10_2_512Bit);
  if (!Subtarget->hasAVX10_2())
    Features.set(Feature_NoAVX10_2Bit);
  if (Subtarget->hasAVX512())
    Features.set(Feature_HasAVX512Bit);
  if (Subtarget->hasAVX() && !Subtarget->hasAVX512())
    Features.set(Feature_UseAVXBit);
  if (!Subtarget->hasAVX512())
    Features.set(Feature_NoAVX512Bit);
  if (Subtarget->hasCDI())
    Features.set(Feature_HasCDIBit);
  if (Subtarget->hasVPOPCNTDQ())
    Features.set(Feature_HasVPOPCNTDQBit);
  if (Subtarget->hasDQI())
    Features.set(Feature_HasDQIBit);
  if (!Subtarget->hasDQI())
    Features.set(Feature_NoDQIBit);
  if (Subtarget->hasBWI())
    Features.set(Feature_HasBWIBit);
  if (!Subtarget->hasBWI())
    Features.set(Feature_NoBWIBit);
  if (Subtarget->hasVLX())
    Features.set(Feature_HasVLXBit);
  if (!Subtarget->hasVLX())
    Features.set(Feature_NoVLXBit);
  if (!Subtarget->hasVLX() || !Subtarget->hasBWI())
    Features.set(Feature_NoVLX_Or_NoBWIBit);
  if (Subtarget->hasVNNI())
    Features.set(Feature_HasVNNIBit);
  if (Subtarget->hasVP2INTERSECT())
    Features.set(Feature_HasVP2INTERSECTBit);
  if (Subtarget->hasFP16())
    Features.set(Feature_HasFP16Bit);
  if (Subtarget->hasAVXVNNIINT16())
    Features.set(Feature_HasAVXVNNIINT16Bit);
  if (Subtarget->hasAVXVNNIINT8())
    Features.set(Feature_HasAVXVNNIINT8Bit);
  if (Subtarget->hasAVXVNNI())
    Features.set(Feature_HasAVXVNNIBit);
  if (!Subtarget->hasVLX() || !Subtarget->hasVNNI())
    Features.set(Feature_NoVLX_Or_NoVNNIBit);
  if (Subtarget->hasBITALG())
    Features.set(Feature_HasBITALGBit);
  if (Subtarget->hasPOPCNT())
    Features.set(Feature_HasPOPCNTBit);
  if (Subtarget->hasAES())
    Features.set(Feature_HasAESBit);
  if (Subtarget->hasVAES())
    Features.set(Feature_HasVAESBit);
  if (!Subtarget->hasVLX() || !Subtarget->hasVAES())
    Features.set(Feature_NoVLX_Or_NoVAESBit);
  if (Subtarget->hasFXSR())
    Features.set(Feature_HasFXSRBit);
  if (Subtarget->hasX87())
    Features.set(Feature_HasX87Bit);
  if (Subtarget->hasXSAVE())
    Features.set(Feature_HasXSAVEBit);
  if (Subtarget->hasXSAVEOPT())
    Features.set(Feature_HasXSAVEOPTBit);
  if (Subtarget->hasXSAVEC())
    Features.set(Feature_HasXSAVECBit);
  if (Subtarget->hasXSAVES())
    Features.set(Feature_HasXSAVESBit);
  if (Subtarget->hasPCLMUL())
    Features.set(Feature_HasPCLMULBit);
  if (!Subtarget->hasVLX() || !Subtarget->hasVPCLMULQDQ())
    Features.set(Feature_NoVLX_Or_NoVPCLMULQDQBit);
  if (Subtarget->hasVPCLMULQDQ())
    Features.set(Feature_HasVPCLMULQDQBit);
  if (Subtarget->hasGFNI())
    Features.set(Feature_HasGFNIBit);
  if (Subtarget->hasFMA())
    Features.set(Feature_HasFMABit);
  if (Subtarget->hasFMA4())
    Features.set(Feature_HasFMA4Bit);
  if (!Subtarget->hasFMA4())
    Features.set(Feature_NoFMA4Bit);
  if (Subtarget->hasXOP())
    Features.set(Feature_HasXOPBit);
  if (Subtarget->hasTBM())
    Features.set(Feature_HasTBMBit);
  if (!Subtarget->hasTBM())
    Features.set(Feature_NoTBMBit);
  if (Subtarget->hasLWP())
    Features.set(Feature_HasLWPBit);
  if (Subtarget->hasMOVBE())
    Features.set(Feature_HasMOVBEBit);
  if (!Subtarget->hasNDD() || !Subtarget->hasMOVBE())
    Features.set(Feature_NoNDD_Or_NoMOVBEBit);
  if (Subtarget->hasRDRAND())
    Features.set(Feature_HasRDRANDBit);
  if (Subtarget->hasF16C())
    Features.set(Feature_HasF16CBit);
  if (Subtarget->hasFSGSBase())
    Features.set(Feature_HasFSGSBaseBit);
  if (Subtarget->hasLZCNT())
    Features.set(Feature_HasLZCNTBit);
  if (Subtarget->hasBMI())
    Features.set(Feature_HasBMIBit);
  if (Subtarget->hasBMI2())
    Features.set(Feature_HasBMI2Bit);
  if (!Subtarget->hasBMI2())
    Features.set(Feature_NoBMI2Bit);
  if (Subtarget->hasVBMI())
    Features.set(Feature_HasVBMIBit);
  if (Subtarget->hasVBMI2())
    Features.set(Feature_HasVBMI2Bit);
  if (Subtarget->hasIFMA())
    Features.set(Feature_HasIFMABit);
  if (Subtarget->hasAVXIFMA())
    Features.set(Feature_HasAVXIFMABit);
  if (!Subtarget->hasVLX() || !Subtarget->hasIFMA())
    Features.set(Feature_NoVLX_Or_NoIFMABit);
  if (Subtarget->hasRTM())
    Features.set(Feature_HasRTMBit);
  if (Subtarget->hasSHA())
    Features.set(Feature_HasSHABit);
  if (Subtarget->hasSHA512())
    Features.set(Feature_HasSHA512Bit);
  if (Subtarget->hasSM3())
    Features.set(Feature_HasSM3Bit);
  if (Subtarget->hasRDSEED())
    Features.set(Feature_HasRDSEEDBit);
  if (Subtarget->hasSSEPrefetch())
    Features.set(Feature_HasSSEPrefetchBit);
  if (Subtarget->hasPREFETCHI())
    Features.set(Feature_HasPREFETCHIBit);
  if (Subtarget->hasPrefetchW())
    Features.set(Feature_HasPrefetchWBit);
  if (Subtarget->hasMWAITX())
    Features.set(Feature_HasMWAITXBit);
  if (Subtarget->hasCLDEMOTE())
    Features.set(Feature_HasCLDEMOTEBit);
  if (Subtarget->hasMOVDIRI())
    Features.set(Feature_HasMOVDIRIBit);
  if (Subtarget->hasMOVDIR64B())
    Features.set(Feature_HasMOVDIR64BBit);
  if (Subtarget->hasMOVRS())
    Features.set(Feature_HasMOVRSBit);
  if (Subtarget->hasPTWRITE())
    Features.set(Feature_HasPTWRITEBit);
  if (!Subtarget->hasSSE1())
    Features.set(Feature_FPStackf32Bit);
  if (!Subtarget->hasSSE2())
    Features.set(Feature_FPStackf64Bit);
  if (Subtarget->hasSM4())
    Features.set(Feature_HasSM4Bit);
  if (Subtarget->hasCLFLUSH())
    Features.set(Feature_HasCLFLUSHBit);
  if (Subtarget->hasCLFLUSHOPT())
    Features.set(Feature_HasCLFLUSHOPTBit);
  if (Subtarget->hasCLWB())
    Features.set(Feature_HasCLWBBit);
  if (Subtarget->hasWBNOINVD())
    Features.set(Feature_HasWBNOINVDBit);
  if (Subtarget->hasRDPID())
    Features.set(Feature_HasRDPIDBit);
  if (Subtarget->hasWAITPKG())
    Features.set(Feature_HasWAITPKGBit);
  if (Subtarget->hasINVPCID())
    Features.set(Feature_HasINVPCIDBit);
  if (Subtarget->hasCX8())
    Features.set(Feature_HasCX8Bit);
  if (Subtarget->hasCX16())
    Features.set(Feature_HasCX16Bit);
  if (Subtarget->hasENQCMD())
    Features.set(Feature_HasENQCMDBit);
  if (Subtarget->hasAMXFP16())
    Features.set(Feature_HasAMXFP16Bit);
  if (Subtarget->hasCMPCCXADD())
    Features.set(Feature_HasCMPCCXADDBit);
  if (Subtarget->hasAVXNECONVERT())
    Features.set(Feature_HasAVXNECONVERTBit);
  if (Subtarget->hasKL())
    Features.set(Feature_HasKLBit);
  if (Subtarget->hasRAOINT())
    Features.set(Feature_HasRAOINTBit);
  if (Subtarget->hasSERIALIZE())
    Features.set(Feature_HasSERIALIZEBit);
  if (Subtarget->hasTSXLDTRK())
    Features.set(Feature_HasTSXLDTRKBit);
  if (Subtarget->hasAMXTILE())
    Features.set(Feature_HasAMXTILEBit);
  if (Subtarget->hasAMXBF16())
    Features.set(Feature_HasAMXBF16Bit);
  if (Subtarget->hasAMXINT8())
    Features.set(Feature_HasAMXINT8Bit);
  if (Subtarget->hasAMXCOMPLEX())
    Features.set(Feature_HasAMXCOMPLEXBit);
  if (Subtarget->hasAMXFP8())
    Features.set(Feature_HasAMXFP8Bit);
  if (Subtarget->hasAMXTRANSPOSE())
    Features.set(Feature_HasAMXTRANSPOSEBit);
  if (Subtarget->hasAMXAVX512())
    Features.set(Feature_HasAMXAVX512Bit);
  if (Subtarget->hasAMXTF32())
    Features.set(Feature_HasAMXTF32Bit);
  if (Subtarget->hasUINTR())
    Features.set(Feature_HasUINTRBit);
  if (Subtarget->hasUSERMSR())
    Features.set(Feature_HasUSERMSRBit);
  if (Subtarget->hasCRC32())
    Features.set(Feature_HasCRC32Bit);
  if (!Subtarget->is64Bit())
    Features.set(Feature_Not64BitModeBit);
  if (Subtarget->is64Bit())
    Features.set(Feature_In64BitModeBit);
  if (Subtarget->isTarget64BitLP64())
    Features.set(Feature_IsLP64Bit);
  if (!Subtarget->isTarget64BitLP64())
    Features.set(Feature_NotLP64Bit);
  if (Subtarget->isTargetPS())
    Features.set(Feature_IsPSBit);
  if (!Subtarget->isTargetPS())
    Features.set(Feature_NotPSBit);
  if (TM.getCodeModel() == CodeModel::Kernel)
    Features.set(Feature_KernelCodeBit);
  if (TM.getCodeModel() == CodeModel::Small ||TM.getCodeModel() == CodeModel::Kernel)
    Features.set(Feature_NearDataBit);
  if (!TM.isPositionIndependent())
    Features.set(Feature_IsNotPICBit);
  if (Subtarget->isLegalToCallImmediateAddr())
    Features.set(Feature_CallImmAddrBit);
  if (!Subtarget->slowTwoMemOps())
    Features.set(Feature_FavorMemIndirectCallBit);
  if (Subtarget->hasFastSHLDRotate())
    Features.set(Feature_HasFastSHLDRotateBit);
  if (Subtarget->hasMFence())
    Features.set(Feature_HasMFenceBit);
  if (Subtarget->useIndirectThunkCalls())
    Features.set(Feature_UseIndirectThunkCallsBit);
  if (!Subtarget->useIndirectThunkCalls())
    Features.set(Feature_NotUseIndirectThunkCallsBit);
  return Features;
}

void X86InstructionSelector::setupGeneratedPerFunctionState(MachineFunction &MF) {
  AvailableFunctionFeatures = computeAvailableFunctionFeatures((const X86Subtarget *)&MF.getSubtarget(), &MF);
}
PredicateBitset X86InstructionSelector::
computeAvailableFunctionFeatures(const X86Subtarget *Subtarget, const MachineFunction *MF) const {
  PredicateBitset Features{};
  if (!Subtarget->isTargetWin64() ||Subtarget->getFrameLowering()->hasFP(*MF))
    Features.set(Feature_NotWin64WithoutFPBit);
  if (shouldOptForSize(MF))
    Features.set(Feature_OptForSizeBit);
  if (MF->getFunction().hasMinSize())
    Features.set(Feature_OptForMinSizeBit);
  if (!shouldOptForSize(MF))
    Features.set(Feature_OptForSpeedBit);
  if (!Subtarget->slowIncDec() || shouldOptForSize(MF))
    Features.set(Feature_UseIncDecBit);
  if (shouldOptForSize(MF) || !Subtarget->hasSSE41())
    Features.set(Feature_NoSSE41_Or_OptForSizeBit);
  return Features;
}

// Feature bitsets.
enum {
  GIFBS_Invalid,
  GIFBS_FPStackf32,
  GIFBS_FPStackf64,
  GIFBS_HasAVX,
  GIFBS_HasAVX1Only,
  GIFBS_HasAVX2,
  GIFBS_HasAVX512,
  GIFBS_HasAVXNECONVERT,
  GIFBS_HasBITALG,
  GIFBS_HasBMI,
  GIFBS_HasBWI,
  GIFBS_HasCDI,
  GIFBS_HasCLDEMOTE,
  GIFBS_HasCLFLUSH,
  GIFBS_HasCLFLUSHOPT,
  GIFBS_HasCLWB,
  GIFBS_HasDQI,
  GIFBS_HasFP16,
  GIFBS_HasFXSR,
  GIFBS_HasFastSHLDRotate,
  GIFBS_HasKL,
  GIFBS_HasLWP,
  GIFBS_HasLZCNT,
  GIFBS_HasMFence,
  GIFBS_HasMMX,
  GIFBS_HasMOVBE,
  GIFBS_HasMOVRS,
  GIFBS_HasMWAITX,
  GIFBS_HasNDD,
  GIFBS_HasPOPCNT,
  GIFBS_HasPTWRITE,
  GIFBS_HasPrefetchW,
  GIFBS_HasRTM,
  GIFBS_HasSERIALIZE,
  GIFBS_HasSHA,
  GIFBS_HasSHA512,
  GIFBS_HasSM3,
  GIFBS_HasSM4,
  GIFBS_HasSSE1,
  GIFBS_HasSSE2,
  GIFBS_HasSSE3,
  GIFBS_HasSSE4A,
  GIFBS_HasSSEPrefetch,
  GIFBS_HasTBM,
  GIFBS_HasTSXLDTRK,
  GIFBS_HasVBMI2,
  GIFBS_HasVLX,
  GIFBS_HasVPOPCNTDQ,
  GIFBS_HasWAITPKG,
  GIFBS_HasWBNOINVD,
  GIFBS_HasX87,
  GIFBS_HasXOP,
  GIFBS_HasXSAVE,
  GIFBS_HasXSAVEC,
  GIFBS_HasXSAVEOPT,
  GIFBS_HasXSAVES,
  GIFBS_HasZU,
  GIFBS_In64BitMode,
  GIFBS_IsPS,
  GIFBS_NoAVX,
  GIFBS_NoDQI,
  GIFBS_NoEGPR,
  GIFBS_NoNDD,
  GIFBS_NoNDD_Or_NoMOVBE,
  GIFBS_Not64BitMode,
  GIFBS_NotPS,
  GIFBS_UseAVX,
  GIFBS_UseIncDec,
  GIFBS_UseSSE1,
  GIFBS_UseSSE2,
  GIFBS_UseSSE3,
  GIFBS_UseSSE41,
  GIFBS_UseSSSE3,
  GIFBS_HasAES_HasAVX,
  GIFBS_HasAES_NoAVX,
  GIFBS_HasAMXBF16_In64BitMode,
  GIFBS_HasAMXCOMPLEX_In64BitMode,
  GIFBS_HasAMXFP16_In64BitMode,
  GIFBS_HasAMXFP8_In64BitMode,
  GIFBS_HasAMXINT8_In64BitMode,
  GIFBS_HasAMXTF32_In64BitMode,
  GIFBS_HasAMXTILE_In64BitMode,
  GIFBS_HasAMXTRANSPOSE_In64BitMode,
  GIFBS_HasAVX_In64BitMode,
  GIFBS_HasAVX_NoBWI,
  GIFBS_HasAVX_NoVLX,
  GIFBS_HasAVX_NoVLX_Or_NoBWI,
  GIFBS_HasAVX10_2_HasSM4,
  GIFBS_HasAVX10_2_512_HasSM4,
  GIFBS_HasAVX2_NoVLX,
  GIFBS_HasAVX2_NoVLX_Or_NoBWI,
  GIFBS_HasAVX512_HasVAES,
  GIFBS_HasAVX512_HasVLX,
  GIFBS_HasAVX512_HasVPCLMULQDQ,
  GIFBS_HasAVX512_NoBWI,
  GIFBS_HasAVX512_NoDQI,
  GIFBS_HasAVX512_NoEGPR,
  GIFBS_HasAVX512_OptForSize,
  GIFBS_HasBITALG_HasVLX,
  GIFBS_HasBMI_HasEGPR,
  GIFBS_HasBMI_NoEGPR,
  GIFBS_HasBMI2_HasEGPR,
  GIFBS_HasBMI2_NoEGPR,
  GIFBS_HasBWI_HasVLX,
  GIFBS_HasBWI_NoEGPR,
  GIFBS_HasCDI_HasVLX,
  GIFBS_HasCRC32_NoEGPR,
  GIFBS_HasDQI_HasVLX,
  GIFBS_HasDQI_NoBWI,
  GIFBS_HasDQI_NoEGPR,
  GIFBS_HasEGPR_HasINVPCID,
  GIFBS_HasEGPR_In64BitMode,
  GIFBS_HasEVEX512_NoVLX,
  GIFBS_HasFMA4_NoAVX512,
  GIFBS_HasFMA4_NoVLX,
  GIFBS_HasFP16_HasVLX,
  GIFBS_HasFP16_In64BitMode,
  GIFBS_HasFP16_OptForSize,
  GIFBS_HasFSGSBase_In64BitMode,
  GIFBS_HasFXSR_In64BitMode,
  GIFBS_HasINVPCID_NoEGPR,
  GIFBS_HasINVPCID_Not64BitMode,
  GIFBS_HasMOVBE_NoEGPR,
  GIFBS_HasMOVDIR64B_NoEGPR,
  GIFBS_HasMOVDIRI_NoEGPR,
  GIFBS_HasNDD_In64BitMode,
  GIFBS_HasNDD_UseIncDec,
  GIFBS_HasPCLMUL_NoAVX,
  GIFBS_HasPREFETCHI_In64BitMode,
  GIFBS_HasPTWRITE_In64BitMode,
  GIFBS_HasRDPID_In64BitMode,
  GIFBS_HasRDPID_Not64BitMode,
  GIFBS_HasUINTR_In64BitMode,
  GIFBS_HasUSERMSR_NoEGPR,
  GIFBS_HasVAES_HasVLX,
  GIFBS_HasVAES_NoVLX,
  GIFBS_HasVBMI2_HasVLX,
  GIFBS_HasVLX_HasVPCLMULQDQ,
  GIFBS_HasVLX_HasVPOPCNTDQ,
  GIFBS_HasVPCLMULQDQ_NoVLX,
  GIFBS_HasWAITPKG_In64BitMode,
  GIFBS_HasWAITPKG_Not64BitMode,
  GIFBS_HasXSAVE_In64BitMode,
  GIFBS_HasXSAVEC_In64BitMode,
  GIFBS_HasXSAVEOPT_In64BitMode,
  GIFBS_HasXSAVES_In64BitMode,
  GIFBS_In64BitMode_UseIncDec,
  GIFBS_In64BitMode_UseSSE2,
  GIFBS_NoNDD_UseIncDec,
  GIFBS_Not64BitMode_OptForSize,
  GIFBS_NotWin64WithoutFP_OptForMinSize,
  GIFBS_OptForSize_UseAVX,
  GIFBS_OptForSize_UseSSE1,
  GIFBS_OptForSize_UseSSE2,
  GIFBS_HasAES_HasAVX_NoVLX_Or_NoVAES,
  GIFBS_HasAMXAVX512_HasAVX10_2_512_In64BitMode,
  GIFBS_HasAMXBF16_HasAMXTRANSPOSE_In64BitMode,
  GIFBS_HasAMXCOMPLEX_HasAMXTRANSPOSE_In64BitMode,
  GIFBS_HasAMXFP16_HasAMXTRANSPOSE_In64BitMode,
  GIFBS_HasAMXTF32_HasAMXTRANSPOSE_In64BitMode,
  GIFBS_HasAMXTILE_HasEGPR_In64BitMode,
  GIFBS_HasAMXTILE_In64BitMode_NoEGPR,
  GIFBS_HasAVX_HasPCLMUL_NoVLX_Or_NoVPCLMULQDQ,
  GIFBS_HasAVX10_2_HasMOVRS_In64BitMode,
  GIFBS_HasAVX10_2_512_HasMOVRS_In64BitMode,
  GIFBS_HasAVX512_HasEGPR_In64BitMode,
  GIFBS_HasAVX512_HasEVEX512_NoVLX,
  GIFBS_HasBITALG_HasEVEX512_NoVLX,
  GIFBS_HasBWI_HasEGPR_In64BitMode,
  GIFBS_HasBWI_HasEVEX512_NoVLX,
  GIFBS_HasCDI_HasEVEX512_NoVLX,
  GIFBS_HasCRC32_HasEGPR_In64BitMode,
  GIFBS_HasDQI_HasEGPR_In64BitMode,
  GIFBS_HasDQI_HasEVEX512_NoVLX,
  GIFBS_HasDQI_HasVLX_NoBWI,
  GIFBS_HasEGPR_HasMOVBE_In64BitMode,
  GIFBS_HasEGPR_HasMOVDIR64B_In64BitMode,
  GIFBS_HasEGPR_HasMOVDIRI_In64BitMode,
  GIFBS_HasEGPR_HasMOVRS_In64BitMode,
  GIFBS_HasEGPR_HasUSERMSR_In64BitMode,
  GIFBS_HasEVEX512_HasVPOPCNTDQ_NoVLX,
  GIFBS_HasFMA_NoAVX512_NoFMA4,
  GIFBS_HasFMA_NoFMA4_NoVLX,
  GIFBS_HasMOVBE_HasNDD_In64BitMode,
  GIFBS_HasMOVDIR64B_In64BitMode_NoEGPR,
  GIFBS_HasMOVDIRI_In64BitMode_NoEGPR,
  GIFBS_HasMOVRS_In64BitMode_NoEGPR,
};
constexpr static PredicateBitset FeatureBitsets[] {
  {}, // GIFBS_Invalid
  {Feature_FPStackf32Bit, },
  {Feature_FPStackf64Bit, },
  {Feature_HasAVXBit, },
  {Feature_HasAVX1OnlyBit, },
  {Feature_HasAVX2Bit, },
  {Feature_HasAVX512Bit, },
  {Feature_HasAVXNECONVERTBit, },
  {Feature_HasBITALGBit, },
  {Feature_HasBMIBit, },
  {Feature_HasBWIBit, },
  {Feature_HasCDIBit, },
  {Feature_HasCLDEMOTEBit, },
  {Feature_HasCLFLUSHBit, },
  {Feature_HasCLFLUSHOPTBit, },
  {Feature_HasCLWBBit, },
  {Feature_HasDQIBit, },
  {Feature_HasFP16Bit, },
  {Feature_HasFXSRBit, },
  {Feature_HasFastSHLDRotateBit, },
  {Feature_HasKLBit, },
  {Feature_HasLWPBit, },
  {Feature_HasLZCNTBit, },
  {Feature_HasMFenceBit, },
  {Feature_HasMMXBit, },
  {Feature_HasMOVBEBit, },
  {Feature_HasMOVRSBit, },
  {Feature_HasMWAITXBit, },
  {Feature_HasNDDBit, },
  {Feature_HasPOPCNTBit, },
  {Feature_HasPTWRITEBit, },
  {Feature_HasPrefetchWBit, },
  {Feature_HasRTMBit, },
  {Feature_HasSERIALIZEBit, },
  {Feature_HasSHABit, },
  {Feature_HasSHA512Bit, },
  {Feature_HasSM3Bit, },
  {Feature_HasSM4Bit, },
  {Feature_HasSSE1Bit, },
  {Feature_HasSSE2Bit, },
  {Feature_HasSSE3Bit, },
  {Feature_HasSSE4ABit, },
  {Feature_HasSSEPrefetchBit, },
  {Feature_HasTBMBit, },
  {Feature_HasTSXLDTRKBit, },
  {Feature_HasVBMI2Bit, },
  {Feature_HasVLXBit, },
  {Feature_HasVPOPCNTDQBit, },
  {Feature_HasWAITPKGBit, },
  {Feature_HasWBNOINVDBit, },
  {Feature_HasX87Bit, },
  {Feature_HasXOPBit, },
  {Feature_HasXSAVEBit, },
  {Feature_HasXSAVECBit, },
  {Feature_HasXSAVEOPTBit, },
  {Feature_HasXSAVESBit, },
  {Feature_HasZUBit, },
  {Feature_In64BitModeBit, },
  {Feature_IsPSBit, },
  {Feature_NoAVXBit, },
  {Feature_NoDQIBit, },
  {Feature_NoEGPRBit, },
  {Feature_NoNDDBit, },
  {Feature_NoNDD_Or_NoMOVBEBit, },
  {Feature_Not64BitModeBit, },
  {Feature_NotPSBit, },
  {Feature_UseAVXBit, },
  {Feature_UseIncDecBit, },
  {Feature_UseSSE1Bit, },
  {Feature_UseSSE2Bit, },
  {Feature_UseSSE3Bit, },
  {Feature_UseSSE41Bit, },
  {Feature_UseSSSE3Bit, },
  {Feature_HasAESBit, Feature_HasAVXBit, },
  {Feature_HasAESBit, Feature_NoAVXBit, },
  {Feature_HasAMXBF16Bit, Feature_In64BitModeBit, },
  {Feature_HasAMXCOMPLEXBit, Feature_In64BitModeBit, },
  {Feature_HasAMXFP16Bit, Feature_In64BitModeBit, },
  {Feature_HasAMXFP8Bit, Feature_In64BitModeBit, },
  {Feature_HasAMXINT8Bit, Feature_In64BitModeBit, },
  {Feature_HasAMXTF32Bit, Feature_In64BitModeBit, },
  {Feature_HasAMXTILEBit, Feature_In64BitModeBit, },
  {Feature_HasAMXTRANSPOSEBit, Feature_In64BitModeBit, },
  {Feature_HasAVXBit, Feature_In64BitModeBit, },
  {Feature_HasAVXBit, Feature_NoBWIBit, },
  {Feature_HasAVXBit, Feature_NoVLXBit, },
  {Feature_HasAVXBit, Feature_NoVLX_Or_NoBWIBit, },
  {Feature_HasAVX10_2Bit, Feature_HasSM4Bit, },
  {Feature_HasAVX10_2_512Bit, Feature_HasSM4Bit, },
  {Feature_HasAVX2Bit, Feature_NoVLXBit, },
  {Feature_HasAVX2Bit, Feature_NoVLX_Or_NoBWIBit, },
  {Feature_HasAVX512Bit, Feature_HasVAESBit, },
  {Feature_HasAVX512Bit, Feature_HasVLXBit, },
  {Feature_HasAVX512Bit, Feature_HasVPCLMULQDQBit, },
  {Feature_HasAVX512Bit, Feature_NoBWIBit, },
  {Feature_HasAVX512Bit, Feature_NoDQIBit, },
  {Feature_HasAVX512Bit, Feature_NoEGPRBit, },
  {Feature_HasAVX512Bit, Feature_OptForSizeBit, },
  {Feature_HasBITALGBit, Feature_HasVLXBit, },
  {Feature_HasBMIBit, Feature_HasEGPRBit, },
  {Feature_HasBMIBit, Feature_NoEGPRBit, },
  {Feature_HasBMI2Bit, Feature_HasEGPRBit, },
  {Feature_HasBMI2Bit, Feature_NoEGPRBit, },
  {Feature_HasBWIBit, Feature_HasVLXBit, },
  {Feature_HasBWIBit, Feature_NoEGPRBit, },
  {Feature_HasCDIBit, Feature_HasVLXBit, },
  {Feature_HasCRC32Bit, Feature_NoEGPRBit, },
  {Feature_HasDQIBit, Feature_HasVLXBit, },
  {Feature_HasDQIBit, Feature_NoBWIBit, },
  {Feature_HasDQIBit, Feature_NoEGPRBit, },
  {Feature_HasEGPRBit, Feature_HasINVPCIDBit, },
  {Feature_HasEGPRBit, Feature_In64BitModeBit, },
  {Feature_HasEVEX512Bit, Feature_NoVLXBit, },
  {Feature_HasFMA4Bit, Feature_NoAVX512Bit, },
  {Feature_HasFMA4Bit, Feature_NoVLXBit, },
  {Feature_HasFP16Bit, Feature_HasVLXBit, },
  {Feature_HasFP16Bit, Feature_In64BitModeBit, },
  {Feature_HasFP16Bit, Feature_OptForSizeBit, },
  {Feature_HasFSGSBaseBit, Feature_In64BitModeBit, },
  {Feature_HasFXSRBit, Feature_In64BitModeBit, },
  {Feature_HasINVPCIDBit, Feature_NoEGPRBit, },
  {Feature_HasINVPCIDBit, Feature_Not64BitModeBit, },
  {Feature_HasMOVBEBit, Feature_NoEGPRBit, },
  {Feature_HasMOVDIR64BBit, Feature_NoEGPRBit, },
  {Feature_HasMOVDIRIBit, Feature_NoEGPRBit, },
  {Feature_HasNDDBit, Feature_In64BitModeBit, },
  {Feature_HasNDDBit, Feature_UseIncDecBit, },
  {Feature_HasPCLMULBit, Feature_NoAVXBit, },
  {Feature_HasPREFETCHIBit, Feature_In64BitModeBit, },
  {Feature_HasPTWRITEBit, Feature_In64BitModeBit, },
  {Feature_HasRDPIDBit, Feature_In64BitModeBit, },
  {Feature_HasRDPIDBit, Feature_Not64BitModeBit, },
  {Feature_HasUINTRBit, Feature_In64BitModeBit, },
  {Feature_HasUSERMSRBit, Feature_NoEGPRBit, },
  {Feature_HasVAESBit, Feature_HasVLXBit, },
  {Feature_HasVAESBit, Feature_NoVLXBit, },
  {Feature_HasVBMI2Bit, Feature_HasVLXBit, },
  {Feature_HasVLXBit, Feature_HasVPCLMULQDQBit, },
  {Feature_HasVLXBit, Feature_HasVPOPCNTDQBit, },
  {Feature_HasVPCLMULQDQBit, Feature_NoVLXBit, },
  {Feature_HasWAITPKGBit, Feature_In64BitModeBit, },
  {Feature_HasWAITPKGBit, Feature_Not64BitModeBit, },
  {Feature_HasXSAVEBit, Feature_In64BitModeBit, },
  {Feature_HasXSAVECBit, Feature_In64BitModeBit, },
  {Feature_HasXSAVEOPTBit, Feature_In64BitModeBit, },
  {Feature_HasXSAVESBit, Feature_In64BitModeBit, },
  {Feature_In64BitModeBit, Feature_UseIncDecBit, },
  {Feature_In64BitModeBit, Feature_UseSSE2Bit, },
  {Feature_NoNDDBit, Feature_UseIncDecBit, },
  {Feature_Not64BitModeBit, Feature_OptForSizeBit, },
  {Feature_NotWin64WithoutFPBit, Feature_OptForMinSizeBit, },
  {Feature_OptForSizeBit, Feature_UseAVXBit, },
  {Feature_OptForSizeBit, Feature_UseSSE1Bit, },
  {Feature_OptForSizeBit, Feature_UseSSE2Bit, },
  {Feature_HasAESBit, Feature_HasAVXBit, Feature_NoVLX_Or_NoVAESBit, },
  {Feature_HasAMXAVX512Bit, Feature_HasAVX10_2_512Bit, Feature_In64BitModeBit, },
  {Feature_HasAMXBF16Bit, Feature_HasAMXTRANSPOSEBit, Feature_In64BitModeBit, },
  {Feature_HasAMXCOMPLEXBit, Feature_HasAMXTRANSPOSEBit, Feature_In64BitModeBit, },
  {Feature_HasAMXFP16Bit, Feature_HasAMXTRANSPOSEBit, Feature_In64BitModeBit, },
  {Feature_HasAMXTF32Bit, Feature_HasAMXTRANSPOSEBit, Feature_In64BitModeBit, },
  {Feature_HasAMXTILEBit, Feature_HasEGPRBit, Feature_In64BitModeBit, },
  {Feature_HasAMXTILEBit, Feature_In64BitModeBit, Feature_NoEGPRBit, },
  {Feature_HasAVXBit, Feature_HasPCLMULBit, Feature_NoVLX_Or_NoVPCLMULQDQBit, },
  {Feature_HasAVX10_2Bit, Feature_HasMOVRSBit, Feature_In64BitModeBit, },
  {Feature_HasAVX10_2_512Bit, Feature_HasMOVRSBit, Feature_In64BitModeBit, },
  {Feature_HasAVX512Bit, Feature_HasEGPRBit, Feature_In64BitModeBit, },
  {Feature_HasAVX512Bit, Feature_HasEVEX512Bit, Feature_NoVLXBit, },
  {Feature_HasBITALGBit, Feature_HasEVEX512Bit, Feature_NoVLXBit, },
  {Feature_HasBWIBit, Feature_HasEGPRBit, Feature_In64BitModeBit, },
  {Feature_HasBWIBit, Feature_HasEVEX512Bit, Feature_NoVLXBit, },
  {Feature_HasCDIBit, Feature_HasEVEX512Bit, Feature_NoVLXBit, },
  {Feature_HasCRC32Bit, Feature_HasEGPRBit, Feature_In64BitModeBit, },
  {Feature_HasDQIBit, Feature_HasEGPRBit, Feature_In64BitModeBit, },
  {Feature_HasDQIBit, Feature_HasEVEX512Bit, Feature_NoVLXBit, },
  {Feature_HasDQIBit, Feature_HasVLXBit, Feature_NoBWIBit, },
  {Feature_HasEGPRBit, Feature_HasMOVBEBit, Feature_In64BitModeBit, },
  {Feature_HasEGPRBit, Feature_HasMOVDIR64BBit, Feature_In64BitModeBit, },
  {Feature_HasEGPRBit, Feature_HasMOVDIRIBit, Feature_In64BitModeBit, },
  {Feature_HasEGPRBit, Feature_HasMOVRSBit, Feature_In64BitModeBit, },
  {Feature_HasEGPRBit, Feature_HasUSERMSRBit, Feature_In64BitModeBit, },
  {Feature_HasEVEX512Bit, Feature_HasVPOPCNTDQBit, Feature_NoVLXBit, },
  {Feature_HasFMABit, Feature_NoAVX512Bit, Feature_NoFMA4Bit, },
  {Feature_HasFMABit, Feature_NoFMA4Bit, Feature_NoVLXBit, },
  {Feature_HasMOVBEBit, Feature_HasNDDBit, Feature_In64BitModeBit, },
  {Feature_HasMOVDIR64BBit, Feature_In64BitModeBit, Feature_NoEGPRBit, },
  {Feature_HasMOVDIRIBit, Feature_In64BitModeBit, Feature_NoEGPRBit, },
  {Feature_HasMOVRSBit, Feature_In64BitModeBit, Feature_NoEGPRBit, },
};

// ComplexPattern predicates.
enum {
  GICP_Invalid,
  GICP_gi_addr,
};
// See constructor for table contents

X86InstructionSelector::ComplexMatcherMemFn
X86InstructionSelector::ComplexPredicateFns[] = {
  nullptr, // GICP_Invalid
  &X86InstructionSelector::selectAddr, // gi_addr
};

// PatFrag predicates.
enum {
  GICXXPred_MI_Predicate_alignedload = GICXXPred_Invalid + 1,
  GICXXPred_MI_Predicate_alignedstore,
  GICXXPred_MI_Predicate_imm_su,
  GICXXPred_MI_Predicate_loadi8,
  GICXXPred_MI_Predicate_loadi16,
  GICXXPred_MI_Predicate_loadi32,
};
bool X86InstructionSelector::testMIPredicate_MI(unsigned PredicateID, const MachineInstr & MI, const MatcherState &State) const {
  const MachineFunction &MF = *MI.getParent()->getParent();
  const MachineRegisterInfo &MRI = MF.getRegInfo();
  const auto &Operands = State.RecordedOperands;
  (void)Operands;
  (void)MRI;
  switch (PredicateID) {
  case GICXXPred_MI_Predicate_alignedload: {
    
        auto &LdSt = cast<GLoadStore>(MI);
        return LdSt.getAlign() >= LdSt.getMemSize().getValue();
      
    llvm_unreachable("alignedload should have returned");
  }
  case GICXXPred_MI_Predicate_alignedstore: {
    
        auto &LdSt = cast<GLoadStore>(MI);
        return LdSt.getAlign() >= LdSt.getMemSize().getValue();
      
    llvm_unreachable("alignedstore should have returned");
  }
  case GICXXPred_MI_Predicate_imm_su: {
     return true; 
  }
  case GICXXPred_MI_Predicate_loadi8: {
     return isa<GLoad>(MI); 
  }
  case GICXXPred_MI_Predicate_loadi16: {
    
        auto &Load = cast<GLoad>(MI);
        LLT Ty = MRI.getType(Load.getDstReg());
        // Non extending load has MMO and destination types of the same size
        if (Load.getMemSizeInBits() == Ty.getSizeInBits())
           return true;
        return Load.getAlign() >= 2 && Load.isSimple();
      
    llvm_unreachable("loadi16 should have returned");
  }
  case GICXXPred_MI_Predicate_loadi32: {
    
        auto &Load = cast<GLoad>(MI);
        LLT Ty = MRI.getType(Load.getDstReg());
        // Non extending load has MMO and destination types of the same size
        if (Load.getMemSizeInBits() == Ty.getSizeInBits())
           return true;
        return Load.getAlign() >= 4 && Load.isSimple();
      
    llvm_unreachable("loadi32 should have returned");
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_I64_Predicate_AndMask64 = GICXXPred_Invalid + 1,
  GICXXPred_I64_Predicate_BTCBTSMask64,
  GICXXPred_I64_Predicate_BTRMask64,
  GICXXPred_I64_Predicate_i16immSExt8,
  GICXXPred_I64_Predicate_i32immSExt8,
  GICXXPred_I64_Predicate_i64immSExt8,
  GICXXPred_I64_Predicate_i64immSExt32,
  GICXXPred_I64_Predicate_i64immZExt32,
  GICXXPred_I64_Predicate_i64immZExt32SExt8,
  GICXXPred_I64_Predicate_i64timmSExt32,
  GICXXPred_I64_Predicate_immff00_ffff,
};
bool X86InstructionSelector::testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const {
  switch (PredicateID) {
  case GICXXPred_I64_Predicate_AndMask64: {
    
      return isMask_64(Imm) && !isUInt<32>(Imm);
    
  }
  case GICXXPred_I64_Predicate_BTCBTSMask64: {
    
      return !isInt<32>(Imm) && isPowerOf2_64(Imm);
    
  }
  case GICXXPred_I64_Predicate_BTRMask64: {
    
      return !isUInt<32>(Imm) && !isInt<32>(Imm) && isPowerOf2_64(~Imm);
    
  }
  case GICXXPred_I64_Predicate_i16immSExt8: {
     return isInt<8>(Imm); 
  }
  case GICXXPred_I64_Predicate_i32immSExt8: {
     return isInt<8>(Imm); 
  }
  case GICXXPred_I64_Predicate_i64immSExt8: {
     return isInt<8>(Imm); 
  }
  case GICXXPred_I64_Predicate_i64immSExt32: {
     return isInt<32>(Imm); 
  }
  case GICXXPred_I64_Predicate_i64immZExt32: {
     return isUInt<32>(Imm); 
  }
  case GICXXPred_I64_Predicate_i64immZExt32SExt8: {
    
      return isUInt<32>(Imm) && isInt<8>(static_cast<int32_t>(Imm));
    
  }
  case GICXXPred_I64_Predicate_i64timmSExt32: {
     return isInt<32>(Imm); 
  }
  case GICXXPred_I64_Predicate_immff00_ffff: {
    
      return Imm >= 0xff00 && Imm <= 0xffff;
    
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_APFloat_Predicate_fpimm0 = GICXXPred_Invalid + 1,
  GICXXPred_APFloat_Predicate_fpimm1,
  GICXXPred_APFloat_Predicate_fpimmneg0,
  GICXXPred_APFloat_Predicate_fpimmneg1,
};
bool X86InstructionSelector::testImmPredicate_APFloat(unsigned PredicateID, const APFloat & Imm) const {
  switch (PredicateID) {
  case GICXXPred_APFloat_Predicate_fpimm0: {
    
      return Imm.isExactlyValue(+0.0);
    
  }
  case GICXXPred_APFloat_Predicate_fpimm1: {
    
      return Imm.isExactlyValue(+1.0);
    
  }
  case GICXXPred_APFloat_Predicate_fpimmneg0: {
    
      return Imm.isExactlyValue(-0.0);
    
  }
  case GICXXPred_APFloat_Predicate_fpimmneg1: {
    
      return Imm.isExactlyValue(-1.0);
    
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
bool X86InstructionSelector::testImmPredicate_APInt(unsigned PredicateID, const APInt & Imm) const {
  llvm_unreachable("Unknown predicate");
  return false;
}
bool X86InstructionSelector::testSimplePredicate(unsigned) const {
    llvm_unreachable("X86InstructionSelector does not support simple predicates!");
  return false;
}
// Custom renderers.
enum {
  GICR_Invalid,
};
X86InstructionSelector::CustomRendererFn
X86InstructionSelector::CustomRenderers[] = {
  nullptr, // GICR_Invalid
};

bool X86InstructionSelector::selectImpl(MachineInstr &I, CodeGenCoverage &CoverageInfo) const {
  const PredicateBitset AvailableFeatures = getAvailableFeatures();
  MachineIRBuilder B(I);
  State.MIs.clear();
  State.MIs.push_back(&I);

  if (executeMatchTable(*this, State, ExecInfo, B, getMatchTable(), TII, MF->getRegInfo(), TRI, RBI, AvailableFeatures, &CoverageInfo)) {
    return true;
  }

  return false;
}

bool X86InstructionSelector::runCustomAction(unsigned, const MatcherState&, NewMIVector &) const {
    llvm_unreachable("X86InstructionSelector does not support custom C++ actions!");
}
#if __BYTE_ORDER__ == __ORDER_LITTLE_ENDIAN__
#define GIMT_Encode2(Val) uint8_t(Val), uint8_t((uint16_t)Val >> 8)
#define GIMT_Encode4(Val) uint8_t(Val), uint8_t((uint32_t)Val >> 8), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 24)
#define GIMT_Encode8(Val) uint8_t(Val), uint8_t((uint64_t)Val >> 8), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 24),  uint8_t((uint64_t)Val >> 32), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 56)
#else
#define GIMT_Encode2(Val) uint8_t((uint16_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode4(Val) uint8_t((uint32_t)Val >> 24), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode8(Val) uint8_t((uint64_t)Val >> 56), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 32),  uint8_t((uint64_t)Val >> 24), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 8), uint8_t(Val)
#endif
const uint8_t *X86InstructionSelector::getMatchTable() const {
  constexpr static uint8_t MatchTable0[] = {
     /*      0 */ GIM_SwitchOpcode, /*MI*/0, /*[*/GIMT_Encode2(53), GIMT_Encode2(287), /*)*//*default:*//*Label 77*/ GIMT_Encode4(229148),
     /*     10 */ /*TargetOpcode::G_ADD*//*Label 0*/ GIMT_Encode4(946),
     /*     14 */ /*TargetOpcode::G_SUB*//*Label 1*/ GIMT_Encode4(7179),
     /*     18 */ /*TargetOpcode::G_MUL*//*Label 2*/ GIMT_Encode4(10715), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     46 */ /*TargetOpcode::G_AND*//*Label 3*/ GIMT_Encode4(14498),
     /*     50 */ /*TargetOpcode::G_OR*//*Label 4*/ GIMT_Encode4(25090),
     /*     54 */ /*TargetOpcode::G_XOR*//*Label 5*/ GIMT_Encode4(33494), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    114 */ /*TargetOpcode::G_CONCAT_VECTORS*//*Label 6*/ GIMT_Encode4(46195), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    126 */ /*TargetOpcode::G_BITCAST*//*Label 7*/ GIMT_Encode4(46362), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    150 */ /*TargetOpcode::G_INTRINSIC_LRINT*//*Label 8*/ GIMT_Encode4(48652),
     /*    154 */ /*TargetOpcode::G_INTRINSIC_LLRINT*//*Label 9*/ GIMT_Encode4(51830), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    170 */ /*TargetOpcode::G_LOAD*//*Label 10*/ GIMT_Encode4(53050),
     /*    174 */ /*TargetOpcode::G_SEXTLOAD*//*Label 11*/ GIMT_Encode4(59275),
     /*    178 */ /*TargetOpcode::G_ZEXTLOAD*//*Label 12*/ GIMT_Encode4(59608), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    194 */ /*TargetOpcode::G_STORE*//*Label 13*/ GIMT_Encode4(60263), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    210 */ /*TargetOpcode::G_ATOMICRMW_XCHG*//*Label 14*/ GIMT_Encode4(85726),
     /*    214 */ /*TargetOpcode::G_ATOMICRMW_ADD*//*Label 15*/ GIMT_Encode4(85962), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    290 */ /*TargetOpcode::G_PREFETCH*//*Label 16*/ GIMT_Encode4(86210), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    306 */ /*TargetOpcode::G_INTRINSIC*//*Label 17*/ GIMT_Encode4(86529),
     /*    310 */ /*TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS*//*Label 18*/ GIMT_Encode4(100355), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    322 */ /*TargetOpcode::G_ANYEXT*//*Label 19*/ GIMT_Encode4(109430),
     /*    326 */ /*TargetOpcode::G_TRUNC*//*Label 20*/ GIMT_Encode4(109865),
     /*    330 */ /*TargetOpcode::G_CONSTANT*//*Label 21*/ GIMT_Encode4(110954),
     /*    334 */ /*TargetOpcode::G_FCONSTANT*//*Label 22*/ GIMT_Encode4(111560), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    346 */ /*TargetOpcode::G_SEXT*//*Label 23*/ GIMT_Encode4(112013),
     /*    350 */ /*TargetOpcode::G_SEXT_INREG*//*Label 24*/ GIMT_Encode4(113685),
     /*    354 */ /*TargetOpcode::G_ZEXT*//*Label 25*/ GIMT_Encode4(113927),
     /*    358 */ /*TargetOpcode::G_SHL*//*Label 26*/ GIMT_Encode4(115911),
     /*    362 */ /*TargetOpcode::G_LSHR*//*Label 27*/ GIMT_Encode4(118195),
     /*    366 */ /*TargetOpcode::G_ASHR*//*Label 28*/ GIMT_Encode4(120239),
     /*    370 */ /*TargetOpcode::G_FSHL*//*Label 29*/ GIMT_Encode4(122283),
     /*    374 */ /*TargetOpcode::G_FSHR*//*Label 30*/ GIMT_Encode4(123011),
     /*    378 */ /*TargetOpcode::G_ROTR*//*Label 31*/ GIMT_Encode4(123699),
     /*    382 */ /*TargetOpcode::G_ROTL*//*Label 32*/ GIMT_Encode4(127197),
     /*    386 */ /*TargetOpcode::G_ICMP*//*Label 33*/ GIMT_Encode4(130917), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    402 */ /*TargetOpcode::G_SELECT*//*Label 34*/ GIMT_Encode4(132574), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    446 */ /*TargetOpcode::G_UMULH*//*Label 35*/ GIMT_Encode4(140240),
     /*    450 */ /*TargetOpcode::G_SMULH*//*Label 36*/ GIMT_Encode4(141105),
     /*    454 */ /*TargetOpcode::G_UADDSAT*//*Label 37*/ GIMT_Encode4(141970),
     /*    458 */ /*TargetOpcode::G_SADDSAT*//*Label 38*/ GIMT_Encode4(143656),
     /*    462 */ /*TargetOpcode::G_USUBSAT*//*Label 39*/ GIMT_Encode4(145342),
     /*    466 */ /*TargetOpcode::G_SSUBSAT*//*Label 40*/ GIMT_Encode4(146408), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    510 */ /*TargetOpcode::G_FADD*//*Label 41*/ GIMT_Encode4(147474),
     /*    514 */ /*TargetOpcode::G_FSUB*//*Label 42*/ GIMT_Encode4(152624),
     /*    518 */ /*TargetOpcode::G_FMUL*//*Label 43*/ GIMT_Encode4(156042),
     /*    522 */ /*TargetOpcode::G_FMA*//*Label 44*/ GIMT_Encode4(161192), GIMT_Encode4(0),
     /*    530 */ /*TargetOpcode::G_FDIV*//*Label 45*/ GIMT_Encode4(167180), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    578 */ /*TargetOpcode::G_FNEG*//*Label 46*/ GIMT_Encode4(170598),
     /*    582 */ /*TargetOpcode::G_FPEXT*//*Label 47*/ GIMT_Encode4(170721),
     /*    586 */ /*TargetOpcode::G_FPTRUNC*//*Label 48*/ GIMT_Encode4(171653),
     /*    590 */ /*TargetOpcode::G_FPTOSI*//*Label 49*/ GIMT_Encode4(172039),
     /*    594 */ /*TargetOpcode::G_FPTOUI*//*Label 50*/ GIMT_Encode4(173420),
     /*    598 */ /*TargetOpcode::G_SITOFP*//*Label 51*/ GIMT_Encode4(173976),
     /*    602 */ /*TargetOpcode::G_UITOFP*//*Label 52*/ GIMT_Encode4(177352), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    614 */ /*TargetOpcode::G_FABS*//*Label 53*/ GIMT_Encode4(179599), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    686 */ /*TargetOpcode::G_SMIN*//*Label 54*/ GIMT_Encode4(179722),
     /*    690 */ /*TargetOpcode::G_SMAX*//*Label 55*/ GIMT_Encode4(183043),
     /*    694 */ /*TargetOpcode::G_UMIN*//*Label 56*/ GIMT_Encode4(186364),
     /*    698 */ /*TargetOpcode::G_UMAX*//*Label 57*/ GIMT_Encode4(189685),
     /*    702 */ /*TargetOpcode::G_ABS*//*Label 58*/ GIMT_Encode4(193006), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    714 */ /*TargetOpcode::G_BR*//*Label 59*/ GIMT_Encode4(194887), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    730 */ /*TargetOpcode::G_EXTRACT_SUBVECTOR*//*Label 60*/ GIMT_Encode4(194903), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    754 */ /*TargetOpcode::G_VECTOR_COMPRESS*//*Label 61*/ GIMT_Encode4(197832),
     /*    758 */ /*TargetOpcode::G_CTTZ*//*Label 62*/ GIMT_Encode4(199814),
     /*    762 */ /*TargetOpcode::G_CTTZ_ZERO_UNDEF*//*Label 63*/ GIMT_Encode4(200120),
     /*    766 */ /*TargetOpcode::G_CTLZ*//*Label 64*/ GIMT_Encode4(200507), GIMT_Encode4(0),
     /*    774 */ /*TargetOpcode::G_CTPOP*//*Label 65*/ GIMT_Encode4(201811),
     /*    778 */ /*TargetOpcode::G_BSWAP*//*Label 66*/ GIMT_Encode4(204073), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    834 */ /*TargetOpcode::G_FSQRT*//*Label 67*/ GIMT_Encode4(204573), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    874 */ /*TargetOpcode::G_STRICT_FADD*//*Label 68*/ GIMT_Encode4(206742),
     /*    878 */ /*TargetOpcode::G_STRICT_FSUB*//*Label 69*/ GIMT_Encode4(210908),
     /*    882 */ /*TargetOpcode::G_STRICT_FMUL*//*Label 70*/ GIMT_Encode4(213834),
     /*    886 */ /*TargetOpcode::G_STRICT_FDIV*//*Label 71*/ GIMT_Encode4(218000), GIMT_Encode4(0),
     /*    894 */ /*TargetOpcode::G_STRICT_FMA*//*Label 72*/ GIMT_Encode4(220926),
     /*    898 */ /*TargetOpcode::G_STRICT_FSQRT*//*Label 73*/ GIMT_Encode4(226914), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    934 */ /*TargetOpcode::G_TRAP*//*Label 74*/ GIMT_Encode4(229083),
     /*    938 */ /*TargetOpcode::G_DEBUGTRAP*//*Label 75*/ GIMT_Encode4(229096),
     /*    942 */ /*TargetOpcode::G_UBSANTRAP*//*Label 76*/ GIMT_Encode4(229132),
     /*    946 */ // Label 0: @946
     /*    946 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(25), /*)*//*default:*//*Label 94*/ GIMT_Encode4(7178),
     /*    957 */ /*GILLT_s8*//*Label 78*/ GIMT_Encode4(1053),
     /*    961 */ /*GILLT_s16*//*Label 79*/ GIMT_Encode4(1558),
     /*    965 */ /*GILLT_s32*//*Label 80*/ GIMT_Encode4(2208),
     /*    969 */ /*GILLT_s64*//*Label 81*/ GIMT_Encode4(2858), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    985 */ /*GILLT_v2s64*//*Label 82*/ GIMT_Encode4(3682), GIMT_Encode4(0),
     /*    993 */ /*GILLT_v4s32*//*Label 83*/ GIMT_Encode4(4024),
     /*    997 */ /*GILLT_v4s64*//*Label 84*/ GIMT_Encode4(4488), GIMT_Encode4(0),
     /*   1005 */ /*GILLT_v8s16*//*Label 85*/ GIMT_Encode4(4803),
     /*   1009 */ /*GILLT_v8s32*//*Label 86*/ GIMT_Encode4(5267),
     /*   1013 */ /*GILLT_v8s64*//*Label 87*/ GIMT_Encode4(5582), GIMT_Encode4(0),
     /*   1021 */ /*GILLT_v16s8*//*Label 88*/ GIMT_Encode4(5738),
     /*   1025 */ /*GILLT_v16s16*//*Label 89*/ GIMT_Encode4(6080),
     /*   1029 */ /*GILLT_v16s32*//*Label 90*/ GIMT_Encode4(6395), GIMT_Encode4(0),
     /*   1037 */ /*GILLT_v32s8*//*Label 91*/ GIMT_Encode4(6551),
     /*   1041 */ /*GILLT_v32s16*//*Label 92*/ GIMT_Encode4(6866), GIMT_Encode4(0),
     /*   1049 */ /*GILLT_v64s8*//*Label 93*/ GIMT_Encode4(7022),
     /*   1053 */ // Label 78: @1053
     /*   1053 */ GIM_Try, /*On fail goto*//*Label 95*/ GIMT_Encode4(1557),
     /*   1058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /*   1061 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /*   1064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   1068 */   GIM_Try, /*On fail goto*//*Label 96*/ GIMT_Encode4(1129), // Rule ID 26051 //
     /*   1073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   1076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   1080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   1084 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   1087 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   1091 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*   1095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   1099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   1101 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   1108 */     // (add:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, GR8:{ *:[i8] }:$src1)  =>  (ADD8rm:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   1108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD8rm),
     /*   1111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   1113 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   1115 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   1119 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   1122 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   1127 */     GIR_RootConstrainSelectedInstOperands,
     /*   1128 */     // GIR_Coverage, 26051,
     /*   1128 */     GIR_EraseRootFromParent_Done,
     /*   1129 */   // Label 96: @1129
     /*   1129 */   GIM_Try, /*On fail goto*//*Label 97*/ GIMT_Encode4(1190), // Rule ID 26070 //
     /*   1134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   1137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   1141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   1145 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   1148 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   1152 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*   1156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   1160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   1162 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   1169 */     // (add:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, GR8:{ *:[i8] }:$src1)  =>  (ADD8rm_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   1169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD8rm_ND),
     /*   1172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   1174 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   1176 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   1180 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   1183 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   1188 */     GIR_RootConstrainSelectedInstOperands,
     /*   1189 */     // GIR_Coverage, 26070,
     /*   1189 */     GIR_EraseRootFromParent_Done,
     /*   1190 */   // Label 97: @1190
     /*   1190 */   GIM_Try, /*On fail goto*//*Label 98*/ GIMT_Encode4(1251), // Rule ID 22793 //
     /*   1195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   1198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   1202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   1206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   1210 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   1213 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   1217 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*   1221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   1223 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   1230 */     // (add:{ *:[i8] } GR8:{ *:[i8] }:$src1, (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>)  =>  (ADD8rm:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   1230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD8rm),
     /*   1233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   1235 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   1237 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   1241 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   1244 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   1249 */     GIR_RootConstrainSelectedInstOperands,
     /*   1250 */     // GIR_Coverage, 22793,
     /*   1250 */     GIR_EraseRootFromParent_Done,
     /*   1251 */   // Label 98: @1251
     /*   1251 */   GIM_Try, /*On fail goto*//*Label 99*/ GIMT_Encode4(1312), // Rule ID 22883 //
     /*   1256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   1259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   1263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   1267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   1271 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   1274 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   1278 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*   1282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   1284 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   1291 */     // (add:{ *:[i8] } GR8:{ *:[i8] }:$src1, (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>)  =>  (ADD8rm_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   1291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD8rm_ND),
     /*   1294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   1296 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   1298 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   1302 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   1305 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   1310 */     GIR_RootConstrainSelectedInstOperands,
     /*   1311 */     // GIR_Coverage, 22883,
     /*   1311 */     GIR_EraseRootFromParent_Done,
     /*   1312 */   // Label 99: @1312
     /*   1312 */   GIM_Try, /*On fail goto*//*Label 100*/ GIMT_Encode4(1340), // Rule ID 22859 //
     /*   1317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD_UseIncDec),
     /*   1320 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   1324 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*   1328 */     // (add:{ *:[i8] } GR8:{ *:[i8] }:$src, 1:{ *:[i8] })  =>  (INC8r:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src)
     /*   1328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INC8r),
     /*   1331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   1333 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*   1335 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   1338 */     GIR_RootConstrainSelectedInstOperands,
     /*   1339 */     // GIR_Coverage, 22859,
     /*   1339 */     GIR_EraseRootFromParent_Done,
     /*   1340 */   // Label 100: @1340
     /*   1340 */   GIM_Try, /*On fail goto*//*Label 101*/ GIMT_Encode4(1368), // Rule ID 22863 //
     /*   1345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD_UseIncDec),
     /*   1348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   1352 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*   1356 */     // (add:{ *:[i8] } GR8:{ *:[i8] }:$src, -1:{ *:[i8] })  =>  (DEC8r:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src)
     /*   1356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DEC8r),
     /*   1359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   1361 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*   1363 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   1366 */     GIR_RootConstrainSelectedInstOperands,
     /*   1367 */     // GIR_Coverage, 22863,
     /*   1367 */     GIR_EraseRootFromParent_Done,
     /*   1368 */   // Label 101: @1368
     /*   1368 */   GIM_Try, /*On fail goto*//*Label 102*/ GIMT_Encode4(1396), // Rule ID 22949 //
     /*   1373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_UseIncDec),
     /*   1376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   1380 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*   1384 */     // (add:{ *:[i8] } GR8:{ *:[i8] }:$src, 1:{ *:[i8] })  =>  (INC8r_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src)
     /*   1384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INC8r_ND),
     /*   1387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   1389 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*   1391 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   1394 */     GIR_RootConstrainSelectedInstOperands,
     /*   1395 */     // GIR_Coverage, 22949,
     /*   1395 */     GIR_EraseRootFromParent_Done,
     /*   1396 */   // Label 102: @1396
     /*   1396 */   GIM_Try, /*On fail goto*//*Label 103*/ GIMT_Encode4(1424), // Rule ID 22953 //
     /*   1401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_UseIncDec),
     /*   1404 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   1408 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*   1412 */     // (add:{ *:[i8] } GR8:{ *:[i8] }:$src, -1:{ *:[i8] })  =>  (DEC8r_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src)
     /*   1412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DEC8r_ND),
     /*   1415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   1417 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*   1419 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   1422 */     GIR_RootConstrainSelectedInstOperands,
     /*   1423 */     // GIR_Coverage, 22953,
     /*   1423 */     GIR_EraseRootFromParent_Done,
     /*   1424 */   // Label 103: @1424
     /*   1424 */   GIM_Try, /*On fail goto*//*Label 104*/ GIMT_Encode4(1461), // Rule ID 22797 //
     /*   1429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   1432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   1436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   1440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   1444 */     // MIs[1] Operand 1
     /*   1444 */     // No operand predicates
     /*   1444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   1446 */     // (add:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (ADD8ri:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /*   1446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD8ri),
     /*   1449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   1451 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   1453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*   1456 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   1459 */     GIR_RootConstrainSelectedInstOperands,
     /*   1460 */     // GIR_Coverage, 22797,
     /*   1460 */     GIR_EraseRootFromParent_Done,
     /*   1461 */   // Label 104: @1461
     /*   1461 */   GIM_Try, /*On fail goto*//*Label 105*/ GIMT_Encode4(1498), // Rule ID 22887 //
     /*   1466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   1469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   1473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   1477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   1481 */     // MIs[1] Operand 1
     /*   1481 */     // No operand predicates
     /*   1481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   1483 */     // (add:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (ADD8ri_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /*   1483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD8ri_ND),
     /*   1486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   1488 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   1490 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*   1493 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   1496 */     GIR_RootConstrainSelectedInstOperands,
     /*   1497 */     // GIR_Coverage, 22887,
     /*   1497 */     GIR_EraseRootFromParent_Done,
     /*   1498 */   // Label 105: @1498
     /*   1498 */   GIM_Try, /*On fail goto*//*Label 106*/ GIMT_Encode4(1527), // Rule ID 22789 //
     /*   1503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   1506 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   1510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   1514 */     // (add:{ *:[i8] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (ADD8rr:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)
     /*   1514 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADD8rr),
     /*   1519 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*   1525 */     GIR_RootConstrainSelectedInstOperands,
     /*   1526 */     // GIR_Coverage, 22789,
     /*   1526 */     GIR_Done,
     /*   1527 */   // Label 106: @1527
     /*   1527 */   GIM_Try, /*On fail goto*//*Label 107*/ GIMT_Encode4(1556), // Rule ID 22879 //
     /*   1532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   1535 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   1539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   1543 */     // (add:{ *:[i8] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (ADD8rr_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)
     /*   1543 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADD8rr_ND),
     /*   1548 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*   1554 */     GIR_RootConstrainSelectedInstOperands,
     /*   1555 */     // GIR_Coverage, 22879,
     /*   1555 */     GIR_Done,
     /*   1556 */   // Label 107: @1556
     /*   1556 */   GIM_Reject,
     /*   1557 */ // Label 95: @1557
     /*   1557 */ GIM_Reject,
     /*   1558 */ // Label 79: @1558
     /*   1558 */ GIM_Try, /*On fail goto*//*Label 108*/ GIMT_Encode4(2207),
     /*   1563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*   1566 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /*   1569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   1573 */   GIM_Try, /*On fail goto*//*Label 109*/ GIMT_Encode4(1642), // Rule ID 22614 //
     /*   1578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   1581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   1585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   1589 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   1592 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   1596 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*   1600 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(128),
     /*   1611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   1613 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   1620 */     // (add:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, 128:{ *:[i16] })  =>  (SUB16mi_ND:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src, -128:{ *:[i16] })
     /*   1620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB16mi_ND),
     /*   1623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   1625 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*   1629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-128),
     /*   1632 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   1635 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   1640 */     GIR_RootConstrainSelectedInstOperands,
     /*   1641 */     // GIR_Coverage, 22614,
     /*   1641 */     GIR_EraseRootFromParent_Done,
     /*   1642 */   // Label 109: @1642
     /*   1642 */   GIM_Try, /*On fail goto*//*Label 110*/ GIMT_Encode4(1703), // Rule ID 26052 //
     /*   1647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   1650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   1654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   1658 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   1661 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   1665 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*   1669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   1673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   1675 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   1682 */     // (add:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, GR16:{ *:[i16] }:$src1)  =>  (ADD16rm:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   1682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD16rm),
     /*   1685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   1687 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   1689 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   1693 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   1696 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   1701 */     GIR_RootConstrainSelectedInstOperands,
     /*   1702 */     // GIR_Coverage, 26052,
     /*   1702 */     GIR_EraseRootFromParent_Done,
     /*   1703 */   // Label 110: @1703
     /*   1703 */   GIM_Try, /*On fail goto*//*Label 111*/ GIMT_Encode4(1764), // Rule ID 26071 //
     /*   1708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   1711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   1715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   1719 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   1722 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   1726 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*   1730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   1734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   1736 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   1743 */     // (add:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, GR16:{ *:[i16] }:$src1)  =>  (ADD16rm_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   1743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD16rm_ND),
     /*   1746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   1748 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   1750 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   1754 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   1757 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   1762 */     GIR_RootConstrainSelectedInstOperands,
     /*   1763 */     // GIR_Coverage, 26071,
     /*   1763 */     GIR_EraseRootFromParent_Done,
     /*   1764 */   // Label 111: @1764
     /*   1764 */   GIM_Try, /*On fail goto*//*Label 112*/ GIMT_Encode4(1825), // Rule ID 22794 //
     /*   1769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   1772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   1776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   1780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   1784 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   1787 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   1791 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*   1795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   1797 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   1804 */     // (add:{ *:[i16] } GR16:{ *:[i16] }:$src1, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (ADD16rm:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   1804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD16rm),
     /*   1807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   1809 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   1811 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   1815 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   1818 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   1823 */     GIR_RootConstrainSelectedInstOperands,
     /*   1824 */     // GIR_Coverage, 22794,
     /*   1824 */     GIR_EraseRootFromParent_Done,
     /*   1825 */   // Label 112: @1825
     /*   1825 */   GIM_Try, /*On fail goto*//*Label 113*/ GIMT_Encode4(1886), // Rule ID 22884 //
     /*   1830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   1833 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   1837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   1841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   1845 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   1848 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   1852 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*   1856 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   1858 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   1865 */     // (add:{ *:[i16] } GR16:{ *:[i16] }:$src1, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (ADD16rm_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   1865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD16rm_ND),
     /*   1868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   1870 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   1872 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   1876 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   1879 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   1884 */     GIR_RootConstrainSelectedInstOperands,
     /*   1885 */     // GIR_Coverage, 22884,
     /*   1885 */     GIR_EraseRootFromParent_Done,
     /*   1886 */   // Label 113: @1886
     /*   1886 */   GIM_Try, /*On fail goto*//*Label 114*/ GIMT_Encode4(1924), // Rule ID 22599 //
     /*   1891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   1894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   1898 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(128),
     /*   1909 */     // (add:{ *:[i16] } GR16:{ *:[i16] }:$src1, 128:{ *:[i16] })  =>  (SUB16ri:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, -128:{ *:[i16] })
     /*   1909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB16ri),
     /*   1912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   1914 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   1916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-128),
     /*   1919 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   1922 */     GIR_RootConstrainSelectedInstOperands,
     /*   1923 */     // GIR_Coverage, 22599,
     /*   1923 */     GIR_EraseRootFromParent_Done,
     /*   1924 */   // Label 114: @1924
     /*   1924 */   GIM_Try, /*On fail goto*//*Label 115*/ GIMT_Encode4(1962), // Rule ID 22605 //
     /*   1929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   1932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   1936 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(128),
     /*   1947 */     // (add:{ *:[i16] } GR16:{ *:[i16] }:$src1, 128:{ *:[i16] })  =>  (SUB16ri_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, -128:{ *:[i16] })
     /*   1947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB16ri_ND),
     /*   1950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   1952 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   1954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-128),
     /*   1957 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   1960 */     GIR_RootConstrainSelectedInstOperands,
     /*   1961 */     // GIR_Coverage, 22605,
     /*   1961 */     GIR_EraseRootFromParent_Done,
     /*   1962 */   // Label 115: @1962
     /*   1962 */   GIM_Try, /*On fail goto*//*Label 116*/ GIMT_Encode4(1990), // Rule ID 22860 //
     /*   1967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD_UseIncDec),
     /*   1970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   1974 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*   1978 */     // (add:{ *:[i16] } GR16:{ *:[i16] }:$src, 1:{ *:[i16] })  =>  (INC16r:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src)
     /*   1978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INC16r),
     /*   1981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   1983 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*   1985 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   1988 */     GIR_RootConstrainSelectedInstOperands,
     /*   1989 */     // GIR_Coverage, 22860,
     /*   1989 */     GIR_EraseRootFromParent_Done,
     /*   1990 */   // Label 116: @1990
     /*   1990 */   GIM_Try, /*On fail goto*//*Label 117*/ GIMT_Encode4(2018), // Rule ID 22864 //
     /*   1995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD_UseIncDec),
     /*   1998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   2002 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*   2006 */     // (add:{ *:[i16] } GR16:{ *:[i16] }:$src, -1:{ *:[i16] })  =>  (DEC16r:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src)
     /*   2006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DEC16r),
     /*   2009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2011 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*   2013 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2016 */     GIR_RootConstrainSelectedInstOperands,
     /*   2017 */     // GIR_Coverage, 22864,
     /*   2017 */     GIR_EraseRootFromParent_Done,
     /*   2018 */   // Label 117: @2018
     /*   2018 */   GIM_Try, /*On fail goto*//*Label 118*/ GIMT_Encode4(2046), // Rule ID 22950 //
     /*   2023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_UseIncDec),
     /*   2026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   2030 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*   2034 */     // (add:{ *:[i16] } GR16:{ *:[i16] }:$src, 1:{ *:[i16] })  =>  (INC16r_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src)
     /*   2034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INC16r_ND),
     /*   2037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2039 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*   2041 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2044 */     GIR_RootConstrainSelectedInstOperands,
     /*   2045 */     // GIR_Coverage, 22950,
     /*   2045 */     GIR_EraseRootFromParent_Done,
     /*   2046 */   // Label 118: @2046
     /*   2046 */   GIM_Try, /*On fail goto*//*Label 119*/ GIMT_Encode4(2074), // Rule ID 22954 //
     /*   2051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_UseIncDec),
     /*   2054 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   2058 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*   2062 */     // (add:{ *:[i16] } GR16:{ *:[i16] }:$src, -1:{ *:[i16] })  =>  (DEC16r_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src)
     /*   2062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DEC16r_ND),
     /*   2065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2067 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*   2069 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2072 */     GIR_RootConstrainSelectedInstOperands,
     /*   2073 */     // GIR_Coverage, 22954,
     /*   2073 */     GIR_EraseRootFromParent_Done,
     /*   2074 */   // Label 119: @2074
     /*   2074 */   GIM_Try, /*On fail goto*//*Label 120*/ GIMT_Encode4(2111), // Rule ID 22798 //
     /*   2079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   2082 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   2086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   2090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   2094 */     // MIs[1] Operand 1
     /*   2094 */     // No operand predicates
     /*   2094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   2096 */     // (add:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)  =>  (ADD16ri:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)
     /*   2096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD16ri),
     /*   2099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2101 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   2103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*   2106 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2109 */     GIR_RootConstrainSelectedInstOperands,
     /*   2110 */     // GIR_Coverage, 22798,
     /*   2110 */     GIR_EraseRootFromParent_Done,
     /*   2111 */   // Label 120: @2111
     /*   2111 */   GIM_Try, /*On fail goto*//*Label 121*/ GIMT_Encode4(2148), // Rule ID 22888 //
     /*   2116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   2119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   2123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   2127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   2131 */     // MIs[1] Operand 1
     /*   2131 */     // No operand predicates
     /*   2131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   2133 */     // (add:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)  =>  (ADD16ri_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)
     /*   2133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD16ri_ND),
     /*   2136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2138 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   2140 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*   2143 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2146 */     GIR_RootConstrainSelectedInstOperands,
     /*   2147 */     // GIR_Coverage, 22888,
     /*   2147 */     GIR_EraseRootFromParent_Done,
     /*   2148 */   // Label 121: @2148
     /*   2148 */   GIM_Try, /*On fail goto*//*Label 122*/ GIMT_Encode4(2177), // Rule ID 22790 //
     /*   2153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   2156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   2160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   2164 */     // (add:{ *:[i16] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)  =>  (ADD16rr:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)
     /*   2164 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADD16rr),
     /*   2169 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*   2175 */     GIR_RootConstrainSelectedInstOperands,
     /*   2176 */     // GIR_Coverage, 22790,
     /*   2176 */     GIR_Done,
     /*   2177 */   // Label 122: @2177
     /*   2177 */   GIM_Try, /*On fail goto*//*Label 123*/ GIMT_Encode4(2206), // Rule ID 22880 //
     /*   2182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   2185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   2189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   2193 */     // (add:{ *:[i16] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)  =>  (ADD16rr_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)
     /*   2193 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADD16rr_ND),
     /*   2198 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*   2204 */     GIR_RootConstrainSelectedInstOperands,
     /*   2205 */     // GIR_Coverage, 22880,
     /*   2205 */     GIR_Done,
     /*   2206 */   // Label 123: @2206
     /*   2206 */   GIM_Reject,
     /*   2207 */ // Label 108: @2207
     /*   2207 */ GIM_Reject,
     /*   2208 */ // Label 80: @2208
     /*   2208 */ GIM_Try, /*On fail goto*//*Label 124*/ GIMT_Encode4(2857),
     /*   2213 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   2216 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   2219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   2223 */   GIM_Try, /*On fail goto*//*Label 125*/ GIMT_Encode4(2292), // Rule ID 22615 //
     /*   2228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   2231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   2235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   2239 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   2242 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   2246 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*   2250 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(128),
     /*   2261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   2263 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   2270 */     // (add:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, 128:{ *:[i32] })  =>  (SUB32mi_ND:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src, -128:{ *:[i32] })
     /*   2270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB32mi_ND),
     /*   2273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2275 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*   2279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-128),
     /*   2282 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2285 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   2290 */     GIR_RootConstrainSelectedInstOperands,
     /*   2291 */     // GIR_Coverage, 22615,
     /*   2291 */     GIR_EraseRootFromParent_Done,
     /*   2292 */   // Label 125: @2292
     /*   2292 */   GIM_Try, /*On fail goto*//*Label 126*/ GIMT_Encode4(2353), // Rule ID 26053 //
     /*   2297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   2300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   2304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   2308 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   2311 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   2315 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*   2319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   2323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   2325 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   2332 */     // (add:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR32:{ *:[i32] }:$src1)  =>  (ADD32rm:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   2332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD32rm),
     /*   2335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2337 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   2339 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   2343 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2346 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   2351 */     GIR_RootConstrainSelectedInstOperands,
     /*   2352 */     // GIR_Coverage, 26053,
     /*   2352 */     GIR_EraseRootFromParent_Done,
     /*   2353 */   // Label 126: @2353
     /*   2353 */   GIM_Try, /*On fail goto*//*Label 127*/ GIMT_Encode4(2414), // Rule ID 26072 //
     /*   2358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   2361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   2365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   2369 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   2372 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   2376 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*   2380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   2384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   2386 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   2393 */     // (add:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR32:{ *:[i32] }:$src1)  =>  (ADD32rm_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   2393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD32rm_ND),
     /*   2396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2398 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   2400 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   2404 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2407 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   2412 */     GIR_RootConstrainSelectedInstOperands,
     /*   2413 */     // GIR_Coverage, 26072,
     /*   2413 */     GIR_EraseRootFromParent_Done,
     /*   2414 */   // Label 127: @2414
     /*   2414 */   GIM_Try, /*On fail goto*//*Label 128*/ GIMT_Encode4(2475), // Rule ID 22795 //
     /*   2419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   2422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   2426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   2430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   2434 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   2437 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   2441 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*   2445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   2447 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   2454 */     // (add:{ *:[i32] } GR32:{ *:[i32] }:$src1, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (ADD32rm:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   2454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD32rm),
     /*   2457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2459 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   2461 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   2465 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2468 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   2473 */     GIR_RootConstrainSelectedInstOperands,
     /*   2474 */     // GIR_Coverage, 22795,
     /*   2474 */     GIR_EraseRootFromParent_Done,
     /*   2475 */   // Label 128: @2475
     /*   2475 */   GIM_Try, /*On fail goto*//*Label 129*/ GIMT_Encode4(2536), // Rule ID 22885 //
     /*   2480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   2483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   2487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   2491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   2495 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   2498 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   2502 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*   2506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   2508 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   2515 */     // (add:{ *:[i32] } GR32:{ *:[i32] }:$src1, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (ADD32rm_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   2515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD32rm_ND),
     /*   2518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2520 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   2522 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   2526 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2529 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   2534 */     GIR_RootConstrainSelectedInstOperands,
     /*   2535 */     // GIR_Coverage, 22885,
     /*   2535 */     GIR_EraseRootFromParent_Done,
     /*   2536 */   // Label 129: @2536
     /*   2536 */   GIM_Try, /*On fail goto*//*Label 130*/ GIMT_Encode4(2574), // Rule ID 22600 //
     /*   2541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   2544 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   2548 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(128),
     /*   2559 */     // (add:{ *:[i32] } GR32:{ *:[i32] }:$src1, 128:{ *:[i32] })  =>  (SUB32ri:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, -128:{ *:[i32] })
     /*   2559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB32ri),
     /*   2562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2564 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   2566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-128),
     /*   2569 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2572 */     GIR_RootConstrainSelectedInstOperands,
     /*   2573 */     // GIR_Coverage, 22600,
     /*   2573 */     GIR_EraseRootFromParent_Done,
     /*   2574 */   // Label 130: @2574
     /*   2574 */   GIM_Try, /*On fail goto*//*Label 131*/ GIMT_Encode4(2612), // Rule ID 22606 //
     /*   2579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   2582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   2586 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(128),
     /*   2597 */     // (add:{ *:[i32] } GR32:{ *:[i32] }:$src1, 128:{ *:[i32] })  =>  (SUB32ri_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, -128:{ *:[i32] })
     /*   2597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB32ri_ND),
     /*   2600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2602 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   2604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-128),
     /*   2607 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2610 */     GIR_RootConstrainSelectedInstOperands,
     /*   2611 */     // GIR_Coverage, 22606,
     /*   2611 */     GIR_EraseRootFromParent_Done,
     /*   2612 */   // Label 131: @2612
     /*   2612 */   GIM_Try, /*On fail goto*//*Label 132*/ GIMT_Encode4(2640), // Rule ID 22861 //
     /*   2617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD_UseIncDec),
     /*   2620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   2624 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*   2628 */     // (add:{ *:[i32] } GR32:{ *:[i32] }:$src, 1:{ *:[i32] })  =>  (INC32r:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*   2628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INC32r),
     /*   2631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2633 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*   2635 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2638 */     GIR_RootConstrainSelectedInstOperands,
     /*   2639 */     // GIR_Coverage, 22861,
     /*   2639 */     GIR_EraseRootFromParent_Done,
     /*   2640 */   // Label 132: @2640
     /*   2640 */   GIM_Try, /*On fail goto*//*Label 133*/ GIMT_Encode4(2668), // Rule ID 22865 //
     /*   2645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD_UseIncDec),
     /*   2648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   2652 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*   2656 */     // (add:{ *:[i32] } GR32:{ *:[i32] }:$src, -1:{ *:[i32] })  =>  (DEC32r:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*   2656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DEC32r),
     /*   2659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2661 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*   2663 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2666 */     GIR_RootConstrainSelectedInstOperands,
     /*   2667 */     // GIR_Coverage, 22865,
     /*   2667 */     GIR_EraseRootFromParent_Done,
     /*   2668 */   // Label 133: @2668
     /*   2668 */   GIM_Try, /*On fail goto*//*Label 134*/ GIMT_Encode4(2696), // Rule ID 22951 //
     /*   2673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_UseIncDec),
     /*   2676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   2680 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*   2684 */     // (add:{ *:[i32] } GR32:{ *:[i32] }:$src, 1:{ *:[i32] })  =>  (INC32r_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*   2684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INC32r_ND),
     /*   2687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2689 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*   2691 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2694 */     GIR_RootConstrainSelectedInstOperands,
     /*   2695 */     // GIR_Coverage, 22951,
     /*   2695 */     GIR_EraseRootFromParent_Done,
     /*   2696 */   // Label 134: @2696
     /*   2696 */   GIM_Try, /*On fail goto*//*Label 135*/ GIMT_Encode4(2724), // Rule ID 22955 //
     /*   2701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_UseIncDec),
     /*   2704 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   2708 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*   2712 */     // (add:{ *:[i32] } GR32:{ *:[i32] }:$src, -1:{ *:[i32] })  =>  (DEC32r_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*   2712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DEC32r_ND),
     /*   2715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2717 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*   2719 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2722 */     GIR_RootConstrainSelectedInstOperands,
     /*   2723 */     // GIR_Coverage, 22955,
     /*   2723 */     GIR_EraseRootFromParent_Done,
     /*   2724 */   // Label 135: @2724
     /*   2724 */   GIM_Try, /*On fail goto*//*Label 136*/ GIMT_Encode4(2761), // Rule ID 22799 //
     /*   2729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   2732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   2736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   2740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   2744 */     // MIs[1] Operand 1
     /*   2744 */     // No operand predicates
     /*   2744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   2746 */     // (add:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)  =>  (ADD32ri:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)
     /*   2746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD32ri),
     /*   2749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2751 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   2753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*   2756 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2759 */     GIR_RootConstrainSelectedInstOperands,
     /*   2760 */     // GIR_Coverage, 22799,
     /*   2760 */     GIR_EraseRootFromParent_Done,
     /*   2761 */   // Label 136: @2761
     /*   2761 */   GIM_Try, /*On fail goto*//*Label 137*/ GIMT_Encode4(2798), // Rule ID 22889 //
     /*   2766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   2769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   2773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   2777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   2781 */     // MIs[1] Operand 1
     /*   2781 */     // No operand predicates
     /*   2781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   2783 */     // (add:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)  =>  (ADD32ri_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)
     /*   2783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD32ri_ND),
     /*   2786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2788 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   2790 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*   2793 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2796 */     GIR_RootConstrainSelectedInstOperands,
     /*   2797 */     // GIR_Coverage, 22889,
     /*   2797 */     GIR_EraseRootFromParent_Done,
     /*   2798 */   // Label 137: @2798
     /*   2798 */   GIM_Try, /*On fail goto*//*Label 138*/ GIMT_Encode4(2827), // Rule ID 22791 //
     /*   2803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   2806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   2810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   2814 */     // (add:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)  =>  (ADD32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /*   2814 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADD32rr),
     /*   2819 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*   2825 */     GIR_RootConstrainSelectedInstOperands,
     /*   2826 */     // GIR_Coverage, 22791,
     /*   2826 */     GIR_Done,
     /*   2827 */   // Label 138: @2827
     /*   2827 */   GIM_Try, /*On fail goto*//*Label 139*/ GIMT_Encode4(2856), // Rule ID 22881 //
     /*   2832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   2835 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   2839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   2843 */     // (add:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)  =>  (ADD32rr_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /*   2843 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADD32rr_ND),
     /*   2848 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*   2854 */     GIR_RootConstrainSelectedInstOperands,
     /*   2855 */     // GIR_Coverage, 22881,
     /*   2855 */     GIR_Done,
     /*   2856 */   // Label 139: @2856
     /*   2856 */   GIM_Reject,
     /*   2857 */ // Label 124: @2857
     /*   2857 */ GIM_Reject,
     /*   2858 */ // Label 81: @2858
     /*   2858 */ GIM_Try, /*On fail goto*//*Label 140*/ GIMT_Encode4(3681),
     /*   2863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   2866 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   2869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   2873 */   GIM_Try, /*On fail goto*//*Label 141*/ GIMT_Encode4(2942), // Rule ID 22616 //
     /*   2878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   2881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   2885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   2889 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   2892 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   2896 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   2900 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(128),
     /*   2911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   2913 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   2920 */     // (add:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 128:{ *:[i64] })  =>  (SUB64mi32_ND:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src, -128:{ *:[i64] })
     /*   2920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB64mi32_ND),
     /*   2923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2925 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*   2929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-128),
     /*   2932 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2935 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   2940 */     GIR_RootConstrainSelectedInstOperands,
     /*   2941 */     // GIR_Coverage, 22616,
     /*   2941 */     GIR_EraseRootFromParent_Done,
     /*   2942 */   // Label 141: @2942
     /*   2942 */   GIM_Try, /*On fail goto*//*Label 142*/ GIMT_Encode4(3018), // Rule ID 22622 //
     /*   2947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   2950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   2954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   2958 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   2961 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   2965 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   2969 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2147483648),
     /*   2980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   2982 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   2989 */     // (add:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 2147483648:{ *:[i64] })  =>  (SUB64mi32_ND:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src, -2147483648:{ *:[i64] })
     /*   2989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB64mi32_ND),
     /*   2992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2994 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*   2998 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(-2147483648),
     /*   3008 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   3011 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   3016 */     GIR_RootConstrainSelectedInstOperands,
     /*   3017 */     // GIR_Coverage, 22622,
     /*   3017 */     GIR_EraseRootFromParent_Done,
     /*   3018 */   // Label 142: @3018
     /*   3018 */   GIM_Try, /*On fail goto*//*Label 143*/ GIMT_Encode4(3079), // Rule ID 26054 //
     /*   3023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   3026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   3030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   3034 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   3037 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   3041 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   3045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   3049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   3051 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   3058 */     // (add:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src1)  =>  (ADD64rm:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   3058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD64rm),
     /*   3061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3063 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   3065 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   3069 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   3072 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   3077 */     GIR_RootConstrainSelectedInstOperands,
     /*   3078 */     // GIR_Coverage, 26054,
     /*   3078 */     GIR_EraseRootFromParent_Done,
     /*   3079 */   // Label 143: @3079
     /*   3079 */   GIM_Try, /*On fail goto*//*Label 144*/ GIMT_Encode4(3140), // Rule ID 26073 //
     /*   3084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   3087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   3091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   3095 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   3098 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   3102 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   3106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   3110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   3112 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   3119 */     // (add:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src1)  =>  (ADD64rm_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   3119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD64rm_ND),
     /*   3122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3124 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   3126 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   3130 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   3133 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   3138 */     GIR_RootConstrainSelectedInstOperands,
     /*   3139 */     // GIR_Coverage, 26073,
     /*   3139 */     GIR_EraseRootFromParent_Done,
     /*   3140 */   // Label 144: @3140
     /*   3140 */   GIM_Try, /*On fail goto*//*Label 145*/ GIMT_Encode4(3201), // Rule ID 22796 //
     /*   3145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   3148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   3152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   3156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   3160 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   3163 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   3167 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   3171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   3173 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   3180 */     // (add:{ *:[i64] } GR64:{ *:[i64] }:$src1, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (ADD64rm:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   3180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD64rm),
     /*   3183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3185 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   3187 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   3191 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   3194 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   3199 */     GIR_RootConstrainSelectedInstOperands,
     /*   3200 */     // GIR_Coverage, 22796,
     /*   3200 */     GIR_EraseRootFromParent_Done,
     /*   3201 */   // Label 145: @3201
     /*   3201 */   GIM_Try, /*On fail goto*//*Label 146*/ GIMT_Encode4(3262), // Rule ID 22886 //
     /*   3206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   3209 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   3213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   3217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   3221 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   3224 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   3228 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   3232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   3234 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   3241 */     // (add:{ *:[i64] } GR64:{ *:[i64] }:$src1, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (ADD64rm_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   3241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD64rm_ND),
     /*   3244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3246 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   3248 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   3252 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   3255 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   3260 */     GIR_RootConstrainSelectedInstOperands,
     /*   3261 */     // GIR_Coverage, 22886,
     /*   3261 */     GIR_EraseRootFromParent_Done,
     /*   3262 */   // Label 146: @3262
     /*   3262 */   GIM_Try, /*On fail goto*//*Label 147*/ GIMT_Encode4(3300), // Rule ID 22601 //
     /*   3267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   3270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   3274 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(128),
     /*   3285 */     // (add:{ *:[i64] } GR64:{ *:[i64] }:$src1, 128:{ *:[i64] })  =>  (SUB64ri32:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, -128:{ *:[i64] })
     /*   3285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB64ri32),
     /*   3288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3290 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   3292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-128),
     /*   3295 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   3298 */     GIR_RootConstrainSelectedInstOperands,
     /*   3299 */     // GIR_Coverage, 22601,
     /*   3299 */     GIR_EraseRootFromParent_Done,
     /*   3300 */   // Label 147: @3300
     /*   3300 */   GIM_Try, /*On fail goto*//*Label 148*/ GIMT_Encode4(3338), // Rule ID 22607 //
     /*   3305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   3308 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   3312 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(128),
     /*   3323 */     // (add:{ *:[i64] } GR64:{ *:[i64] }:$src1, 128:{ *:[i64] })  =>  (SUB64ri32_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, -128:{ *:[i64] })
     /*   3323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB64ri32_ND),
     /*   3326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3328 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   3330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-128),
     /*   3333 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   3336 */     GIR_RootConstrainSelectedInstOperands,
     /*   3337 */     // GIR_Coverage, 22607,
     /*   3337 */     GIR_EraseRootFromParent_Done,
     /*   3338 */   // Label 148: @3338
     /*   3338 */   GIM_Try, /*On fail goto*//*Label 149*/ GIMT_Encode4(3383), // Rule ID 22617 //
     /*   3343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   3346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   3350 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2147483648),
     /*   3361 */     // (add:{ *:[i64] } GR64:{ *:[i64] }:$src1, 2147483648:{ *:[i64] })  =>  (SUB64ri32:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, -2147483648:{ *:[i64] })
     /*   3361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB64ri32),
     /*   3364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3366 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   3368 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(-2147483648),
     /*   3378 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   3381 */     GIR_RootConstrainSelectedInstOperands,
     /*   3382 */     // GIR_Coverage, 22617,
     /*   3382 */     GIR_EraseRootFromParent_Done,
     /*   3383 */   // Label 149: @3383
     /*   3383 */   GIM_Try, /*On fail goto*//*Label 150*/ GIMT_Encode4(3428), // Rule ID 22619 //
     /*   3388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   3391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   3395 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2147483648),
     /*   3406 */     // (add:{ *:[i64] } GR64:{ *:[i64] }:$src1, 2147483648:{ *:[i64] })  =>  (SUB64ri32_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, -2147483648:{ *:[i64] })
     /*   3406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB64ri32_ND),
     /*   3409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3411 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   3413 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(-2147483648),
     /*   3423 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   3426 */     GIR_RootConstrainSelectedInstOperands,
     /*   3427 */     // GIR_Coverage, 22619,
     /*   3427 */     GIR_EraseRootFromParent_Done,
     /*   3428 */   // Label 150: @3428
     /*   3428 */   GIM_Try, /*On fail goto*//*Label 151*/ GIMT_Encode4(3456), // Rule ID 22862 //
     /*   3433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD_UseIncDec),
     /*   3436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   3440 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*   3444 */     // (add:{ *:[i64] } GR64:{ *:[i64] }:$src, 1:{ *:[i64] })  =>  (INC64r:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*   3444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INC64r),
     /*   3447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3449 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*   3451 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   3454 */     GIR_RootConstrainSelectedInstOperands,
     /*   3455 */     // GIR_Coverage, 22862,
     /*   3455 */     GIR_EraseRootFromParent_Done,
     /*   3456 */   // Label 151: @3456
     /*   3456 */   GIM_Try, /*On fail goto*//*Label 152*/ GIMT_Encode4(3484), // Rule ID 22866 //
     /*   3461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD_UseIncDec),
     /*   3464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   3468 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*   3472 */     // (add:{ *:[i64] } GR64:{ *:[i64] }:$src, -1:{ *:[i64] })  =>  (DEC64r:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*   3472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DEC64r),
     /*   3475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3477 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*   3479 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   3482 */     GIR_RootConstrainSelectedInstOperands,
     /*   3483 */     // GIR_Coverage, 22866,
     /*   3483 */     GIR_EraseRootFromParent_Done,
     /*   3484 */   // Label 152: @3484
     /*   3484 */   GIM_Try, /*On fail goto*//*Label 153*/ GIMT_Encode4(3512), // Rule ID 22952 //
     /*   3489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_UseIncDec),
     /*   3492 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   3496 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*   3500 */     // (add:{ *:[i64] } GR64:{ *:[i64] }:$src, 1:{ *:[i64] })  =>  (INC64r_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*   3500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INC64r_ND),
     /*   3503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3505 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*   3507 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   3510 */     GIR_RootConstrainSelectedInstOperands,
     /*   3511 */     // GIR_Coverage, 22952,
     /*   3511 */     GIR_EraseRootFromParent_Done,
     /*   3512 */   // Label 153: @3512
     /*   3512 */   GIM_Try, /*On fail goto*//*Label 154*/ GIMT_Encode4(3540), // Rule ID 22956 //
     /*   3517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_UseIncDec),
     /*   3520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   3524 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*   3528 */     // (add:{ *:[i64] } GR64:{ *:[i64] }:$src, -1:{ *:[i64] })  =>  (DEC64r_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*   3528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DEC64r_ND),
     /*   3531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3533 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*   3535 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   3538 */     GIR_RootConstrainSelectedInstOperands,
     /*   3539 */     // GIR_Coverage, 22956,
     /*   3539 */     GIR_EraseRootFromParent_Done,
     /*   3540 */   // Label 154: @3540
     /*   3540 */   GIM_Try, /*On fail goto*//*Label 155*/ GIMT_Encode4(3581), // Rule ID 22800 //
     /*   3545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   3548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   3552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   3556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   3560 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /*   3564 */     // MIs[1] Operand 1
     /*   3564 */     // No operand predicates
     /*   3564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   3566 */     // (add:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)  =>  (ADD64ri32:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)
     /*   3566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD64ri32),
     /*   3569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3571 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   3573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*   3576 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   3579 */     GIR_RootConstrainSelectedInstOperands,
     /*   3580 */     // GIR_Coverage, 22800,
     /*   3580 */     GIR_EraseRootFromParent_Done,
     /*   3581 */   // Label 155: @3581
     /*   3581 */   GIM_Try, /*On fail goto*//*Label 156*/ GIMT_Encode4(3622), // Rule ID 22890 //
     /*   3586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   3589 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   3593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   3597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   3601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /*   3605 */     // MIs[1] Operand 1
     /*   3605 */     // No operand predicates
     /*   3605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   3607 */     // (add:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)  =>  (ADD64ri32_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)
     /*   3607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD64ri32_ND),
     /*   3610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3612 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   3614 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*   3617 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   3620 */     GIR_RootConstrainSelectedInstOperands,
     /*   3621 */     // GIR_Coverage, 22890,
     /*   3621 */     GIR_EraseRootFromParent_Done,
     /*   3622 */   // Label 156: @3622
     /*   3622 */   GIM_Try, /*On fail goto*//*Label 157*/ GIMT_Encode4(3651), // Rule ID 22792 //
     /*   3627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   3630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   3634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   3638 */     // (add:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)  =>  (ADD64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /*   3638 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADD64rr),
     /*   3643 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*   3649 */     GIR_RootConstrainSelectedInstOperands,
     /*   3650 */     // GIR_Coverage, 22792,
     /*   3650 */     GIR_Done,
     /*   3651 */   // Label 157: @3651
     /*   3651 */   GIM_Try, /*On fail goto*//*Label 158*/ GIMT_Encode4(3680), // Rule ID 22882 //
     /*   3656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   3659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   3663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   3667 */     // (add:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)  =>  (ADD64rr_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /*   3667 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADD64rr_ND),
     /*   3672 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*   3678 */     GIR_RootConstrainSelectedInstOperands,
     /*   3679 */     // GIR_Coverage, 22882,
     /*   3679 */     GIR_Done,
     /*   3680 */   // Label 158: @3680
     /*   3680 */   GIM_Reject,
     /*   3681 */ // Label 140: @3681
     /*   3681 */ GIM_Reject,
     /*   3682 */ // Label 82: @3682
     /*   3682 */ GIM_Try, /*On fail goto*//*Label 159*/ GIMT_Encode4(4023),
     /*   3687 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   3690 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*   3693 */   GIM_Try, /*On fail goto*//*Label 160*/ GIMT_Encode4(3755), // Rule ID 23435 //
     /*   3698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*   3701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   3705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   3709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   3713 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   3716 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   3720 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   3724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   3728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   3730 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   3737 */     // (add:{ *:[v2i64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2i64] }:$src1)  =>  (VPADDQrm:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   3737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDQrm),
     /*   3740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3742 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   3744 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   3748 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   3753 */     GIR_RootConstrainSelectedInstOperands,
     /*   3754 */     // GIR_Coverage, 23435,
     /*   3754 */     GIR_EraseRootFromParent_Done,
     /*   3755 */   // Label 160: @3755
     /*   3755 */   GIM_Try, /*On fail goto*//*Label 161*/ GIMT_Encode4(3817), // Rule ID 23705 //
     /*   3760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   3763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   3767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   3771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   3775 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   3778 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   3782 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   3786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   3790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   3792 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   3799 */     // (add:{ *:[v2i64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v2i64] }:$src1)  =>  (VPADDQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   3799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDQZ128rm),
     /*   3802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3804 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   3806 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   3810 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   3815 */     GIR_RootConstrainSelectedInstOperands,
     /*   3816 */     // GIR_Coverage, 23705,
     /*   3816 */     GIR_EraseRootFromParent_Done,
     /*   3817 */   // Label 161: @3817
     /*   3817 */   GIM_Try, /*On fail goto*//*Label 162*/ GIMT_Encode4(3879), // Rule ID 2540 //
     /*   3822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*   3825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   3829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   3833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   3837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   3841 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   3844 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   3848 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   3852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   3854 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   3861 */     // (add:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDQrm:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   3861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDQrm),
     /*   3864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3866 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   3868 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   3872 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   3877 */     GIR_RootConstrainSelectedInstOperands,
     /*   3878 */     // GIR_Coverage, 2540,
     /*   3878 */     GIR_EraseRootFromParent_Done,
     /*   3879 */   // Label 162: @3879
     /*   3879 */   GIM_Try, /*On fail goto*//*Label 163*/ GIMT_Encode4(3941), // Rule ID 4653 //
     /*   3884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   3887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   3891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   3895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   3899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   3903 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   3906 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   3910 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   3914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   3916 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   3923 */     // (add:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   3923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDQZ128rm),
     /*   3926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3928 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   3930 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   3934 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   3939 */     GIR_RootConstrainSelectedInstOperands,
     /*   3940 */     // GIR_Coverage, 4653,
     /*   3940 */     GIR_EraseRootFromParent_Done,
     /*   3941 */   // Label 163: @3941
     /*   3941 */   GIM_Try, /*On fail goto*//*Label 164*/ GIMT_Encode4(3968), // Rule ID 2539 //
     /*   3946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*   3949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   3953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   3957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   3961 */     // (add:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (VPADDQrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*   3961 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDQrr),
     /*   3966 */     GIR_RootConstrainSelectedInstOperands,
     /*   3967 */     // GIR_Coverage, 2539,
     /*   3967 */     GIR_Done,
     /*   3968 */   // Label 164: @3968
     /*   3968 */   GIM_Try, /*On fail goto*//*Label 165*/ GIMT_Encode4(3995), // Rule ID 2541 //
     /*   3973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*   3976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   3980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   3984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   3988 */     // (add:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (PADDQrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*   3988 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PADDQrr),
     /*   3993 */     GIR_RootConstrainSelectedInstOperands,
     /*   3994 */     // GIR_Coverage, 2541,
     /*   3994 */     GIR_Done,
     /*   3995 */   // Label 165: @3995
     /*   3995 */   GIM_Try, /*On fail goto*//*Label 166*/ GIMT_Encode4(4022), // Rule ID 4650 //
     /*   4000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   4003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   4007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   4011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   4015 */     // (add:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (VPADDQZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)
     /*   4015 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDQZ128rr),
     /*   4020 */     GIR_RootConstrainSelectedInstOperands,
     /*   4021 */     // GIR_Coverage, 4650,
     /*   4021 */     GIR_Done,
     /*   4022 */   // Label 166: @4022
     /*   4022 */   GIM_Reject,
     /*   4023 */ // Label 159: @4023
     /*   4023 */ GIM_Reject,
     /*   4024 */ // Label 83: @4024
     /*   4024 */ GIM_Try, /*On fail goto*//*Label 167*/ GIMT_Encode4(4487),
     /*   4029 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*   4032 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*   4035 */   GIM_Try, /*On fail goto*//*Label 168*/ GIMT_Encode4(4097), // Rule ID 23432 //
     /*   4040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*   4043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   4051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   4055 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   4058 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   4062 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   4066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   4072 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   4079 */     // (add:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src1)  =>  (VPADDDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   4079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDDrm),
     /*   4082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4084 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   4086 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   4090 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   4095 */     GIR_RootConstrainSelectedInstOperands,
     /*   4096 */     // GIR_Coverage, 23432,
     /*   4096 */     GIR_EraseRootFromParent_Done,
     /*   4097 */   // Label 168: @4097
     /*   4097 */   GIM_Try, /*On fail goto*//*Label 169*/ GIMT_Encode4(4159), // Rule ID 23723 //
     /*   4102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   4105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   4109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   4113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   4117 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   4120 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   4124 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   4128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   4132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   4134 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   4141 */     // (add:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v4i32] }:$src1)  =>  (VPADDDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   4141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDDZ128rm),
     /*   4144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4146 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   4148 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   4152 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   4157 */     GIR_RootConstrainSelectedInstOperands,
     /*   4158 */     // GIR_Coverage, 23723,
     /*   4158 */     GIR_EraseRootFromParent_Done,
     /*   4159 */   // Label 169: @4159
     /*   4159 */   GIM_Try, /*On fail goto*//*Label 170*/ GIMT_Encode4(4221), // Rule ID 2534 //
     /*   4164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*   4167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   4179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   4183 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   4186 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   4190 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   4194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   4196 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   4203 */     // (add:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   4203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDDrm),
     /*   4206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4208 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   4210 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   4214 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   4219 */     GIR_RootConstrainSelectedInstOperands,
     /*   4220 */     // GIR_Coverage, 2534,
     /*   4220 */     GIR_EraseRootFromParent_Done,
     /*   4221 */   // Label 170: @4221
     /*   4221 */   GIM_Try, /*On fail goto*//*Label 171*/ GIMT_Encode4(4283), // Rule ID 4680 //
     /*   4226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   4229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   4233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   4237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   4241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   4245 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   4248 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   4252 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   4256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   4258 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   4265 */     // (add:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   4265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDDZ128rm),
     /*   4268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4270 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   4272 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   4276 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   4281 */     GIR_RootConstrainSelectedInstOperands,
     /*   4282 */     // GIR_Coverage, 4680,
     /*   4282 */     GIR_EraseRootFromParent_Done,
     /*   4283 */   // Label 171: @4283
     /*   4283 */   GIM_Try, /*On fail goto*//*Label 172*/ GIMT_Encode4(4344), // Rule ID 17866 //
     /*   4288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*   4291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   4299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   4303 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*   4307 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*   4311 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4316 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   4327 */     // (add:{ *:[v4i32] } (mul:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2), VR128:{ *:[v4i32] }:$src3)  =>  (VPMACSDDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*   4327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSDDrr),
     /*   4330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*   4336 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*   4340 */     GIR_RootToRootCopy, /*OpIdx*/2, // src3
     /*   4342 */     GIR_RootConstrainSelectedInstOperands,
     /*   4343 */     // GIR_Coverage, 17866,
     /*   4343 */     GIR_EraseRootFromParent_Done,
     /*   4344 */   // Label 172: @4344
     /*   4344 */   GIM_Try, /*On fail goto*//*Label 173*/ GIMT_Encode4(4405), // Rule ID 25187 //
     /*   4349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*   4352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   4364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   4368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*   4372 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*   4376 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4381 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   4388 */     // (add:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src3, (mul:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2))  =>  (VPMACSDDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*   4388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSDDrr),
     /*   4391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*   4397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*   4401 */     GIR_RootToRootCopy, /*OpIdx*/1, // src3
     /*   4403 */     GIR_RootConstrainSelectedInstOperands,
     /*   4404 */     // GIR_Coverage, 25187,
     /*   4404 */     GIR_EraseRootFromParent_Done,
     /*   4405 */   // Label 173: @4405
     /*   4405 */   GIM_Try, /*On fail goto*//*Label 174*/ GIMT_Encode4(4432), // Rule ID 2533 //
     /*   4410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*   4413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4425 */     // (add:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (VPADDDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*   4425 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDDrr),
     /*   4430 */     GIR_RootConstrainSelectedInstOperands,
     /*   4431 */     // GIR_Coverage, 2533,
     /*   4431 */     GIR_Done,
     /*   4432 */   // Label 174: @4432
     /*   4432 */   GIM_Try, /*On fail goto*//*Label 175*/ GIMT_Encode4(4459), // Rule ID 2535 //
     /*   4437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*   4440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4452 */     // (add:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (PADDDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*   4452 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PADDDrr),
     /*   4457 */     GIR_RootConstrainSelectedInstOperands,
     /*   4458 */     // GIR_Coverage, 2535,
     /*   4458 */     GIR_Done,
     /*   4459 */   // Label 175: @4459
     /*   4459 */   GIM_Try, /*On fail goto*//*Label 176*/ GIMT_Encode4(4486), // Rule ID 4677 //
     /*   4464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   4467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   4471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   4475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   4479 */     // (add:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)  =>  (VPADDDZ128rr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)
     /*   4479 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDDZ128rr),
     /*   4484 */     GIR_RootConstrainSelectedInstOperands,
     /*   4485 */     // GIR_Coverage, 4677,
     /*   4485 */     GIR_Done,
     /*   4486 */   // Label 176: @4486
     /*   4486 */   GIM_Reject,
     /*   4487 */ // Label 167: @4487
     /*   4487 */ GIM_Reject,
     /*   4488 */ // Label 84: @4488
     /*   4488 */ GIM_Try, /*On fail goto*//*Label 177*/ GIMT_Encode4(4802),
     /*   4493 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*   4496 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*   4499 */   GIM_Try, /*On fail goto*//*Label 178*/ GIMT_Encode4(4561), // Rule ID 23437 //
     /*   4504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*   4507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   4511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   4515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   4519 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   4522 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   4526 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   4530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   4534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   4536 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   4543 */     // (add:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4i64] }:$src1)  =>  (VPADDQYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   4543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDQYrm),
     /*   4546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4548 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   4550 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   4554 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   4559 */     GIR_RootConstrainSelectedInstOperands,
     /*   4560 */     // GIR_Coverage, 23437,
     /*   4560 */     GIR_EraseRootFromParent_Done,
     /*   4561 */   // Label 178: @4561
     /*   4561 */   GIM_Try, /*On fail goto*//*Label 179*/ GIMT_Encode4(4623), // Rule ID 23699 //
     /*   4566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   4569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   4573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   4577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   4581 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   4584 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   4588 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   4592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   4596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   4598 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   4605 */     // (add:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v4i64] }:$src1)  =>  (VPADDQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   4605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDQZ256rm),
     /*   4608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4610 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   4612 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   4616 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   4621 */     GIR_RootConstrainSelectedInstOperands,
     /*   4622 */     // GIR_Coverage, 23699,
     /*   4622 */     GIR_EraseRootFromParent_Done,
     /*   4623 */   // Label 179: @4623
     /*   4623 */   GIM_Try, /*On fail goto*//*Label 180*/ GIMT_Encode4(4685), // Rule ID 2544 //
     /*   4628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*   4631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   4635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   4639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   4643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   4647 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   4650 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   4654 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   4658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   4660 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   4667 */     // (add:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDQYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   4667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDQYrm),
     /*   4670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4672 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   4674 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   4678 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   4683 */     GIR_RootConstrainSelectedInstOperands,
     /*   4684 */     // GIR_Coverage, 2544,
     /*   4684 */     GIR_EraseRootFromParent_Done,
     /*   4685 */   // Label 180: @4685
     /*   4685 */   GIM_Try, /*On fail goto*//*Label 181*/ GIMT_Encode4(4747), // Rule ID 4644 //
     /*   4690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   4693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   4697 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   4701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   4705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   4709 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   4712 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   4716 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   4720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   4722 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   4729 */     // (add:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   4729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDQZ256rm),
     /*   4732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4734 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   4736 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   4740 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   4745 */     GIR_RootConstrainSelectedInstOperands,
     /*   4746 */     // GIR_Coverage, 4644,
     /*   4746 */     GIR_EraseRootFromParent_Done,
     /*   4747 */   // Label 181: @4747
     /*   4747 */   GIM_Try, /*On fail goto*//*Label 182*/ GIMT_Encode4(4774), // Rule ID 2543 //
     /*   4752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*   4755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   4759 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   4763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   4767 */     // (add:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)  =>  (VPADDQYrr:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)
     /*   4767 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDQYrr),
     /*   4772 */     GIR_RootConstrainSelectedInstOperands,
     /*   4773 */     // GIR_Coverage, 2543,
     /*   4773 */     GIR_Done,
     /*   4774 */   // Label 182: @4774
     /*   4774 */   GIM_Try, /*On fail goto*//*Label 183*/ GIMT_Encode4(4801), // Rule ID 4641 //
     /*   4779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   4782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   4786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   4790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   4794 */     // (add:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (VPADDQZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)
     /*   4794 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDQZ256rr),
     /*   4799 */     GIR_RootConstrainSelectedInstOperands,
     /*   4800 */     // GIR_Coverage, 4641,
     /*   4800 */     GIR_Done,
     /*   4801 */   // Label 183: @4801
     /*   4801 */   GIM_Reject,
     /*   4802 */ // Label 177: @4802
     /*   4802 */ GIM_Reject,
     /*   4803 */ // Label 85: @4803
     /*   4803 */ GIM_Try, /*On fail goto*//*Label 184*/ GIMT_Encode4(5266),
     /*   4808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*   4811 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*   4814 */   GIM_Try, /*On fail goto*//*Label 185*/ GIMT_Encode4(4876), // Rule ID 23429 //
     /*   4819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /*   4822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   4830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   4834 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   4837 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   4841 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   4845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   4851 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   4858 */     // (add:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1)  =>  (VPADDWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   4858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDWrm),
     /*   4861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4863 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   4865 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   4869 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   4874 */     GIR_RootConstrainSelectedInstOperands,
     /*   4875 */     // GIR_Coverage, 23429,
     /*   4875 */     GIR_EraseRootFromParent_Done,
     /*   4876 */   // Label 185: @4876
     /*   4876 */   GIM_Try, /*On fail goto*//*Label 186*/ GIMT_Encode4(4938), // Rule ID 23735 //
     /*   4881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*   4884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   4888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   4892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   4896 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   4899 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   4903 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   4907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   4911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   4913 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   4920 */     // (add:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8i16] }:$src1)  =>  (VPADDWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   4920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDWZ128rm),
     /*   4923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4925 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   4927 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   4931 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   4936 */     GIR_RootConstrainSelectedInstOperands,
     /*   4937 */     // GIR_Coverage, 23735,
     /*   4937 */     GIR_EraseRootFromParent_Done,
     /*   4938 */   // Label 186: @4938
     /*   4938 */   GIM_Try, /*On fail goto*//*Label 187*/ GIMT_Encode4(5000), // Rule ID 2528 //
     /*   4943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /*   4946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4950 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   4958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   4962 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   4965 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   4969 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   4973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   4975 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   4982 */     // (add:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   4982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDWrm),
     /*   4985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4987 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   4989 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   4993 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   4998 */     GIR_RootConstrainSelectedInstOperands,
     /*   4999 */     // GIR_Coverage, 2528,
     /*   4999 */     GIR_EraseRootFromParent_Done,
     /*   5000 */   // Label 187: @5000
     /*   5000 */   GIM_Try, /*On fail goto*//*Label 188*/ GIMT_Encode4(5062), // Rule ID 4701 //
     /*   5005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*   5008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   5012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   5016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   5020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   5024 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   5027 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   5031 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   5035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5037 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   5044 */     // (add:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   5044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDWZ128rm),
     /*   5047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5049 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   5051 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   5055 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   5060 */     GIR_RootConstrainSelectedInstOperands,
     /*   5061 */     // GIR_Coverage, 4701,
     /*   5061 */     GIR_EraseRootFromParent_Done,
     /*   5062 */   // Label 188: @5062
     /*   5062 */   GIM_Try, /*On fail goto*//*Label 189*/ GIMT_Encode4(5123), // Rule ID 17865 //
     /*   5067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*   5070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   5074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   5082 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*   5086 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*   5090 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   5095 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   5100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   5104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5106 */     // (add:{ *:[v8i16] } (mul:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2), VR128:{ *:[v8i16] }:$src3)  =>  (VPMACSWWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2, VR128:{ *:[v8i16] }:$src3)
     /*   5106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSWWrr),
     /*   5109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*   5115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*   5119 */     GIR_RootToRootCopy, /*OpIdx*/2, // src3
     /*   5121 */     GIR_RootConstrainSelectedInstOperands,
     /*   5122 */     // GIR_Coverage, 17865,
     /*   5122 */     GIR_EraseRootFromParent_Done,
     /*   5123 */   // Label 189: @5123
     /*   5123 */   GIM_Try, /*On fail goto*//*Label 190*/ GIMT_Encode4(5184), // Rule ID 25186 //
     /*   5128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*   5131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   5135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   5139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   5143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   5147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*   5151 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*   5155 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   5160 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   5165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5167 */     // (add:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src3, (mul:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2))  =>  (VPMACSWWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2, VR128:{ *:[v8i16] }:$src3)
     /*   5167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSWWrr),
     /*   5170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*   5176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*   5180 */     GIR_RootToRootCopy, /*OpIdx*/1, // src3
     /*   5182 */     GIR_RootConstrainSelectedInstOperands,
     /*   5183 */     // GIR_Coverage, 25186,
     /*   5183 */     GIR_EraseRootFromParent_Done,
     /*   5184 */   // Label 190: @5184
     /*   5184 */   GIM_Try, /*On fail goto*//*Label 191*/ GIMT_Encode4(5211), // Rule ID 2527 //
     /*   5189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /*   5192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   5196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   5200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   5204 */     // (add:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPADDWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /*   5204 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDWrr),
     /*   5209 */     GIR_RootConstrainSelectedInstOperands,
     /*   5210 */     // GIR_Coverage, 2527,
     /*   5210 */     GIR_Done,
     /*   5211 */   // Label 191: @5211
     /*   5211 */   GIM_Try, /*On fail goto*//*Label 192*/ GIMT_Encode4(5238), // Rule ID 2529 //
     /*   5216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*   5219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   5223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   5227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   5231 */     // (add:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PADDWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /*   5231 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PADDWrr),
     /*   5236 */     GIR_RootConstrainSelectedInstOperands,
     /*   5237 */     // GIR_Coverage, 2529,
     /*   5237 */     GIR_Done,
     /*   5238 */   // Label 192: @5238
     /*   5238 */   GIM_Try, /*On fail goto*//*Label 193*/ GIMT_Encode4(5265), // Rule ID 4698 //
     /*   5243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*   5246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   5250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   5254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   5258 */     // (add:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)  =>  (VPADDWZ128rr:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)
     /*   5258 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDWZ128rr),
     /*   5263 */     GIR_RootConstrainSelectedInstOperands,
     /*   5264 */     // GIR_Coverage, 4698,
     /*   5264 */     GIR_Done,
     /*   5265 */   // Label 193: @5265
     /*   5265 */   GIM_Reject,
     /*   5266 */ // Label 184: @5266
     /*   5266 */ GIM_Reject,
     /*   5267 */ // Label 86: @5267
     /*   5267 */ GIM_Try, /*On fail goto*//*Label 194*/ GIMT_Encode4(5581),
     /*   5272 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*   5275 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*   5278 */   GIM_Try, /*On fail goto*//*Label 195*/ GIMT_Encode4(5340), // Rule ID 23434 //
     /*   5283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*   5286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   5290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   5298 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   5301 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   5305 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   5309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   5313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5315 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   5322 */     // (add:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8i32] }:$src1)  =>  (VPADDDYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   5322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDDYrm),
     /*   5325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5327 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   5329 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   5333 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   5338 */     GIR_RootConstrainSelectedInstOperands,
     /*   5339 */     // GIR_Coverage, 23434,
     /*   5339 */     GIR_EraseRootFromParent_Done,
     /*   5340 */   // Label 195: @5340
     /*   5340 */   GIM_Try, /*On fail goto*//*Label 196*/ GIMT_Encode4(5402), // Rule ID 23717 //
     /*   5345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   5348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   5352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   5360 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   5363 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   5367 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   5371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   5375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5377 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   5384 */     // (add:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v8i32] }:$src1)  =>  (VPADDDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   5384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDDZ256rm),
     /*   5387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5389 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   5391 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   5395 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   5400 */     GIR_RootConstrainSelectedInstOperands,
     /*   5401 */     // GIR_Coverage, 23717,
     /*   5401 */     GIR_EraseRootFromParent_Done,
     /*   5402 */   // Label 196: @5402
     /*   5402 */   GIM_Try, /*On fail goto*//*Label 197*/ GIMT_Encode4(5464), // Rule ID 2538 //
     /*   5407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*   5410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   5414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   5418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   5422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   5426 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   5429 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   5433 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   5437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5439 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   5446 */     // (add:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDDYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   5446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDDYrm),
     /*   5449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5451 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   5453 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   5457 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   5462 */     GIR_RootConstrainSelectedInstOperands,
     /*   5463 */     // GIR_Coverage, 2538,
     /*   5463 */     GIR_EraseRootFromParent_Done,
     /*   5464 */   // Label 197: @5464
     /*   5464 */   GIM_Try, /*On fail goto*//*Label 198*/ GIMT_Encode4(5526), // Rule ID 4671 //
     /*   5469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   5472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   5476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   5480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   5484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   5488 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   5491 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   5495 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   5499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5501 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   5508 */     // (add:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   5508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDDZ256rm),
     /*   5511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5513 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   5515 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   5519 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   5524 */     GIR_RootConstrainSelectedInstOperands,
     /*   5525 */     // GIR_Coverage, 4671,
     /*   5525 */     GIR_EraseRootFromParent_Done,
     /*   5526 */   // Label 198: @5526
     /*   5526 */   GIM_Try, /*On fail goto*//*Label 199*/ GIMT_Encode4(5553), // Rule ID 2537 //
     /*   5531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*   5534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   5538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   5542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   5546 */     // (add:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)  =>  (VPADDDYrr:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)
     /*   5546 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDDYrr),
     /*   5551 */     GIR_RootConstrainSelectedInstOperands,
     /*   5552 */     // GIR_Coverage, 2537,
     /*   5552 */     GIR_Done,
     /*   5553 */   // Label 199: @5553
     /*   5553 */   GIM_Try, /*On fail goto*//*Label 200*/ GIMT_Encode4(5580), // Rule ID 4668 //
     /*   5558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   5561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   5565 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   5569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   5573 */     // (add:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)  =>  (VPADDDZ256rr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)
     /*   5573 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDDZ256rr),
     /*   5578 */     GIR_RootConstrainSelectedInstOperands,
     /*   5579 */     // GIR_Coverage, 4668,
     /*   5579 */     GIR_Done,
     /*   5580 */   // Label 200: @5580
     /*   5580 */   GIM_Reject,
     /*   5581 */ // Label 194: @5581
     /*   5581 */ GIM_Reject,
     /*   5582 */ // Label 87: @5582
     /*   5582 */ GIM_Try, /*On fail goto*//*Label 201*/ GIMT_Encode4(5737),
     /*   5587 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*   5590 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /*   5593 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   5597 */   GIM_Try, /*On fail goto*//*Label 202*/ GIMT_Encode4(5655), // Rule ID 23693 //
     /*   5602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*   5605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   5613 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   5616 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   5620 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   5624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   5628 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5630 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   5637 */     // (add:{ *:[v8i64] } (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v8i64] }:$src1)  =>  (VPADDQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   5637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDQZrm),
     /*   5640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5642 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   5644 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   5648 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   5653 */     GIR_RootConstrainSelectedInstOperands,
     /*   5654 */     // GIR_Coverage, 23693,
     /*   5654 */     GIR_EraseRootFromParent_Done,
     /*   5655 */   // Label 202: @5655
     /*   5655 */   GIM_Try, /*On fail goto*//*Label 203*/ GIMT_Encode4(5713), // Rule ID 4635 //
     /*   5660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*   5663 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   5667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   5671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   5675 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   5678 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   5682 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   5686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5688 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   5695 */     // (add:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   5695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDQZrm),
     /*   5698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5700 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   5702 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   5706 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   5711 */     GIR_RootConstrainSelectedInstOperands,
     /*   5712 */     // GIR_Coverage, 4635,
     /*   5712 */     GIR_EraseRootFromParent_Done,
     /*   5713 */   // Label 203: @5713
     /*   5713 */   GIM_Try, /*On fail goto*//*Label 204*/ GIMT_Encode4(5736), // Rule ID 4632 //
     /*   5718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*   5721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   5725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   5729 */     // (add:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)  =>  (VPADDQZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)
     /*   5729 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDQZrr),
     /*   5734 */     GIR_RootConstrainSelectedInstOperands,
     /*   5735 */     // GIR_Coverage, 4632,
     /*   5735 */     GIR_Done,
     /*   5736 */   // Label 204: @5736
     /*   5736 */   GIM_Reject,
     /*   5737 */ // Label 201: @5737
     /*   5737 */ GIM_Reject,
     /*   5738 */ // Label 88: @5738
     /*   5738 */ GIM_Try, /*On fail goto*//*Label 205*/ GIMT_Encode4(6079),
     /*   5743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*   5746 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*   5749 */   GIM_Try, /*On fail goto*//*Label 206*/ GIMT_Encode4(5811), // Rule ID 23426 //
     /*   5754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /*   5757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   5761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   5769 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   5772 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   5776 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   5780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   5784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5786 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   5793 */     // (add:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v16i8] }:$src1)  =>  (VPADDBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   5793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDBrm),
     /*   5796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5798 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   5800 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   5804 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   5809 */     GIR_RootConstrainSelectedInstOperands,
     /*   5810 */     // GIR_Coverage, 23426,
     /*   5810 */     GIR_EraseRootFromParent_Done,
     /*   5811 */   // Label 206: @5811
     /*   5811 */   GIM_Try, /*On fail goto*//*Label 207*/ GIMT_Encode4(5873), // Rule ID 23744 //
     /*   5816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*   5819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   5823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   5831 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   5834 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   5838 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   5842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   5846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5848 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   5855 */     // (add:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v16i8] }:$src1)  =>  (VPADDBZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   5855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDBZ128rm),
     /*   5858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5860 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   5862 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   5866 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   5871 */     GIR_RootConstrainSelectedInstOperands,
     /*   5872 */     // GIR_Coverage, 23744,
     /*   5872 */     GIR_EraseRootFromParent_Done,
     /*   5873 */   // Label 207: @5873
     /*   5873 */   GIM_Try, /*On fail goto*//*Label 208*/ GIMT_Encode4(5935), // Rule ID 2522 //
     /*   5878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /*   5881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   5885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   5889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   5893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   5897 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   5900 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   5904 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   5908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5910 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   5917 */     // (add:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   5917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDBrm),
     /*   5920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5922 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   5924 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   5928 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   5933 */     GIR_RootConstrainSelectedInstOperands,
     /*   5934 */     // GIR_Coverage, 2522,
     /*   5934 */     GIR_EraseRootFromParent_Done,
     /*   5935 */   // Label 208: @5935
     /*   5935 */   GIM_Try, /*On fail goto*//*Label 209*/ GIMT_Encode4(5997), // Rule ID 4719 //
     /*   5940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*   5943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   5947 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   5951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   5955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   5959 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   5962 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   5966 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   5970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5972 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   5979 */     // (add:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDBZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   5979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDBZ128rm),
     /*   5982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5984 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   5986 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   5990 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   5995 */     GIR_RootConstrainSelectedInstOperands,
     /*   5996 */     // GIR_Coverage, 4719,
     /*   5996 */     GIR_EraseRootFromParent_Done,
     /*   5997 */   // Label 209: @5997
     /*   5997 */   GIM_Try, /*On fail goto*//*Label 210*/ GIMT_Encode4(6024), // Rule ID 2521 //
     /*   6002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /*   6005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   6009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   6013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   6017 */     // (add:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (VPADDBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /*   6017 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDBrr),
     /*   6022 */     GIR_RootConstrainSelectedInstOperands,
     /*   6023 */     // GIR_Coverage, 2521,
     /*   6023 */     GIR_Done,
     /*   6024 */   // Label 210: @6024
     /*   6024 */   GIM_Try, /*On fail goto*//*Label 211*/ GIMT_Encode4(6051), // Rule ID 2523 //
     /*   6029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*   6032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   6036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   6040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   6044 */     // (add:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (PADDBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /*   6044 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PADDBrr),
     /*   6049 */     GIR_RootConstrainSelectedInstOperands,
     /*   6050 */     // GIR_Coverage, 2523,
     /*   6050 */     GIR_Done,
     /*   6051 */   // Label 211: @6051
     /*   6051 */   GIM_Try, /*On fail goto*//*Label 212*/ GIMT_Encode4(6078), // Rule ID 4716 //
     /*   6056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*   6059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   6063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   6067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   6071 */     // (add:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)  =>  (VPADDBZ128rr:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)
     /*   6071 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDBZ128rr),
     /*   6076 */     GIR_RootConstrainSelectedInstOperands,
     /*   6077 */     // GIR_Coverage, 4716,
     /*   6077 */     GIR_Done,
     /*   6078 */   // Label 212: @6078
     /*   6078 */   GIM_Reject,
     /*   6079 */ // Label 205: @6079
     /*   6079 */ GIM_Reject,
     /*   6080 */ // Label 89: @6080
     /*   6080 */ GIM_Try, /*On fail goto*//*Label 213*/ GIMT_Encode4(6394),
     /*   6085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*   6088 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /*   6091 */   GIM_Try, /*On fail goto*//*Label 214*/ GIMT_Encode4(6153), // Rule ID 23431 //
     /*   6096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /*   6099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   6103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   6111 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   6114 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   6118 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   6122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   6126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6128 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   6135 */     // (add:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v16i16] }:$src1)  =>  (VPADDWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   6135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDWYrm),
     /*   6138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6140 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   6142 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   6146 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   6151 */     GIR_RootConstrainSelectedInstOperands,
     /*   6152 */     // GIR_Coverage, 23431,
     /*   6152 */     GIR_EraseRootFromParent_Done,
     /*   6153 */   // Label 214: @6153
     /*   6153 */   GIM_Try, /*On fail goto*//*Label 215*/ GIMT_Encode4(6215), // Rule ID 23732 //
     /*   6158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*   6161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   6165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   6173 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   6176 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   6180 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   6184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   6188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6190 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   6197 */     // (add:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16i16] }:$src1)  =>  (VPADDWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   6197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDWZ256rm),
     /*   6200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6202 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   6204 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   6208 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   6213 */     GIR_RootConstrainSelectedInstOperands,
     /*   6214 */     // GIR_Coverage, 23732,
     /*   6214 */     GIR_EraseRootFromParent_Done,
     /*   6215 */   // Label 215: @6215
     /*   6215 */   GIM_Try, /*On fail goto*//*Label 216*/ GIMT_Encode4(6277), // Rule ID 2532 //
     /*   6220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /*   6223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   6227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   6231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   6235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   6239 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   6242 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   6246 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   6250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6252 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   6259 */     // (add:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   6259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDWYrm),
     /*   6262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6264 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   6266 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   6270 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   6275 */     GIR_RootConstrainSelectedInstOperands,
     /*   6276 */     // GIR_Coverage, 2532,
     /*   6276 */     GIR_EraseRootFromParent_Done,
     /*   6277 */   // Label 216: @6277
     /*   6277 */   GIM_Try, /*On fail goto*//*Label 217*/ GIMT_Encode4(6339), // Rule ID 4695 //
     /*   6282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*   6285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   6289 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   6293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   6297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   6301 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   6304 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   6308 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   6312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6314 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   6321 */     // (add:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   6321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDWZ256rm),
     /*   6324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6326 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   6328 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   6332 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   6337 */     GIR_RootConstrainSelectedInstOperands,
     /*   6338 */     // GIR_Coverage, 4695,
     /*   6338 */     GIR_EraseRootFromParent_Done,
     /*   6339 */   // Label 217: @6339
     /*   6339 */   GIM_Try, /*On fail goto*//*Label 218*/ GIMT_Encode4(6366), // Rule ID 2531 //
     /*   6344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /*   6347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   6351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   6355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   6359 */     // (add:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPADDWYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /*   6359 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDWYrr),
     /*   6364 */     GIR_RootConstrainSelectedInstOperands,
     /*   6365 */     // GIR_Coverage, 2531,
     /*   6365 */     GIR_Done,
     /*   6366 */   // Label 218: @6366
     /*   6366 */   GIM_Try, /*On fail goto*//*Label 219*/ GIMT_Encode4(6393), // Rule ID 4692 //
     /*   6371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*   6374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   6378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   6382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   6386 */     // (add:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)  =>  (VPADDWZ256rr:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)
     /*   6386 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDWZ256rr),
     /*   6391 */     GIR_RootConstrainSelectedInstOperands,
     /*   6392 */     // GIR_Coverage, 4692,
     /*   6392 */     GIR_Done,
     /*   6393 */   // Label 219: @6393
     /*   6393 */   GIM_Reject,
     /*   6394 */ // Label 213: @6394
     /*   6394 */ GIM_Reject,
     /*   6395 */ // Label 90: @6395
     /*   6395 */ GIM_Try, /*On fail goto*//*Label 220*/ GIMT_Encode4(6550),
     /*   6400 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /*   6403 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /*   6406 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   6410 */   GIM_Try, /*On fail goto*//*Label 221*/ GIMT_Encode4(6468), // Rule ID 23711 //
     /*   6415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*   6418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   6426 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   6429 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   6433 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   6437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   6441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6443 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   6450 */     // (add:{ *:[v16i32] } (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v16i32] }:$src1)  =>  (VPADDDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   6450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDDZrm),
     /*   6453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6455 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   6457 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   6461 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   6466 */     GIR_RootConstrainSelectedInstOperands,
     /*   6467 */     // GIR_Coverage, 23711,
     /*   6467 */     GIR_EraseRootFromParent_Done,
     /*   6468 */   // Label 221: @6468
     /*   6468 */   GIM_Try, /*On fail goto*//*Label 222*/ GIMT_Encode4(6526), // Rule ID 4662 //
     /*   6473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*   6476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   6480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   6484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   6488 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   6491 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   6495 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   6499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6501 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   6508 */     // (add:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   6508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDDZrm),
     /*   6511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6513 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   6515 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   6519 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   6524 */     GIR_RootConstrainSelectedInstOperands,
     /*   6525 */     // GIR_Coverage, 4662,
     /*   6525 */     GIR_EraseRootFromParent_Done,
     /*   6526 */   // Label 222: @6526
     /*   6526 */   GIM_Try, /*On fail goto*//*Label 223*/ GIMT_Encode4(6549), // Rule ID 4659 //
     /*   6531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*   6534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   6538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   6542 */     // (add:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)  =>  (VPADDDZrr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)
     /*   6542 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDDZrr),
     /*   6547 */     GIR_RootConstrainSelectedInstOperands,
     /*   6548 */     // GIR_Coverage, 4659,
     /*   6548 */     GIR_Done,
     /*   6549 */   // Label 223: @6549
     /*   6549 */   GIM_Reject,
     /*   6550 */ // Label 220: @6550
     /*   6550 */ GIM_Reject,
     /*   6551 */ // Label 91: @6551
     /*   6551 */ GIM_Try, /*On fail goto*//*Label 224*/ GIMT_Encode4(6865),
     /*   6556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /*   6559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s8,
     /*   6562 */   GIM_Try, /*On fail goto*//*Label 225*/ GIMT_Encode4(6624), // Rule ID 23428 //
     /*   6567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /*   6570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   6574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   6582 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   6585 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   6589 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   6593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   6597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6599 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   6606 */     // (add:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v32i8] }:$src1)  =>  (VPADDBYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   6606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDBYrm),
     /*   6609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6611 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   6613 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   6617 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   6622 */     GIR_RootConstrainSelectedInstOperands,
     /*   6623 */     // GIR_Coverage, 23428,
     /*   6623 */     GIR_EraseRootFromParent_Done,
     /*   6624 */   // Label 225: @6624
     /*   6624 */   GIM_Try, /*On fail goto*//*Label 226*/ GIMT_Encode4(6686), // Rule ID 23741 //
     /*   6629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*   6632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   6636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   6644 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   6647 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   6651 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   6655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   6659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6661 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   6668 */     // (add:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v32i8] }:$src1)  =>  (VPADDBZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   6668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDBZ256rm),
     /*   6671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6673 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   6675 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   6679 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   6684 */     GIR_RootConstrainSelectedInstOperands,
     /*   6685 */     // GIR_Coverage, 23741,
     /*   6685 */     GIR_EraseRootFromParent_Done,
     /*   6686 */   // Label 226: @6686
     /*   6686 */   GIM_Try, /*On fail goto*//*Label 227*/ GIMT_Encode4(6748), // Rule ID 2526 //
     /*   6691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /*   6694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   6698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   6702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   6706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   6710 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   6713 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   6717 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   6721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6723 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   6730 */     // (add:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDBYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   6730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDBYrm),
     /*   6733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6735 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   6737 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   6741 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   6746 */     GIR_RootConstrainSelectedInstOperands,
     /*   6747 */     // GIR_Coverage, 2526,
     /*   6747 */     GIR_EraseRootFromParent_Done,
     /*   6748 */   // Label 227: @6748
     /*   6748 */   GIM_Try, /*On fail goto*//*Label 228*/ GIMT_Encode4(6810), // Rule ID 4713 //
     /*   6753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*   6756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   6760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   6764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   6768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   6772 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   6775 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   6779 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   6783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6785 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   6792 */     // (add:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDBZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   6792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDBZ256rm),
     /*   6795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6797 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   6799 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   6803 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   6808 */     GIR_RootConstrainSelectedInstOperands,
     /*   6809 */     // GIR_Coverage, 4713,
     /*   6809 */     GIR_EraseRootFromParent_Done,
     /*   6810 */   // Label 228: @6810
     /*   6810 */   GIM_Try, /*On fail goto*//*Label 229*/ GIMT_Encode4(6837), // Rule ID 2525 //
     /*   6815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /*   6818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   6822 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   6826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   6830 */     // (add:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)  =>  (VPADDBYrr:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)
     /*   6830 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDBYrr),
     /*   6835 */     GIR_RootConstrainSelectedInstOperands,
     /*   6836 */     // GIR_Coverage, 2525,
     /*   6836 */     GIR_Done,
     /*   6837 */   // Label 229: @6837
     /*   6837 */   GIM_Try, /*On fail goto*//*Label 230*/ GIMT_Encode4(6864), // Rule ID 4710 //
     /*   6842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*   6845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   6849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   6853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   6857 */     // (add:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)  =>  (VPADDBZ256rr:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)
     /*   6857 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDBZ256rr),
     /*   6862 */     GIR_RootConstrainSelectedInstOperands,
     /*   6863 */     // GIR_Coverage, 4710,
     /*   6863 */     GIR_Done,
     /*   6864 */   // Label 230: @6864
     /*   6864 */   GIM_Reject,
     /*   6865 */ // Label 224: @6865
     /*   6865 */ GIM_Reject,
     /*   6866 */ // Label 92: @6866
     /*   6866 */ GIM_Try, /*On fail goto*//*Label 231*/ GIMT_Encode4(7021),
     /*   6871 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /*   6874 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /*   6877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   6881 */   GIM_Try, /*On fail goto*//*Label 232*/ GIMT_Encode4(6939), // Rule ID 23729 //
     /*   6886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*   6889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   6897 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   6900 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   6904 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   6908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   6912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6914 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   6921 */     // (add:{ *:[v32i16] } (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32i16] }:$src1)  =>  (VPADDWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   6921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDWZrm),
     /*   6924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6926 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   6928 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   6932 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   6937 */     GIR_RootConstrainSelectedInstOperands,
     /*   6938 */     // GIR_Coverage, 23729,
     /*   6938 */     GIR_EraseRootFromParent_Done,
     /*   6939 */   // Label 232: @6939
     /*   6939 */   GIM_Try, /*On fail goto*//*Label 233*/ GIMT_Encode4(6997), // Rule ID 4689 //
     /*   6944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*   6947 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   6951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   6955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   6959 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   6962 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   6966 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   6970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6972 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   6979 */     // (add:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   6979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDWZrm),
     /*   6982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6984 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   6986 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   6990 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   6995 */     GIR_RootConstrainSelectedInstOperands,
     /*   6996 */     // GIR_Coverage, 4689,
     /*   6996 */     GIR_EraseRootFromParent_Done,
     /*   6997 */   // Label 233: @6997
     /*   6997 */   GIM_Try, /*On fail goto*//*Label 234*/ GIMT_Encode4(7020), // Rule ID 4686 //
     /*   7002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*   7005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   7009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   7013 */     // (add:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)  =>  (VPADDWZrr:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)
     /*   7013 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDWZrr),
     /*   7018 */     GIR_RootConstrainSelectedInstOperands,
     /*   7019 */     // GIR_Coverage, 4686,
     /*   7019 */     GIR_Done,
     /*   7020 */   // Label 234: @7020
     /*   7020 */   GIM_Reject,
     /*   7021 */ // Label 231: @7021
     /*   7021 */ GIM_Reject,
     /*   7022 */ // Label 93: @7022
     /*   7022 */ GIM_Try, /*On fail goto*//*Label 235*/ GIMT_Encode4(7177),
     /*   7027 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /*   7030 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s8,
     /*   7033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   7037 */   GIM_Try, /*On fail goto*//*Label 236*/ GIMT_Encode4(7095), // Rule ID 23738 //
     /*   7042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*   7045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   7049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   7053 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   7056 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   7060 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   7064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   7068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   7070 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   7077 */     // (add:{ *:[v64i8] } (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v64i8] }:$src1)  =>  (VPADDBZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   7077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDBZrm),
     /*   7080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7082 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   7084 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   7088 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   7093 */     GIR_RootConstrainSelectedInstOperands,
     /*   7094 */     // GIR_Coverage, 23738,
     /*   7094 */     GIR_EraseRootFromParent_Done,
     /*   7095 */   // Label 236: @7095
     /*   7095 */   GIM_Try, /*On fail goto*//*Label 237*/ GIMT_Encode4(7153), // Rule ID 4707 //
     /*   7100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*   7103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   7107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   7115 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   7118 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   7122 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   7126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   7128 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   7135 */     // (add:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDBZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   7135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDBZrm),
     /*   7138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7140 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   7142 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   7146 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   7151 */     GIR_RootConstrainSelectedInstOperands,
     /*   7152 */     // GIR_Coverage, 4707,
     /*   7152 */     GIR_EraseRootFromParent_Done,
     /*   7153 */   // Label 237: @7153
     /*   7153 */   GIM_Try, /*On fail goto*//*Label 238*/ GIMT_Encode4(7176), // Rule ID 4704 //
     /*   7158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*   7161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   7165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   7169 */     // (add:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)  =>  (VPADDBZrr:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)
     /*   7169 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDBZrr),
     /*   7174 */     GIR_RootConstrainSelectedInstOperands,
     /*   7175 */     // GIR_Coverage, 4704,
     /*   7175 */     GIR_Done,
     /*   7176 */   // Label 238: @7176
     /*   7176 */   GIM_Reject,
     /*   7177 */ // Label 235: @7177
     /*   7177 */ GIM_Reject,
     /*   7178 */ // Label 94: @7178
     /*   7178 */ GIM_Reject,
     /*   7179 */ // Label 1: @7179
     /*   7179 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(25), /*)*//*default:*//*Label 255*/ GIMT_Encode4(10714),
     /*   7190 */ /*GILLT_s8*//*Label 239*/ GIMT_Encode4(7286),
     /*   7194 */ /*GILLT_s16*//*Label 240*/ GIMT_Encode4(7638),
     /*   7198 */ /*GILLT_s32*//*Label 241*/ GIMT_Encode4(7990),
     /*   7202 */ /*GILLT_s64*//*Label 242*/ GIMT_Encode4(8342), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   7218 */ /*GILLT_v2s64*//*Label 243*/ GIMT_Encode4(8702), GIMT_Encode4(0),
     /*   7226 */ /*GILLT_v4s32*//*Label 244*/ GIMT_Encode4(8920),
     /*   7230 */ /*GILLT_v4s64*//*Label 245*/ GIMT_Encode4(9138), GIMT_Encode4(0),
     /*   7238 */ /*GILLT_v8s16*//*Label 246*/ GIMT_Encode4(9329),
     /*   7242 */ /*GILLT_v8s32*//*Label 247*/ GIMT_Encode4(9547),
     /*   7246 */ /*GILLT_v8s64*//*Label 248*/ GIMT_Encode4(9738), GIMT_Encode4(0),
     /*   7254 */ /*GILLT_v16s8*//*Label 249*/ GIMT_Encode4(9832),
     /*   7258 */ /*GILLT_v16s16*//*Label 250*/ GIMT_Encode4(10050),
     /*   7262 */ /*GILLT_v16s32*//*Label 251*/ GIMT_Encode4(10241), GIMT_Encode4(0),
     /*   7270 */ /*GILLT_v32s8*//*Label 252*/ GIMT_Encode4(10335),
     /*   7274 */ /*GILLT_v32s16*//*Label 253*/ GIMT_Encode4(10526), GIMT_Encode4(0),
     /*   7282 */ /*GILLT_v64s8*//*Label 254*/ GIMT_Encode4(10620),
     /*   7286 */ // Label 239: @7286
     /*   7286 */ GIM_Try, /*On fail goto*//*Label 256*/ GIMT_Encode4(7637),
     /*   7291 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /*   7294 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /*   7297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   7301 */   GIM_Try, /*On fail goto*//*Label 257*/ GIMT_Encode4(7362), // Rule ID 22805 //
     /*   7306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   7309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   7313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   7321 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   7324 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   7328 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*   7332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   7334 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   7341 */     // (sub:{ *:[i8] } GR8:{ *:[i8] }:$src1, (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>)  =>  (SUB8rm:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   7341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB8rm),
     /*   7344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7346 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   7348 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   7352 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   7355 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   7360 */     GIR_RootConstrainSelectedInstOperands,
     /*   7361 */     // GIR_Coverage, 22805,
     /*   7361 */     GIR_EraseRootFromParent_Done,
     /*   7362 */   // Label 257: @7362
     /*   7362 */   GIM_Try, /*On fail goto*//*Label 258*/ GIMT_Encode4(7423), // Rule ID 22895 //
     /*   7367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   7370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   7374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   7382 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   7385 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   7389 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*   7393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   7395 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   7402 */     // (sub:{ *:[i8] } GR8:{ *:[i8] }:$src1, (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>)  =>  (SUB8rm_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   7402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB8rm_ND),
     /*   7405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7407 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   7409 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   7413 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   7416 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   7421 */     GIR_RootConstrainSelectedInstOperands,
     /*   7422 */     // GIR_Coverage, 22895,
     /*   7422 */     GIR_EraseRootFromParent_Done,
     /*   7423 */   // Label 258: @7423
     /*   7423 */   GIM_Try, /*On fail goto*//*Label 259*/ GIMT_Encode4(7451), // Rule ID 241 //
     /*   7428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   7431 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   7435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   7439 */     // (sub:{ *:[i8] } 0:{ *:[i8] }, GR8:{ *:[i8] }:$src1)  =>  (NEG8r:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1)
     /*   7439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG8r),
     /*   7442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7444 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   7446 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   7449 */     GIR_RootConstrainSelectedInstOperands,
     /*   7450 */     // GIR_Coverage, 241,
     /*   7450 */     GIR_EraseRootFromParent_Done,
     /*   7451 */   // Label 259: @7451
     /*   7451 */   GIM_Try, /*On fail goto*//*Label 260*/ GIMT_Encode4(7479), // Rule ID 249 //
     /*   7456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /*   7459 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   7463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   7467 */     // (sub:{ *:[i8] } 0:{ *:[i8] }, GR8:{ *:[i8] }:$src1)  =>  (NEG8r_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1)
     /*   7467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG8r_ND),
     /*   7470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7472 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   7474 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   7477 */     GIR_RootConstrainSelectedInstOperands,
     /*   7478 */     // GIR_Coverage, 249,
     /*   7478 */     GIR_EraseRootFromParent_Done,
     /*   7479 */   // Label 260: @7479
     /*   7479 */   GIM_Try, /*On fail goto*//*Label 261*/ GIMT_Encode4(7504), // Rule ID 257 //
     /*   7484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /*   7487 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   7491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   7495 */     // (sub:{ *:[i8] } 0:{ *:[i8] }, GR8:{ *:[i8] }:$src1)  =>  (NEG8r_NF_ND:{ *:[i8] } GR8:{ *:[i8] }:$src1)
     /*   7495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG8r_NF_ND),
     /*   7498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7500 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   7502 */     GIR_RootConstrainSelectedInstOperands,
     /*   7503 */     // GIR_Coverage, 257,
     /*   7503 */     GIR_EraseRootFromParent_Done,
     /*   7504 */   // Label 261: @7504
     /*   7504 */   GIM_Try, /*On fail goto*//*Label 262*/ GIMT_Encode4(7541), // Rule ID 22809 //
     /*   7509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   7512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   7516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   7524 */     // MIs[1] Operand 1
     /*   7524 */     // No operand predicates
     /*   7524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   7526 */     // (sub:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SUB8ri:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /*   7526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB8ri),
     /*   7529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7531 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   7533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*   7536 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   7539 */     GIR_RootConstrainSelectedInstOperands,
     /*   7540 */     // GIR_Coverage, 22809,
     /*   7540 */     GIR_EraseRootFromParent_Done,
     /*   7541 */   // Label 262: @7541
     /*   7541 */   GIM_Try, /*On fail goto*//*Label 263*/ GIMT_Encode4(7578), // Rule ID 22899 //
     /*   7546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   7549 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   7553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   7561 */     // MIs[1] Operand 1
     /*   7561 */     // No operand predicates
     /*   7561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   7563 */     // (sub:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SUB8ri_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /*   7563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB8ri_ND),
     /*   7566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7568 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   7570 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*   7573 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   7576 */     GIR_RootConstrainSelectedInstOperands,
     /*   7577 */     // GIR_Coverage, 22899,
     /*   7577 */     GIR_EraseRootFromParent_Done,
     /*   7578 */   // Label 263: @7578
     /*   7578 */   GIM_Try, /*On fail goto*//*Label 264*/ GIMT_Encode4(7607), // Rule ID 22801 //
     /*   7583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   7586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   7590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   7594 */     // (sub:{ *:[i8] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (SUB8rr:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)
     /*   7594 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUB8rr),
     /*   7599 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*   7605 */     GIR_RootConstrainSelectedInstOperands,
     /*   7606 */     // GIR_Coverage, 22801,
     /*   7606 */     GIR_Done,
     /*   7607 */   // Label 264: @7607
     /*   7607 */   GIM_Try, /*On fail goto*//*Label 265*/ GIMT_Encode4(7636), // Rule ID 22891 //
     /*   7612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   7615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   7619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   7623 */     // (sub:{ *:[i8] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (SUB8rr_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)
     /*   7623 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUB8rr_ND),
     /*   7628 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*   7634 */     GIR_RootConstrainSelectedInstOperands,
     /*   7635 */     // GIR_Coverage, 22891,
     /*   7635 */     GIR_Done,
     /*   7636 */   // Label 265: @7636
     /*   7636 */   GIM_Reject,
     /*   7637 */ // Label 256: @7637
     /*   7637 */ GIM_Reject,
     /*   7638 */ // Label 240: @7638
     /*   7638 */ GIM_Try, /*On fail goto*//*Label 266*/ GIMT_Encode4(7989),
     /*   7643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*   7646 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /*   7649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   7653 */   GIM_Try, /*On fail goto*//*Label 267*/ GIMT_Encode4(7714), // Rule ID 22806 //
     /*   7658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   7661 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   7665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   7673 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   7676 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   7680 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*   7684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   7686 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   7693 */     // (sub:{ *:[i16] } GR16:{ *:[i16] }:$src1, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (SUB16rm:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   7693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB16rm),
     /*   7696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7698 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   7700 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   7704 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   7707 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   7712 */     GIR_RootConstrainSelectedInstOperands,
     /*   7713 */     // GIR_Coverage, 22806,
     /*   7713 */     GIR_EraseRootFromParent_Done,
     /*   7714 */   // Label 267: @7714
     /*   7714 */   GIM_Try, /*On fail goto*//*Label 268*/ GIMT_Encode4(7775), // Rule ID 22896 //
     /*   7719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   7722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   7726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   7734 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   7737 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   7741 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*   7745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   7747 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   7754 */     // (sub:{ *:[i16] } GR16:{ *:[i16] }:$src1, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (SUB16rm_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   7754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB16rm_ND),
     /*   7757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7759 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   7761 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   7765 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   7768 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   7773 */     GIR_RootConstrainSelectedInstOperands,
     /*   7774 */     // GIR_Coverage, 22896,
     /*   7774 */     GIR_EraseRootFromParent_Done,
     /*   7775 */   // Label 268: @7775
     /*   7775 */   GIM_Try, /*On fail goto*//*Label 269*/ GIMT_Encode4(7803), // Rule ID 242 //
     /*   7780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   7783 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   7787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   7791 */     // (sub:{ *:[i16] } 0:{ *:[i16] }, GR16:{ *:[i16] }:$src1)  =>  (NEG16r:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /*   7791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG16r),
     /*   7794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7796 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   7798 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   7801 */     GIR_RootConstrainSelectedInstOperands,
     /*   7802 */     // GIR_Coverage, 242,
     /*   7802 */     GIR_EraseRootFromParent_Done,
     /*   7803 */   // Label 269: @7803
     /*   7803 */   GIM_Try, /*On fail goto*//*Label 270*/ GIMT_Encode4(7831), // Rule ID 250 //
     /*   7808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /*   7811 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   7815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   7819 */     // (sub:{ *:[i16] } 0:{ *:[i16] }, GR16:{ *:[i16] }:$src1)  =>  (NEG16r_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /*   7819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG16r_ND),
     /*   7822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7824 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   7826 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   7829 */     GIR_RootConstrainSelectedInstOperands,
     /*   7830 */     // GIR_Coverage, 250,
     /*   7830 */     GIR_EraseRootFromParent_Done,
     /*   7831 */   // Label 270: @7831
     /*   7831 */   GIM_Try, /*On fail goto*//*Label 271*/ GIMT_Encode4(7856), // Rule ID 258 //
     /*   7836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /*   7839 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   7843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   7847 */     // (sub:{ *:[i16] } 0:{ *:[i16] }, GR16:{ *:[i16] }:$src1)  =>  (NEG16r_NF_ND:{ *:[i16] } GR16:{ *:[i16] }:$src1)
     /*   7847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG16r_NF_ND),
     /*   7850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7852 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   7854 */     GIR_RootConstrainSelectedInstOperands,
     /*   7855 */     // GIR_Coverage, 258,
     /*   7855 */     GIR_EraseRootFromParent_Done,
     /*   7856 */   // Label 271: @7856
     /*   7856 */   GIM_Try, /*On fail goto*//*Label 272*/ GIMT_Encode4(7893), // Rule ID 22810 //
     /*   7861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   7864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   7868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   7876 */     // MIs[1] Operand 1
     /*   7876 */     // No operand predicates
     /*   7876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   7878 */     // (sub:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)  =>  (SUB16ri:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)
     /*   7878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB16ri),
     /*   7881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7883 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   7885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*   7888 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   7891 */     GIR_RootConstrainSelectedInstOperands,
     /*   7892 */     // GIR_Coverage, 22810,
     /*   7892 */     GIR_EraseRootFromParent_Done,
     /*   7893 */   // Label 272: @7893
     /*   7893 */   GIM_Try, /*On fail goto*//*Label 273*/ GIMT_Encode4(7930), // Rule ID 22900 //
     /*   7898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   7901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   7905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   7913 */     // MIs[1] Operand 1
     /*   7913 */     // No operand predicates
     /*   7913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   7915 */     // (sub:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)  =>  (SUB16ri_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)
     /*   7915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB16ri_ND),
     /*   7918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7920 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   7922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*   7925 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   7928 */     GIR_RootConstrainSelectedInstOperands,
     /*   7929 */     // GIR_Coverage, 22900,
     /*   7929 */     GIR_EraseRootFromParent_Done,
     /*   7930 */   // Label 273: @7930
     /*   7930 */   GIM_Try, /*On fail goto*//*Label 274*/ GIMT_Encode4(7959), // Rule ID 22802 //
     /*   7935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   7938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   7942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   7946 */     // (sub:{ *:[i16] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)  =>  (SUB16rr:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)
     /*   7946 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUB16rr),
     /*   7951 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*   7957 */     GIR_RootConstrainSelectedInstOperands,
     /*   7958 */     // GIR_Coverage, 22802,
     /*   7958 */     GIR_Done,
     /*   7959 */   // Label 274: @7959
     /*   7959 */   GIM_Try, /*On fail goto*//*Label 275*/ GIMT_Encode4(7988), // Rule ID 22892 //
     /*   7964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   7967 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   7971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   7975 */     // (sub:{ *:[i16] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)  =>  (SUB16rr_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)
     /*   7975 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUB16rr_ND),
     /*   7980 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*   7986 */     GIR_RootConstrainSelectedInstOperands,
     /*   7987 */     // GIR_Coverage, 22892,
     /*   7987 */     GIR_Done,
     /*   7988 */   // Label 275: @7988
     /*   7988 */   GIM_Reject,
     /*   7989 */ // Label 266: @7989
     /*   7989 */ GIM_Reject,
     /*   7990 */ // Label 241: @7990
     /*   7990 */ GIM_Try, /*On fail goto*//*Label 276*/ GIMT_Encode4(8341),
     /*   7995 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   7998 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   8001 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   8005 */   GIM_Try, /*On fail goto*//*Label 277*/ GIMT_Encode4(8066), // Rule ID 22807 //
     /*   8010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   8013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   8017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   8025 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   8028 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   8032 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*   8036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8038 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   8045 */     // (sub:{ *:[i32] } GR32:{ *:[i32] }:$src1, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (SUB32rm:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   8045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB32rm),
     /*   8048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8050 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   8052 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   8056 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   8059 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   8064 */     GIR_RootConstrainSelectedInstOperands,
     /*   8065 */     // GIR_Coverage, 22807,
     /*   8065 */     GIR_EraseRootFromParent_Done,
     /*   8066 */   // Label 277: @8066
     /*   8066 */   GIM_Try, /*On fail goto*//*Label 278*/ GIMT_Encode4(8127), // Rule ID 22897 //
     /*   8071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   8074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   8078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   8086 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   8089 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   8093 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*   8097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8099 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   8106 */     // (sub:{ *:[i32] } GR32:{ *:[i32] }:$src1, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (SUB32rm_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   8106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB32rm_ND),
     /*   8109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8111 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   8113 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   8117 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   8120 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   8125 */     GIR_RootConstrainSelectedInstOperands,
     /*   8126 */     // GIR_Coverage, 22897,
     /*   8126 */     GIR_EraseRootFromParent_Done,
     /*   8127 */   // Label 278: @8127
     /*   8127 */   GIM_Try, /*On fail goto*//*Label 279*/ GIMT_Encode4(8155), // Rule ID 243 //
     /*   8132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   8135 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   8139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   8143 */     // (sub:{ *:[i32] } 0:{ *:[i32] }, GR32:{ *:[i32] }:$src1)  =>  (NEG32r:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /*   8143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG32r),
     /*   8146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8148 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   8150 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   8153 */     GIR_RootConstrainSelectedInstOperands,
     /*   8154 */     // GIR_Coverage, 243,
     /*   8154 */     GIR_EraseRootFromParent_Done,
     /*   8155 */   // Label 279: @8155
     /*   8155 */   GIM_Try, /*On fail goto*//*Label 280*/ GIMT_Encode4(8183), // Rule ID 251 //
     /*   8160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /*   8163 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   8167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   8171 */     // (sub:{ *:[i32] } 0:{ *:[i32] }, GR32:{ *:[i32] }:$src1)  =>  (NEG32r_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /*   8171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG32r_ND),
     /*   8174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8176 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   8178 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   8181 */     GIR_RootConstrainSelectedInstOperands,
     /*   8182 */     // GIR_Coverage, 251,
     /*   8182 */     GIR_EraseRootFromParent_Done,
     /*   8183 */   // Label 280: @8183
     /*   8183 */   GIM_Try, /*On fail goto*//*Label 281*/ GIMT_Encode4(8208), // Rule ID 259 //
     /*   8188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /*   8191 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   8195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   8199 */     // (sub:{ *:[i32] } 0:{ *:[i32] }, GR32:{ *:[i32] }:$src1)  =>  (NEG32r_NF_ND:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /*   8199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG32r_NF_ND),
     /*   8202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8204 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   8206 */     GIR_RootConstrainSelectedInstOperands,
     /*   8207 */     // GIR_Coverage, 259,
     /*   8207 */     GIR_EraseRootFromParent_Done,
     /*   8208 */   // Label 281: @8208
     /*   8208 */   GIM_Try, /*On fail goto*//*Label 282*/ GIMT_Encode4(8245), // Rule ID 22811 //
     /*   8213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   8216 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   8220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   8228 */     // MIs[1] Operand 1
     /*   8228 */     // No operand predicates
     /*   8228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8230 */     // (sub:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)  =>  (SUB32ri:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)
     /*   8230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB32ri),
     /*   8233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8235 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   8237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*   8240 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   8243 */     GIR_RootConstrainSelectedInstOperands,
     /*   8244 */     // GIR_Coverage, 22811,
     /*   8244 */     GIR_EraseRootFromParent_Done,
     /*   8245 */   // Label 282: @8245
     /*   8245 */   GIM_Try, /*On fail goto*//*Label 283*/ GIMT_Encode4(8282), // Rule ID 22901 //
     /*   8250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   8253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   8257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   8265 */     // MIs[1] Operand 1
     /*   8265 */     // No operand predicates
     /*   8265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8267 */     // (sub:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)  =>  (SUB32ri_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)
     /*   8267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB32ri_ND),
     /*   8270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8272 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   8274 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*   8277 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   8280 */     GIR_RootConstrainSelectedInstOperands,
     /*   8281 */     // GIR_Coverage, 22901,
     /*   8281 */     GIR_EraseRootFromParent_Done,
     /*   8282 */   // Label 283: @8282
     /*   8282 */   GIM_Try, /*On fail goto*//*Label 284*/ GIMT_Encode4(8311), // Rule ID 22803 //
     /*   8287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   8290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   8294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   8298 */     // (sub:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)  =>  (SUB32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /*   8298 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUB32rr),
     /*   8303 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*   8309 */     GIR_RootConstrainSelectedInstOperands,
     /*   8310 */     // GIR_Coverage, 22803,
     /*   8310 */     GIR_Done,
     /*   8311 */   // Label 284: @8311
     /*   8311 */   GIM_Try, /*On fail goto*//*Label 285*/ GIMT_Encode4(8340), // Rule ID 22893 //
     /*   8316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   8319 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   8323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   8327 */     // (sub:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)  =>  (SUB32rr_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /*   8327 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUB32rr_ND),
     /*   8332 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*   8338 */     GIR_RootConstrainSelectedInstOperands,
     /*   8339 */     // GIR_Coverage, 22893,
     /*   8339 */     GIR_Done,
     /*   8340 */   // Label 285: @8340
     /*   8340 */   GIM_Reject,
     /*   8341 */ // Label 276: @8341
     /*   8341 */ GIM_Reject,
     /*   8342 */ // Label 242: @8342
     /*   8342 */ GIM_Try, /*On fail goto*//*Label 286*/ GIMT_Encode4(8701),
     /*   8347 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   8350 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   8353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   8357 */   GIM_Try, /*On fail goto*//*Label 287*/ GIMT_Encode4(8418), // Rule ID 22808 //
     /*   8362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   8365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   8369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   8377 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   8380 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   8384 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   8388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8390 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   8397 */     // (sub:{ *:[i64] } GR64:{ *:[i64] }:$src1, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SUB64rm:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   8397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB64rm),
     /*   8400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8402 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   8404 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   8408 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   8411 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   8416 */     GIR_RootConstrainSelectedInstOperands,
     /*   8417 */     // GIR_Coverage, 22808,
     /*   8417 */     GIR_EraseRootFromParent_Done,
     /*   8418 */   // Label 287: @8418
     /*   8418 */   GIM_Try, /*On fail goto*//*Label 288*/ GIMT_Encode4(8479), // Rule ID 22898 //
     /*   8423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   8426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   8430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   8438 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   8441 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   8445 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   8449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8451 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   8458 */     // (sub:{ *:[i64] } GR64:{ *:[i64] }:$src1, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SUB64rm_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   8458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB64rm_ND),
     /*   8461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8463 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   8465 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   8469 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   8472 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   8477 */     GIR_RootConstrainSelectedInstOperands,
     /*   8478 */     // GIR_Coverage, 22898,
     /*   8478 */     GIR_EraseRootFromParent_Done,
     /*   8479 */   // Label 288: @8479
     /*   8479 */   GIM_Try, /*On fail goto*//*Label 289*/ GIMT_Encode4(8507), // Rule ID 244 //
     /*   8484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   8487 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   8491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   8495 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, GR64:{ *:[i64] }:$src1)  =>  (NEG64r:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /*   8495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG64r),
     /*   8498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8500 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   8502 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   8505 */     GIR_RootConstrainSelectedInstOperands,
     /*   8506 */     // GIR_Coverage, 244,
     /*   8506 */     GIR_EraseRootFromParent_Done,
     /*   8507 */   // Label 289: @8507
     /*   8507 */   GIM_Try, /*On fail goto*//*Label 290*/ GIMT_Encode4(8535), // Rule ID 252 //
     /*   8512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /*   8515 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   8519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   8523 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, GR64:{ *:[i64] }:$src1)  =>  (NEG64r_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /*   8523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG64r_ND),
     /*   8526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8528 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   8530 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   8533 */     GIR_RootConstrainSelectedInstOperands,
     /*   8534 */     // GIR_Coverage, 252,
     /*   8534 */     GIR_EraseRootFromParent_Done,
     /*   8535 */   // Label 290: @8535
     /*   8535 */   GIM_Try, /*On fail goto*//*Label 291*/ GIMT_Encode4(8560), // Rule ID 260 //
     /*   8540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /*   8543 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   8547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   8551 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, GR64:{ *:[i64] }:$src1)  =>  (NEG64r_NF_ND:{ *:[i64] } GR64:{ *:[i64] }:$src1)
     /*   8551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG64r_NF_ND),
     /*   8554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8556 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   8558 */     GIR_RootConstrainSelectedInstOperands,
     /*   8559 */     // GIR_Coverage, 260,
     /*   8559 */     GIR_EraseRootFromParent_Done,
     /*   8560 */   // Label 291: @8560
     /*   8560 */   GIM_Try, /*On fail goto*//*Label 292*/ GIMT_Encode4(8601), // Rule ID 22812 //
     /*   8565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   8568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   8572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   8580 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /*   8584 */     // MIs[1] Operand 1
     /*   8584 */     // No operand predicates
     /*   8584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8586 */     // (sub:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)  =>  (SUB64ri32:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)
     /*   8586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB64ri32),
     /*   8589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8591 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   8593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*   8596 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   8599 */     GIR_RootConstrainSelectedInstOperands,
     /*   8600 */     // GIR_Coverage, 22812,
     /*   8600 */     GIR_EraseRootFromParent_Done,
     /*   8601 */   // Label 292: @8601
     /*   8601 */   GIM_Try, /*On fail goto*//*Label 293*/ GIMT_Encode4(8642), // Rule ID 22902 //
     /*   8606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   8609 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   8613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   8621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /*   8625 */     // MIs[1] Operand 1
     /*   8625 */     // No operand predicates
     /*   8625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8627 */     // (sub:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)  =>  (SUB64ri32_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)
     /*   8627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB64ri32_ND),
     /*   8630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8632 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   8634 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*   8637 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   8640 */     GIR_RootConstrainSelectedInstOperands,
     /*   8641 */     // GIR_Coverage, 22902,
     /*   8641 */     GIR_EraseRootFromParent_Done,
     /*   8642 */   // Label 293: @8642
     /*   8642 */   GIM_Try, /*On fail goto*//*Label 294*/ GIMT_Encode4(8671), // Rule ID 22804 //
     /*   8647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   8650 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   8654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   8658 */     // (sub:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)  =>  (SUB64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /*   8658 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUB64rr),
     /*   8663 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*   8669 */     GIR_RootConstrainSelectedInstOperands,
     /*   8670 */     // GIR_Coverage, 22804,
     /*   8670 */     GIR_Done,
     /*   8671 */   // Label 294: @8671
     /*   8671 */   GIM_Try, /*On fail goto*//*Label 295*/ GIMT_Encode4(8700), // Rule ID 22894 //
     /*   8676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   8679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   8683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   8687 */     // (sub:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)  =>  (SUB64rr_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /*   8687 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUB64rr_ND),
     /*   8692 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*   8698 */     GIR_RootConstrainSelectedInstOperands,
     /*   8699 */     // GIR_Coverage, 22894,
     /*   8699 */     GIR_Done,
     /*   8700 */   // Label 295: @8700
     /*   8700 */   GIM_Reject,
     /*   8701 */ // Label 286: @8701
     /*   8701 */ GIM_Reject,
     /*   8702 */ // Label 243: @8702
     /*   8702 */ GIM_Try, /*On fail goto*//*Label 296*/ GIMT_Encode4(8919),
     /*   8707 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   8710 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*   8713 */   GIM_Try, /*On fail goto*//*Label 297*/ GIMT_Encode4(8775), // Rule ID 2606 //
     /*   8718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*   8721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   8725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   8729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   8737 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   8740 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   8744 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   8748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8750 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   8757 */     // (sub:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBQrm:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   8757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBQrm),
     /*   8760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8762 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   8764 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   8768 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   8773 */     GIR_RootConstrainSelectedInstOperands,
     /*   8774 */     // GIR_Coverage, 2606,
     /*   8774 */     GIR_EraseRootFromParent_Done,
     /*   8775 */   // Label 297: @8775
     /*   8775 */   GIM_Try, /*On fail goto*//*Label 298*/ GIMT_Encode4(8837), // Rule ID 4743 //
     /*   8780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   8783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   8787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   8791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   8799 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   8802 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   8806 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   8810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8812 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   8819 */     // (sub:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   8819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBQZ128rm),
     /*   8822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8824 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   8826 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   8830 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   8835 */     GIR_RootConstrainSelectedInstOperands,
     /*   8836 */     // GIR_Coverage, 4743,
     /*   8836 */     GIR_EraseRootFromParent_Done,
     /*   8837 */   // Label 298: @8837
     /*   8837 */   GIM_Try, /*On fail goto*//*Label 299*/ GIMT_Encode4(8864), // Rule ID 2605 //
     /*   8842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*   8845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   8849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   8853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   8857 */     // (sub:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (VPSUBQrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*   8857 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBQrr),
     /*   8862 */     GIR_RootConstrainSelectedInstOperands,
     /*   8863 */     // GIR_Coverage, 2605,
     /*   8863 */     GIR_Done,
     /*   8864 */   // Label 299: @8864
     /*   8864 */   GIM_Try, /*On fail goto*//*Label 300*/ GIMT_Encode4(8891), // Rule ID 2607 //
     /*   8869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*   8872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   8876 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   8880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   8884 */     // (sub:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (PSUBQrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*   8884 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PSUBQrr),
     /*   8889 */     GIR_RootConstrainSelectedInstOperands,
     /*   8890 */     // GIR_Coverage, 2607,
     /*   8890 */     GIR_Done,
     /*   8891 */   // Label 300: @8891
     /*   8891 */   GIM_Try, /*On fail goto*//*Label 301*/ GIMT_Encode4(8918), // Rule ID 4740 //
     /*   8896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   8899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   8903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   8907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   8911 */     // (sub:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (VPSUBQZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)
     /*   8911 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBQZ128rr),
     /*   8916 */     GIR_RootConstrainSelectedInstOperands,
     /*   8917 */     // GIR_Coverage, 4740,
     /*   8917 */     GIR_Done,
     /*   8918 */   // Label 301: @8918
     /*   8918 */   GIM_Reject,
     /*   8919 */ // Label 296: @8919
     /*   8919 */ GIM_Reject,
     /*   8920 */ // Label 244: @8920
     /*   8920 */ GIM_Try, /*On fail goto*//*Label 302*/ GIMT_Encode4(9137),
     /*   8925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*   8928 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*   8931 */   GIM_Try, /*On fail goto*//*Label 303*/ GIMT_Encode4(8993), // Rule ID 2600 //
     /*   8936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*   8939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   8943 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   8947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   8955 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   8958 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   8962 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   8966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8968 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   8975 */     // (sub:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   8975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBDrm),
     /*   8978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8980 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   8982 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   8986 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   8991 */     GIR_RootConstrainSelectedInstOperands,
     /*   8992 */     // GIR_Coverage, 2600,
     /*   8992 */     GIR_EraseRootFromParent_Done,
     /*   8993 */   // Label 303: @8993
     /*   8993 */   GIM_Try, /*On fail goto*//*Label 304*/ GIMT_Encode4(9055), // Rule ID 4770 //
     /*   8998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   9001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   9005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   9009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   9017 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   9020 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   9024 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   9028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   9030 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   9037 */     // (sub:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   9037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBDZ128rm),
     /*   9040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9042 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   9044 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   9048 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   9053 */     GIR_RootConstrainSelectedInstOperands,
     /*   9054 */     // GIR_Coverage, 4770,
     /*   9054 */     GIR_EraseRootFromParent_Done,
     /*   9055 */   // Label 304: @9055
     /*   9055 */   GIM_Try, /*On fail goto*//*Label 305*/ GIMT_Encode4(9082), // Rule ID 2599 //
     /*   9060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*   9063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9075 */     // (sub:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (VPSUBDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*   9075 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBDrr),
     /*   9080 */     GIR_RootConstrainSelectedInstOperands,
     /*   9081 */     // GIR_Coverage, 2599,
     /*   9081 */     GIR_Done,
     /*   9082 */   // Label 305: @9082
     /*   9082 */   GIM_Try, /*On fail goto*//*Label 306*/ GIMT_Encode4(9109), // Rule ID 2601 //
     /*   9087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*   9090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9102 */     // (sub:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (PSUBDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*   9102 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PSUBDrr),
     /*   9107 */     GIR_RootConstrainSelectedInstOperands,
     /*   9108 */     // GIR_Coverage, 2601,
     /*   9108 */     GIR_Done,
     /*   9109 */   // Label 306: @9109
     /*   9109 */   GIM_Try, /*On fail goto*//*Label 307*/ GIMT_Encode4(9136), // Rule ID 4767 //
     /*   9114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   9117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   9121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   9125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   9129 */     // (sub:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)  =>  (VPSUBDZ128rr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)
     /*   9129 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBDZ128rr),
     /*   9134 */     GIR_RootConstrainSelectedInstOperands,
     /*   9135 */     // GIR_Coverage, 4767,
     /*   9135 */     GIR_Done,
     /*   9136 */   // Label 307: @9136
     /*   9136 */   GIM_Reject,
     /*   9137 */ // Label 302: @9137
     /*   9137 */ GIM_Reject,
     /*   9138 */ // Label 245: @9138
     /*   9138 */ GIM_Try, /*On fail goto*//*Label 308*/ GIMT_Encode4(9328),
     /*   9143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*   9146 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*   9149 */   GIM_Try, /*On fail goto*//*Label 309*/ GIMT_Encode4(9211), // Rule ID 2610 //
     /*   9154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*   9157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   9161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   9165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   9173 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   9176 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   9180 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   9184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   9186 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   9193 */     // (sub:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBQYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   9193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBQYrm),
     /*   9196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9198 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   9200 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   9204 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   9209 */     GIR_RootConstrainSelectedInstOperands,
     /*   9210 */     // GIR_Coverage, 2610,
     /*   9210 */     GIR_EraseRootFromParent_Done,
     /*   9211 */   // Label 309: @9211
     /*   9211 */   GIM_Try, /*On fail goto*//*Label 310*/ GIMT_Encode4(9273), // Rule ID 4734 //
     /*   9216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   9219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   9223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   9227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   9235 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   9238 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   9242 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   9246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   9248 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   9255 */     // (sub:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   9255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBQZ256rm),
     /*   9258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9260 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   9262 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   9266 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   9271 */     GIR_RootConstrainSelectedInstOperands,
     /*   9272 */     // GIR_Coverage, 4734,
     /*   9272 */     GIR_EraseRootFromParent_Done,
     /*   9273 */   // Label 310: @9273
     /*   9273 */   GIM_Try, /*On fail goto*//*Label 311*/ GIMT_Encode4(9300), // Rule ID 2609 //
     /*   9278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*   9281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   9285 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   9289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   9293 */     // (sub:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)  =>  (VPSUBQYrr:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)
     /*   9293 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBQYrr),
     /*   9298 */     GIR_RootConstrainSelectedInstOperands,
     /*   9299 */     // GIR_Coverage, 2609,
     /*   9299 */     GIR_Done,
     /*   9300 */   // Label 311: @9300
     /*   9300 */   GIM_Try, /*On fail goto*//*Label 312*/ GIMT_Encode4(9327), // Rule ID 4731 //
     /*   9305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   9308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   9312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   9316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   9320 */     // (sub:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (VPSUBQZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)
     /*   9320 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBQZ256rr),
     /*   9325 */     GIR_RootConstrainSelectedInstOperands,
     /*   9326 */     // GIR_Coverage, 4731,
     /*   9326 */     GIR_Done,
     /*   9327 */   // Label 312: @9327
     /*   9327 */   GIM_Reject,
     /*   9328 */ // Label 308: @9328
     /*   9328 */ GIM_Reject,
     /*   9329 */ // Label 246: @9329
     /*   9329 */ GIM_Try, /*On fail goto*//*Label 313*/ GIMT_Encode4(9546),
     /*   9334 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*   9337 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*   9340 */   GIM_Try, /*On fail goto*//*Label 314*/ GIMT_Encode4(9402), // Rule ID 2594 //
     /*   9345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /*   9348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   9364 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   9367 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   9371 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   9375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   9377 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   9384 */     // (sub:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   9384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBWrm),
     /*   9387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9389 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   9391 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   9395 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   9400 */     GIR_RootConstrainSelectedInstOperands,
     /*   9401 */     // GIR_Coverage, 2594,
     /*   9401 */     GIR_EraseRootFromParent_Done,
     /*   9402 */   // Label 314: @9402
     /*   9402 */   GIM_Try, /*On fail goto*//*Label 315*/ GIMT_Encode4(9464), // Rule ID 4791 //
     /*   9407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*   9410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   9414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   9418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   9426 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   9429 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   9433 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   9437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   9439 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   9446 */     // (sub:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   9446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBWZ128rm),
     /*   9449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9451 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   9453 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   9457 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   9462 */     GIR_RootConstrainSelectedInstOperands,
     /*   9463 */     // GIR_Coverage, 4791,
     /*   9463 */     GIR_EraseRootFromParent_Done,
     /*   9464 */   // Label 315: @9464
     /*   9464 */   GIM_Try, /*On fail goto*//*Label 316*/ GIMT_Encode4(9491), // Rule ID 2593 //
     /*   9469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /*   9472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9484 */     // (sub:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPSUBWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /*   9484 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBWrr),
     /*   9489 */     GIR_RootConstrainSelectedInstOperands,
     /*   9490 */     // GIR_Coverage, 2593,
     /*   9490 */     GIR_Done,
     /*   9491 */   // Label 316: @9491
     /*   9491 */   GIM_Try, /*On fail goto*//*Label 317*/ GIMT_Encode4(9518), // Rule ID 2595 //
     /*   9496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*   9499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9511 */     // (sub:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PSUBWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /*   9511 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PSUBWrr),
     /*   9516 */     GIR_RootConstrainSelectedInstOperands,
     /*   9517 */     // GIR_Coverage, 2595,
     /*   9517 */     GIR_Done,
     /*   9518 */   // Label 317: @9518
     /*   9518 */   GIM_Try, /*On fail goto*//*Label 318*/ GIMT_Encode4(9545), // Rule ID 4788 //
     /*   9523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*   9526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   9530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   9534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   9538 */     // (sub:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)  =>  (VPSUBWZ128rr:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)
     /*   9538 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBWZ128rr),
     /*   9543 */     GIR_RootConstrainSelectedInstOperands,
     /*   9544 */     // GIR_Coverage, 4788,
     /*   9544 */     GIR_Done,
     /*   9545 */   // Label 318: @9545
     /*   9545 */   GIM_Reject,
     /*   9546 */ // Label 313: @9546
     /*   9546 */ GIM_Reject,
     /*   9547 */ // Label 247: @9547
     /*   9547 */ GIM_Try, /*On fail goto*//*Label 319*/ GIMT_Encode4(9737),
     /*   9552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*   9555 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*   9558 */   GIM_Try, /*On fail goto*//*Label 320*/ GIMT_Encode4(9620), // Rule ID 2604 //
     /*   9563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*   9566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   9570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   9574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   9582 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   9585 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   9589 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   9593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   9595 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   9602 */     // (sub:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBDYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   9602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBDYrm),
     /*   9605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9607 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   9609 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   9613 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   9618 */     GIR_RootConstrainSelectedInstOperands,
     /*   9619 */     // GIR_Coverage, 2604,
     /*   9619 */     GIR_EraseRootFromParent_Done,
     /*   9620 */   // Label 320: @9620
     /*   9620 */   GIM_Try, /*On fail goto*//*Label 321*/ GIMT_Encode4(9682), // Rule ID 4761 //
     /*   9625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   9628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   9632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   9636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   9644 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   9647 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   9651 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   9655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   9657 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   9664 */     // (sub:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   9664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBDZ256rm),
     /*   9667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9669 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   9671 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   9675 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   9680 */     GIR_RootConstrainSelectedInstOperands,
     /*   9681 */     // GIR_Coverage, 4761,
     /*   9681 */     GIR_EraseRootFromParent_Done,
     /*   9682 */   // Label 321: @9682
     /*   9682 */   GIM_Try, /*On fail goto*//*Label 322*/ GIMT_Encode4(9709), // Rule ID 2603 //
     /*   9687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*   9690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   9694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   9698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   9702 */     // (sub:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)  =>  (VPSUBDYrr:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)
     /*   9702 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBDYrr),
     /*   9707 */     GIR_RootConstrainSelectedInstOperands,
     /*   9708 */     // GIR_Coverage, 2603,
     /*   9708 */     GIR_Done,
     /*   9709 */   // Label 322: @9709
     /*   9709 */   GIM_Try, /*On fail goto*//*Label 323*/ GIMT_Encode4(9736), // Rule ID 4758 //
     /*   9714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   9717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   9721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   9725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   9729 */     // (sub:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)  =>  (VPSUBDZ256rr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)
     /*   9729 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBDZ256rr),
     /*   9734 */     GIR_RootConstrainSelectedInstOperands,
     /*   9735 */     // GIR_Coverage, 4758,
     /*   9735 */     GIR_Done,
     /*   9736 */   // Label 323: @9736
     /*   9736 */   GIM_Reject,
     /*   9737 */ // Label 319: @9737
     /*   9737 */ GIM_Reject,
     /*   9738 */ // Label 248: @9738
     /*   9738 */ GIM_Try, /*On fail goto*//*Label 324*/ GIMT_Encode4(9831),
     /*   9743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*   9746 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /*   9749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   9753 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   9757 */   GIM_Try, /*On fail goto*//*Label 325*/ GIMT_Encode4(9811), // Rule ID 4725 //
     /*   9762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*   9765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   9773 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   9776 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   9780 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   9784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   9786 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   9793 */     // (sub:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   9793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBQZrm),
     /*   9796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9798 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   9800 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   9804 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   9809 */     GIR_RootConstrainSelectedInstOperands,
     /*   9810 */     // GIR_Coverage, 4725,
     /*   9810 */     GIR_EraseRootFromParent_Done,
     /*   9811 */   // Label 325: @9811
     /*   9811 */   GIM_Try, /*On fail goto*//*Label 326*/ GIMT_Encode4(9830), // Rule ID 4722 //
     /*   9816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*   9819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   9823 */     // (sub:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)  =>  (VPSUBQZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)
     /*   9823 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBQZrr),
     /*   9828 */     GIR_RootConstrainSelectedInstOperands,
     /*   9829 */     // GIR_Coverage, 4722,
     /*   9829 */     GIR_Done,
     /*   9830 */   // Label 326: @9830
     /*   9830 */   GIM_Reject,
     /*   9831 */ // Label 324: @9831
     /*   9831 */ GIM_Reject,
     /*   9832 */ // Label 249: @9832
     /*   9832 */ GIM_Try, /*On fail goto*//*Label 327*/ GIMT_Encode4(10049),
     /*   9837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*   9840 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*   9843 */   GIM_Try, /*On fail goto*//*Label 328*/ GIMT_Encode4(9905), // Rule ID 2588 //
     /*   9848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /*   9851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   9867 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   9870 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   9874 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   9878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   9880 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   9887 */     // (sub:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   9887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBBrm),
     /*   9890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9892 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   9894 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   9898 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   9903 */     GIR_RootConstrainSelectedInstOperands,
     /*   9904 */     // GIR_Coverage, 2588,
     /*   9904 */     GIR_EraseRootFromParent_Done,
     /*   9905 */   // Label 328: @9905
     /*   9905 */   GIM_Try, /*On fail goto*//*Label 329*/ GIMT_Encode4(9967), // Rule ID 4809 //
     /*   9910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*   9913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   9917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   9921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   9929 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   9932 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   9936 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   9940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   9942 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   9949 */     // (sub:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBBZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   9949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBBZ128rm),
     /*   9952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9954 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   9956 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   9960 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   9965 */     GIR_RootConstrainSelectedInstOperands,
     /*   9966 */     // GIR_Coverage, 4809,
     /*   9966 */     GIR_EraseRootFromParent_Done,
     /*   9967 */   // Label 329: @9967
     /*   9967 */   GIM_Try, /*On fail goto*//*Label 330*/ GIMT_Encode4(9994), // Rule ID 2587 //
     /*   9972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /*   9975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9987 */     // (sub:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (VPSUBBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /*   9987 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBBrr),
     /*   9992 */     GIR_RootConstrainSelectedInstOperands,
     /*   9993 */     // GIR_Coverage, 2587,
     /*   9993 */     GIR_Done,
     /*   9994 */   // Label 330: @9994
     /*   9994 */   GIM_Try, /*On fail goto*//*Label 331*/ GIMT_Encode4(10021), // Rule ID 2589 //
     /*   9999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  10002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  10006 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  10010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  10014 */     // (sub:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (PSUBBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /*  10014 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PSUBBrr),
     /*  10019 */     GIR_RootConstrainSelectedInstOperands,
     /*  10020 */     // GIR_Coverage, 2589,
     /*  10020 */     GIR_Done,
     /*  10021 */   // Label 331: @10021
     /*  10021 */   GIM_Try, /*On fail goto*//*Label 332*/ GIMT_Encode4(10048), // Rule ID 4806 //
     /*  10026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*  10029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  10033 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  10037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  10041 */     // (sub:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)  =>  (VPSUBBZ128rr:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)
     /*  10041 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBBZ128rr),
     /*  10046 */     GIR_RootConstrainSelectedInstOperands,
     /*  10047 */     // GIR_Coverage, 4806,
     /*  10047 */     GIR_Done,
     /*  10048 */   // Label 332: @10048
     /*  10048 */   GIM_Reject,
     /*  10049 */ // Label 327: @10049
     /*  10049 */ GIM_Reject,
     /*  10050 */ // Label 250: @10050
     /*  10050 */ GIM_Try, /*On fail goto*//*Label 333*/ GIMT_Encode4(10240),
     /*  10055 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*  10058 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /*  10061 */   GIM_Try, /*On fail goto*//*Label 334*/ GIMT_Encode4(10123), // Rule ID 2598 //
     /*  10066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /*  10069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  10073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  10077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  10081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  10085 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  10088 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  10092 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  10096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10098 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  10105 */     // (sub:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  10105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBWYrm),
     /*  10108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10110 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  10112 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  10116 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  10121 */     GIR_RootConstrainSelectedInstOperands,
     /*  10122 */     // GIR_Coverage, 2598,
     /*  10122 */     GIR_EraseRootFromParent_Done,
     /*  10123 */   // Label 334: @10123
     /*  10123 */   GIM_Try, /*On fail goto*//*Label 335*/ GIMT_Encode4(10185), // Rule ID 4785 //
     /*  10128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*  10131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  10135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  10139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  10143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  10147 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  10150 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  10154 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  10158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10160 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  10167 */     // (sub:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  10167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBWZ256rm),
     /*  10170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10172 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  10174 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  10178 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  10183 */     GIR_RootConstrainSelectedInstOperands,
     /*  10184 */     // GIR_Coverage, 4785,
     /*  10184 */     GIR_EraseRootFromParent_Done,
     /*  10185 */   // Label 335: @10185
     /*  10185 */   GIM_Try, /*On fail goto*//*Label 336*/ GIMT_Encode4(10212), // Rule ID 2597 //
     /*  10190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /*  10193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  10197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  10201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  10205 */     // (sub:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPSUBWYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /*  10205 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBWYrr),
     /*  10210 */     GIR_RootConstrainSelectedInstOperands,
     /*  10211 */     // GIR_Coverage, 2597,
     /*  10211 */     GIR_Done,
     /*  10212 */   // Label 336: @10212
     /*  10212 */   GIM_Try, /*On fail goto*//*Label 337*/ GIMT_Encode4(10239), // Rule ID 4782 //
     /*  10217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*  10220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  10224 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  10228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  10232 */     // (sub:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)  =>  (VPSUBWZ256rr:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)
     /*  10232 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBWZ256rr),
     /*  10237 */     GIR_RootConstrainSelectedInstOperands,
     /*  10238 */     // GIR_Coverage, 4782,
     /*  10238 */     GIR_Done,
     /*  10239 */   // Label 337: @10239
     /*  10239 */   GIM_Reject,
     /*  10240 */ // Label 333: @10240
     /*  10240 */ GIM_Reject,
     /*  10241 */ // Label 251: @10241
     /*  10241 */ GIM_Try, /*On fail goto*//*Label 338*/ GIMT_Encode4(10334),
     /*  10246 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /*  10249 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /*  10252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  10256 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  10260 */   GIM_Try, /*On fail goto*//*Label 339*/ GIMT_Encode4(10314), // Rule ID 4752 //
     /*  10265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  10268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  10272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  10276 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  10279 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  10283 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  10287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10289 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  10296 */     // (sub:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  10296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBDZrm),
     /*  10299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10301 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  10303 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  10307 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  10312 */     GIR_RootConstrainSelectedInstOperands,
     /*  10313 */     // GIR_Coverage, 4752,
     /*  10313 */     GIR_EraseRootFromParent_Done,
     /*  10314 */   // Label 339: @10314
     /*  10314 */   GIM_Try, /*On fail goto*//*Label 340*/ GIMT_Encode4(10333), // Rule ID 4749 //
     /*  10319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  10322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  10326 */     // (sub:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)  =>  (VPSUBDZrr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)
     /*  10326 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBDZrr),
     /*  10331 */     GIR_RootConstrainSelectedInstOperands,
     /*  10332 */     // GIR_Coverage, 4749,
     /*  10332 */     GIR_Done,
     /*  10333 */   // Label 340: @10333
     /*  10333 */   GIM_Reject,
     /*  10334 */ // Label 338: @10334
     /*  10334 */ GIM_Reject,
     /*  10335 */ // Label 252: @10335
     /*  10335 */ GIM_Try, /*On fail goto*//*Label 341*/ GIMT_Encode4(10525),
     /*  10340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /*  10343 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s8,
     /*  10346 */   GIM_Try, /*On fail goto*//*Label 342*/ GIMT_Encode4(10408), // Rule ID 2592 //
     /*  10351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /*  10354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  10358 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  10362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  10366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  10370 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  10373 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  10377 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  10381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10383 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  10390 */     // (sub:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBBYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  10390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBBYrm),
     /*  10393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10395 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  10397 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  10401 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  10406 */     GIR_RootConstrainSelectedInstOperands,
     /*  10407 */     // GIR_Coverage, 2592,
     /*  10407 */     GIR_EraseRootFromParent_Done,
     /*  10408 */   // Label 342: @10408
     /*  10408 */   GIM_Try, /*On fail goto*//*Label 343*/ GIMT_Encode4(10470), // Rule ID 4803 //
     /*  10413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*  10416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  10420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  10424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  10428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  10432 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  10435 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  10439 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  10443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10445 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  10452 */     // (sub:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBBZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  10452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBBZ256rm),
     /*  10455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10457 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  10459 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  10463 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  10468 */     GIR_RootConstrainSelectedInstOperands,
     /*  10469 */     // GIR_Coverage, 4803,
     /*  10469 */     GIR_EraseRootFromParent_Done,
     /*  10470 */   // Label 343: @10470
     /*  10470 */   GIM_Try, /*On fail goto*//*Label 344*/ GIMT_Encode4(10497), // Rule ID 2591 //
     /*  10475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /*  10478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  10482 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  10486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  10490 */     // (sub:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)  =>  (VPSUBBYrr:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)
     /*  10490 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBBYrr),
     /*  10495 */     GIR_RootConstrainSelectedInstOperands,
     /*  10496 */     // GIR_Coverage, 2591,
     /*  10496 */     GIR_Done,
     /*  10497 */   // Label 344: @10497
     /*  10497 */   GIM_Try, /*On fail goto*//*Label 345*/ GIMT_Encode4(10524), // Rule ID 4800 //
     /*  10502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*  10505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  10509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  10513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  10517 */     // (sub:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)  =>  (VPSUBBZ256rr:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)
     /*  10517 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBBZ256rr),
     /*  10522 */     GIR_RootConstrainSelectedInstOperands,
     /*  10523 */     // GIR_Coverage, 4800,
     /*  10523 */     GIR_Done,
     /*  10524 */   // Label 345: @10524
     /*  10524 */   GIM_Reject,
     /*  10525 */ // Label 341: @10525
     /*  10525 */ GIM_Reject,
     /*  10526 */ // Label 253: @10526
     /*  10526 */ GIM_Try, /*On fail goto*//*Label 346*/ GIMT_Encode4(10619),
     /*  10531 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /*  10534 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /*  10537 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  10541 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  10545 */   GIM_Try, /*On fail goto*//*Label 347*/ GIMT_Encode4(10599), // Rule ID 4779 //
     /*  10550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  10553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  10557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  10561 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  10564 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  10568 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  10572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10574 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  10581 */     // (sub:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  10581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBWZrm),
     /*  10584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10586 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  10588 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  10592 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  10597 */     GIR_RootConstrainSelectedInstOperands,
     /*  10598 */     // GIR_Coverage, 4779,
     /*  10598 */     GIR_EraseRootFromParent_Done,
     /*  10599 */   // Label 347: @10599
     /*  10599 */   GIM_Try, /*On fail goto*//*Label 348*/ GIMT_Encode4(10618), // Rule ID 4776 //
     /*  10604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  10607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  10611 */     // (sub:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)  =>  (VPSUBWZrr:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)
     /*  10611 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBWZrr),
     /*  10616 */     GIR_RootConstrainSelectedInstOperands,
     /*  10617 */     // GIR_Coverage, 4776,
     /*  10617 */     GIR_Done,
     /*  10618 */   // Label 348: @10618
     /*  10618 */   GIM_Reject,
     /*  10619 */ // Label 346: @10619
     /*  10619 */ GIM_Reject,
     /*  10620 */ // Label 254: @10620
     /*  10620 */ GIM_Try, /*On fail goto*//*Label 349*/ GIMT_Encode4(10713),
     /*  10625 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /*  10628 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s8,
     /*  10631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  10635 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  10639 */   GIM_Try, /*On fail goto*//*Label 350*/ GIMT_Encode4(10693), // Rule ID 4797 //
     /*  10644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  10647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  10651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  10655 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  10658 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  10662 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  10666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10668 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  10675 */     // (sub:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBBZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  10675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBBZrm),
     /*  10678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10680 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  10682 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  10686 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  10691 */     GIR_RootConstrainSelectedInstOperands,
     /*  10692 */     // GIR_Coverage, 4797,
     /*  10692 */     GIR_EraseRootFromParent_Done,
     /*  10693 */   // Label 350: @10693
     /*  10693 */   GIM_Try, /*On fail goto*//*Label 351*/ GIMT_Encode4(10712), // Rule ID 4794 //
     /*  10698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  10701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  10705 */     // (sub:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)  =>  (VPSUBBZrr:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)
     /*  10705 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBBZrr),
     /*  10710 */     GIR_RootConstrainSelectedInstOperands,
     /*  10711 */     // GIR_Coverage, 4794,
     /*  10711 */     GIR_Done,
     /*  10712 */   // Label 351: @10712
     /*  10712 */   GIM_Reject,
     /*  10713 */ // Label 349: @10713
     /*  10713 */ GIM_Reject,
     /*  10714 */ // Label 255: @10714
     /*  10714 */ GIM_Reject,
     /*  10715 */ // Label 2: @10715
     /*  10715 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(23), /*)*//*default:*//*Label 364*/ GIMT_Encode4(14497),
     /*  10726 */ /*GILLT_s16*//*Label 352*/ GIMT_Encode4(10810),
     /*  10730 */ /*GILLT_s32*//*Label 353*/ GIMT_Encode4(11227),
     /*  10734 */ /*GILLT_s64*//*Label 354*/ GIMT_Encode4(11644), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  10750 */ /*GILLT_v2s64*//*Label 355*/ GIMT_Encode4(12069), GIMT_Encode4(0),
     /*  10758 */ /*GILLT_v4s32*//*Label 356*/ GIMT_Encode4(12398),
     /*  10762 */ /*GILLT_v4s64*//*Label 357*/ GIMT_Encode4(12740), GIMT_Encode4(0),
     /*  10770 */ /*GILLT_v8s16*//*Label 358*/ GIMT_Encode4(13057),
     /*  10774 */ /*GILLT_v8s32*//*Label 359*/ GIMT_Encode4(13399),
     /*  10778 */ /*GILLT_v8s64*//*Label 360*/ GIMT_Encode4(13714), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  10790 */ /*GILLT_v16s16*//*Label 361*/ GIMT_Encode4(13870),
     /*  10794 */ /*GILLT_v16s32*//*Label 362*/ GIMT_Encode4(14185), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  10806 */ /*GILLT_v32s16*//*Label 363*/ GIMT_Encode4(14341),
     /*  10810 */ // Label 352: @10810
     /*  10810 */ GIM_Try, /*On fail goto*//*Label 365*/ GIMT_Encode4(11226),
     /*  10815 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  10818 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /*  10821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  10825 */   GIM_Try, /*On fail goto*//*Label 366*/ GIMT_Encode4(10889), // Rule ID 22976 //
     /*  10830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  10838 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  10841 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  10845 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  10849 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  10853 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  10857 */     // MIs[2] Operand 1
     /*  10857 */     // No operand predicates
     /*  10857 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  10859 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  10866 */     // (mul:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, (imm:{ *:[i16] }):$src2)  =>  (IMUL16rmi:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i16] }):$src2)
     /*  10866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::IMUL16rmi),
     /*  10869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10871 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  10875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /*  10878 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  10881 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  10887 */     GIR_RootConstrainSelectedInstOperands,
     /*  10888 */     // GIR_Coverage, 22976,
     /*  10888 */     GIR_EraseRootFromParent_Done,
     /*  10889 */   // Label 366: @10889
     /*  10889 */   GIM_Try, /*On fail goto*//*Label 367*/ GIMT_Encode4(10950), // Rule ID 26055 //
     /*  10894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  10897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  10905 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  10908 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  10912 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  10916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  10920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10922 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  10929 */     // (mul:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, GR16:{ *:[i16] }:$src1)  =>  (IMUL16rm:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  10929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::IMUL16rm),
     /*  10932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10934 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  10936 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  10940 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  10943 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  10948 */     GIR_RootConstrainSelectedInstOperands,
     /*  10949 */     // GIR_Coverage, 26055,
     /*  10949 */     GIR_EraseRootFromParent_Done,
     /*  10950 */   // Label 367: @10950
     /*  10950 */   GIM_Try, /*On fail goto*//*Label 368*/ GIMT_Encode4(11011), // Rule ID 26074 //
     /*  10955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  10958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  10966 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  10969 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  10973 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  10977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  10981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10983 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  10990 */     // (mul:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, GR16:{ *:[i16] }:$src1)  =>  (IMUL16rm_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  10990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::IMUL16rm_ND),
     /*  10993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10995 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  10997 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  11001 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  11004 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  11009 */     GIR_RootConstrainSelectedInstOperands,
     /*  11010 */     // GIR_Coverage, 26074,
     /*  11010 */     GIR_EraseRootFromParent_Done,
     /*  11011 */   // Label 368: @11011
     /*  11011 */   GIM_Try, /*On fail goto*//*Label 369*/ GIMT_Encode4(11072), // Rule ID 22820 //
     /*  11016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  11019 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  11023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  11031 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  11034 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  11038 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  11042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11044 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  11051 */     // (mul:{ *:[i16] } GR16:{ *:[i16] }:$src1, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (IMUL16rm:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  11051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::IMUL16rm),
     /*  11054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11056 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  11058 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  11062 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  11065 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  11070 */     GIR_RootConstrainSelectedInstOperands,
     /*  11071 */     // GIR_Coverage, 22820,
     /*  11071 */     GIR_EraseRootFromParent_Done,
     /*  11072 */   // Label 369: @11072
     /*  11072 */   GIM_Try, /*On fail goto*//*Label 370*/ GIMT_Encode4(11133), // Rule ID 22910 //
     /*  11077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  11080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  11084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  11092 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  11095 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  11099 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  11103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11105 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  11112 */     // (mul:{ *:[i16] } GR16:{ *:[i16] }:$src1, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (IMUL16rm_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  11112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::IMUL16rm_ND),
     /*  11115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11117 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  11119 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  11123 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  11126 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  11131 */     GIR_RootConstrainSelectedInstOperands,
     /*  11132 */     // GIR_Coverage, 22910,
     /*  11132 */     GIR_EraseRootFromParent_Done,
     /*  11133 */   // Label 370: @11133
     /*  11133 */   GIM_Try, /*On fail goto*//*Label 371*/ GIMT_Encode4(11167), // Rule ID 22973 //
     /*  11138 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  11142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  11150 */     // MIs[1] Operand 1
     /*  11150 */     // No operand predicates
     /*  11150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11152 */     // (mul:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)  =>  (IMUL16rri:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)
     /*  11152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::IMUL16rri),
     /*  11155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11157 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  11159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  11162 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  11165 */     GIR_RootConstrainSelectedInstOperands,
     /*  11166 */     // GIR_Coverage, 22973,
     /*  11166 */     GIR_EraseRootFromParent_Done,
     /*  11167 */   // Label 371: @11167
     /*  11167 */   GIM_Try, /*On fail goto*//*Label 372*/ GIMT_Encode4(11196), // Rule ID 22817 //
     /*  11172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  11175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  11179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  11183 */     // (mul:{ *:[i16] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)  =>  (IMUL16rr:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  11183 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::IMUL16rr),
     /*  11188 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  11194 */     GIR_RootConstrainSelectedInstOperands,
     /*  11195 */     // GIR_Coverage, 22817,
     /*  11195 */     GIR_Done,
     /*  11196 */   // Label 372: @11196
     /*  11196 */   GIM_Try, /*On fail goto*//*Label 373*/ GIMT_Encode4(11225), // Rule ID 22907 //
     /*  11201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  11204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  11208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  11212 */     // (mul:{ *:[i16] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)  =>  (IMUL16rr_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  11212 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::IMUL16rr_ND),
     /*  11217 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  11223 */     GIR_RootConstrainSelectedInstOperands,
     /*  11224 */     // GIR_Coverage, 22907,
     /*  11224 */     GIR_Done,
     /*  11225 */   // Label 373: @11225
     /*  11225 */   GIM_Reject,
     /*  11226 */ // Label 365: @11226
     /*  11226 */ GIM_Reject,
     /*  11227 */ // Label 353: @11227
     /*  11227 */ GIM_Try, /*On fail goto*//*Label 374*/ GIMT_Encode4(11643),
     /*  11232 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  11235 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  11238 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  11242 */   GIM_Try, /*On fail goto*//*Label 375*/ GIMT_Encode4(11306), // Rule ID 22977 //
     /*  11247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  11255 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  11258 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  11262 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  11266 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  11270 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  11274 */     // MIs[2] Operand 1
     /*  11274 */     // No operand predicates
     /*  11274 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  11276 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  11283 */     // (mul:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (imm:{ *:[i32] }):$src2)  =>  (IMUL32rmi:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i32] }):$src2)
     /*  11283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::IMUL32rmi),
     /*  11286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11288 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  11292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /*  11295 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  11298 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  11304 */     GIR_RootConstrainSelectedInstOperands,
     /*  11305 */     // GIR_Coverage, 22977,
     /*  11305 */     GIR_EraseRootFromParent_Done,
     /*  11306 */   // Label 375: @11306
     /*  11306 */   GIM_Try, /*On fail goto*//*Label 376*/ GIMT_Encode4(11367), // Rule ID 26056 //
     /*  11311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  11314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  11322 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  11325 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  11329 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  11333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  11337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11339 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  11346 */     // (mul:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR32:{ *:[i32] }:$src1)  =>  (IMUL32rm:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  11346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::IMUL32rm),
     /*  11349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11351 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  11353 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  11357 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  11360 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  11365 */     GIR_RootConstrainSelectedInstOperands,
     /*  11366 */     // GIR_Coverage, 26056,
     /*  11366 */     GIR_EraseRootFromParent_Done,
     /*  11367 */   // Label 376: @11367
     /*  11367 */   GIM_Try, /*On fail goto*//*Label 377*/ GIMT_Encode4(11428), // Rule ID 26075 //
     /*  11372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  11375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  11383 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  11386 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  11390 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  11394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  11398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11400 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  11407 */     // (mul:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR32:{ *:[i32] }:$src1)  =>  (IMUL32rm_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  11407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::IMUL32rm_ND),
     /*  11410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11412 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  11414 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  11418 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  11421 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  11426 */     GIR_RootConstrainSelectedInstOperands,
     /*  11427 */     // GIR_Coverage, 26075,
     /*  11427 */     GIR_EraseRootFromParent_Done,
     /*  11428 */   // Label 377: @11428
     /*  11428 */   GIM_Try, /*On fail goto*//*Label 378*/ GIMT_Encode4(11489), // Rule ID 22821 //
     /*  11433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  11436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  11440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  11448 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  11451 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  11455 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  11459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11461 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  11468 */     // (mul:{ *:[i32] } GR32:{ *:[i32] }:$src1, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (IMUL32rm:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  11468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::IMUL32rm),
     /*  11471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11473 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  11475 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  11479 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  11482 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  11487 */     GIR_RootConstrainSelectedInstOperands,
     /*  11488 */     // GIR_Coverage, 22821,
     /*  11488 */     GIR_EraseRootFromParent_Done,
     /*  11489 */   // Label 378: @11489
     /*  11489 */   GIM_Try, /*On fail goto*//*Label 379*/ GIMT_Encode4(11550), // Rule ID 22911 //
     /*  11494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  11497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  11501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  11509 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  11512 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  11516 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  11520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11522 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  11529 */     // (mul:{ *:[i32] } GR32:{ *:[i32] }:$src1, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (IMUL32rm_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  11529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::IMUL32rm_ND),
     /*  11532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11534 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  11536 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  11540 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  11543 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  11548 */     GIR_RootConstrainSelectedInstOperands,
     /*  11549 */     // GIR_Coverage, 22911,
     /*  11549 */     GIR_EraseRootFromParent_Done,
     /*  11550 */   // Label 379: @11550
     /*  11550 */   GIM_Try, /*On fail goto*//*Label 380*/ GIMT_Encode4(11584), // Rule ID 22974 //
     /*  11555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  11559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  11567 */     // MIs[1] Operand 1
     /*  11567 */     // No operand predicates
     /*  11567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11569 */     // (mul:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)  =>  (IMUL32rri:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)
     /*  11569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::IMUL32rri),
     /*  11572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11574 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  11576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  11579 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  11582 */     GIR_RootConstrainSelectedInstOperands,
     /*  11583 */     // GIR_Coverage, 22974,
     /*  11583 */     GIR_EraseRootFromParent_Done,
     /*  11584 */   // Label 380: @11584
     /*  11584 */   GIM_Try, /*On fail goto*//*Label 381*/ GIMT_Encode4(11613), // Rule ID 22818 //
     /*  11589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  11592 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  11596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  11600 */     // (mul:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)  =>  (IMUL32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  11600 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::IMUL32rr),
     /*  11605 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  11611 */     GIR_RootConstrainSelectedInstOperands,
     /*  11612 */     // GIR_Coverage, 22818,
     /*  11612 */     GIR_Done,
     /*  11613 */   // Label 381: @11613
     /*  11613 */   GIM_Try, /*On fail goto*//*Label 382*/ GIMT_Encode4(11642), // Rule ID 22908 //
     /*  11618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  11621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  11625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  11629 */     // (mul:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)  =>  (IMUL32rr_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  11629 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::IMUL32rr_ND),
     /*  11634 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  11640 */     GIR_RootConstrainSelectedInstOperands,
     /*  11641 */     // GIR_Coverage, 22908,
     /*  11641 */     GIR_Done,
     /*  11642 */   // Label 382: @11642
     /*  11642 */   GIM_Reject,
     /*  11643 */ // Label 374: @11643
     /*  11643 */ GIM_Reject,
     /*  11644 */ // Label 354: @11644
     /*  11644 */ GIM_Try, /*On fail goto*//*Label 383*/ GIMT_Encode4(12068),
     /*  11649 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  11652 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  11655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  11659 */   GIM_Try, /*On fail goto*//*Label 384*/ GIMT_Encode4(11727), // Rule ID 22978 //
     /*  11664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  11672 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  11675 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  11679 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  11683 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  11687 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  11691 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /*  11695 */     // MIs[2] Operand 1
     /*  11695 */     // No operand predicates
     /*  11695 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  11697 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  11704 */     // (mul:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)  =>  (IMUL64rmi32:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)
     /*  11704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::IMUL64rmi32),
     /*  11707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11709 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  11713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /*  11716 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  11719 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  11725 */     GIR_RootConstrainSelectedInstOperands,
     /*  11726 */     // GIR_Coverage, 22978,
     /*  11726 */     GIR_EraseRootFromParent_Done,
     /*  11727 */   // Label 384: @11727
     /*  11727 */   GIM_Try, /*On fail goto*//*Label 385*/ GIMT_Encode4(11788), // Rule ID 26057 //
     /*  11732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  11735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  11743 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  11746 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  11750 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  11754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  11758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11760 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  11767 */     // (mul:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src1)  =>  (IMUL64rm:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  11767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::IMUL64rm),
     /*  11770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11772 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  11774 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  11778 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  11781 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  11786 */     GIR_RootConstrainSelectedInstOperands,
     /*  11787 */     // GIR_Coverage, 26057,
     /*  11787 */     GIR_EraseRootFromParent_Done,
     /*  11788 */   // Label 385: @11788
     /*  11788 */   GIM_Try, /*On fail goto*//*Label 386*/ GIMT_Encode4(11849), // Rule ID 26076 //
     /*  11793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  11796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  11804 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  11807 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  11811 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  11815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  11819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11821 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  11828 */     // (mul:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src1)  =>  (IMUL64rm_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  11828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::IMUL64rm_ND),
     /*  11831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11833 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  11835 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  11839 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  11842 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  11847 */     GIR_RootConstrainSelectedInstOperands,
     /*  11848 */     // GIR_Coverage, 26076,
     /*  11848 */     GIR_EraseRootFromParent_Done,
     /*  11849 */   // Label 386: @11849
     /*  11849 */   GIM_Try, /*On fail goto*//*Label 387*/ GIMT_Encode4(11910), // Rule ID 22822 //
     /*  11854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  11857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  11861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  11869 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  11872 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  11876 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  11880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11882 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  11889 */     // (mul:{ *:[i64] } GR64:{ *:[i64] }:$src1, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (IMUL64rm:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  11889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::IMUL64rm),
     /*  11892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11894 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  11896 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  11900 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  11903 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  11908 */     GIR_RootConstrainSelectedInstOperands,
     /*  11909 */     // GIR_Coverage, 22822,
     /*  11909 */     GIR_EraseRootFromParent_Done,
     /*  11910 */   // Label 387: @11910
     /*  11910 */   GIM_Try, /*On fail goto*//*Label 388*/ GIMT_Encode4(11971), // Rule ID 22912 //
     /*  11915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  11918 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  11922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  11930 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  11933 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  11937 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  11941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11943 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  11950 */     // (mul:{ *:[i64] } GR64:{ *:[i64] }:$src1, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (IMUL64rm_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  11950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::IMUL64rm_ND),
     /*  11953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11955 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  11957 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  11961 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  11964 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  11969 */     GIR_RootConstrainSelectedInstOperands,
     /*  11970 */     // GIR_Coverage, 22912,
     /*  11970 */     GIR_EraseRootFromParent_Done,
     /*  11971 */   // Label 388: @11971
     /*  11971 */   GIM_Try, /*On fail goto*//*Label 389*/ GIMT_Encode4(12009), // Rule ID 22975 //
     /*  11976 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  11980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  11988 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /*  11992 */     // MIs[1] Operand 1
     /*  11992 */     // No operand predicates
     /*  11992 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11994 */     // (mul:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)  =>  (IMUL64rri32:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)
     /*  11994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::IMUL64rri32),
     /*  11997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11999 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  12001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  12004 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  12007 */     GIR_RootConstrainSelectedInstOperands,
     /*  12008 */     // GIR_Coverage, 22975,
     /*  12008 */     GIR_EraseRootFromParent_Done,
     /*  12009 */   // Label 389: @12009
     /*  12009 */   GIM_Try, /*On fail goto*//*Label 390*/ GIMT_Encode4(12038), // Rule ID 22819 //
     /*  12014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  12017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  12021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  12025 */     // (mul:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)  =>  (IMUL64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  12025 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::IMUL64rr),
     /*  12030 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  12036 */     GIR_RootConstrainSelectedInstOperands,
     /*  12037 */     // GIR_Coverage, 22819,
     /*  12037 */     GIR_Done,
     /*  12038 */   // Label 390: @12038
     /*  12038 */   GIM_Try, /*On fail goto*//*Label 391*/ GIMT_Encode4(12067), // Rule ID 22909 //
     /*  12043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  12046 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  12050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  12054 */     // (mul:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)  =>  (IMUL64rr_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  12054 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::IMUL64rr_ND),
     /*  12059 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  12065 */     GIR_RootConstrainSelectedInstOperands,
     /*  12066 */     // GIR_Coverage, 22909,
     /*  12066 */     GIR_Done,
     /*  12067 */   // Label 391: @12067
     /*  12067 */   GIM_Reject,
     /*  12068 */ // Label 383: @12068
     /*  12068 */ GIM_Reject,
     /*  12069 */ // Label 355: @12069
     /*  12069 */ GIM_Try, /*On fail goto*//*Label 392*/ GIMT_Encode4(12397),
     /*  12074 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  12077 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  12080 */   GIM_Try, /*On fail goto*//*Label 393*/ GIMT_Encode4(12142), // Rule ID 23822 //
     /*  12085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /*  12088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  12092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  12100 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  12103 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  12107 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  12111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  12115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  12117 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  12124 */     // (mul:{ *:[v2i64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v2i64] }:$src1)  =>  (VPMULLQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  12124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLQZ128rm),
     /*  12127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12129 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  12131 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  12135 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  12140 */     GIR_RootConstrainSelectedInstOperands,
     /*  12141 */     // GIR_Coverage, 23822,
     /*  12141 */     GIR_EraseRootFromParent_Done,
     /*  12142 */   // Label 393: @12142
     /*  12142 */   GIM_Try, /*On fail goto*//*Label 394*/ GIMT_Encode4(12204), // Rule ID 5022 //
     /*  12147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /*  12150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  12154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  12158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  12162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  12166 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  12169 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  12173 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  12177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  12179 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  12186 */     // (mul:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULLQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  12186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLQZ128rm),
     /*  12189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12191 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  12193 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  12197 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  12202 */     GIR_RootConstrainSelectedInstOperands,
     /*  12203 */     // GIR_Coverage, 5022,
     /*  12203 */     GIR_EraseRootFromParent_Done,
     /*  12204 */   // Label 394: @12204
     /*  12204 */   GIM_Try, /*On fail goto*//*Label 395*/ GIMT_Encode4(12231), // Rule ID 5019 //
     /*  12209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /*  12212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  12216 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  12220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  12224 */     // (mul:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (VPMULLQZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)
     /*  12224 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULLQZ128rr),
     /*  12229 */     GIR_RootConstrainSelectedInstOperands,
     /*  12230 */     // GIR_Coverage, 5019,
     /*  12230 */     GIR_Done,
     /*  12231 */   // Label 395: @12231
     /*  12231 */   GIM_Try, /*On fail goto*//*Label 396*/ GIMT_Encode4(12396), // Rule ID 19997 //
     /*  12236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasEVEX512_NoVLX),
     /*  12239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /*  12243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  12247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  12251 */     // (mul:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (EXTRACT_SUBREG:{ *:[v2i64] } (VPMULLQZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src1, sub_xmm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src2, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /*  12251 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /*  12254 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  12258 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  12265 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /*  12268 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  12272 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12277 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /*  12280 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  12284 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/11,
     /*  12287 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  12292 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  12297 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /*  12302 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /*  12305 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  12309 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  12316 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /*  12319 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  12323 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12328 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  12331 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /*  12335 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /*  12338 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  12343 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  12348 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /*  12353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /*  12356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMULLQZrr),
     /*  12360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12365 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  12368 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /*  12371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  12373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  12376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12378 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /*  12385 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /*  12390 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  12395 */     // GIR_Coverage, 19997,
     /*  12395 */     GIR_EraseRootFromParent_Done,
     /*  12396 */   // Label 396: @12396
     /*  12396 */   GIM_Reject,
     /*  12397 */ // Label 392: @12397
     /*  12397 */ GIM_Reject,
     /*  12398 */ // Label 356: @12398
     /*  12398 */ GIM_Try, /*On fail goto*//*Label 397*/ GIMT_Encode4(12739),
     /*  12403 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12406 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  12409 */   GIM_Try, /*On fail goto*//*Label 398*/ GIMT_Encode4(12471), // Rule ID 23525 //
     /*  12414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  12417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  12421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  12429 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  12432 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  12436 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  12440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  12444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  12446 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  12453 */     // (mul:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src1)  =>  (VPMULLDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  12453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLDrm),
     /*  12456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12458 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  12460 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  12464 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  12469 */     GIR_RootConstrainSelectedInstOperands,
     /*  12470 */     // GIR_Coverage, 23525,
     /*  12470 */     GIR_EraseRootFromParent_Done,
     /*  12471 */   // Label 398: @12471
     /*  12471 */   GIM_Try, /*On fail goto*//*Label 399*/ GIMT_Encode4(12533), // Rule ID 23795 //
     /*  12476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  12479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  12483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  12491 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  12494 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  12498 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  12502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  12506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  12508 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  12515 */     // (mul:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v4i32] }:$src1)  =>  (VPMULLDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  12515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLDZ128rm),
     /*  12518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12520 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  12522 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  12526 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  12531 */     GIR_RootConstrainSelectedInstOperands,
     /*  12532 */     // GIR_Coverage, 23795,
     /*  12532 */     GIR_EraseRootFromParent_Done,
     /*  12533 */   // Label 399: @12533
     /*  12533 */   GIM_Try, /*On fail goto*//*Label 400*/ GIMT_Encode4(12595), // Rule ID 3239 //
     /*  12538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  12541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  12545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  12549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  12553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  12557 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  12560 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  12564 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  12568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  12570 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  12577 */     // (mul:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULLDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  12577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLDrm),
     /*  12580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12582 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  12584 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  12588 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  12593 */     GIR_RootConstrainSelectedInstOperands,
     /*  12594 */     // GIR_Coverage, 3239,
     /*  12594 */     GIR_EraseRootFromParent_Done,
     /*  12595 */   // Label 400: @12595
     /*  12595 */   GIM_Try, /*On fail goto*//*Label 401*/ GIMT_Encode4(12657), // Rule ID 4977 //
     /*  12600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  12603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  12607 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  12611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  12615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  12619 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  12622 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  12626 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  12630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  12632 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  12639 */     // (mul:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULLDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  12639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLDZ128rm),
     /*  12642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12644 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  12646 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  12650 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  12655 */     GIR_RootConstrainSelectedInstOperands,
     /*  12656 */     // GIR_Coverage, 4977,
     /*  12656 */     GIR_EraseRootFromParent_Done,
     /*  12657 */   // Label 401: @12657
     /*  12657 */   GIM_Try, /*On fail goto*//*Label 402*/ GIMT_Encode4(12684), // Rule ID 3238 //
     /*  12662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  12665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  12669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  12673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  12677 */     // (mul:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (VPMULLDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*  12677 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULLDrr),
     /*  12682 */     GIR_RootConstrainSelectedInstOperands,
     /*  12683 */     // GIR_Coverage, 3238,
     /*  12683 */     GIR_Done,
     /*  12684 */   // Label 402: @12684
     /*  12684 */   GIM_Try, /*On fail goto*//*Label 403*/ GIMT_Encode4(12711), // Rule ID 3246 //
     /*  12689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE41),
     /*  12692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  12696 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  12700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  12704 */     // (mul:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (PMULLDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*  12704 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PMULLDrr),
     /*  12709 */     GIR_RootConstrainSelectedInstOperands,
     /*  12710 */     // GIR_Coverage, 3246,
     /*  12710 */     GIR_Done,
     /*  12711 */   // Label 403: @12711
     /*  12711 */   GIM_Try, /*On fail goto*//*Label 404*/ GIMT_Encode4(12738), // Rule ID 4974 //
     /*  12716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  12719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  12723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  12727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  12731 */     // (mul:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)  =>  (VPMULLDZ128rr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)
     /*  12731 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULLDZ128rr),
     /*  12736 */     GIR_RootConstrainSelectedInstOperands,
     /*  12737 */     // GIR_Coverage, 4974,
     /*  12737 */     GIR_Done,
     /*  12738 */   // Label 404: @12738
     /*  12738 */   GIM_Reject,
     /*  12739 */ // Label 397: @12739
     /*  12739 */ GIM_Reject,
     /*  12740 */ // Label 357: @12740
     /*  12740 */ GIM_Try, /*On fail goto*//*Label 405*/ GIMT_Encode4(13056),
     /*  12745 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  12748 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  12751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  12755 */   GIM_Try, /*On fail goto*//*Label 406*/ GIMT_Encode4(12813), // Rule ID 23816 //
     /*  12760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /*  12763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  12771 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  12774 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  12778 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  12782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  12786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  12788 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  12795 */     // (mul:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v4i64] }:$src1)  =>  (VPMULLQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  12795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLQZ256rm),
     /*  12798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12800 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  12802 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  12806 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  12811 */     GIR_RootConstrainSelectedInstOperands,
     /*  12812 */     // GIR_Coverage, 23816,
     /*  12812 */     GIR_EraseRootFromParent_Done,
     /*  12813 */   // Label 406: @12813
     /*  12813 */   GIM_Try, /*On fail goto*//*Label 407*/ GIMT_Encode4(12871), // Rule ID 5013 //
     /*  12818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /*  12821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  12825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  12829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  12833 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  12836 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  12840 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  12844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  12846 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  12853 */     // (mul:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULLQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  12853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLQZ256rm),
     /*  12856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12858 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  12860 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  12864 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  12869 */     GIR_RootConstrainSelectedInstOperands,
     /*  12870 */     // GIR_Coverage, 5013,
     /*  12870 */     GIR_EraseRootFromParent_Done,
     /*  12871 */   // Label 407: @12871
     /*  12871 */   GIM_Try, /*On fail goto*//*Label 408*/ GIMT_Encode4(12894), // Rule ID 5010 //
     /*  12876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /*  12879 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  12883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  12887 */     // (mul:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (VPMULLQZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)
     /*  12887 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULLQZ256rr),
     /*  12892 */     GIR_RootConstrainSelectedInstOperands,
     /*  12893 */     // GIR_Coverage, 5010,
     /*  12893 */     GIR_Done,
     /*  12894 */   // Label 408: @12894
     /*  12894 */   GIM_Try, /*On fail goto*//*Label 409*/ GIMT_Encode4(13055), // Rule ID 19995 //
     /*  12899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasEVEX512_NoVLX),
     /*  12902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  12906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  12910 */     // (mul:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (EXTRACT_SUBREG:{ *:[v4i64] } (VPMULLQZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src1, sub_ymm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src2, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /*  12910 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /*  12913 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  12917 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  12924 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /*  12927 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  12931 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12936 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /*  12939 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  12943 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/12,
     /*  12946 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  12951 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  12956 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /*  12961 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /*  12964 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  12968 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  12975 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /*  12978 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  12982 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12987 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  12990 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /*  12994 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /*  12997 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  13002 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  13007 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /*  13012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /*  13015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMULLQZrr),
     /*  13019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13024 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  13027 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /*  13030 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  13032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  13035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13037 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /*  13044 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /*  13049 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  13054 */     // GIR_Coverage, 19995,
     /*  13054 */     GIR_EraseRootFromParent_Done,
     /*  13055 */   // Label 409: @13055
     /*  13055 */   GIM_Reject,
     /*  13056 */ // Label 405: @13056
     /*  13056 */ GIM_Reject,
     /*  13057 */ // Label 358: @13057
     /*  13057 */ GIM_Try, /*On fail goto*//*Label 410*/ GIMT_Encode4(13398),
     /*  13062 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  13065 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  13068 */   GIM_Try, /*On fail goto*//*Label 411*/ GIMT_Encode4(13130), // Rule ID 23450 //
     /*  13073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /*  13076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  13080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  13084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  13088 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  13091 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  13095 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  13099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  13103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  13105 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  13112 */     // (mul:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1)  =>  (VPMULLWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  13112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLWrm),
     /*  13115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13117 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  13119 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  13123 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  13128 */     GIR_RootConstrainSelectedInstOperands,
     /*  13129 */     // GIR_Coverage, 23450,
     /*  13129 */     GIR_EraseRootFromParent_Done,
     /*  13130 */   // Label 411: @13130
     /*  13130 */   GIM_Try, /*On fail goto*//*Label 412*/ GIMT_Encode4(13192), // Rule ID 23807 //
     /*  13135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*  13138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  13142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  13146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  13150 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  13153 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  13157 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  13161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  13165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  13167 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  13174 */     // (mul:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8i16] }:$src1)  =>  (VPMULLWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  13174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLWZ128rm),
     /*  13177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13179 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  13181 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  13185 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  13190 */     GIR_RootConstrainSelectedInstOperands,
     /*  13191 */     // GIR_Coverage, 23807,
     /*  13191 */     GIR_EraseRootFromParent_Done,
     /*  13192 */   // Label 412: @13192
     /*  13192 */   GIM_Try, /*On fail goto*//*Label 413*/ GIMT_Encode4(13254), // Rule ID 2570 //
     /*  13197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /*  13200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  13204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  13208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  13212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  13216 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  13219 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  13223 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  13227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  13229 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  13236 */     // (mul:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULLWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  13236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLWrm),
     /*  13239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13241 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  13243 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  13247 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  13252 */     GIR_RootConstrainSelectedInstOperands,
     /*  13253 */     // GIR_Coverage, 2570,
     /*  13253 */     GIR_EraseRootFromParent_Done,
     /*  13254 */   // Label 413: @13254
     /*  13254 */   GIM_Try, /*On fail goto*//*Label 414*/ GIMT_Encode4(13316), // Rule ID 4998 //
     /*  13259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*  13262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  13266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  13270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  13274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  13278 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  13281 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  13285 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  13289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  13291 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  13298 */     // (mul:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULLWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  13298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLWZ128rm),
     /*  13301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13303 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  13305 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  13309 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  13314 */     GIR_RootConstrainSelectedInstOperands,
     /*  13315 */     // GIR_Coverage, 4998,
     /*  13315 */     GIR_EraseRootFromParent_Done,
     /*  13316 */   // Label 414: @13316
     /*  13316 */   GIM_Try, /*On fail goto*//*Label 415*/ GIMT_Encode4(13343), // Rule ID 2569 //
     /*  13321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /*  13324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  13328 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  13332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  13336 */     // (mul:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPMULLWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /*  13336 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULLWrr),
     /*  13341 */     GIR_RootConstrainSelectedInstOperands,
     /*  13342 */     // GIR_Coverage, 2569,
     /*  13342 */     GIR_Done,
     /*  13343 */   // Label 415: @13343
     /*  13343 */   GIM_Try, /*On fail goto*//*Label 416*/ GIMT_Encode4(13370), // Rule ID 2571 //
     /*  13348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  13351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  13355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  13359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  13363 */     // (mul:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PMULLWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /*  13363 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PMULLWrr),
     /*  13368 */     GIR_RootConstrainSelectedInstOperands,
     /*  13369 */     // GIR_Coverage, 2571,
     /*  13369 */     GIR_Done,
     /*  13370 */   // Label 416: @13370
     /*  13370 */   GIM_Try, /*On fail goto*//*Label 417*/ GIMT_Encode4(13397), // Rule ID 4995 //
     /*  13375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*  13378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  13382 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  13386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  13390 */     // (mul:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)  =>  (VPMULLWZ128rr:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)
     /*  13390 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULLWZ128rr),
     /*  13395 */     GIR_RootConstrainSelectedInstOperands,
     /*  13396 */     // GIR_Coverage, 4995,
     /*  13396 */     GIR_Done,
     /*  13397 */   // Label 417: @13397
     /*  13397 */   GIM_Reject,
     /*  13398 */ // Label 410: @13398
     /*  13398 */ GIM_Reject,
     /*  13399 */ // Label 359: @13399
     /*  13399 */ GIM_Try, /*On fail goto*//*Label 418*/ GIMT_Encode4(13713),
     /*  13404 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  13407 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  13410 */   GIM_Try, /*On fail goto*//*Label 419*/ GIMT_Encode4(13472), // Rule ID 23527 //
     /*  13415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  13418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  13422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  13426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  13430 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  13433 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  13437 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  13441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  13445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  13447 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  13454 */     // (mul:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8i32] }:$src1)  =>  (VPMULLDYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  13454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLDYrm),
     /*  13457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13459 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  13461 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  13465 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  13470 */     GIR_RootConstrainSelectedInstOperands,
     /*  13471 */     // GIR_Coverage, 23527,
     /*  13471 */     GIR_EraseRootFromParent_Done,
     /*  13472 */   // Label 419: @13472
     /*  13472 */   GIM_Try, /*On fail goto*//*Label 420*/ GIMT_Encode4(13534), // Rule ID 23789 //
     /*  13477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  13480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  13484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  13488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  13492 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  13495 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  13499 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  13503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  13507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  13509 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  13516 */     // (mul:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v8i32] }:$src1)  =>  (VPMULLDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  13516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLDZ256rm),
     /*  13519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13521 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  13523 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  13527 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  13532 */     GIR_RootConstrainSelectedInstOperands,
     /*  13533 */     // GIR_Coverage, 23789,
     /*  13533 */     GIR_EraseRootFromParent_Done,
     /*  13534 */   // Label 420: @13534
     /*  13534 */   GIM_Try, /*On fail goto*//*Label 421*/ GIMT_Encode4(13596), // Rule ID 3243 //
     /*  13539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  13542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  13546 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  13550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  13554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  13558 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  13561 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  13565 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  13569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  13571 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  13578 */     // (mul:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULLDYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  13578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLDYrm),
     /*  13581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13583 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  13585 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  13589 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  13594 */     GIR_RootConstrainSelectedInstOperands,
     /*  13595 */     // GIR_Coverage, 3243,
     /*  13595 */     GIR_EraseRootFromParent_Done,
     /*  13596 */   // Label 421: @13596
     /*  13596 */   GIM_Try, /*On fail goto*//*Label 422*/ GIMT_Encode4(13658), // Rule ID 4968 //
     /*  13601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  13604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  13608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  13612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  13616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  13620 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  13623 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  13627 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  13631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  13633 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  13640 */     // (mul:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULLDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  13640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLDZ256rm),
     /*  13643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13645 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  13647 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  13651 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  13656 */     GIR_RootConstrainSelectedInstOperands,
     /*  13657 */     // GIR_Coverage, 4968,
     /*  13657 */     GIR_EraseRootFromParent_Done,
     /*  13658 */   // Label 422: @13658
     /*  13658 */   GIM_Try, /*On fail goto*//*Label 423*/ GIMT_Encode4(13685), // Rule ID 3242 //
     /*  13663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  13666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  13670 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  13674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  13678 */     // (mul:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)  =>  (VPMULLDYrr:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)
     /*  13678 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULLDYrr),
     /*  13683 */     GIR_RootConstrainSelectedInstOperands,
     /*  13684 */     // GIR_Coverage, 3242,
     /*  13684 */     GIR_Done,
     /*  13685 */   // Label 423: @13685
     /*  13685 */   GIM_Try, /*On fail goto*//*Label 424*/ GIMT_Encode4(13712), // Rule ID 4965 //
     /*  13690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  13693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  13697 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  13701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  13705 */     // (mul:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)  =>  (VPMULLDZ256rr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)
     /*  13705 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULLDZ256rr),
     /*  13710 */     GIR_RootConstrainSelectedInstOperands,
     /*  13711 */     // GIR_Coverage, 4965,
     /*  13711 */     GIR_Done,
     /*  13712 */   // Label 424: @13712
     /*  13712 */   GIM_Reject,
     /*  13713 */ // Label 418: @13713
     /*  13713 */ GIM_Reject,
     /*  13714 */ // Label 360: @13714
     /*  13714 */ GIM_Try, /*On fail goto*//*Label 425*/ GIMT_Encode4(13869),
     /*  13719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  13722 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /*  13725 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  13729 */   GIM_Try, /*On fail goto*//*Label 426*/ GIMT_Encode4(13787), // Rule ID 23810 //
     /*  13734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  13737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  13741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  13745 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  13748 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  13752 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  13756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  13760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  13762 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  13769 */     // (mul:{ *:[v8i64] } (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v8i64] }:$src1)  =>  (VPMULLQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  13769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLQZrm),
     /*  13772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13774 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  13776 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  13780 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  13785 */     GIR_RootConstrainSelectedInstOperands,
     /*  13786 */     // GIR_Coverage, 23810,
     /*  13786 */     GIR_EraseRootFromParent_Done,
     /*  13787 */   // Label 426: @13787
     /*  13787 */   GIM_Try, /*On fail goto*//*Label 427*/ GIMT_Encode4(13845), // Rule ID 5004 //
     /*  13792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  13795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  13799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  13803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  13807 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  13810 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  13814 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  13818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  13820 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  13827 */     // (mul:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULLQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  13827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLQZrm),
     /*  13830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13832 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  13834 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  13838 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  13843 */     GIR_RootConstrainSelectedInstOperands,
     /*  13844 */     // GIR_Coverage, 5004,
     /*  13844 */     GIR_EraseRootFromParent_Done,
     /*  13845 */   // Label 427: @13845
     /*  13845 */   GIM_Try, /*On fail goto*//*Label 428*/ GIMT_Encode4(13868), // Rule ID 5001 //
     /*  13850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  13853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  13857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  13861 */     // (mul:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)  =>  (VPMULLQZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)
     /*  13861 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULLQZrr),
     /*  13866 */     GIR_RootConstrainSelectedInstOperands,
     /*  13867 */     // GIR_Coverage, 5001,
     /*  13867 */     GIR_Done,
     /*  13868 */   // Label 428: @13868
     /*  13868 */   GIM_Reject,
     /*  13869 */ // Label 425: @13869
     /*  13869 */ GIM_Reject,
     /*  13870 */ // Label 361: @13870
     /*  13870 */ GIM_Try, /*On fail goto*//*Label 429*/ GIMT_Encode4(14184),
     /*  13875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*  13878 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /*  13881 */   GIM_Try, /*On fail goto*//*Label 430*/ GIMT_Encode4(13943), // Rule ID 23452 //
     /*  13886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /*  13889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  13893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  13897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  13901 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  13904 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  13908 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  13912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  13916 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  13918 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  13925 */     // (mul:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v16i16] }:$src1)  =>  (VPMULLWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  13925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLWYrm),
     /*  13928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13930 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  13932 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  13936 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  13941 */     GIR_RootConstrainSelectedInstOperands,
     /*  13942 */     // GIR_Coverage, 23452,
     /*  13942 */     GIR_EraseRootFromParent_Done,
     /*  13943 */   // Label 430: @13943
     /*  13943 */   GIM_Try, /*On fail goto*//*Label 431*/ GIMT_Encode4(14005), // Rule ID 23804 //
     /*  13948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*  13951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  13955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  13959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  13963 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  13966 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  13970 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  13974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  13978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  13980 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  13987 */     // (mul:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16i16] }:$src1)  =>  (VPMULLWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  13987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLWZ256rm),
     /*  13990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13992 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  13994 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  13998 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  14003 */     GIR_RootConstrainSelectedInstOperands,
     /*  14004 */     // GIR_Coverage, 23804,
     /*  14004 */     GIR_EraseRootFromParent_Done,
     /*  14005 */   // Label 431: @14005
     /*  14005 */   GIM_Try, /*On fail goto*//*Label 432*/ GIMT_Encode4(14067), // Rule ID 2574 //
     /*  14010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /*  14013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  14017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  14021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  14029 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  14032 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  14036 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  14040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14042 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  14049 */     // (mul:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULLWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  14049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLWYrm),
     /*  14052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14054 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  14056 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  14060 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  14065 */     GIR_RootConstrainSelectedInstOperands,
     /*  14066 */     // GIR_Coverage, 2574,
     /*  14066 */     GIR_EraseRootFromParent_Done,
     /*  14067 */   // Label 432: @14067
     /*  14067 */   GIM_Try, /*On fail goto*//*Label 433*/ GIMT_Encode4(14129), // Rule ID 4992 //
     /*  14072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*  14075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  14079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  14083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  14091 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  14094 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  14098 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  14102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14104 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  14111 */     // (mul:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULLWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  14111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLWZ256rm),
     /*  14114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14116 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  14118 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  14122 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  14127 */     GIR_RootConstrainSelectedInstOperands,
     /*  14128 */     // GIR_Coverage, 4992,
     /*  14128 */     GIR_EraseRootFromParent_Done,
     /*  14129 */   // Label 433: @14129
     /*  14129 */   GIM_Try, /*On fail goto*//*Label 434*/ GIMT_Encode4(14156), // Rule ID 2573 //
     /*  14134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /*  14137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  14141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  14145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  14149 */     // (mul:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPMULLWYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /*  14149 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULLWYrr),
     /*  14154 */     GIR_RootConstrainSelectedInstOperands,
     /*  14155 */     // GIR_Coverage, 2573,
     /*  14155 */     GIR_Done,
     /*  14156 */   // Label 434: @14156
     /*  14156 */   GIM_Try, /*On fail goto*//*Label 435*/ GIMT_Encode4(14183), // Rule ID 4989 //
     /*  14161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*  14164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  14168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  14172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  14176 */     // (mul:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)  =>  (VPMULLWZ256rr:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)
     /*  14176 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULLWZ256rr),
     /*  14181 */     GIR_RootConstrainSelectedInstOperands,
     /*  14182 */     // GIR_Coverage, 4989,
     /*  14182 */     GIR_Done,
     /*  14183 */   // Label 435: @14183
     /*  14183 */   GIM_Reject,
     /*  14184 */ // Label 429: @14184
     /*  14184 */ GIM_Reject,
     /*  14185 */ // Label 362: @14185
     /*  14185 */ GIM_Try, /*On fail goto*//*Label 436*/ GIMT_Encode4(14340),
     /*  14190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /*  14193 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /*  14196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  14200 */   GIM_Try, /*On fail goto*//*Label 437*/ GIMT_Encode4(14258), // Rule ID 23783 //
     /*  14205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  14208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  14216 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  14219 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  14223 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  14227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  14231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14233 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  14240 */     // (mul:{ *:[v16i32] } (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v16i32] }:$src1)  =>  (VPMULLDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  14240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLDZrm),
     /*  14243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14245 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  14247 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  14251 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  14256 */     GIR_RootConstrainSelectedInstOperands,
     /*  14257 */     // GIR_Coverage, 23783,
     /*  14257 */     GIR_EraseRootFromParent_Done,
     /*  14258 */   // Label 437: @14258
     /*  14258 */   GIM_Try, /*On fail goto*//*Label 438*/ GIMT_Encode4(14316), // Rule ID 4959 //
     /*  14263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  14266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  14270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  14278 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  14281 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  14285 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  14289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14291 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  14298 */     // (mul:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULLDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  14298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLDZrm),
     /*  14301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14303 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  14305 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  14309 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  14314 */     GIR_RootConstrainSelectedInstOperands,
     /*  14315 */     // GIR_Coverage, 4959,
     /*  14315 */     GIR_EraseRootFromParent_Done,
     /*  14316 */   // Label 438: @14316
     /*  14316 */   GIM_Try, /*On fail goto*//*Label 439*/ GIMT_Encode4(14339), // Rule ID 4956 //
     /*  14321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  14324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  14328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  14332 */     // (mul:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)  =>  (VPMULLDZrr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)
     /*  14332 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULLDZrr),
     /*  14337 */     GIR_RootConstrainSelectedInstOperands,
     /*  14338 */     // GIR_Coverage, 4956,
     /*  14338 */     GIR_Done,
     /*  14339 */   // Label 439: @14339
     /*  14339 */   GIM_Reject,
     /*  14340 */ // Label 436: @14340
     /*  14340 */ GIM_Reject,
     /*  14341 */ // Label 363: @14341
     /*  14341 */ GIM_Try, /*On fail goto*//*Label 440*/ GIMT_Encode4(14496),
     /*  14346 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /*  14349 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /*  14352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  14356 */   GIM_Try, /*On fail goto*//*Label 441*/ GIMT_Encode4(14414), // Rule ID 23801 //
     /*  14361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  14364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  14372 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  14375 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  14379 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  14383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  14387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14389 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  14396 */     // (mul:{ *:[v32i16] } (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32i16] }:$src1)  =>  (VPMULLWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  14396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLWZrm),
     /*  14399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14401 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  14403 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  14407 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  14412 */     GIR_RootConstrainSelectedInstOperands,
     /*  14413 */     // GIR_Coverage, 23801,
     /*  14413 */     GIR_EraseRootFromParent_Done,
     /*  14414 */   // Label 441: @14414
     /*  14414 */   GIM_Try, /*On fail goto*//*Label 442*/ GIMT_Encode4(14472), // Rule ID 4986 //
     /*  14419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  14422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  14426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  14434 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  14437 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  14441 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  14445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14447 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  14454 */     // (mul:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULLWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  14454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLWZrm),
     /*  14457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14459 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  14461 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  14465 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  14470 */     GIR_RootConstrainSelectedInstOperands,
     /*  14471 */     // GIR_Coverage, 4986,
     /*  14471 */     GIR_EraseRootFromParent_Done,
     /*  14472 */   // Label 442: @14472
     /*  14472 */   GIM_Try, /*On fail goto*//*Label 443*/ GIMT_Encode4(14495), // Rule ID 4983 //
     /*  14477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  14480 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  14484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  14488 */     // (mul:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)  =>  (VPMULLWZrr:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)
     /*  14488 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULLWZrr),
     /*  14493 */     GIR_RootConstrainSelectedInstOperands,
     /*  14494 */     // GIR_Coverage, 4983,
     /*  14494 */     GIR_Done,
     /*  14495 */   // Label 443: @14495
     /*  14495 */   GIM_Reject,
     /*  14496 */ // Label 440: @14496
     /*  14496 */ GIM_Reject,
     /*  14497 */ // Label 364: @14497
     /*  14497 */ GIM_Reject,
     /*  14498 */ // Label 3: @14498
     /*  14498 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(25), /*)*//*default:*//*Label 467*/ GIMT_Encode4(25089),
     /*  14509 */ /*GILLT_s1*//*Label 444*/ GIMT_Encode4(14609),
     /*  14513 */ /*GILLT_s8*//*Label 445*/ GIMT_Encode4(14955),
     /*  14517 */ /*GILLT_s16*//*Label 446*/ GIMT_Encode4(15348),
     /*  14521 */ /*GILLT_s32*//*Label 447*/ GIMT_Encode4(16033),
     /*  14525 */ /*GILLT_s64*//*Label 448*/ GIMT_Encode4(17859), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  14537 */ /*GILLT_v2s1*//*Label 449*/ GIMT_Encode4(19563),
     /*  14541 */ /*GILLT_v2s64*//*Label 450*/ GIMT_Encode4(19909),
     /*  14545 */ /*GILLT_v4s1*//*Label 451*/ GIMT_Encode4(20251),
     /*  14549 */ /*GILLT_v4s32*//*Label 452*/ GIMT_Encode4(20597),
     /*  14553 */ /*GILLT_v4s64*//*Label 453*/ GIMT_Encode4(20939),
     /*  14557 */ /*GILLT_v8s1*//*Label 454*/ GIMT_Encode4(21405),
     /*  14561 */ /*GILLT_v8s16*//*Label 455*/ GIMT_Encode4(21903),
     /*  14565 */ /*GILLT_v8s32*//*Label 456*/ GIMT_Encode4(22245),
     /*  14569 */ /*GILLT_v8s64*//*Label 457*/ GIMT_Encode4(22711),
     /*  14573 */ /*GILLT_v16s1*//*Label 458*/ GIMT_Encode4(22867),
     /*  14577 */ /*GILLT_v16s8*//*Label 459*/ GIMT_Encode4(23027),
     /*  14581 */ /*GILLT_v16s16*//*Label 460*/ GIMT_Encode4(23369),
     /*  14585 */ /*GILLT_v16s32*//*Label 461*/ GIMT_Encode4(23835),
     /*  14589 */ /*GILLT_v32s1*//*Label 462*/ GIMT_Encode4(23991),
     /*  14593 */ /*GILLT_v32s8*//*Label 463*/ GIMT_Encode4(24151),
     /*  14597 */ /*GILLT_v32s16*//*Label 464*/ GIMT_Encode4(24617),
     /*  14601 */ /*GILLT_v64s1*//*Label 465*/ GIMT_Encode4(24773),
     /*  14605 */ /*GILLT_v64s8*//*Label 466*/ GIMT_Encode4(24933),
     /*  14609 */ // Label 444: @14609
     /*  14609 */ GIM_Try, /*On fail goto*//*Label 468*/ GIMT_Encode4(14954),
     /*  14614 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s1,
     /*  14617 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s1,
     /*  14620 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  14624 */   GIM_Try, /*On fail goto*//*Label 469*/ GIMT_Encode4(14744), // Rule ID 19487 //
     /*  14629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  14637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s1,
     /*  14641 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s1,
     /*  14645 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  14650 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  14654 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  14660 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  14662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  14666 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  14668 */     // (and:{ *:[v1i1] } (xor:{ *:[v1i1] } VK1:{ *:[v1i1] }:$src1, immAllOnesV:{ *:[v1i1] }), VK1:{ *:[v1i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v1i1] } (KANDNWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK1:{ *:[v1i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK1:{ *:[v1i1] }:$src2, VK16:{ *:[i32] })), VK1:{ *:[i32] })
     /*  14668 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  14671 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  14675 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  14680 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  14684 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  14689 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  14692 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  14696 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  14701 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  14705 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  14710 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  14713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KANDNWkk),
     /*  14717 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  14722 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  14725 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  14728 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  14730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  14733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14735 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  14738 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK1RegClassID),
     /*  14743 */     // GIR_Coverage, 19487,
     /*  14743 */     GIR_EraseRootFromParent_Done,
     /*  14744 */   // Label 469: @14744
     /*  14744 */   GIM_Try, /*On fail goto*//*Label 470*/ GIMT_Encode4(14864), // Rule ID 25364 //
     /*  14749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  14753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  14761 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s1,
     /*  14765 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s1,
     /*  14769 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  14774 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  14778 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  14784 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  14786 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  14788 */     // (and:{ *:[v1i1] } VK1:{ *:[v1i1] }:$src2, (xor:{ *:[v1i1] } VK1:{ *:[v1i1] }:$src1, immAllOnesV:{ *:[v1i1] }))  =>  (COPY_TO_REGCLASS:{ *:[v1i1] } (KANDNWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK1:{ *:[v1i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK1:{ *:[v1i1] }:$src2, VK16:{ *:[i32] })), VK1:{ *:[i32] })
     /*  14788 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  14791 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  14795 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  14800 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // src2
     /*  14804 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  14809 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  14812 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  14816 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  14821 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  14825 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  14830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  14833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KANDNWkk),
     /*  14837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  14842 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  14845 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  14848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  14850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  14853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  14858 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK1RegClassID),
     /*  14863 */     // GIR_Coverage, 25364,
     /*  14863 */     GIR_EraseRootFromParent_Done,
     /*  14864 */   // Label 470: @14864
     /*  14864 */   GIM_Try, /*On fail goto*//*Label 471*/ GIMT_Encode4(14953), // Rule ID 19483 //
     /*  14869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  14873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  14877 */     // (and:{ *:[v1i1] } VK1:{ *:[v1i1] }:$src1, VK1:{ *:[v1i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v1i1] } (KANDWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK1:{ *:[v1i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK1:{ *:[v1i1] }:$src2, VK16:{ *:[i32] })), VK1:{ *:[i32] })
     /*  14877 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  14880 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  14884 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  14889 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  14893 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  14898 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  14901 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  14905 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  14910 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /*  14914 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  14919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  14922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KANDWkk),
     /*  14926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  14931 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  14934 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  14937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  14939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  14942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  14947 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK1RegClassID),
     /*  14952 */     // GIR_Coverage, 19483,
     /*  14952 */     GIR_EraseRootFromParent_Done,
     /*  14953 */   // Label 471: @14953
     /*  14953 */   GIM_Reject,
     /*  14954 */ // Label 468: @14954
     /*  14954 */ GIM_Reject,
     /*  14955 */ // Label 445: @14955
     /*  14955 */ GIM_Try, /*On fail goto*//*Label 472*/ GIMT_Encode4(15347),
     /*  14960 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /*  14963 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /*  14966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  14970 */   GIM_Try, /*On fail goto*//*Label 473*/ GIMT_Encode4(15031), // Rule ID 26066 //
     /*  14975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  14978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  14986 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  14989 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  14993 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  14997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  15001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15003 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  15010 */     // (and:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, GR8:{ *:[i8] }:$src1)  =>  (AND8rm:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  15010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND8rm),
     /*  15013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15015 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  15017 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  15021 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  15024 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  15029 */     GIR_RootConstrainSelectedInstOperands,
     /*  15030 */     // GIR_Coverage, 26066,
     /*  15030 */     GIR_EraseRootFromParent_Done,
     /*  15031 */   // Label 473: @15031
     /*  15031 */   GIM_Try, /*On fail goto*//*Label 474*/ GIMT_Encode4(15092), // Rule ID 26085 //
     /*  15036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  15039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  15047 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  15050 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  15054 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  15058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  15062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15064 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  15071 */     // (and:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, GR8:{ *:[i8] }:$src1)  =>  (AND8rm_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  15071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND8rm_ND),
     /*  15074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15076 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  15078 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  15082 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  15085 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  15090 */     GIR_RootConstrainSelectedInstOperands,
     /*  15091 */     // GIR_Coverage, 26085,
     /*  15091 */     GIR_EraseRootFromParent_Done,
     /*  15092 */   // Label 474: @15092
     /*  15092 */   GIM_Try, /*On fail goto*//*Label 475*/ GIMT_Encode4(15153), // Rule ID 22851 //
     /*  15097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  15100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  15104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  15112 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  15115 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  15119 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  15123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15125 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  15132 */     // (and:{ *:[i8] } GR8:{ *:[i8] }:$src1, (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>)  =>  (AND8rm:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  15132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND8rm),
     /*  15135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15137 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  15139 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  15143 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  15146 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  15151 */     GIR_RootConstrainSelectedInstOperands,
     /*  15152 */     // GIR_Coverage, 22851,
     /*  15152 */     GIR_EraseRootFromParent_Done,
     /*  15153 */   // Label 475: @15153
     /*  15153 */   GIM_Try, /*On fail goto*//*Label 476*/ GIMT_Encode4(15214), // Rule ID 22941 //
     /*  15158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  15161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  15165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  15173 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  15176 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  15180 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  15184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15186 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  15193 */     // (and:{ *:[i8] } GR8:{ *:[i8] }:$src1, (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>)  =>  (AND8rm_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  15193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND8rm_ND),
     /*  15196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15198 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  15200 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  15204 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  15207 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  15212 */     GIR_RootConstrainSelectedInstOperands,
     /*  15213 */     // GIR_Coverage, 22941,
     /*  15213 */     GIR_EraseRootFromParent_Done,
     /*  15214 */   // Label 476: @15214
     /*  15214 */   GIM_Try, /*On fail goto*//*Label 477*/ GIMT_Encode4(15251), // Rule ID 22855 //
     /*  15219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  15222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  15226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  15234 */     // MIs[1] Operand 1
     /*  15234 */     // No operand predicates
     /*  15234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15236 */     // (and:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (AND8ri:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  15236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND8ri),
     /*  15239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15241 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  15243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  15246 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  15249 */     GIR_RootConstrainSelectedInstOperands,
     /*  15250 */     // GIR_Coverage, 22855,
     /*  15250 */     GIR_EraseRootFromParent_Done,
     /*  15251 */   // Label 477: @15251
     /*  15251 */   GIM_Try, /*On fail goto*//*Label 478*/ GIMT_Encode4(15288), // Rule ID 22945 //
     /*  15256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  15259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  15263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  15271 */     // MIs[1] Operand 1
     /*  15271 */     // No operand predicates
     /*  15271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15273 */     // (and:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (AND8ri_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  15273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND8ri_ND),
     /*  15276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15278 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  15280 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  15283 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  15286 */     GIR_RootConstrainSelectedInstOperands,
     /*  15287 */     // GIR_Coverage, 22945,
     /*  15287 */     GIR_EraseRootFromParent_Done,
     /*  15288 */   // Label 478: @15288
     /*  15288 */   GIM_Try, /*On fail goto*//*Label 479*/ GIMT_Encode4(15317), // Rule ID 22847 //
     /*  15293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  15296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  15300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  15304 */     // (and:{ *:[i8] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (AND8rr:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)
     /*  15304 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::AND8rr),
     /*  15309 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  15315 */     GIR_RootConstrainSelectedInstOperands,
     /*  15316 */     // GIR_Coverage, 22847,
     /*  15316 */     GIR_Done,
     /*  15317 */   // Label 479: @15317
     /*  15317 */   GIM_Try, /*On fail goto*//*Label 480*/ GIMT_Encode4(15346), // Rule ID 22937 //
     /*  15322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  15325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  15329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  15333 */     // (and:{ *:[i8] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (AND8rr_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)
     /*  15333 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::AND8rr_ND),
     /*  15338 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  15344 */     GIR_RootConstrainSelectedInstOperands,
     /*  15345 */     // GIR_Coverage, 22937,
     /*  15345 */     GIR_Done,
     /*  15346 */   // Label 480: @15346
     /*  15346 */   GIM_Reject,
     /*  15347 */ // Label 472: @15347
     /*  15347 */ GIM_Reject,
     /*  15348 */ // Label 446: @15348
     /*  15348 */ GIM_Try, /*On fail goto*//*Label 481*/ GIMT_Encode4(16032),
     /*  15353 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  15356 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /*  15359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  15363 */   GIM_Try, /*On fail goto*//*Label 482*/ GIMT_Encode4(15424), // Rule ID 26067 //
     /*  15368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  15371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  15379 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  15382 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  15386 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  15390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  15394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15396 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  15403 */     // (and:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, GR16:{ *:[i16] }:$src1)  =>  (AND16rm:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  15403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND16rm),
     /*  15406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15408 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  15410 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  15414 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  15417 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  15422 */     GIR_RootConstrainSelectedInstOperands,
     /*  15423 */     // GIR_Coverage, 26067,
     /*  15423 */     GIR_EraseRootFromParent_Done,
     /*  15424 */   // Label 482: @15424
     /*  15424 */   GIM_Try, /*On fail goto*//*Label 483*/ GIMT_Encode4(15485), // Rule ID 26086 //
     /*  15429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  15432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  15440 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  15443 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  15447 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  15451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  15455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15457 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  15464 */     // (and:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, GR16:{ *:[i16] }:$src1)  =>  (AND16rm_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  15464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND16rm_ND),
     /*  15467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15469 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  15471 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  15475 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  15478 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  15483 */     GIR_RootConstrainSelectedInstOperands,
     /*  15484 */     // GIR_Coverage, 26086,
     /*  15484 */     GIR_EraseRootFromParent_Done,
     /*  15485 */   // Label 483: @15485
     /*  15485 */   GIM_Try, /*On fail goto*//*Label 484*/ GIMT_Encode4(15546), // Rule ID 22852 //
     /*  15490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  15493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  15497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  15505 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  15508 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  15512 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  15516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15518 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  15525 */     // (and:{ *:[i16] } GR16:{ *:[i16] }:$src1, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (AND16rm:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  15525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND16rm),
     /*  15528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15530 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  15532 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  15536 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  15539 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  15544 */     GIR_RootConstrainSelectedInstOperands,
     /*  15545 */     // GIR_Coverage, 22852,
     /*  15545 */     GIR_EraseRootFromParent_Done,
     /*  15546 */   // Label 484: @15546
     /*  15546 */   GIM_Try, /*On fail goto*//*Label 485*/ GIMT_Encode4(15607), // Rule ID 22942 //
     /*  15551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  15554 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  15558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  15566 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  15569 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  15573 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  15577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15579 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  15586 */     // (and:{ *:[i16] } GR16:{ *:[i16] }:$src1, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (AND16rm_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  15586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND16rm_ND),
     /*  15589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15591 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  15593 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  15597 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  15600 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  15605 */     GIR_RootConstrainSelectedInstOperands,
     /*  15606 */     // GIR_Coverage, 22942,
     /*  15606 */     GIR_EraseRootFromParent_Done,
     /*  15607 */   // Label 485: @15607
     /*  15607 */   GIM_Try, /*On fail goto*//*Label 486*/ GIMT_Encode4(15709), // Rule ID 26033 //
     /*  15612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  15620 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  15624 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  15628 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  15632 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  15637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  15641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15643 */     // (and:{ *:[i16] } (rotl:{ *:[i16] } -2:{ *:[i16] }, GR8:{ *:[i8] }:$src2), GR16:{ *:[i16] }:$src1)  =>  (BTR16rr:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (INSERT_SUBREG:{ *:[i16] } (IMPLICIT_DEF:{ *:[i16] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /*  15643 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  15646 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  15650 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  15655 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  15657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  15660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  15664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  15669 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  15672 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  15676 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  15679 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  15684 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR16RegClassID),
     /*  15689 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  15694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BTR16rr),
     /*  15697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15699 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  15701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  15704 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  15707 */     GIR_RootConstrainSelectedInstOperands,
     /*  15708 */     // GIR_Coverage, 26033,
     /*  15708 */     GIR_EraseRootFromParent_Done,
     /*  15709 */   // Label 486: @15709
     /*  15709 */   GIM_Try, /*On fail goto*//*Label 487*/ GIMT_Encode4(15811), // Rule ID 22771 //
     /*  15714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  15718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  15726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  15730 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  15734 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  15738 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  15743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15745 */     // (and:{ *:[i16] } GR16:{ *:[i16] }:$src1, (rotl:{ *:[i16] } -2:{ *:[i16] }, GR8:{ *:[i8] }:$src2))  =>  (BTR16rr:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (INSERT_SUBREG:{ *:[i16] } (IMPLICIT_DEF:{ *:[i16] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /*  15745 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  15748 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  15752 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  15757 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  15759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  15762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  15766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  15771 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  15774 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  15778 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  15781 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  15786 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR16RegClassID),
     /*  15791 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  15796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BTR16rr),
     /*  15799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15801 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  15803 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  15806 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  15809 */     GIR_RootConstrainSelectedInstOperands,
     /*  15810 */     // GIR_Coverage, 22771,
     /*  15810 */     GIR_EraseRootFromParent_Done,
     /*  15811 */   // Label 487: @15811
     /*  15811 */   GIM_Try, /*On fail goto*//*Label 488*/ GIMT_Encode4(15899), // Rule ID 22631 //
     /*  15816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  15820 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  15831 */     // (and:{ *:[i16] } GR16:{ *:[i16] }:$src1, 255:{ *:[i16] })  =>  (EXTRACT_SUBREG:{ *:[i16] } (MOVZX32rr8:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i8] } GR16:{ *:[i16] }:$src1, sub_8bit:{ *:[i32] })), sub_16bit:{ *:[i32] })
     /*  15831 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s8,
     /*  15834 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  15838 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  15843 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(1), // src1
     /*  15849 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::GR8RegClassID),
     /*  15854 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::GR16RegClassID),
     /*  15859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  15862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVZX32rr8),
     /*  15866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  15871 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  15874 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  15876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  15879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15881 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /*  15888 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  15893 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /*  15898 */     // GIR_Coverage, 22631,
     /*  15898 */     GIR_EraseRootFromParent_Done,
     /*  15899 */   // Label 488: @15899
     /*  15899 */   GIM_Try, /*On fail goto*//*Label 489*/ GIMT_Encode4(15936), // Rule ID 22856 //
     /*  15904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  15907 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  15911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  15919 */     // MIs[1] Operand 1
     /*  15919 */     // No operand predicates
     /*  15919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15921 */     // (and:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)  =>  (AND16ri:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)
     /*  15921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND16ri),
     /*  15924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15926 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  15928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  15931 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  15934 */     GIR_RootConstrainSelectedInstOperands,
     /*  15935 */     // GIR_Coverage, 22856,
     /*  15935 */     GIR_EraseRootFromParent_Done,
     /*  15936 */   // Label 489: @15936
     /*  15936 */   GIM_Try, /*On fail goto*//*Label 490*/ GIMT_Encode4(15973), // Rule ID 22946 //
     /*  15941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  15944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  15948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  15956 */     // MIs[1] Operand 1
     /*  15956 */     // No operand predicates
     /*  15956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15958 */     // (and:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)  =>  (AND16ri_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)
     /*  15958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND16ri_ND),
     /*  15961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15963 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  15965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  15968 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  15971 */     GIR_RootConstrainSelectedInstOperands,
     /*  15972 */     // GIR_Coverage, 22946,
     /*  15972 */     GIR_EraseRootFromParent_Done,
     /*  15973 */   // Label 490: @15973
     /*  15973 */   GIM_Try, /*On fail goto*//*Label 491*/ GIMT_Encode4(16002), // Rule ID 22848 //
     /*  15978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  15981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  15985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  15989 */     // (and:{ *:[i16] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)  =>  (AND16rr:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  15989 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::AND16rr),
     /*  15994 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  16000 */     GIR_RootConstrainSelectedInstOperands,
     /*  16001 */     // GIR_Coverage, 22848,
     /*  16001 */     GIR_Done,
     /*  16002 */   // Label 491: @16002
     /*  16002 */   GIM_Try, /*On fail goto*//*Label 492*/ GIMT_Encode4(16031), // Rule ID 22938 //
     /*  16007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  16010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  16014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  16018 */     // (and:{ *:[i16] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)  =>  (AND16rr_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  16018 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::AND16rr_ND),
     /*  16023 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  16029 */     GIR_RootConstrainSelectedInstOperands,
     /*  16030 */     // GIR_Coverage, 22938,
     /*  16030 */     GIR_Done,
     /*  16031 */   // Label 492: @16031
     /*  16031 */   GIM_Reject,
     /*  16032 */ // Label 481: @16032
     /*  16032 */ GIM_Reject,
     /*  16033 */ // Label 447: @16033
     /*  16033 */ GIM_Try, /*On fail goto*//*Label 493*/ GIMT_Encode4(17858),
     /*  16038 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  16041 */   GIM_Try, /*On fail goto*//*Label 494*/ GIMT_Encode4(16133), // Rule ID 17545 //
     /*  16046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI_NoEGPR),
     /*  16049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  16052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  16064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  16068 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  16072 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16077 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  16081 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  16085 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  16089 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  16092 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  16096 */     GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  16100 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16102 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  16109 */     // (and:{ *:[i32] } (xor:{ *:[i32] } GR32:{ *:[i32] }:$src1, -1:{ *:[i32] }), (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (ANDN32rm:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  16109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ANDN32rm),
     /*  16112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  16118 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  16122 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  16125 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  16131 */     GIR_RootConstrainSelectedInstOperands,
     /*  16132 */     // GIR_Coverage, 17545,
     /*  16132 */     GIR_EraseRootFromParent_Done,
     /*  16133 */   // Label 494: @16133
     /*  16133 */   GIM_Try, /*On fail goto*//*Label 495*/ GIMT_Encode4(16225), // Rule ID 17549 //
     /*  16138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI_HasEGPR),
     /*  16141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  16144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  16156 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  16160 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  16164 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16169 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  16173 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  16177 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  16181 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  16184 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  16188 */     GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  16192 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16194 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  16201 */     // (and:{ *:[i32] } (xor:{ *:[i32] } GR32:{ *:[i32] }:$src1, -1:{ *:[i32] }), (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (ANDN32rm_EVEX:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  16201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ANDN32rm_EVEX),
     /*  16204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16206 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  16210 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  16214 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  16217 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  16223 */     GIR_RootConstrainSelectedInstOperands,
     /*  16224 */     // GIR_Coverage, 17549,
     /*  16224 */     GIR_EraseRootFromParent_Done,
     /*  16225 */   // Label 495: @16225
     /*  16225 */   GIM_Try, /*On fail goto*//*Label 496*/ GIMT_Encode4(16317), // Rule ID 25100 //
     /*  16230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI_NoEGPR),
     /*  16233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  16236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  16248 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  16251 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  16255 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  16259 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  16263 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  16267 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  16271 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  16275 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16280 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  16284 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16286 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  16293 */     // (and:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (xor:{ *:[i32] } GR32:{ *:[i32] }:$src1, -1:{ *:[i32] }))  =>  (ANDN32rm:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  16293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ANDN32rm),
     /*  16296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /*  16302 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  16306 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  16309 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  16315 */     GIR_RootConstrainSelectedInstOperands,
     /*  16316 */     // GIR_Coverage, 25100,
     /*  16316 */     GIR_EraseRootFromParent_Done,
     /*  16317 */   // Label 496: @16317
     /*  16317 */   GIM_Try, /*On fail goto*//*Label 497*/ GIMT_Encode4(16409), // Rule ID 25104 //
     /*  16322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI_HasEGPR),
     /*  16325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  16328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  16340 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  16343 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  16347 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  16351 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  16355 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  16359 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  16363 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  16367 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16372 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  16376 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16378 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  16385 */     // (and:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (xor:{ *:[i32] } GR32:{ *:[i32] }:$src1, -1:{ *:[i32] }))  =>  (ANDN32rm_EVEX:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  16385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ANDN32rm_EVEX),
     /*  16388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /*  16394 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  16398 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  16401 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  16407 */     GIR_RootConstrainSelectedInstOperands,
     /*  16408 */     // GIR_Coverage, 25104,
     /*  16408 */     GIR_EraseRootFromParent_Done,
     /*  16409 */   // Label 497: @16409
     /*  16409 */   GIM_Try, /*On fail goto*//*Label 498*/ GIMT_Encode4(16477), // Rule ID 26068 //
     /*  16414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  16417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  16420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  16432 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  16435 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  16439 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  16443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  16449 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  16456 */     // (and:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR32:{ *:[i32] }:$src1)  =>  (AND32rm:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  16456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND32rm),
     /*  16459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16461 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  16463 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  16467 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  16470 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  16475 */     GIR_RootConstrainSelectedInstOperands,
     /*  16476 */     // GIR_Coverage, 26068,
     /*  16476 */     GIR_EraseRootFromParent_Done,
     /*  16477 */   // Label 498: @16477
     /*  16477 */   GIM_Try, /*On fail goto*//*Label 499*/ GIMT_Encode4(16545), // Rule ID 26087 //
     /*  16482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  16485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  16488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  16500 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  16503 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  16507 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  16511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  16517 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  16524 */     // (and:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR32:{ *:[i32] }:$src1)  =>  (AND32rm_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  16524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND32rm_ND),
     /*  16527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16529 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  16531 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  16535 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  16538 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  16543 */     GIR_RootConstrainSelectedInstOperands,
     /*  16544 */     // GIR_Coverage, 26087,
     /*  16544 */     GIR_EraseRootFromParent_Done,
     /*  16545 */   // Label 499: @16545
     /*  16545 */   GIM_Try, /*On fail goto*//*Label 500*/ GIMT_Encode4(16613), // Rule ID 22853 //
     /*  16550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  16553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  16556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  16568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  16572 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  16575 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  16579 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  16583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  16585 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  16592 */     // (and:{ *:[i32] } GR32:{ *:[i32] }:$src1, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (AND32rm:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  16592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND32rm),
     /*  16595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16597 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  16599 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  16603 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  16606 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  16611 */     GIR_RootConstrainSelectedInstOperands,
     /*  16612 */     // GIR_Coverage, 22853,
     /*  16612 */     GIR_EraseRootFromParent_Done,
     /*  16613 */   // Label 500: @16613
     /*  16613 */   GIM_Try, /*On fail goto*//*Label 501*/ GIMT_Encode4(16681), // Rule ID 22943 //
     /*  16618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  16621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  16624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  16636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  16640 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  16643 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  16647 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  16651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  16653 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  16660 */     // (and:{ *:[i32] } GR32:{ *:[i32] }:$src1, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (AND32rm_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  16660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND32rm_ND),
     /*  16663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16665 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  16667 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  16671 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  16674 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  16679 */     GIR_RootConstrainSelectedInstOperands,
     /*  16680 */     // GIR_Coverage, 22943,
     /*  16680 */     GIR_EraseRootFromParent_Done,
     /*  16681 */   // Label 501: @16681
     /*  16681 */   GIM_Try, /*On fail goto*//*Label 502*/ GIMT_Encode4(16758), // Rule ID 24992 //
     /*  16686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  16689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  16692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  16704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  16708 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  16712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16717 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  16721 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  16725 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  16729 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  16733 */     // MIs[2] src
     /*  16733 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  16738 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  16742 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16744 */     // (and:{ *:[i32] } (add:{ *:[i32] } GR32:{ *:[i32] }:$src, 1:{ *:[i32] }), (xor:{ *:[i32] } GR32:{ *:[i32] }:$src, -1:{ *:[i32] }))  =>  (BLCIC32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  16744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCIC32rr),
     /*  16747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  16753 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  16756 */     GIR_RootConstrainSelectedInstOperands,
     /*  16757 */     // GIR_Coverage, 24992,
     /*  16757 */     GIR_EraseRootFromParent_Done,
     /*  16758 */   // Label 502: @16758
     /*  16758 */   GIM_Try, /*On fail goto*//*Label 503*/ GIMT_Encode4(16835), // Rule ID 25004 //
     /*  16763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  16766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  16769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  16781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  16785 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  16789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16794 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  16798 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  16802 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  16806 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  16810 */     // MIs[2] src
     /*  16810 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  16815 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  16819 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16821 */     // (and:{ *:[i32] } (add:{ *:[i32] } GR32:{ *:[i32] }:$src, -1:{ *:[i32] }), (xor:{ *:[i32] } GR32:{ *:[i32] }:$src, -1:{ *:[i32] }))  =>  (TZMSK32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  16821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::TZMSK32rr),
     /*  16824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  16830 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  16833 */     GIR_RootConstrainSelectedInstOperands,
     /*  16834 */     // GIR_Coverage, 25004,
     /*  16834 */     GIR_EraseRootFromParent_Done,
     /*  16835 */   // Label 503: @16835
     /*  16835 */   GIM_Try, /*On fail goto*//*Label 504*/ GIMT_Encode4(16912), // Rule ID 17355 //
     /*  16840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  16843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  16846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  16858 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  16862 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  16866 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16871 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  16875 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  16879 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  16883 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  16887 */     // MIs[2] src
     /*  16887 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  16892 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*  16896 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16898 */     // (and:{ *:[i32] } (xor:{ *:[i32] } GR32:{ *:[i32] }:$src, -1:{ *:[i32] }), (add:{ *:[i32] } GR32:{ *:[i32] }:$src, 1:{ *:[i32] }))  =>  (BLCIC32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  16898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCIC32rr),
     /*  16901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  16907 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  16910 */     GIR_RootConstrainSelectedInstOperands,
     /*  16911 */     // GIR_Coverage, 17355,
     /*  16911 */     GIR_EraseRootFromParent_Done,
     /*  16912 */   // Label 504: @16912
     /*  16912 */   GIM_Try, /*On fail goto*//*Label 505*/ GIMT_Encode4(16989), // Rule ID 17367 //
     /*  16917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  16920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  16923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  16935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  16939 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  16943 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16948 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  16952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  16956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  16960 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  16964 */     // MIs[2] src
     /*  16964 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  16969 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  16973 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16975 */     // (and:{ *:[i32] } (xor:{ *:[i32] } GR32:{ *:[i32] }:$src, -1:{ *:[i32] }), (add:{ *:[i32] } GR32:{ *:[i32] }:$src, -1:{ *:[i32] }))  =>  (TZMSK32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  16975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::TZMSK32rr),
     /*  16978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16980 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  16984 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  16987 */     GIR_RootConstrainSelectedInstOperands,
     /*  16988 */     // GIR_Coverage, 17367,
     /*  16988 */     GIR_EraseRootFromParent_Done,
     /*  16989 */   // Label 505: @16989
     /*  16989 */   GIM_Try, /*On fail goto*//*Label 506*/ GIMT_Encode4(17047), // Rule ID 24986 //
     /*  16994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  16997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  17009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  17013 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  17017 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17022 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  17026 */     // MIs[0] src
     /*  17026 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  17031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17033 */     // (and:{ *:[i32] } (add:{ *:[i32] } GR32:{ *:[i32] }:$src, 1:{ *:[i32] }), GR32:{ *:[i32] }:$src)  =>  (BLCFILL32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  17033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCFILL32rr),
     /*  17036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17038 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  17042 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  17045 */     GIR_RootConstrainSelectedInstOperands,
     /*  17046 */     // GIR_Coverage, 24986,
     /*  17046 */     GIR_EraseRootFromParent_Done,
     /*  17047 */   // Label 506: @17047
     /*  17047 */   GIM_Try, /*On fail goto*//*Label 507*/ GIMT_Encode4(17156), // Rule ID 26039 //
     /*  17052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  17055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  17067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  17071 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  17075 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  17079 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  17084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17090 */     // (and:{ *:[i32] } (rotl:{ *:[i32] } -2:{ *:[i32] }, GR8:{ *:[i8] }:$src2), GR32:{ *:[i32] }:$src1)  =>  (BTR32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /*  17090 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  17093 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  17097 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  17102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  17104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  17107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  17111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  17116 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  17119 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  17123 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  17126 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /*  17131 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /*  17136 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  17141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BTR32rr),
     /*  17144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17146 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  17148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  17151 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  17154 */     GIR_RootConstrainSelectedInstOperands,
     /*  17155 */     // GIR_Coverage, 26039,
     /*  17155 */     GIR_EraseRootFromParent_Done,
     /*  17156 */   // Label 507: @17156
     /*  17156 */   GIM_Try, /*On fail goto*//*Label 508*/ GIMT_Encode4(17210), // Rule ID 17349 //
     /*  17161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  17164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  17167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  17183 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  17187 */     // MIs[1] src
     /*  17187 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/1, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  17192 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  17196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17198 */     // (and:{ *:[i32] } GR32:{ *:[i32] }:$src, (add:{ *:[i32] } GR32:{ *:[i32] }:$src, 1:{ *:[i32] }))  =>  (BLCFILL32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  17198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCFILL32rr),
     /*  17201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17203 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  17205 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  17208 */     GIR_RootConstrainSelectedInstOperands,
     /*  17209 */     // GIR_Coverage, 17349,
     /*  17209 */     GIR_EraseRootFromParent_Done,
     /*  17210 */   // Label 508: @17210
     /*  17210 */   GIM_Try, /*On fail goto*//*Label 509*/ GIMT_Encode4(17319), // Rule ID 22777 //
     /*  17215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  17218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  17234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  17238 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  17242 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  17246 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  17251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17253 */     // (and:{ *:[i32] } GR32:{ *:[i32] }:$src1, (rotl:{ *:[i32] } -2:{ *:[i32] }, GR8:{ *:[i8] }:$src2))  =>  (BTR32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /*  17253 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  17256 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  17260 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  17265 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  17267 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  17270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  17274 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  17279 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  17282 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  17286 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  17289 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /*  17294 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /*  17299 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  17304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BTR32rr),
     /*  17307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17309 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  17311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  17314 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  17317 */     GIR_RootConstrainSelectedInstOperands,
     /*  17318 */     // GIR_Coverage, 22777,
     /*  17318 */     GIR_EraseRootFromParent_Done,
     /*  17319 */   // Label 509: @17319
     /*  17319 */   GIM_Try, /*On fail goto*//*Label 510*/ GIMT_Encode4(17384), // Rule ID 22629 //
     /*  17324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  17327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17335 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  17346 */     // (and:{ *:[i32] } GR32:{ *:[i32] }:$src1, 65535:{ *:[i32] })  =>  (MOVZX32rr16:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i16] } GR32:{ *:[i32] }:$src1, sub_16bit:{ *:[i32] }))
     /*  17346 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  17349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  17353 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  17358 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(4), // src1
     /*  17364 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  17369 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /*  17374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVZX32rr16),
     /*  17377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  17382 */     GIR_RootConstrainSelectedInstOperands,
     /*  17383 */     // GIR_Coverage, 22629,
     /*  17383 */     GIR_EraseRootFromParent_Done,
     /*  17384 */   // Label 510: @17384
     /*  17384 */   GIM_Try, /*On fail goto*//*Label 511*/ GIMT_Encode4(17449), // Rule ID 22630 //
     /*  17389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  17392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17400 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  17411 */     // (and:{ *:[i32] } GR32:{ *:[i32] }:$src1, 255:{ *:[i32] })  =>  (MOVZX32rr8:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i8] } GR32:{ *:[i32] }:$src1, sub_8bit:{ *:[i32] }))
     /*  17411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /*  17414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  17418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  17423 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(1), // src1
     /*  17429 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR8RegClassID),
     /*  17434 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /*  17439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVZX32rr8),
     /*  17442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17444 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  17447 */     GIR_RootConstrainSelectedInstOperands,
     /*  17448 */     // GIR_Coverage, 22630,
     /*  17448 */     GIR_EraseRootFromParent_Done,
     /*  17449 */   // Label 511: @17449
     /*  17449 */   GIM_Try, /*On fail goto*//*Label 512*/ GIMT_Encode4(17493), // Rule ID 22857 //
     /*  17454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  17457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  17460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  17476 */     // MIs[1] Operand 1
     /*  17476 */     // No operand predicates
     /*  17476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17478 */     // (and:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)  =>  (AND32ri:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)
     /*  17478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND32ri),
     /*  17481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17483 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  17485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  17488 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  17491 */     GIR_RootConstrainSelectedInstOperands,
     /*  17492 */     // GIR_Coverage, 22857,
     /*  17492 */     GIR_EraseRootFromParent_Done,
     /*  17493 */   // Label 512: @17493
     /*  17493 */   GIM_Try, /*On fail goto*//*Label 513*/ GIMT_Encode4(17537), // Rule ID 22947 //
     /*  17498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  17501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  17504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  17520 */     // MIs[1] Operand 1
     /*  17520 */     // No operand predicates
     /*  17520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17522 */     // (and:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)  =>  (AND32ri_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)
     /*  17522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND32ri_ND),
     /*  17525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17527 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  17529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  17532 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  17535 */     GIR_RootConstrainSelectedInstOperands,
     /*  17536 */     // GIR_Coverage, 22947,
     /*  17536 */     GIR_EraseRootFromParent_Done,
     /*  17537 */   // Label 513: @17537
     /*  17537 */   GIM_Try, /*On fail goto*//*Label 514*/ GIMT_Encode4(17599), // Rule ID 17543 //
     /*  17542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI_NoEGPR),
     /*  17545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  17548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  17560 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  17564 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  17568 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17573 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  17577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17583 */     // (and:{ *:[i32] } (xor:{ *:[i32] } GR32:{ *:[i32] }:$src1, -1:{ *:[i32] }), GR32:{ *:[i32] }:$src2)  =>  (ANDN32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  17583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ANDN32rr),
     /*  17586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  17592 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  17594 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  17597 */     GIR_RootConstrainSelectedInstOperands,
     /*  17598 */     // GIR_Coverage, 17543,
     /*  17598 */     GIR_EraseRootFromParent_Done,
     /*  17599 */   // Label 514: @17599
     /*  17599 */   GIM_Try, /*On fail goto*//*Label 515*/ GIMT_Encode4(17661), // Rule ID 17547 //
     /*  17604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI_HasEGPR),
     /*  17607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  17610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  17622 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  17626 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  17630 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17635 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  17639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17645 */     // (and:{ *:[i32] } (xor:{ *:[i32] } GR32:{ *:[i32] }:$src1, -1:{ *:[i32] }), GR32:{ *:[i32] }:$src2)  =>  (ANDN32rr_EVEX:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  17645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ANDN32rr_EVEX),
     /*  17648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  17654 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  17656 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  17659 */     GIR_RootConstrainSelectedInstOperands,
     /*  17660 */     // GIR_Coverage, 17547,
     /*  17660 */     GIR_EraseRootFromParent_Done,
     /*  17661 */   // Label 515: @17661
     /*  17661 */   GIM_Try, /*On fail goto*//*Label 516*/ GIMT_Encode4(17723), // Rule ID 25098 //
     /*  17666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI_NoEGPR),
     /*  17669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  17672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  17688 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  17692 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  17696 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17701 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  17705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17707 */     // (and:{ *:[i32] } GR32:{ *:[i32] }:$src2, (xor:{ *:[i32] } GR32:{ *:[i32] }:$src1, -1:{ *:[i32] }))  =>  (ANDN32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  17707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ANDN32rr),
     /*  17710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  17716 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  17718 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  17721 */     GIR_RootConstrainSelectedInstOperands,
     /*  17722 */     // GIR_Coverage, 25098,
     /*  17722 */     GIR_EraseRootFromParent_Done,
     /*  17723 */   // Label 516: @17723
     /*  17723 */   GIM_Try, /*On fail goto*//*Label 517*/ GIMT_Encode4(17785), // Rule ID 25102 //
     /*  17728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI_HasEGPR),
     /*  17731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  17734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17738 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  17750 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  17754 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  17758 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17763 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  17767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17769 */     // (and:{ *:[i32] } GR32:{ *:[i32] }:$src2, (xor:{ *:[i32] } GR32:{ *:[i32] }:$src1, -1:{ *:[i32] }))  =>  (ANDN32rr_EVEX:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  17769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ANDN32rr_EVEX),
     /*  17772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17774 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  17778 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  17780 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  17783 */     GIR_RootConstrainSelectedInstOperands,
     /*  17784 */     // GIR_Coverage, 25102,
     /*  17784 */     GIR_EraseRootFromParent_Done,
     /*  17785 */   // Label 517: @17785
     /*  17785 */   GIM_Try, /*On fail goto*//*Label 518*/ GIMT_Encode4(17821), // Rule ID 22849 //
     /*  17790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  17793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  17796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17800 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17808 */     // (and:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)  =>  (AND32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  17808 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::AND32rr),
     /*  17813 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  17819 */     GIR_RootConstrainSelectedInstOperands,
     /*  17820 */     // GIR_Coverage, 22849,
     /*  17820 */     GIR_Done,
     /*  17821 */   // Label 518: @17821
     /*  17821 */   GIM_Try, /*On fail goto*//*Label 519*/ GIMT_Encode4(17857), // Rule ID 22939 //
     /*  17826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  17829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  17832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17844 */     // (and:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)  =>  (AND32rr_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  17844 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::AND32rr_ND),
     /*  17849 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  17855 */     GIR_RootConstrainSelectedInstOperands,
     /*  17856 */     // GIR_Coverage, 22939,
     /*  17856 */     GIR_Done,
     /*  17857 */   // Label 519: @17857
     /*  17857 */   GIM_Reject,
     /*  17858 */ // Label 493: @17858
     /*  17858 */ GIM_Reject,
     /*  17859 */ // Label 448: @17859
     /*  17859 */ GIM_Try, /*On fail goto*//*Label 520*/ GIMT_Encode4(19562),
     /*  17864 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  17867 */   GIM_Try, /*On fail goto*//*Label 521*/ GIMT_Encode4(17959), // Rule ID 17546 //
     /*  17872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI_NoEGPR),
     /*  17875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  17878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  17882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  17890 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  17894 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  17898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  17903 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  17907 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  17911 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  17915 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  17918 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  17922 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  17926 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  17928 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  17935 */     // (and:{ *:[i64] } (xor:{ *:[i64] } GR64:{ *:[i64] }:$src1, -1:{ *:[i64] }), (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (ANDN64rm:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  17935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ANDN64rm),
     /*  17938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  17944 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  17948 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  17951 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  17957 */     GIR_RootConstrainSelectedInstOperands,
     /*  17958 */     // GIR_Coverage, 17546,
     /*  17958 */     GIR_EraseRootFromParent_Done,
     /*  17959 */   // Label 521: @17959
     /*  17959 */   GIM_Try, /*On fail goto*//*Label 522*/ GIMT_Encode4(18051), // Rule ID 17550 //
     /*  17964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI_HasEGPR),
     /*  17967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  17970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  17974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  17982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  17986 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  17990 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  17995 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  17999 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  18003 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  18007 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  18010 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  18014 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  18018 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  18020 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  18027 */     // (and:{ *:[i64] } (xor:{ *:[i64] } GR64:{ *:[i64] }:$src1, -1:{ *:[i64] }), (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (ANDN64rm_EVEX:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  18027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ANDN64rm_EVEX),
     /*  18030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18032 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  18036 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  18040 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  18043 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  18049 */     GIR_RootConstrainSelectedInstOperands,
     /*  18050 */     // GIR_Coverage, 17550,
     /*  18050 */     GIR_EraseRootFromParent_Done,
     /*  18051 */   // Label 522: @18051
     /*  18051 */   GIM_Try, /*On fail goto*//*Label 523*/ GIMT_Encode4(18143), // Rule ID 25101 //
     /*  18056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI_NoEGPR),
     /*  18059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  18062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  18074 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  18077 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  18081 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  18085 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  18089 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  18093 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  18097 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  18101 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18106 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  18110 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  18112 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  18119 */     // (and:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (xor:{ *:[i64] } GR64:{ *:[i64] }:$src1, -1:{ *:[i64] }))  =>  (ANDN64rm:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  18119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ANDN64rm),
     /*  18122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /*  18128 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  18132 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  18135 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  18141 */     GIR_RootConstrainSelectedInstOperands,
     /*  18142 */     // GIR_Coverage, 25101,
     /*  18142 */     GIR_EraseRootFromParent_Done,
     /*  18143 */   // Label 523: @18143
     /*  18143 */   GIM_Try, /*On fail goto*//*Label 524*/ GIMT_Encode4(18235), // Rule ID 25105 //
     /*  18148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI_HasEGPR),
     /*  18151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  18154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  18166 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  18169 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  18173 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  18177 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  18181 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  18185 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  18189 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  18193 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18198 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  18202 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  18204 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  18211 */     // (and:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (xor:{ *:[i64] } GR64:{ *:[i64] }:$src1, -1:{ *:[i64] }))  =>  (ANDN64rm_EVEX:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  18211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ANDN64rm_EVEX),
     /*  18214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /*  18220 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  18224 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  18227 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  18233 */     GIR_RootConstrainSelectedInstOperands,
     /*  18234 */     // GIR_Coverage, 25105,
     /*  18234 */     GIR_EraseRootFromParent_Done,
     /*  18235 */   // Label 524: @18235
     /*  18235 */   GIM_Try, /*On fail goto*//*Label 525*/ GIMT_Encode4(18303), // Rule ID 26069 //
     /*  18240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  18243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  18246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  18258 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  18261 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  18265 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  18269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  18275 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  18282 */     // (and:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src1)  =>  (AND64rm:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  18282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND64rm),
     /*  18285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18287 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  18289 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  18293 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  18296 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  18301 */     GIR_RootConstrainSelectedInstOperands,
     /*  18302 */     // GIR_Coverage, 26069,
     /*  18302 */     GIR_EraseRootFromParent_Done,
     /*  18303 */   // Label 525: @18303
     /*  18303 */   GIM_Try, /*On fail goto*//*Label 526*/ GIMT_Encode4(18371), // Rule ID 26088 //
     /*  18308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  18311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  18314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  18326 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  18329 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  18333 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  18337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  18343 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  18350 */     // (and:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src1)  =>  (AND64rm_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  18350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND64rm_ND),
     /*  18353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18355 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  18357 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  18361 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  18364 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  18369 */     GIR_RootConstrainSelectedInstOperands,
     /*  18370 */     // GIR_Coverage, 26088,
     /*  18370 */     GIR_EraseRootFromParent_Done,
     /*  18371 */   // Label 526: @18371
     /*  18371 */   GIM_Try, /*On fail goto*//*Label 527*/ GIMT_Encode4(18439), // Rule ID 22854 //
     /*  18376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  18379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  18382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  18394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  18398 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  18401 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  18405 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  18409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  18411 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  18418 */     // (and:{ *:[i64] } GR64:{ *:[i64] }:$src1, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (AND64rm:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  18418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND64rm),
     /*  18421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18423 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  18425 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  18429 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  18432 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  18437 */     GIR_RootConstrainSelectedInstOperands,
     /*  18438 */     // GIR_Coverage, 22854,
     /*  18438 */     GIR_EraseRootFromParent_Done,
     /*  18439 */   // Label 527: @18439
     /*  18439 */   GIM_Try, /*On fail goto*//*Label 528*/ GIMT_Encode4(18507), // Rule ID 22944 //
     /*  18444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  18447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  18450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  18462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  18466 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  18469 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  18473 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  18477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  18479 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  18486 */     // (and:{ *:[i64] } GR64:{ *:[i64] }:$src1, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (AND64rm_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  18486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND64rm_ND),
     /*  18489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18491 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  18493 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  18497 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  18500 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  18505 */     GIR_RootConstrainSelectedInstOperands,
     /*  18506 */     // GIR_Coverage, 22944,
     /*  18506 */     GIR_EraseRootFromParent_Done,
     /*  18507 */   // Label 528: @18507
     /*  18507 */   GIM_Try, /*On fail goto*//*Label 529*/ GIMT_Encode4(18584), // Rule ID 24993 //
     /*  18512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  18515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  18518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  18530 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  18534 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  18538 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18543 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  18547 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  18551 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  18555 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  18559 */     // MIs[2] src
     /*  18559 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  18564 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  18568 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  18570 */     // (and:{ *:[i64] } (add:{ *:[i64] } GR64:{ *:[i64] }:$src, 1:{ *:[i64] }), (xor:{ *:[i64] } GR64:{ *:[i64] }:$src, -1:{ *:[i64] }))  =>  (BLCIC64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  18570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCIC64rr),
     /*  18573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  18579 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  18582 */     GIR_RootConstrainSelectedInstOperands,
     /*  18583 */     // GIR_Coverage, 24993,
     /*  18583 */     GIR_EraseRootFromParent_Done,
     /*  18584 */   // Label 529: @18584
     /*  18584 */   GIM_Try, /*On fail goto*//*Label 530*/ GIMT_Encode4(18661), // Rule ID 25005 //
     /*  18589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  18592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  18595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  18607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  18611 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  18615 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18620 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  18624 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  18628 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  18632 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  18636 */     // MIs[2] src
     /*  18636 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  18641 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  18645 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  18647 */     // (and:{ *:[i64] } (add:{ *:[i64] } GR64:{ *:[i64] }:$src, -1:{ *:[i64] }), (xor:{ *:[i64] } GR64:{ *:[i64] }:$src, -1:{ *:[i64] }))  =>  (TZMSK64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  18647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::TZMSK64rr),
     /*  18650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  18656 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  18659 */     GIR_RootConstrainSelectedInstOperands,
     /*  18660 */     // GIR_Coverage, 25005,
     /*  18660 */     GIR_EraseRootFromParent_Done,
     /*  18661 */   // Label 530: @18661
     /*  18661 */   GIM_Try, /*On fail goto*//*Label 531*/ GIMT_Encode4(18738), // Rule ID 17356 //
     /*  18666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  18669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  18672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  18684 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  18688 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  18692 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18697 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  18701 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  18705 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  18709 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  18713 */     // MIs[2] src
     /*  18713 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  18718 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*  18722 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  18724 */     // (and:{ *:[i64] } (xor:{ *:[i64] } GR64:{ *:[i64] }:$src, -1:{ *:[i64] }), (add:{ *:[i64] } GR64:{ *:[i64] }:$src, 1:{ *:[i64] }))  =>  (BLCIC64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  18724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCIC64rr),
     /*  18727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  18733 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  18736 */     GIR_RootConstrainSelectedInstOperands,
     /*  18737 */     // GIR_Coverage, 17356,
     /*  18737 */     GIR_EraseRootFromParent_Done,
     /*  18738 */   // Label 531: @18738
     /*  18738 */   GIM_Try, /*On fail goto*//*Label 532*/ GIMT_Encode4(18815), // Rule ID 17368 //
     /*  18743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  18746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  18749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  18761 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  18765 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  18769 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18774 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  18778 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  18782 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  18786 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  18790 */     // MIs[2] src
     /*  18790 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  18795 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  18799 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  18801 */     // (and:{ *:[i64] } (xor:{ *:[i64] } GR64:{ *:[i64] }:$src, -1:{ *:[i64] }), (add:{ *:[i64] } GR64:{ *:[i64] }:$src, -1:{ *:[i64] }))  =>  (TZMSK64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  18801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::TZMSK64rr),
     /*  18804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  18810 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  18813 */     GIR_RootConstrainSelectedInstOperands,
     /*  18814 */     // GIR_Coverage, 17368,
     /*  18814 */     GIR_EraseRootFromParent_Done,
     /*  18815 */   // Label 532: @18815
     /*  18815 */   GIM_Try, /*On fail goto*//*Label 533*/ GIMT_Encode4(18873), // Rule ID 24987 //
     /*  18820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  18823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  18835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  18839 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  18843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18848 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  18852 */     // MIs[0] src
     /*  18852 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  18857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  18859 */     // (and:{ *:[i64] } (add:{ *:[i64] } GR64:{ *:[i64] }:$src, 1:{ *:[i64] }), GR64:{ *:[i64] }:$src)  =>  (BLCFILL64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  18859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCFILL64rr),
     /*  18862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18864 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  18868 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  18871 */     GIR_RootConstrainSelectedInstOperands,
     /*  18872 */     // GIR_Coverage, 24987,
     /*  18872 */     GIR_EraseRootFromParent_Done,
     /*  18873 */   // Label 533: @18873
     /*  18873 */   GIM_Try, /*On fail goto*//*Label 534*/ GIMT_Encode4(18982), // Rule ID 26045 //
     /*  18878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  18881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  18893 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  18897 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  18901 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  18905 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  18910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  18916 */     // (and:{ *:[i64] } (rotl:{ *:[i64] } -2:{ *:[i64] }, GR8:{ *:[i8] }:$src2), GR64:{ *:[i64] }:$src1)  =>  (BTR64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /*  18916 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  18919 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  18923 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  18928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  18930 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  18933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  18937 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  18942 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  18945 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  18949 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  18952 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /*  18957 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /*  18962 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  18967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BTR64rr),
     /*  18970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18972 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  18974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  18977 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  18980 */     GIR_RootConstrainSelectedInstOperands,
     /*  18981 */     // GIR_Coverage, 26045,
     /*  18981 */     GIR_EraseRootFromParent_Done,
     /*  18982 */   // Label 534: @18982
     /*  18982 */   GIM_Try, /*On fail goto*//*Label 535*/ GIMT_Encode4(19036), // Rule ID 17350 //
     /*  18987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  18990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  18993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  19009 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  19013 */     // MIs[1] src
     /*  19013 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/1, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  19018 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  19022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19024 */     // (and:{ *:[i64] } GR64:{ *:[i64] }:$src, (add:{ *:[i64] } GR64:{ *:[i64] }:$src, 1:{ *:[i64] }))  =>  (BLCFILL64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  19024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCFILL64rr),
     /*  19027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19029 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  19031 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  19034 */     GIR_RootConstrainSelectedInstOperands,
     /*  19035 */     // GIR_Coverage, 17350,
     /*  19035 */     GIR_EraseRootFromParent_Done,
     /*  19036 */   // Label 535: @19036
     /*  19036 */   GIM_Try, /*On fail goto*//*Label 536*/ GIMT_Encode4(19145), // Rule ID 22783 //
     /*  19041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  19044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19048 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  19060 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  19064 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  19068 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  19072 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  19077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19079 */     // (and:{ *:[i64] } GR64:{ *:[i64] }:$src1, (rotl:{ *:[i64] } -2:{ *:[i64] }, GR8:{ *:[i8] }:$src2))  =>  (BTR64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /*  19079 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  19082 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  19086 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  19091 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  19093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  19096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  19100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  19105 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  19108 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  19112 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  19115 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /*  19120 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /*  19125 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  19130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BTR64rr),
     /*  19133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19135 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  19137 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  19140 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  19143 */     GIR_RootConstrainSelectedInstOperands,
     /*  19144 */     // GIR_Coverage, 22783,
     /*  19144 */     GIR_EraseRootFromParent_Done,
     /*  19145 */   // Label 536: @19145
     /*  19145 */   GIM_Try, /*On fail goto*//*Label 537*/ GIMT_Encode4(19193), // Rule ID 22858 //
     /*  19150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  19153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  19156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  19172 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /*  19176 */     // MIs[1] Operand 1
     /*  19176 */     // No operand predicates
     /*  19176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19178 */     // (and:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)  =>  (AND64ri32:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)
     /*  19178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND64ri32),
     /*  19181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19183 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  19185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  19188 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  19191 */     GIR_RootConstrainSelectedInstOperands,
     /*  19192 */     // GIR_Coverage, 22858,
     /*  19192 */     GIR_EraseRootFromParent_Done,
     /*  19193 */   // Label 537: @19193
     /*  19193 */   GIM_Try, /*On fail goto*//*Label 538*/ GIMT_Encode4(19241), // Rule ID 22948 //
     /*  19198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  19201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  19204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  19220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /*  19224 */     // MIs[1] Operand 1
     /*  19224 */     // No operand predicates
     /*  19224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19226 */     // (and:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)  =>  (AND64ri32_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)
     /*  19226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND64ri32_ND),
     /*  19229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19231 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  19233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  19236 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  19239 */     GIR_RootConstrainSelectedInstOperands,
     /*  19240 */     // GIR_Coverage, 22948,
     /*  19240 */     GIR_EraseRootFromParent_Done,
     /*  19241 */   // Label 538: @19241
     /*  19241 */   GIM_Try, /*On fail goto*//*Label 539*/ GIMT_Encode4(19303), // Rule ID 17544 //
     /*  19246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI_NoEGPR),
     /*  19249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  19252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  19264 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  19268 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  19272 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19277 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  19281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19287 */     // (and:{ *:[i64] } (xor:{ *:[i64] } GR64:{ *:[i64] }:$src1, -1:{ *:[i64] }), GR64:{ *:[i64] }:$src2)  =>  (ANDN64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  19287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ANDN64rr),
     /*  19290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  19296 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  19298 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  19301 */     GIR_RootConstrainSelectedInstOperands,
     /*  19302 */     // GIR_Coverage, 17544,
     /*  19302 */     GIR_EraseRootFromParent_Done,
     /*  19303 */   // Label 539: @19303
     /*  19303 */   GIM_Try, /*On fail goto*//*Label 540*/ GIMT_Encode4(19365), // Rule ID 17548 //
     /*  19308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI_HasEGPR),
     /*  19311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  19314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  19326 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  19330 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  19334 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19339 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  19343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19349 */     // (and:{ *:[i64] } (xor:{ *:[i64] } GR64:{ *:[i64] }:$src1, -1:{ *:[i64] }), GR64:{ *:[i64] }:$src2)  =>  (ANDN64rr_EVEX:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  19349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ANDN64rr_EVEX),
     /*  19352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  19358 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  19360 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  19363 */     GIR_RootConstrainSelectedInstOperands,
     /*  19364 */     // GIR_Coverage, 17548,
     /*  19364 */     GIR_EraseRootFromParent_Done,
     /*  19365 */   // Label 540: @19365
     /*  19365 */   GIM_Try, /*On fail goto*//*Label 541*/ GIMT_Encode4(19427), // Rule ID 25099 //
     /*  19370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI_NoEGPR),
     /*  19373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  19376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19380 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  19392 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  19396 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  19400 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19405 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  19409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19411 */     // (and:{ *:[i64] } GR64:{ *:[i64] }:$src2, (xor:{ *:[i64] } GR64:{ *:[i64] }:$src1, -1:{ *:[i64] }))  =>  (ANDN64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  19411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ANDN64rr),
     /*  19414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  19420 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  19422 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  19425 */     GIR_RootConstrainSelectedInstOperands,
     /*  19426 */     // GIR_Coverage, 25099,
     /*  19426 */     GIR_EraseRootFromParent_Done,
     /*  19427 */   // Label 541: @19427
     /*  19427 */   GIM_Try, /*On fail goto*//*Label 542*/ GIMT_Encode4(19489), // Rule ID 25103 //
     /*  19432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI_HasEGPR),
     /*  19435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  19438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  19454 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  19458 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  19462 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19467 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  19471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19473 */     // (and:{ *:[i64] } GR64:{ *:[i64] }:$src2, (xor:{ *:[i64] } GR64:{ *:[i64] }:$src1, -1:{ *:[i64] }))  =>  (ANDN64rr_EVEX:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  19473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ANDN64rr_EVEX),
     /*  19476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  19482 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  19484 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  19487 */     GIR_RootConstrainSelectedInstOperands,
     /*  19488 */     // GIR_Coverage, 25103,
     /*  19488 */     GIR_EraseRootFromParent_Done,
     /*  19489 */   // Label 542: @19489
     /*  19489 */   GIM_Try, /*On fail goto*//*Label 543*/ GIMT_Encode4(19525), // Rule ID 22850 //
     /*  19494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  19497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  19500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19512 */     // (and:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)  =>  (AND64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  19512 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::AND64rr),
     /*  19517 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  19523 */     GIR_RootConstrainSelectedInstOperands,
     /*  19524 */     // GIR_Coverage, 22850,
     /*  19524 */     GIR_Done,
     /*  19525 */   // Label 543: @19525
     /*  19525 */   GIM_Try, /*On fail goto*//*Label 544*/ GIMT_Encode4(19561), // Rule ID 22940 //
     /*  19530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  19533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  19536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19548 */     // (and:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)  =>  (AND64rr_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  19548 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::AND64rr_ND),
     /*  19553 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  19559 */     GIR_RootConstrainSelectedInstOperands,
     /*  19560 */     // GIR_Coverage, 22940,
     /*  19560 */     GIR_Done,
     /*  19561 */   // Label 544: @19561
     /*  19561 */   GIM_Reject,
     /*  19562 */ // Label 520: @19562
     /*  19562 */ GIM_Reject,
     /*  19563 */ // Label 449: @19563
     /*  19563 */ GIM_Try, /*On fail goto*//*Label 545*/ GIMT_Encode4(19908),
     /*  19568 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s1,
     /*  19571 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s1,
     /*  19574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  19578 */   GIM_Try, /*On fail goto*//*Label 546*/ GIMT_Encode4(19698), // Rule ID 19488 //
     /*  19583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  19591 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s1,
     /*  19595 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s1,
     /*  19599 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  19604 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  19608 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  19614 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  19616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  19620 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  19622 */     // (and:{ *:[v2i1] } (xor:{ *:[v2i1] } VK2:{ *:[v2i1] }:$src1, immAllOnesV:{ *:[v2i1] }), VK2:{ *:[v2i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v2i1] } (KANDNWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK2:{ *:[v2i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK2:{ *:[v2i1] }:$src2, VK16:{ *:[i32] })), VK2:{ *:[i32] })
     /*  19622 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  19625 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  19629 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  19634 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  19638 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  19643 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  19646 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  19650 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  19655 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  19659 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  19664 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  19667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KANDNWkk),
     /*  19671 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  19676 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  19679 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  19682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  19684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  19687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  19692 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK2RegClassID),
     /*  19697 */     // GIR_Coverage, 19488,
     /*  19697 */     GIR_EraseRootFromParent_Done,
     /*  19698 */   // Label 546: @19698
     /*  19698 */   GIM_Try, /*On fail goto*//*Label 547*/ GIMT_Encode4(19818), // Rule ID 25365 //
     /*  19703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  19707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  19715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s1,
     /*  19719 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s1,
     /*  19723 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  19728 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  19732 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  19738 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  19740 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  19742 */     // (and:{ *:[v2i1] } VK2:{ *:[v2i1] }:$src2, (xor:{ *:[v2i1] } VK2:{ *:[v2i1] }:$src1, immAllOnesV:{ *:[v2i1] }))  =>  (COPY_TO_REGCLASS:{ *:[v2i1] } (KANDNWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK2:{ *:[v2i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK2:{ *:[v2i1] }:$src2, VK16:{ *:[i32] })), VK2:{ *:[i32] })
     /*  19742 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  19745 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  19749 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  19754 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // src2
     /*  19758 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  19763 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  19766 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  19770 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  19775 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  19779 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  19784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  19787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KANDNWkk),
     /*  19791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  19796 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  19799 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  19802 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  19804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  19807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19809 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  19812 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK2RegClassID),
     /*  19817 */     // GIR_Coverage, 25365,
     /*  19817 */     GIR_EraseRootFromParent_Done,
     /*  19818 */   // Label 547: @19818
     /*  19818 */   GIM_Try, /*On fail goto*//*Label 548*/ GIMT_Encode4(19907), // Rule ID 19484 //
     /*  19823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  19827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  19831 */     // (and:{ *:[v2i1] } VK2:{ *:[v2i1] }:$src1, VK2:{ *:[v2i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v2i1] } (KANDWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK2:{ *:[v2i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK2:{ *:[v2i1] }:$src2, VK16:{ *:[i32] })), VK2:{ *:[i32] })
     /*  19831 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  19834 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  19838 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  19843 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  19847 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  19852 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  19855 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  19859 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  19864 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /*  19868 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  19873 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  19876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KANDWkk),
     /*  19880 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  19885 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  19888 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  19891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  19893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  19896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  19901 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK2RegClassID),
     /*  19906 */     // GIR_Coverage, 19484,
     /*  19906 */     GIR_EraseRootFromParent_Done,
     /*  19907 */   // Label 548: @19907
     /*  19907 */   GIM_Reject,
     /*  19908 */ // Label 545: @19908
     /*  19908 */ GIM_Reject,
     /*  19909 */ // Label 450: @19909
     /*  19909 */ GIM_Try, /*On fail goto*//*Label 549*/ GIMT_Encode4(20250),
     /*  19914 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  19917 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  19920 */   GIM_Try, /*On fail goto*//*Label 550*/ GIMT_Encode4(19982), // Rule ID 23357 //
     /*  19925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  19928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  19932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  19940 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  19943 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  19947 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  19951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  19955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19957 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  19964 */     // (and:{ *:[v2i64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2i64] }:$src1)  =>  (VPANDrm:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  19964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDrm),
     /*  19967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19969 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  19971 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  19975 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  19980 */     GIR_RootConstrainSelectedInstOperands,
     /*  19981 */     // GIR_Coverage, 23357,
     /*  19981 */     GIR_EraseRootFromParent_Done,
     /*  19982 */   // Label 550: @19982
     /*  19982 */   GIM_Try, /*On fail goto*//*Label 551*/ GIMT_Encode4(20044), // Rule ID 24146 //
     /*  19987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  19990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  19994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  20002 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  20005 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  20009 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  20013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  20017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20019 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  20026 */     // (and:{ *:[v2i64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v2i64] }:$src1)  =>  (VPANDQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  20026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDQZ128rm),
     /*  20029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20031 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  20033 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  20037 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  20042 */     GIR_RootConstrainSelectedInstOperands,
     /*  20043 */     // GIR_Coverage, 24146,
     /*  20043 */     GIR_EraseRootFromParent_Done,
     /*  20044 */   // Label 551: @20044
     /*  20044 */   GIM_Try, /*On fail goto*//*Label 552*/ GIMT_Encode4(20106), // Rule ID 2110 //
     /*  20049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  20052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  20056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  20060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  20064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  20068 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  20071 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  20075 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  20079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20081 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  20088 */     // (and:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDrm:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  20088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDrm),
     /*  20091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20093 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  20095 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  20099 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  20104 */     GIR_RootConstrainSelectedInstOperands,
     /*  20105 */     // GIR_Coverage, 2110,
     /*  20105 */     GIR_EraseRootFromParent_Done,
     /*  20106 */   // Label 552: @20106
     /*  20106 */   GIM_Try, /*On fail goto*//*Label 553*/ GIMT_Encode4(20168), // Rule ID 5706 //
     /*  20111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  20114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  20118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  20122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  20126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  20130 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  20133 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  20137 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  20141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20143 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  20150 */     // (and:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  20150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDQZ128rm),
     /*  20153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20155 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  20157 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  20161 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  20166 */     GIR_RootConstrainSelectedInstOperands,
     /*  20167 */     // GIR_Coverage, 5706,
     /*  20167 */     GIR_EraseRootFromParent_Done,
     /*  20168 */   // Label 553: @20168
     /*  20168 */   GIM_Try, /*On fail goto*//*Label 554*/ GIMT_Encode4(20195), // Rule ID 2109 //
     /*  20173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  20176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  20180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  20184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  20188 */     // (and:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (VPANDrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*  20188 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDrr),
     /*  20193 */     GIR_RootConstrainSelectedInstOperands,
     /*  20194 */     // GIR_Coverage, 2109,
     /*  20194 */     GIR_Done,
     /*  20195 */   // Label 554: @20195
     /*  20195 */   GIM_Try, /*On fail goto*//*Label 555*/ GIMT_Encode4(20222), // Rule ID 2111 //
     /*  20200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  20203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  20207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  20211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  20215 */     // (and:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (PANDrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*  20215 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PANDrr),
     /*  20220 */     GIR_RootConstrainSelectedInstOperands,
     /*  20221 */     // GIR_Coverage, 2111,
     /*  20221 */     GIR_Done,
     /*  20222 */   // Label 555: @20222
     /*  20222 */   GIM_Try, /*On fail goto*//*Label 556*/ GIMT_Encode4(20249), // Rule ID 5703 //
     /*  20227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  20230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  20234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  20238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  20242 */     // (and:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (VPANDQZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)
     /*  20242 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDQZ128rr),
     /*  20247 */     GIR_RootConstrainSelectedInstOperands,
     /*  20248 */     // GIR_Coverage, 5703,
     /*  20248 */     GIR_Done,
     /*  20249 */   // Label 556: @20249
     /*  20249 */   GIM_Reject,
     /*  20250 */ // Label 549: @20250
     /*  20250 */ GIM_Reject,
     /*  20251 */ // Label 451: @20251
     /*  20251 */ GIM_Try, /*On fail goto*//*Label 557*/ GIMT_Encode4(20596),
     /*  20256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s1,
     /*  20259 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s1,
     /*  20262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  20266 */   GIM_Try, /*On fail goto*//*Label 558*/ GIMT_Encode4(20386), // Rule ID 19489 //
     /*  20271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  20279 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s1,
     /*  20283 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s1,
     /*  20287 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  20292 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  20296 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  20302 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  20304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  20308 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  20310 */     // (and:{ *:[v4i1] } (xor:{ *:[v4i1] } VK4:{ *:[v4i1] }:$src1, immAllOnesV:{ *:[v4i1] }), VK4:{ *:[v4i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v4i1] } (KANDNWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK4:{ *:[v4i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK4:{ *:[v4i1] }:$src2, VK16:{ *:[i32] })), VK4:{ *:[i32] })
     /*  20310 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  20313 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  20317 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  20322 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  20326 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  20331 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  20334 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  20338 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  20343 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  20347 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  20352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  20355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KANDNWkk),
     /*  20359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  20364 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  20367 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  20370 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  20372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  20375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20377 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  20380 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK4RegClassID),
     /*  20385 */     // GIR_Coverage, 19489,
     /*  20385 */     GIR_EraseRootFromParent_Done,
     /*  20386 */   // Label 558: @20386
     /*  20386 */   GIM_Try, /*On fail goto*//*Label 559*/ GIMT_Encode4(20506), // Rule ID 25366 //
     /*  20391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  20395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  20399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  20403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s1,
     /*  20407 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s1,
     /*  20411 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  20416 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  20420 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  20426 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  20428 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  20430 */     // (and:{ *:[v4i1] } VK4:{ *:[v4i1] }:$src2, (xor:{ *:[v4i1] } VK4:{ *:[v4i1] }:$src1, immAllOnesV:{ *:[v4i1] }))  =>  (COPY_TO_REGCLASS:{ *:[v4i1] } (KANDNWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK4:{ *:[v4i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK4:{ *:[v4i1] }:$src2, VK16:{ *:[i32] })), VK4:{ *:[i32] })
     /*  20430 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  20433 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  20437 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  20442 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // src2
     /*  20446 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  20451 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  20454 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  20458 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  20463 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  20467 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  20472 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  20475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KANDNWkk),
     /*  20479 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  20484 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  20487 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  20490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  20492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  20495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  20500 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK4RegClassID),
     /*  20505 */     // GIR_Coverage, 25366,
     /*  20505 */     GIR_EraseRootFromParent_Done,
     /*  20506 */   // Label 559: @20506
     /*  20506 */   GIM_Try, /*On fail goto*//*Label 560*/ GIMT_Encode4(20595), // Rule ID 19485 //
     /*  20511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  20515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  20519 */     // (and:{ *:[v4i1] } VK4:{ *:[v4i1] }:$src1, VK4:{ *:[v4i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v4i1] } (KANDWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK4:{ *:[v4i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK4:{ *:[v4i1] }:$src2, VK16:{ *:[i32] })), VK4:{ *:[i32] })
     /*  20519 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  20522 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  20526 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  20531 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  20535 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  20540 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  20543 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  20547 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  20552 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /*  20556 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  20561 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  20564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KANDWkk),
     /*  20568 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  20573 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  20576 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  20579 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  20581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  20584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20586 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  20589 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK4RegClassID),
     /*  20594 */     // GIR_Coverage, 19485,
     /*  20594 */     GIR_EraseRootFromParent_Done,
     /*  20595 */   // Label 560: @20595
     /*  20595 */   GIM_Reject,
     /*  20596 */ // Label 557: @20596
     /*  20596 */ GIM_Reject,
     /*  20597 */ // Label 452: @20597
     /*  20597 */ GIM_Try, /*On fail goto*//*Label 561*/ GIMT_Encode4(20938),
     /*  20602 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  20605 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  20608 */   GIM_Try, /*On fail goto*//*Label 562*/ GIMT_Encode4(20670), // Rule ID 24164 //
     /*  20613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  20616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  20620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  20628 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  20631 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  20635 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  20639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  20643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20645 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  20652 */     // (and:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v4i32] }:$src1)  =>  (VPANDDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  20652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDDZ128rm),
     /*  20655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20657 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  20659 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  20663 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  20668 */     GIR_RootConstrainSelectedInstOperands,
     /*  20669 */     // GIR_Coverage, 24164,
     /*  20669 */     GIR_EraseRootFromParent_Done,
     /*  20670 */   // Label 562: @20670
     /*  20670 */   GIM_Try, /*On fail goto*//*Label 563*/ GIMT_Encode4(20732), // Rule ID 25250 //
     /*  20675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  20678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  20682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  20690 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  20693 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  20697 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  20701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  20705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20707 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  20714 */     // (and:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src1)  =>  (VPANDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  20714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDrm),
     /*  20717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20719 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  20721 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  20725 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  20730 */     GIR_RootConstrainSelectedInstOperands,
     /*  20731 */     // GIR_Coverage, 25250,
     /*  20731 */     GIR_EraseRootFromParent_Done,
     /*  20732 */   // Label 563: @20732
     /*  20732 */   GIM_Try, /*On fail goto*//*Label 564*/ GIMT_Encode4(20794), // Rule ID 5733 //
     /*  20737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  20740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  20744 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  20748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  20752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  20756 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  20759 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  20763 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  20767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20769 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  20776 */     // (and:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  20776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDDZ128rm),
     /*  20779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20781 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  20783 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  20787 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  20792 */     GIR_RootConstrainSelectedInstOperands,
     /*  20793 */     // GIR_Coverage, 5733,
     /*  20793 */     GIR_EraseRootFromParent_Done,
     /*  20794 */   // Label 564: @20794
     /*  20794 */   GIM_Try, /*On fail goto*//*Label 565*/ GIMT_Encode4(20856), // Rule ID 18159 //
     /*  20799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  20802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  20806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  20810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  20814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  20818 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  20821 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  20825 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  20829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20831 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  20838 */     // (and:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  20838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDrm),
     /*  20841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20843 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  20845 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  20849 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  20854 */     GIR_RootConstrainSelectedInstOperands,
     /*  20855 */     // GIR_Coverage, 18159,
     /*  20855 */     GIR_EraseRootFromParent_Done,
     /*  20856 */   // Label 565: @20856
     /*  20856 */   GIM_Try, /*On fail goto*//*Label 566*/ GIMT_Encode4(20883), // Rule ID 5730 //
     /*  20861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  20864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  20868 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  20872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  20876 */     // (and:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)  =>  (VPANDDZ128rr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)
     /*  20876 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDDZ128rr),
     /*  20881 */     GIR_RootConstrainSelectedInstOperands,
     /*  20882 */     // GIR_Coverage, 5730,
     /*  20882 */     GIR_Done,
     /*  20883 */   // Label 566: @20883
     /*  20883 */   GIM_Try, /*On fail goto*//*Label 567*/ GIMT_Encode4(20910), // Rule ID 18147 //
     /*  20888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  20891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  20895 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  20899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  20903 */     // (and:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (VPANDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*  20903 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDrr),
     /*  20908 */     GIR_RootConstrainSelectedInstOperands,
     /*  20909 */     // GIR_Coverage, 18147,
     /*  20909 */     GIR_Done,
     /*  20910 */   // Label 567: @20910
     /*  20910 */   GIM_Try, /*On fail goto*//*Label 568*/ GIMT_Encode4(20937), // Rule ID 18171 //
     /*  20915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  20918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  20922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  20926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  20930 */     // (and:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (PANDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*  20930 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PANDrr),
     /*  20935 */     GIR_RootConstrainSelectedInstOperands,
     /*  20936 */     // GIR_Coverage, 18171,
     /*  20936 */     GIR_Done,
     /*  20937 */   // Label 568: @20937
     /*  20937 */   GIM_Reject,
     /*  20938 */ // Label 561: @20938
     /*  20938 */ GIM_Reject,
     /*  20939 */ // Label 453: @20939
     /*  20939 */ GIM_Try, /*On fail goto*//*Label 569*/ GIMT_Encode4(21404),
     /*  20944 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  20947 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  20950 */   GIM_Try, /*On fail goto*//*Label 570*/ GIMT_Encode4(21012), // Rule ID 23359 //
     /*  20955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  20958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  20962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  20970 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  20973 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  20977 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  20981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  20985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20987 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  20994 */     // (and:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4i64] }:$src1)  =>  (VPANDYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  20994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDYrm),
     /*  20997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20999 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  21001 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  21005 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  21010 */     GIR_RootConstrainSelectedInstOperands,
     /*  21011 */     // GIR_Coverage, 23359,
     /*  21011 */     GIR_EraseRootFromParent_Done,
     /*  21012 */   // Label 570: @21012
     /*  21012 */   GIM_Try, /*On fail goto*//*Label 571*/ GIMT_Encode4(21074), // Rule ID 24140 //
     /*  21017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  21020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  21024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  21032 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  21035 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  21039 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  21043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  21047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  21049 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  21056 */     // (and:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v4i64] }:$src1)  =>  (VPANDQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  21056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDQZ256rm),
     /*  21059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21061 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  21063 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  21067 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  21072 */     GIR_RootConstrainSelectedInstOperands,
     /*  21073 */     // GIR_Coverage, 24140,
     /*  21073 */     GIR_EraseRootFromParent_Done,
     /*  21074 */   // Label 571: @21074
     /*  21074 */   GIM_Try, /*On fail goto*//*Label 572*/ GIMT_Encode4(21136), // Rule ID 25239 //
     /*  21079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  21082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  21086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  21094 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  21097 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  21101 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  21105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  21109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  21111 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  21118 */     // (and:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4i64] }:$src1)  =>  (VANDPSYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  21118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VANDPSYrm),
     /*  21121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21123 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  21125 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  21129 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  21134 */     GIR_RootConstrainSelectedInstOperands,
     /*  21135 */     // GIR_Coverage, 25239,
     /*  21135 */     GIR_EraseRootFromParent_Done,
     /*  21136 */   // Label 572: @21136
     /*  21136 */   GIM_Try, /*On fail goto*//*Label 573*/ GIMT_Encode4(21198), // Rule ID 2114 //
     /*  21141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  21144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  21148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  21152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  21156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  21160 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  21163 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  21167 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  21171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  21173 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  21180 */     // (and:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  21180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDYrm),
     /*  21183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21185 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  21187 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  21191 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  21196 */     GIR_RootConstrainSelectedInstOperands,
     /*  21197 */     // GIR_Coverage, 2114,
     /*  21197 */     GIR_EraseRootFromParent_Done,
     /*  21198 */   // Label 573: @21198
     /*  21198 */   GIM_Try, /*On fail goto*//*Label 574*/ GIMT_Encode4(21260), // Rule ID 5697 //
     /*  21203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  21206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  21210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  21214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  21218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  21222 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  21225 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  21229 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  21233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  21235 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  21242 */     // (and:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  21242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDQZ256rm),
     /*  21245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21247 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  21249 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  21253 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  21258 */     GIR_RootConstrainSelectedInstOperands,
     /*  21259 */     // GIR_Coverage, 5697,
     /*  21259 */     GIR_EraseRootFromParent_Done,
     /*  21260 */   // Label 574: @21260
     /*  21260 */   GIM_Try, /*On fail goto*//*Label 575*/ GIMT_Encode4(21322), // Rule ID 18132 //
     /*  21265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  21268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  21272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  21276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  21280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  21284 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  21287 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  21291 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  21295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  21297 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  21304 */     // (and:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VANDPSYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  21304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VANDPSYrm),
     /*  21307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21309 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  21311 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  21315 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  21320 */     GIR_RootConstrainSelectedInstOperands,
     /*  21321 */     // GIR_Coverage, 18132,
     /*  21321 */     GIR_EraseRootFromParent_Done,
     /*  21322 */   // Label 575: @21322
     /*  21322 */   GIM_Try, /*On fail goto*//*Label 576*/ GIMT_Encode4(21349), // Rule ID 2113 //
     /*  21327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  21330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  21334 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  21338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  21342 */     // (and:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)  =>  (VPANDYrr:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)
     /*  21342 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDYrr),
     /*  21347 */     GIR_RootConstrainSelectedInstOperands,
     /*  21348 */     // GIR_Coverage, 2113,
     /*  21348 */     GIR_Done,
     /*  21349 */   // Label 576: @21349
     /*  21349 */   GIM_Try, /*On fail goto*//*Label 577*/ GIMT_Encode4(21376), // Rule ID 5694 //
     /*  21354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  21357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  21361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  21365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  21369 */     // (and:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (VPANDQZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)
     /*  21369 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDQZ256rr),
     /*  21374 */     GIR_RootConstrainSelectedInstOperands,
     /*  21375 */     // GIR_Coverage, 5694,
     /*  21375 */     GIR_Done,
     /*  21376 */   // Label 577: @21376
     /*  21376 */   GIM_Try, /*On fail goto*//*Label 578*/ GIMT_Encode4(21403), // Rule ID 18116 //
     /*  21381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  21384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  21388 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  21392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  21396 */     // (and:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)  =>  (VANDPSYrr:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)
     /*  21396 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VANDPSYrr),
     /*  21401 */     GIR_RootConstrainSelectedInstOperands,
     /*  21402 */     // GIR_Coverage, 18116,
     /*  21402 */     GIR_Done,
     /*  21403 */   // Label 578: @21403
     /*  21403 */   GIM_Reject,
     /*  21404 */ // Label 569: @21404
     /*  21404 */ GIM_Reject,
     /*  21405 */ // Label 454: @21405
     /*  21405 */ GIM_Try, /*On fail goto*//*Label 579*/ GIMT_Encode4(21902),
     /*  21410 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s1,
     /*  21413 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s1,
     /*  21416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  21420 */   GIM_Try, /*On fail goto*//*Label 580*/ GIMT_Encode4(21480), // Rule ID 4430 //
     /*  21425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  21428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  21436 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s1,
     /*  21440 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s1,
     /*  21444 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  21449 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  21453 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  21459 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  21461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  21465 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  21467 */     // (and:{ *:[v8i1] } (xor:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, immAllOnesV:{ *:[v8i1] }), VK8:{ *:[v8i1] }:$src2)  =>  (KANDNBkk:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, VK8:{ *:[v8i1] }:$src2)
     /*  21467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KANDNBkk),
     /*  21470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  21476 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  21478 */     GIR_RootConstrainSelectedInstOperands,
     /*  21479 */     // GIR_Coverage, 4430,
     /*  21479 */     GIR_EraseRootFromParent_Done,
     /*  21480 */   // Label 580: @21480
     /*  21480 */   GIM_Try, /*On fail goto*//*Label 581*/ GIMT_Encode4(21603), // Rule ID 19486 //
     /*  21485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoDQI),
     /*  21488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  21496 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s1,
     /*  21500 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s1,
     /*  21504 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  21509 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  21513 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  21519 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  21521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  21525 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  21527 */     // (and:{ *:[v8i1] } (xor:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, immAllOnesV:{ *:[v8i1] }), VK8:{ *:[v8i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v8i1] } (KANDNWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src2, VK16:{ *:[i32] })), VK8:{ *:[i32] })
     /*  21527 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  21530 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21534 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21539 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  21543 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  21548 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  21551 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21555 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21560 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  21564 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  21569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  21572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KANDNWkk),
     /*  21576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21581 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  21584 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  21587 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  21589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21594 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  21597 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK8RegClassID),
     /*  21602 */     // GIR_Coverage, 19486,
     /*  21602 */     GIR_EraseRootFromParent_Done,
     /*  21603 */   // Label 581: @21603
     /*  21603 */   GIM_Try, /*On fail goto*//*Label 582*/ GIMT_Encode4(21663), // Rule ID 23689 //
     /*  21608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  21611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  21615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  21619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  21623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s1,
     /*  21627 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s1,
     /*  21631 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  21636 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  21640 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  21646 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  21648 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  21650 */     // (and:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src2, (xor:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, immAllOnesV:{ *:[v8i1] }))  =>  (KANDNBkk:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, VK8:{ *:[v8i1] }:$src2)
     /*  21650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KANDNBkk),
     /*  21653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  21659 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  21661 */     GIR_RootConstrainSelectedInstOperands,
     /*  21662 */     // GIR_Coverage, 23689,
     /*  21662 */     GIR_EraseRootFromParent_Done,
     /*  21663 */   // Label 582: @21663
     /*  21663 */   GIM_Try, /*On fail goto*//*Label 583*/ GIMT_Encode4(21786), // Rule ID 25363 //
     /*  21668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoDQI),
     /*  21671 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  21675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  21679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  21683 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s1,
     /*  21687 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s1,
     /*  21691 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  21696 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  21700 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  21706 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  21708 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  21710 */     // (and:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src2, (xor:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, immAllOnesV:{ *:[v8i1] }))  =>  (COPY_TO_REGCLASS:{ *:[v8i1] } (KANDNWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src2, VK16:{ *:[i32] })), VK8:{ *:[i32] })
     /*  21710 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  21713 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21717 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21722 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // src2
     /*  21726 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  21731 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  21734 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21738 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21743 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  21747 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  21752 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  21755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KANDNWkk),
     /*  21759 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21764 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  21767 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  21770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  21772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  21780 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK8RegClassID),
     /*  21785 */     // GIR_Coverage, 25363,
     /*  21785 */     GIR_EraseRootFromParent_Done,
     /*  21786 */   // Label 583: @21786
     /*  21786 */   GIM_Try, /*On fail goto*//*Label 584*/ GIMT_Encode4(21809), // Rule ID 4414 //
     /*  21791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  21794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  21798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  21802 */     // (and:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, VK8:{ *:[v8i1] }:$src2)  =>  (KANDBkk:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, VK8:{ *:[v8i1] }:$src2)
     /*  21802 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::KANDBkk),
     /*  21807 */     GIR_RootConstrainSelectedInstOperands,
     /*  21808 */     // GIR_Coverage, 4414,
     /*  21808 */     GIR_Done,
     /*  21809 */   // Label 584: @21809
     /*  21809 */   GIM_Try, /*On fail goto*//*Label 585*/ GIMT_Encode4(21901), // Rule ID 19482 //
     /*  21814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoDQI),
     /*  21817 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  21821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  21825 */     // (and:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, VK8:{ *:[v8i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v8i1] } (KANDWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src2, VK16:{ *:[i32] })), VK8:{ *:[i32] })
     /*  21825 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  21828 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21832 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21837 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  21841 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  21846 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  21849 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21853 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21858 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /*  21862 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  21867 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  21870 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KANDWkk),
     /*  21874 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21879 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  21882 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  21885 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  21887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21892 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  21895 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK8RegClassID),
     /*  21900 */     // GIR_Coverage, 19482,
     /*  21900 */     GIR_EraseRootFromParent_Done,
     /*  21901 */   // Label 585: @21901
     /*  21901 */   GIM_Reject,
     /*  21902 */ // Label 579: @21902
     /*  21902 */ GIM_Reject,
     /*  21903 */ // Label 455: @21903
     /*  21903 */ GIM_Try, /*On fail goto*//*Label 586*/ GIMT_Encode4(22244),
     /*  21908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21911 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  21914 */   GIM_Try, /*On fail goto*//*Label 587*/ GIMT_Encode4(21976), // Rule ID 25249 //
     /*  21919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  21922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  21926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  21934 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  21937 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  21941 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  21945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  21949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  21951 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  21958 */     // (and:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1)  =>  (VPANDrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  21958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDrm),
     /*  21961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21963 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  21965 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  21969 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  21974 */     GIR_RootConstrainSelectedInstOperands,
     /*  21975 */     // GIR_Coverage, 25249,
     /*  21975 */     GIR_EraseRootFromParent_Done,
     /*  21976 */   // Label 587: @21976
     /*  21976 */   GIM_Try, /*On fail goto*//*Label 588*/ GIMT_Encode4(22038), // Rule ID 25430 //
     /*  21981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  21984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  21988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  21996 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  21999 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  22003 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  22007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  22011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  22013 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  22020 */     // (and:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8i16] }:$src1)  =>  (VPANDQZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  22020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDQZ128rm),
     /*  22023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22025 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  22027 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  22031 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  22036 */     GIR_RootConstrainSelectedInstOperands,
     /*  22037 */     // GIR_Coverage, 25430,
     /*  22037 */     GIR_EraseRootFromParent_Done,
     /*  22038 */   // Label 588: @22038
     /*  22038 */   GIM_Try, /*On fail goto*//*Label 589*/ GIMT_Encode4(22100), // Rule ID 18158 //
     /*  22043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  22046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  22050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  22054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  22058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  22062 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  22065 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  22069 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  22073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  22075 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  22082 */     // (and:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  22082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDrm),
     /*  22085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22087 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  22089 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  22093 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  22098 */     GIR_RootConstrainSelectedInstOperands,
     /*  22099 */     // GIR_Coverage, 18158,
     /*  22099 */     GIR_EraseRootFromParent_Done,
     /*  22100 */   // Label 589: @22100
     /*  22100 */   GIM_Try, /*On fail goto*//*Label 590*/ GIMT_Encode4(22162), // Rule ID 20024 //
     /*  22105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  22108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  22112 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  22116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  22120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  22124 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  22127 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  22131 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  22135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  22137 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  22144 */     // (and:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDQZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  22144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDQZ128rm),
     /*  22147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22149 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  22151 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  22155 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  22160 */     GIR_RootConstrainSelectedInstOperands,
     /*  22161 */     // GIR_Coverage, 20024,
     /*  22161 */     GIR_EraseRootFromParent_Done,
     /*  22162 */   // Label 590: @22162
     /*  22162 */   GIM_Try, /*On fail goto*//*Label 591*/ GIMT_Encode4(22189), // Rule ID 18146 //
     /*  22167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  22170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  22174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  22178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  22182 */     // (and:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPANDrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /*  22182 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDrr),
     /*  22187 */     GIR_RootConstrainSelectedInstOperands,
     /*  22188 */     // GIR_Coverage, 18146,
     /*  22188 */     GIR_Done,
     /*  22189 */   // Label 591: @22189
     /*  22189 */   GIM_Try, /*On fail goto*//*Label 592*/ GIMT_Encode4(22216), // Rule ID 18170 //
     /*  22194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  22197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  22201 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  22205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  22209 */     // (and:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PANDrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /*  22209 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PANDrr),
     /*  22214 */     GIR_RootConstrainSelectedInstOperands,
     /*  22215 */     // GIR_Coverage, 18170,
     /*  22215 */     GIR_Done,
     /*  22216 */   // Label 592: @22216
     /*  22216 */   GIM_Try, /*On fail goto*//*Label 593*/ GIMT_Encode4(22243), // Rule ID 20016 //
     /*  22221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  22224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  22228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  22232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  22236 */     // (and:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)  =>  (VPANDQZ128rr:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)
     /*  22236 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDQZ128rr),
     /*  22241 */     GIR_RootConstrainSelectedInstOperands,
     /*  22242 */     // GIR_Coverage, 20016,
     /*  22242 */     GIR_Done,
     /*  22243 */   // Label 593: @22243
     /*  22243 */   GIM_Reject,
     /*  22244 */ // Label 586: @22244
     /*  22244 */ GIM_Reject,
     /*  22245 */ // Label 456: @22245
     /*  22245 */ GIM_Try, /*On fail goto*//*Label 594*/ GIMT_Encode4(22710),
     /*  22250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  22253 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  22256 */   GIM_Try, /*On fail goto*//*Label 595*/ GIMT_Encode4(22318), // Rule ID 24158 //
     /*  22261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  22264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  22268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  22276 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  22279 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  22283 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  22287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  22291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  22293 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  22300 */     // (and:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v8i32] }:$src1)  =>  (VPANDDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  22300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDDZ256rm),
     /*  22303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22305 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  22307 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  22311 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  22316 */     GIR_RootConstrainSelectedInstOperands,
     /*  22317 */     // GIR_Coverage, 24158,
     /*  22317 */     GIR_EraseRootFromParent_Done,
     /*  22318 */   // Label 595: @22318
     /*  22318 */   GIM_Try, /*On fail goto*//*Label 596*/ GIMT_Encode4(22380), // Rule ID 25229 //
     /*  22323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  22326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  22330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  22338 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  22341 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  22345 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  22349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  22353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  22355 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  22362 */     // (and:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8i32] }:$src1)  =>  (VPANDYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  22362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDYrm),
     /*  22365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22367 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  22369 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  22373 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  22378 */     GIR_RootConstrainSelectedInstOperands,
     /*  22379 */     // GIR_Coverage, 25229,
     /*  22379 */     GIR_EraseRootFromParent_Done,
     /*  22380 */   // Label 596: @22380
     /*  22380 */   GIM_Try, /*On fail goto*//*Label 597*/ GIMT_Encode4(22442), // Rule ID 25238 //
     /*  22385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  22388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  22392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  22400 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  22403 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  22407 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  22411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  22415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  22417 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  22424 */     // (and:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8i32] }:$src1)  =>  (VANDPSYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  22424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VANDPSYrm),
     /*  22427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22429 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  22431 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  22435 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  22440 */     GIR_RootConstrainSelectedInstOperands,
     /*  22441 */     // GIR_Coverage, 25238,
     /*  22441 */     GIR_EraseRootFromParent_Done,
     /*  22442 */   // Label 597: @22442
     /*  22442 */   GIM_Try, /*On fail goto*//*Label 598*/ GIMT_Encode4(22504), // Rule ID 5724 //
     /*  22447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  22450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  22454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  22458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  22462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  22466 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  22469 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  22473 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  22477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  22479 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  22486 */     // (and:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  22486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDDZ256rm),
     /*  22489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22491 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  22493 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  22497 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  22502 */     GIR_RootConstrainSelectedInstOperands,
     /*  22503 */     // GIR_Coverage, 5724,
     /*  22503 */     GIR_EraseRootFromParent_Done,
     /*  22504 */   // Label 598: @22504
     /*  22504 */   GIM_Try, /*On fail goto*//*Label 599*/ GIMT_Encode4(22566), // Rule ID 18103 //
     /*  22509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  22512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  22516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  22520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  22524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  22528 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  22531 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  22535 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  22539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  22541 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  22548 */     // (and:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  22548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDYrm),
     /*  22551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22553 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  22555 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  22559 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  22564 */     GIR_RootConstrainSelectedInstOperands,
     /*  22565 */     // GIR_Coverage, 18103,
     /*  22565 */     GIR_EraseRootFromParent_Done,
     /*  22566 */   // Label 599: @22566
     /*  22566 */   GIM_Try, /*On fail goto*//*Label 600*/ GIMT_Encode4(22628), // Rule ID 18131 //
     /*  22571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  22574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  22578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  22582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  22586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  22590 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  22593 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  22597 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  22601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  22603 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  22610 */     // (and:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VANDPSYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  22610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VANDPSYrm),
     /*  22613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22615 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  22617 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  22621 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  22626 */     GIR_RootConstrainSelectedInstOperands,
     /*  22627 */     // GIR_Coverage, 18131,
     /*  22627 */     GIR_EraseRootFromParent_Done,
     /*  22628 */   // Label 600: @22628
     /*  22628 */   GIM_Try, /*On fail goto*//*Label 601*/ GIMT_Encode4(22655), // Rule ID 5721 //
     /*  22633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  22636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  22640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  22644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  22648 */     // (and:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)  =>  (VPANDDZ256rr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)
     /*  22648 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDDZ256rr),
     /*  22653 */     GIR_RootConstrainSelectedInstOperands,
     /*  22654 */     // GIR_Coverage, 5721,
     /*  22654 */     GIR_Done,
     /*  22655 */   // Label 601: @22655
     /*  22655 */   GIM_Try, /*On fail goto*//*Label 602*/ GIMT_Encode4(22682), // Rule ID 18091 //
     /*  22660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  22663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  22667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  22671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  22675 */     // (and:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)  =>  (VPANDYrr:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)
     /*  22675 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDYrr),
     /*  22680 */     GIR_RootConstrainSelectedInstOperands,
     /*  22681 */     // GIR_Coverage, 18091,
     /*  22681 */     GIR_Done,
     /*  22682 */   // Label 602: @22682
     /*  22682 */   GIM_Try, /*On fail goto*//*Label 603*/ GIMT_Encode4(22709), // Rule ID 18115 //
     /*  22687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  22690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  22694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  22698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  22702 */     // (and:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)  =>  (VANDPSYrr:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)
     /*  22702 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VANDPSYrr),
     /*  22707 */     GIR_RootConstrainSelectedInstOperands,
     /*  22708 */     // GIR_Coverage, 18115,
     /*  22708 */     GIR_Done,
     /*  22709 */   // Label 603: @22709
     /*  22709 */   GIM_Reject,
     /*  22710 */ // Label 594: @22710
     /*  22710 */ GIM_Reject,
     /*  22711 */ // Label 457: @22711
     /*  22711 */ GIM_Try, /*On fail goto*//*Label 604*/ GIMT_Encode4(22866),
     /*  22716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  22719 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /*  22722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  22726 */   GIM_Try, /*On fail goto*//*Label 605*/ GIMT_Encode4(22784), // Rule ID 24134 //
     /*  22731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  22734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  22742 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  22745 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  22749 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  22753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  22757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  22759 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  22766 */     // (and:{ *:[v8i64] } (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v8i64] }:$src1)  =>  (VPANDQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  22766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDQZrm),
     /*  22769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22771 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  22773 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  22777 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  22782 */     GIR_RootConstrainSelectedInstOperands,
     /*  22783 */     // GIR_Coverage, 24134,
     /*  22783 */     GIR_EraseRootFromParent_Done,
     /*  22784 */   // Label 605: @22784
     /*  22784 */   GIM_Try, /*On fail goto*//*Label 606*/ GIMT_Encode4(22842), // Rule ID 5688 //
     /*  22789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  22792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  22796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  22800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  22804 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  22807 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  22811 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  22815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  22817 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  22824 */     // (and:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  22824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDQZrm),
     /*  22827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22829 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  22831 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  22835 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  22840 */     GIR_RootConstrainSelectedInstOperands,
     /*  22841 */     // GIR_Coverage, 5688,
     /*  22841 */     GIR_EraseRootFromParent_Done,
     /*  22842 */   // Label 606: @22842
     /*  22842 */   GIM_Try, /*On fail goto*//*Label 607*/ GIMT_Encode4(22865), // Rule ID 5685 //
     /*  22847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  22850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  22854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  22858 */     // (and:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)  =>  (VPANDQZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)
     /*  22858 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDQZrr),
     /*  22863 */     GIR_RootConstrainSelectedInstOperands,
     /*  22864 */     // GIR_Coverage, 5685,
     /*  22864 */     GIR_Done,
     /*  22865 */   // Label 607: @22865
     /*  22865 */   GIM_Reject,
     /*  22866 */ // Label 604: @22866
     /*  22866 */ GIM_Reject,
     /*  22867 */ // Label 458: @22867
     /*  22867 */ GIM_Try, /*On fail goto*//*Label 608*/ GIMT_Encode4(23026),
     /*  22872 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s1,
     /*  22875 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s1,
     /*  22878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  22882 */   GIM_Try, /*On fail goto*//*Label 609*/ GIMT_Encode4(22942), // Rule ID 4431 //
     /*  22887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  22890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  22898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s1,
     /*  22902 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s1,
     /*  22906 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  22911 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  22915 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  22921 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  22923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  22927 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  22929 */     // (and:{ *:[v16i1] } (xor:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src1, immAllOnesV:{ *:[v16i1] }), VK16:{ *:[v16i1] }:$src2)  =>  (KANDNWkk:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src1, VK16:{ *:[v16i1] }:$src2)
     /*  22929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KANDNWkk),
     /*  22932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  22938 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  22940 */     GIR_RootConstrainSelectedInstOperands,
     /*  22941 */     // GIR_Coverage, 4431,
     /*  22941 */     GIR_EraseRootFromParent_Done,
     /*  22942 */   // Label 609: @22942
     /*  22942 */   GIM_Try, /*On fail goto*//*Label 610*/ GIMT_Encode4(23002), // Rule ID 23690 //
     /*  22947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  22950 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  22954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  22958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  22962 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s1,
     /*  22966 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s1,
     /*  22970 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  22975 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  22979 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  22985 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  22987 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  22989 */     // (and:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src2, (xor:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src1, immAllOnesV:{ *:[v16i1] }))  =>  (KANDNWkk:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src1, VK16:{ *:[v16i1] }:$src2)
     /*  22989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KANDNWkk),
     /*  22992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22994 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  22998 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  23000 */     GIR_RootConstrainSelectedInstOperands,
     /*  23001 */     // GIR_Coverage, 23690,
     /*  23001 */     GIR_EraseRootFromParent_Done,
     /*  23002 */   // Label 610: @23002
     /*  23002 */   GIM_Try, /*On fail goto*//*Label 611*/ GIMT_Encode4(23025), // Rule ID 4415 //
     /*  23007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  23010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  23014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  23018 */     // (and:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src1, VK16:{ *:[v16i1] }:$src2)  =>  (KANDWkk:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src1, VK16:{ *:[v16i1] }:$src2)
     /*  23018 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::KANDWkk),
     /*  23023 */     GIR_RootConstrainSelectedInstOperands,
     /*  23024 */     // GIR_Coverage, 4415,
     /*  23024 */     GIR_Done,
     /*  23025 */   // Label 611: @23025
     /*  23025 */   GIM_Reject,
     /*  23026 */ // Label 608: @23026
     /*  23026 */ GIM_Reject,
     /*  23027 */ // Label 459: @23027
     /*  23027 */ GIM_Try, /*On fail goto*//*Label 612*/ GIMT_Encode4(23368),
     /*  23032 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  23035 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  23038 */   GIM_Try, /*On fail goto*//*Label 613*/ GIMT_Encode4(23100), // Rule ID 25248 //
     /*  23043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  23046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  23050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  23058 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  23061 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  23065 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  23069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  23073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23075 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  23082 */     // (and:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v16i8] }:$src1)  =>  (VPANDrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  23082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDrm),
     /*  23085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23087 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  23089 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  23093 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  23098 */     GIR_RootConstrainSelectedInstOperands,
     /*  23099 */     // GIR_Coverage, 25248,
     /*  23099 */     GIR_EraseRootFromParent_Done,
     /*  23100 */   // Label 613: @23100
     /*  23100 */   GIM_Try, /*On fail goto*//*Label 614*/ GIMT_Encode4(23162), // Rule ID 25429 //
     /*  23105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  23108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  23112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  23120 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  23123 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  23127 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  23131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  23135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23137 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  23144 */     // (and:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v16i8] }:$src1)  =>  (VPANDQZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  23144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDQZ128rm),
     /*  23147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23149 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  23151 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  23155 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  23160 */     GIR_RootConstrainSelectedInstOperands,
     /*  23161 */     // GIR_Coverage, 25429,
     /*  23161 */     GIR_EraseRootFromParent_Done,
     /*  23162 */   // Label 614: @23162
     /*  23162 */   GIM_Try, /*On fail goto*//*Label 615*/ GIMT_Encode4(23224), // Rule ID 18157 //
     /*  23167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  23170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  23174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  23178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  23182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  23186 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  23189 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  23193 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  23197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23199 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  23206 */     // (and:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  23206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDrm),
     /*  23209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23211 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  23213 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  23217 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  23222 */     GIR_RootConstrainSelectedInstOperands,
     /*  23223 */     // GIR_Coverage, 18157,
     /*  23223 */     GIR_EraseRootFromParent_Done,
     /*  23224 */   // Label 615: @23224
     /*  23224 */   GIM_Try, /*On fail goto*//*Label 616*/ GIMT_Encode4(23286), // Rule ID 20023 //
     /*  23229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  23232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  23236 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  23240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  23244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  23248 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  23251 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  23255 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  23259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23261 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  23268 */     // (and:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDQZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  23268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDQZ128rm),
     /*  23271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23273 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  23275 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  23279 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  23284 */     GIR_RootConstrainSelectedInstOperands,
     /*  23285 */     // GIR_Coverage, 20023,
     /*  23285 */     GIR_EraseRootFromParent_Done,
     /*  23286 */   // Label 616: @23286
     /*  23286 */   GIM_Try, /*On fail goto*//*Label 617*/ GIMT_Encode4(23313), // Rule ID 18145 //
     /*  23291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  23294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  23298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  23302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  23306 */     // (and:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (VPANDrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /*  23306 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDrr),
     /*  23311 */     GIR_RootConstrainSelectedInstOperands,
     /*  23312 */     // GIR_Coverage, 18145,
     /*  23312 */     GIR_Done,
     /*  23313 */   // Label 617: @23313
     /*  23313 */   GIM_Try, /*On fail goto*//*Label 618*/ GIMT_Encode4(23340), // Rule ID 18169 //
     /*  23318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  23321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  23325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  23329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  23333 */     // (and:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (PANDrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /*  23333 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PANDrr),
     /*  23338 */     GIR_RootConstrainSelectedInstOperands,
     /*  23339 */     // GIR_Coverage, 18169,
     /*  23339 */     GIR_Done,
     /*  23340 */   // Label 618: @23340
     /*  23340 */   GIM_Try, /*On fail goto*//*Label 619*/ GIMT_Encode4(23367), // Rule ID 20015 //
     /*  23345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  23348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  23352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  23356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  23360 */     // (and:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)  =>  (VPANDQZ128rr:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)
     /*  23360 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDQZ128rr),
     /*  23365 */     GIR_RootConstrainSelectedInstOperands,
     /*  23366 */     // GIR_Coverage, 20015,
     /*  23366 */     GIR_Done,
     /*  23367 */   // Label 619: @23367
     /*  23367 */   GIM_Reject,
     /*  23368 */ // Label 612: @23368
     /*  23368 */ GIM_Reject,
     /*  23369 */ // Label 460: @23369
     /*  23369 */ GIM_Try, /*On fail goto*//*Label 620*/ GIMT_Encode4(23834),
     /*  23374 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*  23377 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /*  23380 */   GIM_Try, /*On fail goto*//*Label 621*/ GIMT_Encode4(23442), // Rule ID 25228 //
     /*  23385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  23388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  23392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  23400 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  23403 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  23407 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  23411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  23415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23417 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  23424 */     // (and:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v16i16] }:$src1)  =>  (VPANDYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  23424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDYrm),
     /*  23427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23429 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  23431 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  23435 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  23440 */     GIR_RootConstrainSelectedInstOperands,
     /*  23441 */     // GIR_Coverage, 25228,
     /*  23441 */     GIR_EraseRootFromParent_Done,
     /*  23442 */   // Label 621: @23442
     /*  23442 */   GIM_Try, /*On fail goto*//*Label 622*/ GIMT_Encode4(23504), // Rule ID 25237 //
     /*  23447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  23450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  23454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  23462 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  23465 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  23469 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  23473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  23477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23479 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  23486 */     // (and:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v16i16] }:$src1)  =>  (VANDPSYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  23486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VANDPSYrm),
     /*  23489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23491 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  23493 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  23497 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  23502 */     GIR_RootConstrainSelectedInstOperands,
     /*  23503 */     // GIR_Coverage, 25237,
     /*  23503 */     GIR_EraseRootFromParent_Done,
     /*  23504 */   // Label 622: @23504
     /*  23504 */   GIM_Try, /*On fail goto*//*Label 623*/ GIMT_Encode4(23566), // Rule ID 25436 //
     /*  23509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  23512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  23516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  23524 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  23527 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  23531 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  23535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  23539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23541 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  23548 */     // (and:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16i16] }:$src1)  =>  (VPANDQZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  23548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDQZ256rm),
     /*  23551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23553 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  23555 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  23559 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  23564 */     GIR_RootConstrainSelectedInstOperands,
     /*  23565 */     // GIR_Coverage, 25436,
     /*  23565 */     GIR_EraseRootFromParent_Done,
     /*  23566 */   // Label 623: @23566
     /*  23566 */   GIM_Try, /*On fail goto*//*Label 624*/ GIMT_Encode4(23628), // Rule ID 18102 //
     /*  23571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  23574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  23578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  23582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  23586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  23590 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  23593 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  23597 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  23601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23603 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  23610 */     // (and:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  23610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDYrm),
     /*  23613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23615 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  23617 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  23621 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  23626 */     GIR_RootConstrainSelectedInstOperands,
     /*  23627 */     // GIR_Coverage, 18102,
     /*  23627 */     GIR_EraseRootFromParent_Done,
     /*  23628 */   // Label 624: @23628
     /*  23628 */   GIM_Try, /*On fail goto*//*Label 625*/ GIMT_Encode4(23690), // Rule ID 18130 //
     /*  23633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  23636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  23640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  23644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  23648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  23652 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  23655 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  23659 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  23663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23665 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  23672 */     // (and:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VANDPSYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  23672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VANDPSYrm),
     /*  23675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23677 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  23679 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  23683 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  23688 */     GIR_RootConstrainSelectedInstOperands,
     /*  23689 */     // GIR_Coverage, 18130,
     /*  23689 */     GIR_EraseRootFromParent_Done,
     /*  23690 */   // Label 625: @23690
     /*  23690 */   GIM_Try, /*On fail goto*//*Label 626*/ GIMT_Encode4(23752), // Rule ID 20040 //
     /*  23695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  23698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  23702 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  23706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  23710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  23714 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  23717 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  23721 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  23725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23727 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  23734 */     // (and:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDQZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  23734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDQZ256rm),
     /*  23737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23739 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  23741 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  23745 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  23750 */     GIR_RootConstrainSelectedInstOperands,
     /*  23751 */     // GIR_Coverage, 20040,
     /*  23751 */     GIR_EraseRootFromParent_Done,
     /*  23752 */   // Label 626: @23752
     /*  23752 */   GIM_Try, /*On fail goto*//*Label 627*/ GIMT_Encode4(23779), // Rule ID 18090 //
     /*  23757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  23760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  23764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  23768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  23772 */     // (and:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPANDYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /*  23772 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDYrr),
     /*  23777 */     GIR_RootConstrainSelectedInstOperands,
     /*  23778 */     // GIR_Coverage, 18090,
     /*  23778 */     GIR_Done,
     /*  23779 */   // Label 627: @23779
     /*  23779 */   GIM_Try, /*On fail goto*//*Label 628*/ GIMT_Encode4(23806), // Rule ID 18114 //
     /*  23784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  23787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  23791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  23795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  23799 */     // (and:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VANDPSYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /*  23799 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VANDPSYrr),
     /*  23804 */     GIR_RootConstrainSelectedInstOperands,
     /*  23805 */     // GIR_Coverage, 18114,
     /*  23805 */     GIR_Done,
     /*  23806 */   // Label 628: @23806
     /*  23806 */   GIM_Try, /*On fail goto*//*Label 629*/ GIMT_Encode4(23833), // Rule ID 20032 //
     /*  23811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  23814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  23818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  23822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  23826 */     // (and:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)  =>  (VPANDQZ256rr:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)
     /*  23826 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDQZ256rr),
     /*  23831 */     GIR_RootConstrainSelectedInstOperands,
     /*  23832 */     // GIR_Coverage, 20032,
     /*  23832 */     GIR_Done,
     /*  23833 */   // Label 629: @23833
     /*  23833 */   GIM_Reject,
     /*  23834 */ // Label 620: @23834
     /*  23834 */ GIM_Reject,
     /*  23835 */ // Label 461: @23835
     /*  23835 */ GIM_Try, /*On fail goto*//*Label 630*/ GIMT_Encode4(23990),
     /*  23840 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /*  23843 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /*  23846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  23850 */   GIM_Try, /*On fail goto*//*Label 631*/ GIMT_Encode4(23908), // Rule ID 24152 //
     /*  23855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  23858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  23866 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  23869 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  23873 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  23877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  23881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23883 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  23890 */     // (and:{ *:[v16i32] } (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v16i32] }:$src1)  =>  (VPANDDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  23890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDDZrm),
     /*  23893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23895 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  23897 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  23901 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  23906 */     GIR_RootConstrainSelectedInstOperands,
     /*  23907 */     // GIR_Coverage, 24152,
     /*  23907 */     GIR_EraseRootFromParent_Done,
     /*  23908 */   // Label 631: @23908
     /*  23908 */   GIM_Try, /*On fail goto*//*Label 632*/ GIMT_Encode4(23966), // Rule ID 5715 //
     /*  23913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  23916 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  23920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  23924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  23928 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  23931 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  23935 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  23939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23941 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  23948 */     // (and:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  23948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDDZrm),
     /*  23951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23953 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  23955 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  23959 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  23964 */     GIR_RootConstrainSelectedInstOperands,
     /*  23965 */     // GIR_Coverage, 5715,
     /*  23965 */     GIR_EraseRootFromParent_Done,
     /*  23966 */   // Label 632: @23966
     /*  23966 */   GIM_Try, /*On fail goto*//*Label 633*/ GIMT_Encode4(23989), // Rule ID 5712 //
     /*  23971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  23974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  23978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  23982 */     // (and:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)  =>  (VPANDDZrr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)
     /*  23982 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDDZrr),
     /*  23987 */     GIR_RootConstrainSelectedInstOperands,
     /*  23988 */     // GIR_Coverage, 5712,
     /*  23988 */     GIR_Done,
     /*  23989 */   // Label 633: @23989
     /*  23989 */   GIM_Reject,
     /*  23990 */ // Label 630: @23990
     /*  23990 */ GIM_Reject,
     /*  23991 */ // Label 462: @23991
     /*  23991 */ GIM_Try, /*On fail goto*//*Label 634*/ GIMT_Encode4(24150),
     /*  23996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s1,
     /*  23999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s1,
     /*  24002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  24006 */   GIM_Try, /*On fail goto*//*Label 635*/ GIMT_Encode4(24066), // Rule ID 4432 //
     /*  24011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  24014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  24022 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v32s1,
     /*  24026 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v32s1,
     /*  24030 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  24035 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  24039 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  24045 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  24047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  24051 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  24053 */     // (and:{ *:[v32i1] } (xor:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src1, immAllOnesV:{ *:[v32i1] }), VK32:{ *:[v32i1] }:$src2)  =>  (KANDNDkk:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src1, VK32:{ *:[v32i1] }:$src2)
     /*  24053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KANDNDkk),
     /*  24056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  24062 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  24064 */     GIR_RootConstrainSelectedInstOperands,
     /*  24065 */     // GIR_Coverage, 4432,
     /*  24065 */     GIR_EraseRootFromParent_Done,
     /*  24066 */   // Label 635: @24066
     /*  24066 */   GIM_Try, /*On fail goto*//*Label 636*/ GIMT_Encode4(24126), // Rule ID 23691 //
     /*  24071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  24074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  24078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  24086 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v32s1,
     /*  24090 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v32s1,
     /*  24094 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  24099 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  24103 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  24109 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  24111 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  24113 */     // (and:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src2, (xor:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src1, immAllOnesV:{ *:[v32i1] }))  =>  (KANDNDkk:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src1, VK32:{ *:[v32i1] }:$src2)
     /*  24113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KANDNDkk),
     /*  24116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  24122 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  24124 */     GIR_RootConstrainSelectedInstOperands,
     /*  24125 */     // GIR_Coverage, 23691,
     /*  24125 */     GIR_EraseRootFromParent_Done,
     /*  24126 */   // Label 636: @24126
     /*  24126 */   GIM_Try, /*On fail goto*//*Label 637*/ GIMT_Encode4(24149), // Rule ID 4416 //
     /*  24131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  24134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  24138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  24142 */     // (and:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src1, VK32:{ *:[v32i1] }:$src2)  =>  (KANDDkk:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src1, VK32:{ *:[v32i1] }:$src2)
     /*  24142 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::KANDDkk),
     /*  24147 */     GIR_RootConstrainSelectedInstOperands,
     /*  24148 */     // GIR_Coverage, 4416,
     /*  24148 */     GIR_Done,
     /*  24149 */   // Label 637: @24149
     /*  24149 */   GIM_Reject,
     /*  24150 */ // Label 634: @24150
     /*  24150 */ GIM_Reject,
     /*  24151 */ // Label 463: @24151
     /*  24151 */ GIM_Try, /*On fail goto*//*Label 638*/ GIMT_Encode4(24616),
     /*  24156 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /*  24159 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s8,
     /*  24162 */   GIM_Try, /*On fail goto*//*Label 639*/ GIMT_Encode4(24224), // Rule ID 25227 //
     /*  24167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  24170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  24174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  24182 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  24185 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  24189 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  24193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  24197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24199 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  24206 */     // (and:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v32i8] }:$src1)  =>  (VPANDYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  24206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDYrm),
     /*  24209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24211 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  24213 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  24217 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  24222 */     GIR_RootConstrainSelectedInstOperands,
     /*  24223 */     // GIR_Coverage, 25227,
     /*  24223 */     GIR_EraseRootFromParent_Done,
     /*  24224 */   // Label 639: @24224
     /*  24224 */   GIM_Try, /*On fail goto*//*Label 640*/ GIMT_Encode4(24286), // Rule ID 25236 //
     /*  24229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  24232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  24236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  24244 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  24247 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  24251 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  24255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  24259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24261 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  24268 */     // (and:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v32i8] }:$src1)  =>  (VANDPSYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  24268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VANDPSYrm),
     /*  24271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24273 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  24275 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  24279 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  24284 */     GIR_RootConstrainSelectedInstOperands,
     /*  24285 */     // GIR_Coverage, 25236,
     /*  24285 */     GIR_EraseRootFromParent_Done,
     /*  24286 */   // Label 640: @24286
     /*  24286 */   GIM_Try, /*On fail goto*//*Label 641*/ GIMT_Encode4(24348), // Rule ID 25435 //
     /*  24291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  24294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  24298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  24306 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  24309 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  24313 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  24317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  24321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24323 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  24330 */     // (and:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v32i8] }:$src1)  =>  (VPANDQZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  24330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDQZ256rm),
     /*  24333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24335 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  24337 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  24341 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  24346 */     GIR_RootConstrainSelectedInstOperands,
     /*  24347 */     // GIR_Coverage, 25435,
     /*  24347 */     GIR_EraseRootFromParent_Done,
     /*  24348 */   // Label 641: @24348
     /*  24348 */   GIM_Try, /*On fail goto*//*Label 642*/ GIMT_Encode4(24410), // Rule ID 18101 //
     /*  24353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  24356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  24360 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  24364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  24372 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  24375 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  24379 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  24383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24385 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  24392 */     // (and:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  24392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDYrm),
     /*  24395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24397 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  24399 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  24403 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  24408 */     GIR_RootConstrainSelectedInstOperands,
     /*  24409 */     // GIR_Coverage, 18101,
     /*  24409 */     GIR_EraseRootFromParent_Done,
     /*  24410 */   // Label 642: @24410
     /*  24410 */   GIM_Try, /*On fail goto*//*Label 643*/ GIMT_Encode4(24472), // Rule ID 18129 //
     /*  24415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  24418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  24422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  24426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  24434 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  24437 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  24441 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  24445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24447 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  24454 */     // (and:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VANDPSYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  24454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VANDPSYrm),
     /*  24457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24459 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  24461 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  24465 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  24470 */     GIR_RootConstrainSelectedInstOperands,
     /*  24471 */     // GIR_Coverage, 18129,
     /*  24471 */     GIR_EraseRootFromParent_Done,
     /*  24472 */   // Label 643: @24472
     /*  24472 */   GIM_Try, /*On fail goto*//*Label 644*/ GIMT_Encode4(24534), // Rule ID 20039 //
     /*  24477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  24480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  24484 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  24488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  24496 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  24499 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  24503 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  24507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24509 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  24516 */     // (and:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDQZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  24516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDQZ256rm),
     /*  24519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24521 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  24523 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  24527 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  24532 */     GIR_RootConstrainSelectedInstOperands,
     /*  24533 */     // GIR_Coverage, 20039,
     /*  24533 */     GIR_EraseRootFromParent_Done,
     /*  24534 */   // Label 644: @24534
     /*  24534 */   GIM_Try, /*On fail goto*//*Label 645*/ GIMT_Encode4(24561), // Rule ID 18089 //
     /*  24539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  24542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  24546 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  24550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  24554 */     // (and:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)  =>  (VPANDYrr:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)
     /*  24554 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDYrr),
     /*  24559 */     GIR_RootConstrainSelectedInstOperands,
     /*  24560 */     // GIR_Coverage, 18089,
     /*  24560 */     GIR_Done,
     /*  24561 */   // Label 645: @24561
     /*  24561 */   GIM_Try, /*On fail goto*//*Label 646*/ GIMT_Encode4(24588), // Rule ID 18113 //
     /*  24566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  24569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  24573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  24577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  24581 */     // (and:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)  =>  (VANDPSYrr:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)
     /*  24581 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VANDPSYrr),
     /*  24586 */     GIR_RootConstrainSelectedInstOperands,
     /*  24587 */     // GIR_Coverage, 18113,
     /*  24587 */     GIR_Done,
     /*  24588 */   // Label 646: @24588
     /*  24588 */   GIM_Try, /*On fail goto*//*Label 647*/ GIMT_Encode4(24615), // Rule ID 20031 //
     /*  24593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  24596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  24600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  24604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  24608 */     // (and:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)  =>  (VPANDQZ256rr:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)
     /*  24608 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDQZ256rr),
     /*  24613 */     GIR_RootConstrainSelectedInstOperands,
     /*  24614 */     // GIR_Coverage, 20031,
     /*  24614 */     GIR_Done,
     /*  24615 */   // Label 647: @24615
     /*  24615 */   GIM_Reject,
     /*  24616 */ // Label 638: @24616
     /*  24616 */ GIM_Reject,
     /*  24617 */ // Label 464: @24617
     /*  24617 */ GIM_Try, /*On fail goto*//*Label 648*/ GIMT_Encode4(24772),
     /*  24622 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /*  24625 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /*  24628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  24632 */   GIM_Try, /*On fail goto*//*Label 649*/ GIMT_Encode4(24690), // Rule ID 25442 //
     /*  24637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  24640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  24648 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  24651 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  24655 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  24659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  24663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24665 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  24672 */     // (and:{ *:[v32i16] } (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32i16] }:$src1)  =>  (VPANDQZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  24672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDQZrm),
     /*  24675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24677 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  24679 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  24683 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  24688 */     GIR_RootConstrainSelectedInstOperands,
     /*  24689 */     // GIR_Coverage, 25442,
     /*  24689 */     GIR_EraseRootFromParent_Done,
     /*  24690 */   // Label 649: @24690
     /*  24690 */   GIM_Try, /*On fail goto*//*Label 650*/ GIMT_Encode4(24748), // Rule ID 20056 //
     /*  24695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  24698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  24702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  24710 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  24713 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  24717 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  24721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24723 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  24730 */     // (and:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDQZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  24730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDQZrm),
     /*  24733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24735 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  24737 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  24741 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  24746 */     GIR_RootConstrainSelectedInstOperands,
     /*  24747 */     // GIR_Coverage, 20056,
     /*  24747 */     GIR_EraseRootFromParent_Done,
     /*  24748 */   // Label 650: @24748
     /*  24748 */   GIM_Try, /*On fail goto*//*Label 651*/ GIMT_Encode4(24771), // Rule ID 20048 //
     /*  24753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  24756 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  24760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  24764 */     // (and:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)  =>  (VPANDQZrr:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)
     /*  24764 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDQZrr),
     /*  24769 */     GIR_RootConstrainSelectedInstOperands,
     /*  24770 */     // GIR_Coverage, 20048,
     /*  24770 */     GIR_Done,
     /*  24771 */   // Label 651: @24771
     /*  24771 */   GIM_Reject,
     /*  24772 */ // Label 648: @24772
     /*  24772 */ GIM_Reject,
     /*  24773 */ // Label 465: @24773
     /*  24773 */ GIM_Try, /*On fail goto*//*Label 652*/ GIMT_Encode4(24932),
     /*  24778 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s1,
     /*  24781 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s1,
     /*  24784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  24788 */   GIM_Try, /*On fail goto*//*Label 653*/ GIMT_Encode4(24848), // Rule ID 4433 //
     /*  24793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  24796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  24804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v64s1,
     /*  24808 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v64s1,
     /*  24812 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  24817 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  24821 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  24827 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  24829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  24833 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  24835 */     // (and:{ *:[v64i1] } (xor:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src1, immAllOnesV:{ *:[v64i1] }), VK64:{ *:[v64i1] }:$src2)  =>  (KANDNQkk:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src1, VK64:{ *:[v64i1] }:$src2)
     /*  24835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KANDNQkk),
     /*  24838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  24844 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  24846 */     GIR_RootConstrainSelectedInstOperands,
     /*  24847 */     // GIR_Coverage, 4433,
     /*  24847 */     GIR_EraseRootFromParent_Done,
     /*  24848 */   // Label 653: @24848
     /*  24848 */   GIM_Try, /*On fail goto*//*Label 654*/ GIMT_Encode4(24908), // Rule ID 23692 //
     /*  24853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  24856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  24860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  24868 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v64s1,
     /*  24872 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v64s1,
     /*  24876 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  24881 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  24885 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  24891 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  24893 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  24895 */     // (and:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src2, (xor:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src1, immAllOnesV:{ *:[v64i1] }))  =>  (KANDNQkk:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src1, VK64:{ *:[v64i1] }:$src2)
     /*  24895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KANDNQkk),
     /*  24898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  24904 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  24906 */     GIR_RootConstrainSelectedInstOperands,
     /*  24907 */     // GIR_Coverage, 23692,
     /*  24907 */     GIR_EraseRootFromParent_Done,
     /*  24908 */   // Label 654: @24908
     /*  24908 */   GIM_Try, /*On fail goto*//*Label 655*/ GIMT_Encode4(24931), // Rule ID 4417 //
     /*  24913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  24916 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  24920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  24924 */     // (and:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src1, VK64:{ *:[v64i1] }:$src2)  =>  (KANDQkk:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src1, VK64:{ *:[v64i1] }:$src2)
     /*  24924 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::KANDQkk),
     /*  24929 */     GIR_RootConstrainSelectedInstOperands,
     /*  24930 */     // GIR_Coverage, 4417,
     /*  24930 */     GIR_Done,
     /*  24931 */   // Label 655: @24931
     /*  24931 */   GIM_Reject,
     /*  24932 */ // Label 652: @24932
     /*  24932 */ GIM_Reject,
     /*  24933 */ // Label 466: @24933
     /*  24933 */ GIM_Try, /*On fail goto*//*Label 656*/ GIMT_Encode4(25088),
     /*  24938 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /*  24941 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s8,
     /*  24944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  24948 */   GIM_Try, /*On fail goto*//*Label 657*/ GIMT_Encode4(25006), // Rule ID 25441 //
     /*  24953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  24956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  24964 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  24967 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  24971 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  24975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  24979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24981 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  24988 */     // (and:{ *:[v64i8] } (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v64i8] }:$src1)  =>  (VPANDQZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  24988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDQZrm),
     /*  24991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24993 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  24995 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  24999 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  25004 */     GIR_RootConstrainSelectedInstOperands,
     /*  25005 */     // GIR_Coverage, 25441,
     /*  25005 */     GIR_EraseRootFromParent_Done,
     /*  25006 */   // Label 657: @25006
     /*  25006 */   GIM_Try, /*On fail goto*//*Label 658*/ GIMT_Encode4(25064), // Rule ID 20055 //
     /*  25011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  25014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  25018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  25026 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  25029 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  25033 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  25037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  25039 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  25046 */     // (and:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDQZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  25046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDQZrm),
     /*  25049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25051 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  25053 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  25057 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  25062 */     GIR_RootConstrainSelectedInstOperands,
     /*  25063 */     // GIR_Coverage, 20055,
     /*  25063 */     GIR_EraseRootFromParent_Done,
     /*  25064 */   // Label 658: @25064
     /*  25064 */   GIM_Try, /*On fail goto*//*Label 659*/ GIMT_Encode4(25087), // Rule ID 20047 //
     /*  25069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  25072 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  25076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  25080 */     // (and:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)  =>  (VPANDQZrr:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)
     /*  25080 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDQZrr),
     /*  25085 */     GIR_RootConstrainSelectedInstOperands,
     /*  25086 */     // GIR_Coverage, 20047,
     /*  25086 */     GIR_Done,
     /*  25087 */   // Label 659: @25087
     /*  25087 */   GIM_Reject,
     /*  25088 */ // Label 656: @25088
     /*  25088 */ GIM_Reject,
     /*  25089 */ // Label 467: @25089
     /*  25089 */ GIM_Reject,
     /*  25090 */ // Label 4: @25090
     /*  25090 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(25), /*)*//*default:*//*Label 683*/ GIMT_Encode4(33493),
     /*  25101 */ /*GILLT_s1*//*Label 660*/ GIMT_Encode4(25201),
     /*  25105 */ /*GILLT_s8*//*Label 661*/ GIMT_Encode4(25301),
     /*  25109 */ /*GILLT_s16*//*Label 662*/ GIMT_Encode4(25694),
     /*  25113 */ /*GILLT_s32*//*Label 663*/ GIMT_Encode4(26291),
     /*  25117 */ /*GILLT_s64*//*Label 664*/ GIMT_Encode4(27747), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  25129 */ /*GILLT_v2s1*//*Label 665*/ GIMT_Encode4(29211),
     /*  25133 */ /*GILLT_v2s64*//*Label 666*/ GIMT_Encode4(29311),
     /*  25137 */ /*GILLT_v4s1*//*Label 667*/ GIMT_Encode4(29653),
     /*  25141 */ /*GILLT_v4s32*//*Label 668*/ GIMT_Encode4(29753),
     /*  25145 */ /*GILLT_v4s64*//*Label 669*/ GIMT_Encode4(30095),
     /*  25149 */ /*GILLT_v8s1*//*Label 670*/ GIMT_Encode4(30561),
     /*  25153 */ /*GILLT_v8s16*//*Label 671*/ GIMT_Encode4(30685),
     /*  25157 */ /*GILLT_v8s32*//*Label 672*/ GIMT_Encode4(31027),
     /*  25161 */ /*GILLT_v8s64*//*Label 673*/ GIMT_Encode4(31493),
     /*  25165 */ /*GILLT_v16s1*//*Label 674*/ GIMT_Encode4(31649),
     /*  25169 */ /*GILLT_v16s8*//*Label 675*/ GIMT_Encode4(31683),
     /*  25173 */ /*GILLT_v16s16*//*Label 676*/ GIMT_Encode4(32025),
     /*  25177 */ /*GILLT_v16s32*//*Label 677*/ GIMT_Encode4(32491),
     /*  25181 */ /*GILLT_v32s1*//*Label 678*/ GIMT_Encode4(32647),
     /*  25185 */ /*GILLT_v32s8*//*Label 679*/ GIMT_Encode4(32681),
     /*  25189 */ /*GILLT_v32s16*//*Label 680*/ GIMT_Encode4(33147),
     /*  25193 */ /*GILLT_v64s1*//*Label 681*/ GIMT_Encode4(33303),
     /*  25197 */ /*GILLT_v64s8*//*Label 682*/ GIMT_Encode4(33337),
     /*  25201 */ // Label 660: @25201
     /*  25201 */ GIM_Try, /*On fail goto*//*Label 684*/ GIMT_Encode4(25300), // Rule ID 19491 //
     /*  25206 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s1,
     /*  25209 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s1,
     /*  25212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  25216 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  25220 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  25224 */   // (or:{ *:[v1i1] } VK1:{ *:[v1i1] }:$src1, VK1:{ *:[v1i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v1i1] } (KORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK1:{ *:[v1i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK1:{ *:[v1i1] }:$src2, VK16:{ *:[i32] })), VK1:{ *:[i32] })
     /*  25224 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  25227 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  25231 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  25236 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  25240 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  25245 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  25248 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  25252 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  25257 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /*  25261 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  25266 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  25269 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KORWkk),
     /*  25273 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  25278 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  25281 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  25284 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  25286 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  25289 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25291 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  25294 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK1RegClassID),
     /*  25299 */   // GIR_Coverage, 19491,
     /*  25299 */   GIR_EraseRootFromParent_Done,
     /*  25300 */ // Label 684: @25300
     /*  25300 */ GIM_Reject,
     /*  25301 */ // Label 661: @25301
     /*  25301 */ GIM_Try, /*On fail goto*//*Label 685*/ GIMT_Encode4(25693),
     /*  25306 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /*  25309 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /*  25312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  25316 */   GIM_Try, /*On fail goto*//*Label 686*/ GIMT_Encode4(25377), // Rule ID 26058 //
     /*  25321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  25324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  25328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  25332 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  25335 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  25339 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  25343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  25347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  25349 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  25356 */     // (or:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, GR8:{ *:[i8] }:$src1)  =>  (OR8rm:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  25356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR8rm),
     /*  25359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25361 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  25363 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  25367 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  25370 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  25375 */     GIR_RootConstrainSelectedInstOperands,
     /*  25376 */     // GIR_Coverage, 26058,
     /*  25376 */     GIR_EraseRootFromParent_Done,
     /*  25377 */   // Label 686: @25377
     /*  25377 */   GIM_Try, /*On fail goto*//*Label 687*/ GIMT_Encode4(25438), // Rule ID 26077 //
     /*  25382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  25385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  25389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  25393 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  25396 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  25400 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  25404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  25408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  25410 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  25417 */     // (or:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, GR8:{ *:[i8] }:$src1)  =>  (OR8rm_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  25417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR8rm_ND),
     /*  25420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25422 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  25424 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  25428 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  25431 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  25436 */     GIR_RootConstrainSelectedInstOperands,
     /*  25437 */     // GIR_Coverage, 26077,
     /*  25437 */     GIR_EraseRootFromParent_Done,
     /*  25438 */   // Label 687: @25438
     /*  25438 */   GIM_Try, /*On fail goto*//*Label 688*/ GIMT_Encode4(25499), // Rule ID 22827 //
     /*  25443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  25446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  25450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  25458 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  25461 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  25465 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  25469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  25471 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  25478 */     // (or:{ *:[i8] } GR8:{ *:[i8] }:$src1, (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>)  =>  (OR8rm:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  25478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR8rm),
     /*  25481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25483 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  25485 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  25489 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  25492 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  25497 */     GIR_RootConstrainSelectedInstOperands,
     /*  25498 */     // GIR_Coverage, 22827,
     /*  25498 */     GIR_EraseRootFromParent_Done,
     /*  25499 */   // Label 688: @25499
     /*  25499 */   GIM_Try, /*On fail goto*//*Label 689*/ GIMT_Encode4(25560), // Rule ID 22917 //
     /*  25504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  25507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  25511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  25519 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  25522 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  25526 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  25530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  25532 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  25539 */     // (or:{ *:[i8] } GR8:{ *:[i8] }:$src1, (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>)  =>  (OR8rm_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  25539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR8rm_ND),
     /*  25542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25544 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  25546 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  25550 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  25553 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  25558 */     GIR_RootConstrainSelectedInstOperands,
     /*  25559 */     // GIR_Coverage, 22917,
     /*  25559 */     GIR_EraseRootFromParent_Done,
     /*  25560 */   // Label 689: @25560
     /*  25560 */   GIM_Try, /*On fail goto*//*Label 690*/ GIMT_Encode4(25597), // Rule ID 22831 //
     /*  25565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  25568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  25572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  25580 */     // MIs[1] Operand 1
     /*  25580 */     // No operand predicates
     /*  25580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  25582 */     // (or:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (OR8ri:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  25582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR8ri),
     /*  25585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25587 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  25589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  25592 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  25595 */     GIR_RootConstrainSelectedInstOperands,
     /*  25596 */     // GIR_Coverage, 22831,
     /*  25596 */     GIR_EraseRootFromParent_Done,
     /*  25597 */   // Label 690: @25597
     /*  25597 */   GIM_Try, /*On fail goto*//*Label 691*/ GIMT_Encode4(25634), // Rule ID 22921 //
     /*  25602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  25605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  25609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  25617 */     // MIs[1] Operand 1
     /*  25617 */     // No operand predicates
     /*  25617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  25619 */     // (or:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (OR8ri_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  25619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR8ri_ND),
     /*  25622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25624 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  25626 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  25629 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  25632 */     GIR_RootConstrainSelectedInstOperands,
     /*  25633 */     // GIR_Coverage, 22921,
     /*  25633 */     GIR_EraseRootFromParent_Done,
     /*  25634 */   // Label 691: @25634
     /*  25634 */   GIM_Try, /*On fail goto*//*Label 692*/ GIMT_Encode4(25663), // Rule ID 22823 //
     /*  25639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  25642 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  25646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  25650 */     // (or:{ *:[i8] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (OR8rr:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)
     /*  25650 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::OR8rr),
     /*  25655 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  25661 */     GIR_RootConstrainSelectedInstOperands,
     /*  25662 */     // GIR_Coverage, 22823,
     /*  25662 */     GIR_Done,
     /*  25663 */   // Label 692: @25663
     /*  25663 */   GIM_Try, /*On fail goto*//*Label 693*/ GIMT_Encode4(25692), // Rule ID 22913 //
     /*  25668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  25671 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  25675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  25679 */     // (or:{ *:[i8] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (OR8rr_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)
     /*  25679 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::OR8rr_ND),
     /*  25684 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  25690 */     GIR_RootConstrainSelectedInstOperands,
     /*  25691 */     // GIR_Coverage, 22913,
     /*  25691 */     GIR_Done,
     /*  25692 */   // Label 693: @25692
     /*  25692 */   GIM_Reject,
     /*  25693 */ // Label 685: @25693
     /*  25693 */ GIM_Reject,
     /*  25694 */ // Label 662: @25694
     /*  25694 */ GIM_Try, /*On fail goto*//*Label 694*/ GIMT_Encode4(26290),
     /*  25699 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  25702 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /*  25705 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  25709 */   GIM_Try, /*On fail goto*//*Label 695*/ GIMT_Encode4(25770), // Rule ID 26059 //
     /*  25714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  25717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  25721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  25725 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  25728 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  25732 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  25736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  25740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  25742 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  25749 */     // (or:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, GR16:{ *:[i16] }:$src1)  =>  (OR16rm:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  25749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR16rm),
     /*  25752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25754 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  25756 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  25760 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  25763 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  25768 */     GIR_RootConstrainSelectedInstOperands,
     /*  25769 */     // GIR_Coverage, 26059,
     /*  25769 */     GIR_EraseRootFromParent_Done,
     /*  25770 */   // Label 695: @25770
     /*  25770 */   GIM_Try, /*On fail goto*//*Label 696*/ GIMT_Encode4(25831), // Rule ID 26078 //
     /*  25775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  25778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  25782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  25786 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  25789 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  25793 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  25797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  25801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  25803 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  25810 */     // (or:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, GR16:{ *:[i16] }:$src1)  =>  (OR16rm_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  25810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR16rm_ND),
     /*  25813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25815 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  25817 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  25821 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  25824 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  25829 */     GIR_RootConstrainSelectedInstOperands,
     /*  25830 */     // GIR_Coverage, 26078,
     /*  25830 */     GIR_EraseRootFromParent_Done,
     /*  25831 */   // Label 696: @25831
     /*  25831 */   GIM_Try, /*On fail goto*//*Label 697*/ GIMT_Encode4(25892), // Rule ID 22828 //
     /*  25836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  25839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  25843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  25851 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  25854 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  25858 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  25862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  25864 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  25871 */     // (or:{ *:[i16] } GR16:{ *:[i16] }:$src1, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (OR16rm:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  25871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR16rm),
     /*  25874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25876 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  25878 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  25882 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  25885 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  25890 */     GIR_RootConstrainSelectedInstOperands,
     /*  25891 */     // GIR_Coverage, 22828,
     /*  25891 */     GIR_EraseRootFromParent_Done,
     /*  25892 */   // Label 697: @25892
     /*  25892 */   GIM_Try, /*On fail goto*//*Label 698*/ GIMT_Encode4(25953), // Rule ID 22918 //
     /*  25897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  25900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  25904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  25912 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  25915 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  25919 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  25923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  25925 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  25932 */     // (or:{ *:[i16] } GR16:{ *:[i16] }:$src1, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (OR16rm_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  25932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR16rm_ND),
     /*  25935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25937 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  25939 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  25943 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  25946 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  25951 */     GIR_RootConstrainSelectedInstOperands,
     /*  25952 */     // GIR_Coverage, 22918,
     /*  25952 */     GIR_EraseRootFromParent_Done,
     /*  25953 */   // Label 698: @25953
     /*  25953 */   GIM_Try, /*On fail goto*//*Label 699*/ GIMT_Encode4(26055), // Rule ID 26034 //
     /*  25958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  25962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  25966 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  25970 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  25974 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  25978 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  25983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  25987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  25989 */     // (or:{ *:[i16] } (shl:{ *:[i16] } 1:{ *:[i16] }, GR8:{ *:[i8] }:$src2), GR16:{ *:[i16] }:$src1)  =>  (BTS16rr:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (INSERT_SUBREG:{ *:[i16] } (IMPLICIT_DEF:{ *:[i16] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /*  25989 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  25992 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  25996 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  26001 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  26003 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  26006 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  26010 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  26015 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  26018 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  26022 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  26025 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  26030 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR16RegClassID),
     /*  26035 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  26040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BTS16rr),
     /*  26043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26045 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  26047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  26050 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  26053 */     GIR_RootConstrainSelectedInstOperands,
     /*  26054 */     // GIR_Coverage, 26034,
     /*  26054 */     GIR_EraseRootFromParent_Done,
     /*  26055 */   // Label 699: @26055
     /*  26055 */   GIM_Try, /*On fail goto*//*Label 700*/ GIMT_Encode4(26157), // Rule ID 22772 //
     /*  26060 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  26064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  26068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  26072 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  26076 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  26080 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  26084 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  26089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  26091 */     // (or:{ *:[i16] } GR16:{ *:[i16] }:$src1, (shl:{ *:[i16] } 1:{ *:[i16] }, GR8:{ *:[i8] }:$src2))  =>  (BTS16rr:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (INSERT_SUBREG:{ *:[i16] } (IMPLICIT_DEF:{ *:[i16] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /*  26091 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  26094 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  26098 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  26103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  26105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  26108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  26112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  26117 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  26120 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  26124 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  26127 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  26132 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR16RegClassID),
     /*  26137 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  26142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BTS16rr),
     /*  26145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26147 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  26149 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  26152 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  26155 */     GIR_RootConstrainSelectedInstOperands,
     /*  26156 */     // GIR_Coverage, 22772,
     /*  26156 */     GIR_EraseRootFromParent_Done,
     /*  26157 */   // Label 700: @26157
     /*  26157 */   GIM_Try, /*On fail goto*//*Label 701*/ GIMT_Encode4(26194), // Rule ID 22832 //
     /*  26162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  26165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  26169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  26173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  26177 */     // MIs[1] Operand 1
     /*  26177 */     // No operand predicates
     /*  26177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  26179 */     // (or:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)  =>  (OR16ri:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)
     /*  26179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR16ri),
     /*  26182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26184 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  26186 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  26189 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  26192 */     GIR_RootConstrainSelectedInstOperands,
     /*  26193 */     // GIR_Coverage, 22832,
     /*  26193 */     GIR_EraseRootFromParent_Done,
     /*  26194 */   // Label 701: @26194
     /*  26194 */   GIM_Try, /*On fail goto*//*Label 702*/ GIMT_Encode4(26231), // Rule ID 22922 //
     /*  26199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  26202 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  26206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  26210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  26214 */     // MIs[1] Operand 1
     /*  26214 */     // No operand predicates
     /*  26214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  26216 */     // (or:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)  =>  (OR16ri_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)
     /*  26216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR16ri_ND),
     /*  26219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26221 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  26223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  26226 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  26229 */     GIR_RootConstrainSelectedInstOperands,
     /*  26230 */     // GIR_Coverage, 22922,
     /*  26230 */     GIR_EraseRootFromParent_Done,
     /*  26231 */   // Label 702: @26231
     /*  26231 */   GIM_Try, /*On fail goto*//*Label 703*/ GIMT_Encode4(26260), // Rule ID 22824 //
     /*  26236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  26239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  26243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  26247 */     // (or:{ *:[i16] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)  =>  (OR16rr:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  26247 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::OR16rr),
     /*  26252 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  26258 */     GIR_RootConstrainSelectedInstOperands,
     /*  26259 */     // GIR_Coverage, 22824,
     /*  26259 */     GIR_Done,
     /*  26260 */   // Label 703: @26260
     /*  26260 */   GIM_Try, /*On fail goto*//*Label 704*/ GIMT_Encode4(26289), // Rule ID 22914 //
     /*  26265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  26268 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  26272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  26276 */     // (or:{ *:[i16] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)  =>  (OR16rr_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  26276 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::OR16rr_ND),
     /*  26281 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  26287 */     GIR_RootConstrainSelectedInstOperands,
     /*  26288 */     // GIR_Coverage, 22914,
     /*  26288 */     GIR_Done,
     /*  26289 */   // Label 704: @26289
     /*  26289 */   GIM_Reject,
     /*  26290 */ // Label 694: @26290
     /*  26290 */ GIM_Reject,
     /*  26291 */ // Label 663: @26291
     /*  26291 */ GIM_Try, /*On fail goto*//*Label 705*/ GIMT_Encode4(27746),
     /*  26296 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  26299 */   GIM_Try, /*On fail goto*//*Label 706*/ GIMT_Encode4(26367), // Rule ID 26060 //
     /*  26304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  26307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  26310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  26322 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  26325 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  26329 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  26333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  26339 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  26346 */     // (or:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR32:{ *:[i32] }:$src1)  =>  (OR32rm:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  26346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR32rm),
     /*  26349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26351 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  26353 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  26357 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  26360 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  26365 */     GIR_RootConstrainSelectedInstOperands,
     /*  26366 */     // GIR_Coverage, 26060,
     /*  26366 */     GIR_EraseRootFromParent_Done,
     /*  26367 */   // Label 706: @26367
     /*  26367 */   GIM_Try, /*On fail goto*//*Label 707*/ GIMT_Encode4(26435), // Rule ID 26079 //
     /*  26372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  26375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  26378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  26390 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  26393 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  26397 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  26401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  26407 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  26414 */     // (or:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR32:{ *:[i32] }:$src1)  =>  (OR32rm_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  26414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR32rm_ND),
     /*  26417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26419 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  26421 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  26425 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  26428 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  26433 */     GIR_RootConstrainSelectedInstOperands,
     /*  26434 */     // GIR_Coverage, 26079,
     /*  26434 */     GIR_EraseRootFromParent_Done,
     /*  26435 */   // Label 707: @26435
     /*  26435 */   GIM_Try, /*On fail goto*//*Label 708*/ GIMT_Encode4(26503), // Rule ID 22829 //
     /*  26440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  26443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  26446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  26458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  26462 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  26465 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  26469 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  26473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  26475 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  26482 */     // (or:{ *:[i32] } GR32:{ *:[i32] }:$src1, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (OR32rm:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  26482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR32rm),
     /*  26485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26487 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  26489 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  26493 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  26496 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  26501 */     GIR_RootConstrainSelectedInstOperands,
     /*  26502 */     // GIR_Coverage, 22829,
     /*  26502 */     GIR_EraseRootFromParent_Done,
     /*  26503 */   // Label 708: @26503
     /*  26503 */   GIM_Try, /*On fail goto*//*Label 709*/ GIMT_Encode4(26571), // Rule ID 22919 //
     /*  26508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  26511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  26514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  26526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  26530 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  26533 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  26537 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  26541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  26543 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  26550 */     // (or:{ *:[i32] } GR32:{ *:[i32] }:$src1, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (OR32rm_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  26550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR32rm_ND),
     /*  26553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26555 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  26557 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  26561 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  26564 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  26569 */     GIR_RootConstrainSelectedInstOperands,
     /*  26570 */     // GIR_Coverage, 22919,
     /*  26570 */     GIR_EraseRootFromParent_Done,
     /*  26571 */   // Label 709: @26571
     /*  26571 */   GIM_Try, /*On fail goto*//*Label 710*/ GIMT_Encode4(26648), // Rule ID 25000 //
     /*  26576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  26579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  26582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  26594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  26598 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  26602 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26607 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  26611 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  26615 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  26619 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  26623 */     // MIs[2] src
     /*  26623 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  26628 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  26632 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  26634 */     // (or:{ *:[i32] } (add:{ *:[i32] } GR32:{ *:[i32] }:$src, -1:{ *:[i32] }), (xor:{ *:[i32] } GR32:{ *:[i32] }:$src, -1:{ *:[i32] }))  =>  (BLSIC32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  26634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLSIC32rr),
     /*  26637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  26643 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  26646 */     GIR_RootConstrainSelectedInstOperands,
     /*  26647 */     // GIR_Coverage, 25000,
     /*  26647 */     GIR_EraseRootFromParent_Done,
     /*  26648 */   // Label 710: @26648
     /*  26648 */   GIM_Try, /*On fail goto*//*Label 711*/ GIMT_Encode4(26725), // Rule ID 25002 //
     /*  26653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  26656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  26659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  26671 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  26675 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  26679 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26684 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  26688 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  26692 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  26696 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  26700 */     // MIs[2] src
     /*  26700 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  26705 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  26709 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  26711 */     // (or:{ *:[i32] } (add:{ *:[i32] } GR32:{ *:[i32] }:$src, 1:{ *:[i32] }), (xor:{ *:[i32] } GR32:{ *:[i32] }:$src, -1:{ *:[i32] }))  =>  (T1MSKC32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  26711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::T1MSKC32rr),
     /*  26714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26716 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  26720 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  26723 */     GIR_RootConstrainSelectedInstOperands,
     /*  26724 */     // GIR_Coverage, 25002,
     /*  26724 */     GIR_EraseRootFromParent_Done,
     /*  26725 */   // Label 711: @26725
     /*  26725 */   GIM_Try, /*On fail goto*//*Label 712*/ GIMT_Encode4(26803), // Rule ID 24988 //
     /*  26730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  26733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  26745 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  26749 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  26753 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  26757 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  26761 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  26765 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  26769 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26774 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*  26778 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  26782 */     // MIs[0] src
     /*  26782 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  26787 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  26789 */     // (or:{ *:[i32] } (xor:{ *:[i32] } (add:{ *:[i32] } GR32:{ *:[i32] }:$src, 1:{ *:[i32] }), -1:{ *:[i32] }), GR32:{ *:[i32] }:$src)  =>  (BLCI32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  26789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCI32rr),
     /*  26792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src
     /*  26798 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  26801 */     GIR_RootConstrainSelectedInstOperands,
     /*  26802 */     // GIR_Coverage, 24988,
     /*  26802 */     GIR_EraseRootFromParent_Done,
     /*  26803 */   // Label 712: @26803
     /*  26803 */   GIM_Try, /*On fail goto*//*Label 713*/ GIMT_Encode4(26880), // Rule ID 17363 //
     /*  26808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  26811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  26814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  26826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  26830 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  26834 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26839 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  26843 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  26847 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  26851 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  26855 */     // MIs[2] src
     /*  26855 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  26860 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  26864 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  26866 */     // (or:{ *:[i32] } (xor:{ *:[i32] } GR32:{ *:[i32] }:$src, -1:{ *:[i32] }), (add:{ *:[i32] } GR32:{ *:[i32] }:$src, -1:{ *:[i32] }))  =>  (BLSIC32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  26866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLSIC32rr),
     /*  26869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  26875 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  26878 */     GIR_RootConstrainSelectedInstOperands,
     /*  26879 */     // GIR_Coverage, 17363,
     /*  26879 */     GIR_EraseRootFromParent_Done,
     /*  26880 */   // Label 713: @26880
     /*  26880 */   GIM_Try, /*On fail goto*//*Label 714*/ GIMT_Encode4(26957), // Rule ID 17365 //
     /*  26885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  26888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  26891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  26903 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  26907 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  26911 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26916 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  26920 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  26924 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  26928 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  26932 */     // MIs[2] src
     /*  26932 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  26937 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*  26941 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  26943 */     // (or:{ *:[i32] } (xor:{ *:[i32] } GR32:{ *:[i32] }:$src, -1:{ *:[i32] }), (add:{ *:[i32] } GR32:{ *:[i32] }:$src, 1:{ *:[i32] }))  =>  (T1MSKC32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  26943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::T1MSKC32rr),
     /*  26946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  26952 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  26955 */     GIR_RootConstrainSelectedInstOperands,
     /*  26956 */     // GIR_Coverage, 17365,
     /*  26956 */     GIR_EraseRootFromParent_Done,
     /*  26957 */   // Label 714: @26957
     /*  26957 */   GIM_Try, /*On fail goto*//*Label 715*/ GIMT_Encode4(27031), // Rule ID 17351 //
     /*  26962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  26965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  26968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26972 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  26980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  26984 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  26988 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  26992 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  26996 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  27000 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  27004 */     // MIs[2] src
     /*  27004 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  27009 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*  27013 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  27017 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  27019 */     // (or:{ *:[i32] } GR32:{ *:[i32] }:$src, (xor:{ *:[i32] } (add:{ *:[i32] } GR32:{ *:[i32] }:$src, 1:{ *:[i32] }), -1:{ *:[i32] }))  =>  (BLCI32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  27019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCI32rr),
     /*  27022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27024 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27026 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  27029 */     GIR_RootConstrainSelectedInstOperands,
     /*  27030 */     // GIR_Coverage, 17351,
     /*  27030 */     GIR_EraseRootFromParent_Done,
     /*  27031 */   // Label 715: @27031
     /*  27031 */   GIM_Try, /*On fail goto*//*Label 716*/ GIMT_Encode4(27089), // Rule ID 24996 //
     /*  27036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  27039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  27051 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  27055 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  27059 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27064 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  27068 */     // MIs[0] src
     /*  27068 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  27073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27075 */     // (or:{ *:[i32] } (add:{ *:[i32] } GR32:{ *:[i32] }:$src, 1:{ *:[i32] }), GR32:{ *:[i32] }:$src)  =>  (BLCS32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  27075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCS32rr),
     /*  27078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27080 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  27084 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  27087 */     GIR_RootConstrainSelectedInstOperands,
     /*  27088 */     // GIR_Coverage, 24996,
     /*  27088 */     GIR_EraseRootFromParent_Done,
     /*  27089 */   // Label 716: @27089
     /*  27089 */   GIM_Try, /*On fail goto*//*Label 717*/ GIMT_Encode4(27147), // Rule ID 24998 //
     /*  27094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  27097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  27109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  27113 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  27117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27122 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  27126 */     // MIs[0] src
     /*  27126 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  27131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27133 */     // (or:{ *:[i32] } (add:{ *:[i32] } GR32:{ *:[i32] }:$src, -1:{ *:[i32] }), GR32:{ *:[i32] }:$src)  =>  (BLSFILL32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  27133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLSFILL32rr),
     /*  27136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27138 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  27142 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  27145 */     GIR_RootConstrainSelectedInstOperands,
     /*  27146 */     // GIR_Coverage, 24998,
     /*  27146 */     GIR_EraseRootFromParent_Done,
     /*  27147 */   // Label 717: @27147
     /*  27147 */   GIM_Try, /*On fail goto*//*Label 718*/ GIMT_Encode4(27256), // Rule ID 26040 //
     /*  27152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  27155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  27167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  27171 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  27175 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  27179 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  27184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27190 */     // (or:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, GR8:{ *:[i8] }:$src2), GR32:{ *:[i32] }:$src1)  =>  (BTS32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /*  27190 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  27193 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  27197 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  27202 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  27204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  27207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  27211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  27216 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  27219 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  27223 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  27226 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /*  27231 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /*  27236 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  27241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BTS32rr),
     /*  27244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27246 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  27248 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  27251 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  27254 */     GIR_RootConstrainSelectedInstOperands,
     /*  27255 */     // GIR_Coverage, 26040,
     /*  27255 */     GIR_EraseRootFromParent_Done,
     /*  27256 */   // Label 718: @27256
     /*  27256 */   GIM_Try, /*On fail goto*//*Label 719*/ GIMT_Encode4(27314), // Rule ID 24990 //
     /*  27261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  27264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  27276 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  27280 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  27284 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  27288 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27293 */     // MIs[0] src
     /*  27293 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  27298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27300 */     // (or:{ *:[i32] } (sub:{ *:[i32] } -2:{ *:[i32] }, GR32:{ *:[i32] }:$src), GR32:{ *:[i32] }:$src)  =>  (BLCI32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  27300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCI32rr),
     /*  27303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  27309 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  27312 */     GIR_RootConstrainSelectedInstOperands,
     /*  27313 */     // GIR_Coverage, 24990,
     /*  27313 */     GIR_EraseRootFromParent_Done,
     /*  27314 */   // Label 719: @27314
     /*  27314 */   GIM_Try, /*On fail goto*//*Label 720*/ GIMT_Encode4(27368), // Rule ID 17359 //
     /*  27319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  27322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  27325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  27341 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  27345 */     // MIs[1] src
     /*  27345 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/1, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  27350 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  27354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27356 */     // (or:{ *:[i32] } GR32:{ *:[i32] }:$src, (add:{ *:[i32] } GR32:{ *:[i32] }:$src, 1:{ *:[i32] }))  =>  (BLCS32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  27356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCS32rr),
     /*  27359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27361 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27363 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  27366 */     GIR_RootConstrainSelectedInstOperands,
     /*  27367 */     // GIR_Coverage, 17359,
     /*  27367 */     GIR_EraseRootFromParent_Done,
     /*  27368 */   // Label 720: @27368
     /*  27368 */   GIM_Try, /*On fail goto*//*Label 721*/ GIMT_Encode4(27422), // Rule ID 17361 //
     /*  27373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  27376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  27379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  27395 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  27399 */     // MIs[1] src
     /*  27399 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/1, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  27404 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  27408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27410 */     // (or:{ *:[i32] } GR32:{ *:[i32] }:$src, (add:{ *:[i32] } GR32:{ *:[i32] }:$src, -1:{ *:[i32] }))  =>  (BLSFILL32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  27410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLSFILL32rr),
     /*  27413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27415 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27417 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  27420 */     GIR_RootConstrainSelectedInstOperands,
     /*  27421 */     // GIR_Coverage, 17361,
     /*  27421 */     GIR_EraseRootFromParent_Done,
     /*  27422 */   // Label 721: @27422
     /*  27422 */   GIM_Try, /*On fail goto*//*Label 722*/ GIMT_Encode4(27531), // Rule ID 22778 //
     /*  27427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  27430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  27446 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  27450 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  27454 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  27458 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  27463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27465 */     // (or:{ *:[i32] } GR32:{ *:[i32] }:$src1, (shl:{ *:[i32] } 1:{ *:[i32] }, GR8:{ *:[i8] }:$src2))  =>  (BTS32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /*  27465 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  27468 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  27472 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  27477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  27479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  27482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  27486 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  27491 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  27494 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  27498 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  27501 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /*  27506 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /*  27511 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  27516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BTS32rr),
     /*  27519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27521 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  27523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  27526 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  27529 */     GIR_RootConstrainSelectedInstOperands,
     /*  27530 */     // GIR_Coverage, 22778,
     /*  27530 */     GIR_EraseRootFromParent_Done,
     /*  27531 */   // Label 722: @27531
     /*  27531 */   GIM_Try, /*On fail goto*//*Label 723*/ GIMT_Encode4(27585), // Rule ID 17353 //
     /*  27536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  27539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  27542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27546 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  27558 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  27562 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  27566 */     // MIs[1] src
     /*  27566 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  27571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27573 */     // (or:{ *:[i32] } GR32:{ *:[i32] }:$src, (sub:{ *:[i32] } -2:{ *:[i32] }, GR32:{ *:[i32] }:$src))  =>  (BLCI32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  27573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCI32rr),
     /*  27576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27578 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27580 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  27583 */     GIR_RootConstrainSelectedInstOperands,
     /*  27584 */     // GIR_Coverage, 17353,
     /*  27584 */     GIR_EraseRootFromParent_Done,
     /*  27585 */   // Label 723: @27585
     /*  27585 */   GIM_Try, /*On fail goto*//*Label 724*/ GIMT_Encode4(27629), // Rule ID 22833 //
     /*  27590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  27593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  27596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  27612 */     // MIs[1] Operand 1
     /*  27612 */     // No operand predicates
     /*  27612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27614 */     // (or:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)  =>  (OR32ri:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)
     /*  27614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR32ri),
     /*  27617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27619 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  27621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  27624 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  27627 */     GIR_RootConstrainSelectedInstOperands,
     /*  27628 */     // GIR_Coverage, 22833,
     /*  27628 */     GIR_EraseRootFromParent_Done,
     /*  27629 */   // Label 724: @27629
     /*  27629 */   GIM_Try, /*On fail goto*//*Label 725*/ GIMT_Encode4(27673), // Rule ID 22923 //
     /*  27634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  27637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  27640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  27656 */     // MIs[1] Operand 1
     /*  27656 */     // No operand predicates
     /*  27656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27658 */     // (or:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)  =>  (OR32ri_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)
     /*  27658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR32ri_ND),
     /*  27661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27663 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  27665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  27668 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  27671 */     GIR_RootConstrainSelectedInstOperands,
     /*  27672 */     // GIR_Coverage, 22923,
     /*  27672 */     GIR_EraseRootFromParent_Done,
     /*  27673 */   // Label 725: @27673
     /*  27673 */   GIM_Try, /*On fail goto*//*Label 726*/ GIMT_Encode4(27709), // Rule ID 22825 //
     /*  27678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  27681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  27684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27688 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27696 */     // (or:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)  =>  (OR32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  27696 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::OR32rr),
     /*  27701 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  27707 */     GIR_RootConstrainSelectedInstOperands,
     /*  27708 */     // GIR_Coverage, 22825,
     /*  27708 */     GIR_Done,
     /*  27709 */   // Label 726: @27709
     /*  27709 */   GIM_Try, /*On fail goto*//*Label 727*/ GIMT_Encode4(27745), // Rule ID 22915 //
     /*  27714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  27717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  27720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27732 */     // (or:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)  =>  (OR32rr_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  27732 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::OR32rr_ND),
     /*  27737 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  27743 */     GIR_RootConstrainSelectedInstOperands,
     /*  27744 */     // GIR_Coverage, 22915,
     /*  27744 */     GIR_Done,
     /*  27745 */   // Label 727: @27745
     /*  27745 */   GIM_Reject,
     /*  27746 */ // Label 705: @27746
     /*  27746 */ GIM_Reject,
     /*  27747 */ // Label 664: @27747
     /*  27747 */ GIM_Try, /*On fail goto*//*Label 728*/ GIMT_Encode4(29210),
     /*  27752 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  27755 */   GIM_Try, /*On fail goto*//*Label 729*/ GIMT_Encode4(27823), // Rule ID 26061 //
     /*  27760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  27763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  27766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  27770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  27778 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  27781 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  27785 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  27789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  27793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27795 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  27802 */     // (or:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src1)  =>  (OR64rm:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  27802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR64rm),
     /*  27805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27807 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  27809 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  27813 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  27816 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  27821 */     GIR_RootConstrainSelectedInstOperands,
     /*  27822 */     // GIR_Coverage, 26061,
     /*  27822 */     GIR_EraseRootFromParent_Done,
     /*  27823 */   // Label 729: @27823
     /*  27823 */   GIM_Try, /*On fail goto*//*Label 730*/ GIMT_Encode4(27891), // Rule ID 26080 //
     /*  27828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  27831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  27834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  27838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  27846 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  27849 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  27853 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  27857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  27861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27863 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  27870 */     // (or:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src1)  =>  (OR64rm_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  27870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR64rm_ND),
     /*  27873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27875 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  27877 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  27881 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  27884 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  27889 */     GIR_RootConstrainSelectedInstOperands,
     /*  27890 */     // GIR_Coverage, 26080,
     /*  27890 */     GIR_EraseRootFromParent_Done,
     /*  27891 */   // Label 730: @27891
     /*  27891 */   GIM_Try, /*On fail goto*//*Label 731*/ GIMT_Encode4(27959), // Rule ID 22830 //
     /*  27896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  27899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  27902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  27906 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  27910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  27918 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  27921 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  27925 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  27929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27931 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  27938 */     // (or:{ *:[i64] } GR64:{ *:[i64] }:$src1, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (OR64rm:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  27938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR64rm),
     /*  27941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27943 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  27945 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  27949 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  27952 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  27957 */     GIR_RootConstrainSelectedInstOperands,
     /*  27958 */     // GIR_Coverage, 22830,
     /*  27958 */     GIR_EraseRootFromParent_Done,
     /*  27959 */   // Label 731: @27959
     /*  27959 */   GIM_Try, /*On fail goto*//*Label 732*/ GIMT_Encode4(28027), // Rule ID 22920 //
     /*  27964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  27967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  27970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  27974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  27978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  27986 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  27989 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  27993 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  27997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27999 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  28006 */     // (or:{ *:[i64] } GR64:{ *:[i64] }:$src1, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (OR64rm_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  28006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR64rm_ND),
     /*  28009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28011 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  28013 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  28017 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  28020 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  28025 */     GIR_RootConstrainSelectedInstOperands,
     /*  28026 */     // GIR_Coverage, 22920,
     /*  28026 */     GIR_EraseRootFromParent_Done,
     /*  28027 */   // Label 732: @28027
     /*  28027 */   GIM_Try, /*On fail goto*//*Label 733*/ GIMT_Encode4(28104), // Rule ID 25001 //
     /*  28032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  28035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  28038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  28050 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  28054 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  28058 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28063 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  28067 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  28071 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  28075 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  28079 */     // MIs[2] src
     /*  28079 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  28084 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  28088 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  28090 */     // (or:{ *:[i64] } (add:{ *:[i64] } GR64:{ *:[i64] }:$src, -1:{ *:[i64] }), (xor:{ *:[i64] } GR64:{ *:[i64] }:$src, -1:{ *:[i64] }))  =>  (BLSIC64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  28090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLSIC64rr),
     /*  28093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  28099 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  28102 */     GIR_RootConstrainSelectedInstOperands,
     /*  28103 */     // GIR_Coverage, 25001,
     /*  28103 */     GIR_EraseRootFromParent_Done,
     /*  28104 */   // Label 733: @28104
     /*  28104 */   GIM_Try, /*On fail goto*//*Label 734*/ GIMT_Encode4(28181), // Rule ID 25003 //
     /*  28109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  28112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  28115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  28127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  28131 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  28135 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28140 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  28144 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  28148 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  28152 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  28156 */     // MIs[2] src
     /*  28156 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  28161 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  28165 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  28167 */     // (or:{ *:[i64] } (add:{ *:[i64] } GR64:{ *:[i64] }:$src, 1:{ *:[i64] }), (xor:{ *:[i64] } GR64:{ *:[i64] }:$src, -1:{ *:[i64] }))  =>  (T1MSKC64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  28167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::T1MSKC64rr),
     /*  28170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  28176 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  28179 */     GIR_RootConstrainSelectedInstOperands,
     /*  28180 */     // GIR_Coverage, 25003,
     /*  28180 */     GIR_EraseRootFromParent_Done,
     /*  28181 */   // Label 734: @28181
     /*  28181 */   GIM_Try, /*On fail goto*//*Label 735*/ GIMT_Encode4(28259), // Rule ID 24989 //
     /*  28186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  28189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  28201 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  28205 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  28209 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  28213 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  28217 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  28221 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  28225 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28230 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*  28234 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  28238 */     // MIs[0] src
     /*  28238 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  28243 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  28245 */     // (or:{ *:[i64] } (xor:{ *:[i64] } (add:{ *:[i64] } GR64:{ *:[i64] }:$src, 1:{ *:[i64] }), -1:{ *:[i64] }), GR64:{ *:[i64] }:$src)  =>  (BLCI64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  28245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCI64rr),
     /*  28248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28250 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src
     /*  28254 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  28257 */     GIR_RootConstrainSelectedInstOperands,
     /*  28258 */     // GIR_Coverage, 24989,
     /*  28258 */     GIR_EraseRootFromParent_Done,
     /*  28259 */   // Label 735: @28259
     /*  28259 */   GIM_Try, /*On fail goto*//*Label 736*/ GIMT_Encode4(28336), // Rule ID 17364 //
     /*  28264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  28267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  28270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  28282 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  28286 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  28290 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28295 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  28299 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  28303 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  28307 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  28311 */     // MIs[2] src
     /*  28311 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  28316 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  28320 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  28322 */     // (or:{ *:[i64] } (xor:{ *:[i64] } GR64:{ *:[i64] }:$src, -1:{ *:[i64] }), (add:{ *:[i64] } GR64:{ *:[i64] }:$src, -1:{ *:[i64] }))  =>  (BLSIC64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  28322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLSIC64rr),
     /*  28325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  28331 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  28334 */     GIR_RootConstrainSelectedInstOperands,
     /*  28335 */     // GIR_Coverage, 17364,
     /*  28335 */     GIR_EraseRootFromParent_Done,
     /*  28336 */   // Label 736: @28336
     /*  28336 */   GIM_Try, /*On fail goto*//*Label 737*/ GIMT_Encode4(28413), // Rule ID 17366 //
     /*  28341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  28344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  28347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  28359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  28363 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  28367 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28372 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  28376 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  28380 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  28384 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  28388 */     // MIs[2] src
     /*  28388 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  28393 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*  28397 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  28399 */     // (or:{ *:[i64] } (xor:{ *:[i64] } GR64:{ *:[i64] }:$src, -1:{ *:[i64] }), (add:{ *:[i64] } GR64:{ *:[i64] }:$src, 1:{ *:[i64] }))  =>  (T1MSKC64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  28399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::T1MSKC64rr),
     /*  28402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28404 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  28408 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  28411 */     GIR_RootConstrainSelectedInstOperands,
     /*  28412 */     // GIR_Coverage, 17366,
     /*  28412 */     GIR_EraseRootFromParent_Done,
     /*  28413 */   // Label 737: @28413
     /*  28413 */   GIM_Try, /*On fail goto*//*Label 738*/ GIMT_Encode4(28487), // Rule ID 17352 //
     /*  28418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  28421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  28424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28428 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  28436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  28440 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  28444 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  28448 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  28452 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  28456 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  28460 */     // MIs[2] src
     /*  28460 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  28465 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*  28469 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  28473 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  28475 */     // (or:{ *:[i64] } GR64:{ *:[i64] }:$src, (xor:{ *:[i64] } (add:{ *:[i64] } GR64:{ *:[i64] }:$src, 1:{ *:[i64] }), -1:{ *:[i64] }))  =>  (BLCI64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  28475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCI64rr),
     /*  28478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28480 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  28482 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  28485 */     GIR_RootConstrainSelectedInstOperands,
     /*  28486 */     // GIR_Coverage, 17352,
     /*  28486 */     GIR_EraseRootFromParent_Done,
     /*  28487 */   // Label 738: @28487
     /*  28487 */   GIM_Try, /*On fail goto*//*Label 739*/ GIMT_Encode4(28545), // Rule ID 24997 //
     /*  28492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  28495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  28507 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  28511 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  28515 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28520 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  28524 */     // MIs[0] src
     /*  28524 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  28529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28531 */     // (or:{ *:[i64] } (add:{ *:[i64] } GR64:{ *:[i64] }:$src, 1:{ *:[i64] }), GR64:{ *:[i64] }:$src)  =>  (BLCS64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  28531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCS64rr),
     /*  28534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  28540 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  28543 */     GIR_RootConstrainSelectedInstOperands,
     /*  28544 */     // GIR_Coverage, 24997,
     /*  28544 */     GIR_EraseRootFromParent_Done,
     /*  28545 */   // Label 739: @28545
     /*  28545 */   GIM_Try, /*On fail goto*//*Label 740*/ GIMT_Encode4(28603), // Rule ID 24999 //
     /*  28550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  28553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  28565 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  28569 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  28573 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28578 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  28582 */     // MIs[0] src
     /*  28582 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  28587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28589 */     // (or:{ *:[i64] } (add:{ *:[i64] } GR64:{ *:[i64] }:$src, -1:{ *:[i64] }), GR64:{ *:[i64] }:$src)  =>  (BLSFILL64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  28589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLSFILL64rr),
     /*  28592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  28598 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  28601 */     GIR_RootConstrainSelectedInstOperands,
     /*  28602 */     // GIR_Coverage, 24999,
     /*  28602 */     GIR_EraseRootFromParent_Done,
     /*  28603 */   // Label 740: @28603
     /*  28603 */   GIM_Try, /*On fail goto*//*Label 741*/ GIMT_Encode4(28712), // Rule ID 26046 //
     /*  28608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  28611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  28623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  28627 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  28631 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  28635 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  28640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28646 */     // (or:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, GR8:{ *:[i8] }:$src2), GR64:{ *:[i64] }:$src1)  =>  (BTS64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /*  28646 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  28649 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  28653 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  28658 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  28660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  28663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  28667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  28672 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  28675 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  28679 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  28682 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /*  28687 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /*  28692 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  28697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BTS64rr),
     /*  28700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28702 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  28704 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  28707 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  28710 */     GIR_RootConstrainSelectedInstOperands,
     /*  28711 */     // GIR_Coverage, 26046,
     /*  28711 */     GIR_EraseRootFromParent_Done,
     /*  28712 */   // Label 741: @28712
     /*  28712 */   GIM_Try, /*On fail goto*//*Label 742*/ GIMT_Encode4(28770), // Rule ID 24991 //
     /*  28717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  28720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  28732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  28736 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  28740 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  28744 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28749 */     // MIs[0] src
     /*  28749 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  28754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28756 */     // (or:{ *:[i64] } (sub:{ *:[i64] } -2:{ *:[i64] }, GR64:{ *:[i64] }:$src), GR64:{ *:[i64] }:$src)  =>  (BLCI64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  28756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCI64rr),
     /*  28759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28761 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  28765 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  28768 */     GIR_RootConstrainSelectedInstOperands,
     /*  28769 */     // GIR_Coverage, 24991,
     /*  28769 */     GIR_EraseRootFromParent_Done,
     /*  28770 */   // Label 742: @28770
     /*  28770 */   GIM_Try, /*On fail goto*//*Label 743*/ GIMT_Encode4(28824), // Rule ID 17360 //
     /*  28775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  28778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  28781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28785 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  28793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  28797 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  28801 */     // MIs[1] src
     /*  28801 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/1, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  28806 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  28810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28812 */     // (or:{ *:[i64] } GR64:{ *:[i64] }:$src, (add:{ *:[i64] } GR64:{ *:[i64] }:$src, 1:{ *:[i64] }))  =>  (BLCS64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  28812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCS64rr),
     /*  28815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28817 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  28819 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  28822 */     GIR_RootConstrainSelectedInstOperands,
     /*  28823 */     // GIR_Coverage, 17360,
     /*  28823 */     GIR_EraseRootFromParent_Done,
     /*  28824 */   // Label 743: @28824
     /*  28824 */   GIM_Try, /*On fail goto*//*Label 744*/ GIMT_Encode4(28878), // Rule ID 17362 //
     /*  28829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  28832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  28835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  28847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  28851 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  28855 */     // MIs[1] src
     /*  28855 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/1, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  28860 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  28864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28866 */     // (or:{ *:[i64] } GR64:{ *:[i64] }:$src, (add:{ *:[i64] } GR64:{ *:[i64] }:$src, -1:{ *:[i64] }))  =>  (BLSFILL64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  28866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLSFILL64rr),
     /*  28869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28871 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  28873 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  28876 */     GIR_RootConstrainSelectedInstOperands,
     /*  28877 */     // GIR_Coverage, 17362,
     /*  28877 */     GIR_EraseRootFromParent_Done,
     /*  28878 */   // Label 744: @28878
     /*  28878 */   GIM_Try, /*On fail goto*//*Label 745*/ GIMT_Encode4(28987), // Rule ID 22784 //
     /*  28883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  28886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28890 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  28898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  28902 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  28906 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  28910 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  28914 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  28919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28921 */     // (or:{ *:[i64] } GR64:{ *:[i64] }:$src1, (shl:{ *:[i64] } 1:{ *:[i64] }, GR8:{ *:[i8] }:$src2))  =>  (BTS64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /*  28921 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  28924 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  28928 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  28933 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  28935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  28938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  28942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  28947 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  28950 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  28954 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  28957 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /*  28962 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /*  28967 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  28972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BTS64rr),
     /*  28975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28977 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  28979 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  28982 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  28985 */     GIR_RootConstrainSelectedInstOperands,
     /*  28986 */     // GIR_Coverage, 22784,
     /*  28986 */     GIR_EraseRootFromParent_Done,
     /*  28987 */   // Label 745: @28987
     /*  28987 */   GIM_Try, /*On fail goto*//*Label 746*/ GIMT_Encode4(29041), // Rule ID 17354 //
     /*  28992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  28995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  28998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  29002 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  29006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  29010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  29014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  29018 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  29022 */     // MIs[1] src
     /*  29022 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  29027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29029 */     // (or:{ *:[i64] } GR64:{ *:[i64] }:$src, (sub:{ *:[i64] } -2:{ *:[i64] }, GR64:{ *:[i64] }:$src))  =>  (BLCI64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  29029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCI64rr),
     /*  29032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29034 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  29036 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  29039 */     GIR_RootConstrainSelectedInstOperands,
     /*  29040 */     // GIR_Coverage, 17354,
     /*  29040 */     GIR_EraseRootFromParent_Done,
     /*  29041 */   // Label 746: @29041
     /*  29041 */   GIM_Try, /*On fail goto*//*Label 747*/ GIMT_Encode4(29089), // Rule ID 22834 //
     /*  29046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  29049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  29052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  29056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  29060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  29064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  29068 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /*  29072 */     // MIs[1] Operand 1
     /*  29072 */     // No operand predicates
     /*  29072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29074 */     // (or:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)  =>  (OR64ri32:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)
     /*  29074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR64ri32),
     /*  29077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29079 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  29081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  29084 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  29087 */     GIR_RootConstrainSelectedInstOperands,
     /*  29088 */     // GIR_Coverage, 22834,
     /*  29088 */     GIR_EraseRootFromParent_Done,
     /*  29089 */   // Label 747: @29089
     /*  29089 */   GIM_Try, /*On fail goto*//*Label 748*/ GIMT_Encode4(29137), // Rule ID 22924 //
     /*  29094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  29097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  29100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  29104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  29108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  29112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  29116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /*  29120 */     // MIs[1] Operand 1
     /*  29120 */     // No operand predicates
     /*  29120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29122 */     // (or:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)  =>  (OR64ri32_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)
     /*  29122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR64ri32_ND),
     /*  29125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29127 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  29129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  29132 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  29135 */     GIR_RootConstrainSelectedInstOperands,
     /*  29136 */     // GIR_Coverage, 22924,
     /*  29136 */     GIR_EraseRootFromParent_Done,
     /*  29137 */   // Label 748: @29137
     /*  29137 */   GIM_Try, /*On fail goto*//*Label 749*/ GIMT_Encode4(29173), // Rule ID 22826 //
     /*  29142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  29145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  29148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  29152 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  29156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  29160 */     // (or:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)  =>  (OR64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  29160 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::OR64rr),
     /*  29165 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  29171 */     GIR_RootConstrainSelectedInstOperands,
     /*  29172 */     // GIR_Coverage, 22826,
     /*  29172 */     GIR_Done,
     /*  29173 */   // Label 749: @29173
     /*  29173 */   GIM_Try, /*On fail goto*//*Label 750*/ GIMT_Encode4(29209), // Rule ID 22916 //
     /*  29178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  29181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  29184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  29188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  29192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  29196 */     // (or:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)  =>  (OR64rr_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  29196 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::OR64rr_ND),
     /*  29201 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  29207 */     GIR_RootConstrainSelectedInstOperands,
     /*  29208 */     // GIR_Coverage, 22916,
     /*  29208 */     GIR_Done,
     /*  29209 */   // Label 750: @29209
     /*  29209 */   GIM_Reject,
     /*  29210 */ // Label 728: @29210
     /*  29210 */ GIM_Reject,
     /*  29211 */ // Label 665: @29211
     /*  29211 */ GIM_Try, /*On fail goto*//*Label 751*/ GIMT_Encode4(29310), // Rule ID 19492 //
     /*  29216 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s1,
     /*  29219 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s1,
     /*  29222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  29226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  29230 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  29234 */   // (or:{ *:[v2i1] } VK2:{ *:[v2i1] }:$src1, VK2:{ *:[v2i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v2i1] } (KORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK2:{ *:[v2i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK2:{ *:[v2i1] }:$src2, VK16:{ *:[i32] })), VK2:{ *:[i32] })
     /*  29234 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  29237 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  29241 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  29246 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  29250 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  29255 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  29258 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  29262 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  29267 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /*  29271 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  29276 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  29279 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KORWkk),
     /*  29283 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  29288 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  29291 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  29294 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  29296 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  29299 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29301 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  29304 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK2RegClassID),
     /*  29309 */   // GIR_Coverage, 19492,
     /*  29309 */   GIR_EraseRootFromParent_Done,
     /*  29310 */ // Label 751: @29310
     /*  29310 */ GIM_Reject,
     /*  29311 */ // Label 666: @29311
     /*  29311 */ GIM_Try, /*On fail goto*//*Label 752*/ GIMT_Encode4(29652),
     /*  29316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  29319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  29322 */   GIM_Try, /*On fail goto*//*Label 753*/ GIMT_Encode4(29384), // Rule ID 23360 //
     /*  29327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  29330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  29334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  29342 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  29345 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  29349 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  29353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  29357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29359 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  29366 */     // (or:{ *:[v2i64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2i64] }:$src1)  =>  (VPORrm:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  29366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORrm),
     /*  29369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29371 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  29373 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  29377 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  29382 */     GIR_RootConstrainSelectedInstOperands,
     /*  29383 */     // GIR_Coverage, 23360,
     /*  29383 */     GIR_EraseRootFromParent_Done,
     /*  29384 */   // Label 753: @29384
     /*  29384 */   GIM_Try, /*On fail goto*//*Label 754*/ GIMT_Encode4(29446), // Rule ID 24182 //
     /*  29389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  29392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  29396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  29404 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  29407 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  29411 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  29415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  29419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29421 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  29428 */     // (or:{ *:[v2i64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v2i64] }:$src1)  =>  (VPORQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  29428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORQZ128rm),
     /*  29431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29433 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  29435 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  29439 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  29444 */     GIR_RootConstrainSelectedInstOperands,
     /*  29445 */     // GIR_Coverage, 24182,
     /*  29445 */     GIR_EraseRootFromParent_Done,
     /*  29446 */   // Label 754: @29446
     /*  29446 */   GIM_Try, /*On fail goto*//*Label 755*/ GIMT_Encode4(29508), // Rule ID 2116 //
     /*  29451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  29454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  29458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  29462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  29466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  29470 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  29473 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  29477 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  29481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29483 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  29490 */     // (or:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORrm:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  29490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORrm),
     /*  29493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29495 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  29497 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  29501 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  29506 */     GIR_RootConstrainSelectedInstOperands,
     /*  29507 */     // GIR_Coverage, 2116,
     /*  29507 */     GIR_EraseRootFromParent_Done,
     /*  29508 */   // Label 755: @29508
     /*  29508 */   GIM_Try, /*On fail goto*//*Label 756*/ GIMT_Encode4(29570), // Rule ID 5760 //
     /*  29513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  29516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  29520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  29524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  29528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  29532 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  29535 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  29539 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  29543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29545 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  29552 */     // (or:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  29552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORQZ128rm),
     /*  29555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29557 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  29559 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  29563 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  29568 */     GIR_RootConstrainSelectedInstOperands,
     /*  29569 */     // GIR_Coverage, 5760,
     /*  29569 */     GIR_EraseRootFromParent_Done,
     /*  29570 */   // Label 756: @29570
     /*  29570 */   GIM_Try, /*On fail goto*//*Label 757*/ GIMT_Encode4(29597), // Rule ID 2115 //
     /*  29575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  29578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  29582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  29586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  29590 */     // (or:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (VPORrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*  29590 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORrr),
     /*  29595 */     GIR_RootConstrainSelectedInstOperands,
     /*  29596 */     // GIR_Coverage, 2115,
     /*  29596 */     GIR_Done,
     /*  29597 */   // Label 757: @29597
     /*  29597 */   GIM_Try, /*On fail goto*//*Label 758*/ GIMT_Encode4(29624), // Rule ID 2117 //
     /*  29602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  29605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  29609 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  29613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  29617 */     // (or:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (PORrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*  29617 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PORrr),
     /*  29622 */     GIR_RootConstrainSelectedInstOperands,
     /*  29623 */     // GIR_Coverage, 2117,
     /*  29623 */     GIR_Done,
     /*  29624 */   // Label 758: @29624
     /*  29624 */   GIM_Try, /*On fail goto*//*Label 759*/ GIMT_Encode4(29651), // Rule ID 5757 //
     /*  29629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  29632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  29636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  29640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  29644 */     // (or:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (VPORQZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)
     /*  29644 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORQZ128rr),
     /*  29649 */     GIR_RootConstrainSelectedInstOperands,
     /*  29650 */     // GIR_Coverage, 5757,
     /*  29650 */     GIR_Done,
     /*  29651 */   // Label 759: @29651
     /*  29651 */   GIM_Reject,
     /*  29652 */ // Label 752: @29652
     /*  29652 */ GIM_Reject,
     /*  29653 */ // Label 667: @29653
     /*  29653 */ GIM_Try, /*On fail goto*//*Label 760*/ GIMT_Encode4(29752), // Rule ID 19493 //
     /*  29658 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s1,
     /*  29661 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s1,
     /*  29664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  29668 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  29672 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  29676 */   // (or:{ *:[v4i1] } VK4:{ *:[v4i1] }:$src1, VK4:{ *:[v4i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v4i1] } (KORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK4:{ *:[v4i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK4:{ *:[v4i1] }:$src2, VK16:{ *:[i32] })), VK4:{ *:[i32] })
     /*  29676 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  29679 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  29683 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  29688 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  29692 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  29697 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  29700 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  29704 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  29709 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /*  29713 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  29718 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  29721 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KORWkk),
     /*  29725 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  29730 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  29733 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  29736 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  29738 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  29741 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29743 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  29746 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK4RegClassID),
     /*  29751 */   // GIR_Coverage, 19493,
     /*  29751 */   GIR_EraseRootFromParent_Done,
     /*  29752 */ // Label 760: @29752
     /*  29752 */ GIM_Reject,
     /*  29753 */ // Label 668: @29753
     /*  29753 */ GIM_Try, /*On fail goto*//*Label 761*/ GIMT_Encode4(30094),
     /*  29758 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  29761 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  29764 */   GIM_Try, /*On fail goto*//*Label 762*/ GIMT_Encode4(29826), // Rule ID 24200 //
     /*  29769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  29772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  29776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  29784 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  29787 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  29791 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  29795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  29799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29801 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  29808 */     // (or:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v4i32] }:$src1)  =>  (VPORDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  29808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORDZ128rm),
     /*  29811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29813 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  29815 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  29819 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  29824 */     GIR_RootConstrainSelectedInstOperands,
     /*  29825 */     // GIR_Coverage, 24200,
     /*  29825 */     GIR_EraseRootFromParent_Done,
     /*  29826 */   // Label 762: @29826
     /*  29826 */   GIM_Try, /*On fail goto*//*Label 763*/ GIMT_Encode4(29888), // Rule ID 25253 //
     /*  29831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  29834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  29838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  29846 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  29849 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  29853 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  29857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  29861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29863 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  29870 */     // (or:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src1)  =>  (VPORrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  29870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORrm),
     /*  29873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29875 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  29877 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  29881 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  29886 */     GIR_RootConstrainSelectedInstOperands,
     /*  29887 */     // GIR_Coverage, 25253,
     /*  29887 */     GIR_EraseRootFromParent_Done,
     /*  29888 */   // Label 763: @29888
     /*  29888 */   GIM_Try, /*On fail goto*//*Label 764*/ GIMT_Encode4(29950), // Rule ID 5787 //
     /*  29893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  29896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  29900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  29904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  29908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  29912 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  29915 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  29919 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  29923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29925 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  29932 */     // (or:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  29932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORDZ128rm),
     /*  29935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29937 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  29939 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  29943 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  29948 */     GIR_RootConstrainSelectedInstOperands,
     /*  29949 */     // GIR_Coverage, 5787,
     /*  29949 */     GIR_EraseRootFromParent_Done,
     /*  29950 */   // Label 764: @29950
     /*  29950 */   GIM_Try, /*On fail goto*//*Label 765*/ GIMT_Encode4(30012), // Rule ID 18162 //
     /*  29955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  29958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  29962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  29966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  29970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  29974 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  29977 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  29981 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  29985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29987 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  29994 */     // (or:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  29994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORrm),
     /*  29997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29999 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  30001 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  30005 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  30010 */     GIR_RootConstrainSelectedInstOperands,
     /*  30011 */     // GIR_Coverage, 18162,
     /*  30011 */     GIR_EraseRootFromParent_Done,
     /*  30012 */   // Label 765: @30012
     /*  30012 */   GIM_Try, /*On fail goto*//*Label 766*/ GIMT_Encode4(30039), // Rule ID 5784 //
     /*  30017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  30020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  30024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  30028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  30032 */     // (or:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)  =>  (VPORDZ128rr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)
     /*  30032 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORDZ128rr),
     /*  30037 */     GIR_RootConstrainSelectedInstOperands,
     /*  30038 */     // GIR_Coverage, 5784,
     /*  30038 */     GIR_Done,
     /*  30039 */   // Label 766: @30039
     /*  30039 */   GIM_Try, /*On fail goto*//*Label 767*/ GIMT_Encode4(30066), // Rule ID 18150 //
     /*  30044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  30047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  30051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  30055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  30059 */     // (or:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (VPORrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*  30059 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORrr),
     /*  30064 */     GIR_RootConstrainSelectedInstOperands,
     /*  30065 */     // GIR_Coverage, 18150,
     /*  30065 */     GIR_Done,
     /*  30066 */   // Label 767: @30066
     /*  30066 */   GIM_Try, /*On fail goto*//*Label 768*/ GIMT_Encode4(30093), // Rule ID 18174 //
     /*  30071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  30074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  30078 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  30082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  30086 */     // (or:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (PORrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*  30086 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PORrr),
     /*  30091 */     GIR_RootConstrainSelectedInstOperands,
     /*  30092 */     // GIR_Coverage, 18174,
     /*  30092 */     GIR_Done,
     /*  30093 */   // Label 768: @30093
     /*  30093 */   GIM_Reject,
     /*  30094 */ // Label 761: @30094
     /*  30094 */ GIM_Reject,
     /*  30095 */ // Label 669: @30095
     /*  30095 */ GIM_Try, /*On fail goto*//*Label 769*/ GIMT_Encode4(30560),
     /*  30100 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  30103 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  30106 */   GIM_Try, /*On fail goto*//*Label 770*/ GIMT_Encode4(30168), // Rule ID 23362 //
     /*  30111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  30114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  30118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  30126 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  30129 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  30133 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  30137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  30141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30143 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  30150 */     // (or:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4i64] }:$src1)  =>  (VPORYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  30150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORYrm),
     /*  30153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30155 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  30157 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  30161 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  30166 */     GIR_RootConstrainSelectedInstOperands,
     /*  30167 */     // GIR_Coverage, 23362,
     /*  30167 */     GIR_EraseRootFromParent_Done,
     /*  30168 */   // Label 770: @30168
     /*  30168 */   GIM_Try, /*On fail goto*//*Label 771*/ GIMT_Encode4(30230), // Rule ID 24176 //
     /*  30173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  30176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  30180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  30188 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  30191 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  30195 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  30199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  30203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30205 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  30212 */     // (or:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v4i64] }:$src1)  =>  (VPORQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  30212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORQZ256rm),
     /*  30215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30217 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  30219 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  30223 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  30228 */     GIR_RootConstrainSelectedInstOperands,
     /*  30229 */     // GIR_Coverage, 24176,
     /*  30229 */     GIR_EraseRootFromParent_Done,
     /*  30230 */   // Label 771: @30230
     /*  30230 */   GIM_Try, /*On fail goto*//*Label 772*/ GIMT_Encode4(30292), // Rule ID 25243 //
     /*  30235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  30238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  30242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  30250 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  30253 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  30257 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  30261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  30265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30267 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  30274 */     // (or:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4i64] }:$src1)  =>  (VORPSYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  30274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VORPSYrm),
     /*  30277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30279 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  30281 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  30285 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  30290 */     GIR_RootConstrainSelectedInstOperands,
     /*  30291 */     // GIR_Coverage, 25243,
     /*  30291 */     GIR_EraseRootFromParent_Done,
     /*  30292 */   // Label 772: @30292
     /*  30292 */   GIM_Try, /*On fail goto*//*Label 773*/ GIMT_Encode4(30354), // Rule ID 2120 //
     /*  30297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  30300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  30304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  30308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  30312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  30316 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  30319 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  30323 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  30327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30329 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  30336 */     // (or:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  30336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORYrm),
     /*  30339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30341 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  30343 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  30347 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  30352 */     GIR_RootConstrainSelectedInstOperands,
     /*  30353 */     // GIR_Coverage, 2120,
     /*  30353 */     GIR_EraseRootFromParent_Done,
     /*  30354 */   // Label 773: @30354
     /*  30354 */   GIM_Try, /*On fail goto*//*Label 774*/ GIMT_Encode4(30416), // Rule ID 5751 //
     /*  30359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  30362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  30366 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  30370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  30374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  30378 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  30381 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  30385 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  30389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30391 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  30398 */     // (or:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  30398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORQZ256rm),
     /*  30401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30403 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  30405 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  30409 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  30414 */     GIR_RootConstrainSelectedInstOperands,
     /*  30415 */     // GIR_Coverage, 5751,
     /*  30415 */     GIR_EraseRootFromParent_Done,
     /*  30416 */   // Label 774: @30416
     /*  30416 */   GIM_Try, /*On fail goto*//*Label 775*/ GIMT_Encode4(30478), // Rule ID 18136 //
     /*  30421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  30424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  30428 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  30432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  30436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  30440 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  30443 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  30447 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  30451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30453 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  30460 */     // (or:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VORPSYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  30460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VORPSYrm),
     /*  30463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30465 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  30467 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  30471 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  30476 */     GIR_RootConstrainSelectedInstOperands,
     /*  30477 */     // GIR_Coverage, 18136,
     /*  30477 */     GIR_EraseRootFromParent_Done,
     /*  30478 */   // Label 775: @30478
     /*  30478 */   GIM_Try, /*On fail goto*//*Label 776*/ GIMT_Encode4(30505), // Rule ID 2119 //
     /*  30483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  30486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  30490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  30494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  30498 */     // (or:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)  =>  (VPORYrr:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)
     /*  30498 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORYrr),
     /*  30503 */     GIR_RootConstrainSelectedInstOperands,
     /*  30504 */     // GIR_Coverage, 2119,
     /*  30504 */     GIR_Done,
     /*  30505 */   // Label 776: @30505
     /*  30505 */   GIM_Try, /*On fail goto*//*Label 777*/ GIMT_Encode4(30532), // Rule ID 5748 //
     /*  30510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  30513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  30517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  30521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  30525 */     // (or:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (VPORQZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)
     /*  30525 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORQZ256rr),
     /*  30530 */     GIR_RootConstrainSelectedInstOperands,
     /*  30531 */     // GIR_Coverage, 5748,
     /*  30531 */     GIR_Done,
     /*  30532 */   // Label 777: @30532
     /*  30532 */   GIM_Try, /*On fail goto*//*Label 778*/ GIMT_Encode4(30559), // Rule ID 18120 //
     /*  30537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  30540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  30544 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  30548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  30552 */     // (or:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)  =>  (VORPSYrr:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)
     /*  30552 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VORPSYrr),
     /*  30557 */     GIR_RootConstrainSelectedInstOperands,
     /*  30558 */     // GIR_Coverage, 18120,
     /*  30558 */     GIR_Done,
     /*  30559 */   // Label 778: @30559
     /*  30559 */   GIM_Reject,
     /*  30560 */ // Label 769: @30560
     /*  30560 */ GIM_Reject,
     /*  30561 */ // Label 670: @30561
     /*  30561 */ GIM_Try, /*On fail goto*//*Label 779*/ GIMT_Encode4(30684),
     /*  30566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s1,
     /*  30569 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s1,
     /*  30572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  30576 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  30580 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  30584 */   GIM_Try, /*On fail goto*//*Label 780*/ GIMT_Encode4(30599), // Rule ID 4418 //
     /*  30589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  30592 */     // (or:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, VK8:{ *:[v8i1] }:$src2)  =>  (KORBkk:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, VK8:{ *:[v8i1] }:$src2)
     /*  30592 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::KORBkk),
     /*  30597 */     GIR_RootConstrainSelectedInstOperands,
     /*  30598 */     // GIR_Coverage, 4418,
     /*  30598 */     GIR_Done,
     /*  30599 */   // Label 780: @30599
     /*  30599 */   GIM_Try, /*On fail goto*//*Label 781*/ GIMT_Encode4(30683), // Rule ID 19490 //
     /*  30604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoDQI),
     /*  30607 */     // (or:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, VK8:{ *:[v8i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v8i1] } (KORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src2, VK16:{ *:[i32] })), VK8:{ *:[i32] })
     /*  30607 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  30610 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  30614 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  30619 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  30623 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  30628 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  30631 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  30635 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  30640 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /*  30644 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  30649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  30652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KORWkk),
     /*  30656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  30661 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  30664 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  30667 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  30669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  30672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30674 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  30677 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK8RegClassID),
     /*  30682 */     // GIR_Coverage, 19490,
     /*  30682 */     GIR_EraseRootFromParent_Done,
     /*  30683 */   // Label 781: @30683
     /*  30683 */   GIM_Reject,
     /*  30684 */ // Label 779: @30684
     /*  30684 */ GIM_Reject,
     /*  30685 */ // Label 671: @30685
     /*  30685 */ GIM_Try, /*On fail goto*//*Label 782*/ GIMT_Encode4(31026),
     /*  30690 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  30693 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  30696 */   GIM_Try, /*On fail goto*//*Label 783*/ GIMT_Encode4(30758), // Rule ID 25252 //
     /*  30701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  30704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  30708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  30716 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  30719 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  30723 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  30727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  30731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30733 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  30740 */     // (or:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1)  =>  (VPORrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  30740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORrm),
     /*  30743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30745 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  30747 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  30751 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  30756 */     GIR_RootConstrainSelectedInstOperands,
     /*  30757 */     // GIR_Coverage, 25252,
     /*  30757 */     GIR_EraseRootFromParent_Done,
     /*  30758 */   // Label 783: @30758
     /*  30758 */   GIM_Try, /*On fail goto*//*Label 784*/ GIMT_Encode4(30820), // Rule ID 25432 //
     /*  30763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  30766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  30770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  30778 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  30781 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  30785 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  30789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  30793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30795 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  30802 */     // (or:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8i16] }:$src1)  =>  (VPORQZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  30802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORQZ128rm),
     /*  30805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30807 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  30809 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  30813 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  30818 */     GIR_RootConstrainSelectedInstOperands,
     /*  30819 */     // GIR_Coverage, 25432,
     /*  30819 */     GIR_EraseRootFromParent_Done,
     /*  30820 */   // Label 784: @30820
     /*  30820 */   GIM_Try, /*On fail goto*//*Label 785*/ GIMT_Encode4(30882), // Rule ID 18161 //
     /*  30825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  30828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  30832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  30836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  30840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  30844 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  30847 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  30851 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  30855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30857 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  30864 */     // (or:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  30864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORrm),
     /*  30867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30869 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  30871 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  30875 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  30880 */     GIR_RootConstrainSelectedInstOperands,
     /*  30881 */     // GIR_Coverage, 18161,
     /*  30881 */     GIR_EraseRootFromParent_Done,
     /*  30882 */   // Label 785: @30882
     /*  30882 */   GIM_Try, /*On fail goto*//*Label 786*/ GIMT_Encode4(30944), // Rule ID 20026 //
     /*  30887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  30890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  30894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  30898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  30902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  30906 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  30909 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  30913 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  30917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30919 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  30926 */     // (or:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORQZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  30926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORQZ128rm),
     /*  30929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30931 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  30933 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  30937 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  30942 */     GIR_RootConstrainSelectedInstOperands,
     /*  30943 */     // GIR_Coverage, 20026,
     /*  30943 */     GIR_EraseRootFromParent_Done,
     /*  30944 */   // Label 786: @30944
     /*  30944 */   GIM_Try, /*On fail goto*//*Label 787*/ GIMT_Encode4(30971), // Rule ID 18149 //
     /*  30949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  30952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  30956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  30960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  30964 */     // (or:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPORrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /*  30964 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORrr),
     /*  30969 */     GIR_RootConstrainSelectedInstOperands,
     /*  30970 */     // GIR_Coverage, 18149,
     /*  30970 */     GIR_Done,
     /*  30971 */   // Label 787: @30971
     /*  30971 */   GIM_Try, /*On fail goto*//*Label 788*/ GIMT_Encode4(30998), // Rule ID 18173 //
     /*  30976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  30979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  30983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  30987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  30991 */     // (or:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PORrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /*  30991 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PORrr),
     /*  30996 */     GIR_RootConstrainSelectedInstOperands,
     /*  30997 */     // GIR_Coverage, 18173,
     /*  30997 */     GIR_Done,
     /*  30998 */   // Label 788: @30998
     /*  30998 */   GIM_Try, /*On fail goto*//*Label 789*/ GIMT_Encode4(31025), // Rule ID 20018 //
     /*  31003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  31006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  31010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  31014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  31018 */     // (or:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)  =>  (VPORQZ128rr:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)
     /*  31018 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORQZ128rr),
     /*  31023 */     GIR_RootConstrainSelectedInstOperands,
     /*  31024 */     // GIR_Coverage, 20018,
     /*  31024 */     GIR_Done,
     /*  31025 */   // Label 789: @31025
     /*  31025 */   GIM_Reject,
     /*  31026 */ // Label 782: @31026
     /*  31026 */ GIM_Reject,
     /*  31027 */ // Label 672: @31027
     /*  31027 */ GIM_Try, /*On fail goto*//*Label 790*/ GIMT_Encode4(31492),
     /*  31032 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  31035 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  31038 */   GIM_Try, /*On fail goto*//*Label 791*/ GIMT_Encode4(31100), // Rule ID 24194 //
     /*  31043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  31046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  31050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  31058 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  31061 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  31065 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  31069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  31073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31075 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  31082 */     // (or:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v8i32] }:$src1)  =>  (VPORDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  31082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORDZ256rm),
     /*  31085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31087 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  31089 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  31093 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  31098 */     GIR_RootConstrainSelectedInstOperands,
     /*  31099 */     // GIR_Coverage, 24194,
     /*  31099 */     GIR_EraseRootFromParent_Done,
     /*  31100 */   // Label 791: @31100
     /*  31100 */   GIM_Try, /*On fail goto*//*Label 792*/ GIMT_Encode4(31162), // Rule ID 25232 //
     /*  31105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  31108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  31112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  31120 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  31123 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  31127 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  31131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  31135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31137 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  31144 */     // (or:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8i32] }:$src1)  =>  (VPORYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  31144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORYrm),
     /*  31147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31149 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  31151 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  31155 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  31160 */     GIR_RootConstrainSelectedInstOperands,
     /*  31161 */     // GIR_Coverage, 25232,
     /*  31161 */     GIR_EraseRootFromParent_Done,
     /*  31162 */   // Label 792: @31162
     /*  31162 */   GIM_Try, /*On fail goto*//*Label 793*/ GIMT_Encode4(31224), // Rule ID 25242 //
     /*  31167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  31170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  31174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  31182 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  31185 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  31189 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  31193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  31197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31199 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  31206 */     // (or:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8i32] }:$src1)  =>  (VORPSYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  31206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VORPSYrm),
     /*  31209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31211 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  31213 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  31217 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  31222 */     GIR_RootConstrainSelectedInstOperands,
     /*  31223 */     // GIR_Coverage, 25242,
     /*  31223 */     GIR_EraseRootFromParent_Done,
     /*  31224 */   // Label 793: @31224
     /*  31224 */   GIM_Try, /*On fail goto*//*Label 794*/ GIMT_Encode4(31286), // Rule ID 5778 //
     /*  31229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  31232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  31236 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  31240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  31248 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  31251 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  31255 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  31259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31261 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  31268 */     // (or:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  31268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORDZ256rm),
     /*  31271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31273 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  31275 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  31279 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  31284 */     GIR_RootConstrainSelectedInstOperands,
     /*  31285 */     // GIR_Coverage, 5778,
     /*  31285 */     GIR_EraseRootFromParent_Done,
     /*  31286 */   // Label 794: @31286
     /*  31286 */   GIM_Try, /*On fail goto*//*Label 795*/ GIMT_Encode4(31348), // Rule ID 18106 //
     /*  31291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  31294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  31298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  31302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  31310 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  31313 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  31317 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  31321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31323 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  31330 */     // (or:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  31330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORYrm),
     /*  31333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31335 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  31337 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  31341 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  31346 */     GIR_RootConstrainSelectedInstOperands,
     /*  31347 */     // GIR_Coverage, 18106,
     /*  31347 */     GIR_EraseRootFromParent_Done,
     /*  31348 */   // Label 795: @31348
     /*  31348 */   GIM_Try, /*On fail goto*//*Label 796*/ GIMT_Encode4(31410), // Rule ID 18135 //
     /*  31353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  31356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  31360 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  31364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  31372 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  31375 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  31379 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  31383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31385 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  31392 */     // (or:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VORPSYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  31392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VORPSYrm),
     /*  31395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31397 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  31399 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  31403 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  31408 */     GIR_RootConstrainSelectedInstOperands,
     /*  31409 */     // GIR_Coverage, 18135,
     /*  31409 */     GIR_EraseRootFromParent_Done,
     /*  31410 */   // Label 796: @31410
     /*  31410 */   GIM_Try, /*On fail goto*//*Label 797*/ GIMT_Encode4(31437), // Rule ID 5775 //
     /*  31415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  31418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  31422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  31426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  31430 */     // (or:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)  =>  (VPORDZ256rr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)
     /*  31430 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORDZ256rr),
     /*  31435 */     GIR_RootConstrainSelectedInstOperands,
     /*  31436 */     // GIR_Coverage, 5775,
     /*  31436 */     GIR_Done,
     /*  31437 */   // Label 797: @31437
     /*  31437 */   GIM_Try, /*On fail goto*//*Label 798*/ GIMT_Encode4(31464), // Rule ID 18094 //
     /*  31442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  31445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  31449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  31453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  31457 */     // (or:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)  =>  (VPORYrr:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)
     /*  31457 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORYrr),
     /*  31462 */     GIR_RootConstrainSelectedInstOperands,
     /*  31463 */     // GIR_Coverage, 18094,
     /*  31463 */     GIR_Done,
     /*  31464 */   // Label 798: @31464
     /*  31464 */   GIM_Try, /*On fail goto*//*Label 799*/ GIMT_Encode4(31491), // Rule ID 18119 //
     /*  31469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  31472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  31476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  31480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  31484 */     // (or:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)  =>  (VORPSYrr:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)
     /*  31484 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VORPSYrr),
     /*  31489 */     GIR_RootConstrainSelectedInstOperands,
     /*  31490 */     // GIR_Coverage, 18119,
     /*  31490 */     GIR_Done,
     /*  31491 */   // Label 799: @31491
     /*  31491 */   GIM_Reject,
     /*  31492 */ // Label 790: @31492
     /*  31492 */ GIM_Reject,
     /*  31493 */ // Label 673: @31493
     /*  31493 */ GIM_Try, /*On fail goto*//*Label 800*/ GIMT_Encode4(31648),
     /*  31498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  31501 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /*  31504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  31508 */   GIM_Try, /*On fail goto*//*Label 801*/ GIMT_Encode4(31566), // Rule ID 24170 //
     /*  31513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  31516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  31524 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  31527 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  31531 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  31535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  31539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31541 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  31548 */     // (or:{ *:[v8i64] } (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v8i64] }:$src1)  =>  (VPORQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  31548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORQZrm),
     /*  31551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31553 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  31555 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  31559 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  31564 */     GIR_RootConstrainSelectedInstOperands,
     /*  31565 */     // GIR_Coverage, 24170,
     /*  31565 */     GIR_EraseRootFromParent_Done,
     /*  31566 */   // Label 801: @31566
     /*  31566 */   GIM_Try, /*On fail goto*//*Label 802*/ GIMT_Encode4(31624), // Rule ID 5742 //
     /*  31571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  31574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  31578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  31586 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  31589 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  31593 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  31597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31599 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  31606 */     // (or:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  31606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORQZrm),
     /*  31609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31611 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  31613 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  31617 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  31622 */     GIR_RootConstrainSelectedInstOperands,
     /*  31623 */     // GIR_Coverage, 5742,
     /*  31623 */     GIR_EraseRootFromParent_Done,
     /*  31624 */   // Label 802: @31624
     /*  31624 */   GIM_Try, /*On fail goto*//*Label 803*/ GIMT_Encode4(31647), // Rule ID 5739 //
     /*  31629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  31632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  31636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  31640 */     // (or:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)  =>  (VPORQZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)
     /*  31640 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORQZrr),
     /*  31645 */     GIR_RootConstrainSelectedInstOperands,
     /*  31646 */     // GIR_Coverage, 5739,
     /*  31646 */     GIR_Done,
     /*  31647 */   // Label 803: @31647
     /*  31647 */   GIM_Reject,
     /*  31648 */ // Label 800: @31648
     /*  31648 */ GIM_Reject,
     /*  31649 */ // Label 674: @31649
     /*  31649 */ GIM_Try, /*On fail goto*//*Label 804*/ GIMT_Encode4(31682), // Rule ID 4419 //
     /*  31654 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  31657 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s1,
     /*  31660 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s1,
     /*  31663 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  31667 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  31671 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  31675 */   // (or:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src1, VK16:{ *:[v16i1] }:$src2)  =>  (KORWkk:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src1, VK16:{ *:[v16i1] }:$src2)
     /*  31675 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::KORWkk),
     /*  31680 */   GIR_RootConstrainSelectedInstOperands,
     /*  31681 */   // GIR_Coverage, 4419,
     /*  31681 */   GIR_Done,
     /*  31682 */ // Label 804: @31682
     /*  31682 */ GIM_Reject,
     /*  31683 */ // Label 675: @31683
     /*  31683 */ GIM_Try, /*On fail goto*//*Label 805*/ GIMT_Encode4(32024),
     /*  31688 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  31691 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  31694 */   GIM_Try, /*On fail goto*//*Label 806*/ GIMT_Encode4(31756), // Rule ID 25251 //
     /*  31699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  31702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  31706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  31714 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  31717 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  31721 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  31725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  31729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31731 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  31738 */     // (or:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v16i8] }:$src1)  =>  (VPORrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  31738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORrm),
     /*  31741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31743 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  31745 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  31749 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  31754 */     GIR_RootConstrainSelectedInstOperands,
     /*  31755 */     // GIR_Coverage, 25251,
     /*  31755 */     GIR_EraseRootFromParent_Done,
     /*  31756 */   // Label 806: @31756
     /*  31756 */   GIM_Try, /*On fail goto*//*Label 807*/ GIMT_Encode4(31818), // Rule ID 25431 //
     /*  31761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  31764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  31768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  31776 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  31779 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  31783 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  31787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  31791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31793 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  31800 */     // (or:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v16i8] }:$src1)  =>  (VPORQZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  31800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORQZ128rm),
     /*  31803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31805 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  31807 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  31811 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  31816 */     GIR_RootConstrainSelectedInstOperands,
     /*  31817 */     // GIR_Coverage, 25431,
     /*  31817 */     GIR_EraseRootFromParent_Done,
     /*  31818 */   // Label 807: @31818
     /*  31818 */   GIM_Try, /*On fail goto*//*Label 808*/ GIMT_Encode4(31880), // Rule ID 18160 //
     /*  31823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  31826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  31830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  31834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  31842 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  31845 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  31849 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  31853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31855 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  31862 */     // (or:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  31862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORrm),
     /*  31865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31867 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  31869 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  31873 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  31878 */     GIR_RootConstrainSelectedInstOperands,
     /*  31879 */     // GIR_Coverage, 18160,
     /*  31879 */     GIR_EraseRootFromParent_Done,
     /*  31880 */   // Label 808: @31880
     /*  31880 */   GIM_Try, /*On fail goto*//*Label 809*/ GIMT_Encode4(31942), // Rule ID 20025 //
     /*  31885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  31888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  31892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  31896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  31904 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  31907 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  31911 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  31915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31917 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  31924 */     // (or:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORQZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  31924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORQZ128rm),
     /*  31927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31929 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  31931 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  31935 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  31940 */     GIR_RootConstrainSelectedInstOperands,
     /*  31941 */     // GIR_Coverage, 20025,
     /*  31941 */     GIR_EraseRootFromParent_Done,
     /*  31942 */   // Label 809: @31942
     /*  31942 */   GIM_Try, /*On fail goto*//*Label 810*/ GIMT_Encode4(31969), // Rule ID 18148 //
     /*  31947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  31950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  31954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  31958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  31962 */     // (or:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (VPORrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /*  31962 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORrr),
     /*  31967 */     GIR_RootConstrainSelectedInstOperands,
     /*  31968 */     // GIR_Coverage, 18148,
     /*  31968 */     GIR_Done,
     /*  31969 */   // Label 810: @31969
     /*  31969 */   GIM_Try, /*On fail goto*//*Label 811*/ GIMT_Encode4(31996), // Rule ID 18172 //
     /*  31974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  31977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  31981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  31985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  31989 */     // (or:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (PORrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /*  31989 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PORrr),
     /*  31994 */     GIR_RootConstrainSelectedInstOperands,
     /*  31995 */     // GIR_Coverage, 18172,
     /*  31995 */     GIR_Done,
     /*  31996 */   // Label 811: @31996
     /*  31996 */   GIM_Try, /*On fail goto*//*Label 812*/ GIMT_Encode4(32023), // Rule ID 20017 //
     /*  32001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  32004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  32008 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  32012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  32016 */     // (or:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)  =>  (VPORQZ128rr:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)
     /*  32016 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORQZ128rr),
     /*  32021 */     GIR_RootConstrainSelectedInstOperands,
     /*  32022 */     // GIR_Coverage, 20017,
     /*  32022 */     GIR_Done,
     /*  32023 */   // Label 812: @32023
     /*  32023 */   GIM_Reject,
     /*  32024 */ // Label 805: @32024
     /*  32024 */ GIM_Reject,
     /*  32025 */ // Label 676: @32025
     /*  32025 */ GIM_Try, /*On fail goto*//*Label 813*/ GIMT_Encode4(32490),
     /*  32030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*  32033 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /*  32036 */   GIM_Try, /*On fail goto*//*Label 814*/ GIMT_Encode4(32098), // Rule ID 25231 //
     /*  32041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  32044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  32056 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  32059 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  32063 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  32067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32073 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  32080 */     // (or:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v16i16] }:$src1)  =>  (VPORYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  32080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORYrm),
     /*  32083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32085 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  32087 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  32091 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  32096 */     GIR_RootConstrainSelectedInstOperands,
     /*  32097 */     // GIR_Coverage, 25231,
     /*  32097 */     GIR_EraseRootFromParent_Done,
     /*  32098 */   // Label 814: @32098
     /*  32098 */   GIM_Try, /*On fail goto*//*Label 815*/ GIMT_Encode4(32160), // Rule ID 25241 //
     /*  32103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  32106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  32118 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  32121 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  32125 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  32129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32135 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  32142 */     // (or:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v16i16] }:$src1)  =>  (VORPSYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  32142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VORPSYrm),
     /*  32145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32147 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  32149 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  32153 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  32158 */     GIR_RootConstrainSelectedInstOperands,
     /*  32159 */     // GIR_Coverage, 25241,
     /*  32159 */     GIR_EraseRootFromParent_Done,
     /*  32160 */   // Label 815: @32160
     /*  32160 */   GIM_Try, /*On fail goto*//*Label 816*/ GIMT_Encode4(32222), // Rule ID 25438 //
     /*  32165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  32168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  32172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  32180 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  32183 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  32187 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  32191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  32195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32197 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  32204 */     // (or:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16i16] }:$src1)  =>  (VPORQZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  32204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORQZ256rm),
     /*  32207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32209 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  32211 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  32215 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  32220 */     GIR_RootConstrainSelectedInstOperands,
     /*  32221 */     // GIR_Coverage, 25438,
     /*  32221 */     GIR_EraseRootFromParent_Done,
     /*  32222 */   // Label 816: @32222
     /*  32222 */   GIM_Try, /*On fail goto*//*Label 817*/ GIMT_Encode4(32284), // Rule ID 18105 //
     /*  32227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  32230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  32242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  32246 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  32249 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  32253 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  32257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32259 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  32266 */     // (or:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  32266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORYrm),
     /*  32269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32271 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  32273 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  32277 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  32282 */     GIR_RootConstrainSelectedInstOperands,
     /*  32283 */     // GIR_Coverage, 18105,
     /*  32283 */     GIR_EraseRootFromParent_Done,
     /*  32284 */   // Label 817: @32284
     /*  32284 */   GIM_Try, /*On fail goto*//*Label 818*/ GIMT_Encode4(32346), // Rule ID 18134 //
     /*  32289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  32292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  32304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  32308 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  32311 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  32315 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  32319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32321 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  32328 */     // (or:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VORPSYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  32328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VORPSYrm),
     /*  32331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32333 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  32335 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  32339 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  32344 */     GIR_RootConstrainSelectedInstOperands,
     /*  32345 */     // GIR_Coverage, 18134,
     /*  32345 */     GIR_EraseRootFromParent_Done,
     /*  32346 */   // Label 818: @32346
     /*  32346 */   GIM_Try, /*On fail goto*//*Label 819*/ GIMT_Encode4(32408), // Rule ID 20042 //
     /*  32351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  32354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  32358 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  32362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  32366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  32370 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  32373 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  32377 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  32381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32383 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  32390 */     // (or:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORQZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  32390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORQZ256rm),
     /*  32393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32395 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  32397 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  32401 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  32406 */     GIR_RootConstrainSelectedInstOperands,
     /*  32407 */     // GIR_Coverage, 20042,
     /*  32407 */     GIR_EraseRootFromParent_Done,
     /*  32408 */   // Label 819: @32408
     /*  32408 */   GIM_Try, /*On fail goto*//*Label 820*/ GIMT_Encode4(32435), // Rule ID 18093 //
     /*  32413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  32416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32428 */     // (or:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPORYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /*  32428 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORYrr),
     /*  32433 */     GIR_RootConstrainSelectedInstOperands,
     /*  32434 */     // GIR_Coverage, 18093,
     /*  32434 */     GIR_Done,
     /*  32435 */   // Label 820: @32435
     /*  32435 */   GIM_Try, /*On fail goto*//*Label 821*/ GIMT_Encode4(32462), // Rule ID 18118 //
     /*  32440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  32443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32455 */     // (or:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VORPSYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /*  32455 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VORPSYrr),
     /*  32460 */     GIR_RootConstrainSelectedInstOperands,
     /*  32461 */     // GIR_Coverage, 18118,
     /*  32461 */     GIR_Done,
     /*  32462 */   // Label 821: @32462
     /*  32462 */   GIM_Try, /*On fail goto*//*Label 822*/ GIMT_Encode4(32489), // Rule ID 20034 //
     /*  32467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  32470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  32474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  32478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  32482 */     // (or:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)  =>  (VPORQZ256rr:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)
     /*  32482 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORQZ256rr),
     /*  32487 */     GIR_RootConstrainSelectedInstOperands,
     /*  32488 */     // GIR_Coverage, 20034,
     /*  32488 */     GIR_Done,
     /*  32489 */   // Label 822: @32489
     /*  32489 */   GIM_Reject,
     /*  32490 */ // Label 813: @32490
     /*  32490 */ GIM_Reject,
     /*  32491 */ // Label 677: @32491
     /*  32491 */ GIM_Try, /*On fail goto*//*Label 823*/ GIMT_Encode4(32646),
     /*  32496 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /*  32499 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /*  32502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  32506 */   GIM_Try, /*On fail goto*//*Label 824*/ GIMT_Encode4(32564), // Rule ID 24188 //
     /*  32511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  32514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  32522 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  32525 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  32529 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  32533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  32537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32539 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  32546 */     // (or:{ *:[v16i32] } (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v16i32] }:$src1)  =>  (VPORDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  32546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORDZrm),
     /*  32549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32551 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  32553 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  32557 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  32562 */     GIR_RootConstrainSelectedInstOperands,
     /*  32563 */     // GIR_Coverage, 24188,
     /*  32563 */     GIR_EraseRootFromParent_Done,
     /*  32564 */   // Label 824: @32564
     /*  32564 */   GIM_Try, /*On fail goto*//*Label 825*/ GIMT_Encode4(32622), // Rule ID 5769 //
     /*  32569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  32572 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  32576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  32580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  32584 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  32587 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  32591 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  32595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32597 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  32604 */     // (or:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  32604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORDZrm),
     /*  32607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32609 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  32611 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  32615 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  32620 */     GIR_RootConstrainSelectedInstOperands,
     /*  32621 */     // GIR_Coverage, 5769,
     /*  32621 */     GIR_EraseRootFromParent_Done,
     /*  32622 */   // Label 825: @32622
     /*  32622 */   GIM_Try, /*On fail goto*//*Label 826*/ GIMT_Encode4(32645), // Rule ID 5766 //
     /*  32627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  32630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  32634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  32638 */     // (or:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)  =>  (VPORDZrr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)
     /*  32638 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORDZrr),
     /*  32643 */     GIR_RootConstrainSelectedInstOperands,
     /*  32644 */     // GIR_Coverage, 5766,
     /*  32644 */     GIR_Done,
     /*  32645 */   // Label 826: @32645
     /*  32645 */   GIM_Reject,
     /*  32646 */ // Label 823: @32646
     /*  32646 */ GIM_Reject,
     /*  32647 */ // Label 678: @32647
     /*  32647 */ GIM_Try, /*On fail goto*//*Label 827*/ GIMT_Encode4(32680), // Rule ID 4420 //
     /*  32652 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  32655 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s1,
     /*  32658 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s1,
     /*  32661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  32665 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  32669 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  32673 */   // (or:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src1, VK32:{ *:[v32i1] }:$src2)  =>  (KORDkk:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src1, VK32:{ *:[v32i1] }:$src2)
     /*  32673 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::KORDkk),
     /*  32678 */   GIR_RootConstrainSelectedInstOperands,
     /*  32679 */   // GIR_Coverage, 4420,
     /*  32679 */   GIR_Done,
     /*  32680 */ // Label 827: @32680
     /*  32680 */ GIM_Reject,
     /*  32681 */ // Label 679: @32681
     /*  32681 */ GIM_Try, /*On fail goto*//*Label 828*/ GIMT_Encode4(33146),
     /*  32686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /*  32689 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s8,
     /*  32692 */   GIM_Try, /*On fail goto*//*Label 829*/ GIMT_Encode4(32754), // Rule ID 25230 //
     /*  32697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  32700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  32712 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  32715 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  32719 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  32723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32729 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  32736 */     // (or:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v32i8] }:$src1)  =>  (VPORYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  32736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORYrm),
     /*  32739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32741 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  32743 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  32747 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  32752 */     GIR_RootConstrainSelectedInstOperands,
     /*  32753 */     // GIR_Coverage, 25230,
     /*  32753 */     GIR_EraseRootFromParent_Done,
     /*  32754 */   // Label 829: @32754
     /*  32754 */   GIM_Try, /*On fail goto*//*Label 830*/ GIMT_Encode4(32816), // Rule ID 25240 //
     /*  32759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  32762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  32774 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  32777 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  32781 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  32785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32791 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  32798 */     // (or:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v32i8] }:$src1)  =>  (VORPSYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  32798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VORPSYrm),
     /*  32801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32803 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  32805 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  32809 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  32814 */     GIR_RootConstrainSelectedInstOperands,
     /*  32815 */     // GIR_Coverage, 25240,
     /*  32815 */     GIR_EraseRootFromParent_Done,
     /*  32816 */   // Label 830: @32816
     /*  32816 */   GIM_Try, /*On fail goto*//*Label 831*/ GIMT_Encode4(32878), // Rule ID 25437 //
     /*  32821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  32824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  32828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  32836 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  32839 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  32843 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  32847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  32851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32853 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  32860 */     // (or:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v32i8] }:$src1)  =>  (VPORQZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  32860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORQZ256rm),
     /*  32863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32865 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  32867 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  32871 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  32876 */     GIR_RootConstrainSelectedInstOperands,
     /*  32877 */     // GIR_Coverage, 25437,
     /*  32877 */     GIR_EraseRootFromParent_Done,
     /*  32878 */   // Label 831: @32878
     /*  32878 */   GIM_Try, /*On fail goto*//*Label 832*/ GIMT_Encode4(32940), // Rule ID 18104 //
     /*  32883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  32886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32890 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  32898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  32902 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  32905 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  32909 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  32913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32915 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  32922 */     // (or:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  32922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORYrm),
     /*  32925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32927 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  32929 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  32933 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  32938 */     GIR_RootConstrainSelectedInstOperands,
     /*  32939 */     // GIR_Coverage, 18104,
     /*  32939 */     GIR_EraseRootFromParent_Done,
     /*  32940 */   // Label 832: @32940
     /*  32940 */   GIM_Try, /*On fail goto*//*Label 833*/ GIMT_Encode4(33002), // Rule ID 18133 //
     /*  32945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  32948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  32960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  32964 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  32967 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  32971 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  32975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32977 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  32984 */     // (or:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VORPSYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  32984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VORPSYrm),
     /*  32987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32989 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  32991 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  32995 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  33000 */     GIR_RootConstrainSelectedInstOperands,
     /*  33001 */     // GIR_Coverage, 18133,
     /*  33001 */     GIR_EraseRootFromParent_Done,
     /*  33002 */   // Label 833: @33002
     /*  33002 */   GIM_Try, /*On fail goto*//*Label 834*/ GIMT_Encode4(33064), // Rule ID 20041 //
     /*  33007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  33010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  33014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  33018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  33026 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  33029 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  33033 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  33037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33039 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  33046 */     // (or:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORQZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  33046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORQZ256rm),
     /*  33049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33051 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  33053 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  33057 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  33062 */     GIR_RootConstrainSelectedInstOperands,
     /*  33063 */     // GIR_Coverage, 20041,
     /*  33063 */     GIR_EraseRootFromParent_Done,
     /*  33064 */   // Label 834: @33064
     /*  33064 */   GIM_Try, /*On fail goto*//*Label 835*/ GIMT_Encode4(33091), // Rule ID 18092 //
     /*  33069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  33072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  33076 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  33080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  33084 */     // (or:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)  =>  (VPORYrr:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)
     /*  33084 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORYrr),
     /*  33089 */     GIR_RootConstrainSelectedInstOperands,
     /*  33090 */     // GIR_Coverage, 18092,
     /*  33090 */     GIR_Done,
     /*  33091 */   // Label 835: @33091
     /*  33091 */   GIM_Try, /*On fail goto*//*Label 836*/ GIMT_Encode4(33118), // Rule ID 18117 //
     /*  33096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  33099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  33103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  33107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  33111 */     // (or:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)  =>  (VORPSYrr:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)
     /*  33111 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VORPSYrr),
     /*  33116 */     GIR_RootConstrainSelectedInstOperands,
     /*  33117 */     // GIR_Coverage, 18117,
     /*  33117 */     GIR_Done,
     /*  33118 */   // Label 836: @33118
     /*  33118 */   GIM_Try, /*On fail goto*//*Label 837*/ GIMT_Encode4(33145), // Rule ID 20033 //
     /*  33123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  33126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  33130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  33134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  33138 */     // (or:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)  =>  (VPORQZ256rr:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)
     /*  33138 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORQZ256rr),
     /*  33143 */     GIR_RootConstrainSelectedInstOperands,
     /*  33144 */     // GIR_Coverage, 20033,
     /*  33144 */     GIR_Done,
     /*  33145 */   // Label 837: @33145
     /*  33145 */   GIM_Reject,
     /*  33146 */ // Label 828: @33146
     /*  33146 */ GIM_Reject,
     /*  33147 */ // Label 680: @33147
     /*  33147 */ GIM_Try, /*On fail goto*//*Label 838*/ GIMT_Encode4(33302),
     /*  33152 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /*  33155 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /*  33158 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  33162 */   GIM_Try, /*On fail goto*//*Label 839*/ GIMT_Encode4(33220), // Rule ID 25444 //
     /*  33167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  33170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  33178 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  33181 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  33185 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  33189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  33193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33195 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  33202 */     // (or:{ *:[v32i16] } (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32i16] }:$src1)  =>  (VPORQZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  33202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORQZrm),
     /*  33205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33207 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  33209 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  33213 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  33218 */     GIR_RootConstrainSelectedInstOperands,
     /*  33219 */     // GIR_Coverage, 25444,
     /*  33219 */     GIR_EraseRootFromParent_Done,
     /*  33220 */   // Label 839: @33220
     /*  33220 */   GIM_Try, /*On fail goto*//*Label 840*/ GIMT_Encode4(33278), // Rule ID 20058 //
     /*  33225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  33228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  33232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  33240 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  33243 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  33247 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  33251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33253 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  33260 */     // (or:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORQZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  33260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORQZrm),
     /*  33263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33265 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  33267 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  33271 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  33276 */     GIR_RootConstrainSelectedInstOperands,
     /*  33277 */     // GIR_Coverage, 20058,
     /*  33277 */     GIR_EraseRootFromParent_Done,
     /*  33278 */   // Label 840: @33278
     /*  33278 */   GIM_Try, /*On fail goto*//*Label 841*/ GIMT_Encode4(33301), // Rule ID 20050 //
     /*  33283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  33286 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  33290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  33294 */     // (or:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)  =>  (VPORQZrr:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)
     /*  33294 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORQZrr),
     /*  33299 */     GIR_RootConstrainSelectedInstOperands,
     /*  33300 */     // GIR_Coverage, 20050,
     /*  33300 */     GIR_Done,
     /*  33301 */   // Label 841: @33301
     /*  33301 */   GIM_Reject,
     /*  33302 */ // Label 838: @33302
     /*  33302 */ GIM_Reject,
     /*  33303 */ // Label 681: @33303
     /*  33303 */ GIM_Try, /*On fail goto*//*Label 842*/ GIMT_Encode4(33336), // Rule ID 4421 //
     /*  33308 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  33311 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s1,
     /*  33314 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s1,
     /*  33317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  33321 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  33325 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  33329 */   // (or:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src1, VK64:{ *:[v64i1] }:$src2)  =>  (KORQkk:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src1, VK64:{ *:[v64i1] }:$src2)
     /*  33329 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::KORQkk),
     /*  33334 */   GIR_RootConstrainSelectedInstOperands,
     /*  33335 */   // GIR_Coverage, 4421,
     /*  33335 */   GIR_Done,
     /*  33336 */ // Label 842: @33336
     /*  33336 */ GIM_Reject,
     /*  33337 */ // Label 682: @33337
     /*  33337 */ GIM_Try, /*On fail goto*//*Label 843*/ GIMT_Encode4(33492),
     /*  33342 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /*  33345 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s8,
     /*  33348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  33352 */   GIM_Try, /*On fail goto*//*Label 844*/ GIMT_Encode4(33410), // Rule ID 25443 //
     /*  33357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  33360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  33368 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  33371 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  33375 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  33379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  33383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33385 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  33392 */     // (or:{ *:[v64i8] } (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v64i8] }:$src1)  =>  (VPORQZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  33392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORQZrm),
     /*  33395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33397 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  33399 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  33403 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  33408 */     GIR_RootConstrainSelectedInstOperands,
     /*  33409 */     // GIR_Coverage, 25443,
     /*  33409 */     GIR_EraseRootFromParent_Done,
     /*  33410 */   // Label 844: @33410
     /*  33410 */   GIM_Try, /*On fail goto*//*Label 845*/ GIMT_Encode4(33468), // Rule ID 20057 //
     /*  33415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  33418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  33422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  33430 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  33433 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  33437 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  33441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33443 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  33450 */     // (or:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORQZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  33450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORQZrm),
     /*  33453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33455 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  33457 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  33461 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  33466 */     GIR_RootConstrainSelectedInstOperands,
     /*  33467 */     // GIR_Coverage, 20057,
     /*  33467 */     GIR_EraseRootFromParent_Done,
     /*  33468 */   // Label 845: @33468
     /*  33468 */   GIM_Try, /*On fail goto*//*Label 846*/ GIMT_Encode4(33491), // Rule ID 20049 //
     /*  33473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  33476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  33480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  33484 */     // (or:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)  =>  (VPORQZrr:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)
     /*  33484 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORQZrr),
     /*  33489 */     GIR_RootConstrainSelectedInstOperands,
     /*  33490 */     // GIR_Coverage, 20049,
     /*  33490 */     GIR_Done,
     /*  33491 */   // Label 846: @33491
     /*  33491 */   GIM_Reject,
     /*  33492 */ // Label 843: @33492
     /*  33492 */ GIM_Reject,
     /*  33493 */ // Label 683: @33493
     /*  33493 */ GIM_Reject,
     /*  33494 */ // Label 5: @33494
     /*  33494 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(25), /*)*//*default:*//*Label 870*/ GIMT_Encode4(46194),
     /*  33505 */ /*GILLT_s1*//*Label 847*/ GIMT_Encode4(33605),
     /*  33509 */ /*GILLT_s8*//*Label 848*/ GIMT_Encode4(34163),
     /*  33513 */ /*GILLT_s16*//*Label 849*/ GIMT_Encode4(34690),
     /*  33517 */ /*GILLT_s32*//*Label 850*/ GIMT_Encode4(35435),
     /*  33521 */ /*GILLT_s64*//*Label 851*/ GIMT_Encode4(36383), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  33533 */ /*GILLT_v2s1*//*Label 852*/ GIMT_Encode4(37290),
     /*  33537 */ /*GILLT_v2s64*//*Label 853*/ GIMT_Encode4(37832),
     /*  33541 */ /*GILLT_v4s1*//*Label 854*/ GIMT_Encode4(38452),
     /*  33545 */ /*GILLT_v4s32*//*Label 855*/ GIMT_Encode4(38994),
     /*  33549 */ /*GILLT_v4s64*//*Label 856*/ GIMT_Encode4(39614),
     /*  33553 */ /*GILLT_v8s1*//*Label 857*/ GIMT_Encode4(40358),
     /*  33557 */ /*GILLT_v8s16*//*Label 858*/ GIMT_Encode4(41156),
     /*  33561 */ /*GILLT_v8s32*//*Label 859*/ GIMT_Encode4(41776),
     /*  33565 */ /*GILLT_v8s64*//*Label 860*/ GIMT_Encode4(42520),
     /*  33569 */ /*GILLT_v16s1*//*Label 861*/ GIMT_Encode4(42718),
     /*  33573 */ /*GILLT_v16s8*//*Label 862*/ GIMT_Encode4(42976),
     /*  33577 */ /*GILLT_v16s16*//*Label 863*/ GIMT_Encode4(43596),
     /*  33581 */ /*GILLT_v16s32*//*Label 864*/ GIMT_Encode4(44340),
     /*  33585 */ /*GILLT_v32s1*//*Label 865*/ GIMT_Encode4(44538),
     /*  33589 */ /*GILLT_v32s8*//*Label 866*/ GIMT_Encode4(44796),
     /*  33593 */ /*GILLT_v32s16*//*Label 867*/ GIMT_Encode4(45540),
     /*  33597 */ /*GILLT_v64s1*//*Label 868*/ GIMT_Encode4(45738),
     /*  33601 */ /*GILLT_v64s8*//*Label 869*/ GIMT_Encode4(45996),
     /*  33605 */ // Label 847: @33605
     /*  33605 */ GIM_Try, /*On fail goto*//*Label 871*/ GIMT_Encode4(34162),
     /*  33610 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s1,
     /*  33613 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s1,
     /*  33616 */   GIM_Try, /*On fail goto*//*Label 872*/ GIMT_Encode4(33740), // Rule ID 25369 //
     /*  33621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  33625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  33633 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s1,
     /*  33637 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s1,
     /*  33641 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  33646 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  33650 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  33656 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  33658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  33662 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  33664 */     // (xor:{ *:[v1i1] } (xor:{ *:[v1i1] } VK1:{ *:[v1i1] }:$src1, immAllOnesV:{ *:[v1i1] }), VK1:{ *:[v1i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v1i1] } (KXNORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK1:{ *:[v1i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK1:{ *:[v1i1] }:$src2, VK16:{ *:[i32] })), VK1:{ *:[i32] })
     /*  33664 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  33667 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33671 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  33676 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  33680 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  33685 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  33688 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33692 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  33697 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  33701 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  33706 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  33709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KXNORWkk),
     /*  33713 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  33718 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  33721 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  33724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  33726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  33734 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK1RegClassID),
     /*  33739 */     // GIR_Coverage, 25369,
     /*  33739 */     GIR_EraseRootFromParent_Done,
     /*  33740 */   // Label 872: @33740
     /*  33740 */   GIM_Try, /*On fail goto*//*Label 873*/ GIMT_Encode4(33865), // Rule ID 19495 //
     /*  33745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  33749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  33757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s1,
     /*  33761 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s1,
     /*  33765 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  33770 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  33775 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  33779 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  33785 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  33787 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  33789 */     // (xor:{ *:[v1i1] } (xor:{ *:[v1i1] } VK1:{ *:[v1i1] }:$src1, VK1:{ *:[v1i1] }:$src2), immAllOnesV:{ *:[v1i1] })  =>  (COPY_TO_REGCLASS:{ *:[v1i1] } (KXNORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK1:{ *:[v1i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK1:{ *:[v1i1] }:$src2, VK16:{ *:[i32] })), VK1:{ *:[i32] })
     /*  33789 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  33792 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33796 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  33801 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  33805 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  33810 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  33813 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33817 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  33822 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  33826 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  33831 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  33834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KXNORWkk),
     /*  33838 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  33843 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  33846 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  33849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  33851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  33859 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK1RegClassID),
     /*  33864 */     // GIR_Coverage, 19495,
     /*  33864 */     GIR_EraseRootFromParent_Done,
     /*  33865 */   // Label 873: @33865
     /*  33865 */   GIM_Try, /*On fail goto*//*Label 874*/ GIMT_Encode4(33989), // Rule ID 25370 //
     /*  33870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  33874 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  33878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  33886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s1,
     /*  33890 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s1,
     /*  33894 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  33899 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  33903 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  33909 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  33911 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  33913 */     // (xor:{ *:[v1i1] } VK1:{ *:[v1i1] }:$src2, (xor:{ *:[v1i1] } VK1:{ *:[v1i1] }:$src1, immAllOnesV:{ *:[v1i1] }))  =>  (COPY_TO_REGCLASS:{ *:[v1i1] } (KXNORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK1:{ *:[v1i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK1:{ *:[v1i1] }:$src2, VK16:{ *:[i32] })), VK1:{ *:[i32] })
     /*  33913 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  33916 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33920 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  33925 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // src2
     /*  33929 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  33934 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  33937 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33941 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  33946 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  33950 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  33955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  33958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KXNORWkk),
     /*  33962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  33967 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  33970 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  33973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  33975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  33983 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK1RegClassID),
     /*  33988 */     // GIR_Coverage, 25370,
     /*  33988 */     GIR_EraseRootFromParent_Done,
     /*  33989 */   // Label 874: @33989
     /*  33989 */   GIM_Try, /*On fail goto*//*Label 875*/ GIMT_Encode4(34068), // Rule ID 19481 //
     /*  33994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  33998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  34002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34006 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  34012 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  34014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34016 */     // (xor:{ *:[v1i1] } VK1:{ *:[v1i1] }:$src, immAllOnesV:{ *:[v1i1] })  =>  (COPY_TO_REGCLASS:{ *:[v1i1] } (KNOTWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK1:{ *:[v1i1] }:$src, VK16:{ *:[i32] })), VK2:{ *:[i32] })
     /*  34016 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  34019 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  34023 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  34028 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  34032 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  34037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  34040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KNOTWkk),
     /*  34044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  34049 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  34052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  34054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  34057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  34062 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK2RegClassID),
     /*  34067 */     // GIR_Coverage, 19481,
     /*  34067 */     GIR_EraseRootFromParent_Done,
     /*  34068 */   // Label 875: @34068
     /*  34068 */   GIM_Try, /*On fail goto*//*Label 876*/ GIMT_Encode4(34161), // Rule ID 19499 //
     /*  34073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  34077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  34081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  34085 */     // (xor:{ *:[v1i1] } VK1:{ *:[v1i1] }:$src1, VK1:{ *:[v1i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v1i1] } (KXORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK1:{ *:[v1i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK1:{ *:[v1i1] }:$src2, VK16:{ *:[i32] })), VK1:{ *:[i32] })
     /*  34085 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  34088 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  34092 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  34097 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  34101 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  34106 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  34109 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  34113 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  34118 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /*  34122 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  34127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  34130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KXORWkk),
     /*  34134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  34139 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  34142 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  34145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  34147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  34150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  34155 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK1RegClassID),
     /*  34160 */     // GIR_Coverage, 19499,
     /*  34160 */     GIR_EraseRootFromParent_Done,
     /*  34161 */   // Label 876: @34161
     /*  34161 */   GIM_Reject,
     /*  34162 */ // Label 871: @34162
     /*  34162 */ GIM_Reject,
     /*  34163 */ // Label 848: @34163
     /*  34163 */ GIM_Try, /*On fail goto*//*Label 877*/ GIMT_Encode4(34689),
     /*  34168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /*  34171 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /*  34174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  34178 */   GIM_Try, /*On fail goto*//*Label 878*/ GIMT_Encode4(34234), // Rule ID 273 //
     /*  34183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /*  34186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  34194 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  34197 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  34201 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  34205 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  34209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34211 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  34218 */     // (xor:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, -1:{ *:[i8] })  =>  (NOT8m_ND:{ *:[i8] } addr:{ *:[iPTR] }:$src1)
     /*  34218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT8m_ND),
     /*  34221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34223 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  34227 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  34232 */     GIR_RootConstrainSelectedInstOperands,
     /*  34233 */     // GIR_Coverage, 273,
     /*  34233 */     GIR_EraseRootFromParent_Done,
     /*  34234 */   // Label 878: @34234
     /*  34234 */   GIM_Try, /*On fail goto*//*Label 879*/ GIMT_Encode4(34295), // Rule ID 26062 //
     /*  34239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  34242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  34250 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  34253 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  34257 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  34261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  34265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34267 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  34274 */     // (xor:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, GR8:{ *:[i8] }:$src1)  =>  (XOR8rm:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  34274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR8rm),
     /*  34277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34279 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  34281 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  34285 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  34288 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  34293 */     GIR_RootConstrainSelectedInstOperands,
     /*  34294 */     // GIR_Coverage, 26062,
     /*  34294 */     GIR_EraseRootFromParent_Done,
     /*  34295 */   // Label 879: @34295
     /*  34295 */   GIM_Try, /*On fail goto*//*Label 880*/ GIMT_Encode4(34356), // Rule ID 26081 //
     /*  34300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  34303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  34311 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  34314 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  34318 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  34322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  34326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34328 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  34335 */     // (xor:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, GR8:{ *:[i8] }:$src1)  =>  (XOR8rm_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  34335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR8rm_ND),
     /*  34338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34340 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  34342 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  34346 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  34349 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  34354 */     GIR_RootConstrainSelectedInstOperands,
     /*  34355 */     // GIR_Coverage, 26081,
     /*  34355 */     GIR_EraseRootFromParent_Done,
     /*  34356 */   // Label 880: @34356
     /*  34356 */   GIM_Try, /*On fail goto*//*Label 881*/ GIMT_Encode4(34417), // Rule ID 22839 //
     /*  34361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  34364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  34368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  34376 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  34379 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  34383 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  34387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34389 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  34396 */     // (xor:{ *:[i8] } GR8:{ *:[i8] }:$src1, (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>)  =>  (XOR8rm:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  34396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR8rm),
     /*  34399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34401 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  34403 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  34407 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  34410 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  34415 */     GIR_RootConstrainSelectedInstOperands,
     /*  34416 */     // GIR_Coverage, 22839,
     /*  34416 */     GIR_EraseRootFromParent_Done,
     /*  34417 */   // Label 881: @34417
     /*  34417 */   GIM_Try, /*On fail goto*//*Label 882*/ GIMT_Encode4(34478), // Rule ID 22929 //
     /*  34422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  34425 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  34429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  34437 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  34440 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  34444 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  34448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34450 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  34457 */     // (xor:{ *:[i8] } GR8:{ *:[i8] }:$src1, (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>)  =>  (XOR8rm_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  34457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR8rm_ND),
     /*  34460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34462 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  34464 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  34468 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  34471 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  34476 */     GIR_RootConstrainSelectedInstOperands,
     /*  34477 */     // GIR_Coverage, 22929,
     /*  34477 */     GIR_EraseRootFromParent_Done,
     /*  34478 */   // Label 882: @34478
     /*  34478 */   GIM_Try, /*On fail goto*//*Label 883*/ GIMT_Encode4(34506), // Rule ID 22596 //
     /*  34483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  34487 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-128),
     /*  34491 */     // (xor:{ *:[i8] } GR8:{ *:[i8] }:$src1, -128:{ *:[i8] })  =>  (ADD8ri:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, -128:{ *:[i8] })
     /*  34491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD8ri),
     /*  34494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34496 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  34498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-128),
     /*  34501 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  34504 */     GIR_RootConstrainSelectedInstOperands,
     /*  34505 */     // GIR_Coverage, 22596,
     /*  34505 */     GIR_EraseRootFromParent_Done,
     /*  34506 */   // Label 883: @34506
     /*  34506 */   GIM_Try, /*On fail goto*//*Label 884*/ GIMT_Encode4(34531), // Rule ID 245 //
     /*  34511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  34514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  34518 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  34522 */     // (xor:{ *:[i8] } GR8:{ *:[i8] }:$src1, -1:{ *:[i8] })  =>  (NOT8r:{ *:[i8] } GR8:{ *:[i8] }:$src1)
     /*  34522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT8r),
     /*  34525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34527 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  34529 */     GIR_RootConstrainSelectedInstOperands,
     /*  34530 */     // GIR_Coverage, 245,
     /*  34530 */     GIR_EraseRootFromParent_Done,
     /*  34531 */   // Label 884: @34531
     /*  34531 */   GIM_Try, /*On fail goto*//*Label 885*/ GIMT_Encode4(34556), // Rule ID 253 //
     /*  34536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /*  34539 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  34543 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  34547 */     // (xor:{ *:[i8] } GR8:{ *:[i8] }:$src1, -1:{ *:[i8] })  =>  (NOT8r_ND:{ *:[i8] } GR8:{ *:[i8] }:$src1)
     /*  34547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT8r_ND),
     /*  34550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34552 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  34554 */     GIR_RootConstrainSelectedInstOperands,
     /*  34555 */     // GIR_Coverage, 253,
     /*  34555 */     GIR_EraseRootFromParent_Done,
     /*  34556 */   // Label 885: @34556
     /*  34556 */   GIM_Try, /*On fail goto*//*Label 886*/ GIMT_Encode4(34593), // Rule ID 22843 //
     /*  34561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  34564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  34568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  34576 */     // MIs[1] Operand 1
     /*  34576 */     // No operand predicates
     /*  34576 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34578 */     // (xor:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (XOR8ri:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  34578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR8ri),
     /*  34581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34583 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  34585 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  34588 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  34591 */     GIR_RootConstrainSelectedInstOperands,
     /*  34592 */     // GIR_Coverage, 22843,
     /*  34592 */     GIR_EraseRootFromParent_Done,
     /*  34593 */   // Label 886: @34593
     /*  34593 */   GIM_Try, /*On fail goto*//*Label 887*/ GIMT_Encode4(34630), // Rule ID 22933 //
     /*  34598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  34601 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  34605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  34613 */     // MIs[1] Operand 1
     /*  34613 */     // No operand predicates
     /*  34613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34615 */     // (xor:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (XOR8ri_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  34615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR8ri_ND),
     /*  34618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34620 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  34622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  34625 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  34628 */     GIR_RootConstrainSelectedInstOperands,
     /*  34629 */     // GIR_Coverage, 22933,
     /*  34629 */     GIR_EraseRootFromParent_Done,
     /*  34630 */   // Label 887: @34630
     /*  34630 */   GIM_Try, /*On fail goto*//*Label 888*/ GIMT_Encode4(34659), // Rule ID 22835 //
     /*  34635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  34638 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  34642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  34646 */     // (xor:{ *:[i8] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (XOR8rr:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)
     /*  34646 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::XOR8rr),
     /*  34651 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  34657 */     GIR_RootConstrainSelectedInstOperands,
     /*  34658 */     // GIR_Coverage, 22835,
     /*  34658 */     GIR_Done,
     /*  34659 */   // Label 888: @34659
     /*  34659 */   GIM_Try, /*On fail goto*//*Label 889*/ GIMT_Encode4(34688), // Rule ID 22925 //
     /*  34664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  34667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  34671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  34675 */     // (xor:{ *:[i8] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (XOR8rr_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)
     /*  34675 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::XOR8rr_ND),
     /*  34680 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  34686 */     GIR_RootConstrainSelectedInstOperands,
     /*  34687 */     // GIR_Coverage, 22925,
     /*  34687 */     GIR_Done,
     /*  34688 */   // Label 889: @34688
     /*  34688 */   GIM_Reject,
     /*  34689 */ // Label 877: @34689
     /*  34689 */ GIM_Reject,
     /*  34690 */ // Label 849: @34690
     /*  34690 */ GIM_Try, /*On fail goto*//*Label 890*/ GIMT_Encode4(35434),
     /*  34695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  34698 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /*  34701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  34705 */   GIM_Try, /*On fail goto*//*Label 891*/ GIMT_Encode4(34761), // Rule ID 274 //
     /*  34710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /*  34713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  34721 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  34724 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  34728 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  34732 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  34736 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34738 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  34745 */     // (xor:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, -1:{ *:[i16] })  =>  (NOT16m_ND:{ *:[i16] } addr:{ *:[iPTR] }:$src1)
     /*  34745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT16m_ND),
     /*  34748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34750 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  34754 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  34759 */     GIR_RootConstrainSelectedInstOperands,
     /*  34760 */     // GIR_Coverage, 274,
     /*  34760 */     GIR_EraseRootFromParent_Done,
     /*  34761 */   // Label 891: @34761
     /*  34761 */   GIM_Try, /*On fail goto*//*Label 892*/ GIMT_Encode4(34822), // Rule ID 26063 //
     /*  34766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  34769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  34777 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  34780 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  34784 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  34788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  34792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34794 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  34801 */     // (xor:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, GR16:{ *:[i16] }:$src1)  =>  (XOR16rm:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  34801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR16rm),
     /*  34804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34806 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  34808 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  34812 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  34815 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  34820 */     GIR_RootConstrainSelectedInstOperands,
     /*  34821 */     // GIR_Coverage, 26063,
     /*  34821 */     GIR_EraseRootFromParent_Done,
     /*  34822 */   // Label 892: @34822
     /*  34822 */   GIM_Try, /*On fail goto*//*Label 893*/ GIMT_Encode4(34883), // Rule ID 26082 //
     /*  34827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  34830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  34838 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  34841 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  34845 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  34849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  34853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34855 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  34862 */     // (xor:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, GR16:{ *:[i16] }:$src1)  =>  (XOR16rm_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  34862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR16rm_ND),
     /*  34865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34867 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  34869 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  34873 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  34876 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  34881 */     GIR_RootConstrainSelectedInstOperands,
     /*  34882 */     // GIR_Coverage, 26082,
     /*  34882 */     GIR_EraseRootFromParent_Done,
     /*  34883 */   // Label 893: @34883
     /*  34883 */   GIM_Try, /*On fail goto*//*Label 894*/ GIMT_Encode4(34944), // Rule ID 22840 //
     /*  34888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  34891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  34895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  34903 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  34906 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  34910 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  34914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34916 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  34923 */     // (xor:{ *:[i16] } GR16:{ *:[i16] }:$src1, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (XOR16rm:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  34923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR16rm),
     /*  34926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34928 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  34930 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  34934 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  34937 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  34942 */     GIR_RootConstrainSelectedInstOperands,
     /*  34943 */     // GIR_Coverage, 22840,
     /*  34943 */     GIR_EraseRootFromParent_Done,
     /*  34944 */   // Label 894: @34944
     /*  34944 */   GIM_Try, /*On fail goto*//*Label 895*/ GIMT_Encode4(35005), // Rule ID 22930 //
     /*  34949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  34952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  34956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  34964 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  34967 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  34971 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  34975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34977 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  34984 */     // (xor:{ *:[i16] } GR16:{ *:[i16] }:$src1, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (XOR16rm_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  34984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR16rm_ND),
     /*  34987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34989 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  34991 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  34995 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  34998 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  35003 */     GIR_RootConstrainSelectedInstOperands,
     /*  35004 */     // GIR_Coverage, 22930,
     /*  35004 */     GIR_EraseRootFromParent_Done,
     /*  35005 */   // Label 895: @35005
     /*  35005 */   GIM_Try, /*On fail goto*//*Label 896*/ GIMT_Encode4(35047), // Rule ID 22597 //
     /*  35010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  35014 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(-32768),
     /*  35025 */     // (xor:{ *:[i16] } GR16:{ *:[i16] }:$src1, -32768:{ *:[i16] })  =>  (ADD16ri:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, -32768:{ *:[i16] })
     /*  35025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD16ri),
     /*  35028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35030 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  35032 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(-32768),
     /*  35042 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  35045 */     GIR_RootConstrainSelectedInstOperands,
     /*  35046 */     // GIR_Coverage, 22597,
     /*  35046 */     GIR_EraseRootFromParent_Done,
     /*  35047 */   // Label 896: @35047
     /*  35047 */   GIM_Try, /*On fail goto*//*Label 897*/ GIMT_Encode4(35149), // Rule ID 26035 //
     /*  35052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  35060 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  35064 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  35068 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  35072 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  35077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  35081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35083 */     // (xor:{ *:[i16] } (shl:{ *:[i16] } 1:{ *:[i16] }, GR8:{ *:[i8] }:$src2), GR16:{ *:[i16] }:$src1)  =>  (BTC16rr:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (INSERT_SUBREG:{ *:[i16] } (IMPLICIT_DEF:{ *:[i16] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /*  35083 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  35086 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  35090 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35095 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  35097 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  35100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  35104 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35109 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  35112 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  35116 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  35119 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  35124 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR16RegClassID),
     /*  35129 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  35134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BTC16rr),
     /*  35137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35139 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  35141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  35144 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  35147 */     GIR_RootConstrainSelectedInstOperands,
     /*  35148 */     // GIR_Coverage, 26035,
     /*  35148 */     GIR_EraseRootFromParent_Done,
     /*  35149 */   // Label 897: @35149
     /*  35149 */   GIM_Try, /*On fail goto*//*Label 898*/ GIMT_Encode4(35251), // Rule ID 22773 //
     /*  35154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  35158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  35166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  35170 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  35174 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  35178 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  35183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35185 */     // (xor:{ *:[i16] } GR16:{ *:[i16] }:$src1, (shl:{ *:[i16] } 1:{ *:[i16] }, GR8:{ *:[i8] }:$src2))  =>  (BTC16rr:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (INSERT_SUBREG:{ *:[i16] } (IMPLICIT_DEF:{ *:[i16] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /*  35185 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  35188 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  35192 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  35199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  35202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  35206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35211 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  35214 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  35218 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  35221 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  35226 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR16RegClassID),
     /*  35231 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  35236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BTC16rr),
     /*  35239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35241 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  35243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  35246 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  35249 */     GIR_RootConstrainSelectedInstOperands,
     /*  35250 */     // GIR_Coverage, 22773,
     /*  35250 */     GIR_EraseRootFromParent_Done,
     /*  35251 */   // Label 898: @35251
     /*  35251 */   GIM_Try, /*On fail goto*//*Label 899*/ GIMT_Encode4(35276), // Rule ID 246 //
     /*  35256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  35259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  35263 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  35267 */     // (xor:{ *:[i16] } GR16:{ *:[i16] }:$src1, -1:{ *:[i16] })  =>  (NOT16r:{ *:[i16] } GR16:{ *:[i16] }:$src1)
     /*  35267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT16r),
     /*  35270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35272 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  35274 */     GIR_RootConstrainSelectedInstOperands,
     /*  35275 */     // GIR_Coverage, 246,
     /*  35275 */     GIR_EraseRootFromParent_Done,
     /*  35276 */   // Label 899: @35276
     /*  35276 */   GIM_Try, /*On fail goto*//*Label 900*/ GIMT_Encode4(35301), // Rule ID 254 //
     /*  35281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /*  35284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  35288 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  35292 */     // (xor:{ *:[i16] } GR16:{ *:[i16] }:$src1, -1:{ *:[i16] })  =>  (NOT16r_ND:{ *:[i16] } GR16:{ *:[i16] }:$src1)
     /*  35292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT16r_ND),
     /*  35295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35297 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  35299 */     GIR_RootConstrainSelectedInstOperands,
     /*  35300 */     // GIR_Coverage, 254,
     /*  35300 */     GIR_EraseRootFromParent_Done,
     /*  35301 */   // Label 900: @35301
     /*  35301 */   GIM_Try, /*On fail goto*//*Label 901*/ GIMT_Encode4(35338), // Rule ID 22844 //
     /*  35306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  35309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  35313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  35321 */     // MIs[1] Operand 1
     /*  35321 */     // No operand predicates
     /*  35321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35323 */     // (xor:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)  =>  (XOR16ri:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)
     /*  35323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR16ri),
     /*  35326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35328 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  35330 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  35333 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  35336 */     GIR_RootConstrainSelectedInstOperands,
     /*  35337 */     // GIR_Coverage, 22844,
     /*  35337 */     GIR_EraseRootFromParent_Done,
     /*  35338 */   // Label 901: @35338
     /*  35338 */   GIM_Try, /*On fail goto*//*Label 902*/ GIMT_Encode4(35375), // Rule ID 22934 //
     /*  35343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  35346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  35350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  35358 */     // MIs[1] Operand 1
     /*  35358 */     // No operand predicates
     /*  35358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35360 */     // (xor:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)  =>  (XOR16ri_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)
     /*  35360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR16ri_ND),
     /*  35363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35365 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  35367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  35370 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  35373 */     GIR_RootConstrainSelectedInstOperands,
     /*  35374 */     // GIR_Coverage, 22934,
     /*  35374 */     GIR_EraseRootFromParent_Done,
     /*  35375 */   // Label 902: @35375
     /*  35375 */   GIM_Try, /*On fail goto*//*Label 903*/ GIMT_Encode4(35404), // Rule ID 22836 //
     /*  35380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  35383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  35387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  35391 */     // (xor:{ *:[i16] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)  =>  (XOR16rr:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  35391 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::XOR16rr),
     /*  35396 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  35402 */     GIR_RootConstrainSelectedInstOperands,
     /*  35403 */     // GIR_Coverage, 22836,
     /*  35403 */     GIR_Done,
     /*  35404 */   // Label 903: @35404
     /*  35404 */   GIM_Try, /*On fail goto*//*Label 904*/ GIMT_Encode4(35433), // Rule ID 22926 //
     /*  35409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  35412 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  35416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  35420 */     // (xor:{ *:[i16] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)  =>  (XOR16rr_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  35420 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::XOR16rr_ND),
     /*  35425 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  35431 */     GIR_RootConstrainSelectedInstOperands,
     /*  35432 */     // GIR_Coverage, 22926,
     /*  35432 */     GIR_Done,
     /*  35433 */   // Label 904: @35433
     /*  35433 */   GIM_Reject,
     /*  35434 */ // Label 890: @35434
     /*  35434 */ GIM_Reject,
     /*  35435 */ // Label 850: @35435
     /*  35435 */ GIM_Try, /*On fail goto*//*Label 905*/ GIMT_Encode4(36382),
     /*  35440 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  35443 */   GIM_Try, /*On fail goto*//*Label 906*/ GIMT_Encode4(35506), // Rule ID 275 //
     /*  35448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /*  35451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  35454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  35458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  35466 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  35469 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  35473 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  35477 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  35481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35483 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  35490 */     // (xor:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, -1:{ *:[i32] })  =>  (NOT32m_ND:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  35490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT32m_ND),
     /*  35493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35495 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  35499 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  35504 */     GIR_RootConstrainSelectedInstOperands,
     /*  35505 */     // GIR_Coverage, 275,
     /*  35505 */     GIR_EraseRootFromParent_Done,
     /*  35506 */   // Label 906: @35506
     /*  35506 */   GIM_Try, /*On fail goto*//*Label 907*/ GIMT_Encode4(35574), // Rule ID 26064 //
     /*  35511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  35514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  35517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  35521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  35529 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  35532 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  35536 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  35540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  35544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35546 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  35553 */     // (xor:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR32:{ *:[i32] }:$src1)  =>  (XOR32rm:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  35553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR32rm),
     /*  35556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35558 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  35560 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  35564 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  35567 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  35572 */     GIR_RootConstrainSelectedInstOperands,
     /*  35573 */     // GIR_Coverage, 26064,
     /*  35573 */     GIR_EraseRootFromParent_Done,
     /*  35574 */   // Label 907: @35574
     /*  35574 */   GIM_Try, /*On fail goto*//*Label 908*/ GIMT_Encode4(35642), // Rule ID 26083 //
     /*  35579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  35582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  35585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  35589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  35597 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  35600 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  35604 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  35608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  35612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35614 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  35621 */     // (xor:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR32:{ *:[i32] }:$src1)  =>  (XOR32rm_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  35621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR32rm_ND),
     /*  35624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35626 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  35628 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  35632 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  35635 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  35640 */     GIR_RootConstrainSelectedInstOperands,
     /*  35641 */     // GIR_Coverage, 26083,
     /*  35641 */     GIR_EraseRootFromParent_Done,
     /*  35642 */   // Label 908: @35642
     /*  35642 */   GIM_Try, /*On fail goto*//*Label 909*/ GIMT_Encode4(35710), // Rule ID 22841 //
     /*  35647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  35650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  35653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  35657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  35661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  35669 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  35672 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  35676 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  35680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35682 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  35689 */     // (xor:{ *:[i32] } GR32:{ *:[i32] }:$src1, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (XOR32rm:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  35689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR32rm),
     /*  35692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35694 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  35696 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  35700 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  35703 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  35708 */     GIR_RootConstrainSelectedInstOperands,
     /*  35709 */     // GIR_Coverage, 22841,
     /*  35709 */     GIR_EraseRootFromParent_Done,
     /*  35710 */   // Label 909: @35710
     /*  35710 */   GIM_Try, /*On fail goto*//*Label 910*/ GIMT_Encode4(35778), // Rule ID 22931 //
     /*  35715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  35718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  35721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  35725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  35729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  35737 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  35740 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  35744 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  35748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35750 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  35757 */     // (xor:{ *:[i32] } GR32:{ *:[i32] }:$src1, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (XOR32rm_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  35757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR32rm_ND),
     /*  35760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35762 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  35764 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  35768 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  35771 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  35776 */     GIR_RootConstrainSelectedInstOperands,
     /*  35777 */     // GIR_Coverage, 22931,
     /*  35777 */     GIR_EraseRootFromParent_Done,
     /*  35778 */   // Label 910: @35778
     /*  35778 */   GIM_Try, /*On fail goto*//*Label 911*/ GIMT_Encode4(35827), // Rule ID 22598 //
     /*  35783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  35786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  35790 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  35794 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(-2147483648),
     /*  35805 */     // (xor:{ *:[i32] } GR32:{ *:[i32] }:$src1, -2147483648:{ *:[i32] })  =>  (ADD32ri:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, -2147483648:{ *:[i32] })
     /*  35805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD32ri),
     /*  35808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35810 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  35812 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(-2147483648),
     /*  35822 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  35825 */     GIR_RootConstrainSelectedInstOperands,
     /*  35826 */     // GIR_Coverage, 22598,
     /*  35826 */     GIR_EraseRootFromParent_Done,
     /*  35827 */   // Label 911: @35827
     /*  35827 */   GIM_Try, /*On fail goto*//*Label 912*/ GIMT_Encode4(35885), // Rule ID 24994 //
     /*  35832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  35835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  35839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  35847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  35851 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  35855 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  35860 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  35864 */     // MIs[0] src
     /*  35864 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  35869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35871 */     // (xor:{ *:[i32] } (add:{ *:[i32] } GR32:{ *:[i32] }:$src, 1:{ *:[i32] }), GR32:{ *:[i32] }:$src)  =>  (BLCMSK32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  35871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCMSK32rr),
     /*  35874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  35880 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  35883 */     GIR_RootConstrainSelectedInstOperands,
     /*  35884 */     // GIR_Coverage, 24994,
     /*  35884 */     GIR_EraseRootFromParent_Done,
     /*  35885 */   // Label 912: @35885
     /*  35885 */   GIM_Try, /*On fail goto*//*Label 913*/ GIMT_Encode4(35994), // Rule ID 26041 //
     /*  35890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  35893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  35897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  35905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  35909 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  35913 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  35917 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  35922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  35926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35928 */     // (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, GR8:{ *:[i8] }:$src2), GR32:{ *:[i32] }:$src1)  =>  (BTC32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /*  35928 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  35931 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  35935 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  35942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  35945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  35949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35954 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  35957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  35961 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  35964 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /*  35969 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /*  35974 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  35979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BTC32rr),
     /*  35982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35984 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  35986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  35989 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  35992 */     GIR_RootConstrainSelectedInstOperands,
     /*  35993 */     // GIR_Coverage, 26041,
     /*  35993 */     GIR_EraseRootFromParent_Done,
     /*  35994 */   // Label 913: @35994
     /*  35994 */   GIM_Try, /*On fail goto*//*Label 914*/ GIMT_Encode4(36048), // Rule ID 17357 //
     /*  35999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  36002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  36005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  36009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  36013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  36021 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  36025 */     // MIs[1] src
     /*  36025 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/1, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  36030 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  36034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36036 */     // (xor:{ *:[i32] } GR32:{ *:[i32] }:$src, (add:{ *:[i32] } GR32:{ *:[i32] }:$src, 1:{ *:[i32] }))  =>  (BLCMSK32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  36036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCMSK32rr),
     /*  36039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36041 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  36043 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  36046 */     GIR_RootConstrainSelectedInstOperands,
     /*  36047 */     // GIR_Coverage, 17357,
     /*  36047 */     GIR_EraseRootFromParent_Done,
     /*  36048 */   // Label 914: @36048
     /*  36048 */   GIM_Try, /*On fail goto*//*Label 915*/ GIMT_Encode4(36157), // Rule ID 22779 //
     /*  36053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  36056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  36060 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  36064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  36072 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  36076 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  36080 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  36084 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  36089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36091 */     // (xor:{ *:[i32] } GR32:{ *:[i32] }:$src1, (shl:{ *:[i32] } 1:{ *:[i32] }, GR8:{ *:[i8] }:$src2))  =>  (BTC32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /*  36091 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  36094 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  36098 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  36105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  36108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  36112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36117 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  36120 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  36124 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  36127 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /*  36132 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /*  36137 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  36142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BTC32rr),
     /*  36145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36147 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  36149 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  36152 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  36155 */     GIR_RootConstrainSelectedInstOperands,
     /*  36156 */     // GIR_Coverage, 22779,
     /*  36156 */     GIR_EraseRootFromParent_Done,
     /*  36157 */   // Label 915: @36157
     /*  36157 */   GIM_Try, /*On fail goto*//*Label 916*/ GIMT_Encode4(36189), // Rule ID 247 //
     /*  36162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  36165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  36168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  36172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  36176 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  36180 */     // (xor:{ *:[i32] } GR32:{ *:[i32] }:$src1, -1:{ *:[i32] })  =>  (NOT32r:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /*  36180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT32r),
     /*  36183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36185 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  36187 */     GIR_RootConstrainSelectedInstOperands,
     /*  36188 */     // GIR_Coverage, 247,
     /*  36188 */     GIR_EraseRootFromParent_Done,
     /*  36189 */   // Label 916: @36189
     /*  36189 */   GIM_Try, /*On fail goto*//*Label 917*/ GIMT_Encode4(36221), // Rule ID 255 //
     /*  36194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /*  36197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  36200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  36204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  36208 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  36212 */     // (xor:{ *:[i32] } GR32:{ *:[i32] }:$src1, -1:{ *:[i32] })  =>  (NOT32r_ND:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /*  36212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT32r_ND),
     /*  36215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36217 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  36219 */     GIR_RootConstrainSelectedInstOperands,
     /*  36220 */     // GIR_Coverage, 255,
     /*  36220 */     GIR_EraseRootFromParent_Done,
     /*  36221 */   // Label 917: @36221
     /*  36221 */   GIM_Try, /*On fail goto*//*Label 918*/ GIMT_Encode4(36265), // Rule ID 22845 //
     /*  36226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  36229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  36232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  36236 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  36240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  36248 */     // MIs[1] Operand 1
     /*  36248 */     // No operand predicates
     /*  36248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36250 */     // (xor:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)  =>  (XOR32ri:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)
     /*  36250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR32ri),
     /*  36253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36255 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  36257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  36260 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  36263 */     GIR_RootConstrainSelectedInstOperands,
     /*  36264 */     // GIR_Coverage, 22845,
     /*  36264 */     GIR_EraseRootFromParent_Done,
     /*  36265 */   // Label 918: @36265
     /*  36265 */   GIM_Try, /*On fail goto*//*Label 919*/ GIMT_Encode4(36309), // Rule ID 22935 //
     /*  36270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  36273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  36276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  36280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  36284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  36292 */     // MIs[1] Operand 1
     /*  36292 */     // No operand predicates
     /*  36292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36294 */     // (xor:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)  =>  (XOR32ri_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)
     /*  36294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR32ri_ND),
     /*  36297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36299 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  36301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  36304 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  36307 */     GIR_RootConstrainSelectedInstOperands,
     /*  36308 */     // GIR_Coverage, 22935,
     /*  36308 */     GIR_EraseRootFromParent_Done,
     /*  36309 */   // Label 919: @36309
     /*  36309 */   GIM_Try, /*On fail goto*//*Label 920*/ GIMT_Encode4(36345), // Rule ID 22837 //
     /*  36314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  36317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  36320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  36324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  36328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  36332 */     // (xor:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)  =>  (XOR32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  36332 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::XOR32rr),
     /*  36337 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  36343 */     GIR_RootConstrainSelectedInstOperands,
     /*  36344 */     // GIR_Coverage, 22837,
     /*  36344 */     GIR_Done,
     /*  36345 */   // Label 920: @36345
     /*  36345 */   GIM_Try, /*On fail goto*//*Label 921*/ GIMT_Encode4(36381), // Rule ID 22927 //
     /*  36350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  36353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  36356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  36360 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  36364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  36368 */     // (xor:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)  =>  (XOR32rr_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  36368 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::XOR32rr_ND),
     /*  36373 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  36379 */     GIR_RootConstrainSelectedInstOperands,
     /*  36380 */     // GIR_Coverage, 22927,
     /*  36380 */     GIR_Done,
     /*  36381 */   // Label 921: @36381
     /*  36381 */   GIM_Reject,
     /*  36382 */ // Label 905: @36382
     /*  36382 */ GIM_Reject,
     /*  36383 */ // Label 851: @36383
     /*  36383 */ GIM_Try, /*On fail goto*//*Label 922*/ GIMT_Encode4(37289),
     /*  36388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  36391 */   GIM_Try, /*On fail goto*//*Label 923*/ GIMT_Encode4(36454), // Rule ID 276 //
     /*  36396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /*  36399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  36402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  36406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  36410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  36414 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  36417 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  36421 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  36425 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  36429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36431 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  36438 */     // (xor:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, -1:{ *:[i64] })  =>  (NOT64m_ND:{ *:[i64] } addr:{ *:[iPTR] }:$src1)
     /*  36438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT64m_ND),
     /*  36441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36443 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  36447 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  36452 */     GIR_RootConstrainSelectedInstOperands,
     /*  36453 */     // GIR_Coverage, 276,
     /*  36453 */     GIR_EraseRootFromParent_Done,
     /*  36454 */   // Label 923: @36454
     /*  36454 */   GIM_Try, /*On fail goto*//*Label 924*/ GIMT_Encode4(36522), // Rule ID 26065 //
     /*  36459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  36462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  36465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  36469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  36473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  36477 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  36480 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  36484 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  36488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  36492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36494 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  36501 */     // (xor:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src1)  =>  (XOR64rm:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  36501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR64rm),
     /*  36504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36506 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  36508 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  36512 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  36515 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  36520 */     GIR_RootConstrainSelectedInstOperands,
     /*  36521 */     // GIR_Coverage, 26065,
     /*  36521 */     GIR_EraseRootFromParent_Done,
     /*  36522 */   // Label 924: @36522
     /*  36522 */   GIM_Try, /*On fail goto*//*Label 925*/ GIMT_Encode4(36590), // Rule ID 26084 //
     /*  36527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  36530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  36533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  36537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  36541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  36545 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  36548 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  36552 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  36556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  36560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36562 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  36569 */     // (xor:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src1)  =>  (XOR64rm_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  36569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR64rm_ND),
     /*  36572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36574 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  36576 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  36580 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  36583 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  36588 */     GIR_RootConstrainSelectedInstOperands,
     /*  36589 */     // GIR_Coverage, 26084,
     /*  36589 */     GIR_EraseRootFromParent_Done,
     /*  36590 */   // Label 925: @36590
     /*  36590 */   GIM_Try, /*On fail goto*//*Label 926*/ GIMT_Encode4(36658), // Rule ID 22842 //
     /*  36595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  36598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  36601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  36605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  36609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  36617 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  36620 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  36624 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  36628 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36630 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  36637 */     // (xor:{ *:[i64] } GR64:{ *:[i64] }:$src1, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (XOR64rm:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  36637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR64rm),
     /*  36640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36642 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  36644 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  36648 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  36651 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  36656 */     GIR_RootConstrainSelectedInstOperands,
     /*  36657 */     // GIR_Coverage, 22842,
     /*  36657 */     GIR_EraseRootFromParent_Done,
     /*  36658 */   // Label 926: @36658
     /*  36658 */   GIM_Try, /*On fail goto*//*Label 927*/ GIMT_Encode4(36726), // Rule ID 22932 //
     /*  36663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  36666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  36669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  36673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  36677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  36685 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  36688 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  36692 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  36696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36698 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  36705 */     // (xor:{ *:[i64] } GR64:{ *:[i64] }:$src1, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (XOR64rm_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  36705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR64rm_ND),
     /*  36708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36710 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  36712 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  36716 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  36719 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  36724 */     GIR_RootConstrainSelectedInstOperands,
     /*  36725 */     // GIR_Coverage, 22932,
     /*  36725 */     GIR_EraseRootFromParent_Done,
     /*  36726 */   // Label 927: @36726
     /*  36726 */   GIM_Try, /*On fail goto*//*Label 928*/ GIMT_Encode4(36784), // Rule ID 24995 //
     /*  36731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  36734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  36738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  36742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  36746 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  36750 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  36754 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  36759 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  36763 */     // MIs[0] src
     /*  36763 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  36768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36770 */     // (xor:{ *:[i64] } (add:{ *:[i64] } GR64:{ *:[i64] }:$src, 1:{ *:[i64] }), GR64:{ *:[i64] }:$src)  =>  (BLCMSK64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  36770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCMSK64rr),
     /*  36773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  36779 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  36782 */     GIR_RootConstrainSelectedInstOperands,
     /*  36783 */     // GIR_Coverage, 24995,
     /*  36783 */     GIR_EraseRootFromParent_Done,
     /*  36784 */   // Label 928: @36784
     /*  36784 */   GIM_Try, /*On fail goto*//*Label 929*/ GIMT_Encode4(36893), // Rule ID 26047 //
     /*  36789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  36792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  36796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  36800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  36804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  36808 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  36812 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  36816 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  36821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  36825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36827 */     // (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, GR8:{ *:[i8] }:$src2), GR64:{ *:[i64] }:$src1)  =>  (BTC64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /*  36827 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  36830 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  36834 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  36841 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  36844 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  36848 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36853 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  36856 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  36860 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  36863 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /*  36868 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /*  36873 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  36878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BTC64rr),
     /*  36881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36883 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  36885 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  36888 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  36891 */     GIR_RootConstrainSelectedInstOperands,
     /*  36892 */     // GIR_Coverage, 26047,
     /*  36892 */     GIR_EraseRootFromParent_Done,
     /*  36893 */   // Label 929: @36893
     /*  36893 */   GIM_Try, /*On fail goto*//*Label 930*/ GIMT_Encode4(36947), // Rule ID 17358 //
     /*  36898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  36901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  36904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  36908 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  36912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  36920 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  36924 */     // MIs[1] src
     /*  36924 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/1, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  36929 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  36933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36935 */     // (xor:{ *:[i64] } GR64:{ *:[i64] }:$src, (add:{ *:[i64] } GR64:{ *:[i64] }:$src, 1:{ *:[i64] }))  =>  (BLCMSK64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  36935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCMSK64rr),
     /*  36938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36940 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  36942 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  36945 */     GIR_RootConstrainSelectedInstOperands,
     /*  36946 */     // GIR_Coverage, 17358,
     /*  36946 */     GIR_EraseRootFromParent_Done,
     /*  36947 */   // Label 930: @36947
     /*  36947 */   GIM_Try, /*On fail goto*//*Label 931*/ GIMT_Encode4(37056), // Rule ID 22785 //
     /*  36952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  36955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  36959 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  36963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  36971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  36975 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  36979 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  36983 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  36988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36990 */     // (xor:{ *:[i64] } GR64:{ *:[i64] }:$src1, (shl:{ *:[i64] } 1:{ *:[i64] }, GR8:{ *:[i8] }:$src2))  =>  (BTC64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /*  36990 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  36993 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  36997 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  37004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  37007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  37011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37016 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  37019 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  37023 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  37026 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /*  37031 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /*  37036 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  37041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BTC64rr),
     /*  37044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37046 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  37048 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  37051 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  37054 */     GIR_RootConstrainSelectedInstOperands,
     /*  37055 */     // GIR_Coverage, 22785,
     /*  37055 */     GIR_EraseRootFromParent_Done,
     /*  37056 */   // Label 931: @37056
     /*  37056 */   GIM_Try, /*On fail goto*//*Label 932*/ GIMT_Encode4(37088), // Rule ID 248 //
     /*  37061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  37064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  37067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  37071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  37075 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  37079 */     // (xor:{ *:[i64] } GR64:{ *:[i64] }:$src1, -1:{ *:[i64] })  =>  (NOT64r:{ *:[i64] } GR64:{ *:[i64] }:$src1)
     /*  37079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT64r),
     /*  37082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37084 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  37086 */     GIR_RootConstrainSelectedInstOperands,
     /*  37087 */     // GIR_Coverage, 248,
     /*  37087 */     GIR_EraseRootFromParent_Done,
     /*  37088 */   // Label 932: @37088
     /*  37088 */   GIM_Try, /*On fail goto*//*Label 933*/ GIMT_Encode4(37120), // Rule ID 256 //
     /*  37093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /*  37096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  37099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  37103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  37107 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  37111 */     // (xor:{ *:[i64] } GR64:{ *:[i64] }:$src1, -1:{ *:[i64] })  =>  (NOT64r_ND:{ *:[i64] } GR64:{ *:[i64] }:$src1)
     /*  37111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT64r_ND),
     /*  37114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37116 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  37118 */     GIR_RootConstrainSelectedInstOperands,
     /*  37119 */     // GIR_Coverage, 256,
     /*  37119 */     GIR_EraseRootFromParent_Done,
     /*  37120 */   // Label 933: @37120
     /*  37120 */   GIM_Try, /*On fail goto*//*Label 934*/ GIMT_Encode4(37168), // Rule ID 22846 //
     /*  37125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  37128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  37131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  37135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  37139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  37147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /*  37151 */     // MIs[1] Operand 1
     /*  37151 */     // No operand predicates
     /*  37151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  37153 */     // (xor:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)  =>  (XOR64ri32:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)
     /*  37153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR64ri32),
     /*  37156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37158 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  37160 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  37163 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  37166 */     GIR_RootConstrainSelectedInstOperands,
     /*  37167 */     // GIR_Coverage, 22846,
     /*  37167 */     GIR_EraseRootFromParent_Done,
     /*  37168 */   // Label 934: @37168
     /*  37168 */   GIM_Try, /*On fail goto*//*Label 935*/ GIMT_Encode4(37216), // Rule ID 22936 //
     /*  37173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  37176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  37179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  37183 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  37187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  37195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /*  37199 */     // MIs[1] Operand 1
     /*  37199 */     // No operand predicates
     /*  37199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  37201 */     // (xor:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)  =>  (XOR64ri32_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)
     /*  37201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR64ri32_ND),
     /*  37204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37206 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  37208 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  37211 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  37214 */     GIR_RootConstrainSelectedInstOperands,
     /*  37215 */     // GIR_Coverage, 22936,
     /*  37215 */     GIR_EraseRootFromParent_Done,
     /*  37216 */   // Label 935: @37216
     /*  37216 */   GIM_Try, /*On fail goto*//*Label 936*/ GIMT_Encode4(37252), // Rule ID 22838 //
     /*  37221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  37224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  37227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  37231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  37235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  37239 */     // (xor:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)  =>  (XOR64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  37239 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::XOR64rr),
     /*  37244 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  37250 */     GIR_RootConstrainSelectedInstOperands,
     /*  37251 */     // GIR_Coverage, 22838,
     /*  37251 */     GIR_Done,
     /*  37252 */   // Label 936: @37252
     /*  37252 */   GIM_Try, /*On fail goto*//*Label 937*/ GIMT_Encode4(37288), // Rule ID 22928 //
     /*  37257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  37260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  37263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  37267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  37271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  37275 */     // (xor:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)  =>  (XOR64rr_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  37275 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::XOR64rr_ND),
     /*  37280 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  37286 */     GIR_RootConstrainSelectedInstOperands,
     /*  37287 */     // GIR_Coverage, 22928,
     /*  37287 */     GIR_Done,
     /*  37288 */   // Label 937: @37288
     /*  37288 */   GIM_Reject,
     /*  37289 */ // Label 922: @37289
     /*  37289 */ GIM_Reject,
     /*  37290 */ // Label 852: @37290
     /*  37290 */ GIM_Try, /*On fail goto*//*Label 938*/ GIMT_Encode4(37831),
     /*  37295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s1,
     /*  37298 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s1,
     /*  37301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  37305 */   GIM_Try, /*On fail goto*//*Label 939*/ GIMT_Encode4(37425), // Rule ID 25371 //
     /*  37310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  37314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  37318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s1,
     /*  37322 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s1,
     /*  37326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  37331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  37335 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  37341 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  37343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  37347 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  37349 */     // (xor:{ *:[v2i1] } (xor:{ *:[v2i1] } VK2:{ *:[v2i1] }:$src1, immAllOnesV:{ *:[v2i1] }), VK2:{ *:[v2i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v2i1] } (KXNORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK2:{ *:[v2i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK2:{ *:[v2i1] }:$src2, VK16:{ *:[i32] })), VK2:{ *:[i32] })
     /*  37349 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  37352 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37356 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37361 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  37365 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  37370 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  37373 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37377 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37382 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  37386 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  37391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  37394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KXNORWkk),
     /*  37398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37403 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  37406 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  37409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  37411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  37419 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK2RegClassID),
     /*  37424 */     // GIR_Coverage, 25371,
     /*  37424 */     GIR_EraseRootFromParent_Done,
     /*  37425 */   // Label 939: @37425
     /*  37425 */   GIM_Try, /*On fail goto*//*Label 940*/ GIMT_Encode4(37546), // Rule ID 19496 //
     /*  37430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  37434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  37438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s1,
     /*  37442 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s1,
     /*  37446 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  37451 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  37456 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  37460 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  37466 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  37468 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  37470 */     // (xor:{ *:[v2i1] } (xor:{ *:[v2i1] } VK2:{ *:[v2i1] }:$src1, VK2:{ *:[v2i1] }:$src2), immAllOnesV:{ *:[v2i1] })  =>  (COPY_TO_REGCLASS:{ *:[v2i1] } (KXNORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK2:{ *:[v2i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK2:{ *:[v2i1] }:$src2, VK16:{ *:[i32] })), VK2:{ *:[i32] })
     /*  37470 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  37473 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37477 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37482 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  37486 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  37491 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  37494 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37498 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37503 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  37507 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  37512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  37515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KXNORWkk),
     /*  37519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37524 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  37527 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  37530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  37532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  37540 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK2RegClassID),
     /*  37545 */     // GIR_Coverage, 19496,
     /*  37545 */     GIR_EraseRootFromParent_Done,
     /*  37546 */   // Label 940: @37546
     /*  37546 */   GIM_Try, /*On fail goto*//*Label 941*/ GIMT_Encode4(37666), // Rule ID 25372 //
     /*  37551 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  37555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  37563 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s1,
     /*  37567 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s1,
     /*  37571 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  37576 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  37580 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  37586 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  37588 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  37590 */     // (xor:{ *:[v2i1] } VK2:{ *:[v2i1] }:$src2, (xor:{ *:[v2i1] } VK2:{ *:[v2i1] }:$src1, immAllOnesV:{ *:[v2i1] }))  =>  (COPY_TO_REGCLASS:{ *:[v2i1] } (KXNORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK2:{ *:[v2i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK2:{ *:[v2i1] }:$src2, VK16:{ *:[i32] })), VK2:{ *:[i32] })
     /*  37590 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  37593 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37597 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37602 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // src2
     /*  37606 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  37611 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  37614 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37618 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37623 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  37627 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  37632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  37635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KXNORWkk),
     /*  37639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37644 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  37647 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  37650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  37652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37657 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  37660 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK2RegClassID),
     /*  37665 */     // GIR_Coverage, 25372,
     /*  37665 */     GIR_EraseRootFromParent_Done,
     /*  37666 */   // Label 941: @37666
     /*  37666 */   GIM_Try, /*On fail goto*//*Label 942*/ GIMT_Encode4(37741), // Rule ID 19480 //
     /*  37671 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  37675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37679 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  37685 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  37687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  37689 */     // (xor:{ *:[v2i1] } VK2:{ *:[v2i1] }:$src, immAllOnesV:{ *:[v2i1] })  =>  (COPY_TO_REGCLASS:{ *:[v2i1] } (KNOTWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK2:{ *:[v2i1] }:$src, VK16:{ *:[i32] })), VK2:{ *:[i32] })
     /*  37689 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  37692 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37696 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37701 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  37705 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  37710 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  37713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KNOTWkk),
     /*  37717 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37722 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  37725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  37727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37732 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  37735 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK2RegClassID),
     /*  37740 */     // GIR_Coverage, 19480,
     /*  37740 */     GIR_EraseRootFromParent_Done,
     /*  37741 */   // Label 942: @37741
     /*  37741 */   GIM_Try, /*On fail goto*//*Label 943*/ GIMT_Encode4(37830), // Rule ID 19500 //
     /*  37746 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  37750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  37754 */     // (xor:{ *:[v2i1] } VK2:{ *:[v2i1] }:$src1, VK2:{ *:[v2i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v2i1] } (KXORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK2:{ *:[v2i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK2:{ *:[v2i1] }:$src2, VK16:{ *:[i32] })), VK2:{ *:[i32] })
     /*  37754 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  37757 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37761 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37766 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  37770 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  37775 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  37778 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37782 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37787 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /*  37791 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  37796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  37799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KXORWkk),
     /*  37803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37808 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  37811 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  37814 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  37816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37821 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  37824 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK2RegClassID),
     /*  37829 */     // GIR_Coverage, 19500,
     /*  37829 */     GIR_EraseRootFromParent_Done,
     /*  37830 */   // Label 943: @37830
     /*  37830 */   GIM_Reject,
     /*  37831 */ // Label 938: @37831
     /*  37831 */ GIM_Reject,
     /*  37832 */ // Label 853: @37832
     /*  37832 */ GIM_Try, /*On fail goto*//*Label 944*/ GIMT_Encode4(38451),
     /*  37837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  37840 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  37843 */   GIM_Try, /*On fail goto*//*Label 945*/ GIMT_Encode4(37905), // Rule ID 23363 //
     /*  37848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  37851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  37855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  37859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  37863 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  37866 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  37870 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  37874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  37878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  37880 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  37887 */     // (xor:{ *:[v2i64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2i64] }:$src1)  =>  (VPXORrm:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  37887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORrm),
     /*  37890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37892 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  37894 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  37898 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  37903 */     GIR_RootConstrainSelectedInstOperands,
     /*  37904 */     // GIR_Coverage, 23363,
     /*  37904 */     GIR_EraseRootFromParent_Done,
     /*  37905 */   // Label 945: @37905
     /*  37905 */   GIM_Try, /*On fail goto*//*Label 946*/ GIMT_Encode4(37967), // Rule ID 24218 //
     /*  37910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  37913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  37917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  37921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  37925 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  37928 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  37932 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  37936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  37940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  37942 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  37949 */     // (xor:{ *:[v2i64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v2i64] }:$src1)  =>  (VPXORQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  37949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORQZ128rm),
     /*  37952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37954 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  37956 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  37960 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  37965 */     GIR_RootConstrainSelectedInstOperands,
     /*  37966 */     // GIR_Coverage, 24218,
     /*  37966 */     GIR_EraseRootFromParent_Done,
     /*  37967 */   // Label 946: @37967
     /*  37967 */   GIM_Try, /*On fail goto*//*Label 947*/ GIMT_Encode4(38029), // Rule ID 2122 //
     /*  37972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  37975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  37979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  37983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  37991 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  37994 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  37998 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  38002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  38004 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  38011 */     // (xor:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORrm:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  38011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORrm),
     /*  38014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38016 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  38018 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  38022 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  38027 */     GIR_RootConstrainSelectedInstOperands,
     /*  38028 */     // GIR_Coverage, 2122,
     /*  38028 */     GIR_EraseRootFromParent_Done,
     /*  38029 */   // Label 947: @38029
     /*  38029 */   GIM_Try, /*On fail goto*//*Label 948*/ GIMT_Encode4(38091), // Rule ID 5814 //
     /*  38034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  38037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  38041 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  38045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  38049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  38053 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  38056 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  38060 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  38064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  38066 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  38073 */     // (xor:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  38073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORQZ128rm),
     /*  38076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38078 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  38080 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  38084 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  38089 */     GIR_RootConstrainSelectedInstOperands,
     /*  38090 */     // GIR_Coverage, 5814,
     /*  38090 */     GIR_EraseRootFromParent_Done,
     /*  38091 */   // Label 948: @38091
     /*  38091 */   GIM_Try, /*On fail goto*//*Label 949*/ GIMT_Encode4(38323), // Rule ID 21945 //
     /*  38096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /*  38099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /*  38103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  38107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  38111 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  38117 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  38119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  38121 */     // (xor:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src, immAllOnesV:{ *:[v2i64] })  =>  (EXTRACT_SUBREG:{ *:[v2i64] } (VPTERNLOGQZrri:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src, sub_xmm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src, sub_xmm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src, sub_xmm:{ *:[i32] }), 15:{ *:[i8] }), sub_xmm:{ *:[i32] })
     /*  38121 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v8s64,
     /*  38124 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  38128 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  38135 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v8s64,
     /*  38138 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  38142 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38147 */     GIR_AddSimpleTempRegister, /*InsnID*/6, /*TempRegID*/6,
     /*  38150 */     GIR_Copy, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  38154 */     GIR_AddImm8, /*InsnID*/6, /*Imm*/11,
     /*  38157 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  38162 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  38167 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /*  38172 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /*  38175 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  38179 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  38186 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /*  38189 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  38193 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38198 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /*  38201 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  38205 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/11,
     /*  38208 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  38213 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  38218 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /*  38223 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /*  38226 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  38230 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38235 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  38237 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /*  38240 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  38244 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38249 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  38252 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  38256 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /*  38259 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  38264 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  38269 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /*  38274 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /*  38277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZrri),
     /*  38281 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38286 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  38289 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /*  38292 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/5,
     /*  38295 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/15,
     /*  38298 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38305 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /*  38312 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /*  38317 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  38322 */     // GIR_Coverage, 21945,
     /*  38322 */     GIR_EraseRootFromParent_Done,
     /*  38323 */   // Label 949: @38323
     /*  38323 */   GIM_Try, /*On fail goto*//*Label 950*/ GIMT_Encode4(38369), // Rule ID 21953 //
     /*  38328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  38331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  38335 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  38339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  38343 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  38349 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  38351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  38353 */     // (xor:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src, immAllOnesV:{ *:[v2i64] })  =>  (VPTERNLOGQZ128rri:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src, VR128X:{ *:[v2i64] }:$src, VR128X:{ *:[v2i64] }:$src, 15:{ *:[i8] })
     /*  38353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZ128rri),
     /*  38356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38358 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  38360 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  38362 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  38364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /*  38367 */     GIR_RootConstrainSelectedInstOperands,
     /*  38368 */     // GIR_Coverage, 21953,
     /*  38368 */     GIR_EraseRootFromParent_Done,
     /*  38369 */   // Label 950: @38369
     /*  38369 */   GIM_Try, /*On fail goto*//*Label 951*/ GIMT_Encode4(38396), // Rule ID 2121 //
     /*  38374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  38377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  38381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  38385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  38389 */     // (xor:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (VPXORrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*  38389 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORrr),
     /*  38394 */     GIR_RootConstrainSelectedInstOperands,
     /*  38395 */     // GIR_Coverage, 2121,
     /*  38395 */     GIR_Done,
     /*  38396 */   // Label 951: @38396
     /*  38396 */   GIM_Try, /*On fail goto*//*Label 952*/ GIMT_Encode4(38423), // Rule ID 2123 //
     /*  38401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  38404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  38408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  38412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  38416 */     // (xor:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (PXORrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*  38416 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PXORrr),
     /*  38421 */     GIR_RootConstrainSelectedInstOperands,
     /*  38422 */     // GIR_Coverage, 2123,
     /*  38422 */     GIR_Done,
     /*  38423 */   // Label 952: @38423
     /*  38423 */   GIM_Try, /*On fail goto*//*Label 953*/ GIMT_Encode4(38450), // Rule ID 5811 //
     /*  38428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  38431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  38435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  38439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  38443 */     // (xor:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (VPXORQZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)
     /*  38443 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORQZ128rr),
     /*  38448 */     GIR_RootConstrainSelectedInstOperands,
     /*  38449 */     // GIR_Coverage, 5811,
     /*  38449 */     GIR_Done,
     /*  38450 */   // Label 953: @38450
     /*  38450 */   GIM_Reject,
     /*  38451 */ // Label 944: @38451
     /*  38451 */ GIM_Reject,
     /*  38452 */ // Label 854: @38452
     /*  38452 */ GIM_Try, /*On fail goto*//*Label 954*/ GIMT_Encode4(38993),
     /*  38457 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s1,
     /*  38460 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s1,
     /*  38463 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  38467 */   GIM_Try, /*On fail goto*//*Label 955*/ GIMT_Encode4(38587), // Rule ID 25373 //
     /*  38472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  38476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  38480 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s1,
     /*  38484 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s1,
     /*  38488 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  38493 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  38497 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  38503 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  38505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  38509 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  38511 */     // (xor:{ *:[v4i1] } (xor:{ *:[v4i1] } VK4:{ *:[v4i1] }:$src1, immAllOnesV:{ *:[v4i1] }), VK4:{ *:[v4i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v4i1] } (KXNORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK4:{ *:[v4i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK4:{ *:[v4i1] }:$src2, VK16:{ *:[i32] })), VK4:{ *:[i32] })
     /*  38511 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  38514 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38518 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38523 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  38527 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  38532 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  38535 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38539 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38544 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  38548 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  38553 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  38556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KXNORWkk),
     /*  38560 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38565 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  38568 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  38571 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  38581 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK4RegClassID),
     /*  38586 */     // GIR_Coverage, 25373,
     /*  38586 */     GIR_EraseRootFromParent_Done,
     /*  38587 */   // Label 955: @38587
     /*  38587 */   GIM_Try, /*On fail goto*//*Label 956*/ GIMT_Encode4(38708), // Rule ID 19497 //
     /*  38592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  38596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  38600 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s1,
     /*  38604 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s1,
     /*  38608 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  38613 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  38618 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  38622 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  38628 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  38630 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  38632 */     // (xor:{ *:[v4i1] } (xor:{ *:[v4i1] } VK4:{ *:[v4i1] }:$src1, VK4:{ *:[v4i1] }:$src2), immAllOnesV:{ *:[v4i1] })  =>  (COPY_TO_REGCLASS:{ *:[v4i1] } (KXNORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK4:{ *:[v4i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK4:{ *:[v4i1] }:$src2, VK16:{ *:[i32] })), VK4:{ *:[i32] })
     /*  38632 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  38635 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38639 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38644 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  38648 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  38653 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  38656 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38660 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38665 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  38669 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  38674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  38677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KXNORWkk),
     /*  38681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38686 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  38689 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  38692 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  38702 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK4RegClassID),
     /*  38707 */     // GIR_Coverage, 19497,
     /*  38707 */     GIR_EraseRootFromParent_Done,
     /*  38708 */   // Label 956: @38708
     /*  38708 */   GIM_Try, /*On fail goto*//*Label 957*/ GIMT_Encode4(38828), // Rule ID 25374 //
     /*  38713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  38717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  38721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  38725 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s1,
     /*  38729 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s1,
     /*  38733 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  38738 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  38742 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  38748 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  38750 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  38752 */     // (xor:{ *:[v4i1] } VK4:{ *:[v4i1] }:$src2, (xor:{ *:[v4i1] } VK4:{ *:[v4i1] }:$src1, immAllOnesV:{ *:[v4i1] }))  =>  (COPY_TO_REGCLASS:{ *:[v4i1] } (KXNORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK4:{ *:[v4i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK4:{ *:[v4i1] }:$src2, VK16:{ *:[i32] })), VK4:{ *:[i32] })
     /*  38752 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  38755 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38759 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38764 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // src2
     /*  38768 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  38773 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  38776 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38780 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38785 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  38789 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  38794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  38797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KXNORWkk),
     /*  38801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38806 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  38809 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  38812 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38819 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  38822 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK4RegClassID),
     /*  38827 */     // GIR_Coverage, 25374,
     /*  38827 */     GIR_EraseRootFromParent_Done,
     /*  38828 */   // Label 957: @38828
     /*  38828 */   GIM_Try, /*On fail goto*//*Label 958*/ GIMT_Encode4(38903), // Rule ID 19479 //
     /*  38833 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  38837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  38841 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  38847 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  38849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  38851 */     // (xor:{ *:[v4i1] } VK4:{ *:[v4i1] }:$src, immAllOnesV:{ *:[v4i1] })  =>  (COPY_TO_REGCLASS:{ *:[v4i1] } (KNOTWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK4:{ *:[v4i1] }:$src, VK16:{ *:[i32] })), VK4:{ *:[i32] })
     /*  38851 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  38854 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38858 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38863 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  38867 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  38872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  38875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KNOTWkk),
     /*  38879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38884 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  38887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  38897 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK4RegClassID),
     /*  38902 */     // GIR_Coverage, 19479,
     /*  38902 */     GIR_EraseRootFromParent_Done,
     /*  38903 */   // Label 958: @38903
     /*  38903 */   GIM_Try, /*On fail goto*//*Label 959*/ GIMT_Encode4(38992), // Rule ID 19501 //
     /*  38908 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  38912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  38916 */     // (xor:{ *:[v4i1] } VK4:{ *:[v4i1] }:$src1, VK4:{ *:[v4i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v4i1] } (KXORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK4:{ *:[v4i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK4:{ *:[v4i1] }:$src2, VK16:{ *:[i32] })), VK4:{ *:[i32] })
     /*  38916 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  38919 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38923 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38928 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  38932 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  38937 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  38940 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38944 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38949 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /*  38953 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  38958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  38961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KXORWkk),
     /*  38965 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38970 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  38973 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  38976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  38986 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK4RegClassID),
     /*  38991 */     // GIR_Coverage, 19501,
     /*  38991 */     GIR_EraseRootFromParent_Done,
     /*  38992 */   // Label 959: @38992
     /*  38992 */   GIM_Reject,
     /*  38993 */ // Label 954: @38993
     /*  38993 */ GIM_Reject,
     /*  38994 */ // Label 855: @38994
     /*  38994 */ GIM_Try, /*On fail goto*//*Label 960*/ GIMT_Encode4(39613),
     /*  38999 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  39002 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  39005 */   GIM_Try, /*On fail goto*//*Label 961*/ GIMT_Encode4(39067), // Rule ID 24236 //
     /*  39010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  39013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  39017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  39021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  39025 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  39028 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  39032 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  39036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  39040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39042 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  39049 */     // (xor:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v4i32] }:$src1)  =>  (VPXORDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  39049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORDZ128rm),
     /*  39052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  39054 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  39056 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  39060 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  39065 */     GIR_RootConstrainSelectedInstOperands,
     /*  39066 */     // GIR_Coverage, 24236,
     /*  39066 */     GIR_EraseRootFromParent_Done,
     /*  39067 */   // Label 961: @39067
     /*  39067 */   GIM_Try, /*On fail goto*//*Label 962*/ GIMT_Encode4(39129), // Rule ID 25256 //
     /*  39072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  39075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  39079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  39083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  39087 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  39090 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  39094 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  39098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  39102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39104 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  39111 */     // (xor:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src1)  =>  (VPXORrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  39111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORrm),
     /*  39114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  39116 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  39118 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  39122 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  39127 */     GIR_RootConstrainSelectedInstOperands,
     /*  39128 */     // GIR_Coverage, 25256,
     /*  39128 */     GIR_EraseRootFromParent_Done,
     /*  39129 */   // Label 962: @39129
     /*  39129 */   GIM_Try, /*On fail goto*//*Label 963*/ GIMT_Encode4(39191), // Rule ID 5841 //
     /*  39134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  39137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  39141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  39145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  39153 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  39156 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  39160 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  39164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39166 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  39173 */     // (xor:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  39173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORDZ128rm),
     /*  39176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  39178 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  39180 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  39184 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  39189 */     GIR_RootConstrainSelectedInstOperands,
     /*  39190 */     // GIR_Coverage, 5841,
     /*  39190 */     GIR_EraseRootFromParent_Done,
     /*  39191 */   // Label 963: @39191
     /*  39191 */   GIM_Try, /*On fail goto*//*Label 964*/ GIMT_Encode4(39253), // Rule ID 18165 //
     /*  39196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  39199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  39203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  39207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  39215 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  39218 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  39222 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  39226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39228 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  39235 */     // (xor:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  39235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORrm),
     /*  39238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  39240 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  39242 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  39246 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  39251 */     GIR_RootConstrainSelectedInstOperands,
     /*  39252 */     // GIR_Coverage, 18165,
     /*  39252 */     GIR_EraseRootFromParent_Done,
     /*  39253 */   // Label 964: @39253
     /*  39253 */   GIM_Try, /*On fail goto*//*Label 965*/ GIMT_Encode4(39485), // Rule ID 21944 //
     /*  39258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /*  39261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /*  39265 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  39269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39273 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  39279 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  39281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39283 */     // (xor:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src, immAllOnesV:{ *:[v4i32] })  =>  (EXTRACT_SUBREG:{ *:[v4i32] } (VPTERNLOGQZrri:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v4i32] }:$src, sub_xmm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v4i32] }:$src, sub_xmm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v4i32] }:$src, sub_xmm:{ *:[i32] }), 15:{ *:[i8] }), sub_xmm:{ *:[i32] })
     /*  39283 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v8s64,
     /*  39286 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  39290 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39295 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  39297 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v8s64,
     /*  39300 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  39304 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39309 */     GIR_AddSimpleTempRegister, /*InsnID*/6, /*TempRegID*/6,
     /*  39312 */     GIR_Copy, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  39316 */     GIR_AddImm8, /*InsnID*/6, /*Imm*/11,
     /*  39319 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  39324 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  39329 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /*  39334 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /*  39337 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  39341 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39346 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  39348 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /*  39351 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  39355 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39360 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /*  39363 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  39367 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/11,
     /*  39370 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  39375 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  39380 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /*  39385 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /*  39388 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  39392 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  39399 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /*  39402 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  39406 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39411 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  39414 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  39418 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /*  39421 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  39426 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  39431 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /*  39436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /*  39439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZrri),
     /*  39443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39448 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  39451 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /*  39454 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/5,
     /*  39457 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/15,
     /*  39460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  39462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  39465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  39467 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /*  39474 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /*  39479 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  39484 */     // GIR_Coverage, 21944,
     /*  39484 */     GIR_EraseRootFromParent_Done,
     /*  39485 */   // Label 965: @39485
     /*  39485 */   GIM_Try, /*On fail goto*//*Label 966*/ GIMT_Encode4(39531), // Rule ID 21952 //
     /*  39490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  39493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  39497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  39501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39505 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  39511 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  39513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39515 */     // (xor:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src, immAllOnesV:{ *:[v4i32] })  =>  (VPTERNLOGQZ128rri:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src, VR128X:{ *:[v4i32] }:$src, VR128X:{ *:[v4i32] }:$src, 15:{ *:[i8] })
     /*  39515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZ128rri),
     /*  39518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  39520 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  39522 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  39524 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  39526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /*  39529 */     GIR_RootConstrainSelectedInstOperands,
     /*  39530 */     // GIR_Coverage, 21952,
     /*  39530 */     GIR_EraseRootFromParent_Done,
     /*  39531 */   // Label 966: @39531
     /*  39531 */   GIM_Try, /*On fail goto*//*Label 967*/ GIMT_Encode4(39558), // Rule ID 5838 //
     /*  39536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  39539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  39543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  39547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  39551 */     // (xor:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)  =>  (VPXORDZ128rr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)
     /*  39551 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORDZ128rr),
     /*  39556 */     GIR_RootConstrainSelectedInstOperands,
     /*  39557 */     // GIR_Coverage, 5838,
     /*  39557 */     GIR_Done,
     /*  39558 */   // Label 967: @39558
     /*  39558 */   GIM_Try, /*On fail goto*//*Label 968*/ GIMT_Encode4(39585), // Rule ID 18153 //
     /*  39563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  39566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  39570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  39574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  39578 */     // (xor:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (VPXORrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*  39578 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORrr),
     /*  39583 */     GIR_RootConstrainSelectedInstOperands,
     /*  39584 */     // GIR_Coverage, 18153,
     /*  39584 */     GIR_Done,
     /*  39585 */   // Label 968: @39585
     /*  39585 */   GIM_Try, /*On fail goto*//*Label 969*/ GIMT_Encode4(39612), // Rule ID 18177 //
     /*  39590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  39593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  39597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  39601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  39605 */     // (xor:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (PXORrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*  39605 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PXORrr),
     /*  39610 */     GIR_RootConstrainSelectedInstOperands,
     /*  39611 */     // GIR_Coverage, 18177,
     /*  39611 */     GIR_Done,
     /*  39612 */   // Label 969: @39612
     /*  39612 */   GIM_Reject,
     /*  39613 */ // Label 960: @39613
     /*  39613 */ GIM_Reject,
     /*  39614 */ // Label 856: @39614
     /*  39614 */ GIM_Try, /*On fail goto*//*Label 970*/ GIMT_Encode4(40357),
     /*  39619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  39622 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  39625 */   GIM_Try, /*On fail goto*//*Label 971*/ GIMT_Encode4(39687), // Rule ID 23365 //
     /*  39630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  39633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  39637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  39641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  39645 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  39648 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  39652 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  39656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  39660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39662 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  39669 */     // (xor:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4i64] }:$src1)  =>  (VPXORYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  39669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORYrm),
     /*  39672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  39674 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  39676 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  39680 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  39685 */     GIR_RootConstrainSelectedInstOperands,
     /*  39686 */     // GIR_Coverage, 23365,
     /*  39686 */     GIR_EraseRootFromParent_Done,
     /*  39687 */   // Label 971: @39687
     /*  39687 */   GIM_Try, /*On fail goto*//*Label 972*/ GIMT_Encode4(39749), // Rule ID 24212 //
     /*  39692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  39695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  39699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  39703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  39707 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  39710 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  39714 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  39718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  39722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39724 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  39731 */     // (xor:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v4i64] }:$src1)  =>  (VPXORQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  39731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORQZ256rm),
     /*  39734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  39736 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  39738 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  39742 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  39747 */     GIR_RootConstrainSelectedInstOperands,
     /*  39748 */     // GIR_Coverage, 24212,
     /*  39748 */     GIR_EraseRootFromParent_Done,
     /*  39749 */   // Label 972: @39749
     /*  39749 */   GIM_Try, /*On fail goto*//*Label 973*/ GIMT_Encode4(39811), // Rule ID 25247 //
     /*  39754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  39757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  39761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  39765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  39769 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  39772 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  39776 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  39780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  39784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39786 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  39793 */     // (xor:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4i64] }:$src1)  =>  (VXORPSYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  39793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VXORPSYrm),
     /*  39796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  39798 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  39800 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  39804 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  39809 */     GIR_RootConstrainSelectedInstOperands,
     /*  39810 */     // GIR_Coverage, 25247,
     /*  39810 */     GIR_EraseRootFromParent_Done,
     /*  39811 */   // Label 973: @39811
     /*  39811 */   GIM_Try, /*On fail goto*//*Label 974*/ GIMT_Encode4(39873), // Rule ID 2126 //
     /*  39816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  39819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  39823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  39827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  39835 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  39838 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  39842 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  39846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39848 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  39855 */     // (xor:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  39855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORYrm),
     /*  39858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  39860 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  39862 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  39866 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  39871 */     GIR_RootConstrainSelectedInstOperands,
     /*  39872 */     // GIR_Coverage, 2126,
     /*  39872 */     GIR_EraseRootFromParent_Done,
     /*  39873 */   // Label 974: @39873
     /*  39873 */   GIM_Try, /*On fail goto*//*Label 975*/ GIMT_Encode4(39935), // Rule ID 5805 //
     /*  39878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  39881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  39885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  39889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  39897 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  39900 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  39904 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  39908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39910 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  39917 */     // (xor:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  39917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORQZ256rm),
     /*  39920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  39922 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  39924 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  39928 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  39933 */     GIR_RootConstrainSelectedInstOperands,
     /*  39934 */     // GIR_Coverage, 5805,
     /*  39934 */     GIR_EraseRootFromParent_Done,
     /*  39935 */   // Label 975: @39935
     /*  39935 */   GIM_Try, /*On fail goto*//*Label 976*/ GIMT_Encode4(39997), // Rule ID 18140 //
     /*  39940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  39943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  39947 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  39951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  39959 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  39962 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  39966 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  39970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39972 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  39979 */     // (xor:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VXORPSYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  39979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VXORPSYrm),
     /*  39982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  39984 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  39986 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  39990 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  39995 */     GIR_RootConstrainSelectedInstOperands,
     /*  39996 */     // GIR_Coverage, 18140,
     /*  39996 */     GIR_EraseRootFromParent_Done,
     /*  39997 */   // Label 976: @39997
     /*  39997 */   GIM_Try, /*On fail goto*//*Label 977*/ GIMT_Encode4(40229), // Rule ID 21949 //
     /*  40002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /*  40005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  40009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  40013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40017 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  40023 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  40025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  40027 */     // (xor:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src, immAllOnesV:{ *:[v4i64] })  =>  (EXTRACT_SUBREG:{ *:[v4i64] } (VPTERNLOGQZrri:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src, sub_ymm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src, sub_ymm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src, sub_ymm:{ *:[i32] }), 15:{ *:[i8] }), sub_ymm:{ *:[i32] })
     /*  40027 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v8s64,
     /*  40030 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  40034 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40039 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  40041 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v8s64,
     /*  40044 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  40048 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40053 */     GIR_AddSimpleTempRegister, /*InsnID*/6, /*TempRegID*/6,
     /*  40056 */     GIR_Copy, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  40060 */     GIR_AddImm8, /*InsnID*/6, /*Imm*/12,
     /*  40063 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  40068 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  40073 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /*  40078 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /*  40081 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  40085 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40090 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  40092 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /*  40095 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  40099 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40104 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /*  40107 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  40111 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/12,
     /*  40114 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  40119 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  40124 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /*  40129 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /*  40132 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  40136 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  40143 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /*  40146 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  40150 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40155 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  40158 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  40162 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /*  40165 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  40170 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  40175 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /*  40180 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /*  40183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZrri),
     /*  40187 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40192 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  40195 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /*  40198 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/5,
     /*  40201 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/15,
     /*  40204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  40206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40211 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /*  40218 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /*  40223 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  40228 */     // GIR_Coverage, 21949,
     /*  40228 */     GIR_EraseRootFromParent_Done,
     /*  40229 */   // Label 977: @40229
     /*  40229 */   GIM_Try, /*On fail goto*//*Label 978*/ GIMT_Encode4(40275), // Rule ID 21957 //
     /*  40234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  40237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  40241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  40245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40249 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  40255 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  40257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  40259 */     // (xor:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src, immAllOnesV:{ *:[v4i64] })  =>  (VPTERNLOGQZ256rri:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src, VR256X:{ *:[v4i64] }:$src, VR256X:{ *:[v4i64] }:$src, 15:{ *:[i8] })
     /*  40259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZ256rri),
     /*  40262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40264 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  40266 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  40268 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  40270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /*  40273 */     GIR_RootConstrainSelectedInstOperands,
     /*  40274 */     // GIR_Coverage, 21957,
     /*  40274 */     GIR_EraseRootFromParent_Done,
     /*  40275 */   // Label 978: @40275
     /*  40275 */   GIM_Try, /*On fail goto*//*Label 979*/ GIMT_Encode4(40302), // Rule ID 2125 //
     /*  40280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  40283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  40287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  40291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  40295 */     // (xor:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)  =>  (VPXORYrr:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)
     /*  40295 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORYrr),
     /*  40300 */     GIR_RootConstrainSelectedInstOperands,
     /*  40301 */     // GIR_Coverage, 2125,
     /*  40301 */     GIR_Done,
     /*  40302 */   // Label 979: @40302
     /*  40302 */   GIM_Try, /*On fail goto*//*Label 980*/ GIMT_Encode4(40329), // Rule ID 5802 //
     /*  40307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  40310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  40314 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  40318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  40322 */     // (xor:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (VPXORQZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)
     /*  40322 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORQZ256rr),
     /*  40327 */     GIR_RootConstrainSelectedInstOperands,
     /*  40328 */     // GIR_Coverage, 5802,
     /*  40328 */     GIR_Done,
     /*  40329 */   // Label 980: @40329
     /*  40329 */   GIM_Try, /*On fail goto*//*Label 981*/ GIMT_Encode4(40356), // Rule ID 18124 //
     /*  40334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  40337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  40341 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  40345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  40349 */     // (xor:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)  =>  (VXORPSYrr:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)
     /*  40349 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VXORPSYrr),
     /*  40354 */     GIR_RootConstrainSelectedInstOperands,
     /*  40355 */     // GIR_Coverage, 18124,
     /*  40355 */     GIR_Done,
     /*  40356 */   // Label 981: @40356
     /*  40356 */   GIM_Reject,
     /*  40357 */ // Label 970: @40357
     /*  40357 */ GIM_Reject,
     /*  40358 */ // Label 857: @40358
     /*  40358 */ GIM_Try, /*On fail goto*//*Label 982*/ GIMT_Encode4(41155),
     /*  40363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s1,
     /*  40366 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s1,
     /*  40369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  40373 */   GIM_Try, /*On fail goto*//*Label 983*/ GIMT_Encode4(40433), // Rule ID 23681 //
     /*  40378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  40381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  40385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  40389 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s1,
     /*  40393 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s1,
     /*  40397 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  40402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  40406 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  40412 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  40414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  40418 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  40420 */     // (xor:{ *:[v8i1] } (xor:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, immAllOnesV:{ *:[v8i1] }), VK8:{ *:[v8i1] }:$src2)  =>  (KXNORBkk:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, VK8:{ *:[v8i1] }:$src2)
     /*  40420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KXNORBkk),
     /*  40423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  40429 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  40431 */     GIR_RootConstrainSelectedInstOperands,
     /*  40432 */     // GIR_Coverage, 23681,
     /*  40432 */     GIR_EraseRootFromParent_Done,
     /*  40433 */   // Label 983: @40433
     /*  40433 */   GIM_Try, /*On fail goto*//*Label 984*/ GIMT_Encode4(40556), // Rule ID 25367 //
     /*  40438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoDQI),
     /*  40441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  40445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  40449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s1,
     /*  40453 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s1,
     /*  40457 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  40462 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  40466 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  40472 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  40474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  40478 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  40480 */     // (xor:{ *:[v8i1] } (xor:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, immAllOnesV:{ *:[v8i1] }), VK8:{ *:[v8i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v8i1] } (KXNORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src2, VK16:{ *:[i32] })), VK8:{ *:[i32] })
     /*  40480 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  40483 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40487 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40492 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  40496 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  40501 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  40504 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40508 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40513 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  40517 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  40522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  40525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KXNORWkk),
     /*  40529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40534 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  40537 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  40540 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  40542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40547 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  40550 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK8RegClassID),
     /*  40555 */     // GIR_Coverage, 25367,
     /*  40555 */     GIR_EraseRootFromParent_Done,
     /*  40556 */   // Label 984: @40556
     /*  40556 */   GIM_Try, /*On fail goto*//*Label 985*/ GIMT_Encode4(40619), // Rule ID 4422 //
     /*  40561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  40564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  40568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  40572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s1,
     /*  40576 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s1,
     /*  40580 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  40585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  40590 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  40594 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  40600 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  40602 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  40604 */     // (xor:{ *:[v8i1] } (xor:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, VK8:{ *:[v8i1] }:$src2), immAllOnesV:{ *:[v8i1] })  =>  (KXNORBkk:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, VK8:{ *:[v8i1] }:$src2)
     /*  40604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KXNORBkk),
     /*  40607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  40613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  40617 */     GIR_RootConstrainSelectedInstOperands,
     /*  40618 */     // GIR_Coverage, 4422,
     /*  40618 */     GIR_EraseRootFromParent_Done,
     /*  40619 */   // Label 985: @40619
     /*  40619 */   GIM_Try, /*On fail goto*//*Label 986*/ GIMT_Encode4(40743), // Rule ID 19494 //
     /*  40624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoDQI),
     /*  40627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  40631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  40635 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s1,
     /*  40639 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s1,
     /*  40643 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  40648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  40653 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  40657 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  40663 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  40665 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  40667 */     // (xor:{ *:[v8i1] } (xor:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, VK8:{ *:[v8i1] }:$src2), immAllOnesV:{ *:[v8i1] })  =>  (COPY_TO_REGCLASS:{ *:[v8i1] } (KXNORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src2, VK16:{ *:[i32] })), VK8:{ *:[i32] })
     /*  40667 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  40670 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40674 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40679 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  40683 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  40688 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  40691 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40695 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40700 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  40704 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  40709 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  40712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KXNORWkk),
     /*  40716 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40721 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  40724 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  40727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  40729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  40737 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK8RegClassID),
     /*  40742 */     // GIR_Coverage, 19494,
     /*  40742 */     GIR_EraseRootFromParent_Done,
     /*  40743 */   // Label 986: @40743
     /*  40743 */   GIM_Try, /*On fail goto*//*Label 987*/ GIMT_Encode4(40803), // Rule ID 23682 //
     /*  40748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  40751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  40755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  40763 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s1,
     /*  40767 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s1,
     /*  40771 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  40776 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  40780 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  40786 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  40788 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  40790 */     // (xor:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src2, (xor:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, immAllOnesV:{ *:[v8i1] }))  =>  (KXNORBkk:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, VK8:{ *:[v8i1] }:$src2)
     /*  40790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KXNORBkk),
     /*  40793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  40799 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  40801 */     GIR_RootConstrainSelectedInstOperands,
     /*  40802 */     // GIR_Coverage, 23682,
     /*  40802 */     GIR_EraseRootFromParent_Done,
     /*  40803 */   // Label 987: @40803
     /*  40803 */   GIM_Try, /*On fail goto*//*Label 988*/ GIMT_Encode4(40926), // Rule ID 25368 //
     /*  40808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoDQI),
     /*  40811 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  40815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  40823 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s1,
     /*  40827 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s1,
     /*  40831 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  40836 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  40840 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  40846 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  40848 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  40850 */     // (xor:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src2, (xor:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, immAllOnesV:{ *:[v8i1] }))  =>  (COPY_TO_REGCLASS:{ *:[v8i1] } (KXNORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src2, VK16:{ *:[i32] })), VK8:{ *:[i32] })
     /*  40850 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  40853 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40857 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40862 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // src2
     /*  40866 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  40871 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  40874 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40878 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40883 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  40887 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  40892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  40895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KXNORWkk),
     /*  40899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40904 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  40907 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  40910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  40912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40917 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  40920 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK8RegClassID),
     /*  40925 */     // GIR_Coverage, 25368,
     /*  40925 */     GIR_EraseRootFromParent_Done,
     /*  40926 */   // Label 988: @40926
     /*  40926 */   GIM_Try, /*On fail goto*//*Label 989*/ GIMT_Encode4(40961), // Rule ID 4410 //
     /*  40931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  40934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  40938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40942 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  40948 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  40950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  40952 */     // (xor:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src, immAllOnesV:{ *:[v8i1] })  =>  (KNOTBkk:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src)
     /*  40952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KNOTBkk),
     /*  40955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40957 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  40959 */     GIR_RootConstrainSelectedInstOperands,
     /*  40960 */     // GIR_Coverage, 4410,
     /*  40960 */     GIR_EraseRootFromParent_Done,
     /*  40961 */   // Label 989: @40961
     /*  40961 */   GIM_Try, /*On fail goto*//*Label 990*/ GIMT_Encode4(41039), // Rule ID 19478 //
     /*  40966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_NoDQI),
     /*  40969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  40973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40977 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  40983 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  40985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  40987 */     // (xor:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src, immAllOnesV:{ *:[v8i1] })  =>  (COPY_TO_REGCLASS:{ *:[v8i1] } (KNOTWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src, VK16:{ *:[i32] })), VK8:{ *:[i32] })
     /*  40987 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  40990 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40994 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40999 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  41003 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  41008 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  41011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KNOTWkk),
     /*  41015 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41020 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  41023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  41025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  41033 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK8RegClassID),
     /*  41038 */     // GIR_Coverage, 19478,
     /*  41038 */     GIR_EraseRootFromParent_Done,
     /*  41039 */   // Label 990: @41039
     /*  41039 */   GIM_Try, /*On fail goto*//*Label 991*/ GIMT_Encode4(41062), // Rule ID 4426 //
     /*  41044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  41047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  41051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  41055 */     // (xor:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, VK8:{ *:[v8i1] }:$src2)  =>  (KXORBkk:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, VK8:{ *:[v8i1] }:$src2)
     /*  41055 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::KXORBkk),
     /*  41060 */     GIR_RootConstrainSelectedInstOperands,
     /*  41061 */     // GIR_Coverage, 4426,
     /*  41061 */     GIR_Done,
     /*  41062 */   // Label 991: @41062
     /*  41062 */   GIM_Try, /*On fail goto*//*Label 992*/ GIMT_Encode4(41154), // Rule ID 19498 //
     /*  41067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoDQI),
     /*  41070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  41074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  41078 */     // (xor:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, VK8:{ *:[v8i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v8i1] } (KXORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src2, VK16:{ *:[i32] })), VK8:{ *:[i32] })
     /*  41078 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  41081 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41085 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41090 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  41094 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  41099 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  41102 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41106 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41111 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /*  41115 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  41120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  41123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KXORWkk),
     /*  41127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41132 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  41135 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  41138 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  41140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41145 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  41148 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK8RegClassID),
     /*  41153 */     // GIR_Coverage, 19498,
     /*  41153 */     GIR_EraseRootFromParent_Done,
     /*  41154 */   // Label 992: @41154
     /*  41154 */   GIM_Reject,
     /*  41155 */ // Label 982: @41155
     /*  41155 */ GIM_Reject,
     /*  41156 */ // Label 858: @41156
     /*  41156 */ GIM_Try, /*On fail goto*//*Label 993*/ GIMT_Encode4(41775),
     /*  41161 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  41164 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  41167 */   GIM_Try, /*On fail goto*//*Label 994*/ GIMT_Encode4(41229), // Rule ID 25255 //
     /*  41172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  41175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  41179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  41187 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  41190 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  41194 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  41198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  41202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  41204 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  41211 */     // (xor:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1)  =>  (VPXORrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  41211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORrm),
     /*  41214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41216 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  41218 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  41222 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  41227 */     GIR_RootConstrainSelectedInstOperands,
     /*  41228 */     // GIR_Coverage, 25255,
     /*  41228 */     GIR_EraseRootFromParent_Done,
     /*  41229 */   // Label 994: @41229
     /*  41229 */   GIM_Try, /*On fail goto*//*Label 995*/ GIMT_Encode4(41291), // Rule ID 25434 //
     /*  41234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  41237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  41241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  41249 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  41252 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  41256 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  41260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  41264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  41266 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  41273 */     // (xor:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8i16] }:$src1)  =>  (VPXORQZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  41273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORQZ128rm),
     /*  41276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41278 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  41280 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  41284 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  41289 */     GIR_RootConstrainSelectedInstOperands,
     /*  41290 */     // GIR_Coverage, 25434,
     /*  41290 */     GIR_EraseRootFromParent_Done,
     /*  41291 */   // Label 995: @41291
     /*  41291 */   GIM_Try, /*On fail goto*//*Label 996*/ GIMT_Encode4(41353), // Rule ID 18164 //
     /*  41296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  41299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  41303 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  41307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  41311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  41315 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  41318 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  41322 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  41326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  41328 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  41335 */     // (xor:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  41335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORrm),
     /*  41338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41340 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  41342 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  41346 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  41351 */     GIR_RootConstrainSelectedInstOperands,
     /*  41352 */     // GIR_Coverage, 18164,
     /*  41352 */     GIR_EraseRootFromParent_Done,
     /*  41353 */   // Label 996: @41353
     /*  41353 */   GIM_Try, /*On fail goto*//*Label 997*/ GIMT_Encode4(41415), // Rule ID 20028 //
     /*  41358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  41361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  41365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  41369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  41373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  41377 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  41380 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  41384 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  41388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  41390 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  41397 */     // (xor:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORQZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  41397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORQZ128rm),
     /*  41400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41402 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  41404 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  41408 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  41413 */     GIR_RootConstrainSelectedInstOperands,
     /*  41414 */     // GIR_Coverage, 20028,
     /*  41414 */     GIR_EraseRootFromParent_Done,
     /*  41415 */   // Label 997: @41415
     /*  41415 */   GIM_Try, /*On fail goto*//*Label 998*/ GIMT_Encode4(41647), // Rule ID 21943 //
     /*  41420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /*  41423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /*  41427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  41431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  41435 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  41441 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  41443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  41445 */     // (xor:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src, immAllOnesV:{ *:[v8i16] })  =>  (EXTRACT_SUBREG:{ *:[v8i16] } (VPTERNLOGQZrri:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v8i16] }:$src, sub_xmm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v8i16] }:$src, sub_xmm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v8i16] }:$src, sub_xmm:{ *:[i32] }), 15:{ *:[i8] }), sub_xmm:{ *:[i32] })
     /*  41445 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v8s64,
     /*  41448 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  41452 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41457 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  41459 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v8s64,
     /*  41462 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  41466 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41471 */     GIR_AddSimpleTempRegister, /*InsnID*/6, /*TempRegID*/6,
     /*  41474 */     GIR_Copy, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  41478 */     GIR_AddImm8, /*InsnID*/6, /*Imm*/11,
     /*  41481 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  41486 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  41491 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /*  41496 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /*  41499 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  41503 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  41510 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /*  41513 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  41517 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41522 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /*  41525 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  41529 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/11,
     /*  41532 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  41537 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  41542 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /*  41547 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /*  41550 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  41554 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  41561 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /*  41564 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  41568 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41573 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  41576 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  41580 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /*  41583 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  41588 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  41593 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /*  41598 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /*  41601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZrri),
     /*  41605 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41610 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  41613 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /*  41616 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/5,
     /*  41619 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/15,
     /*  41622 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  41624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41629 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /*  41636 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /*  41641 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  41646 */     // GIR_Coverage, 21943,
     /*  41646 */     GIR_EraseRootFromParent_Done,
     /*  41647 */   // Label 998: @41647
     /*  41647 */   GIM_Try, /*On fail goto*//*Label 999*/ GIMT_Encode4(41693), // Rule ID 21951 //
     /*  41652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  41655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  41659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  41663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  41667 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  41673 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  41675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  41677 */     // (xor:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src, immAllOnesV:{ *:[v8i16] })  =>  (VPTERNLOGQZ128rri:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src, VR128X:{ *:[v8i16] }:$src, VR128X:{ *:[v8i16] }:$src, 15:{ *:[i8] })
     /*  41677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZ128rri),
     /*  41680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41682 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  41684 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  41686 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  41688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /*  41691 */     GIR_RootConstrainSelectedInstOperands,
     /*  41692 */     // GIR_Coverage, 21951,
     /*  41692 */     GIR_EraseRootFromParent_Done,
     /*  41693 */   // Label 999: @41693
     /*  41693 */   GIM_Try, /*On fail goto*//*Label 1000*/ GIMT_Encode4(41720), // Rule ID 18152 //
     /*  41698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  41701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  41705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  41709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  41713 */     // (xor:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPXORrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /*  41713 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORrr),
     /*  41718 */     GIR_RootConstrainSelectedInstOperands,
     /*  41719 */     // GIR_Coverage, 18152,
     /*  41719 */     GIR_Done,
     /*  41720 */   // Label 1000: @41720
     /*  41720 */   GIM_Try, /*On fail goto*//*Label 1001*/ GIMT_Encode4(41747), // Rule ID 18176 //
     /*  41725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  41728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  41732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  41736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  41740 */     // (xor:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PXORrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /*  41740 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PXORrr),
     /*  41745 */     GIR_RootConstrainSelectedInstOperands,
     /*  41746 */     // GIR_Coverage, 18176,
     /*  41746 */     GIR_Done,
     /*  41747 */   // Label 1001: @41747
     /*  41747 */   GIM_Try, /*On fail goto*//*Label 1002*/ GIMT_Encode4(41774), // Rule ID 20020 //
     /*  41752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  41755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  41759 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  41763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  41767 */     // (xor:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)  =>  (VPXORQZ128rr:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)
     /*  41767 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORQZ128rr),
     /*  41772 */     GIR_RootConstrainSelectedInstOperands,
     /*  41773 */     // GIR_Coverage, 20020,
     /*  41773 */     GIR_Done,
     /*  41774 */   // Label 1002: @41774
     /*  41774 */   GIM_Reject,
     /*  41775 */ // Label 993: @41775
     /*  41775 */ GIM_Reject,
     /*  41776 */ // Label 859: @41776
     /*  41776 */ GIM_Try, /*On fail goto*//*Label 1003*/ GIMT_Encode4(42519),
     /*  41781 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  41784 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  41787 */   GIM_Try, /*On fail goto*//*Label 1004*/ GIMT_Encode4(41849), // Rule ID 24230 //
     /*  41792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  41795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  41799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  41807 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  41810 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  41814 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  41818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  41822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  41824 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  41831 */     // (xor:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v8i32] }:$src1)  =>  (VPXORDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  41831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORDZ256rm),
     /*  41834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41836 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  41838 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  41842 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  41847 */     GIR_RootConstrainSelectedInstOperands,
     /*  41848 */     // GIR_Coverage, 24230,
     /*  41848 */     GIR_EraseRootFromParent_Done,
     /*  41849 */   // Label 1004: @41849
     /*  41849 */   GIM_Try, /*On fail goto*//*Label 1005*/ GIMT_Encode4(41911), // Rule ID 25235 //
     /*  41854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  41857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  41861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  41869 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  41872 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  41876 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  41880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  41884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  41886 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  41893 */     // (xor:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8i32] }:$src1)  =>  (VPXORYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  41893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORYrm),
     /*  41896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41898 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  41900 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  41904 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  41909 */     GIR_RootConstrainSelectedInstOperands,
     /*  41910 */     // GIR_Coverage, 25235,
     /*  41910 */     GIR_EraseRootFromParent_Done,
     /*  41911 */   // Label 1005: @41911
     /*  41911 */   GIM_Try, /*On fail goto*//*Label 1006*/ GIMT_Encode4(41973), // Rule ID 25246 //
     /*  41916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  41919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  41923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  41931 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  41934 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  41938 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  41942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  41946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  41948 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  41955 */     // (xor:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8i32] }:$src1)  =>  (VXORPSYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  41955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VXORPSYrm),
     /*  41958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41960 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  41962 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  41966 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  41971 */     GIR_RootConstrainSelectedInstOperands,
     /*  41972 */     // GIR_Coverage, 25246,
     /*  41972 */     GIR_EraseRootFromParent_Done,
     /*  41973 */   // Label 1006: @41973
     /*  41973 */   GIM_Try, /*On fail goto*//*Label 1007*/ GIMT_Encode4(42035), // Rule ID 5832 //
     /*  41978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  41981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  41985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  41989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  41993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  41997 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  42000 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  42004 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  42008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  42010 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  42017 */     // (xor:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  42017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORDZ256rm),
     /*  42020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42022 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  42024 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  42028 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  42033 */     GIR_RootConstrainSelectedInstOperands,
     /*  42034 */     // GIR_Coverage, 5832,
     /*  42034 */     GIR_EraseRootFromParent_Done,
     /*  42035 */   // Label 1007: @42035
     /*  42035 */   GIM_Try, /*On fail goto*//*Label 1008*/ GIMT_Encode4(42097), // Rule ID 18109 //
     /*  42040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  42043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  42047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  42051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  42059 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  42062 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  42066 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  42070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  42072 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  42079 */     // (xor:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  42079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORYrm),
     /*  42082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42084 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  42086 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  42090 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  42095 */     GIR_RootConstrainSelectedInstOperands,
     /*  42096 */     // GIR_Coverage, 18109,
     /*  42096 */     GIR_EraseRootFromParent_Done,
     /*  42097 */   // Label 1008: @42097
     /*  42097 */   GIM_Try, /*On fail goto*//*Label 1009*/ GIMT_Encode4(42159), // Rule ID 18139 //
     /*  42102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  42105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  42109 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  42113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  42121 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  42124 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  42128 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  42132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  42134 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  42141 */     // (xor:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VXORPSYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  42141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VXORPSYrm),
     /*  42144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42146 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  42148 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  42152 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  42157 */     GIR_RootConstrainSelectedInstOperands,
     /*  42158 */     // GIR_Coverage, 18139,
     /*  42158 */     GIR_EraseRootFromParent_Done,
     /*  42159 */   // Label 1009: @42159
     /*  42159 */   GIM_Try, /*On fail goto*//*Label 1010*/ GIMT_Encode4(42391), // Rule ID 21948 //
     /*  42164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /*  42167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  42171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  42175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42179 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  42185 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  42187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  42189 */     // (xor:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src, immAllOnesV:{ *:[v8i32] })  =>  (EXTRACT_SUBREG:{ *:[v8i32] } (VPTERNLOGQZrri:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v8i32] }:$src, sub_ymm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v8i32] }:$src, sub_ymm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v8i32] }:$src, sub_ymm:{ *:[i32] }), 15:{ *:[i8] }), sub_ymm:{ *:[i32] })
     /*  42189 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v8s64,
     /*  42192 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  42196 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42201 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  42203 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v8s64,
     /*  42206 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  42210 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42215 */     GIR_AddSimpleTempRegister, /*InsnID*/6, /*TempRegID*/6,
     /*  42218 */     GIR_Copy, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  42222 */     GIR_AddImm8, /*InsnID*/6, /*Imm*/12,
     /*  42225 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  42230 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  42235 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /*  42240 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /*  42243 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  42247 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42252 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  42254 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /*  42257 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  42261 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42266 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /*  42269 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  42273 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/12,
     /*  42276 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  42281 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  42286 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /*  42291 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /*  42294 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  42298 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42303 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  42305 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /*  42308 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  42312 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42317 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  42320 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  42324 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /*  42327 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  42332 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  42337 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /*  42342 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /*  42345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZrri),
     /*  42349 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42354 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  42357 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /*  42360 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/5,
     /*  42363 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/15,
     /*  42366 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  42368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42373 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /*  42380 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /*  42385 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  42390 */     // GIR_Coverage, 21948,
     /*  42390 */     GIR_EraseRootFromParent_Done,
     /*  42391 */   // Label 1010: @42391
     /*  42391 */   GIM_Try, /*On fail goto*//*Label 1011*/ GIMT_Encode4(42437), // Rule ID 21956 //
     /*  42396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  42399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  42403 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  42407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42411 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  42417 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  42419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  42421 */     // (xor:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src, immAllOnesV:{ *:[v8i32] })  =>  (VPTERNLOGQZ256rri:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src, VR256X:{ *:[v8i32] }:$src, VR256X:{ *:[v8i32] }:$src, 15:{ *:[i8] })
     /*  42421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZ256rri),
     /*  42424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42426 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  42428 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  42430 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  42432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /*  42435 */     GIR_RootConstrainSelectedInstOperands,
     /*  42436 */     // GIR_Coverage, 21956,
     /*  42436 */     GIR_EraseRootFromParent_Done,
     /*  42437 */   // Label 1011: @42437
     /*  42437 */   GIM_Try, /*On fail goto*//*Label 1012*/ GIMT_Encode4(42464), // Rule ID 5829 //
     /*  42442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  42445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  42449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  42453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  42457 */     // (xor:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)  =>  (VPXORDZ256rr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)
     /*  42457 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORDZ256rr),
     /*  42462 */     GIR_RootConstrainSelectedInstOperands,
     /*  42463 */     // GIR_Coverage, 5829,
     /*  42463 */     GIR_Done,
     /*  42464 */   // Label 1012: @42464
     /*  42464 */   GIM_Try, /*On fail goto*//*Label 1013*/ GIMT_Encode4(42491), // Rule ID 18097 //
     /*  42469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  42472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  42476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  42480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  42484 */     // (xor:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)  =>  (VPXORYrr:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)
     /*  42484 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORYrr),
     /*  42489 */     GIR_RootConstrainSelectedInstOperands,
     /*  42490 */     // GIR_Coverage, 18097,
     /*  42490 */     GIR_Done,
     /*  42491 */   // Label 1013: @42491
     /*  42491 */   GIM_Try, /*On fail goto*//*Label 1014*/ GIMT_Encode4(42518), // Rule ID 18123 //
     /*  42496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  42499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  42503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  42507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  42511 */     // (xor:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)  =>  (VXORPSYrr:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)
     /*  42511 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VXORPSYrr),
     /*  42516 */     GIR_RootConstrainSelectedInstOperands,
     /*  42517 */     // GIR_Coverage, 18123,
     /*  42517 */     GIR_Done,
     /*  42518 */   // Label 1014: @42518
     /*  42518 */   GIM_Reject,
     /*  42519 */ // Label 1003: @42519
     /*  42519 */ GIM_Reject,
     /*  42520 */ // Label 860: @42520
     /*  42520 */ GIM_Try, /*On fail goto*//*Label 1015*/ GIMT_Encode4(42717),
     /*  42525 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  42528 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /*  42531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  42535 */   GIM_Try, /*On fail goto*//*Label 1016*/ GIMT_Encode4(42593), // Rule ID 24206 //
     /*  42540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  42543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  42547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  42551 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  42554 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  42558 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  42562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  42566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  42568 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  42575 */     // (xor:{ *:[v8i64] } (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v8i64] }:$src1)  =>  (VPXORQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  42575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORQZrm),
     /*  42578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42580 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  42582 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  42586 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  42591 */     GIR_RootConstrainSelectedInstOperands,
     /*  42592 */     // GIR_Coverage, 24206,
     /*  42592 */     GIR_EraseRootFromParent_Done,
     /*  42593 */   // Label 1016: @42593
     /*  42593 */   GIM_Try, /*On fail goto*//*Label 1017*/ GIMT_Encode4(42651), // Rule ID 5796 //
     /*  42598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  42601 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  42605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  42613 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  42616 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  42620 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  42624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  42626 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  42633 */     // (xor:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  42633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORQZrm),
     /*  42636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42638 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  42640 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  42644 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  42649 */     GIR_RootConstrainSelectedInstOperands,
     /*  42650 */     // GIR_Coverage, 5796,
     /*  42650 */     GIR_EraseRootFromParent_Done,
     /*  42651 */   // Label 1017: @42651
     /*  42651 */   GIM_Try, /*On fail goto*//*Label 1018*/ GIMT_Encode4(42693), // Rule ID 21941 //
     /*  42656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  42659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  42663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42667 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  42673 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  42675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  42677 */     // (xor:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src, immAllOnesV:{ *:[v8i64] })  =>  (VPTERNLOGQZrri:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src, VR512:{ *:[v8i64] }:$src, VR512:{ *:[v8i64] }:$src, 15:{ *:[i8] })
     /*  42677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZrri),
     /*  42680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42682 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  42684 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  42686 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  42688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /*  42691 */     GIR_RootConstrainSelectedInstOperands,
     /*  42692 */     // GIR_Coverage, 21941,
     /*  42692 */     GIR_EraseRootFromParent_Done,
     /*  42693 */   // Label 1018: @42693
     /*  42693 */   GIM_Try, /*On fail goto*//*Label 1019*/ GIMT_Encode4(42716), // Rule ID 5793 //
     /*  42698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  42701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  42705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  42709 */     // (xor:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)  =>  (VPXORQZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)
     /*  42709 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORQZrr),
     /*  42714 */     GIR_RootConstrainSelectedInstOperands,
     /*  42715 */     // GIR_Coverage, 5793,
     /*  42715 */     GIR_Done,
     /*  42716 */   // Label 1019: @42716
     /*  42716 */   GIM_Reject,
     /*  42717 */ // Label 1015: @42717
     /*  42717 */ GIM_Reject,
     /*  42718 */ // Label 861: @42718
     /*  42718 */ GIM_Try, /*On fail goto*//*Label 1020*/ GIMT_Encode4(42975),
     /*  42723 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s1,
     /*  42726 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s1,
     /*  42729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  42733 */   GIM_Try, /*On fail goto*//*Label 1021*/ GIMT_Encode4(42793), // Rule ID 23683 //
     /*  42738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  42741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  42745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  42749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s1,
     /*  42753 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s1,
     /*  42757 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  42762 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  42766 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  42772 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  42774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  42778 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  42780 */     // (xor:{ *:[v16i1] } (xor:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src1, immAllOnesV:{ *:[v16i1] }), VK16:{ *:[v16i1] }:$src2)  =>  (KXNORWkk:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src1, VK16:{ *:[v16i1] }:$src2)
     /*  42780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KXNORWkk),
     /*  42783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  42789 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  42791 */     GIR_RootConstrainSelectedInstOperands,
     /*  42792 */     // GIR_Coverage, 23683,
     /*  42792 */     GIR_EraseRootFromParent_Done,
     /*  42793 */   // Label 1021: @42793
     /*  42793 */   GIM_Try, /*On fail goto*//*Label 1022*/ GIMT_Encode4(42856), // Rule ID 4423 //
     /*  42798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  42801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  42805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  42809 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s1,
     /*  42813 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s1,
     /*  42817 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  42822 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  42827 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  42831 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  42837 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  42839 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  42841 */     // (xor:{ *:[v16i1] } (xor:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src1, VK16:{ *:[v16i1] }:$src2), immAllOnesV:{ *:[v16i1] })  =>  (KXNORWkk:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src1, VK16:{ *:[v16i1] }:$src2)
     /*  42841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KXNORWkk),
     /*  42844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  42850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  42854 */     GIR_RootConstrainSelectedInstOperands,
     /*  42855 */     // GIR_Coverage, 4423,
     /*  42855 */     GIR_EraseRootFromParent_Done,
     /*  42856 */   // Label 1022: @42856
     /*  42856 */   GIM_Try, /*On fail goto*//*Label 1023*/ GIMT_Encode4(42916), // Rule ID 23684 //
     /*  42861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  42864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  42868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  42876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s1,
     /*  42880 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s1,
     /*  42884 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  42889 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  42893 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  42899 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  42901 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  42903 */     // (xor:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src2, (xor:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src1, immAllOnesV:{ *:[v16i1] }))  =>  (KXNORWkk:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src1, VK16:{ *:[v16i1] }:$src2)
     /*  42903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KXNORWkk),
     /*  42906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  42912 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  42914 */     GIR_RootConstrainSelectedInstOperands,
     /*  42915 */     // GIR_Coverage, 23684,
     /*  42915 */     GIR_EraseRootFromParent_Done,
     /*  42916 */   // Label 1023: @42916
     /*  42916 */   GIM_Try, /*On fail goto*//*Label 1024*/ GIMT_Encode4(42951), // Rule ID 4411 //
     /*  42921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  42924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  42928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42932 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  42938 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  42940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  42942 */     // (xor:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src, immAllOnesV:{ *:[v16i1] })  =>  (KNOTWkk:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src)
     /*  42942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KNOTWkk),
     /*  42945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42947 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  42949 */     GIR_RootConstrainSelectedInstOperands,
     /*  42950 */     // GIR_Coverage, 4411,
     /*  42950 */     GIR_EraseRootFromParent_Done,
     /*  42951 */   // Label 1024: @42951
     /*  42951 */   GIM_Try, /*On fail goto*//*Label 1025*/ GIMT_Encode4(42974), // Rule ID 4427 //
     /*  42956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  42959 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  42963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  42967 */     // (xor:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src1, VK16:{ *:[v16i1] }:$src2)  =>  (KXORWkk:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src1, VK16:{ *:[v16i1] }:$src2)
     /*  42967 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::KXORWkk),
     /*  42972 */     GIR_RootConstrainSelectedInstOperands,
     /*  42973 */     // GIR_Coverage, 4427,
     /*  42973 */     GIR_Done,
     /*  42974 */   // Label 1025: @42974
     /*  42974 */   GIM_Reject,
     /*  42975 */ // Label 1020: @42975
     /*  42975 */ GIM_Reject,
     /*  42976 */ // Label 862: @42976
     /*  42976 */ GIM_Try, /*On fail goto*//*Label 1026*/ GIMT_Encode4(43595),
     /*  42981 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  42984 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  42987 */   GIM_Try, /*On fail goto*//*Label 1027*/ GIMT_Encode4(43049), // Rule ID 25254 //
     /*  42992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  42995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  42999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  43003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  43007 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  43010 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  43014 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  43018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  43022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  43024 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  43031 */     // (xor:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v16i8] }:$src1)  =>  (VPXORrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  43031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORrm),
     /*  43034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43036 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  43038 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  43042 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  43047 */     GIR_RootConstrainSelectedInstOperands,
     /*  43048 */     // GIR_Coverage, 25254,
     /*  43048 */     GIR_EraseRootFromParent_Done,
     /*  43049 */   // Label 1027: @43049
     /*  43049 */   GIM_Try, /*On fail goto*//*Label 1028*/ GIMT_Encode4(43111), // Rule ID 25433 //
     /*  43054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  43057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  43061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  43065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  43069 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  43072 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  43076 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  43080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  43084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  43086 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  43093 */     // (xor:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v16i8] }:$src1)  =>  (VPXORQZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  43093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORQZ128rm),
     /*  43096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43098 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  43100 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  43104 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  43109 */     GIR_RootConstrainSelectedInstOperands,
     /*  43110 */     // GIR_Coverage, 25433,
     /*  43110 */     GIR_EraseRootFromParent_Done,
     /*  43111 */   // Label 1028: @43111
     /*  43111 */   GIM_Try, /*On fail goto*//*Label 1029*/ GIMT_Encode4(43173), // Rule ID 18163 //
     /*  43116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  43119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  43123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  43127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  43135 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  43138 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  43142 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  43146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  43148 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  43155 */     // (xor:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  43155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORrm),
     /*  43158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43160 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  43162 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  43166 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  43171 */     GIR_RootConstrainSelectedInstOperands,
     /*  43172 */     // GIR_Coverage, 18163,
     /*  43172 */     GIR_EraseRootFromParent_Done,
     /*  43173 */   // Label 1029: @43173
     /*  43173 */   GIM_Try, /*On fail goto*//*Label 1030*/ GIMT_Encode4(43235), // Rule ID 20027 //
     /*  43178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  43181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  43185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  43189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  43197 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  43200 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  43204 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  43208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  43210 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  43217 */     // (xor:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORQZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  43217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORQZ128rm),
     /*  43220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43222 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  43224 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  43228 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  43233 */     GIR_RootConstrainSelectedInstOperands,
     /*  43234 */     // GIR_Coverage, 20027,
     /*  43234 */     GIR_EraseRootFromParent_Done,
     /*  43235 */   // Label 1030: @43235
     /*  43235 */   GIM_Try, /*On fail goto*//*Label 1031*/ GIMT_Encode4(43467), // Rule ID 21942 //
     /*  43240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /*  43243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /*  43247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  43251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43255 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  43261 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  43263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  43265 */     // (xor:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src, immAllOnesV:{ *:[v16i8] })  =>  (EXTRACT_SUBREG:{ *:[v16i8] } (VPTERNLOGQZrri:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v16i8] }:$src, sub_xmm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v16i8] }:$src, sub_xmm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v16i8] }:$src, sub_xmm:{ *:[i32] }), 15:{ *:[i8] }), sub_xmm:{ *:[i32] })
     /*  43265 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v8s64,
     /*  43268 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  43272 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43277 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  43279 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v8s64,
     /*  43282 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  43286 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43291 */     GIR_AddSimpleTempRegister, /*InsnID*/6, /*TempRegID*/6,
     /*  43294 */     GIR_Copy, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  43298 */     GIR_AddImm8, /*InsnID*/6, /*Imm*/11,
     /*  43301 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  43306 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  43311 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /*  43316 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /*  43319 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  43323 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  43330 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /*  43333 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  43337 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43342 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /*  43345 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  43349 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/11,
     /*  43352 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  43357 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  43362 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /*  43367 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /*  43370 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  43374 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  43381 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /*  43384 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  43388 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43393 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  43396 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  43400 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /*  43403 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  43408 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  43413 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /*  43418 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /*  43421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZrri),
     /*  43425 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43430 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  43433 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /*  43436 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/5,
     /*  43439 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/15,
     /*  43442 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  43444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  43447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43449 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /*  43456 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /*  43461 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  43466 */     // GIR_Coverage, 21942,
     /*  43466 */     GIR_EraseRootFromParent_Done,
     /*  43467 */   // Label 1031: @43467
     /*  43467 */   GIM_Try, /*On fail goto*//*Label 1032*/ GIMT_Encode4(43513), // Rule ID 21950 //
     /*  43472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  43475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  43479 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  43483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43487 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  43493 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  43495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  43497 */     // (xor:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src, immAllOnesV:{ *:[v16i8] })  =>  (VPTERNLOGQZ128rri:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src, VR128X:{ *:[v16i8] }:$src, VR128X:{ *:[v16i8] }:$src, 15:{ *:[i8] })
     /*  43497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZ128rri),
     /*  43500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43502 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  43504 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  43506 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  43508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /*  43511 */     GIR_RootConstrainSelectedInstOperands,
     /*  43512 */     // GIR_Coverage, 21950,
     /*  43512 */     GIR_EraseRootFromParent_Done,
     /*  43513 */   // Label 1032: @43513
     /*  43513 */   GIM_Try, /*On fail goto*//*Label 1033*/ GIMT_Encode4(43540), // Rule ID 18151 //
     /*  43518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  43521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  43525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  43529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  43533 */     // (xor:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (VPXORrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /*  43533 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORrr),
     /*  43538 */     GIR_RootConstrainSelectedInstOperands,
     /*  43539 */     // GIR_Coverage, 18151,
     /*  43539 */     GIR_Done,
     /*  43540 */   // Label 1033: @43540
     /*  43540 */   GIM_Try, /*On fail goto*//*Label 1034*/ GIMT_Encode4(43567), // Rule ID 18175 //
     /*  43545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  43548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  43552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  43556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  43560 */     // (xor:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (PXORrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /*  43560 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PXORrr),
     /*  43565 */     GIR_RootConstrainSelectedInstOperands,
     /*  43566 */     // GIR_Coverage, 18175,
     /*  43566 */     GIR_Done,
     /*  43567 */   // Label 1034: @43567
     /*  43567 */   GIM_Try, /*On fail goto*//*Label 1035*/ GIMT_Encode4(43594), // Rule ID 20019 //
     /*  43572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  43575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  43579 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  43583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  43587 */     // (xor:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)  =>  (VPXORQZ128rr:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)
     /*  43587 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORQZ128rr),
     /*  43592 */     GIR_RootConstrainSelectedInstOperands,
     /*  43593 */     // GIR_Coverage, 20019,
     /*  43593 */     GIR_Done,
     /*  43594 */   // Label 1035: @43594
     /*  43594 */   GIM_Reject,
     /*  43595 */ // Label 1026: @43595
     /*  43595 */ GIM_Reject,
     /*  43596 */ // Label 863: @43596
     /*  43596 */ GIM_Try, /*On fail goto*//*Label 1036*/ GIMT_Encode4(44339),
     /*  43601 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*  43604 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /*  43607 */   GIM_Try, /*On fail goto*//*Label 1037*/ GIMT_Encode4(43669), // Rule ID 25234 //
     /*  43612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  43615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  43619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  43623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  43627 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  43630 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  43634 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  43638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  43642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  43644 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  43651 */     // (xor:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v16i16] }:$src1)  =>  (VPXORYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  43651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORYrm),
     /*  43654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43656 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  43658 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  43662 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  43667 */     GIR_RootConstrainSelectedInstOperands,
     /*  43668 */     // GIR_Coverage, 25234,
     /*  43668 */     GIR_EraseRootFromParent_Done,
     /*  43669 */   // Label 1037: @43669
     /*  43669 */   GIM_Try, /*On fail goto*//*Label 1038*/ GIMT_Encode4(43731), // Rule ID 25245 //
     /*  43674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  43677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  43681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  43685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  43689 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  43692 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  43696 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  43700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  43704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  43706 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  43713 */     // (xor:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v16i16] }:$src1)  =>  (VXORPSYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  43713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VXORPSYrm),
     /*  43716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43718 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  43720 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  43724 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  43729 */     GIR_RootConstrainSelectedInstOperands,
     /*  43730 */     // GIR_Coverage, 25245,
     /*  43730 */     GIR_EraseRootFromParent_Done,
     /*  43731 */   // Label 1038: @43731
     /*  43731 */   GIM_Try, /*On fail goto*//*Label 1039*/ GIMT_Encode4(43793), // Rule ID 25440 //
     /*  43736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  43739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  43743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  43747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  43751 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  43754 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  43758 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  43762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  43766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  43768 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  43775 */     // (xor:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16i16] }:$src1)  =>  (VPXORQZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  43775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORQZ256rm),
     /*  43778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43780 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  43782 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  43786 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  43791 */     GIR_RootConstrainSelectedInstOperands,
     /*  43792 */     // GIR_Coverage, 25440,
     /*  43792 */     GIR_EraseRootFromParent_Done,
     /*  43793 */   // Label 1039: @43793
     /*  43793 */   GIM_Try, /*On fail goto*//*Label 1040*/ GIMT_Encode4(43855), // Rule ID 18108 //
     /*  43798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  43801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  43805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  43809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  43817 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  43820 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  43824 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  43828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  43830 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  43837 */     // (xor:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  43837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORYrm),
     /*  43840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43842 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  43844 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  43848 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  43853 */     GIR_RootConstrainSelectedInstOperands,
     /*  43854 */     // GIR_Coverage, 18108,
     /*  43854 */     GIR_EraseRootFromParent_Done,
     /*  43855 */   // Label 1040: @43855
     /*  43855 */   GIM_Try, /*On fail goto*//*Label 1041*/ GIMT_Encode4(43917), // Rule ID 18138 //
     /*  43860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  43863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  43867 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  43871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  43879 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  43882 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  43886 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  43890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  43892 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  43899 */     // (xor:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VXORPSYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  43899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VXORPSYrm),
     /*  43902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43904 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  43906 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  43910 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  43915 */     GIR_RootConstrainSelectedInstOperands,
     /*  43916 */     // GIR_Coverage, 18138,
     /*  43916 */     GIR_EraseRootFromParent_Done,
     /*  43917 */   // Label 1041: @43917
     /*  43917 */   GIM_Try, /*On fail goto*//*Label 1042*/ GIMT_Encode4(43979), // Rule ID 20044 //
     /*  43922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  43925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  43929 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  43933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  43941 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  43944 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  43948 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  43952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  43954 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  43961 */     // (xor:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORQZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  43961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORQZ256rm),
     /*  43964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43966 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  43968 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  43972 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  43977 */     GIR_RootConstrainSelectedInstOperands,
     /*  43978 */     // GIR_Coverage, 20044,
     /*  43978 */     GIR_EraseRootFromParent_Done,
     /*  43979 */   // Label 1042: @43979
     /*  43979 */   GIM_Try, /*On fail goto*//*Label 1043*/ GIMT_Encode4(44211), // Rule ID 21947 //
     /*  43984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /*  43987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  43991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  43995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43999 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  44005 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  44007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44009 */     // (xor:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src, immAllOnesV:{ *:[v16i16] })  =>  (EXTRACT_SUBREG:{ *:[v16i16] } (VPTERNLOGQZrri:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v16i16] }:$src, sub_ymm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v16i16] }:$src, sub_ymm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v16i16] }:$src, sub_ymm:{ *:[i32] }), 15:{ *:[i8] }), sub_ymm:{ *:[i32] })
     /*  44009 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v8s64,
     /*  44012 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  44016 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  44023 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v8s64,
     /*  44026 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  44030 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44035 */     GIR_AddSimpleTempRegister, /*InsnID*/6, /*TempRegID*/6,
     /*  44038 */     GIR_Copy, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  44042 */     GIR_AddImm8, /*InsnID*/6, /*Imm*/12,
     /*  44045 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  44050 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  44055 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /*  44060 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /*  44063 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  44067 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  44074 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /*  44077 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  44081 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44086 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /*  44089 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  44093 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/12,
     /*  44096 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  44101 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  44106 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /*  44111 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /*  44114 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  44118 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  44125 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /*  44128 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  44132 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44137 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  44140 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  44144 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /*  44147 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  44152 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  44157 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /*  44162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /*  44165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZrri),
     /*  44169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44174 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  44177 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /*  44180 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/5,
     /*  44183 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/15,
     /*  44186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  44188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  44191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44193 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /*  44200 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /*  44205 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  44210 */     // GIR_Coverage, 21947,
     /*  44210 */     GIR_EraseRootFromParent_Done,
     /*  44211 */   // Label 1043: @44211
     /*  44211 */   GIM_Try, /*On fail goto*//*Label 1044*/ GIMT_Encode4(44257), // Rule ID 21955 //
     /*  44216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  44219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  44223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  44227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44231 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  44237 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  44239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44241 */     // (xor:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src, immAllOnesV:{ *:[v16i16] })  =>  (VPTERNLOGQZ256rri:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src, VR256X:{ *:[v16i16] }:$src, VR256X:{ *:[v16i16] }:$src, 15:{ *:[i8] })
     /*  44241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZ256rri),
     /*  44244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44246 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  44248 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  44250 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  44252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /*  44255 */     GIR_RootConstrainSelectedInstOperands,
     /*  44256 */     // GIR_Coverage, 21955,
     /*  44256 */     GIR_EraseRootFromParent_Done,
     /*  44257 */   // Label 1044: @44257
     /*  44257 */   GIM_Try, /*On fail goto*//*Label 1045*/ GIMT_Encode4(44284), // Rule ID 18096 //
     /*  44262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  44265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  44269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  44273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  44277 */     // (xor:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPXORYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /*  44277 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORYrr),
     /*  44282 */     GIR_RootConstrainSelectedInstOperands,
     /*  44283 */     // GIR_Coverage, 18096,
     /*  44283 */     GIR_Done,
     /*  44284 */   // Label 1045: @44284
     /*  44284 */   GIM_Try, /*On fail goto*//*Label 1046*/ GIMT_Encode4(44311), // Rule ID 18122 //
     /*  44289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  44292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  44296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  44300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  44304 */     // (xor:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VXORPSYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /*  44304 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VXORPSYrr),
     /*  44309 */     GIR_RootConstrainSelectedInstOperands,
     /*  44310 */     // GIR_Coverage, 18122,
     /*  44310 */     GIR_Done,
     /*  44311 */   // Label 1046: @44311
     /*  44311 */   GIM_Try, /*On fail goto*//*Label 1047*/ GIMT_Encode4(44338), // Rule ID 20036 //
     /*  44316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  44319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  44323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  44327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  44331 */     // (xor:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)  =>  (VPXORQZ256rr:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)
     /*  44331 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORQZ256rr),
     /*  44336 */     GIR_RootConstrainSelectedInstOperands,
     /*  44337 */     // GIR_Coverage, 20036,
     /*  44337 */     GIR_Done,
     /*  44338 */   // Label 1047: @44338
     /*  44338 */   GIM_Reject,
     /*  44339 */ // Label 1036: @44339
     /*  44339 */ GIM_Reject,
     /*  44340 */ // Label 864: @44340
     /*  44340 */ GIM_Try, /*On fail goto*//*Label 1048*/ GIMT_Encode4(44537),
     /*  44345 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /*  44348 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /*  44351 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  44355 */   GIM_Try, /*On fail goto*//*Label 1049*/ GIMT_Encode4(44413), // Rule ID 24224 //
     /*  44360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  44363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  44371 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  44374 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  44378 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  44382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  44386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44388 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  44395 */     // (xor:{ *:[v16i32] } (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v16i32] }:$src1)  =>  (VPXORDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  44395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORDZrm),
     /*  44398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44400 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  44402 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  44406 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  44411 */     GIR_RootConstrainSelectedInstOperands,
     /*  44412 */     // GIR_Coverage, 24224,
     /*  44412 */     GIR_EraseRootFromParent_Done,
     /*  44413 */   // Label 1049: @44413
     /*  44413 */   GIM_Try, /*On fail goto*//*Label 1050*/ GIMT_Encode4(44471), // Rule ID 5823 //
     /*  44418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  44421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  44425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  44433 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  44436 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  44440 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  44444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44446 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  44453 */     // (xor:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  44453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORDZrm),
     /*  44456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44458 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  44460 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  44464 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  44469 */     GIR_RootConstrainSelectedInstOperands,
     /*  44470 */     // GIR_Coverage, 5823,
     /*  44470 */     GIR_EraseRootFromParent_Done,
     /*  44471 */   // Label 1050: @44471
     /*  44471 */   GIM_Try, /*On fail goto*//*Label 1051*/ GIMT_Encode4(44513), // Rule ID 21940 //
     /*  44476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  44479 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  44483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44487 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  44493 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  44495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44497 */     // (xor:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src, immAllOnesV:{ *:[v16i32] })  =>  (VPTERNLOGQZrri:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src, VR512:{ *:[v16i32] }:$src, VR512:{ *:[v16i32] }:$src, 15:{ *:[i8] })
     /*  44497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZrri),
     /*  44500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44502 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  44504 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  44506 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  44508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /*  44511 */     GIR_RootConstrainSelectedInstOperands,
     /*  44512 */     // GIR_Coverage, 21940,
     /*  44512 */     GIR_EraseRootFromParent_Done,
     /*  44513 */   // Label 1051: @44513
     /*  44513 */   GIM_Try, /*On fail goto*//*Label 1052*/ GIMT_Encode4(44536), // Rule ID 5820 //
     /*  44518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  44521 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  44525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  44529 */     // (xor:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)  =>  (VPXORDZrr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)
     /*  44529 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORDZrr),
     /*  44534 */     GIR_RootConstrainSelectedInstOperands,
     /*  44535 */     // GIR_Coverage, 5820,
     /*  44535 */     GIR_Done,
     /*  44536 */   // Label 1052: @44536
     /*  44536 */   GIM_Reject,
     /*  44537 */ // Label 1048: @44537
     /*  44537 */ GIM_Reject,
     /*  44538 */ // Label 865: @44538
     /*  44538 */ GIM_Try, /*On fail goto*//*Label 1053*/ GIMT_Encode4(44795),
     /*  44543 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s1,
     /*  44546 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s1,
     /*  44549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  44553 */   GIM_Try, /*On fail goto*//*Label 1054*/ GIMT_Encode4(44613), // Rule ID 23685 //
     /*  44558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  44561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  44569 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v32s1,
     /*  44573 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v32s1,
     /*  44577 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  44582 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  44586 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  44592 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  44594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  44598 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  44600 */     // (xor:{ *:[v32i1] } (xor:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src1, immAllOnesV:{ *:[v32i1] }), VK32:{ *:[v32i1] }:$src2)  =>  (KXNORDkk:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src1, VK32:{ *:[v32i1] }:$src2)
     /*  44600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KXNORDkk),
     /*  44603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  44609 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  44611 */     GIR_RootConstrainSelectedInstOperands,
     /*  44612 */     // GIR_Coverage, 23685,
     /*  44612 */     GIR_EraseRootFromParent_Done,
     /*  44613 */   // Label 1054: @44613
     /*  44613 */   GIM_Try, /*On fail goto*//*Label 1055*/ GIMT_Encode4(44676), // Rule ID 4424 //
     /*  44618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  44621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  44629 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v32s1,
     /*  44633 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v32s1,
     /*  44637 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  44642 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  44647 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  44651 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  44657 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  44659 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  44661 */     // (xor:{ *:[v32i1] } (xor:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src1, VK32:{ *:[v32i1] }:$src2), immAllOnesV:{ *:[v32i1] })  =>  (KXNORDkk:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src1, VK32:{ *:[v32i1] }:$src2)
     /*  44661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KXNORDkk),
     /*  44664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  44670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  44674 */     GIR_RootConstrainSelectedInstOperands,
     /*  44675 */     // GIR_Coverage, 4424,
     /*  44675 */     GIR_EraseRootFromParent_Done,
     /*  44676 */   // Label 1055: @44676
     /*  44676 */   GIM_Try, /*On fail goto*//*Label 1056*/ GIMT_Encode4(44736), // Rule ID 23686 //
     /*  44681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  44684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  44688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  44696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v32s1,
     /*  44700 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v32s1,
     /*  44704 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  44709 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  44713 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  44719 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  44721 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  44723 */     // (xor:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src2, (xor:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src1, immAllOnesV:{ *:[v32i1] }))  =>  (KXNORDkk:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src1, VK32:{ *:[v32i1] }:$src2)
     /*  44723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KXNORDkk),
     /*  44726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44728 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  44732 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  44734 */     GIR_RootConstrainSelectedInstOperands,
     /*  44735 */     // GIR_Coverage, 23686,
     /*  44735 */     GIR_EraseRootFromParent_Done,
     /*  44736 */   // Label 1056: @44736
     /*  44736 */   GIM_Try, /*On fail goto*//*Label 1057*/ GIMT_Encode4(44771), // Rule ID 4412 //
     /*  44741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  44744 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  44748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44752 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  44758 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  44760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44762 */     // (xor:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src, immAllOnesV:{ *:[v32i1] })  =>  (KNOTDkk:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src)
     /*  44762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KNOTDkk),
     /*  44765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44767 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  44769 */     GIR_RootConstrainSelectedInstOperands,
     /*  44770 */     // GIR_Coverage, 4412,
     /*  44770 */     GIR_EraseRootFromParent_Done,
     /*  44771 */   // Label 1057: @44771
     /*  44771 */   GIM_Try, /*On fail goto*//*Label 1058*/ GIMT_Encode4(44794), // Rule ID 4428 //
     /*  44776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  44779 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  44783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  44787 */     // (xor:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src1, VK32:{ *:[v32i1] }:$src2)  =>  (KXORDkk:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src1, VK32:{ *:[v32i1] }:$src2)
     /*  44787 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::KXORDkk),
     /*  44792 */     GIR_RootConstrainSelectedInstOperands,
     /*  44793 */     // GIR_Coverage, 4428,
     /*  44793 */     GIR_Done,
     /*  44794 */   // Label 1058: @44794
     /*  44794 */   GIM_Reject,
     /*  44795 */ // Label 1053: @44795
     /*  44795 */ GIM_Reject,
     /*  44796 */ // Label 866: @44796
     /*  44796 */ GIM_Try, /*On fail goto*//*Label 1059*/ GIMT_Encode4(45539),
     /*  44801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /*  44804 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s8,
     /*  44807 */   GIM_Try, /*On fail goto*//*Label 1060*/ GIMT_Encode4(44869), // Rule ID 25233 //
     /*  44812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  44815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  44819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  44827 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  44830 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  44834 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  44838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  44842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44844 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  44851 */     // (xor:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v32i8] }:$src1)  =>  (VPXORYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  44851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORYrm),
     /*  44854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44856 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  44858 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  44862 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  44867 */     GIR_RootConstrainSelectedInstOperands,
     /*  44868 */     // GIR_Coverage, 25233,
     /*  44868 */     GIR_EraseRootFromParent_Done,
     /*  44869 */   // Label 1060: @44869
     /*  44869 */   GIM_Try, /*On fail goto*//*Label 1061*/ GIMT_Encode4(44931), // Rule ID 25244 //
     /*  44874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  44877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  44881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  44889 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  44892 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  44896 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  44900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  44904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44906 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  44913 */     // (xor:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v32i8] }:$src1)  =>  (VXORPSYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  44913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VXORPSYrm),
     /*  44916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44918 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  44920 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  44924 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  44929 */     GIR_RootConstrainSelectedInstOperands,
     /*  44930 */     // GIR_Coverage, 25244,
     /*  44930 */     GIR_EraseRootFromParent_Done,
     /*  44931 */   // Label 1061: @44931
     /*  44931 */   GIM_Try, /*On fail goto*//*Label 1062*/ GIMT_Encode4(44993), // Rule ID 25439 //
     /*  44936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  44939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  44943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  44951 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  44954 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  44958 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  44962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  44966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44968 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  44975 */     // (xor:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v32i8] }:$src1)  =>  (VPXORQZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  44975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORQZ256rm),
     /*  44978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44980 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  44982 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  44986 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  44991 */     GIR_RootConstrainSelectedInstOperands,
     /*  44992 */     // GIR_Coverage, 25439,
     /*  44992 */     GIR_EraseRootFromParent_Done,
     /*  44993 */   // Label 1062: @44993
     /*  44993 */   GIM_Try, /*On fail goto*//*Label 1063*/ GIMT_Encode4(45055), // Rule ID 18107 //
     /*  44998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  45001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  45005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  45009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  45017 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  45020 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  45024 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  45028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45030 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  45037 */     // (xor:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  45037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORYrm),
     /*  45040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45042 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  45044 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  45048 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  45053 */     GIR_RootConstrainSelectedInstOperands,
     /*  45054 */     // GIR_Coverage, 18107,
     /*  45054 */     GIR_EraseRootFromParent_Done,
     /*  45055 */   // Label 1063: @45055
     /*  45055 */   GIM_Try, /*On fail goto*//*Label 1064*/ GIMT_Encode4(45117), // Rule ID 18137 //
     /*  45060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  45063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  45067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  45071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  45079 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  45082 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  45086 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  45090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45092 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  45099 */     // (xor:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VXORPSYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  45099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VXORPSYrm),
     /*  45102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45104 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  45106 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  45110 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  45115 */     GIR_RootConstrainSelectedInstOperands,
     /*  45116 */     // GIR_Coverage, 18137,
     /*  45116 */     GIR_EraseRootFromParent_Done,
     /*  45117 */   // Label 1064: @45117
     /*  45117 */   GIM_Try, /*On fail goto*//*Label 1065*/ GIMT_Encode4(45179), // Rule ID 20043 //
     /*  45122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  45125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  45129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  45133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  45141 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  45144 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  45148 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  45152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45154 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  45161 */     // (xor:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORQZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  45161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORQZ256rm),
     /*  45164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45166 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  45168 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  45172 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  45177 */     GIR_RootConstrainSelectedInstOperands,
     /*  45178 */     // GIR_Coverage, 20043,
     /*  45178 */     GIR_EraseRootFromParent_Done,
     /*  45179 */   // Label 1065: @45179
     /*  45179 */   GIM_Try, /*On fail goto*//*Label 1066*/ GIMT_Encode4(45411), // Rule ID 21946 //
     /*  45184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /*  45187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  45191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  45195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45199 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  45205 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  45207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45209 */     // (xor:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src, immAllOnesV:{ *:[v32i8] })  =>  (EXTRACT_SUBREG:{ *:[v32i8] } (VPTERNLOGQZrri:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v32i8] }:$src, sub_ymm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v32i8] }:$src, sub_ymm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v32i8] }:$src, sub_ymm:{ *:[i32] }), 15:{ *:[i8] }), sub_ymm:{ *:[i32] })
     /*  45209 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v8s64,
     /*  45212 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  45216 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  45223 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v8s64,
     /*  45226 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  45230 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45235 */     GIR_AddSimpleTempRegister, /*InsnID*/6, /*TempRegID*/6,
     /*  45238 */     GIR_Copy, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  45242 */     GIR_AddImm8, /*InsnID*/6, /*Imm*/12,
     /*  45245 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  45250 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  45255 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /*  45260 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /*  45263 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  45267 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45272 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  45274 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /*  45277 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  45281 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45286 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /*  45289 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  45293 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/12,
     /*  45296 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  45301 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  45306 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /*  45311 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /*  45314 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  45318 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  45325 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /*  45328 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  45332 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45337 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  45340 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  45344 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /*  45347 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  45352 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  45357 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /*  45362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /*  45365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZrri),
     /*  45369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45374 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  45377 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /*  45380 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/5,
     /*  45383 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/15,
     /*  45386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  45388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  45391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45393 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /*  45400 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /*  45405 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  45410 */     // GIR_Coverage, 21946,
     /*  45410 */     GIR_EraseRootFromParent_Done,
     /*  45411 */   // Label 1066: @45411
     /*  45411 */   GIM_Try, /*On fail goto*//*Label 1067*/ GIMT_Encode4(45457), // Rule ID 21954 //
     /*  45416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  45419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  45423 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  45427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45431 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  45437 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  45439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45441 */     // (xor:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src, immAllOnesV:{ *:[v32i8] })  =>  (VPTERNLOGQZ256rri:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src, VR256X:{ *:[v32i8] }:$src, VR256X:{ *:[v32i8] }:$src, 15:{ *:[i8] })
     /*  45441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZ256rri),
     /*  45444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45446 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  45448 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  45450 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  45452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /*  45455 */     GIR_RootConstrainSelectedInstOperands,
     /*  45456 */     // GIR_Coverage, 21954,
     /*  45456 */     GIR_EraseRootFromParent_Done,
     /*  45457 */   // Label 1067: @45457
     /*  45457 */   GIM_Try, /*On fail goto*//*Label 1068*/ GIMT_Encode4(45484), // Rule ID 18095 //
     /*  45462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  45465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  45469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  45473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  45477 */     // (xor:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)  =>  (VPXORYrr:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)
     /*  45477 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORYrr),
     /*  45482 */     GIR_RootConstrainSelectedInstOperands,
     /*  45483 */     // GIR_Coverage, 18095,
     /*  45483 */     GIR_Done,
     /*  45484 */   // Label 1068: @45484
     /*  45484 */   GIM_Try, /*On fail goto*//*Label 1069*/ GIMT_Encode4(45511), // Rule ID 18121 //
     /*  45489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  45492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  45496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  45500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  45504 */     // (xor:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)  =>  (VXORPSYrr:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)
     /*  45504 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VXORPSYrr),
     /*  45509 */     GIR_RootConstrainSelectedInstOperands,
     /*  45510 */     // GIR_Coverage, 18121,
     /*  45510 */     GIR_Done,
     /*  45511 */   // Label 1069: @45511
     /*  45511 */   GIM_Try, /*On fail goto*//*Label 1070*/ GIMT_Encode4(45538), // Rule ID 20035 //
     /*  45516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  45519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  45523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  45527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  45531 */     // (xor:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)  =>  (VPXORQZ256rr:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)
     /*  45531 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORQZ256rr),
     /*  45536 */     GIR_RootConstrainSelectedInstOperands,
     /*  45537 */     // GIR_Coverage, 20035,
     /*  45537 */     GIR_Done,
     /*  45538 */   // Label 1070: @45538
     /*  45538 */   GIM_Reject,
     /*  45539 */ // Label 1059: @45539
     /*  45539 */ GIM_Reject,
     /*  45540 */ // Label 867: @45540
     /*  45540 */ GIM_Try, /*On fail goto*//*Label 1071*/ GIMT_Encode4(45737),
     /*  45545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /*  45548 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /*  45551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  45555 */   GIM_Try, /*On fail goto*//*Label 1072*/ GIMT_Encode4(45613), // Rule ID 25446 //
     /*  45560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  45563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  45567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  45571 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  45574 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  45578 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  45582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  45586 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45588 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  45595 */     // (xor:{ *:[v32i16] } (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32i16] }:$src1)  =>  (VPXORQZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  45595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORQZrm),
     /*  45598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45600 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  45602 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  45606 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  45611 */     GIR_RootConstrainSelectedInstOperands,
     /*  45612 */     // GIR_Coverage, 25446,
     /*  45612 */     GIR_EraseRootFromParent_Done,
     /*  45613 */   // Label 1072: @45613
     /*  45613 */   GIM_Try, /*On fail goto*//*Label 1073*/ GIMT_Encode4(45671), // Rule ID 20060 //
     /*  45618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  45621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  45625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  45633 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  45636 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  45640 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  45644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45646 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  45653 */     // (xor:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORQZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  45653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORQZrm),
     /*  45656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45658 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  45660 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  45664 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  45669 */     GIR_RootConstrainSelectedInstOperands,
     /*  45670 */     // GIR_Coverage, 20060,
     /*  45670 */     GIR_EraseRootFromParent_Done,
     /*  45671 */   // Label 1073: @45671
     /*  45671 */   GIM_Try, /*On fail goto*//*Label 1074*/ GIMT_Encode4(45713), // Rule ID 21939 //
     /*  45676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  45679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  45683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45687 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  45693 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  45695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45697 */     // (xor:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src, immAllOnesV:{ *:[v32i16] })  =>  (VPTERNLOGQZrri:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src, VR512:{ *:[v32i16] }:$src, VR512:{ *:[v32i16] }:$src, 15:{ *:[i8] })
     /*  45697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZrri),
     /*  45700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45702 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  45704 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  45706 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  45708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /*  45711 */     GIR_RootConstrainSelectedInstOperands,
     /*  45712 */     // GIR_Coverage, 21939,
     /*  45712 */     GIR_EraseRootFromParent_Done,
     /*  45713 */   // Label 1074: @45713
     /*  45713 */   GIM_Try, /*On fail goto*//*Label 1075*/ GIMT_Encode4(45736), // Rule ID 20052 //
     /*  45718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  45721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  45725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  45729 */     // (xor:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)  =>  (VPXORQZrr:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)
     /*  45729 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORQZrr),
     /*  45734 */     GIR_RootConstrainSelectedInstOperands,
     /*  45735 */     // GIR_Coverage, 20052,
     /*  45735 */     GIR_Done,
     /*  45736 */   // Label 1075: @45736
     /*  45736 */   GIM_Reject,
     /*  45737 */ // Label 1071: @45737
     /*  45737 */ GIM_Reject,
     /*  45738 */ // Label 868: @45738
     /*  45738 */ GIM_Try, /*On fail goto*//*Label 1076*/ GIMT_Encode4(45995),
     /*  45743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s1,
     /*  45746 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s1,
     /*  45749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  45753 */   GIM_Try, /*On fail goto*//*Label 1077*/ GIMT_Encode4(45813), // Rule ID 23687 //
     /*  45758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  45761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  45765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  45769 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v64s1,
     /*  45773 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v64s1,
     /*  45777 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  45782 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  45786 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  45792 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  45794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  45798 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  45800 */     // (xor:{ *:[v64i1] } (xor:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src1, immAllOnesV:{ *:[v64i1] }), VK64:{ *:[v64i1] }:$src2)  =>  (KXNORQkk:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src1, VK64:{ *:[v64i1] }:$src2)
     /*  45800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KXNORQkk),
     /*  45803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  45809 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  45811 */     GIR_RootConstrainSelectedInstOperands,
     /*  45812 */     // GIR_Coverage, 23687,
     /*  45812 */     GIR_EraseRootFromParent_Done,
     /*  45813 */   // Label 1077: @45813
     /*  45813 */   GIM_Try, /*On fail goto*//*Label 1078*/ GIMT_Encode4(45876), // Rule ID 4425 //
     /*  45818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  45821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  45825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  45829 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v64s1,
     /*  45833 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v64s1,
     /*  45837 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  45842 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  45847 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  45851 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  45857 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  45859 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  45861 */     // (xor:{ *:[v64i1] } (xor:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src1, VK64:{ *:[v64i1] }:$src2), immAllOnesV:{ *:[v64i1] })  =>  (KXNORQkk:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src1, VK64:{ *:[v64i1] }:$src2)
     /*  45861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KXNORQkk),
     /*  45864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  45870 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  45874 */     GIR_RootConstrainSelectedInstOperands,
     /*  45875 */     // GIR_Coverage, 4425,
     /*  45875 */     GIR_EraseRootFromParent_Done,
     /*  45876 */   // Label 1078: @45876
     /*  45876 */   GIM_Try, /*On fail goto*//*Label 1079*/ GIMT_Encode4(45936), // Rule ID 23688 //
     /*  45881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  45884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  45888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  45896 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v64s1,
     /*  45900 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v64s1,
     /*  45904 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  45909 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  45913 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  45919 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  45921 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  45923 */     // (xor:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src2, (xor:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src1, immAllOnesV:{ *:[v64i1] }))  =>  (KXNORQkk:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src1, VK64:{ *:[v64i1] }:$src2)
     /*  45923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KXNORQkk),
     /*  45926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  45932 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  45934 */     GIR_RootConstrainSelectedInstOperands,
     /*  45935 */     // GIR_Coverage, 23688,
     /*  45935 */     GIR_EraseRootFromParent_Done,
     /*  45936 */   // Label 1079: @45936
     /*  45936 */   GIM_Try, /*On fail goto*//*Label 1080*/ GIMT_Encode4(45971), // Rule ID 4413 //
     /*  45941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  45944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  45948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45952 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  45958 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  45960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45962 */     // (xor:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src, immAllOnesV:{ *:[v64i1] })  =>  (KNOTQkk:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src)
     /*  45962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KNOTQkk),
     /*  45965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45967 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  45969 */     GIR_RootConstrainSelectedInstOperands,
     /*  45970 */     // GIR_Coverage, 4413,
     /*  45970 */     GIR_EraseRootFromParent_Done,
     /*  45971 */   // Label 1080: @45971
     /*  45971 */   GIM_Try, /*On fail goto*//*Label 1081*/ GIMT_Encode4(45994), // Rule ID 4429 //
     /*  45976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  45979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  45983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  45987 */     // (xor:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src1, VK64:{ *:[v64i1] }:$src2)  =>  (KXORQkk:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src1, VK64:{ *:[v64i1] }:$src2)
     /*  45987 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::KXORQkk),
     /*  45992 */     GIR_RootConstrainSelectedInstOperands,
     /*  45993 */     // GIR_Coverage, 4429,
     /*  45993 */     GIR_Done,
     /*  45994 */   // Label 1081: @45994
     /*  45994 */   GIM_Reject,
     /*  45995 */ // Label 1076: @45995
     /*  45995 */ GIM_Reject,
     /*  45996 */ // Label 869: @45996
     /*  45996 */ GIM_Try, /*On fail goto*//*Label 1082*/ GIMT_Encode4(46193),
     /*  46001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /*  46004 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s8,
     /*  46007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  46011 */   GIM_Try, /*On fail goto*//*Label 1083*/ GIMT_Encode4(46069), // Rule ID 25445 //
     /*  46016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  46019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  46023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  46027 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  46030 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  46034 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  46038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  46042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  46044 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  46051 */     // (xor:{ *:[v64i8] } (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v64i8] }:$src1)  =>  (VPXORQZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  46051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORQZrm),
     /*  46054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46056 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  46058 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  46062 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  46067 */     GIR_RootConstrainSelectedInstOperands,
     /*  46068 */     // GIR_Coverage, 25445,
     /*  46068 */     GIR_EraseRootFromParent_Done,
     /*  46069 */   // Label 1083: @46069
     /*  46069 */   GIM_Try, /*On fail goto*//*Label 1084*/ GIMT_Encode4(46127), // Rule ID 20059 //
     /*  46074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  46077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  46081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  46085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  46089 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  46092 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  46096 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  46100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  46102 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  46109 */     // (xor:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORQZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  46109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORQZrm),
     /*  46112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46114 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  46116 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  46120 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  46125 */     GIR_RootConstrainSelectedInstOperands,
     /*  46126 */     // GIR_Coverage, 20059,
     /*  46126 */     GIR_EraseRootFromParent_Done,
     /*  46127 */   // Label 1084: @46127
     /*  46127 */   GIM_Try, /*On fail goto*//*Label 1085*/ GIMT_Encode4(46169), // Rule ID 21938 //
     /*  46132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  46135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  46139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  46143 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  46149 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  46151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  46153 */     // (xor:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src, immAllOnesV:{ *:[v64i8] })  =>  (VPTERNLOGQZrri:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src, VR512:{ *:[v64i8] }:$src, VR512:{ *:[v64i8] }:$src, 15:{ *:[i8] })
     /*  46153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZrri),
     /*  46156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46158 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  46160 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  46162 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  46164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /*  46167 */     GIR_RootConstrainSelectedInstOperands,
     /*  46168 */     // GIR_Coverage, 21938,
     /*  46168 */     GIR_EraseRootFromParent_Done,
     /*  46169 */   // Label 1085: @46169
     /*  46169 */   GIM_Try, /*On fail goto*//*Label 1086*/ GIMT_Encode4(46192), // Rule ID 20051 //
     /*  46174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  46177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  46181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  46185 */     // (xor:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)  =>  (VPXORQZrr:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)
     /*  46185 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORQZrr),
     /*  46190 */     GIR_RootConstrainSelectedInstOperands,
     /*  46191 */     // GIR_Coverage, 20051,
     /*  46191 */     GIR_Done,
     /*  46192 */   // Label 1086: @46192
     /*  46192 */   GIM_Reject,
     /*  46193 */ // Label 1082: @46193
     /*  46193 */ GIM_Reject,
     /*  46194 */ // Label 870: @46194
     /*  46194 */ GIM_Reject,
     /*  46195 */ // Label 6: @46195
     /*  46195 */ GIM_Try, /*On fail goto*//*Label 1087*/ GIMT_Encode4(46361),
     /*  46200 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  46203 */   GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(16), GIMT_Encode2(24), /*)*//*default:*//*Label 1091*/ GIMT_Encode4(46360),
     /*  46214 */   /*GILLT_v16s1*//*Label 1088*/ GIMT_Encode4(46246), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  46230 */   /*GILLT_v32s1*//*Label 1089*/ GIMT_Encode4(46284), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  46242 */   /*GILLT_v64s1*//*Label 1090*/ GIMT_Encode4(46322),
     /*  46246 */   // Label 1088: @46246
     /*  46246 */   GIM_Try, /*On fail goto*//*Label 1092*/ GIMT_Encode4(46283), // Rule ID 19502 //
     /*  46251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  46254 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s1,
     /*  46257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s1,
     /*  46260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  46264 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  46268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  46272 */     // (concat_vectors:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src1, VK8:{ *:[v8i1] }:$src2)  =>  (KUNPCKBWkk:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src2, VK8:{ *:[v8i1] }:$src1)
     /*  46272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KUNPCKBWkk),
     /*  46275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46277 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  46279 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  46281 */     GIR_RootConstrainSelectedInstOperands,
     /*  46282 */     // GIR_Coverage, 19502,
     /*  46282 */     GIR_EraseRootFromParent_Done,
     /*  46283 */   // Label 1092: @46283
     /*  46283 */   GIM_Reject,
     /*  46284 */   // Label 1089: @46284
     /*  46284 */   GIM_Try, /*On fail goto*//*Label 1093*/ GIMT_Encode4(46321), // Rule ID 19503 //
     /*  46289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  46292 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s1,
     /*  46295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s1,
     /*  46298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  46302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  46306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  46310 */     // (concat_vectors:{ *:[v32i1] } VK16:{ *:[v16i1] }:$src1, VK16:{ *:[v16i1] }:$src2)  =>  (KUNPCKWDkk:{ *:[v32i1] } VK16:{ *:[v16i1] }:$src2, VK16:{ *:[v16i1] }:$src1)
     /*  46310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KUNPCKWDkk),
     /*  46313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46315 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  46317 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  46319 */     GIR_RootConstrainSelectedInstOperands,
     /*  46320 */     // GIR_Coverage, 19503,
     /*  46320 */     GIR_EraseRootFromParent_Done,
     /*  46321 */   // Label 1093: @46321
     /*  46321 */   GIM_Reject,
     /*  46322 */   // Label 1090: @46322
     /*  46322 */   GIM_Try, /*On fail goto*//*Label 1094*/ GIMT_Encode4(46359), // Rule ID 19504 //
     /*  46327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  46330 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s1,
     /*  46333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s1,
     /*  46336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  46340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  46344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  46348 */     // (concat_vectors:{ *:[v64i1] } VK32:{ *:[v32i1] }:$src1, VK32:{ *:[v32i1] }:$src2)  =>  (KUNPCKDQkk:{ *:[v64i1] } VK32:{ *:[v32i1] }:$src2, VK32:{ *:[v32i1] }:$src1)
     /*  46348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KUNPCKDQkk),
     /*  46351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46353 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  46355 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  46357 */     GIR_RootConstrainSelectedInstOperands,
     /*  46358 */     // GIR_Coverage, 19504,
     /*  46358 */     GIR_EraseRootFromParent_Done,
     /*  46359 */   // Label 1094: @46359
     /*  46359 */   GIM_Reject,
     /*  46360 */   // Label 1091: @46360
     /*  46360 */   GIM_Reject,
     /*  46361 */ // Label 1087: @46361
     /*  46361 */ GIM_Reject,
     /*  46362 */ // Label 7: @46362
     /*  46362 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(24), /*)*//*default:*//*Label 1103*/ GIMT_Encode4(48651),
     /*  46373 */ /*GILLT_s8*//*Label 1095*/ GIMT_Encode4(46465),
     /*  46377 */ /*GILLT_s16*//*Label 1096*/ GIMT_Encode4(46526),
     /*  46381 */ /*GILLT_s32*//*Label 1097*/ GIMT_Encode4(47356),
     /*  46385 */ /*GILLT_s64*//*Label 1098*/ GIMT_Encode4(47782), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  46417 */ /*GILLT_v8s1*//*Label 1099*/ GIMT_Encode4(48208), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  46433 */ /*GILLT_v16s1*//*Label 1100*/ GIMT_Encode4(48369), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  46449 */ /*GILLT_v32s1*//*Label 1101*/ GIMT_Encode4(48509), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  46461 */ /*GILLT_v64s1*//*Label 1102*/ GIMT_Encode4(48580),
     /*  46465 */ // Label 1095: @46465
     /*  46465 */ GIM_Try, /*On fail goto*//*Label 1104*/ GIMT_Encode4(46525), // Rule ID 19433 //
     /*  46470 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s1,
     /*  46473 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  46477 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  46481 */   // (bitconvert:{ *:[i8] } VK8:{ *:[v8i1] }:$src)  =>  (EXTRACT_SUBREG:{ *:[i8] } (COPY_TO_REGCLASS:{ *:[i32] } VK8:{ *:[v8i1] }:$src, GR32:{ *:[i32] }), sub_8bit:{ *:[i32] })
     /*  46481 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  46484 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46488 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46493 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  46497 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR32RegClassID),
     /*  46502 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46505 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46507 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_8bit),
     /*  46514 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR8RegClassID),
     /*  46519 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /*  46524 */   // GIR_Coverage, 19433,
     /*  46524 */   GIR_EraseRootFromParent_Done,
     /*  46525 */ // Label 1104: @46525
     /*  46525 */ GIM_Reject,
     /*  46526 */ // Label 1096: @46526
     /*  46526 */ GIM_Try, /*On fail goto*//*Label 1105*/ GIMT_Encode4(46586), // Rule ID 19430 //
     /*  46531 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s1,
     /*  46534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  46538 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  46542 */   // (bitconvert:{ *:[i16] } VK16:{ *:[v16i1] }:$src)  =>  (EXTRACT_SUBREG:{ *:[i16] } (COPY_TO_REGCLASS:{ *:[i32] } VK16:{ *:[v16i1] }:$src, GR32:{ *:[i32] }), sub_16bit:{ *:[i32] })
     /*  46542 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  46545 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46549 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46554 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  46558 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR32RegClassID),
     /*  46563 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46566 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46568 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /*  46575 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  46580 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /*  46585 */   // GIR_Coverage, 19430,
     /*  46585 */   GIR_EraseRootFromParent_Done,
     /*  46586 */ // Label 1105: @46586
     /*  46586 */ GIM_Try, /*On fail goto*//*Label 1106*/ GIMT_Encode4(46687), // Rule ID 22139 //
     /*  46591 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /*  46594 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  46597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /*  46601 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  46605 */   // (bitconvert:{ *:[f16] } GR16:{ *:[i16] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[f16] } (VMOVW2SHrr:{ *:[f128] } (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR16:{ *:[i16] }:$src, sub_16bit:{ *:[i32] })), FR16X:{ *:[i32] })
     /*  46605 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  46608 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  46612 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46617 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  46619 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  46622 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  46626 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46631 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  46634 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  46638 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/4,
     /*  46641 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBPRegClassID),
     /*  46646 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBPRegClassID),
     /*  46651 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::GR16RegClassID),
     /*  46656 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  46659 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVW2SHrr),
     /*  46663 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46668 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  46671 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  46673 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46676 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46678 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  46681 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /*  46686 */   // GIR_Coverage, 22139,
     /*  46686 */   GIR_EraseRootFromParent_Done,
     /*  46687 */ // Label 1106: @46687
     /*  46687 */ GIM_Try, /*On fail goto*//*Label 1107*/ GIMT_Encode4(46767), // Rule ID 22152 //
     /*  46692 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /*  46695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  46698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  46702 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /*  46706 */   // (bitconvert:{ *:[i16] } FR16X:{ *:[f16] }:$src)  =>  (EXTRACT_SUBREG:{ *:[i16] } (VMOVSH2Wrr:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[f128] } FR16X:{ *:[f16] }:$src, VR128X:{ *:[i32] })), sub_16bit:{ *:[i32] })
     /*  46706 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  46709 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46713 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46718 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  46722 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR128XRegClassID),
     /*  46727 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  46730 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVSH2Wrr),
     /*  46734 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46739 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  46742 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  46744 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46747 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46749 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /*  46756 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  46761 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /*  46766 */   // GIR_Coverage, 22152,
     /*  46766 */   GIR_EraseRootFromParent_Done,
     /*  46767 */ // Label 1107: @46767
     /*  46767 */ GIM_Try, /*On fail goto*//*Label 1108*/ GIMT_Encode4(46846), // Rule ID 18339 //
     /*  46772 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoBWI),
     /*  46775 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  46778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  46782 */   // (bitconvert:{ *:[i16] } f16:{ *:[f16] }:$src)  =>  (EXTRACT_SUBREG:{ *:[i16] } (VPEXTRWrri:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[v8i16] } FR16:{ *:[f16] }:$src, VR128:{ *:[i32] }), 0:{ *:[i8] }), sub_16bit:{ *:[i32] })
     /*  46782 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  46785 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46789 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46794 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  46798 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR128RegClassID),
     /*  46803 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  46806 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPEXTRWrri),
     /*  46810 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46815 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  46818 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  46821 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  46823 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46826 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46828 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /*  46835 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  46840 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /*  46845 */   // GIR_Coverage, 18339,
     /*  46845 */   GIR_EraseRootFromParent_Done,
     /*  46846 */ // Label 1108: @46846
     /*  46846 */ GIM_Try, /*On fail goto*//*Label 1109*/ GIMT_Encode4(46963), // Rule ID 18340 //
     /*  46851 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoBWI),
     /*  46854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  46857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16RegClassID),
     /*  46861 */   // (bitconvert:{ *:[f16] } i16:{ *:[i16] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[f16] } (VPINSRWrri:{ *:[f128] } (IMPLICIT_DEF:{ *:[v8i16] }), (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR16:{ *:[i16] }:$src, sub_16bit:{ *:[i32] }), 0:{ *:[i8] }), FR16:{ *:[i32] })
     /*  46861 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  46864 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  46868 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46873 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  46875 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  46878 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  46882 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46887 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  46890 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  46894 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/4,
     /*  46897 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBPRegClassID),
     /*  46902 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBPRegClassID),
     /*  46907 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(X86::GR16RegClassID),
     /*  46912 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  46915 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  46919 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46924 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  46926 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  46929 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPINSRWrri),
     /*  46933 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46938 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  46941 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  46944 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  46947 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  46949 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46952 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46954 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  46957 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16RegClassID),
     /*  46962 */   // GIR_Coverage, 18340,
     /*  46962 */   GIR_EraseRootFromParent_Done,
     /*  46963 */ // Label 1109: @46963
     /*  46963 */ GIM_Try, /*On fail goto*//*Label 1110*/ GIMT_Encode4(47042), // Rule ID 18336 //
     /*  46968 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  46971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  46974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  46978 */   // (bitconvert:{ *:[i16] } f16:{ *:[f16] }:$src)  =>  (EXTRACT_SUBREG:{ *:[i16] } (PEXTRWrri:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[v8i16] } FR16:{ *:[f16] }:$src, VR128:{ *:[i32] }), 0:{ *:[i8] }), sub_16bit:{ *:[i32] })
     /*  46978 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  46981 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46985 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46990 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  46994 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR128RegClassID),
     /*  46999 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  47002 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::PEXTRWrri),
     /*  47006 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47011 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  47014 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  47017 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  47019 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  47022 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47024 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /*  47031 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  47036 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /*  47041 */   // GIR_Coverage, 18336,
     /*  47041 */   GIR_EraseRootFromParent_Done,
     /*  47042 */ // Label 1110: @47042
     /*  47042 */ GIM_Try, /*On fail goto*//*Label 1111*/ GIMT_Encode4(47159), // Rule ID 18337 //
     /*  47047 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  47050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  47053 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16RegClassID),
     /*  47057 */   // (bitconvert:{ *:[f16] } i16:{ *:[i16] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[f16] } (PINSRWrri:{ *:[f128] } (IMPLICIT_DEF:{ *:[v8i16] }), (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR16:{ *:[i16] }:$src, sub_16bit:{ *:[i32] }), 0:{ *:[i8] }), FR16:{ *:[i32] })
     /*  47057 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  47060 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  47064 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47069 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  47071 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  47074 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  47078 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47083 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  47086 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  47090 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/4,
     /*  47093 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBPRegClassID),
     /*  47098 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBPRegClassID),
     /*  47103 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(X86::GR16RegClassID),
     /*  47108 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  47111 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  47115 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47120 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  47122 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  47125 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::PINSRWrri),
     /*  47129 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47134 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  47137 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  47140 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  47143 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  47145 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  47148 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47150 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  47153 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16RegClassID),
     /*  47158 */   // GIR_Coverage, 18337,
     /*  47158 */   GIR_EraseRootFromParent_Done,
     /*  47159 */ // Label 1111: @47159
     /*  47159 */ GIM_Try, /*On fail goto*//*Label 1112*/ GIMT_Encode4(47238), // Rule ID 21840 //
     /*  47164 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  47167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  47170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  47174 */   // (bitconvert:{ *:[i16] } f16:{ *:[f16] }:$src)  =>  (EXTRACT_SUBREG:{ *:[i16] } (VPEXTRWZrri:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[v8i16] } FR16X:{ *:[f16] }:$src, VR128X:{ *:[i32] }), 0:{ *:[i8] }), sub_16bit:{ *:[i32] })
     /*  47174 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  47177 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  47181 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47186 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  47190 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR128XRegClassID),
     /*  47195 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  47198 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPEXTRWZrri),
     /*  47202 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47207 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  47210 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  47213 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  47215 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  47218 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47220 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /*  47227 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  47232 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /*  47237 */   // GIR_Coverage, 21840,
     /*  47237 */   GIR_EraseRootFromParent_Done,
     /*  47238 */ // Label 1112: @47238
     /*  47238 */ GIM_Try, /*On fail goto*//*Label 1113*/ GIMT_Encode4(47355), // Rule ID 21841 //
     /*  47243 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  47246 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  47249 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /*  47253 */   // (bitconvert:{ *:[f16] } i16:{ *:[i16] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[f16] } (VPINSRWZrri:{ *:[f128] } (IMPLICIT_DEF:{ *:[v8i16] }), (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR16:{ *:[i16] }:$src, sub_16bit:{ *:[i32] }), 0:{ *:[i8] }), FR16X:{ *:[i32] })
     /*  47253 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  47256 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  47260 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47265 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  47267 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  47270 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  47274 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47279 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  47282 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  47286 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/4,
     /*  47289 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBPRegClassID),
     /*  47294 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBPRegClassID),
     /*  47299 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(X86::GR16RegClassID),
     /*  47304 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  47307 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  47311 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47316 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  47318 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  47321 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPINSRWZrri),
     /*  47325 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47330 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  47333 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  47336 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  47339 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  47341 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  47344 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47346 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  47349 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /*  47354 */   // GIR_Coverage, 21841,
     /*  47354 */   GIR_EraseRootFromParent_Done,
     /*  47355 */ // Label 1113: @47355
     /*  47355 */ GIM_Reject,
     /*  47356 */ // Label 1097: @47356
     /*  47356 */ GIM_Try, /*On fail goto*//*Label 1114*/ GIMT_Encode4(47422), // Rule ID 22524 //
     /*  47361 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  47364 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  47367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  47371 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47375 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  47379 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  47382 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  47386 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  47393 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  47397 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  47399 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  47406 */   // (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>)  =>  (MOVSSrm_alt:{ *:[f32] } addr:{ *:[iPTR] }:$src)
     /*  47406 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVSSrm_alt),
     /*  47409 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47411 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  47415 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  47420 */   GIR_RootConstrainSelectedInstOperands,
     /*  47421 */   // GIR_Coverage, 22524,
     /*  47421 */   GIR_EraseRootFromParent_Done,
     /*  47422 */ // Label 1114: @47422
     /*  47422 */ GIM_Try, /*On fail goto*//*Label 1115*/ GIMT_Encode4(47488), // Rule ID 22525 //
     /*  47427 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  47430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  47433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  47437 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47441 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  47445 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  47448 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  47452 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  47459 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  47463 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  47465 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  47472 */   // (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>)  =>  (VMOVSSrm_alt:{ *:[f32] } addr:{ *:[iPTR] }:$src)
     /*  47472 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVSSrm_alt),
     /*  47475 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47477 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  47481 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  47486 */   GIR_RootConstrainSelectedInstOperands,
     /*  47487 */   // GIR_Coverage, 22525,
     /*  47487 */   GIR_EraseRootFromParent_Done,
     /*  47488 */ // Label 1115: @47488
     /*  47488 */ GIM_Try, /*On fail goto*//*Label 1116*/ GIMT_Encode4(47554), // Rule ID 22526 //
     /*  47493 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  47496 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  47499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /*  47503 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47507 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  47511 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  47514 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  47518 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  47525 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  47529 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  47531 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  47538 */   // (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>)  =>  (VMOVSSZrm_alt:{ *:[f32] } addr:{ *:[iPTR] }:$src)
     /*  47538 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVSSZrm_alt),
     /*  47541 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47543 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  47547 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  47552 */   GIR_RootConstrainSelectedInstOperands,
     /*  47553 */   // GIR_Coverage, 22526,
     /*  47553 */   GIR_EraseRootFromParent_Done,
     /*  47554 */ // Label 1116: @47554
     /*  47554 */ GIM_Try, /*On fail goto*//*Label 1117*/ GIMT_Encode4(47580), // Rule ID 2914 //
     /*  47559 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  47562 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  47565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  47569 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  47573 */   // (bitconvert:{ *:[f32] } GR32:{ *:[i32] }:$src)  =>  (VMOVDI2SSrr:{ *:[f32] } GR32:{ *:[i32] }:$src)
     /*  47573 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMOVDI2SSrr),
     /*  47578 */   GIR_RootConstrainSelectedInstOperands,
     /*  47579 */   // GIR_Coverage, 2914,
     /*  47579 */   GIR_Done,
     /*  47580 */ // Label 1117: @47580
     /*  47580 */ GIM_Try, /*On fail goto*//*Label 1118*/ GIMT_Encode4(47606), // Rule ID 2915 //
     /*  47585 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  47588 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  47591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  47595 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  47599 */   // (bitconvert:{ *:[f32] } GR32:{ *:[i32] }:$src)  =>  (MOVDI2SSrr:{ *:[f32] } GR32:{ *:[i32] }:$src)
     /*  47599 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MOVDI2SSrr),
     /*  47604 */   GIR_RootConstrainSelectedInstOperands,
     /*  47605 */   // GIR_Coverage, 2915,
     /*  47605 */   GIR_Done,
     /*  47606 */ // Label 1118: @47606
     /*  47606 */ GIM_Try, /*On fail goto*//*Label 1119*/ GIMT_Encode4(47632), // Rule ID 2924 //
     /*  47611 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  47614 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  47617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  47621 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  47625 */   // (bitconvert:{ *:[i32] } FR32:{ *:[f32] }:$src)  =>  (VMOVSS2DIrr:{ *:[i32] } FR32:{ *:[f32] }:$src)
     /*  47625 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMOVSS2DIrr),
     /*  47630 */   GIR_RootConstrainSelectedInstOperands,
     /*  47631 */   // GIR_Coverage, 2924,
     /*  47631 */   GIR_Done,
     /*  47632 */ // Label 1119: @47632
     /*  47632 */ GIM_Try, /*On fail goto*//*Label 1120*/ GIMT_Encode4(47658), // Rule ID 2925 //
     /*  47637 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  47640 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  47643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  47647 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  47651 */   // (bitconvert:{ *:[i32] } FR32:{ *:[f32] }:$src)  =>  (MOVSS2DIrr:{ *:[i32] } FR32:{ *:[f32] }:$src)
     /*  47651 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MOVSS2DIrr),
     /*  47656 */   GIR_RootConstrainSelectedInstOperands,
     /*  47657 */   // GIR_Coverage, 2925,
     /*  47657 */   GIR_Done,
     /*  47658 */ // Label 1120: @47658
     /*  47658 */ GIM_Try, /*On fail goto*//*Label 1121*/ GIMT_Encode4(47684), // Rule ID 4597 //
     /*  47663 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  47666 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  47669 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /*  47673 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  47677 */   // (bitconvert:{ *:[f32] } GR32:{ *:[i32] }:$src)  =>  (VMOVDI2SSZrr:{ *:[f32] } GR32:{ *:[i32] }:$src)
     /*  47677 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMOVDI2SSZrr),
     /*  47682 */   GIR_RootConstrainSelectedInstOperands,
     /*  47683 */   // GIR_Coverage, 4597,
     /*  47683 */   GIR_Done,
     /*  47684 */ // Label 1121: @47684
     /*  47684 */ GIM_Try, /*On fail goto*//*Label 1122*/ GIMT_Encode4(47710), // Rule ID 4602 //
     /*  47689 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  47692 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  47695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  47699 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /*  47703 */   // (bitconvert:{ *:[i32] } FR32X:{ *:[f32] }:$src)  =>  (VMOVSS2DIZrr:{ *:[i32] } FR32X:{ *:[f32] }:$src)
     /*  47703 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMOVSS2DIZrr),
     /*  47708 */   GIR_RootConstrainSelectedInstOperands,
     /*  47709 */   // GIR_Coverage, 4602,
     /*  47709 */   GIR_Done,
     /*  47710 */ // Label 1122: @47710
     /*  47710 */ GIM_Try, /*On fail goto*//*Label 1123*/ GIMT_Encode4(47737), // Rule ID 19441 //
     /*  47715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s1,
     /*  47718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  47722 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  47726 */   // (bitconvert:{ *:[i32] } VK32:{ *:[v32i1] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[i32] } VK32:{ *:[v32i1] }:$src, GR32:{ *:[i32] })
     /*  47726 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  47731 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR32RegClassID),
     /*  47736 */   // GIR_Coverage, 19441,
     /*  47736 */   GIR_Done,
     /*  47737 */ // Label 1123: @47737
     /*  47737 */ GIM_Try, /*On fail goto*//*Label 1124*/ GIMT_Encode4(47781), // Rule ID 19875 //
     /*  47742 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s1,
     /*  47745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /*  47749 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  47753 */   // (bitconvert:{ *:[f32] } VK32:{ *:[v32i1] }:$src)  =>  (VMOVDI2SSZrr:{ *:[f32] } (KMOVDrk:{ *:[i32] } VK32:{ *:[v32i1] }:$src))
     /*  47753 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  47756 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KMOVDrk),
     /*  47760 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47765 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  47769 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  47771 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDI2SSZrr),
     /*  47774 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47776 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  47779 */   GIR_RootConstrainSelectedInstOperands,
     /*  47780 */   // GIR_Coverage, 19875,
     /*  47780 */   GIR_EraseRootFromParent_Done,
     /*  47781 */ // Label 1124: @47781
     /*  47781 */ GIM_Reject,
     /*  47782 */ // Label 1098: @47782
     /*  47782 */ GIM_Try, /*On fail goto*//*Label 1125*/ GIMT_Encode4(47848), // Rule ID 22527 //
     /*  47787 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  47790 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  47793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  47797 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47801 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  47805 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  47808 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  47812 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  47819 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  47823 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  47825 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  47832 */   // (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>)  =>  (MOVSDrm_alt:{ *:[f64] } addr:{ *:[iPTR] }:$src)
     /*  47832 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVSDrm_alt),
     /*  47835 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47837 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  47841 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  47846 */   GIR_RootConstrainSelectedInstOperands,
     /*  47847 */   // GIR_Coverage, 22527,
     /*  47847 */   GIR_EraseRootFromParent_Done,
     /*  47848 */ // Label 1125: @47848
     /*  47848 */ GIM_Try, /*On fail goto*//*Label 1126*/ GIMT_Encode4(47914), // Rule ID 22528 //
     /*  47853 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  47856 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  47859 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  47863 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47867 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  47871 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  47874 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  47878 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  47885 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  47889 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  47891 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  47898 */   // (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>)  =>  (VMOVSDrm_alt:{ *:[f64] } addr:{ *:[iPTR] }:$src)
     /*  47898 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVSDrm_alt),
     /*  47901 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47903 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  47907 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  47912 */   GIR_RootConstrainSelectedInstOperands,
     /*  47913 */   // GIR_Coverage, 22528,
     /*  47913 */   GIR_EraseRootFromParent_Done,
     /*  47914 */ // Label 1126: @47914
     /*  47914 */ GIM_Try, /*On fail goto*//*Label 1127*/ GIMT_Encode4(47980), // Rule ID 22529 //
     /*  47919 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  47922 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  47925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /*  47929 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47933 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  47937 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  47940 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  47944 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  47951 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  47955 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  47957 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  47964 */   // (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>)  =>  (VMOVSDZrm_alt:{ *:[f64] } addr:{ *:[iPTR] }:$src)
     /*  47964 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVSDZrm_alt),
     /*  47967 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47969 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  47973 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  47978 */   GIR_RootConstrainSelectedInstOperands,
     /*  47979 */   // GIR_Coverage, 22529,
     /*  47979 */   GIR_EraseRootFromParent_Done,
     /*  47980 */ // Label 1127: @47980
     /*  47980 */ GIM_Try, /*On fail goto*//*Label 1128*/ GIMT_Encode4(48006), // Rule ID 2909 //
     /*  47985 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  47988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  47991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  47995 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  47999 */   // (bitconvert:{ *:[f64] } GR64:{ *:[i64] }:$src)  =>  (VMOV64toSDrr:{ *:[f64] } GR64:{ *:[i64] }:$src)
     /*  47999 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMOV64toSDrr),
     /*  48004 */   GIR_RootConstrainSelectedInstOperands,
     /*  48005 */   // GIR_Coverage, 2909,
     /*  48005 */   GIR_Done,
     /*  48006 */ // Label 1128: @48006
     /*  48006 */ GIM_Try, /*On fail goto*//*Label 1129*/ GIMT_Encode4(48032), // Rule ID 2913 //
     /*  48011 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  48014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  48017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  48021 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  48025 */   // (bitconvert:{ *:[f64] } GR64:{ *:[i64] }:$src)  =>  (MOV64toSDrr:{ *:[f64] } GR64:{ *:[i64] }:$src)
     /*  48025 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MOV64toSDrr),
     /*  48030 */   GIR_RootConstrainSelectedInstOperands,
     /*  48031 */   // GIR_Coverage, 2913,
     /*  48031 */   GIR_Done,
     /*  48032 */ // Label 1129: @48032
     /*  48032 */ GIM_Try, /*On fail goto*//*Label 1130*/ GIMT_Encode4(48058), // Rule ID 2922 //
     /*  48037 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  48040 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  48043 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  48047 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  48051 */   // (bitconvert:{ *:[i64] } FR64:{ *:[f64] }:$src)  =>  (VMOVSDto64rr:{ *:[i64] } FR64:{ *:[f64] }:$src)
     /*  48051 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMOVSDto64rr),
     /*  48056 */   GIR_RootConstrainSelectedInstOperands,
     /*  48057 */   // GIR_Coverage, 2922,
     /*  48057 */   GIR_Done,
     /*  48058 */ // Label 1130: @48058
     /*  48058 */ GIM_Try, /*On fail goto*//*Label 1131*/ GIMT_Encode4(48084), // Rule ID 2923 //
     /*  48063 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  48066 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  48069 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  48073 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  48077 */   // (bitconvert:{ *:[i64] } FR64:{ *:[f64] }:$src)  =>  (MOVSDto64rr:{ *:[i64] } FR64:{ *:[f64] }:$src)
     /*  48077 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MOVSDto64rr),
     /*  48082 */   GIR_RootConstrainSelectedInstOperands,
     /*  48083 */   // GIR_Coverage, 2923,
     /*  48083 */   GIR_Done,
     /*  48084 */ // Label 1131: @48084
     /*  48084 */ GIM_Try, /*On fail goto*//*Label 1132*/ GIMT_Encode4(48110), // Rule ID 4595 //
     /*  48089 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  48092 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  48095 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /*  48099 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  48103 */   // (bitconvert:{ *:[f64] } GR64:{ *:[i64] }:$src)  =>  (VMOV64toSDZrr:{ *:[f64] } GR64:{ *:[i64] }:$src)
     /*  48103 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMOV64toSDZrr),
     /*  48108 */   GIR_RootConstrainSelectedInstOperands,
     /*  48109 */   // GIR_Coverage, 4595,
     /*  48109 */   GIR_Done,
     /*  48110 */ // Label 1132: @48110
     /*  48110 */ GIM_Try, /*On fail goto*//*Label 1133*/ GIMT_Encode4(48136), // Rule ID 4596 //
     /*  48115 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  48118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  48121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  48125 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /*  48129 */   // (bitconvert:{ *:[i64] } FR64X:{ *:[f64] }:$src)  =>  (VMOVSDto64Zrr:{ *:[i64] } FR64X:{ *:[f64] }:$src)
     /*  48129 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMOVSDto64Zrr),
     /*  48134 */   GIR_RootConstrainSelectedInstOperands,
     /*  48135 */   // GIR_Coverage, 4596,
     /*  48135 */   GIR_Done,
     /*  48136 */ // Label 1133: @48136
     /*  48136 */ GIM_Try, /*On fail goto*//*Label 1134*/ GIMT_Encode4(48163), // Rule ID 19443 //
     /*  48141 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s1,
     /*  48144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  48148 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  48152 */   // (bitconvert:{ *:[i64] } VK64:{ *:[v64i1] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[i64] } VK64:{ *:[v64i1] }:$src, GR64:{ *:[i32] })
     /*  48152 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  48157 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /*  48162 */   // GIR_Coverage, 19443,
     /*  48162 */   GIR_Done,
     /*  48163 */ // Label 1134: @48163
     /*  48163 */ GIM_Try, /*On fail goto*//*Label 1135*/ GIMT_Encode4(48207), // Rule ID 19877 //
     /*  48168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s1,
     /*  48171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /*  48175 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  48179 */   // (bitconvert:{ *:[f64] } VK64:{ *:[v64i1] }:$src)  =>  (VMOV64toSDZrr:{ *:[f64] } (KMOVQrk:{ *:[i64] } VK64:{ *:[v64i1] }:$src))
     /*  48179 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  48182 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KMOVQrk),
     /*  48186 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48191 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  48195 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  48197 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOV64toSDZrr),
     /*  48200 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48202 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  48205 */   GIR_RootConstrainSelectedInstOperands,
     /*  48206 */   // GIR_Coverage, 19877,
     /*  48206 */   GIR_EraseRootFromParent_Done,
     /*  48207 */ // Label 1135: @48207
     /*  48207 */ GIM_Reject,
     /*  48208 */ // Label 1099: @48208
     /*  48208 */ GIM_Try, /*On fail goto*//*Label 1136*/ GIMT_Encode4(48368),
     /*  48213 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /*  48216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  48220 */   GIM_Try, /*On fail goto*//*Label 1137*/ GIMT_Encode4(48293), // Rule ID 19447 //
     /*  48225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  48228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  48236 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  48239 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  48243 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  48247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  48249 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  48256 */     // (bitconvert:{ *:[v8i1] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (COPY_TO_REGCLASS:{ *:[v8i1] } (MOVZX32rm8:{ *:[i32] } addr:{ *:[iPTR] }:$src), VK8:{ *:[i32] })
     /*  48256 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  48259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVZX32rm8),
     /*  48263 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48268 */     GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  48272 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  48277 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  48279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  48282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48284 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  48287 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK8RegClassID),
     /*  48292 */     // GIR_Coverage, 19447,
     /*  48292 */     GIR_EraseRootFromParent_Done,
     /*  48293 */   // Label 1137: @48293
     /*  48293 */   GIM_Try, /*On fail goto*//*Label 1138*/ GIMT_Encode4(48367), // Rule ID 19432 //
     /*  48298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  48302 */     // (bitconvert:{ *:[v8i1] } GR8:{ *:[i8] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v8i1] } (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src, sub_8bit:{ *:[i32] }), VK8:{ *:[i32] })
     /*  48302 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  48305 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  48309 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  48316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  48319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  48323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48328 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  48331 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  48335 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  48338 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /*  48343 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /*  48348 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  48353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  48356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  48361 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK8RegClassID),
     /*  48366 */     // GIR_Coverage, 19432,
     /*  48366 */     GIR_EraseRootFromParent_Done,
     /*  48367 */   // Label 1138: @48367
     /*  48367 */   GIM_Reject,
     /*  48368 */ // Label 1136: @48368
     /*  48368 */ GIM_Reject,
     /*  48369 */ // Label 1100: @48369
     /*  48369 */ GIM_Try, /*On fail goto*//*Label 1139*/ GIMT_Encode4(48508),
     /*  48374 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  48377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  48381 */   GIM_Try, /*On fail goto*//*Label 1140*/ GIMT_Encode4(48433), // Rule ID 19448 //
     /*  48386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  48389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  48397 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  48400 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  48404 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  48408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  48410 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  48417 */     // (bitconvert:{ *:[v16i1] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (KMOVWkm:{ *:[v16i1] } addr:{ *:[iPTR] }:$src)
     /*  48417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVWkm),
     /*  48420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48422 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  48426 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  48431 */     GIR_RootConstrainSelectedInstOperands,
     /*  48432 */     // GIR_Coverage, 19448,
     /*  48432 */     GIR_EraseRootFromParent_Done,
     /*  48433 */   // Label 1140: @48433
     /*  48433 */   GIM_Try, /*On fail goto*//*Label 1141*/ GIMT_Encode4(48507), // Rule ID 19429 //
     /*  48438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  48442 */     // (bitconvert:{ *:[v16i1] } GR16:{ *:[i16] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v16i1] } (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR16:{ *:[i16] }:$src, sub_16bit:{ *:[i32] }), VK16:{ *:[i32] })
     /*  48442 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  48445 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  48449 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  48456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  48459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  48463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48468 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  48471 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  48475 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/4,
     /*  48478 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBPRegClassID),
     /*  48483 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBPRegClassID),
     /*  48488 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR16RegClassID),
     /*  48493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  48496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48498 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  48501 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  48506 */     // GIR_Coverage, 19429,
     /*  48506 */     GIR_EraseRootFromParent_Done,
     /*  48507 */   // Label 1141: @48507
     /*  48507 */   GIM_Reject,
     /*  48508 */ // Label 1139: @48508
     /*  48508 */ GIM_Reject,
     /*  48509 */ // Label 1101: @48509
     /*  48509 */ GIM_Try, /*On fail goto*//*Label 1142*/ GIMT_Encode4(48579),
     /*  48514 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  48517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  48521 */   GIM_Try, /*On fail goto*//*Label 1143*/ GIMT_Encode4(48541), // Rule ID 19440 //
     /*  48526 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  48530 */     // (bitconvert:{ *:[v32i1] } GR32:{ *:[i32] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v32i1] } GR32:{ *:[i32] }:$src, VK32:{ *:[i32] })
     /*  48530 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  48535 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK32RegClassID),
     /*  48540 */     // GIR_Coverage, 19440,
     /*  48540 */     GIR_Done,
     /*  48541 */   // Label 1143: @48541
     /*  48541 */   GIM_Try, /*On fail goto*//*Label 1144*/ GIMT_Encode4(48578), // Rule ID 19874 //
     /*  48546 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /*  48550 */     // (bitconvert:{ *:[v32i1] } FR32X:{ *:[f32] }:$src)  =>  (KMOVDkr:{ *:[v32i1] } (VMOVSS2DIZrr:{ *:[i32] } FR32X:{ *:[f32] }:$src))
     /*  48550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  48553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVSS2DIZrr),
     /*  48557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48562 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  48566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  48568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVDkr),
     /*  48571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  48576 */     GIR_RootConstrainSelectedInstOperands,
     /*  48577 */     // GIR_Coverage, 19874,
     /*  48577 */     GIR_EraseRootFromParent_Done,
     /*  48578 */   // Label 1144: @48578
     /*  48578 */   GIM_Reject,
     /*  48579 */ // Label 1142: @48579
     /*  48579 */ GIM_Reject,
     /*  48580 */ // Label 1102: @48580
     /*  48580 */ GIM_Try, /*On fail goto*//*Label 1145*/ GIMT_Encode4(48650),
     /*  48585 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  48588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  48592 */   GIM_Try, /*On fail goto*//*Label 1146*/ GIMT_Encode4(48612), // Rule ID 19442 //
     /*  48597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  48601 */     // (bitconvert:{ *:[v64i1] } GR64:{ *:[i64] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v64i1] } GR64:{ *:[i64] }:$src, VK64:{ *:[i32] })
     /*  48601 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  48606 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK64RegClassID),
     /*  48611 */     // GIR_Coverage, 19442,
     /*  48611 */     GIR_Done,
     /*  48612 */   // Label 1146: @48612
     /*  48612 */   GIM_Try, /*On fail goto*//*Label 1147*/ GIMT_Encode4(48649), // Rule ID 19876 //
     /*  48617 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /*  48621 */     // (bitconvert:{ *:[v64i1] } FR64X:{ *:[f64] }:$src)  =>  (KMOVQkr:{ *:[v64i1] } (VMOVSDto64Zrr:{ *:[i64] } FR64X:{ *:[f64] }:$src))
     /*  48621 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  48624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVSDto64Zrr),
     /*  48628 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48633 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  48637 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  48639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVQkr),
     /*  48642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48644 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  48647 */     GIR_RootConstrainSelectedInstOperands,
     /*  48648 */     // GIR_Coverage, 19876,
     /*  48648 */     GIR_EraseRootFromParent_Done,
     /*  48649 */   // Label 1147: @48649
     /*  48649 */   GIM_Reject,
     /*  48650 */ // Label 1145: @48650
     /*  48650 */ GIM_Reject,
     /*  48651 */ // Label 1103: @48651
     /*  48651 */ GIM_Reject,
     /*  48652 */ // Label 8: @48652
     /*  48652 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(23), /*)*//*default:*//*Label 1160*/ GIMT_Encode4(51829),
     /*  48663 */ /*GILLT_s16*//*Label 1148*/ GIMT_Encode4(48747),
     /*  48667 */ /*GILLT_s32*//*Label 1149*/ GIMT_Encode4(48808),
     /*  48671 */ /*GILLT_s64*//*Label 1150*/ GIMT_Encode4(49432), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  48687 */ /*GILLT_v2s64*//*Label 1151*/ GIMT_Encode4(50056), GIMT_Encode4(0),
     /*  48695 */ /*GILLT_v4s32*//*Label 1152*/ GIMT_Encode4(50145),
     /*  48699 */ /*GILLT_v4s64*//*Label 1153*/ GIMT_Encode4(50591), GIMT_Encode4(0),
     /*  48707 */ /*GILLT_v8s16*//*Label 1154*/ GIMT_Encode4(50770),
     /*  48711 */ /*GILLT_v8s32*//*Label 1155*/ GIMT_Encode4(50859),
     /*  48715 */ /*GILLT_v8s64*//*Label 1156*/ GIMT_Encode4(51210), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  48727 */ /*GILLT_v16s16*//*Label 1157*/ GIMT_Encode4(51478),
     /*  48731 */ /*GILLT_v16s32*//*Label 1158*/ GIMT_Encode4(51567), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  48743 */ /*GILLT_v32s16*//*Label 1159*/ GIMT_Encode4(51740),
     /*  48747 */ // Label 1148: @48747
     /*  48747 */ GIM_Try, /*On fail goto*//*Label 1161*/ GIMT_Encode4(48807), // Rule ID 22168 //
     /*  48752 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /*  48755 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  48758 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  48762 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16RegClassID),
     /*  48766 */   // (lrint:{ *:[i16] } FR16:{ *:[f16] }:$src)  =>  (EXTRACT_SUBREG:{ *:[i16] } (VCVTTSH2SIZrr:{ *:[i32] } FR16:{ *:[f16] }:$src), sub_16bit:{ *:[i32] })
     /*  48766 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  48769 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VCVTTSH2SIZrr),
     /*  48773 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48778 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  48782 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  48784 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  48787 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48789 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /*  48796 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  48801 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /*  48806 */   // GIR_Coverage, 22168,
     /*  48806 */   GIR_EraseRootFromParent_Done,
     /*  48807 */ // Label 1161: @48807
     /*  48807 */ GIM_Reject,
     /*  48808 */ // Label 1149: @48808
     /*  48808 */ GIM_Try, /*On fail goto*//*Label 1162*/ GIMT_Encode4(48867), // Rule ID 1755 //
     /*  48813 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  48816 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  48819 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  48823 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48827 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  48831 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  48834 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  48838 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  48842 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  48844 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  48851 */   // (lrint:{ *:[i32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSS2SIrm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /*  48851 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSS2SIrm),
     /*  48854 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48856 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  48860 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  48865 */   GIR_RootConstrainSelectedInstOperands,
     /*  48866 */   // GIR_Coverage, 1755,
     /*  48866 */   GIR_EraseRootFromParent_Done,
     /*  48867 */ // Label 1162: @48867
     /*  48867 */ GIM_Try, /*On fail goto*//*Label 1163*/ GIMT_Encode4(48926), // Rule ID 1759 //
     /*  48872 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  48875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  48878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  48882 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48886 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  48890 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  48893 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  48897 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  48901 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  48903 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  48910 */   // (lrint:{ *:[i32] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSD2SIrm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /*  48910 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSD2SIrm),
     /*  48913 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48915 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  48919 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  48924 */   GIR_RootConstrainSelectedInstOperands,
     /*  48925 */   // GIR_Coverage, 1759,
     /*  48925 */   GIR_EraseRootFromParent_Done,
     /*  48926 */ // Label 1163: @48926
     /*  48926 */ GIM_Try, /*On fail goto*//*Label 1164*/ GIMT_Encode4(48985), // Rule ID 1779 //
     /*  48931 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  48934 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  48937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  48941 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48945 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  48949 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  48952 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  48956 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  48960 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  48962 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  48969 */   // (lrint:{ *:[i32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CVTSS2SIrm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /*  48969 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CVTSS2SIrm),
     /*  48972 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48974 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  48978 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  48983 */   GIR_RootConstrainSelectedInstOperands,
     /*  48984 */   // GIR_Coverage, 1779,
     /*  48984 */   GIR_EraseRootFromParent_Done,
     /*  48985 */ // Label 1164: @48985
     /*  48985 */ GIM_Try, /*On fail goto*//*Label 1165*/ GIMT_Encode4(49044), // Rule ID 1783 //
     /*  48990 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  48993 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  48996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  49000 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49004 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  49008 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  49011 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  49015 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  49019 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49021 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  49028 */   // (lrint:{ *:[i32] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CVTSD2SIrm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /*  49028 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CVTSD2SIrm),
     /*  49031 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  49033 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  49037 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  49042 */   GIR_RootConstrainSelectedInstOperands,
     /*  49043 */   // GIR_Coverage, 1783,
     /*  49043 */   GIR_EraseRootFromParent_Done,
     /*  49044 */ // Label 1165: @49044
     /*  49044 */ GIM_Try, /*On fail goto*//*Label 1166*/ GIMT_Encode4(49103), // Rule ID 10352 //
     /*  49049 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  49052 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  49055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  49059 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49063 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  49067 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  49070 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  49074 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  49078 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49080 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  49087 */   // (lrint:{ *:[i32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSS2SIZrm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /*  49087 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSS2SIZrm),
     /*  49090 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  49092 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  49096 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  49101 */   GIR_RootConstrainSelectedInstOperands,
     /*  49102 */   // GIR_Coverage, 10352,
     /*  49102 */   GIR_EraseRootFromParent_Done,
     /*  49103 */ // Label 1166: @49103
     /*  49103 */ GIM_Try, /*On fail goto*//*Label 1167*/ GIMT_Encode4(49162), // Rule ID 10356 //
     /*  49108 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  49111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  49114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  49118 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49122 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  49126 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  49129 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  49133 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  49137 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49139 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  49146 */   // (lrint:{ *:[i32] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSD2SIZrm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /*  49146 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSD2SIZrm),
     /*  49149 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  49151 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  49155 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  49160 */   GIR_RootConstrainSelectedInstOperands,
     /*  49161 */   // GIR_Coverage, 10356,
     /*  49161 */   GIR_EraseRootFromParent_Done,
     /*  49162 */ // Label 1167: @49162
     /*  49162 */ GIM_Try, /*On fail goto*//*Label 1168*/ GIMT_Encode4(49221), // Rule ID 22170 //
     /*  49167 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /*  49170 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  49173 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  49177 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49181 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  49185 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  49188 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  49192 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  49196 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49198 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  49205 */   // (lrint:{ *:[i32] } (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSH2SIZrm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /*  49205 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSH2SIZrm),
     /*  49208 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  49210 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  49214 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  49219 */   GIR_RootConstrainSelectedInstOperands,
     /*  49220 */   // GIR_Coverage, 22170,
     /*  49220 */   GIR_EraseRootFromParent_Done,
     /*  49221 */ // Label 1168: @49221
     /*  49221 */ GIM_Try, /*On fail goto*//*Label 1169*/ GIMT_Encode4(49251), // Rule ID 1754 //
     /*  49226 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  49229 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  49232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  49236 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  49240 */   // (lrint:{ *:[i32] } FR32:{ *:[f32] }:$src)  =>  (VCVTSS2SIrr:{ *:[i32] } FR32:{ *:[f32] }:$src)
     /*  49240 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTSS2SIrr),
     /*  49245 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  49249 */   GIR_RootConstrainSelectedInstOperands,
     /*  49250 */   // GIR_Coverage, 1754,
     /*  49250 */   GIR_Done,
     /*  49251 */ // Label 1169: @49251
     /*  49251 */ GIM_Try, /*On fail goto*//*Label 1170*/ GIMT_Encode4(49281), // Rule ID 1758 //
     /*  49256 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  49259 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  49262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  49266 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  49270 */   // (lrint:{ *:[i32] } FR64:{ *:[f64] }:$src)  =>  (VCVTSD2SIrr:{ *:[i32] } FR64:{ *:[f64] }:$src)
     /*  49270 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTSD2SIrr),
     /*  49275 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  49279 */   GIR_RootConstrainSelectedInstOperands,
     /*  49280 */   // GIR_Coverage, 1758,
     /*  49280 */   GIR_Done,
     /*  49281 */ // Label 1170: @49281
     /*  49281 */ GIM_Try, /*On fail goto*//*Label 1171*/ GIMT_Encode4(49311), // Rule ID 1778 //
     /*  49286 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  49289 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  49292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  49296 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  49300 */   // (lrint:{ *:[i32] } FR32:{ *:[f32] }:$src)  =>  (CVTSS2SIrr:{ *:[i32] } FR32:{ *:[f32] }:$src)
     /*  49300 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CVTSS2SIrr),
     /*  49305 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  49309 */   GIR_RootConstrainSelectedInstOperands,
     /*  49310 */   // GIR_Coverage, 1778,
     /*  49310 */   GIR_Done,
     /*  49311 */ // Label 1171: @49311
     /*  49311 */ GIM_Try, /*On fail goto*//*Label 1172*/ GIMT_Encode4(49341), // Rule ID 1782 //
     /*  49316 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  49319 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  49322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  49326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  49330 */   // (lrint:{ *:[i32] } FR64:{ *:[f64] }:$src)  =>  (CVTSD2SIrr:{ *:[i32] } FR64:{ *:[f64] }:$src)
     /*  49330 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CVTSD2SIrr),
     /*  49335 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  49339 */   GIR_RootConstrainSelectedInstOperands,
     /*  49340 */   // GIR_Coverage, 1782,
     /*  49340 */   GIR_Done,
     /*  49341 */ // Label 1172: @49341
     /*  49341 */ GIM_Try, /*On fail goto*//*Label 1173*/ GIMT_Encode4(49371), // Rule ID 10351 //
     /*  49346 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  49349 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  49352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  49356 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /*  49360 */   // (lrint:{ *:[i32] } FR32X:{ *:[f32] }:$src)  =>  (VCVTSS2SIZrr:{ *:[i32] } FR32X:{ *:[f32] }:$src)
     /*  49360 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTSS2SIZrr),
     /*  49365 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  49369 */   GIR_RootConstrainSelectedInstOperands,
     /*  49370 */   // GIR_Coverage, 10351,
     /*  49370 */   GIR_Done,
     /*  49371 */ // Label 1173: @49371
     /*  49371 */ GIM_Try, /*On fail goto*//*Label 1174*/ GIMT_Encode4(49401), // Rule ID 10355 //
     /*  49376 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  49379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  49382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  49386 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /*  49390 */   // (lrint:{ *:[i32] } FR64X:{ *:[f64] }:$src)  =>  (VCVTSD2SIZrr:{ *:[i32] } FR64X:{ *:[f64] }:$src)
     /*  49390 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTSD2SIZrr),
     /*  49395 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  49399 */   GIR_RootConstrainSelectedInstOperands,
     /*  49400 */   // GIR_Coverage, 10355,
     /*  49400 */   GIR_Done,
     /*  49401 */ // Label 1174: @49401
     /*  49401 */ GIM_Try, /*On fail goto*//*Label 1175*/ GIMT_Encode4(49431), // Rule ID 22169 //
     /*  49406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /*  49409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  49412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  49416 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16RegClassID),
     /*  49420 */   // (lrint:{ *:[i32] } FR16:{ *:[f16] }:$src)  =>  (VCVTTSH2SIZrr:{ *:[i32] } FR16:{ *:[f16] }:$src)
     /*  49420 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSH2SIZrr),
     /*  49425 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  49429 */   GIR_RootConstrainSelectedInstOperands,
     /*  49430 */   // GIR_Coverage, 22169,
     /*  49430 */   GIR_Done,
     /*  49431 */ // Label 1175: @49431
     /*  49431 */ GIM_Reject,
     /*  49432 */ // Label 1150: @49432
     /*  49432 */ GIM_Try, /*On fail goto*//*Label 1176*/ GIMT_Encode4(49491), // Rule ID 17989 //
     /*  49437 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  49440 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  49443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  49447 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49451 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  49455 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  49458 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  49462 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  49466 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49468 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  49475 */   // (lrint:{ *:[i64] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSS2SI64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  49475 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSS2SI64rm),
     /*  49478 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  49480 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  49484 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  49489 */   GIR_RootConstrainSelectedInstOperands,
     /*  49490 */   // GIR_Coverage, 17989,
     /*  49490 */   GIR_EraseRootFromParent_Done,
     /*  49491 */ // Label 1176: @49491
     /*  49491 */ GIM_Try, /*On fail goto*//*Label 1177*/ GIMT_Encode4(49550), // Rule ID 17991 //
     /*  49496 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  49499 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  49502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  49506 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49510 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  49514 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  49517 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  49521 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  49525 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49527 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  49534 */   // (lrint:{ *:[i64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSD2SI64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  49534 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSD2SI64rm),
     /*  49537 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  49539 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  49543 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  49548 */   GIR_RootConstrainSelectedInstOperands,
     /*  49549 */   // GIR_Coverage, 17991,
     /*  49549 */   GIR_EraseRootFromParent_Done,
     /*  49550 */ // Label 1177: @49550
     /*  49550 */ GIM_Try, /*On fail goto*//*Label 1178*/ GIMT_Encode4(49609), // Rule ID 17993 //
     /*  49555 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  49558 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  49561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  49565 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49569 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  49573 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  49576 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  49580 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  49584 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49586 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  49593 */   // (lrint:{ *:[i64] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CVTSS2SI64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  49593 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CVTSS2SI64rm),
     /*  49596 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  49598 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  49602 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  49607 */   GIR_RootConstrainSelectedInstOperands,
     /*  49608 */   // GIR_Coverage, 17993,
     /*  49608 */   GIR_EraseRootFromParent_Done,
     /*  49609 */ // Label 1178: @49609
     /*  49609 */ GIM_Try, /*On fail goto*//*Label 1179*/ GIMT_Encode4(49668), // Rule ID 17995 //
     /*  49614 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  49617 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  49620 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  49624 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49628 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  49632 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  49635 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  49639 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  49643 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49645 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  49652 */   // (lrint:{ *:[i64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CVTSD2SI64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  49652 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CVTSD2SI64rm),
     /*  49655 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  49657 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  49661 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  49666 */   GIR_RootConstrainSelectedInstOperands,
     /*  49667 */   // GIR_Coverage, 17995,
     /*  49667 */   GIR_EraseRootFromParent_Done,
     /*  49668 */ // Label 1179: @49668
     /*  49668 */ GIM_Try, /*On fail goto*//*Label 1180*/ GIMT_Encode4(49727), // Rule ID 21159 //
     /*  49673 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  49676 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  49679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  49683 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49687 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  49691 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  49694 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  49698 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  49702 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49704 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  49711 */   // (lrint:{ *:[i64] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSS2SI64Zrm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  49711 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSS2SI64Zrm),
     /*  49714 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  49716 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  49720 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  49725 */   GIR_RootConstrainSelectedInstOperands,
     /*  49726 */   // GIR_Coverage, 21159,
     /*  49726 */   GIR_EraseRootFromParent_Done,
     /*  49727 */ // Label 1180: @49727
     /*  49727 */ GIM_Try, /*On fail goto*//*Label 1181*/ GIMT_Encode4(49786), // Rule ID 21161 //
     /*  49732 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  49735 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  49738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  49742 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49746 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  49750 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  49753 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  49757 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  49761 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49763 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  49770 */   // (lrint:{ *:[i64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSD2SI64Zrm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  49770 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSD2SI64Zrm),
     /*  49773 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  49775 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  49779 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  49784 */   GIR_RootConstrainSelectedInstOperands,
     /*  49785 */   // GIR_Coverage, 21161,
     /*  49785 */   GIR_EraseRootFromParent_Done,
     /*  49786 */ // Label 1181: @49786
     /*  49786 */ GIM_Try, /*On fail goto*//*Label 1182*/ GIMT_Encode4(49845), // Rule ID 22172 //
     /*  49791 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_In64BitMode),
     /*  49794 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  49797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  49801 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49805 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  49809 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  49812 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  49816 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  49820 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49822 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  49829 */   // (lrint:{ *:[i64] } (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSH2SI64Zrm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  49829 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSH2SI64Zrm),
     /*  49832 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  49834 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  49838 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  49843 */   GIR_RootConstrainSelectedInstOperands,
     /*  49844 */   // GIR_Coverage, 22172,
     /*  49844 */   GIR_EraseRootFromParent_Done,
     /*  49845 */ // Label 1182: @49845
     /*  49845 */ GIM_Try, /*On fail goto*//*Label 1183*/ GIMT_Encode4(49875), // Rule ID 17988 //
     /*  49850 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  49853 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  49856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  49860 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  49864 */   // (lrint:{ *:[i64] } FR32:{ *:[f32] }:$src)  =>  (VCVTSS2SI64rr:{ *:[i64] } FR32:{ *:[f32] }:$src)
     /*  49864 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTSS2SI64rr),
     /*  49869 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  49873 */   GIR_RootConstrainSelectedInstOperands,
     /*  49874 */   // GIR_Coverage, 17988,
     /*  49874 */   GIR_Done,
     /*  49875 */ // Label 1183: @49875
     /*  49875 */ GIM_Try, /*On fail goto*//*Label 1184*/ GIMT_Encode4(49905), // Rule ID 17990 //
     /*  49880 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  49883 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  49886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  49890 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  49894 */   // (lrint:{ *:[i64] } FR64:{ *:[f64] }:$src)  =>  (VCVTSD2SI64rr:{ *:[i64] } FR64:{ *:[f64] }:$src)
     /*  49894 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTSD2SI64rr),
     /*  49899 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  49903 */   GIR_RootConstrainSelectedInstOperands,
     /*  49904 */   // GIR_Coverage, 17990,
     /*  49904 */   GIR_Done,
     /*  49905 */ // Label 1184: @49905
     /*  49905 */ GIM_Try, /*On fail goto*//*Label 1185*/ GIMT_Encode4(49935), // Rule ID 17992 //
     /*  49910 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  49913 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  49916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  49920 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  49924 */   // (lrint:{ *:[i64] } FR32:{ *:[f32] }:$src)  =>  (CVTSS2SI64rr:{ *:[i64] } FR32:{ *:[f32] }:$src)
     /*  49924 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CVTSS2SI64rr),
     /*  49929 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  49933 */   GIR_RootConstrainSelectedInstOperands,
     /*  49934 */   // GIR_Coverage, 17992,
     /*  49934 */   GIR_Done,
     /*  49935 */ // Label 1185: @49935
     /*  49935 */ GIM_Try, /*On fail goto*//*Label 1186*/ GIMT_Encode4(49965), // Rule ID 17994 //
     /*  49940 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  49943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  49946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  49950 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  49954 */   // (lrint:{ *:[i64] } FR64:{ *:[f64] }:$src)  =>  (CVTSD2SI64rr:{ *:[i64] } FR64:{ *:[f64] }:$src)
     /*  49954 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CVTSD2SI64rr),
     /*  49959 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  49963 */   GIR_RootConstrainSelectedInstOperands,
     /*  49964 */   // GIR_Coverage, 17994,
     /*  49964 */   GIR_Done,
     /*  49965 */ // Label 1186: @49965
     /*  49965 */ GIM_Try, /*On fail goto*//*Label 1187*/ GIMT_Encode4(49995), // Rule ID 21158 //
     /*  49970 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  49973 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  49976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  49980 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  49984 */   // (lrint:{ *:[i64] } FR32:{ *:[f32] }:$src)  =>  (VCVTSS2SI64Zrr:{ *:[i64] } FR32:{ *:[f32] }:$src)
     /*  49984 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTSS2SI64Zrr),
     /*  49989 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  49993 */   GIR_RootConstrainSelectedInstOperands,
     /*  49994 */   // GIR_Coverage, 21158,
     /*  49994 */   GIR_Done,
     /*  49995 */ // Label 1187: @49995
     /*  49995 */ GIM_Try, /*On fail goto*//*Label 1188*/ GIMT_Encode4(50025), // Rule ID 21160 //
     /*  50000 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  50003 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  50006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  50010 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  50014 */   // (lrint:{ *:[i64] } FR64:{ *:[f64] }:$src)  =>  (VCVTSD2SI64Zrr:{ *:[i64] } FR64:{ *:[f64] }:$src)
     /*  50014 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTSD2SI64Zrr),
     /*  50019 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  50023 */   GIR_RootConstrainSelectedInstOperands,
     /*  50024 */   // GIR_Coverage, 21160,
     /*  50024 */   GIR_Done,
     /*  50025 */ // Label 1188: @50025
     /*  50025 */ GIM_Try, /*On fail goto*//*Label 1189*/ GIMT_Encode4(50055), // Rule ID 22171 //
     /*  50030 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_In64BitMode),
     /*  50033 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  50036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  50040 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16RegClassID),
     /*  50044 */   // (lrint:{ *:[i64] } FR16:{ *:[f16] }:$src)  =>  (VCVTTSH2SI64Zrr:{ *:[i64] } FR16:{ *:[f16] }:$src)
     /*  50044 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSH2SI64Zrr),
     /*  50049 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  50053 */   GIR_RootConstrainSelectedInstOperands,
     /*  50054 */   // GIR_Coverage, 22171,
     /*  50054 */   GIR_Done,
     /*  50055 */ // Label 1189: @50055
     /*  50055 */ GIM_Reject,
     /*  50056 */ // Label 1151: @50056
     /*  50056 */ GIM_Try, /*On fail goto*//*Label 1190*/ GIMT_Encode4(50144),
     /*  50061 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  50064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  50068 */   GIM_Try, /*On fail goto*//*Label 1191*/ GIMT_Encode4(50120), // Rule ID 21384 //
     /*  50073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /*  50076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  50084 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  50087 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  50091 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  50095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50097 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  50104 */     // (lrint:{ *:[v2i64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPD2QQZ128rm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)
     /*  50104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPD2QQZ128rm),
     /*  50107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  50109 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  50113 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  50118 */     GIR_RootConstrainSelectedInstOperands,
     /*  50119 */     // GIR_Coverage, 21384,
     /*  50119 */     GIR_EraseRootFromParent_Done,
     /*  50120 */   // Label 1191: @50120
     /*  50120 */   GIM_Try, /*On fail goto*//*Label 1192*/ GIMT_Encode4(50143), // Rule ID 21383 //
     /*  50125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /*  50128 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  50132 */     // (lrint:{ *:[v2i64] } VR128X:{ *:[v2f64] }:$src)  =>  (VCVTPD2QQZ128rr:{ *:[v2i64] } VR128X:{ *:[v2f64] }:$src)
     /*  50132 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPD2QQZ128rr),
     /*  50137 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  50141 */     GIR_RootConstrainSelectedInstOperands,
     /*  50142 */     // GIR_Coverage, 21383,
     /*  50142 */     GIR_Done,
     /*  50143 */   // Label 1192: @50143
     /*  50143 */   GIM_Reject,
     /*  50144 */ // Label 1190: @50144
     /*  50144 */ GIM_Reject,
     /*  50145 */ // Label 1152: @50145
     /*  50145 */ GIM_Try, /*On fail goto*//*Label 1193*/ GIMT_Encode4(50204), // Rule ID 18043 //
     /*  50150 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  50153 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  50156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  50160 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50164 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  50168 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  50171 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  50175 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  50179 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50181 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  50188 */   // (lrint:{ *:[v4i32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPS2DQrm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /*  50188 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPS2DQrm),
     /*  50191 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  50193 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  50197 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  50202 */   GIR_RootConstrainSelectedInstOperands,
     /*  50203 */   // GIR_Coverage, 18043,
     /*  50203 */   GIR_EraseRootFromParent_Done,
     /*  50204 */ // Label 1193: @50204
     /*  50204 */ GIM_Try, /*On fail goto*//*Label 1194*/ GIMT_Encode4(50263), // Rule ID 18047 //
     /*  50209 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  50212 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  50215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  50219 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50223 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  50227 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  50230 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  50234 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  50238 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50240 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  50247 */   // (lrint:{ *:[v4i32] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPD2DQYrm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /*  50247 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPD2DQYrm),
     /*  50250 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  50252 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  50256 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  50261 */   GIR_RootConstrainSelectedInstOperands,
     /*  50262 */   // GIR_Coverage, 18047,
     /*  50262 */   GIR_EraseRootFromParent_Done,
     /*  50263 */ // Label 1194: @50263
     /*  50263 */ GIM_Try, /*On fail goto*//*Label 1195*/ GIMT_Encode4(50322), // Rule ID 18049 //
     /*  50268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  50271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  50274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  50278 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50282 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  50286 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  50289 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  50293 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  50297 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50299 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  50306 */   // (lrint:{ *:[v4i32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CVTPS2DQrm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /*  50306 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CVTPS2DQrm),
     /*  50309 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  50311 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  50315 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  50320 */   GIR_RootConstrainSelectedInstOperands,
     /*  50321 */   // GIR_Coverage, 18049,
     /*  50321 */   GIR_EraseRootFromParent_Done,
     /*  50322 */ // Label 1195: @50322
     /*  50322 */ GIM_Try, /*On fail goto*//*Label 1196*/ GIMT_Encode4(50381), // Rule ID 21356 //
     /*  50327 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  50330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  50333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  50337 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50341 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  50345 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  50348 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  50352 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  50356 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50358 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  50365 */   // (lrint:{ *:[v4i32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPS2DQZ128rm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /*  50365 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPS2DQZ128rm),
     /*  50368 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  50370 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  50374 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  50379 */   GIR_RootConstrainSelectedInstOperands,
     /*  50380 */   // GIR_Coverage, 21356,
     /*  50380 */   GIR_EraseRootFromParent_Done,
     /*  50381 */ // Label 1196: @50381
     /*  50381 */ GIM_Try, /*On fail goto*//*Label 1197*/ GIMT_Encode4(50440), // Rule ID 21360 //
     /*  50386 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  50389 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  50392 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  50396 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50400 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  50404 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  50407 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  50411 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  50415 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50417 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  50424 */   // (lrint:{ *:[v4i32] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPD2DQZ256rm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /*  50424 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPD2DQZ256rm),
     /*  50427 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  50429 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  50433 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  50438 */   GIR_RootConstrainSelectedInstOperands,
     /*  50439 */   // GIR_Coverage, 21360,
     /*  50439 */   GIR_EraseRootFromParent_Done,
     /*  50440 */ // Label 1197: @50440
     /*  50440 */ GIM_Try, /*On fail goto*//*Label 1198*/ GIMT_Encode4(50470), // Rule ID 18042 //
     /*  50445 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  50448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  50451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  50455 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  50459 */   // (lrint:{ *:[v4i32] } VR128:{ *:[v4f32] }:$src)  =>  (VCVTPS2DQrr:{ *:[v4i32] } VR128:{ *:[v4f32] }:$src)
     /*  50459 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPS2DQrr),
     /*  50464 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  50468 */   GIR_RootConstrainSelectedInstOperands,
     /*  50469 */   // GIR_Coverage, 18042,
     /*  50469 */   GIR_Done,
     /*  50470 */ // Label 1198: @50470
     /*  50470 */ GIM_Try, /*On fail goto*//*Label 1199*/ GIMT_Encode4(50500), // Rule ID 18046 //
     /*  50475 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  50478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  50481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  50485 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  50489 */   // (lrint:{ *:[v4i32] } VR256:{ *:[v4f64] }:$src)  =>  (VCVTPD2DQYrr:{ *:[v4i32] } VR256:{ *:[v4f64] }:$src)
     /*  50489 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPD2DQYrr),
     /*  50494 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  50498 */   GIR_RootConstrainSelectedInstOperands,
     /*  50499 */   // GIR_Coverage, 18046,
     /*  50499 */   GIR_Done,
     /*  50500 */ // Label 1199: @50500
     /*  50500 */ GIM_Try, /*On fail goto*//*Label 1200*/ GIMT_Encode4(50530), // Rule ID 18048 //
     /*  50505 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  50508 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  50511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  50515 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  50519 */   // (lrint:{ *:[v4i32] } VR128:{ *:[v4f32] }:$src)  =>  (CVTPS2DQrr:{ *:[v4i32] } VR128:{ *:[v4f32] }:$src)
     /*  50519 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CVTPS2DQrr),
     /*  50524 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  50528 */   GIR_RootConstrainSelectedInstOperands,
     /*  50529 */   // GIR_Coverage, 18048,
     /*  50529 */   GIR_Done,
     /*  50530 */ // Label 1200: @50530
     /*  50530 */ GIM_Try, /*On fail goto*//*Label 1201*/ GIMT_Encode4(50560), // Rule ID 21355 //
     /*  50535 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  50538 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  50541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  50545 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  50549 */   // (lrint:{ *:[v4i32] } VR128X:{ *:[v4f32] }:$src)  =>  (VCVTPS2DQZ128rr:{ *:[v4i32] } VR128X:{ *:[v4f32] }:$src)
     /*  50549 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPS2DQZ128rr),
     /*  50554 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  50558 */   GIR_RootConstrainSelectedInstOperands,
     /*  50559 */   // GIR_Coverage, 21355,
     /*  50559 */   GIR_Done,
     /*  50560 */ // Label 1201: @50560
     /*  50560 */ GIM_Try, /*On fail goto*//*Label 1202*/ GIMT_Encode4(50590), // Rule ID 21359 //
     /*  50565 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  50568 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  50571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  50575 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  50579 */   // (lrint:{ *:[v4i32] } VR256X:{ *:[v4f64] }:$src)  =>  (VCVTPD2DQZ256rr:{ *:[v4i32] } VR256X:{ *:[v4f64] }:$src)
     /*  50579 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPD2DQZ256rr),
     /*  50584 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  50588 */   GIR_RootConstrainSelectedInstOperands,
     /*  50589 */   // GIR_Coverage, 21359,
     /*  50589 */   GIR_Done,
     /*  50590 */ // Label 1202: @50590
     /*  50590 */ GIM_Reject,
     /*  50591 */ // Label 1153: @50591
     /*  50591 */ GIM_Try, /*On fail goto*//*Label 1203*/ GIMT_Encode4(50650), // Rule ID 21380 //
     /*  50596 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /*  50599 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  50602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  50606 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50610 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  50614 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  50617 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  50621 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  50625 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50627 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  50634 */   // (lrint:{ *:[v4i64] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPS2QQZ256rm:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)
     /*  50634 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPS2QQZ256rm),
     /*  50637 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  50639 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  50643 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  50648 */   GIR_RootConstrainSelectedInstOperands,
     /*  50649 */   // GIR_Coverage, 21380,
     /*  50649 */   GIR_EraseRootFromParent_Done,
     /*  50650 */ // Label 1203: @50650
     /*  50650 */ GIM_Try, /*On fail goto*//*Label 1204*/ GIMT_Encode4(50709), // Rule ID 21386 //
     /*  50655 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /*  50658 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  50661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  50665 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50669 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  50673 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  50676 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  50680 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  50684 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50686 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  50693 */   // (lrint:{ *:[v4i64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPD2QQZ256rm:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)
     /*  50693 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPD2QQZ256rm),
     /*  50696 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  50698 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  50702 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  50707 */   GIR_RootConstrainSelectedInstOperands,
     /*  50708 */   // GIR_Coverage, 21386,
     /*  50708 */   GIR_EraseRootFromParent_Done,
     /*  50709 */ // Label 1204: @50709
     /*  50709 */ GIM_Try, /*On fail goto*//*Label 1205*/ GIMT_Encode4(50739), // Rule ID 21379 //
     /*  50714 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /*  50717 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  50720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  50724 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  50728 */   // (lrint:{ *:[v4i64] } VR128X:{ *:[v4f32] }:$src)  =>  (VCVTPS2QQZ256rr:{ *:[v4i64] } VR128X:{ *:[v4f32] }:$src)
     /*  50728 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPS2QQZ256rr),
     /*  50733 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  50737 */   GIR_RootConstrainSelectedInstOperands,
     /*  50738 */   // GIR_Coverage, 21379,
     /*  50738 */   GIR_Done,
     /*  50739 */ // Label 1205: @50739
     /*  50739 */ GIM_Try, /*On fail goto*//*Label 1206*/ GIMT_Encode4(50769), // Rule ID 21385 //
     /*  50744 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /*  50747 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  50750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  50754 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  50758 */   // (lrint:{ *:[v4i64] } VR256X:{ *:[v4f64] }:$src)  =>  (VCVTPD2QQZ256rr:{ *:[v4i64] } VR256X:{ *:[v4f64] }:$src)
     /*  50758 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPD2QQZ256rr),
     /*  50763 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  50767 */   GIR_RootConstrainSelectedInstOperands,
     /*  50768 */   // GIR_Coverage, 21385,
     /*  50768 */   GIR_Done,
     /*  50769 */ // Label 1206: @50769
     /*  50769 */ GIM_Reject,
     /*  50770 */ // Label 1154: @50770
     /*  50770 */ GIM_Try, /*On fail goto*//*Label 1207*/ GIMT_Encode4(50858),
     /*  50775 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  50778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  50782 */   GIM_Try, /*On fail goto*//*Label 1208*/ GIMT_Encode4(50834), // Rule ID 22155 //
     /*  50787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /*  50790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  50798 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  50801 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  50805 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  50809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50811 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  50818 */     // (lrint:{ *:[v8i16] } (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPH2WZ128rm:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)
     /*  50818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPH2WZ128rm),
     /*  50821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  50823 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  50827 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  50832 */     GIR_RootConstrainSelectedInstOperands,
     /*  50833 */     // GIR_Coverage, 22155,
     /*  50833 */     GIR_EraseRootFromParent_Done,
     /*  50834 */   // Label 1208: @50834
     /*  50834 */   GIM_Try, /*On fail goto*//*Label 1209*/ GIMT_Encode4(50857), // Rule ID 22154 //
     /*  50839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /*  50842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  50846 */     // (lrint:{ *:[v8i16] } VR128X:{ *:[v8f16] }:$src)  =>  (VCVTPH2WZ128rr:{ *:[v8i16] } VR128X:{ *:[v8f16] }:$src)
     /*  50846 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPH2WZ128rr),
     /*  50851 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  50855 */     GIR_RootConstrainSelectedInstOperands,
     /*  50856 */     // GIR_Coverage, 22154,
     /*  50856 */     GIR_Done,
     /*  50857 */   // Label 1209: @50857
     /*  50857 */   GIM_Reject,
     /*  50858 */ // Label 1207: @50858
     /*  50858 */ GIM_Reject,
     /*  50859 */ // Label 1155: @50859
     /*  50859 */ GIM_Try, /*On fail goto*//*Label 1210*/ GIMT_Encode4(50918), // Rule ID 18045 //
     /*  50864 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  50867 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  50870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  50874 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50878 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  50882 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  50885 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  50889 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  50893 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50895 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  50902 */   // (lrint:{ *:[v8i32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPS2DQYrm:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)
     /*  50902 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPS2DQYrm),
     /*  50905 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  50907 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  50911 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  50916 */   GIR_RootConstrainSelectedInstOperands,
     /*  50917 */   // GIR_Coverage, 18045,
     /*  50917 */   GIR_EraseRootFromParent_Done,
     /*  50918 */ // Label 1210: @50918
     /*  50918 */ GIM_Try, /*On fail goto*//*Label 1211*/ GIMT_Encode4(50977), // Rule ID 21358 //
     /*  50923 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  50926 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  50929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  50933 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50937 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  50941 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  50944 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  50948 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  50952 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50954 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  50961 */   // (lrint:{ *:[v8i32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPS2DQZ256rm:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)
     /*  50961 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPS2DQZ256rm),
     /*  50964 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  50966 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  50970 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  50975 */   GIR_RootConstrainSelectedInstOperands,
     /*  50976 */   // GIR_Coverage, 21358,
     /*  50976 */   GIR_EraseRootFromParent_Done,
     /*  50977 */ // Label 1211: @50977
     /*  50977 */ GIM_Try, /*On fail goto*//*Label 1212*/ GIMT_Encode4(51033), // Rule ID 21364 //
     /*  50982 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  50985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  50989 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50993 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  50997 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  51000 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  51004 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  51008 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  51010 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  51017 */   // (lrint:{ *:[v8i32] } (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPD2DQZrm:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)
     /*  51017 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPD2DQZrm),
     /*  51020 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  51022 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  51026 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  51031 */   GIR_RootConstrainSelectedInstOperands,
     /*  51032 */   // GIR_Coverage, 21364,
     /*  51032 */   GIR_EraseRootFromParent_Done,
     /*  51033 */ // Label 1212: @51033
     /*  51033 */ GIM_Try, /*On fail goto*//*Label 1213*/ GIMT_Encode4(51092), // Rule ID 22159 //
     /*  51038 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /*  51041 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  51044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  51048 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51052 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  51056 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  51059 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  51063 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  51067 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  51069 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  51076 */   // (lrint:{ *:[v8i32] } (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPH2DQZ256rm:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)
     /*  51076 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPH2DQZ256rm),
     /*  51079 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  51081 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  51085 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  51090 */   GIR_RootConstrainSelectedInstOperands,
     /*  51091 */   // GIR_Coverage, 22159,
     /*  51091 */   GIR_EraseRootFromParent_Done,
     /*  51092 */ // Label 1213: @51092
     /*  51092 */ GIM_Try, /*On fail goto*//*Label 1214*/ GIMT_Encode4(51122), // Rule ID 18044 //
     /*  51097 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  51100 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  51103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  51107 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  51111 */   // (lrint:{ *:[v8i32] } VR256:{ *:[v8f32] }:$src)  =>  (VCVTPS2DQYrr:{ *:[v8i32] } VR256:{ *:[v8f32] }:$src)
     /*  51111 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPS2DQYrr),
     /*  51116 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  51120 */   GIR_RootConstrainSelectedInstOperands,
     /*  51121 */   // GIR_Coverage, 18044,
     /*  51121 */   GIR_Done,
     /*  51122 */ // Label 1214: @51122
     /*  51122 */ GIM_Try, /*On fail goto*//*Label 1215*/ GIMT_Encode4(51152), // Rule ID 21357 //
     /*  51127 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  51130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  51133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  51137 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  51141 */   // (lrint:{ *:[v8i32] } VR256X:{ *:[v8f32] }:$src)  =>  (VCVTPS2DQZ256rr:{ *:[v8i32] } VR256X:{ *:[v8f32] }:$src)
     /*  51141 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPS2DQZ256rr),
     /*  51146 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  51150 */   GIR_RootConstrainSelectedInstOperands,
     /*  51151 */   // GIR_Coverage, 21357,
     /*  51151 */   GIR_Done,
     /*  51152 */ // Label 1215: @51152
     /*  51152 */ GIM_Try, /*On fail goto*//*Label 1216*/ GIMT_Encode4(51179), // Rule ID 21363 //
     /*  51157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  51160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  51164 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  51168 */   // (lrint:{ *:[v8i32] } VR512:{ *:[v8f64] }:$src)  =>  (VCVTPD2DQZrr:{ *:[v8i32] } VR512:{ *:[v8f64] }:$src)
     /*  51168 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPD2DQZrr),
     /*  51173 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  51177 */   GIR_RootConstrainSelectedInstOperands,
     /*  51178 */   // GIR_Coverage, 21363,
     /*  51178 */   GIR_Done,
     /*  51179 */ // Label 1216: @51179
     /*  51179 */ GIM_Try, /*On fail goto*//*Label 1217*/ GIMT_Encode4(51209), // Rule ID 22158 //
     /*  51184 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /*  51187 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  51190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  51194 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  51198 */   // (lrint:{ *:[v8i32] } VR128X:{ *:[v8f16] }:$src)  =>  (VCVTPH2DQZ256rr:{ *:[v8i32] } VR128X:{ *:[v8f16] }:$src)
     /*  51198 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPH2DQZ256rr),
     /*  51203 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  51207 */   GIR_RootConstrainSelectedInstOperands,
     /*  51208 */   // GIR_Coverage, 22158,
     /*  51208 */   GIR_Done,
     /*  51209 */ // Label 1217: @51209
     /*  51209 */ GIM_Reject,
     /*  51210 */ // Label 1156: @51210
     /*  51210 */ GIM_Try, /*On fail goto*//*Label 1218*/ GIMT_Encode4(51269), // Rule ID 21392 //
     /*  51215 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  51218 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  51221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  51225 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51229 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  51233 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  51236 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  51240 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  51244 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  51246 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  51253 */   // (lrint:{ *:[v8i64] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPS2QQZrm:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)
     /*  51253 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPS2QQZrm),
     /*  51256 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  51258 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  51262 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  51267 */   GIR_RootConstrainSelectedInstOperands,
     /*  51268 */   // GIR_Coverage, 21392,
     /*  51268 */   GIR_EraseRootFromParent_Done,
     /*  51269 */ // Label 1218: @51269
     /*  51269 */ GIM_Try, /*On fail goto*//*Label 1219*/ GIMT_Encode4(51328), // Rule ID 21396 //
     /*  51274 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  51277 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  51280 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  51284 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51288 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  51292 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  51295 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  51299 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  51303 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  51305 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  51312 */   // (lrint:{ *:[v8i64] } (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPD2QQZrm:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)
     /*  51312 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPD2QQZrm),
     /*  51315 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  51317 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  51321 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  51326 */   GIR_RootConstrainSelectedInstOperands,
     /*  51327 */   // GIR_Coverage, 21396,
     /*  51327 */   GIR_EraseRootFromParent_Done,
     /*  51328 */ // Label 1219: @51328
     /*  51328 */ GIM_Try, /*On fail goto*//*Label 1220*/ GIMT_Encode4(51387), // Rule ID 22165 //
     /*  51333 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /*  51336 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  51339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  51343 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51347 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  51351 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  51354 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  51358 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  51362 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  51364 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  51371 */   // (lrint:{ *:[v8i64] } (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPH2QQZrm:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)
     /*  51371 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPH2QQZrm),
     /*  51374 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  51376 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  51380 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  51385 */   GIR_RootConstrainSelectedInstOperands,
     /*  51386 */   // GIR_Coverage, 22165,
     /*  51386 */   GIR_EraseRootFromParent_Done,
     /*  51387 */ // Label 1220: @51387
     /*  51387 */ GIM_Try, /*On fail goto*//*Label 1221*/ GIMT_Encode4(51417), // Rule ID 21391 //
     /*  51392 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  51395 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  51398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  51402 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  51406 */   // (lrint:{ *:[v8i64] } VR256X:{ *:[v8f32] }:$src)  =>  (VCVTPS2QQZrr:{ *:[v8i64] } VR256X:{ *:[v8f32] }:$src)
     /*  51406 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPS2QQZrr),
     /*  51411 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  51415 */   GIR_RootConstrainSelectedInstOperands,
     /*  51416 */   // GIR_Coverage, 21391,
     /*  51416 */   GIR_Done,
     /*  51417 */ // Label 1221: @51417
     /*  51417 */ GIM_Try, /*On fail goto*//*Label 1222*/ GIMT_Encode4(51447), // Rule ID 21395 //
     /*  51422 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  51425 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  51428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  51432 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  51436 */   // (lrint:{ *:[v8i64] } VR512:{ *:[v8f64] }:$src)  =>  (VCVTPD2QQZrr:{ *:[v8i64] } VR512:{ *:[v8f64] }:$src)
     /*  51436 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPD2QQZrr),
     /*  51441 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  51445 */   GIR_RootConstrainSelectedInstOperands,
     /*  51446 */   // GIR_Coverage, 21395,
     /*  51446 */   GIR_Done,
     /*  51447 */ // Label 1222: @51447
     /*  51447 */ GIM_Try, /*On fail goto*//*Label 1223*/ GIMT_Encode4(51477), // Rule ID 22164 //
     /*  51452 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /*  51455 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  51458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  51462 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  51466 */   // (lrint:{ *:[v8i64] } VR128X:{ *:[v8f16] }:$src)  =>  (VCVTPH2QQZrr:{ *:[v8i64] } VR128X:{ *:[v8f16] }:$src)
     /*  51466 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPH2QQZrr),
     /*  51471 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  51475 */   GIR_RootConstrainSelectedInstOperands,
     /*  51476 */   // GIR_Coverage, 22164,
     /*  51476 */   GIR_Done,
     /*  51477 */ // Label 1223: @51477
     /*  51477 */ GIM_Reject,
     /*  51478 */ // Label 1157: @51478
     /*  51478 */ GIM_Try, /*On fail goto*//*Label 1224*/ GIMT_Encode4(51566),
     /*  51483 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*  51486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  51490 */   GIM_Try, /*On fail goto*//*Label 1225*/ GIMT_Encode4(51542), // Rule ID 22157 //
     /*  51495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /*  51498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  51506 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  51509 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  51513 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  51517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  51519 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  51526 */     // (lrint:{ *:[v16i16] } (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPH2WZ256rm:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)
     /*  51526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPH2WZ256rm),
     /*  51529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  51531 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  51535 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  51540 */     GIR_RootConstrainSelectedInstOperands,
     /*  51541 */     // GIR_Coverage, 22157,
     /*  51541 */     GIR_EraseRootFromParent_Done,
     /*  51542 */   // Label 1225: @51542
     /*  51542 */   GIM_Try, /*On fail goto*//*Label 1226*/ GIMT_Encode4(51565), // Rule ID 22156 //
     /*  51547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /*  51550 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  51554 */     // (lrint:{ *:[v16i16] } VR256X:{ *:[v16f16] }:$src)  =>  (VCVTPH2WZ256rr:{ *:[v16i16] } VR256X:{ *:[v16f16] }:$src)
     /*  51554 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPH2WZ256rr),
     /*  51559 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  51563 */     GIR_RootConstrainSelectedInstOperands,
     /*  51564 */     // GIR_Coverage, 22156,
     /*  51564 */     GIR_Done,
     /*  51565 */   // Label 1226: @51565
     /*  51565 */   GIM_Reject,
     /*  51566 */ // Label 1224: @51566
     /*  51566 */ GIM_Reject,
     /*  51567 */ // Label 1158: @51567
     /*  51567 */ GIM_Try, /*On fail goto*//*Label 1227*/ GIMT_Encode4(51623), // Rule ID 21362 //
     /*  51572 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /*  51575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  51579 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51583 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  51587 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  51590 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  51594 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  51598 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  51600 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  51607 */   // (lrint:{ *:[v16i32] } (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPS2DQZrm:{ *:[v16i32] } addr:{ *:[iPTR] }:$src)
     /*  51607 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPS2DQZrm),
     /*  51610 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  51612 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  51616 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  51621 */   GIR_RootConstrainSelectedInstOperands,
     /*  51622 */   // GIR_Coverage, 21362,
     /*  51622 */   GIR_EraseRootFromParent_Done,
     /*  51623 */ // Label 1227: @51623
     /*  51623 */ GIM_Try, /*On fail goto*//*Label 1228*/ GIMT_Encode4(51682), // Rule ID 22163 //
     /*  51628 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /*  51631 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*  51634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  51638 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51642 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  51646 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  51649 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  51653 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  51657 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  51659 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  51666 */   // (lrint:{ *:[v16i32] } (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPH2DQZrm:{ *:[v16i32] } addr:{ *:[iPTR] }:$src)
     /*  51666 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPH2DQZrm),
     /*  51669 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  51671 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  51675 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  51680 */   GIR_RootConstrainSelectedInstOperands,
     /*  51681 */   // GIR_Coverage, 22163,
     /*  51681 */   GIR_EraseRootFromParent_Done,
     /*  51682 */ // Label 1228: @51682
     /*  51682 */ GIM_Try, /*On fail goto*//*Label 1229*/ GIMT_Encode4(51709), // Rule ID 21361 //
     /*  51687 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /*  51690 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  51694 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  51698 */   // (lrint:{ *:[v16i32] } VR512:{ *:[v16f32] }:$src)  =>  (VCVTPS2DQZrr:{ *:[v16i32] } VR512:{ *:[v16f32] }:$src)
     /*  51698 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPS2DQZrr),
     /*  51703 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  51707 */   GIR_RootConstrainSelectedInstOperands,
     /*  51708 */   // GIR_Coverage, 21361,
     /*  51708 */   GIR_Done,
     /*  51709 */ // Label 1229: @51709
     /*  51709 */ GIM_Try, /*On fail goto*//*Label 1230*/ GIMT_Encode4(51739), // Rule ID 22162 //
     /*  51714 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /*  51717 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*  51720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  51724 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  51728 */   // (lrint:{ *:[v16i32] } VR256X:{ *:[v16f16] }:$src)  =>  (VCVTPH2DQZrr:{ *:[v16i32] } VR256X:{ *:[v16f16] }:$src)
     /*  51728 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPH2DQZrr),
     /*  51733 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  51737 */   GIR_RootConstrainSelectedInstOperands,
     /*  51738 */   // GIR_Coverage, 22162,
     /*  51738 */   GIR_Done,
     /*  51739 */ // Label 1230: @51739
     /*  51739 */ GIM_Reject,
     /*  51740 */ // Label 1159: @51740
     /*  51740 */ GIM_Try, /*On fail goto*//*Label 1231*/ GIMT_Encode4(51828),
     /*  51745 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /*  51748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  51752 */   GIM_Try, /*On fail goto*//*Label 1232*/ GIMT_Encode4(51804), // Rule ID 22161 //
     /*  51757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /*  51760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  51768 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  51771 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  51775 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  51779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  51781 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  51788 */     // (lrint:{ *:[v32i16] } (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPH2WZrm:{ *:[v32i16] } addr:{ *:[iPTR] }:$src)
     /*  51788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPH2WZrm),
     /*  51791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  51793 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  51797 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  51802 */     GIR_RootConstrainSelectedInstOperands,
     /*  51803 */     // GIR_Coverage, 22161,
     /*  51803 */     GIR_EraseRootFromParent_Done,
     /*  51804 */   // Label 1232: @51804
     /*  51804 */   GIM_Try, /*On fail goto*//*Label 1233*/ GIMT_Encode4(51827), // Rule ID 22160 //
     /*  51809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /*  51812 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  51816 */     // (lrint:{ *:[v32i16] } VR512:{ *:[v32f16] }:$src)  =>  (VCVTPH2WZrr:{ *:[v32i16] } VR512:{ *:[v32f16] }:$src)
     /*  51816 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPH2WZrr),
     /*  51821 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  51825 */     GIR_RootConstrainSelectedInstOperands,
     /*  51826 */     // GIR_Coverage, 22160,
     /*  51826 */     GIR_Done,
     /*  51827 */   // Label 1233: @51827
     /*  51827 */   GIM_Reject,
     /*  51828 */ // Label 1231: @51828
     /*  51828 */ GIM_Reject,
     /*  51829 */ // Label 1160: @51829
     /*  51829 */ GIM_Reject,
     /*  51830 */ // Label 9: @51830
     /*  51830 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(4), GIMT_Encode2(16), /*)*//*default:*//*Label 1238*/ GIMT_Encode4(53049),
     /*  51841 */ /*GILLT_s64*//*Label 1234*/ GIMT_Encode4(51889), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  51857 */ /*GILLT_v2s64*//*Label 1235*/ GIMT_Encode4(52513), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  51869 */ /*GILLT_v4s64*//*Label 1236*/ GIMT_Encode4(52602), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  51885 */ /*GILLT_v8s64*//*Label 1237*/ GIMT_Encode4(52781),
     /*  51889 */ // Label 1234: @51889
     /*  51889 */ GIM_Try, /*On fail goto*//*Label 1239*/ GIMT_Encode4(51948), // Rule ID 1757 //
     /*  51894 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  51897 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  51900 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  51904 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51908 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  51912 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  51915 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  51919 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  51923 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  51925 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  51932 */   // (llrint:{ *:[i64] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSS2SI64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  51932 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSS2SI64rm),
     /*  51935 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  51937 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  51941 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  51946 */   GIR_RootConstrainSelectedInstOperands,
     /*  51947 */   // GIR_Coverage, 1757,
     /*  51947 */   GIR_EraseRootFromParent_Done,
     /*  51948 */ // Label 1239: @51948
     /*  51948 */ GIM_Try, /*On fail goto*//*Label 1240*/ GIMT_Encode4(52007), // Rule ID 1761 //
     /*  51953 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  51956 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  51959 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  51963 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51967 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  51971 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  51974 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  51978 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  51982 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  51984 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  51991 */   // (llrint:{ *:[i64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSD2SI64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  51991 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSD2SI64rm),
     /*  51994 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  51996 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  52000 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  52005 */   GIR_RootConstrainSelectedInstOperands,
     /*  52006 */   // GIR_Coverage, 1761,
     /*  52006 */   GIR_EraseRootFromParent_Done,
     /*  52007 */ // Label 1240: @52007
     /*  52007 */ GIM_Try, /*On fail goto*//*Label 1241*/ GIMT_Encode4(52066), // Rule ID 1781 //
     /*  52012 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  52015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  52018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  52022 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52026 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  52030 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  52033 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  52037 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  52041 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  52043 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  52050 */   // (llrint:{ *:[i64] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CVTSS2SI64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  52050 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CVTSS2SI64rm),
     /*  52053 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  52055 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  52059 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  52064 */   GIR_RootConstrainSelectedInstOperands,
     /*  52065 */   // GIR_Coverage, 1781,
     /*  52065 */   GIR_EraseRootFromParent_Done,
     /*  52066 */ // Label 1241: @52066
     /*  52066 */ GIM_Try, /*On fail goto*//*Label 1242*/ GIMT_Encode4(52125), // Rule ID 1785 //
     /*  52071 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  52074 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  52077 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  52081 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52085 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  52089 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  52092 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  52096 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  52100 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  52102 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  52109 */   // (llrint:{ *:[i64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CVTSD2SI64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  52109 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CVTSD2SI64rm),
     /*  52112 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  52114 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  52118 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  52123 */   GIR_RootConstrainSelectedInstOperands,
     /*  52124 */   // GIR_Coverage, 1785,
     /*  52124 */   GIR_EraseRootFromParent_Done,
     /*  52125 */ // Label 1242: @52125
     /*  52125 */ GIM_Try, /*On fail goto*//*Label 1243*/ GIMT_Encode4(52184), // Rule ID 10354 //
     /*  52130 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  52133 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  52136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  52140 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52144 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  52148 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  52151 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  52155 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  52159 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  52161 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  52168 */   // (llrint:{ *:[i64] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSS2SI64Zrm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  52168 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSS2SI64Zrm),
     /*  52171 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  52173 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  52177 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  52182 */   GIR_RootConstrainSelectedInstOperands,
     /*  52183 */   // GIR_Coverage, 10354,
     /*  52183 */   GIR_EraseRootFromParent_Done,
     /*  52184 */ // Label 1243: @52184
     /*  52184 */ GIM_Try, /*On fail goto*//*Label 1244*/ GIMT_Encode4(52243), // Rule ID 10358 //
     /*  52189 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  52192 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  52195 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  52199 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52203 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  52207 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  52210 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  52214 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  52218 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  52220 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  52227 */   // (llrint:{ *:[i64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSD2SI64Zrm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  52227 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSD2SI64Zrm),
     /*  52230 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  52232 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  52236 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  52241 */   GIR_RootConstrainSelectedInstOperands,
     /*  52242 */   // GIR_Coverage, 10358,
     /*  52242 */   GIR_EraseRootFromParent_Done,
     /*  52243 */ // Label 1244: @52243
     /*  52243 */ GIM_Try, /*On fail goto*//*Label 1245*/ GIMT_Encode4(52302), // Rule ID 22174 //
     /*  52248 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_In64BitMode),
     /*  52251 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  52254 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  52258 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52262 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  52266 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  52269 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  52273 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  52277 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  52279 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  52286 */   // (llrint:{ *:[i64] } (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSH2SI64Zrm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  52286 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSH2SI64Zrm),
     /*  52289 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  52291 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  52295 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  52300 */   GIR_RootConstrainSelectedInstOperands,
     /*  52301 */   // GIR_Coverage, 22174,
     /*  52301 */   GIR_EraseRootFromParent_Done,
     /*  52302 */ // Label 1245: @52302
     /*  52302 */ GIM_Try, /*On fail goto*//*Label 1246*/ GIMT_Encode4(52332), // Rule ID 1756 //
     /*  52307 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  52310 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  52313 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  52317 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  52321 */   // (llrint:{ *:[i64] } FR32:{ *:[f32] }:$src)  =>  (VCVTSS2SI64rr:{ *:[i64] } FR32:{ *:[f32] }:$src)
     /*  52321 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTSS2SI64rr),
     /*  52326 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  52330 */   GIR_RootConstrainSelectedInstOperands,
     /*  52331 */   // GIR_Coverage, 1756,
     /*  52331 */   GIR_Done,
     /*  52332 */ // Label 1246: @52332
     /*  52332 */ GIM_Try, /*On fail goto*//*Label 1247*/ GIMT_Encode4(52362), // Rule ID 1760 //
     /*  52337 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  52340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  52343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  52347 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  52351 */   // (llrint:{ *:[i64] } FR64:{ *:[f64] }:$src)  =>  (VCVTSD2SI64rr:{ *:[i64] } FR64:{ *:[f64] }:$src)
     /*  52351 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTSD2SI64rr),
     /*  52356 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  52360 */   GIR_RootConstrainSelectedInstOperands,
     /*  52361 */   // GIR_Coverage, 1760,
     /*  52361 */   GIR_Done,
     /*  52362 */ // Label 1247: @52362
     /*  52362 */ GIM_Try, /*On fail goto*//*Label 1248*/ GIMT_Encode4(52392), // Rule ID 1780 //
     /*  52367 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  52370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  52373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  52377 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  52381 */   // (llrint:{ *:[i64] } FR32:{ *:[f32] }:$src)  =>  (CVTSS2SI64rr:{ *:[i64] } FR32:{ *:[f32] }:$src)
     /*  52381 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CVTSS2SI64rr),
     /*  52386 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  52390 */   GIR_RootConstrainSelectedInstOperands,
     /*  52391 */   // GIR_Coverage, 1780,
     /*  52391 */   GIR_Done,
     /*  52392 */ // Label 1248: @52392
     /*  52392 */ GIM_Try, /*On fail goto*//*Label 1249*/ GIMT_Encode4(52422), // Rule ID 1784 //
     /*  52397 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  52400 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  52403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  52407 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  52411 */   // (llrint:{ *:[i64] } FR64:{ *:[f64] }:$src)  =>  (CVTSD2SI64rr:{ *:[i64] } FR64:{ *:[f64] }:$src)
     /*  52411 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CVTSD2SI64rr),
     /*  52416 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  52420 */   GIR_RootConstrainSelectedInstOperands,
     /*  52421 */   // GIR_Coverage, 1784,
     /*  52421 */   GIR_Done,
     /*  52422 */ // Label 1249: @52422
     /*  52422 */ GIM_Try, /*On fail goto*//*Label 1250*/ GIMT_Encode4(52452), // Rule ID 10353 //
     /*  52427 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  52430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  52433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  52437 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /*  52441 */   // (llrint:{ *:[i64] } FR32X:{ *:[f32] }:$src)  =>  (VCVTSS2SI64Zrr:{ *:[i64] } FR32X:{ *:[f32] }:$src)
     /*  52441 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTSS2SI64Zrr),
     /*  52446 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  52450 */   GIR_RootConstrainSelectedInstOperands,
     /*  52451 */   // GIR_Coverage, 10353,
     /*  52451 */   GIR_Done,
     /*  52452 */ // Label 1250: @52452
     /*  52452 */ GIM_Try, /*On fail goto*//*Label 1251*/ GIMT_Encode4(52482), // Rule ID 10357 //
     /*  52457 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  52460 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  52463 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  52467 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /*  52471 */   // (llrint:{ *:[i64] } FR64X:{ *:[f64] }:$src)  =>  (VCVTSD2SI64Zrr:{ *:[i64] } FR64X:{ *:[f64] }:$src)
     /*  52471 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTSD2SI64Zrr),
     /*  52476 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  52480 */   GIR_RootConstrainSelectedInstOperands,
     /*  52481 */   // GIR_Coverage, 10357,
     /*  52481 */   GIR_Done,
     /*  52482 */ // Label 1251: @52482
     /*  52482 */ GIM_Try, /*On fail goto*//*Label 1252*/ GIMT_Encode4(52512), // Rule ID 22173 //
     /*  52487 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_In64BitMode),
     /*  52490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  52493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  52497 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16RegClassID),
     /*  52501 */   // (llrint:{ *:[i64] } FR16:{ *:[f16] }:$src)  =>  (VCVTTSH2SI64Zrr:{ *:[i64] } FR16:{ *:[f16] }:$src)
     /*  52501 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSH2SI64Zrr),
     /*  52506 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  52510 */   GIR_RootConstrainSelectedInstOperands,
     /*  52511 */   // GIR_Coverage, 22173,
     /*  52511 */   GIR_Done,
     /*  52512 */ // Label 1252: @52512
     /*  52512 */ GIM_Reject,
     /*  52513 */ // Label 1235: @52513
     /*  52513 */ GIM_Try, /*On fail goto*//*Label 1253*/ GIMT_Encode4(52601),
     /*  52518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  52521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  52525 */   GIM_Try, /*On fail goto*//*Label 1254*/ GIMT_Encode4(52577), // Rule ID 21388 //
     /*  52530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /*  52533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  52541 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  52544 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  52548 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  52552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  52554 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  52561 */     // (llrint:{ *:[v2i64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPD2QQZ128rm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)
     /*  52561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPD2QQZ128rm),
     /*  52564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  52566 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  52570 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  52575 */     GIR_RootConstrainSelectedInstOperands,
     /*  52576 */     // GIR_Coverage, 21388,
     /*  52576 */     GIR_EraseRootFromParent_Done,
     /*  52577 */   // Label 1254: @52577
     /*  52577 */   GIM_Try, /*On fail goto*//*Label 1255*/ GIMT_Encode4(52600), // Rule ID 21387 //
     /*  52582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /*  52585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  52589 */     // (llrint:{ *:[v2i64] } VR128X:{ *:[v2f64] }:$src)  =>  (VCVTPD2QQZ128rr:{ *:[v2i64] } VR128X:{ *:[v2f64] }:$src)
     /*  52589 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPD2QQZ128rr),
     /*  52594 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  52598 */     GIR_RootConstrainSelectedInstOperands,
     /*  52599 */     // GIR_Coverage, 21387,
     /*  52599 */     GIR_Done,
     /*  52600 */   // Label 1255: @52600
     /*  52600 */   GIM_Reject,
     /*  52601 */ // Label 1253: @52601
     /*  52601 */ GIM_Reject,
     /*  52602 */ // Label 1236: @52602
     /*  52602 */ GIM_Try, /*On fail goto*//*Label 1256*/ GIMT_Encode4(52661), // Rule ID 21382 //
     /*  52607 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /*  52610 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  52613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  52617 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52621 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  52625 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  52628 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  52632 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  52636 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  52638 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  52645 */   // (llrint:{ *:[v4i64] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPS2QQZ256rm:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)
     /*  52645 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPS2QQZ256rm),
     /*  52648 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  52650 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  52654 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  52659 */   GIR_RootConstrainSelectedInstOperands,
     /*  52660 */   // GIR_Coverage, 21382,
     /*  52660 */   GIR_EraseRootFromParent_Done,
     /*  52661 */ // Label 1256: @52661
     /*  52661 */ GIM_Try, /*On fail goto*//*Label 1257*/ GIMT_Encode4(52720), // Rule ID 21390 //
     /*  52666 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /*  52669 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  52672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  52676 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52680 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  52684 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  52687 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  52691 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  52695 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  52697 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  52704 */   // (llrint:{ *:[v4i64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPD2QQZ256rm:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)
     /*  52704 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPD2QQZ256rm),
     /*  52707 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  52709 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  52713 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  52718 */   GIR_RootConstrainSelectedInstOperands,
     /*  52719 */   // GIR_Coverage, 21390,
     /*  52719 */   GIR_EraseRootFromParent_Done,
     /*  52720 */ // Label 1257: @52720
     /*  52720 */ GIM_Try, /*On fail goto*//*Label 1258*/ GIMT_Encode4(52750), // Rule ID 21381 //
     /*  52725 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /*  52728 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  52731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  52735 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  52739 */   // (llrint:{ *:[v4i64] } VR128X:{ *:[v4f32] }:$src)  =>  (VCVTPS2QQZ256rr:{ *:[v4i64] } VR128X:{ *:[v4f32] }:$src)
     /*  52739 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPS2QQZ256rr),
     /*  52744 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  52748 */   GIR_RootConstrainSelectedInstOperands,
     /*  52749 */   // GIR_Coverage, 21381,
     /*  52749 */   GIR_Done,
     /*  52750 */ // Label 1258: @52750
     /*  52750 */ GIM_Try, /*On fail goto*//*Label 1259*/ GIMT_Encode4(52780), // Rule ID 21389 //
     /*  52755 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /*  52758 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  52761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  52765 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  52769 */   // (llrint:{ *:[v4i64] } VR256X:{ *:[v4f64] }:$src)  =>  (VCVTPD2QQZ256rr:{ *:[v4i64] } VR256X:{ *:[v4f64] }:$src)
     /*  52769 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPD2QQZ256rr),
     /*  52774 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  52778 */   GIR_RootConstrainSelectedInstOperands,
     /*  52779 */   // GIR_Coverage, 21389,
     /*  52779 */   GIR_Done,
     /*  52780 */ // Label 1259: @52780
     /*  52780 */ GIM_Reject,
     /*  52781 */ // Label 1237: @52781
     /*  52781 */ GIM_Try, /*On fail goto*//*Label 1260*/ GIMT_Encode4(52840), // Rule ID 21394 //
     /*  52786 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  52789 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  52792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  52796 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52800 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  52804 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  52807 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  52811 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  52815 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  52817 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  52824 */   // (llrint:{ *:[v8i64] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPS2QQZrm:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)
     /*  52824 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPS2QQZrm),
     /*  52827 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  52829 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  52833 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  52838 */   GIR_RootConstrainSelectedInstOperands,
     /*  52839 */   // GIR_Coverage, 21394,
     /*  52839 */   GIR_EraseRootFromParent_Done,
     /*  52840 */ // Label 1260: @52840
     /*  52840 */ GIM_Try, /*On fail goto*//*Label 1261*/ GIMT_Encode4(52899), // Rule ID 21398 //
     /*  52845 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  52848 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  52851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  52855 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52859 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  52863 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  52866 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  52870 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  52874 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  52876 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  52883 */   // (llrint:{ *:[v8i64] } (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPD2QQZrm:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)
     /*  52883 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPD2QQZrm),
     /*  52886 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  52888 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  52892 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  52897 */   GIR_RootConstrainSelectedInstOperands,
     /*  52898 */   // GIR_Coverage, 21398,
     /*  52898 */   GIR_EraseRootFromParent_Done,
     /*  52899 */ // Label 1261: @52899
     /*  52899 */ GIM_Try, /*On fail goto*//*Label 1262*/ GIMT_Encode4(52958), // Rule ID 22167 //
     /*  52904 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /*  52907 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  52910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  52914 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52918 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  52922 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  52925 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  52929 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  52933 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  52935 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  52942 */   // (llrint:{ *:[v8i64] } (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPH2QQZrm:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)
     /*  52942 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPH2QQZrm),
     /*  52945 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  52947 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  52951 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  52956 */   GIR_RootConstrainSelectedInstOperands,
     /*  52957 */   // GIR_Coverage, 22167,
     /*  52957 */   GIR_EraseRootFromParent_Done,
     /*  52958 */ // Label 1262: @52958
     /*  52958 */ GIM_Try, /*On fail goto*//*Label 1263*/ GIMT_Encode4(52988), // Rule ID 21393 //
     /*  52963 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  52966 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  52969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  52973 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  52977 */   // (llrint:{ *:[v8i64] } VR256X:{ *:[v8f32] }:$src)  =>  (VCVTPS2QQZrr:{ *:[v8i64] } VR256X:{ *:[v8f32] }:$src)
     /*  52977 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPS2QQZrr),
     /*  52982 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  52986 */   GIR_RootConstrainSelectedInstOperands,
     /*  52987 */   // GIR_Coverage, 21393,
     /*  52987 */   GIR_Done,
     /*  52988 */ // Label 1263: @52988
     /*  52988 */ GIM_Try, /*On fail goto*//*Label 1264*/ GIMT_Encode4(53018), // Rule ID 21397 //
     /*  52993 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  52996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  52999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  53003 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  53007 */   // (llrint:{ *:[v8i64] } VR512:{ *:[v8f64] }:$src)  =>  (VCVTPD2QQZrr:{ *:[v8i64] } VR512:{ *:[v8f64] }:$src)
     /*  53007 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPD2QQZrr),
     /*  53012 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  53016 */   GIR_RootConstrainSelectedInstOperands,
     /*  53017 */   // GIR_Coverage, 21397,
     /*  53017 */   GIR_Done,
     /*  53018 */ // Label 1264: @53018
     /*  53018 */ GIM_Try, /*On fail goto*//*Label 1265*/ GIMT_Encode4(53048), // Rule ID 22166 //
     /*  53023 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /*  53026 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  53029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  53033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  53037 */   // (llrint:{ *:[v8i64] } VR128X:{ *:[v8f16] }:$src)  =>  (VCVTPH2QQZrr:{ *:[v8i64] } VR128X:{ *:[v8f16] }:$src)
     /*  53037 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPH2QQZrr),
     /*  53042 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  53046 */   GIR_RootConstrainSelectedInstOperands,
     /*  53047 */   // GIR_Coverage, 22166,
     /*  53047 */   GIR_Done,
     /*  53048 */ // Label 1265: @53048
     /*  53048 */ GIM_Reject,
     /*  53049 */ // Label 1238: @53049
     /*  53049 */ GIM_Reject,
     /*  53050 */ // Label 10: @53050
     /*  53050 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(25), /*)*//*default:*//*Label 1291*/ GIMT_Encode4(59274),
     /*  53061 */ /*GILLT_s1*//*Label 1266*/ GIMT_Encode4(53161),
     /*  53065 */ /*GILLT_s8*//*Label 1267*/ GIMT_Encode4(53228),
     /*  53069 */ /*GILLT_s16*//*Label 1268*/ GIMT_Encode4(53369),
     /*  53073 */ /*GILLT_s32*//*Label 1269*/ GIMT_Encode4(53922),
     /*  53077 */ /*GILLT_s64*//*Label 1270*/ GIMT_Encode4(54344),
     /*  53081 */ /*GILLT_s80*//*Label 1271*/ GIMT_Encode4(54917),
     /*  53085 */ /*GILLT_s128*//*Label 1272*/ GIMT_Encode4(55076),
     /*  53089 */ /*GILLT_v2s1*//*Label 1273*/ GIMT_Encode4(55204),
     /*  53093 */ /*GILLT_v2s64*//*Label 1274*/ GIMT_Encode4(55271),
     /*  53097 */ /*GILLT_v4s1*//*Label 1275*/ GIMT_Encode4(55765),
     /*  53101 */ /*GILLT_v4s32*//*Label 1276*/ GIMT_Encode4(55832),
     /*  53105 */ /*GILLT_v4s64*//*Label 1277*/ GIMT_Encode4(56326),
     /*  53109 */ /*GILLT_v8s1*//*Label 1278*/ GIMT_Encode4(56660),
     /*  53113 */ /*GILLT_v8s16*//*Label 1279*/ GIMT_Encode4(56742),
     /*  53117 */ /*GILLT_v8s32*//*Label 1280*/ GIMT_Encode4(57316),
     /*  53121 */ /*GILLT_v8s64*//*Label 1281*/ GIMT_Encode4(57650),
     /*  53125 */ /*GILLT_v16s1*//*Label 1282*/ GIMT_Encode4(57824),
     /*  53129 */ /*GILLT_v16s8*//*Label 1283*/ GIMT_Encode4(57906),
     /*  53133 */ /*GILLT_v16s16*//*Label 1284*/ GIMT_Encode4(58160),
     /*  53137 */ /*GILLT_v16s32*//*Label 1285*/ GIMT_Encode4(58494),
     /*  53141 */ /*GILLT_v32s1*//*Label 1286*/ GIMT_Encode4(58668),
     /*  53145 */ /*GILLT_v32s8*//*Label 1287*/ GIMT_Encode4(58750),
     /*  53149 */ /*GILLT_v32s16*//*Label 1288*/ GIMT_Encode4(58924),
     /*  53153 */ /*GILLT_v64s1*//*Label 1289*/ GIMT_Encode4(59098),
     /*  53157 */ /*GILLT_v64s8*//*Label 1290*/ GIMT_Encode4(59180),
     /*  53161 */ // Label 1266: @53161
     /*  53161 */ GIM_Try, /*On fail goto*//*Label 1292*/ GIMT_Encode4(53227), // Rule ID 19444 //
     /*  53166 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  53169 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  53172 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  53176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  53180 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  53184 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  53191 */   // (ld:{ *:[v1i1] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (COPY_TO_REGCLASS:{ *:[v1i1] } (KMOVBkm:{ *:[v8i1] } addr:{ *:[iPTR] }:$src), VK1:{ *:[i32] })
     /*  53191 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s1,
     /*  53194 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KMOVBkm),
     /*  53198 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53203 */   GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  53207 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  53211 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  53213 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  53216 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53218 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  53221 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK1RegClassID),
     /*  53226 */   // GIR_Coverage, 19444,
     /*  53226 */   GIR_EraseRootFromParent_Done,
     /*  53227 */ // Label 1292: @53227
     /*  53227 */ GIM_Reject,
     /*  53228 */ // Label 1267: @53228
     /*  53228 */ GIM_Try, /*On fail goto*//*Label 1293*/ GIMT_Encode4(53277), // Rule ID 22514 //
     /*  53233 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  53236 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  53240 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  53247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  53251 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  53255 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  53262 */   // (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_8>>  =>  (MOV8rm:{ *:[i8] } addr:{ *:[iPTR] }:$src)
     /*  53262 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV8rm),
     /*  53265 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53267 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  53271 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  53275 */   GIR_RootConstrainSelectedInstOperands,
     /*  53276 */   // GIR_Coverage, 22514,
     /*  53276 */   GIR_EraseRootFromParent_Done,
     /*  53277 */ // Label 1293: @53277
     /*  53277 */ GIM_Try, /*On fail goto*//*Label 1294*/ GIMT_Encode4(53326), // Rule ID 22577 //
     /*  53282 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  53285 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  53289 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  53296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  53300 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  53304 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  53311 */   // (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi1>>  =>  (MOV8rm:{ *:[i8] } addr:{ *:[iPTR] }:$src)
     /*  53311 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV8rm),
     /*  53314 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53316 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  53320 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  53324 */   GIR_RootConstrainSelectedInstOperands,
     /*  53325 */   // GIR_Coverage, 22577,
     /*  53325 */   GIR_EraseRootFromParent_Done,
     /*  53326 */ // Label 1294: @53326
     /*  53326 */ GIM_Try, /*On fail goto*//*Label 1295*/ GIMT_Encode4(53368), // Rule ID 28 //
     /*  53331 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  53334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  53338 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  53342 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  53346 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  53353 */   // (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>  =>  (MOV8rm:{ *:[i8] } addr:{ *:[iPTR] }:$src)
     /*  53353 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV8rm),
     /*  53356 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53358 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  53362 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  53366 */   GIR_RootConstrainSelectedInstOperands,
     /*  53367 */   // GIR_Coverage, 28,
     /*  53367 */   GIR_EraseRootFromParent_Done,
     /*  53368 */ // Label 1295: @53368
     /*  53368 */ GIM_Reject,
     /*  53369 */ // Label 1268: @53369
     /*  53369 */ GIM_Try, /*On fail goto*//*Label 1296*/ GIMT_Encode4(53414), // Rule ID 4620 //
     /*  53374 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /*  53377 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  53380 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  53384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /*  53388 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  53392 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  53399 */   // (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVSHZrm_alt:{ *:[f16] } addr:{ *:[iPTR] }:$src)
     /*  53399 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVSHZrm_alt),
     /*  53402 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53404 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  53408 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  53412 */   GIR_RootConstrainSelectedInstOperands,
     /*  53413 */   // GIR_Coverage, 4620,
     /*  53413 */   GIR_EraseRootFromParent_Done,
     /*  53414 */ // Label 1296: @53414
     /*  53414 */ GIM_Try, /*On fail goto*//*Label 1297*/ GIMT_Encode4(53463), // Rule ID 22515 //
     /*  53419 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  53422 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  53426 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  53433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  53437 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  53441 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  53448 */   // (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>>  =>  (MOV16rm:{ *:[i16] } addr:{ *:[iPTR] }:$src)
     /*  53448 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV16rm),
     /*  53451 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53453 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  53457 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  53461 */   GIR_RootConstrainSelectedInstOperands,
     /*  53462 */   // GIR_Coverage, 22515,
     /*  53462 */   GIR_EraseRootFromParent_Done,
     /*  53463 */ // Label 1297: @53463
     /*  53463 */ GIM_Try, /*On fail goto*//*Label 1298*/ GIMT_Encode4(53542), // Rule ID 22578 //
     /*  53468 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  53471 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  53475 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  53482 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  53486 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  53490 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  53497 */   // (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi1>>  =>  (EXTRACT_SUBREG:{ *:[i16] } (MOVZX32rm8:{ *:[i32] } addr:{ *:[iPTR] }:$src), sub_16bit:{ *:[i32] })
     /*  53497 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  53500 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVZX32rm8),
     /*  53504 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53509 */   GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  53513 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  53517 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  53519 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  53522 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53524 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /*  53531 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  53536 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /*  53541 */   // GIR_Coverage, 22578,
     /*  53541 */   GIR_EraseRootFromParent_Done,
     /*  53542 */ // Label 1298: @53542
     /*  53542 */ GIM_Try, /*On fail goto*//*Label 1299*/ GIMT_Encode4(53621), // Rule ID 22580 //
     /*  53547 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  53550 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  53554 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  53561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  53565 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  53569 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  53576 */   // (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (EXTRACT_SUBREG:{ *:[i16] } (MOVZX32rm8:{ *:[i32] } addr:{ *:[iPTR] }:$src), sub_16bit:{ *:[i32] })
     /*  53576 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  53579 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVZX32rm8),
     /*  53583 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53588 */   GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  53592 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  53596 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  53598 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  53601 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53603 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /*  53610 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  53615 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /*  53620 */   // GIR_Coverage, 22580,
     /*  53620 */   GIR_EraseRootFromParent_Done,
     /*  53621 */ // Label 1299: @53621
     /*  53621 */ GIM_Try, /*On fail goto*//*Label 1300*/ GIMT_Encode4(53707), // Rule ID 18338 //
     /*  53626 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoBWI),
     /*  53629 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  53632 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  53636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16RegClassID),
     /*  53640 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  53644 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  53651 */   // (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (COPY_TO_REGCLASS:{ *:[f16] } (VPINSRWrmi:{ *:[f128] } (IMPLICIT_DEF:{ *:[v8i16] }), addr:{ *:[iPTR] }:$src, 0:{ *:[i8] }), FR16:{ *:[i32] })
     /*  53651 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  53654 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  53658 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53663 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  53665 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  53668 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPINSRWrmi),
     /*  53672 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53677 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  53680 */   GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  53684 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  53687 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  53691 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  53693 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  53696 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53698 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  53701 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16RegClassID),
     /*  53706 */   // GIR_Coverage, 18338,
     /*  53706 */   GIR_EraseRootFromParent_Done,
     /*  53707 */ // Label 1300: @53707
     /*  53707 */ GIM_Try, /*On fail goto*//*Label 1301*/ GIMT_Encode4(53749), // Rule ID 29 //
     /*  53712 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  53715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  53719 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  53723 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  53727 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  53734 */   // (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>  =>  (MOV16rm:{ *:[i16] } addr:{ *:[iPTR] }:$src)
     /*  53734 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV16rm),
     /*  53737 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53739 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  53743 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  53747 */   GIR_RootConstrainSelectedInstOperands,
     /*  53748 */   // GIR_Coverage, 29,
     /*  53748 */   GIR_EraseRootFromParent_Done,
     /*  53749 */ // Label 1301: @53749
     /*  53749 */ GIM_Try, /*On fail goto*//*Label 1302*/ GIMT_Encode4(53835), // Rule ID 18334 //
     /*  53754 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  53757 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  53760 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  53764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16RegClassID),
     /*  53768 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  53772 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  53779 */   // (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (COPY_TO_REGCLASS:{ *:[f16] } (PINSRWrmi:{ *:[f128] } (IMPLICIT_DEF:{ *:[v8i16] }), addr:{ *:[iPTR] }:$src, 0:{ *:[i8] }), FR16:{ *:[i32] })
     /*  53779 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  53782 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  53786 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53791 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  53793 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  53796 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::PINSRWrmi),
     /*  53800 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53805 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  53808 */   GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  53812 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  53815 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  53819 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  53821 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  53824 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53826 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  53829 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16RegClassID),
     /*  53834 */   // GIR_Coverage, 18334,
     /*  53834 */   GIR_EraseRootFromParent_Done,
     /*  53835 */ // Label 1302: @53835
     /*  53835 */ GIM_Try, /*On fail goto*//*Label 1303*/ GIMT_Encode4(53921), // Rule ID 21838 //
     /*  53840 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  53843 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  53846 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  53850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /*  53854 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  53858 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  53865 */   // (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (COPY_TO_REGCLASS:{ *:[f16] } (VPINSRWZrmi:{ *:[f128] } (IMPLICIT_DEF:{ *:[v8i16] }), addr:{ *:[iPTR] }:$src, 0:{ *:[i8] }), FR16X:{ *:[i32] })
     /*  53865 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  53868 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  53872 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53877 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  53879 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  53882 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPINSRWZrmi),
     /*  53886 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53891 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  53894 */   GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  53898 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  53901 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  53905 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  53907 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  53910 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53912 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  53915 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /*  53920 */   // GIR_Coverage, 21838,
     /*  53920 */   GIR_EraseRootFromParent_Done,
     /*  53921 */ // Label 1303: @53921
     /*  53921 */ GIM_Reject,
     /*  53922 */ // Label 1269: @53922
     /*  53922 */ GIM_Try, /*On fail goto*//*Label 1304*/ GIMT_Encode4(53970), // Rule ID 1079 //
     /*  53927 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /*  53930 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  53933 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  53937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /*  53941 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  53945 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  53952 */   // (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD_Fp32m:{ *:[f32] }:{ *:[i16] } addr:{ *:[iPTR] }:$src)
     /*  53952 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LD_Fp32m),
     /*  53955 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53957 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  53961 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /*  53964 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  53968 */   GIR_RootConstrainSelectedInstOperands,
     /*  53969 */   // GIR_Coverage, 1079,
     /*  53969 */   GIR_EraseRootFromParent_Done,
     /*  53970 */ // Label 1304: @53970
     /*  53970 */ GIM_Try, /*On fail goto*//*Label 1305*/ GIMT_Encode4(54015), // Rule ID 1696 //
     /*  53975 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  53978 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  53981 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  53985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  53989 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  53993 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54000 */   // (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVSSrm_alt:{ *:[f32] } addr:{ *:[iPTR] }:$src)
     /*  54000 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVSSrm_alt),
     /*  54003 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54005 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  54009 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54013 */   GIR_RootConstrainSelectedInstOperands,
     /*  54014 */   // GIR_Coverage, 1696,
     /*  54014 */   GIR_EraseRootFromParent_Done,
     /*  54015 */ // Label 1305: @54015
     /*  54015 */ GIM_Try, /*On fail goto*//*Label 1306*/ GIMT_Encode4(54060), // Rule ID 1697 //
     /*  54020 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  54023 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  54026 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  54030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  54034 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54038 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54045 */   // (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (MOVSSrm_alt:{ *:[f32] } addr:{ *:[iPTR] }:$src)
     /*  54045 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVSSrm_alt),
     /*  54048 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54050 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  54054 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54058 */   GIR_RootConstrainSelectedInstOperands,
     /*  54059 */   // GIR_Coverage, 1697,
     /*  54059 */   GIR_EraseRootFromParent_Done,
     /*  54060 */ // Label 1306: @54060
     /*  54060 */ GIM_Try, /*On fail goto*//*Label 1307*/ GIMT_Encode4(54105), // Rule ID 4608 //
     /*  54065 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  54068 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  54071 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  54075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /*  54079 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54083 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54090 */   // (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVSSZrm_alt:{ *:[f32] } addr:{ *:[iPTR] }:$src)
     /*  54090 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVSSZrm_alt),
     /*  54093 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54095 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  54099 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54103 */   GIR_RootConstrainSelectedInstOperands,
     /*  54104 */   // GIR_Coverage, 4608,
     /*  54104 */   GIR_EraseRootFromParent_Done,
     /*  54105 */ // Label 1307: @54105
     /*  54105 */ GIM_Try, /*On fail goto*//*Label 1308*/ GIMT_Encode4(54154), // Rule ID 22516 //
     /*  54110 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  54113 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  54117 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  54124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  54128 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54132 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54139 */   // (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>  =>  (MOV32rm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /*  54139 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV32rm),
     /*  54142 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54144 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  54148 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54152 */   GIR_RootConstrainSelectedInstOperands,
     /*  54153 */   // GIR_Coverage, 22516,
     /*  54153 */   GIR_EraseRootFromParent_Done,
     /*  54154 */ // Label 1308: @54154
     /*  54154 */ GIM_Try, /*On fail goto*//*Label 1309*/ GIMT_Encode4(54203), // Rule ID 22579 //
     /*  54159 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  54162 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  54166 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  54173 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  54177 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54181 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54188 */   // (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi1>>  =>  (MOVZX32rm8:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /*  54188 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVZX32rm8),
     /*  54191 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54193 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  54197 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54201 */   GIR_RootConstrainSelectedInstOperands,
     /*  54202 */   // GIR_Coverage, 22579,
     /*  54202 */   GIR_EraseRootFromParent_Done,
     /*  54203 */ // Label 1309: @54203
     /*  54203 */ GIM_Try, /*On fail goto*//*Label 1310*/ GIMT_Encode4(54252), // Rule ID 22581 //
     /*  54208 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  54211 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  54215 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  54222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  54226 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54230 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54237 */   // (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (MOVZX32rm8:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /*  54237 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVZX32rm8),
     /*  54240 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54242 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  54246 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54250 */   GIR_RootConstrainSelectedInstOperands,
     /*  54251 */   // GIR_Coverage, 22581,
     /*  54251 */   GIR_EraseRootFromParent_Done,
     /*  54252 */ // Label 1310: @54252
     /*  54252 */ GIM_Try, /*On fail goto*//*Label 1311*/ GIMT_Encode4(54301), // Rule ID 22582 //
     /*  54257 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  54260 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  54264 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  54271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  54275 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54279 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54286 */   // (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (MOVZX32rm16:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /*  54286 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVZX32rm16),
     /*  54289 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54291 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  54295 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54299 */   GIR_RootConstrainSelectedInstOperands,
     /*  54300 */   // GIR_Coverage, 22582,
     /*  54300 */   GIR_EraseRootFromParent_Done,
     /*  54301 */ // Label 1311: @54301
     /*  54301 */ GIM_Try, /*On fail goto*//*Label 1312*/ GIMT_Encode4(54343), // Rule ID 30 //
     /*  54306 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  54309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  54313 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54317 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  54321 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54328 */   // (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>  =>  (MOV32rm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /*  54328 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV32rm),
     /*  54331 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54333 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  54337 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54341 */   GIR_RootConstrainSelectedInstOperands,
     /*  54342 */   // GIR_Coverage, 30,
     /*  54342 */   GIR_EraseRootFromParent_Done,
     /*  54343 */ // Label 1312: @54343
     /*  54343 */ GIM_Reject,
     /*  54344 */ // Label 1270: @54344
     /*  54344 */ GIM_Try, /*On fail goto*//*Label 1313*/ GIMT_Encode4(54386), // Rule ID 31 //
     /*  54349 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  54352 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  54356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  54360 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54364 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54371 */   // (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (MOV64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  54371 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV64rm),
     /*  54374 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54376 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  54380 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54384 */   GIR_RootConstrainSelectedInstOperands,
     /*  54385 */   // GIR_Coverage, 31,
     /*  54385 */   GIR_EraseRootFromParent_Done,
     /*  54386 */ // Label 1313: @54386
     /*  54386 */ GIM_Try, /*On fail goto*//*Label 1314*/ GIMT_Encode4(54434), // Rule ID 1080 //
     /*  54391 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /*  54394 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  54397 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  54401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /*  54405 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54409 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54416 */   // (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD_Fp64m:{ *:[f64] }:{ *:[i16] } addr:{ *:[iPTR] }:$src)
     /*  54416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LD_Fp64m),
     /*  54419 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54421 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  54425 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /*  54428 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54432 */   GIR_RootConstrainSelectedInstOperands,
     /*  54433 */   // GIR_Coverage, 1080,
     /*  54433 */   GIR_EraseRootFromParent_Done,
     /*  54434 */ // Label 1314: @54434
     /*  54434 */ GIM_Try, /*On fail goto*//*Label 1315*/ GIMT_Encode4(54489), // Rule ID 1082 //
     /*  54439 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /*  54442 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  54445 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  54449 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  54456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /*  54460 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54464 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54471 */   // (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>  =>  (LD_Fp32m64:{ *:[f64] }:{ *:[i16] } addr:{ *:[iPTR] }:$src)
     /*  54471 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LD_Fp32m64),
     /*  54474 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54476 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  54480 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /*  54483 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54487 */   GIR_RootConstrainSelectedInstOperands,
     /*  54488 */   // GIR_Coverage, 1082,
     /*  54488 */   GIR_EraseRootFromParent_Done,
     /*  54489 */ // Label 1315: @54489
     /*  54489 */ GIM_Try, /*On fail goto*//*Label 1316*/ GIMT_Encode4(54534), // Rule ID 1700 //
     /*  54494 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  54497 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  54500 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  54504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  54508 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54512 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54519 */   // (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVSDrm_alt:{ *:[f64] } addr:{ *:[iPTR] }:$src)
     /*  54519 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVSDrm_alt),
     /*  54522 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54524 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  54528 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54532 */   GIR_RootConstrainSelectedInstOperands,
     /*  54533 */   // GIR_Coverage, 1700,
     /*  54533 */   GIR_EraseRootFromParent_Done,
     /*  54534 */ // Label 1316: @54534
     /*  54534 */ GIM_Try, /*On fail goto*//*Label 1317*/ GIMT_Encode4(54579), // Rule ID 1701 //
     /*  54539 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  54542 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  54545 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  54549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  54553 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54557 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54564 */   // (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (MOVSDrm_alt:{ *:[f64] } addr:{ *:[iPTR] }:$src)
     /*  54564 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVSDrm_alt),
     /*  54567 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54569 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  54573 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54577 */   GIR_RootConstrainSelectedInstOperands,
     /*  54578 */   // GIR_Coverage, 1701,
     /*  54578 */   GIR_EraseRootFromParent_Done,
     /*  54579 */ // Label 1317: @54579
     /*  54579 */ GIM_Try, /*On fail goto*//*Label 1318*/ GIMT_Encode4(54624), // Rule ID 4614 //
     /*  54584 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  54587 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  54590 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  54594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /*  54598 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54602 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54609 */   // (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVSDZrm_alt:{ *:[f64] } addr:{ *:[iPTR] }:$src)
     /*  54609 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVSDZrm_alt),
     /*  54612 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54614 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  54618 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54622 */   GIR_RootConstrainSelectedInstOperands,
     /*  54623 */   // GIR_Coverage, 4614,
     /*  54623 */   GIR_EraseRootFromParent_Done,
     /*  54624 */ // Label 1318: @54624
     /*  54624 */ GIM_Try, /*On fail goto*//*Label 1319*/ GIMT_Encode4(54673), // Rule ID 22517 //
     /*  54629 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  54632 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  54636 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  54643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  54647 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54651 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54658 */   // (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>  =>  (MOV64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  54658 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV64rm),
     /*  54661 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54663 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  54667 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54671 */   GIR_RootConstrainSelectedInstOperands,
     /*  54672 */   // GIR_Coverage, 22517,
     /*  54672 */   GIR_EraseRootFromParent_Done,
     /*  54673 */ // Label 1319: @54673
     /*  54673 */ GIM_Try, /*On fail goto*//*Label 1320*/ GIMT_Encode4(54754), // Rule ID 22584 //
     /*  54678 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  54681 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  54685 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  54692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  54696 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54700 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54707 */   // (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (MOVZX32rm8:{ *:[i32] } addr:{ *:[iPTR] }:$src), sub_32bit:{ *:[i32] })
     /*  54707 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  54710 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVZX32rm8),
     /*  54714 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54719 */   GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  54723 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54727 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  54729 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  54732 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54734 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  54737 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  54740 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  54743 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /*  54748 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR32RegClassID),
     /*  54753 */   // GIR_Coverage, 22584,
     /*  54753 */   GIR_EraseRootFromParent_Done,
     /*  54754 */ // Label 1320: @54754
     /*  54754 */ GIM_Try, /*On fail goto*//*Label 1321*/ GIMT_Encode4(54835), // Rule ID 22585 //
     /*  54759 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  54762 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  54766 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  54773 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  54777 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54781 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54788 */   // (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (MOVZX32rm8:{ *:[i32] } addr:{ *:[iPTR] }:$src), sub_32bit:{ *:[i32] })
     /*  54788 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  54791 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVZX32rm8),
     /*  54795 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54800 */   GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  54804 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54808 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  54810 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  54813 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54815 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  54818 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  54821 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  54824 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /*  54829 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR32RegClassID),
     /*  54834 */   // GIR_Coverage, 22585,
     /*  54834 */   GIR_EraseRootFromParent_Done,
     /*  54835 */ // Label 1321: @54835
     /*  54835 */ GIM_Try, /*On fail goto*//*Label 1322*/ GIMT_Encode4(54916), // Rule ID 22586 //
     /*  54840 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  54843 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  54847 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  54854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  54858 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54862 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54869 */   // (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (MOVZX32rm16:{ *:[i32] } addr:{ *:[iPTR] }:$src), sub_32bit:{ *:[i32] })
     /*  54869 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  54872 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVZX32rm16),
     /*  54876 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54881 */   GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  54885 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54889 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  54891 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  54894 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54896 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  54899 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  54902 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  54905 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /*  54910 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR32RegClassID),
     /*  54915 */   // GIR_Coverage, 22586,
     /*  54915 */   GIR_EraseRootFromParent_Done,
     /*  54916 */ // Label 1322: @54916
     /*  54916 */ GIM_Reject,
     /*  54917 */ // Label 1271: @54917
     /*  54917 */ GIM_Try, /*On fail goto*//*Label 1323*/ GIMT_Encode4(55075),
     /*  54922 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  54925 */   GIM_Try, /*On fail goto*//*Label 1324*/ GIMT_Encode4(54970), // Rule ID 1081 //
     /*  54930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /*  54933 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  54937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /*  54941 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54952 */     // (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD_Fp80m:{ *:[f80] }:{ *:[i16] } addr:{ *:[iPTR] }:$src)
     /*  54952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LD_Fp80m),
     /*  54955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54957 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  54961 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /*  54964 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54968 */     GIR_RootConstrainSelectedInstOperands,
     /*  54969 */     // GIR_Coverage, 1081,
     /*  54969 */     GIR_EraseRootFromParent_Done,
     /*  54970 */   // Label 1324: @54970
     /*  54970 */   GIM_Try, /*On fail goto*//*Label 1325*/ GIMT_Encode4(55022), // Rule ID 1083 //
     /*  54975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /*  54978 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  54982 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  54989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /*  54993 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55004 */     // (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf64>>  =>  (LD_Fp64m80:{ *:[f80] }:{ *:[i16] } addr:{ *:[iPTR] }:$src)
     /*  55004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LD_Fp64m80),
     /*  55007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55009 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55013 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /*  55016 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55020 */     GIR_RootConstrainSelectedInstOperands,
     /*  55021 */     // GIR_Coverage, 1083,
     /*  55021 */     GIR_EraseRootFromParent_Done,
     /*  55022 */   // Label 1325: @55022
     /*  55022 */   GIM_Try, /*On fail goto*//*Label 1326*/ GIMT_Encode4(55074), // Rule ID 1084 //
     /*  55027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /*  55030 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  55034 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  55041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /*  55045 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55056 */     // (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>  =>  (LD_Fp32m80:{ *:[f80] }:{ *:[i16] } addr:{ *:[iPTR] }:$src)
     /*  55056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LD_Fp32m80),
     /*  55059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55061 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55065 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /*  55068 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55072 */     GIR_RootConstrainSelectedInstOperands,
     /*  55073 */     // GIR_Coverage, 1084,
     /*  55073 */     GIR_EraseRootFromParent_Done,
     /*  55074 */   // Label 1326: @55074
     /*  55074 */   GIM_Reject,
     /*  55075 */ // Label 1323: @55075
     /*  55075 */ GIM_Reject,
     /*  55076 */ // Label 1272: @55076
     /*  55076 */ GIM_Try, /*On fail goto*//*Label 1327*/ GIMT_Encode4(55203),
     /*  55081 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  55084 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  55088 */   GIM_Try, /*On fail goto*//*Label 1328*/ GIMT_Encode4(55126), // Rule ID 23142 //
     /*  55093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoAVX),
     /*  55096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  55100 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55111 */     // (ld:{ *:[f128] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (MOVUPSrm:{ *:[f128] } addr:{ *:[iPTR] }:$src)
     /*  55111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVUPSrm),
     /*  55114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55116 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55120 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55124 */     GIR_RootConstrainSelectedInstOperands,
     /*  55125 */     // GIR_Coverage, 23142,
     /*  55125 */     GIR_EraseRootFromParent_Done,
     /*  55126 */   // Label 1328: @55126
     /*  55126 */   GIM_Try, /*On fail goto*//*Label 1329*/ GIMT_Encode4(55164), // Rule ID 23146 //
     /*  55131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  55134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  55138 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55149 */     // (ld:{ *:[f128] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPSrm:{ *:[f128] } addr:{ *:[iPTR] }:$src)
     /*  55149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSrm),
     /*  55152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55154 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55158 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55162 */     GIR_RootConstrainSelectedInstOperands,
     /*  55163 */     // GIR_Coverage, 23146,
     /*  55163 */     GIR_EraseRootFromParent_Done,
     /*  55164 */   // Label 1329: @55164
     /*  55164 */   GIM_Try, /*On fail goto*//*Label 1330*/ GIMT_Encode4(55202), // Rule ID 23150 //
     /*  55169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  55172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  55176 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55187 */     // (ld:{ *:[f128] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPSZ128rm:{ *:[f128] } addr:{ *:[iPTR] }:$src)
     /*  55187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSZ128rm),
     /*  55190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55192 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55196 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55200 */     GIR_RootConstrainSelectedInstOperands,
     /*  55201 */     // GIR_Coverage, 23150,
     /*  55201 */     GIR_EraseRootFromParent_Done,
     /*  55202 */   // Label 1330: @55202
     /*  55202 */   GIM_Reject,
     /*  55203 */ // Label 1327: @55203
     /*  55203 */ GIM_Reject,
     /*  55204 */ // Label 1273: @55204
     /*  55204 */ GIM_Try, /*On fail goto*//*Label 1331*/ GIMT_Encode4(55270), // Rule ID 19445 //
     /*  55209 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  55212 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  55215 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  55219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  55223 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55227 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55234 */   // (ld:{ *:[v2i1] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (COPY_TO_REGCLASS:{ *:[v2i1] } (KMOVBkm:{ *:[v8i1] } addr:{ *:[iPTR] }:$src), VK2:{ *:[i32] })
     /*  55234 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s1,
     /*  55237 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KMOVBkm),
     /*  55241 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  55246 */   GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  55250 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55254 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  55256 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  55259 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55261 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  55264 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK2RegClassID),
     /*  55269 */   // GIR_Coverage, 19445,
     /*  55269 */   GIR_EraseRootFromParent_Done,
     /*  55270 */ // Label 1331: @55270
     /*  55270 */ GIM_Reject,
     /*  55271 */ // Label 1274: @55271
     /*  55271 */ GIM_Try, /*On fail goto*//*Label 1332*/ GIMT_Encode4(55764),
     /*  55276 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  55279 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  55283 */   GIM_Try, /*On fail goto*//*Label 1333*/ GIMT_Encode4(55325), // Rule ID 1703 //
     /*  55288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  55291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  55295 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55299 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  55303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55310 */     // (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPDrm:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)
     /*  55310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPDrm),
     /*  55313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55315 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55319 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55323 */     GIR_RootConstrainSelectedInstOperands,
     /*  55324 */     // GIR_Coverage, 1703,
     /*  55324 */     GIR_EraseRootFromParent_Done,
     /*  55325 */   // Label 1333: @55325
     /*  55325 */   GIM_Try, /*On fail goto*//*Label 1334*/ GIMT_Encode4(55363), // Rule ID 1705 //
     /*  55330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  55333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  55337 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55348 */     // (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPDrm:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)
     /*  55348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPDrm),
     /*  55351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55353 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55357 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55361 */     GIR_RootConstrainSelectedInstOperands,
     /*  55362 */     // GIR_Coverage, 1705,
     /*  55362 */     GIR_EraseRootFromParent_Done,
     /*  55363 */   // Label 1334: @55363
     /*  55363 */   GIM_Try, /*On fail goto*//*Label 1335*/ GIMT_Encode4(55405), // Rule ID 1712 //
     /*  55368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  55371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  55375 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55379 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  55383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55390 */     // (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (MOVAPDrm:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)
     /*  55390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVAPDrm),
     /*  55393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55395 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55399 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55403 */     GIR_RootConstrainSelectedInstOperands,
     /*  55404 */     // GIR_Coverage, 1712,
     /*  55404 */     GIR_EraseRootFromParent_Done,
     /*  55405 */   // Label 1335: @55405
     /*  55405 */   GIM_Try, /*On fail goto*//*Label 1336*/ GIMT_Encode4(55443), // Rule ID 1713 //
     /*  55410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  55413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  55417 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55428 */     // (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (MOVUPDrm:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)
     /*  55428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVUPDrm),
     /*  55431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55433 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55437 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55441 */     GIR_RootConstrainSelectedInstOperands,
     /*  55442 */     // GIR_Coverage, 1713,
     /*  55442 */     GIR_EraseRootFromParent_Done,
     /*  55443 */   // Label 1336: @55443
     /*  55443 */   GIM_Try, /*On fail goto*//*Label 1337*/ GIMT_Encode4(55485), // Rule ID 2517 //
     /*  55448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  55451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  55455 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55459 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  55463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55470 */     // (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVDQArm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)
     /*  55470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQArm),
     /*  55473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55475 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55479 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55483 */     GIR_RootConstrainSelectedInstOperands,
     /*  55484 */     // GIR_Coverage, 2517,
     /*  55484 */     GIR_EraseRootFromParent_Done,
     /*  55485 */   // Label 1337: @55485
     /*  55485 */   GIM_Try, /*On fail goto*//*Label 1338*/ GIMT_Encode4(55523), // Rule ID 2518 //
     /*  55490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  55493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  55497 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55508 */     // (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVDQUrm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)
     /*  55508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQUrm),
     /*  55511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55513 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55517 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55521 */     GIR_RootConstrainSelectedInstOperands,
     /*  55522 */     // GIR_Coverage, 2518,
     /*  55522 */     GIR_EraseRootFromParent_Done,
     /*  55523 */   // Label 1338: @55523
     /*  55523 */   GIM_Try, /*On fail goto*//*Label 1339*/ GIMT_Encode4(55565), // Rule ID 4489 //
     /*  55528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  55531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  55535 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55539 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  55543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55550 */     // (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPDZ128rm:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)
     /*  55550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPDZ128rm),
     /*  55553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55555 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55559 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55563 */     GIR_RootConstrainSelectedInstOperands,
     /*  55564 */     // GIR_Coverage, 4489,
     /*  55564 */     GIR_EraseRootFromParent_Done,
     /*  55565 */   // Label 1339: @55565
     /*  55565 */   GIM_Try, /*On fail goto*//*Label 1340*/ GIMT_Encode4(55603), // Rule ID 4514 //
     /*  55570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  55573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  55577 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55588 */     // (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPDZ128rm:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)
     /*  55588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPDZ128rm),
     /*  55591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55593 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55597 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55601 */     GIR_RootConstrainSelectedInstOperands,
     /*  55602 */     // GIR_Coverage, 4514,
     /*  55602 */     GIR_EraseRootFromParent_Done,
     /*  55603 */   // Label 1340: @55603
     /*  55603 */   GIM_Try, /*On fail goto*//*Label 1341*/ GIMT_Encode4(55645), // Rule ID 4543 //
     /*  55608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  55611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  55615 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55619 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  55623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55630 */     // (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVDQA64Z128rm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)
     /*  55630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z128rm),
     /*  55633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55635 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55639 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55643 */     GIR_RootConstrainSelectedInstOperands,
     /*  55644 */     // GIR_Coverage, 4543,
     /*  55644 */     GIR_EraseRootFromParent_Done,
     /*  55645 */   // Label 1341: @55645
     /*  55645 */   GIM_Try, /*On fail goto*//*Label 1342*/ GIMT_Encode4(55683), // Rule ID 4586 //
     /*  55650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  55653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  55657 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55668 */     // (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVDQU64Z128rm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)
     /*  55668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Z128rm),
     /*  55671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55673 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55677 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55681 */     GIR_RootConstrainSelectedInstOperands,
     /*  55682 */     // GIR_Coverage, 4586,
     /*  55682 */     GIR_EraseRootFromParent_Done,
     /*  55683 */   // Label 1342: @55683
     /*  55683 */   GIM_Try, /*On fail goto*//*Label 1343*/ GIMT_Encode4(55725), // Rule ID 17938 //
     /*  55688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  55691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  55695 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55699 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  55703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55710 */     // (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (MOVAPSrm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)
     /*  55710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVAPSrm),
     /*  55713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55715 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55719 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55723 */     GIR_RootConstrainSelectedInstOperands,
     /*  55724 */     // GIR_Coverage, 17938,
     /*  55724 */     GIR_EraseRootFromParent_Done,
     /*  55725 */   // Label 1343: @55725
     /*  55725 */   GIM_Try, /*On fail goto*//*Label 1344*/ GIMT_Encode4(55763), // Rule ID 17942 //
     /*  55730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  55733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  55737 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55748 */     // (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (MOVUPSrm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)
     /*  55748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVUPSrm),
     /*  55751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55753 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55757 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55761 */     GIR_RootConstrainSelectedInstOperands,
     /*  55762 */     // GIR_Coverage, 17942,
     /*  55762 */     GIR_EraseRootFromParent_Done,
     /*  55763 */   // Label 1344: @55763
     /*  55763 */   GIM_Reject,
     /*  55764 */ // Label 1332: @55764
     /*  55764 */ GIM_Reject,
     /*  55765 */ // Label 1275: @55765
     /*  55765 */ GIM_Try, /*On fail goto*//*Label 1345*/ GIMT_Encode4(55831), // Rule ID 19446 //
     /*  55770 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  55773 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  55776 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  55780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  55784 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55788 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55795 */   // (ld:{ *:[v4i1] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (COPY_TO_REGCLASS:{ *:[v4i1] } (KMOVBkm:{ *:[v8i1] } addr:{ *:[iPTR] }:$src), VK4:{ *:[i32] })
     /*  55795 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s1,
     /*  55798 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KMOVBkm),
     /*  55802 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  55807 */   GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  55811 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55815 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  55817 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  55820 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55822 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  55825 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK4RegClassID),
     /*  55830 */   // GIR_Coverage, 19446,
     /*  55830 */   GIR_EraseRootFromParent_Done,
     /*  55831 */ // Label 1345: @55831
     /*  55831 */ GIM_Reject,
     /*  55832 */ // Label 1276: @55832
     /*  55832 */ GIM_Try, /*On fail goto*//*Label 1346*/ GIMT_Encode4(56325),
     /*  55837 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  55840 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  55844 */   GIM_Try, /*On fail goto*//*Label 1347*/ GIMT_Encode4(55886), // Rule ID 1702 //
     /*  55849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  55852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  55856 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55860 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  55864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55871 */     // (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPSrm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /*  55871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSrm),
     /*  55874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55876 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55880 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55884 */     GIR_RootConstrainSelectedInstOperands,
     /*  55885 */     // GIR_Coverage, 1702,
     /*  55885 */     GIR_EraseRootFromParent_Done,
     /*  55886 */   // Label 1347: @55886
     /*  55886 */   GIM_Try, /*On fail goto*//*Label 1348*/ GIMT_Encode4(55924), // Rule ID 1704 //
     /*  55891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  55894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  55898 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55909 */     // (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPSrm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /*  55909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSrm),
     /*  55912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55914 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55918 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55922 */     GIR_RootConstrainSelectedInstOperands,
     /*  55923 */     // GIR_Coverage, 1704,
     /*  55923 */     GIR_EraseRootFromParent_Done,
     /*  55924 */   // Label 1348: @55924
     /*  55924 */   GIM_Try, /*On fail goto*//*Label 1349*/ GIMT_Encode4(55966), // Rule ID 1710 //
     /*  55929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  55932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  55936 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55940 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  55944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55951 */     // (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (MOVAPSrm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /*  55951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVAPSrm),
     /*  55954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55956 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55960 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55964 */     GIR_RootConstrainSelectedInstOperands,
     /*  55965 */     // GIR_Coverage, 1710,
     /*  55965 */     GIR_EraseRootFromParent_Done,
     /*  55966 */   // Label 1349: @55966
     /*  55966 */   GIM_Try, /*On fail goto*//*Label 1350*/ GIMT_Encode4(56004), // Rule ID 1711 //
     /*  55971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  55974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  55978 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55989 */     // (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (MOVUPSrm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /*  55989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVUPSrm),
     /*  55992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55994 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55998 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56002 */     GIR_RootConstrainSelectedInstOperands,
     /*  56003 */     // GIR_Coverage, 1711,
     /*  56003 */     GIR_EraseRootFromParent_Done,
     /*  56004 */   // Label 1350: @56004
     /*  56004 */   GIM_Try, /*On fail goto*//*Label 1351*/ GIMT_Encode4(56046), // Rule ID 4471 //
     /*  56009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  56012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  56016 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56020 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  56024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56031 */     // (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPSZ128rm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /*  56031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZ128rm),
     /*  56034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56036 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56040 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56044 */     GIR_RootConstrainSelectedInstOperands,
     /*  56045 */     // GIR_Coverage, 4471,
     /*  56045 */     GIR_EraseRootFromParent_Done,
     /*  56046 */   // Label 1351: @56046
     /*  56046 */   GIM_Try, /*On fail goto*//*Label 1352*/ GIMT_Encode4(56084), // Rule ID 4502 //
     /*  56051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  56054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  56058 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56069 */     // (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPSZ128rm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /*  56069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSZ128rm),
     /*  56072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56074 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56078 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56082 */     GIR_RootConstrainSelectedInstOperands,
     /*  56083 */     // GIR_Coverage, 4502,
     /*  56083 */     GIR_EraseRootFromParent_Done,
     /*  56084 */   // Label 1352: @56084
     /*  56084 */   GIM_Try, /*On fail goto*//*Label 1353*/ GIMT_Encode4(56126), // Rule ID 17939 //
     /*  56089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  56092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  56096 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56100 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  56104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56111 */     // (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (MOVAPSrm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /*  56111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVAPSrm),
     /*  56114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56116 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56120 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56124 */     GIR_RootConstrainSelectedInstOperands,
     /*  56125 */     // GIR_Coverage, 17939,
     /*  56125 */     GIR_EraseRootFromParent_Done,
     /*  56126 */   // Label 1353: @56126
     /*  56126 */   GIM_Try, /*On fail goto*//*Label 1354*/ GIMT_Encode4(56164), // Rule ID 17943 //
     /*  56131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  56134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  56138 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56149 */     // (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (MOVUPSrm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /*  56149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVUPSrm),
     /*  56152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56154 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56158 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56162 */     GIR_RootConstrainSelectedInstOperands,
     /*  56163 */     // GIR_Coverage, 17943,
     /*  56163 */     GIR_EraseRootFromParent_Done,
     /*  56164 */   // Label 1354: @56164
     /*  56164 */   GIM_Try, /*On fail goto*//*Label 1355*/ GIMT_Encode4(56206), // Rule ID 18318 //
     /*  56169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  56172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  56176 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56180 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  56184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56191 */     // (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVDQArm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /*  56191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQArm),
     /*  56194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56196 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56200 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56204 */     GIR_RootConstrainSelectedInstOperands,
     /*  56205 */     // GIR_Coverage, 18318,
     /*  56205 */     GIR_EraseRootFromParent_Done,
     /*  56206 */   // Label 1355: @56206
     /*  56206 */   GIM_Try, /*On fail goto*//*Label 1356*/ GIMT_Encode4(56244), // Rule ID 18322 //
     /*  56211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  56214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  56218 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56229 */     // (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVDQUrm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /*  56229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQUrm),
     /*  56232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56234 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56238 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56242 */     GIR_RootConstrainSelectedInstOperands,
     /*  56243 */     // GIR_Coverage, 18322,
     /*  56243 */     GIR_EraseRootFromParent_Done,
     /*  56244 */   // Label 1356: @56244
     /*  56244 */   GIM_Try, /*On fail goto*//*Label 1357*/ GIMT_Encode4(56286), // Rule ID 19811 //
     /*  56249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  56252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  56256 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56260 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  56264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56271 */     // (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVDQA64Z128rm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /*  56271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z128rm),
     /*  56274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56276 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56280 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56284 */     GIR_RootConstrainSelectedInstOperands,
     /*  56285 */     // GIR_Coverage, 19811,
     /*  56285 */     GIR_EraseRootFromParent_Done,
     /*  56286 */   // Label 1357: @56286
     /*  56286 */   GIM_Try, /*On fail goto*//*Label 1358*/ GIMT_Encode4(56324), // Rule ID 19815 //
     /*  56291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  56294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  56298 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56309 */     // (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVDQU64Z128rm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /*  56309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Z128rm),
     /*  56312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56314 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56318 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56322 */     GIR_RootConstrainSelectedInstOperands,
     /*  56323 */     // GIR_Coverage, 19815,
     /*  56323 */     GIR_EraseRootFromParent_Done,
     /*  56324 */   // Label 1358: @56324
     /*  56324 */   GIM_Reject,
     /*  56325 */ // Label 1346: @56325
     /*  56325 */ GIM_Reject,
     /*  56326 */ // Label 1277: @56326
     /*  56326 */ GIM_Try, /*On fail goto*//*Label 1359*/ GIMT_Encode4(56659),
     /*  56331 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  56334 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  56338 */   GIM_Try, /*On fail goto*//*Label 1360*/ GIMT_Encode4(56380), // Rule ID 1707 //
     /*  56343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  56346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  56350 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56354 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  56358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56365 */     // (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPDYrm:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)
     /*  56365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPDYrm),
     /*  56368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56370 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56374 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56378 */     GIR_RootConstrainSelectedInstOperands,
     /*  56379 */     // GIR_Coverage, 1707,
     /*  56379 */     GIR_EraseRootFromParent_Done,
     /*  56380 */   // Label 1360: @56380
     /*  56380 */   GIM_Try, /*On fail goto*//*Label 1361*/ GIMT_Encode4(56418), // Rule ID 1709 //
     /*  56385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  56388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  56392 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56403 */     // (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPDYrm:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)
     /*  56403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPDYrm),
     /*  56406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56408 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56412 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56416 */     GIR_RootConstrainSelectedInstOperands,
     /*  56417 */     // GIR_Coverage, 1709,
     /*  56417 */     GIR_EraseRootFromParent_Done,
     /*  56418 */   // Label 1361: @56418
     /*  56418 */   GIM_Try, /*On fail goto*//*Label 1362*/ GIMT_Encode4(56460), // Rule ID 4484 //
     /*  56423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  56426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  56430 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56434 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  56438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56445 */     // (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPDZ256rm:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)
     /*  56445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPDZ256rm),
     /*  56448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56450 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56454 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56458 */     GIR_RootConstrainSelectedInstOperands,
     /*  56459 */     // GIR_Coverage, 4484,
     /*  56459 */     GIR_EraseRootFromParent_Done,
     /*  56460 */   // Label 1362: @56460
     /*  56460 */   GIM_Try, /*On fail goto*//*Label 1363*/ GIMT_Encode4(56498), // Rule ID 4511 //
     /*  56465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  56468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  56472 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56483 */     // (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPDZ256rm:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)
     /*  56483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPDZ256rm),
     /*  56486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56488 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56492 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56496 */     GIR_RootConstrainSelectedInstOperands,
     /*  56497 */     // GIR_Coverage, 4511,
     /*  56497 */     GIR_EraseRootFromParent_Done,
     /*  56498 */   // Label 1363: @56498
     /*  56498 */   GIM_Try, /*On fail goto*//*Label 1364*/ GIMT_Encode4(56540), // Rule ID 4538 //
     /*  56503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  56506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  56510 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56514 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  56518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56525 */     // (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVDQA64Z256rm:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)
     /*  56525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z256rm),
     /*  56528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56530 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56534 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56538 */     GIR_RootConstrainSelectedInstOperands,
     /*  56539 */     // GIR_Coverage, 4538,
     /*  56539 */     GIR_EraseRootFromParent_Done,
     /*  56540 */   // Label 1364: @56540
     /*  56540 */   GIM_Try, /*On fail goto*//*Label 1365*/ GIMT_Encode4(56578), // Rule ID 4583 //
     /*  56545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  56548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  56552 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56563 */     // (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVDQU64Z256rm:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)
     /*  56563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Z256rm),
     /*  56566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56568 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56572 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56576 */     GIR_RootConstrainSelectedInstOperands,
     /*  56577 */     // GIR_Coverage, 4583,
     /*  56577 */     GIR_EraseRootFromParent_Done,
     /*  56578 */   // Label 1365: @56578
     /*  56578 */   GIM_Try, /*On fail goto*//*Label 1366*/ GIMT_Encode4(56620), // Rule ID 17914 //
     /*  56583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  56586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  56590 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56594 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  56598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56605 */     // (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPSYrm:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)
     /*  56605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSYrm),
     /*  56608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56610 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56614 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56618 */     GIR_RootConstrainSelectedInstOperands,
     /*  56619 */     // GIR_Coverage, 17914,
     /*  56619 */     GIR_EraseRootFromParent_Done,
     /*  56620 */   // Label 1366: @56620
     /*  56620 */   GIM_Try, /*On fail goto*//*Label 1367*/ GIMT_Encode4(56658), // Rule ID 17918 //
     /*  56625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  56628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  56632 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56643 */     // (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPSYrm:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)
     /*  56643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSYrm),
     /*  56646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56648 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56652 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56656 */     GIR_RootConstrainSelectedInstOperands,
     /*  56657 */     // GIR_Coverage, 17918,
     /*  56657 */     GIR_EraseRootFromParent_Done,
     /*  56658 */   // Label 1367: @56658
     /*  56658 */   GIM_Reject,
     /*  56659 */ // Label 1359: @56659
     /*  56659 */ GIM_Reject,
     /*  56660 */ // Label 1278: @56660
     /*  56660 */ GIM_Try, /*On fail goto*//*Label 1368*/ GIMT_Encode4(56741),
     /*  56665 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  56668 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  56672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  56676 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56680 */   GIM_Try, /*On fail goto*//*Label 1369*/ GIMT_Encode4(56710), // Rule ID 4394 //
     /*  56685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_NoEGPR),
     /*  56688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56695 */     // (ld:{ *:[v8i1] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (KMOVBkm:{ *:[v8i1] } addr:{ *:[iPTR] }:$src)
     /*  56695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVBkm),
     /*  56698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56700 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56704 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56708 */     GIR_RootConstrainSelectedInstOperands,
     /*  56709 */     // GIR_Coverage, 4394,
     /*  56709 */     GIR_EraseRootFromParent_Done,
     /*  56710 */   // Label 1369: @56710
     /*  56710 */   GIM_Try, /*On fail goto*//*Label 1370*/ GIMT_Encode4(56740), // Rule ID 4396 //
     /*  56715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasEGPR_In64BitMode),
     /*  56718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56725 */     // (ld:{ *:[v8i1] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (KMOVBkm_EVEX:{ *:[v8i1] } addr:{ *:[iPTR] }:$src)
     /*  56725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVBkm_EVEX),
     /*  56728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56730 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56734 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56738 */     GIR_RootConstrainSelectedInstOperands,
     /*  56739 */     // GIR_Coverage, 4396,
     /*  56739 */     GIR_EraseRootFromParent_Done,
     /*  56740 */   // Label 1370: @56740
     /*  56740 */   GIM_Reject,
     /*  56741 */ // Label 1368: @56741
     /*  56741 */ GIM_Reject,
     /*  56742 */ // Label 1279: @56742
     /*  56742 */ GIM_Try, /*On fail goto*//*Label 1371*/ GIMT_Encode4(57315),
     /*  56747 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  56750 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  56754 */   GIM_Try, /*On fail goto*//*Label 1372*/ GIMT_Encode4(56796), // Rule ID 17930 //
     /*  56759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  56762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  56766 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56770 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  56774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56781 */     // (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPSrm:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)
     /*  56781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSrm),
     /*  56784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56786 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56790 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56794 */     GIR_RootConstrainSelectedInstOperands,
     /*  56795 */     // GIR_Coverage, 17930,
     /*  56795 */     GIR_EraseRootFromParent_Done,
     /*  56796 */   // Label 1372: @56796
     /*  56796 */   GIM_Try, /*On fail goto*//*Label 1373*/ GIMT_Encode4(56834), // Rule ID 17931 //
     /*  56801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  56804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  56808 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56819 */     // (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPSrm:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)
     /*  56819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSrm),
     /*  56822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56824 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56828 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56832 */     GIR_RootConstrainSelectedInstOperands,
     /*  56833 */     // GIR_Coverage, 17931,
     /*  56833 */     GIR_EraseRootFromParent_Done,
     /*  56834 */   // Label 1373: @56834
     /*  56834 */   GIM_Try, /*On fail goto*//*Label 1374*/ GIMT_Encode4(56876), // Rule ID 17940 //
     /*  56839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  56842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  56846 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56850 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  56854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56861 */     // (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (MOVAPSrm:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)
     /*  56861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVAPSrm),
     /*  56864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56866 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56870 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56874 */     GIR_RootConstrainSelectedInstOperands,
     /*  56875 */     // GIR_Coverage, 17940,
     /*  56875 */     GIR_EraseRootFromParent_Done,
     /*  56876 */   // Label 1374: @56876
     /*  56876 */   GIM_Try, /*On fail goto*//*Label 1375*/ GIMT_Encode4(56914), // Rule ID 17944 //
     /*  56881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  56884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  56888 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56899 */     // (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (MOVUPSrm:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)
     /*  56899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVUPSrm),
     /*  56902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56904 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56908 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56912 */     GIR_RootConstrainSelectedInstOperands,
     /*  56913 */     // GIR_Coverage, 17944,
     /*  56913 */     GIR_EraseRootFromParent_Done,
     /*  56914 */   // Label 1375: @56914
     /*  56914 */   GIM_Try, /*On fail goto*//*Label 1376*/ GIMT_Encode4(56956), // Rule ID 17954 //
     /*  56919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  56922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  56926 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56930 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  56934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56941 */     // (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (MOVAPSrm:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)
     /*  56941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVAPSrm),
     /*  56944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56946 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56950 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56954 */     GIR_RootConstrainSelectedInstOperands,
     /*  56955 */     // GIR_Coverage, 17954,
     /*  56955 */     GIR_EraseRootFromParent_Done,
     /*  56956 */   // Label 1376: @56956
     /*  56956 */   GIM_Try, /*On fail goto*//*Label 1377*/ GIMT_Encode4(56994), // Rule ID 17955 //
     /*  56961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  56964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  56968 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56979 */     // (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (MOVUPSrm:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)
     /*  56979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVUPSrm),
     /*  56982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56984 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56988 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56992 */     GIR_RootConstrainSelectedInstOperands,
     /*  56993 */     // GIR_Coverage, 17955,
     /*  56993 */     GIR_EraseRootFromParent_Done,
     /*  56994 */   // Label 1377: @56994
     /*  56994 */   GIM_Try, /*On fail goto*//*Label 1378*/ GIMT_Encode4(57036), // Rule ID 18319 //
     /*  56999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  57002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  57006 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57010 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  57014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57021 */     // (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVDQArm:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)
     /*  57021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQArm),
     /*  57024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57026 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57030 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57034 */     GIR_RootConstrainSelectedInstOperands,
     /*  57035 */     // GIR_Coverage, 18319,
     /*  57035 */     GIR_EraseRootFromParent_Done,
     /*  57036 */   // Label 1378: @57036
     /*  57036 */   GIM_Try, /*On fail goto*//*Label 1379*/ GIMT_Encode4(57078), // Rule ID 18320 //
     /*  57041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  57044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  57048 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57052 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  57056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57063 */     // (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVDQArm:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)
     /*  57063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQArm),
     /*  57066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57068 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57072 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57076 */     GIR_RootConstrainSelectedInstOperands,
     /*  57077 */     // GIR_Coverage, 18320,
     /*  57077 */     GIR_EraseRootFromParent_Done,
     /*  57078 */   // Label 1379: @57078
     /*  57078 */   GIM_Try, /*On fail goto*//*Label 1380*/ GIMT_Encode4(57116), // Rule ID 18323 //
     /*  57083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  57086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  57090 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57101 */     // (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVDQUrm:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)
     /*  57101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQUrm),
     /*  57104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57106 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57110 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57114 */     GIR_RootConstrainSelectedInstOperands,
     /*  57115 */     // GIR_Coverage, 18323,
     /*  57115 */     GIR_EraseRootFromParent_Done,
     /*  57116 */   // Label 1380: @57116
     /*  57116 */   GIM_Try, /*On fail goto*//*Label 1381*/ GIMT_Encode4(57154), // Rule ID 18324 //
     /*  57121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  57124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  57128 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57139 */     // (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVDQUrm:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)
     /*  57139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQUrm),
     /*  57142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57144 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57148 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57152 */     GIR_RootConstrainSelectedInstOperands,
     /*  57153 */     // GIR_Coverage, 18324,
     /*  57153 */     GIR_EraseRootFromParent_Done,
     /*  57154 */   // Label 1381: @57154
     /*  57154 */   GIM_Try, /*On fail goto*//*Label 1382*/ GIMT_Encode4(57196), // Rule ID 19812 //
     /*  57159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  57162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  57166 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57170 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  57174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57181 */     // (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVDQA64Z128rm:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)
     /*  57181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z128rm),
     /*  57184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57186 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57190 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57194 */     GIR_RootConstrainSelectedInstOperands,
     /*  57195 */     // GIR_Coverage, 19812,
     /*  57195 */     GIR_EraseRootFromParent_Done,
     /*  57196 */   // Label 1382: @57196
     /*  57196 */   GIM_Try, /*On fail goto*//*Label 1383*/ GIMT_Encode4(57238), // Rule ID 19813 //
     /*  57201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  57204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  57208 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57212 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  57216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57223 */     // (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPSZ128rm:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)
     /*  57223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZ128rm),
     /*  57226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57228 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57232 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57236 */     GIR_RootConstrainSelectedInstOperands,
     /*  57237 */     // GIR_Coverage, 19813,
     /*  57237 */     GIR_EraseRootFromParent_Done,
     /*  57238 */   // Label 1383: @57238
     /*  57238 */   GIM_Try, /*On fail goto*//*Label 1384*/ GIMT_Encode4(57276), // Rule ID 19816 //
     /*  57243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  57246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  57250 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57261 */     // (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVDQU64Z128rm:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)
     /*  57261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Z128rm),
     /*  57264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57266 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57270 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57274 */     GIR_RootConstrainSelectedInstOperands,
     /*  57275 */     // GIR_Coverage, 19816,
     /*  57275 */     GIR_EraseRootFromParent_Done,
     /*  57276 */   // Label 1384: @57276
     /*  57276 */   GIM_Try, /*On fail goto*//*Label 1385*/ GIMT_Encode4(57314), // Rule ID 19817 //
     /*  57281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  57284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  57288 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57299 */     // (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPSZ128rm:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)
     /*  57299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSZ128rm),
     /*  57302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57304 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57308 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57312 */     GIR_RootConstrainSelectedInstOperands,
     /*  57313 */     // GIR_Coverage, 19817,
     /*  57313 */     GIR_EraseRootFromParent_Done,
     /*  57314 */   // Label 1385: @57314
     /*  57314 */   GIM_Reject,
     /*  57315 */ // Label 1371: @57315
     /*  57315 */ GIM_Reject,
     /*  57316 */ // Label 1280: @57316
     /*  57316 */ GIM_Try, /*On fail goto*//*Label 1386*/ GIMT_Encode4(57649),
     /*  57321 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  57324 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  57328 */   GIM_Try, /*On fail goto*//*Label 1387*/ GIMT_Encode4(57370), // Rule ID 1706 //
     /*  57333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  57336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  57340 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57344 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  57348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57355 */     // (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPSYrm:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /*  57355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSYrm),
     /*  57358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57360 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57364 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57368 */     GIR_RootConstrainSelectedInstOperands,
     /*  57369 */     // GIR_Coverage, 1706,
     /*  57369 */     GIR_EraseRootFromParent_Done,
     /*  57370 */   // Label 1387: @57370
     /*  57370 */   GIM_Try, /*On fail goto*//*Label 1388*/ GIMT_Encode4(57408), // Rule ID 1708 //
     /*  57375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  57378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  57382 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57393 */     // (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPSYrm:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /*  57393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSYrm),
     /*  57396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57398 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57402 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57406 */     GIR_RootConstrainSelectedInstOperands,
     /*  57407 */     // GIR_Coverage, 1708,
     /*  57407 */     GIR_EraseRootFromParent_Done,
     /*  57408 */   // Label 1388: @57408
     /*  57408 */   GIM_Try, /*On fail goto*//*Label 1389*/ GIMT_Encode4(57450), // Rule ID 4466 //
     /*  57413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  57416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  57420 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57424 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  57428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57435 */     // (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPSZ256rm:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /*  57435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZ256rm),
     /*  57438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57440 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57444 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57448 */     GIR_RootConstrainSelectedInstOperands,
     /*  57449 */     // GIR_Coverage, 4466,
     /*  57449 */     GIR_EraseRootFromParent_Done,
     /*  57450 */   // Label 1389: @57450
     /*  57450 */   GIM_Try, /*On fail goto*//*Label 1390*/ GIMT_Encode4(57488), // Rule ID 4499 //
     /*  57455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  57458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  57462 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57473 */     // (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPSZ256rm:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /*  57473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSZ256rm),
     /*  57476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57478 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57482 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57486 */     GIR_RootConstrainSelectedInstOperands,
     /*  57487 */     // GIR_Coverage, 4499,
     /*  57487 */     GIR_EraseRootFromParent_Done,
     /*  57488 */   // Label 1390: @57488
     /*  57488 */   GIM_Try, /*On fail goto*//*Label 1391*/ GIMT_Encode4(57530), // Rule ID 17915 //
     /*  57493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  57496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  57500 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57504 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  57508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57515 */     // (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPSYrm:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)
     /*  57515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSYrm),
     /*  57518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57520 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57524 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57528 */     GIR_RootConstrainSelectedInstOperands,
     /*  57529 */     // GIR_Coverage, 17915,
     /*  57529 */     GIR_EraseRootFromParent_Done,
     /*  57530 */   // Label 1391: @57530
     /*  57530 */   GIM_Try, /*On fail goto*//*Label 1392*/ GIMT_Encode4(57568), // Rule ID 17919 //
     /*  57535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  57538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  57542 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57553 */     // (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPSYrm:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)
     /*  57553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSYrm),
     /*  57556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57558 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57562 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57566 */     GIR_RootConstrainSelectedInstOperands,
     /*  57567 */     // GIR_Coverage, 17919,
     /*  57567 */     GIR_EraseRootFromParent_Done,
     /*  57568 */   // Label 1392: @57568
     /*  57568 */   GIM_Try, /*On fail goto*//*Label 1393*/ GIMT_Encode4(57610), // Rule ID 19827 //
     /*  57573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  57576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  57580 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57584 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  57588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57595 */     // (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVDQA64Z256rm:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)
     /*  57595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z256rm),
     /*  57598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57600 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57604 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57608 */     GIR_RootConstrainSelectedInstOperands,
     /*  57609 */     // GIR_Coverage, 19827,
     /*  57609 */     GIR_EraseRootFromParent_Done,
     /*  57610 */   // Label 1393: @57610
     /*  57610 */   GIM_Try, /*On fail goto*//*Label 1394*/ GIMT_Encode4(57648), // Rule ID 19831 //
     /*  57615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  57618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  57622 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57633 */     // (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVDQU64Z256rm:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)
     /*  57633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Z256rm),
     /*  57636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57638 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57642 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57646 */     GIR_RootConstrainSelectedInstOperands,
     /*  57647 */     // GIR_Coverage, 19831,
     /*  57647 */     GIR_EraseRootFromParent_Done,
     /*  57648 */   // Label 1394: @57648
     /*  57648 */   GIM_Reject,
     /*  57649 */ // Label 1386: @57649
     /*  57649 */ GIM_Reject,
     /*  57650 */ // Label 1281: @57650
     /*  57650 */ GIM_Try, /*On fail goto*//*Label 1395*/ GIMT_Encode4(57823),
     /*  57655 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  57658 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  57662 */   GIM_Try, /*On fail goto*//*Label 1396*/ GIMT_Encode4(57704), // Rule ID 4479 //
     /*  57667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  57670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  57674 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57678 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  57682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57689 */     // (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPDZrm:{ *:[v8f64] } addr:{ *:[iPTR] }:$src)
     /*  57689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPDZrm),
     /*  57692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57694 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57698 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57702 */     GIR_RootConstrainSelectedInstOperands,
     /*  57703 */     // GIR_Coverage, 4479,
     /*  57703 */     GIR_EraseRootFromParent_Done,
     /*  57704 */   // Label 1396: @57704
     /*  57704 */   GIM_Try, /*On fail goto*//*Label 1397*/ GIMT_Encode4(57742), // Rule ID 4508 //
     /*  57709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  57712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  57716 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57727 */     // (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPDZrm:{ *:[v8f64] } addr:{ *:[iPTR] }:$src)
     /*  57727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPDZrm),
     /*  57730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57732 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57736 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57740 */     GIR_RootConstrainSelectedInstOperands,
     /*  57741 */     // GIR_Coverage, 4508,
     /*  57741 */     GIR_EraseRootFromParent_Done,
     /*  57742 */   // Label 1397: @57742
     /*  57742 */   GIM_Try, /*On fail goto*//*Label 1398*/ GIMT_Encode4(57784), // Rule ID 4533 //
     /*  57747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  57750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  57754 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57758 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  57762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57769 */     // (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVDQA64Zrm:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)
     /*  57769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Zrm),
     /*  57772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57774 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57778 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57782 */     GIR_RootConstrainSelectedInstOperands,
     /*  57783 */     // GIR_Coverage, 4533,
     /*  57783 */     GIR_EraseRootFromParent_Done,
     /*  57784 */   // Label 1398: @57784
     /*  57784 */   GIM_Try, /*On fail goto*//*Label 1399*/ GIMT_Encode4(57822), // Rule ID 4580 //
     /*  57789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  57792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  57796 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57807 */     // (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVDQU64Zrm:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)
     /*  57807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Zrm),
     /*  57810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57812 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57816 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57820 */     GIR_RootConstrainSelectedInstOperands,
     /*  57821 */     // GIR_Coverage, 4580,
     /*  57821 */     GIR_EraseRootFromParent_Done,
     /*  57822 */   // Label 1399: @57822
     /*  57822 */   GIM_Reject,
     /*  57823 */ // Label 1395: @57823
     /*  57823 */ GIM_Reject,
     /*  57824 */ // Label 1282: @57824
     /*  57824 */ GIM_Try, /*On fail goto*//*Label 1400*/ GIMT_Encode4(57905),
     /*  57829 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  57832 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  57836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  57840 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57844 */   GIM_Try, /*On fail goto*//*Label 1401*/ GIMT_Encode4(57874), // Rule ID 4398 //
     /*  57849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_NoEGPR),
     /*  57852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57859 */     // (ld:{ *:[v16i1] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (KMOVWkm:{ *:[v16i1] } addr:{ *:[iPTR] }:$src)
     /*  57859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVWkm),
     /*  57862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57864 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57868 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57872 */     GIR_RootConstrainSelectedInstOperands,
     /*  57873 */     // GIR_Coverage, 4398,
     /*  57873 */     GIR_EraseRootFromParent_Done,
     /*  57874 */   // Label 1401: @57874
     /*  57874 */   GIM_Try, /*On fail goto*//*Label 1402*/ GIMT_Encode4(57904), // Rule ID 4400 //
     /*  57879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEGPR_In64BitMode),
     /*  57882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57889 */     // (ld:{ *:[v16i1] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (KMOVWkm_EVEX:{ *:[v16i1] } addr:{ *:[iPTR] }:$src)
     /*  57889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVWkm_EVEX),
     /*  57892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57894 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57898 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57902 */     GIR_RootConstrainSelectedInstOperands,
     /*  57903 */     // GIR_Coverage, 4400,
     /*  57903 */     GIR_EraseRootFromParent_Done,
     /*  57904 */   // Label 1402: @57904
     /*  57904 */   GIM_Reject,
     /*  57905 */ // Label 1400: @57905
     /*  57905 */ GIM_Reject,
     /*  57906 */ // Label 1283: @57906
     /*  57906 */ GIM_Try, /*On fail goto*//*Label 1403*/ GIMT_Encode4(58159),
     /*  57911 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  57914 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  57918 */   GIM_Try, /*On fail goto*//*Label 1404*/ GIMT_Encode4(57960), // Rule ID 17941 //
     /*  57923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  57926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  57930 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57934 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  57938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57945 */     // (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (MOVAPSrm:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)
     /*  57945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVAPSrm),
     /*  57948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57950 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57954 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57958 */     GIR_RootConstrainSelectedInstOperands,
     /*  57959 */     // GIR_Coverage, 17941,
     /*  57959 */     GIR_EraseRootFromParent_Done,
     /*  57960 */   // Label 1404: @57960
     /*  57960 */   GIM_Try, /*On fail goto*//*Label 1405*/ GIMT_Encode4(57998), // Rule ID 17945 //
     /*  57965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  57968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  57972 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57983 */     // (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (MOVUPSrm:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)
     /*  57983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVUPSrm),
     /*  57986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57988 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57992 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57996 */     GIR_RootConstrainSelectedInstOperands,
     /*  57997 */     // GIR_Coverage, 17945,
     /*  57997 */     GIR_EraseRootFromParent_Done,
     /*  57998 */   // Label 1405: @57998
     /*  57998 */   GIM_Try, /*On fail goto*//*Label 1406*/ GIMT_Encode4(58040), // Rule ID 18321 //
     /*  58003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  58006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  58010 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58014 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  58018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58025 */     // (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVDQArm:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)
     /*  58025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQArm),
     /*  58028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58030 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58034 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58038 */     GIR_RootConstrainSelectedInstOperands,
     /*  58039 */     // GIR_Coverage, 18321,
     /*  58039 */     GIR_EraseRootFromParent_Done,
     /*  58040 */   // Label 1406: @58040
     /*  58040 */   GIM_Try, /*On fail goto*//*Label 1407*/ GIMT_Encode4(58078), // Rule ID 18325 //
     /*  58045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  58048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  58052 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58063 */     // (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVDQUrm:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)
     /*  58063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQUrm),
     /*  58066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58068 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58072 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58076 */     GIR_RootConstrainSelectedInstOperands,
     /*  58077 */     // GIR_Coverage, 18325,
     /*  58077 */     GIR_EraseRootFromParent_Done,
     /*  58078 */   // Label 1407: @58078
     /*  58078 */   GIM_Try, /*On fail goto*//*Label 1408*/ GIMT_Encode4(58120), // Rule ID 19814 //
     /*  58083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  58086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  58090 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58094 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  58098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58105 */     // (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVDQA64Z128rm:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)
     /*  58105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z128rm),
     /*  58108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58110 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58114 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58118 */     GIR_RootConstrainSelectedInstOperands,
     /*  58119 */     // GIR_Coverage, 19814,
     /*  58119 */     GIR_EraseRootFromParent_Done,
     /*  58120 */   // Label 1408: @58120
     /*  58120 */   GIM_Try, /*On fail goto*//*Label 1409*/ GIMT_Encode4(58158), // Rule ID 19818 //
     /*  58125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  58128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  58132 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58143 */     // (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVDQU64Z128rm:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)
     /*  58143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Z128rm),
     /*  58146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58148 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58152 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58156 */     GIR_RootConstrainSelectedInstOperands,
     /*  58157 */     // GIR_Coverage, 19818,
     /*  58157 */     GIR_EraseRootFromParent_Done,
     /*  58158 */   // Label 1409: @58158
     /*  58158 */   GIM_Reject,
     /*  58159 */ // Label 1403: @58159
     /*  58159 */ GIM_Reject,
     /*  58160 */ // Label 1284: @58160
     /*  58160 */ GIM_Try, /*On fail goto*//*Label 1410*/ GIMT_Encode4(58493),
     /*  58165 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  58168 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  58172 */   GIM_Try, /*On fail goto*//*Label 1411*/ GIMT_Encode4(58214), // Rule ID 17916 //
     /*  58177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  58180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  58184 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58188 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  58192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58199 */     // (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPSYrm:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)
     /*  58199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSYrm),
     /*  58202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58204 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58208 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58212 */     GIR_RootConstrainSelectedInstOperands,
     /*  58213 */     // GIR_Coverage, 17916,
     /*  58213 */     GIR_EraseRootFromParent_Done,
     /*  58214 */   // Label 1411: @58214
     /*  58214 */   GIM_Try, /*On fail goto*//*Label 1412*/ GIMT_Encode4(58252), // Rule ID 17920 //
     /*  58219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  58222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  58226 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58237 */     // (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPSYrm:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)
     /*  58237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSYrm),
     /*  58240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58242 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58246 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58250 */     GIR_RootConstrainSelectedInstOperands,
     /*  58251 */     // GIR_Coverage, 17920,
     /*  58251 */     GIR_EraseRootFromParent_Done,
     /*  58252 */   // Label 1412: @58252
     /*  58252 */   GIM_Try, /*On fail goto*//*Label 1413*/ GIMT_Encode4(58294), // Rule ID 17934 //
     /*  58257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  58260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  58264 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58268 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  58272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58279 */     // (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPSYrm:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)
     /*  58279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSYrm),
     /*  58282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58284 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58288 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58292 */     GIR_RootConstrainSelectedInstOperands,
     /*  58293 */     // GIR_Coverage, 17934,
     /*  58293 */     GIR_EraseRootFromParent_Done,
     /*  58294 */   // Label 1413: @58294
     /*  58294 */   GIM_Try, /*On fail goto*//*Label 1414*/ GIMT_Encode4(58332), // Rule ID 17935 //
     /*  58299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  58302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  58306 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58317 */     // (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPSYrm:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)
     /*  58317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSYrm),
     /*  58320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58322 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58326 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58330 */     GIR_RootConstrainSelectedInstOperands,
     /*  58331 */     // GIR_Coverage, 17935,
     /*  58331 */     GIR_EraseRootFromParent_Done,
     /*  58332 */   // Label 1414: @58332
     /*  58332 */   GIM_Try, /*On fail goto*//*Label 1415*/ GIMT_Encode4(58374), // Rule ID 19828 //
     /*  58337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  58340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  58344 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58348 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  58352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58359 */     // (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVDQA64Z256rm:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)
     /*  58359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z256rm),
     /*  58362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58364 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58368 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58372 */     GIR_RootConstrainSelectedInstOperands,
     /*  58373 */     // GIR_Coverage, 19828,
     /*  58373 */     GIR_EraseRootFromParent_Done,
     /*  58374 */   // Label 1415: @58374
     /*  58374 */   GIM_Try, /*On fail goto*//*Label 1416*/ GIMT_Encode4(58416), // Rule ID 19829 //
     /*  58379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  58382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  58386 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58390 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  58394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58401 */     // (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPSZ256rm:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)
     /*  58401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZ256rm),
     /*  58404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58406 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58410 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58414 */     GIR_RootConstrainSelectedInstOperands,
     /*  58415 */     // GIR_Coverage, 19829,
     /*  58415 */     GIR_EraseRootFromParent_Done,
     /*  58416 */   // Label 1416: @58416
     /*  58416 */   GIM_Try, /*On fail goto*//*Label 1417*/ GIMT_Encode4(58454), // Rule ID 19832 //
     /*  58421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  58424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  58428 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58439 */     // (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVDQU64Z256rm:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)
     /*  58439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Z256rm),
     /*  58442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58444 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58448 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58452 */     GIR_RootConstrainSelectedInstOperands,
     /*  58453 */     // GIR_Coverage, 19832,
     /*  58453 */     GIR_EraseRootFromParent_Done,
     /*  58454 */   // Label 1417: @58454
     /*  58454 */   GIM_Try, /*On fail goto*//*Label 1418*/ GIMT_Encode4(58492), // Rule ID 19833 //
     /*  58459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  58462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  58466 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58477 */     // (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPSZ256rm:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)
     /*  58477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSZ256rm),
     /*  58480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58482 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58486 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58490 */     GIR_RootConstrainSelectedInstOperands,
     /*  58491 */     // GIR_Coverage, 19833,
     /*  58491 */     GIR_EraseRootFromParent_Done,
     /*  58492 */   // Label 1418: @58492
     /*  58492 */   GIM_Reject,
     /*  58493 */ // Label 1410: @58493
     /*  58493 */ GIM_Reject,
     /*  58494 */ // Label 1285: @58494
     /*  58494 */ GIM_Try, /*On fail goto*//*Label 1419*/ GIMT_Encode4(58667),
     /*  58499 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  58502 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  58506 */   GIM_Try, /*On fail goto*//*Label 1420*/ GIMT_Encode4(58548), // Rule ID 4461 //
     /*  58511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  58514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  58518 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58522 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  58526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58533 */     // (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPSZrm:{ *:[v16f32] } addr:{ *:[iPTR] }:$src)
     /*  58533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZrm),
     /*  58536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58538 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58542 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58546 */     GIR_RootConstrainSelectedInstOperands,
     /*  58547 */     // GIR_Coverage, 4461,
     /*  58547 */     GIR_EraseRootFromParent_Done,
     /*  58548 */   // Label 1420: @58548
     /*  58548 */   GIM_Try, /*On fail goto*//*Label 1421*/ GIMT_Encode4(58586), // Rule ID 4496 //
     /*  58553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  58556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  58560 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58571 */     // (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPSZrm:{ *:[v16f32] } addr:{ *:[iPTR] }:$src)
     /*  58571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSZrm),
     /*  58574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58576 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58580 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58584 */     GIR_RootConstrainSelectedInstOperands,
     /*  58585 */     // GIR_Coverage, 4496,
     /*  58585 */     GIR_EraseRootFromParent_Done,
     /*  58586 */   // Label 1421: @58586
     /*  58586 */   GIM_Try, /*On fail goto*//*Label 1422*/ GIMT_Encode4(58628), // Rule ID 19795 //
     /*  58591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  58594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  58598 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58602 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  58606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58613 */     // (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVDQA64Zrm:{ *:[v16i32] } addr:{ *:[iPTR] }:$src)
     /*  58613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Zrm),
     /*  58616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58618 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58622 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58626 */     GIR_RootConstrainSelectedInstOperands,
     /*  58627 */     // GIR_Coverage, 19795,
     /*  58627 */     GIR_EraseRootFromParent_Done,
     /*  58628 */   // Label 1422: @58628
     /*  58628 */   GIM_Try, /*On fail goto*//*Label 1423*/ GIMT_Encode4(58666), // Rule ID 19799 //
     /*  58633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  58636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  58640 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58651 */     // (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVDQU64Zrm:{ *:[v16i32] } addr:{ *:[iPTR] }:$src)
     /*  58651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Zrm),
     /*  58654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58656 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58660 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58664 */     GIR_RootConstrainSelectedInstOperands,
     /*  58665 */     // GIR_Coverage, 19799,
     /*  58665 */     GIR_EraseRootFromParent_Done,
     /*  58666 */   // Label 1423: @58666
     /*  58666 */   GIM_Reject,
     /*  58667 */ // Label 1419: @58667
     /*  58667 */ GIM_Reject,
     /*  58668 */ // Label 1286: @58668
     /*  58668 */ GIM_Try, /*On fail goto*//*Label 1424*/ GIMT_Encode4(58749),
     /*  58673 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  58676 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  58680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  58684 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58688 */   GIM_Try, /*On fail goto*//*Label 1425*/ GIMT_Encode4(58718), // Rule ID 4402 //
     /*  58693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_NoEGPR),
     /*  58696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58703 */     // (ld:{ *:[v32i1] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (KMOVDkm:{ *:[v32i1] } addr:{ *:[iPTR] }:$src)
     /*  58703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVDkm),
     /*  58706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58708 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58712 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58716 */     GIR_RootConstrainSelectedInstOperands,
     /*  58717 */     // GIR_Coverage, 4402,
     /*  58717 */     GIR_EraseRootFromParent_Done,
     /*  58718 */   // Label 1425: @58718
     /*  58718 */   GIM_Try, /*On fail goto*//*Label 1426*/ GIMT_Encode4(58748), // Rule ID 4406 //
     /*  58723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEGPR_In64BitMode),
     /*  58726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58733 */     // (ld:{ *:[v32i1] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (KMOVDkm_EVEX:{ *:[v32i1] } addr:{ *:[iPTR] }:$src)
     /*  58733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVDkm_EVEX),
     /*  58736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58738 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58742 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58746 */     GIR_RootConstrainSelectedInstOperands,
     /*  58747 */     // GIR_Coverage, 4406,
     /*  58747 */     GIR_EraseRootFromParent_Done,
     /*  58748 */   // Label 1426: @58748
     /*  58748 */   GIM_Reject,
     /*  58749 */ // Label 1424: @58749
     /*  58749 */ GIM_Reject,
     /*  58750 */ // Label 1287: @58750
     /*  58750 */ GIM_Try, /*On fail goto*//*Label 1427*/ GIMT_Encode4(58923),
     /*  58755 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  58758 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  58762 */   GIM_Try, /*On fail goto*//*Label 1428*/ GIMT_Encode4(58804), // Rule ID 17917 //
     /*  58767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  58770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  58774 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58778 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  58782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58789 */     // (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPSYrm:{ *:[v32i8] } addr:{ *:[iPTR] }:$src)
     /*  58789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSYrm),
     /*  58792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58794 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58798 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58802 */     GIR_RootConstrainSelectedInstOperands,
     /*  58803 */     // GIR_Coverage, 17917,
     /*  58803 */     GIR_EraseRootFromParent_Done,
     /*  58804 */   // Label 1428: @58804
     /*  58804 */   GIM_Try, /*On fail goto*//*Label 1429*/ GIMT_Encode4(58842), // Rule ID 17921 //
     /*  58809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  58812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  58816 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58827 */     // (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPSYrm:{ *:[v32i8] } addr:{ *:[iPTR] }:$src)
     /*  58827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSYrm),
     /*  58830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58832 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58836 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58840 */     GIR_RootConstrainSelectedInstOperands,
     /*  58841 */     // GIR_Coverage, 17921,
     /*  58841 */     GIR_EraseRootFromParent_Done,
     /*  58842 */   // Label 1429: @58842
     /*  58842 */   GIM_Try, /*On fail goto*//*Label 1430*/ GIMT_Encode4(58884), // Rule ID 19830 //
     /*  58847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  58850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  58854 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58858 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  58862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58869 */     // (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVDQA64Z256rm:{ *:[v32i8] } addr:{ *:[iPTR] }:$src)
     /*  58869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z256rm),
     /*  58872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58874 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58878 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58882 */     GIR_RootConstrainSelectedInstOperands,
     /*  58883 */     // GIR_Coverage, 19830,
     /*  58883 */     GIR_EraseRootFromParent_Done,
     /*  58884 */   // Label 1430: @58884
     /*  58884 */   GIM_Try, /*On fail goto*//*Label 1431*/ GIMT_Encode4(58922), // Rule ID 19834 //
     /*  58889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  58892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  58896 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58907 */     // (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVDQU64Z256rm:{ *:[v32i8] } addr:{ *:[iPTR] }:$src)
     /*  58907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Z256rm),
     /*  58910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58912 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58916 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58920 */     GIR_RootConstrainSelectedInstOperands,
     /*  58921 */     // GIR_Coverage, 19834,
     /*  58921 */     GIR_EraseRootFromParent_Done,
     /*  58922 */   // Label 1431: @58922
     /*  58922 */   GIM_Reject,
     /*  58923 */ // Label 1427: @58923
     /*  58923 */ GIM_Reject,
     /*  58924 */ // Label 1288: @58924
     /*  58924 */ GIM_Try, /*On fail goto*//*Label 1432*/ GIMT_Encode4(59097),
     /*  58929 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  58932 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  58936 */   GIM_Try, /*On fail goto*//*Label 1433*/ GIMT_Encode4(58978), // Rule ID 19796 //
     /*  58941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  58944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  58948 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58952 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  58956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58963 */     // (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVDQA64Zrm:{ *:[v32i16] } addr:{ *:[iPTR] }:$src)
     /*  58963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Zrm),
     /*  58966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58968 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58972 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58976 */     GIR_RootConstrainSelectedInstOperands,
     /*  58977 */     // GIR_Coverage, 19796,
     /*  58977 */     GIR_EraseRootFromParent_Done,
     /*  58978 */   // Label 1433: @58978
     /*  58978 */   GIM_Try, /*On fail goto*//*Label 1434*/ GIMT_Encode4(59020), // Rule ID 19797 //
     /*  58983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  58986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  58990 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58994 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  58998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59005 */     // (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPSZrm:{ *:[v32f16] } addr:{ *:[iPTR] }:$src)
     /*  59005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZrm),
     /*  59008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59010 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  59014 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59018 */     GIR_RootConstrainSelectedInstOperands,
     /*  59019 */     // GIR_Coverage, 19797,
     /*  59019 */     GIR_EraseRootFromParent_Done,
     /*  59020 */   // Label 1434: @59020
     /*  59020 */   GIM_Try, /*On fail goto*//*Label 1435*/ GIMT_Encode4(59058), // Rule ID 19800 //
     /*  59025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  59028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  59032 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  59036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59043 */     // (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVDQU64Zrm:{ *:[v32i16] } addr:{ *:[iPTR] }:$src)
     /*  59043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Zrm),
     /*  59046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59048 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  59052 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59056 */     GIR_RootConstrainSelectedInstOperands,
     /*  59057 */     // GIR_Coverage, 19800,
     /*  59057 */     GIR_EraseRootFromParent_Done,
     /*  59058 */   // Label 1435: @59058
     /*  59058 */   GIM_Try, /*On fail goto*//*Label 1436*/ GIMT_Encode4(59096), // Rule ID 19801 //
     /*  59063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  59066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  59070 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  59074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59081 */     // (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPSZrm:{ *:[v32f16] } addr:{ *:[iPTR] }:$src)
     /*  59081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSZrm),
     /*  59084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59086 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  59090 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59094 */     GIR_RootConstrainSelectedInstOperands,
     /*  59095 */     // GIR_Coverage, 19801,
     /*  59095 */     GIR_EraseRootFromParent_Done,
     /*  59096 */   // Label 1436: @59096
     /*  59096 */   GIM_Reject,
     /*  59097 */ // Label 1432: @59097
     /*  59097 */ GIM_Reject,
     /*  59098 */ // Label 1289: @59098
     /*  59098 */ GIM_Try, /*On fail goto*//*Label 1437*/ GIMT_Encode4(59179),
     /*  59103 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  59106 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  59110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  59114 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  59118 */   GIM_Try, /*On fail goto*//*Label 1438*/ GIMT_Encode4(59148), // Rule ID 4404 //
     /*  59123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_NoEGPR),
     /*  59126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59133 */     // (ld:{ *:[v64i1] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (KMOVQkm:{ *:[v64i1] } addr:{ *:[iPTR] }:$src)
     /*  59133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVQkm),
     /*  59136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59138 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  59142 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59146 */     GIR_RootConstrainSelectedInstOperands,
     /*  59147 */     // GIR_Coverage, 4404,
     /*  59147 */     GIR_EraseRootFromParent_Done,
     /*  59148 */   // Label 1438: @59148
     /*  59148 */   GIM_Try, /*On fail goto*//*Label 1439*/ GIMT_Encode4(59178), // Rule ID 4408 //
     /*  59153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEGPR_In64BitMode),
     /*  59156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59163 */     // (ld:{ *:[v64i1] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (KMOVQkm_EVEX:{ *:[v64i1] } addr:{ *:[iPTR] }:$src)
     /*  59163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVQkm_EVEX),
     /*  59166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59168 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  59172 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59176 */     GIR_RootConstrainSelectedInstOperands,
     /*  59177 */     // GIR_Coverage, 4408,
     /*  59177 */     GIR_EraseRootFromParent_Done,
     /*  59178 */   // Label 1439: @59178
     /*  59178 */   GIM_Reject,
     /*  59179 */ // Label 1437: @59179
     /*  59179 */ GIM_Reject,
     /*  59180 */ // Label 1290: @59180
     /*  59180 */ GIM_Try, /*On fail goto*//*Label 1440*/ GIMT_Encode4(59273),
     /*  59185 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  59188 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  59192 */   GIM_Try, /*On fail goto*//*Label 1441*/ GIMT_Encode4(59234), // Rule ID 19798 //
     /*  59197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  59200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  59204 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  59208 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  59212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59219 */     // (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVDQA64Zrm:{ *:[v64i8] } addr:{ *:[iPTR] }:$src)
     /*  59219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Zrm),
     /*  59222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59224 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  59228 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59232 */     GIR_RootConstrainSelectedInstOperands,
     /*  59233 */     // GIR_Coverage, 19798,
     /*  59233 */     GIR_EraseRootFromParent_Done,
     /*  59234 */   // Label 1441: @59234
     /*  59234 */   GIM_Try, /*On fail goto*//*Label 1442*/ GIMT_Encode4(59272), // Rule ID 19802 //
     /*  59239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  59242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  59246 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  59250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59257 */     // (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVDQU64Zrm:{ *:[v64i8] } addr:{ *:[iPTR] }:$src)
     /*  59257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Zrm),
     /*  59260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59262 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  59266 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59270 */     GIR_RootConstrainSelectedInstOperands,
     /*  59271 */     // GIR_Coverage, 19802,
     /*  59271 */     GIR_EraseRootFromParent_Done,
     /*  59272 */   // Label 1442: @59272
     /*  59272 */   GIM_Reject,
     /*  59273 */ // Label 1440: @59273
     /*  59273 */ GIM_Reject,
     /*  59274 */ // Label 1291: @59274
     /*  59274 */ GIM_Reject,
     /*  59275 */ // Label 11: @59275
     /*  59275 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 1446*/ GIMT_Encode4(59607),
     /*  59286 */ /*GILLT_s16*//*Label 1443*/ GIMT_Encode4(59298),
     /*  59290 */ /*GILLT_s32*//*Label 1444*/ GIMT_Encode4(59374),
     /*  59294 */ /*GILLT_s64*//*Label 1445*/ GIMT_Encode4(59468),
     /*  59298 */ // Label 1443: @59298
     /*  59298 */ GIM_Try, /*On fail goto*//*Label 1447*/ GIMT_Encode4(59373), // Rule ID 22645 //
     /*  59303 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  59306 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  59313 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  59317 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  59321 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59328 */   // (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (EXTRACT_SUBREG:{ *:[i16] } (MOVSX32rm8:{ *:[i32] } addr:{ *:[iPTR] }:$src), sub_16bit:{ *:[i32] })
     /*  59328 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  59331 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVSX32rm8),
     /*  59335 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  59340 */   GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  59344 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59348 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  59350 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  59353 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59355 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /*  59362 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  59367 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /*  59372 */   // GIR_Coverage, 22645,
     /*  59372 */   GIR_EraseRootFromParent_Done,
     /*  59373 */ // Label 1447: @59373
     /*  59373 */ GIM_Reject,
     /*  59374 */ // Label 1444: @59374
     /*  59374 */ GIM_Try, /*On fail goto*//*Label 1448*/ GIMT_Encode4(59467),
     /*  59379 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  59382 */   GIM_Try, /*On fail goto*//*Label 1449*/ GIMT_Encode4(59424), // Rule ID 615 //
     /*  59387 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  59394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  59398 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  59402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59409 */     // (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (MOVSX32rm8:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /*  59409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVSX32rm8),
     /*  59412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59414 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  59418 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59422 */     GIR_RootConstrainSelectedInstOperands,
     /*  59423 */     // GIR_Coverage, 615,
     /*  59423 */     GIR_EraseRootFromParent_Done,
     /*  59424 */   // Label 1449: @59424
     /*  59424 */   GIM_Try, /*On fail goto*//*Label 1450*/ GIMT_Encode4(59466), // Rule ID 617 //
     /*  59429 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  59436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  59440 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  59444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59451 */     // (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (MOVSX32rm16:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /*  59451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVSX32rm16),
     /*  59454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59456 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  59460 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59464 */     GIR_RootConstrainSelectedInstOperands,
     /*  59465 */     // GIR_Coverage, 617,
     /*  59465 */     GIR_EraseRootFromParent_Done,
     /*  59466 */   // Label 1450: @59466
     /*  59466 */   GIM_Reject,
     /*  59467 */ // Label 1448: @59467
     /*  59467 */ GIM_Reject,
     /*  59468 */ // Label 1445: @59468
     /*  59468 */ GIM_Try, /*On fail goto*//*Label 1451*/ GIMT_Encode4(59606),
     /*  59473 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  59476 */   GIM_Try, /*On fail goto*//*Label 1452*/ GIMT_Encode4(59518), // Rule ID 623 //
     /*  59481 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  59488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  59492 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  59496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59503 */     // (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (MOVSX64rm8:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  59503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVSX64rm8),
     /*  59506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59508 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  59512 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59516 */     GIR_RootConstrainSelectedInstOperands,
     /*  59517 */     // GIR_Coverage, 623,
     /*  59517 */     GIR_EraseRootFromParent_Done,
     /*  59518 */   // Label 1452: @59518
     /*  59518 */   GIM_Try, /*On fail goto*//*Label 1453*/ GIMT_Encode4(59560), // Rule ID 625 //
     /*  59523 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  59530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  59534 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  59538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59545 */     // (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (MOVSX64rm16:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  59545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVSX64rm16),
     /*  59548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59550 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  59554 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59558 */     GIR_RootConstrainSelectedInstOperands,
     /*  59559 */     // GIR_Coverage, 625,
     /*  59559 */     GIR_EraseRootFromParent_Done,
     /*  59560 */   // Label 1453: @59560
     /*  59560 */   GIM_Try, /*On fail goto*//*Label 1454*/ GIMT_Encode4(59605), // Rule ID 627 //
     /*  59565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /*  59568 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  59575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  59579 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  59583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59590 */     // (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>>  =>  (MOVSX64rm32:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  59590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVSX64rm32),
     /*  59593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59595 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  59599 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59603 */     GIR_RootConstrainSelectedInstOperands,
     /*  59604 */     // GIR_Coverage, 627,
     /*  59604 */     GIR_EraseRootFromParent_Done,
     /*  59605 */   // Label 1454: @59605
     /*  59605 */   GIM_Reject,
     /*  59606 */ // Label 1451: @59606
     /*  59606 */ GIM_Reject,
     /*  59607 */ // Label 1446: @59607
     /*  59607 */ GIM_Reject,
     /*  59608 */ // Label 12: @59608
     /*  59608 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(5), /*)*//*default:*//*Label 1459*/ GIMT_Encode4(60262),
     /*  59619 */ /*GILLT_s8*//*Label 1455*/ GIMT_Encode4(59635),
     /*  59623 */ /*GILLT_s16*//*Label 1456*/ GIMT_Encode4(59681),
     /*  59627 */ /*GILLT_s32*//*Label 1457*/ GIMT_Encode4(59820),
     /*  59631 */ /*GILLT_s64*//*Label 1458*/ GIMT_Encode4(59956),
     /*  59635 */ // Label 1455: @59635
     /*  59635 */ GIM_Try, /*On fail goto*//*Label 1460*/ GIMT_Encode4(59680), // Rule ID 22573 //
     /*  59640 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  59643 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  59650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  59654 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  59658 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59665 */   // (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (MOV8rm:{ *:[i8] } addr:{ *:[iPTR] }:$src)
     /*  59665 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV8rm),
     /*  59668 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59670 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  59674 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59678 */   GIR_RootConstrainSelectedInstOperands,
     /*  59679 */   // GIR_Coverage, 22573,
     /*  59679 */   GIR_EraseRootFromParent_Done,
     /*  59680 */ // Label 1460: @59680
     /*  59680 */ GIM_Reject,
     /*  59681 */ // Label 1456: @59681
     /*  59681 */ GIM_Try, /*On fail goto*//*Label 1461*/ GIMT_Encode4(59819),
     /*  59686 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  59689 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  59696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  59700 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  59704 */   GIM_Try, /*On fail goto*//*Label 1462*/ GIMT_Encode4(59761), // Rule ID 22574 //
     /*  59709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59716 */     // (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (EXTRACT_SUBREG:{ *:[i16] } (MOVZX32rm8:{ *:[i32] } addr:{ *:[iPTR] }:$src), sub_16bit:{ *:[i32] })
     /*  59716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  59719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVZX32rm8),
     /*  59723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  59728 */     GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  59732 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59736 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  59738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  59741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59743 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /*  59750 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  59755 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /*  59760 */     // GIR_Coverage, 22574,
     /*  59760 */     GIR_EraseRootFromParent_Done,
     /*  59761 */   // Label 1462: @59761
     /*  59761 */   GIM_Try, /*On fail goto*//*Label 1463*/ GIMT_Encode4(59818), // Rule ID 22647 //
     /*  59766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59773 */     // (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (EXTRACT_SUBREG:{ *:[i16] } (MOVZX32rm8:{ *:[i32] } addr:{ *:[iPTR] }:$src), sub_16bit:{ *:[i32] })
     /*  59773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  59776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVZX32rm8),
     /*  59780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  59785 */     GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  59789 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  59795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  59798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59800 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /*  59807 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  59812 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /*  59817 */     // GIR_Coverage, 22647,
     /*  59817 */     GIR_EraseRootFromParent_Done,
     /*  59818 */   // Label 1463: @59818
     /*  59818 */   GIM_Reject,
     /*  59819 */ // Label 1461: @59819
     /*  59819 */ GIM_Reject,
     /*  59820 */ // Label 1457: @59820
     /*  59820 */ GIM_Try, /*On fail goto*//*Label 1464*/ GIMT_Encode4(59955),
     /*  59825 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  59828 */   GIM_Try, /*On fail goto*//*Label 1465*/ GIMT_Encode4(59870), // Rule ID 619 //
     /*  59833 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  59840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  59844 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  59848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59855 */     // (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (MOVZX32rm8:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /*  59855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVZX32rm8),
     /*  59858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59860 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  59864 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59868 */     GIR_RootConstrainSelectedInstOperands,
     /*  59869 */     // GIR_Coverage, 619,
     /*  59869 */     GIR_EraseRootFromParent_Done,
     /*  59870 */   // Label 1465: @59870
     /*  59870 */   GIM_Try, /*On fail goto*//*Label 1466*/ GIMT_Encode4(59912), // Rule ID 621 //
     /*  59875 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  59882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  59886 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  59890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59897 */     // (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (MOVZX32rm16:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /*  59897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVZX32rm16),
     /*  59900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59902 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  59906 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59910 */     GIR_RootConstrainSelectedInstOperands,
     /*  59911 */     // GIR_Coverage, 621,
     /*  59911 */     GIR_EraseRootFromParent_Done,
     /*  59912 */   // Label 1466: @59912
     /*  59912 */   GIM_Try, /*On fail goto*//*Label 1467*/ GIMT_Encode4(59954), // Rule ID 22575 //
     /*  59917 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  59924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  59928 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  59932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59939 */     // (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (MOVZX32rm8:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /*  59939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVZX32rm8),
     /*  59942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59944 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  59948 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59952 */     GIR_RootConstrainSelectedInstOperands,
     /*  59953 */     // GIR_Coverage, 22575,
     /*  59953 */     GIR_EraseRootFromParent_Done,
     /*  59954 */   // Label 1467: @59954
     /*  59954 */   GIM_Reject,
     /*  59955 */ // Label 1464: @59955
     /*  59955 */ GIM_Reject,
     /*  59956 */ // Label 1458: @59956
     /*  59956 */ GIM_Try, /*On fail goto*//*Label 1468*/ GIMT_Encode4(60261),
     /*  59961 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  59964 */   GIM_Try, /*On fail goto*//*Label 1469*/ GIMT_Encode4(60038), // Rule ID 17590 //
     /*  59969 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  59976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  59980 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  59984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59991 */     // (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (MOVZX32rm8:{ *:[i32] } addr:{ *:[iPTR] }:$src), sub_32bit:{ *:[i32] })
     /*  59991 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  59994 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVZX32rm8),
     /*  59998 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60003 */     GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  60007 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  60011 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  60013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  60016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  60018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  60021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  60024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  60027 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /*  60032 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR32RegClassID),
     /*  60037 */     // GIR_Coverage, 17590,
     /*  60037 */     GIR_EraseRootFromParent_Done,
     /*  60038 */   // Label 1469: @60038
     /*  60038 */   GIM_Try, /*On fail goto*//*Label 1470*/ GIMT_Encode4(60112), // Rule ID 17592 //
     /*  60043 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  60050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  60054 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  60058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  60065 */     // (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (MOVZX32rm16:{ *:[i32] } addr:{ *:[iPTR] }:$src), sub_32bit:{ *:[i32] })
     /*  60065 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  60068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVZX32rm16),
     /*  60072 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60077 */     GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  60081 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  60085 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  60087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  60090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  60092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  60095 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  60098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  60101 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /*  60106 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR32RegClassID),
     /*  60111 */     // GIR_Coverage, 17592,
     /*  60111 */     GIR_EraseRootFromParent_Done,
     /*  60112 */   // Label 1470: @60112
     /*  60112 */   GIM_Try, /*On fail goto*//*Label 1471*/ GIMT_Encode4(60186), // Rule ID 17594 //
     /*  60117 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  60124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  60128 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  60132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  60139 */     // (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (MOV32rm:{ *:[i32] } addr:{ *:[iPTR] }:$src), sub_32bit:{ *:[i32] })
     /*  60139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  60142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOV32rm),
     /*  60146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60151 */     GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  60155 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  60159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  60161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  60164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  60166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  60169 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  60172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  60175 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /*  60180 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR32RegClassID),
     /*  60185 */     // GIR_Coverage, 17594,
     /*  60185 */     GIR_EraseRootFromParent_Done,
     /*  60186 */   // Label 1471: @60186
     /*  60186 */   GIM_Try, /*On fail goto*//*Label 1472*/ GIMT_Encode4(60260), // Rule ID 22576 //
     /*  60191 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  60198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  60202 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  60206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  60213 */     // (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (MOVZX32rm8:{ *:[i32] } addr:{ *:[iPTR] }:$src), sub_32bit:{ *:[i32] })
     /*  60213 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  60216 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVZX32rm8),
     /*  60220 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60225 */     GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  60229 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  60233 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  60235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  60238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  60240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  60243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  60246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  60249 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /*  60254 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR32RegClassID),
     /*  60259 */     // GIR_Coverage, 22576,
     /*  60259 */     GIR_EraseRootFromParent_Done,
     /*  60260 */   // Label 1472: @60260
     /*  60260 */   GIM_Reject,
     /*  60261 */ // Label 1468: @60261
     /*  60261 */ GIM_Reject,
     /*  60262 */ // Label 1459: @60262
     /*  60262 */ GIM_Reject,
     /*  60263 */ // Label 13: @60263
     /*  60263 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(25), /*)*//*default:*//*Label 1495*/ GIMT_Encode4(85725),
     /*  60274 */ /*GILLT_s8*//*Label 1473*/ GIMT_Encode4(60370),
     /*  60278 */ /*GILLT_s16*//*Label 1474*/ GIMT_Encode4(65040),
     /*  60282 */ /*GILLT_s32*//*Label 1475*/ GIMT_Encode4(70284),
     /*  60286 */ /*GILLT_s64*//*Label 1476*/ GIMT_Encode4(75984),
     /*  60290 */ /*GILLT_s80*//*Label 1477*/ GIMT_Encode4(81376),
     /*  60294 */ /*GILLT_s128*//*Label 1478*/ GIMT_Encode4(81535), GIMT_Encode4(0),
     /*  60302 */ /*GILLT_v2s64*//*Label 1479*/ GIMT_Encode4(81789), GIMT_Encode4(0),
     /*  60310 */ /*GILLT_v4s32*//*Label 1480*/ GIMT_Encode4(82283),
     /*  60314 */ /*GILLT_v4s64*//*Label 1481*/ GIMT_Encode4(82777),
     /*  60318 */ /*GILLT_v8s1*//*Label 1482*/ GIMT_Encode4(83111),
     /*  60322 */ /*GILLT_v8s16*//*Label 1483*/ GIMT_Encode4(83193),
     /*  60326 */ /*GILLT_v8s32*//*Label 1484*/ GIMT_Encode4(83767),
     /*  60330 */ /*GILLT_v8s64*//*Label 1485*/ GIMT_Encode4(84101),
     /*  60334 */ /*GILLT_v16s1*//*Label 1486*/ GIMT_Encode4(84275),
     /*  60338 */ /*GILLT_v16s8*//*Label 1487*/ GIMT_Encode4(84357),
     /*  60342 */ /*GILLT_v16s16*//*Label 1488*/ GIMT_Encode4(84611),
     /*  60346 */ /*GILLT_v16s32*//*Label 1489*/ GIMT_Encode4(84945),
     /*  60350 */ /*GILLT_v32s1*//*Label 1490*/ GIMT_Encode4(85119),
     /*  60354 */ /*GILLT_v32s8*//*Label 1491*/ GIMT_Encode4(85201),
     /*  60358 */ /*GILLT_v32s16*//*Label 1492*/ GIMT_Encode4(85375),
     /*  60362 */ /*GILLT_v64s1*//*Label 1493*/ GIMT_Encode4(85549),
     /*  60366 */ /*GILLT_v64s8*//*Label 1494*/ GIMT_Encode4(85631),
     /*  60370 */ // Label 1473: @60370
     /*  60370 */ GIM_Try, /*On fail goto*//*Label 1496*/ GIMT_Encode4(60466), // Rule ID 22490 //
     /*  60375 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseIncDec),
     /*  60378 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  60381 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  60388 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  60392 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  60396 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  60400 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  60404 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60408 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  60412 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  60415 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  60419 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  60426 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  60430 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  60434 */   // MIs[0] dst
     /*  60434 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  60439 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60441 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  60448 */   // (atomic_store (add:{ *:[i8] } (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_8>>, 1:{ *:[i8] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (INC8m:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  60448 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INC8m),
     /*  60451 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  60455 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  60458 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  60464 */   GIR_RootConstrainSelectedInstOperands,
     /*  60465 */   // GIR_Coverage, 22490,
     /*  60465 */   GIR_EraseRootFromParent_Done,
     /*  60466 */ // Label 1496: @60466
     /*  60466 */ GIM_Try, /*On fail goto*//*Label 1497*/ GIMT_Encode4(60562), // Rule ID 22494 //
     /*  60471 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseIncDec),
     /*  60474 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  60477 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  60484 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  60488 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  60492 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  60496 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  60500 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60504 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  60508 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  60511 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  60515 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  60522 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  60526 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  60530 */   // MIs[0] dst
     /*  60530 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  60535 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60537 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  60544 */   // (atomic_store (add:{ *:[i8] } (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_8>>, -1:{ *:[i8] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (DEC8m:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  60544 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DEC8m),
     /*  60547 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  60551 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  60554 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  60560 */   GIR_RootConstrainSelectedInstOperands,
     /*  60561 */   // GIR_Coverage, 22494,
     /*  60561 */   GIR_EraseRootFromParent_Done,
     /*  60562 */ // Label 1497: @60562
     /*  60562 */ GIM_Try, /*On fail goto*//*Label 1498*/ GIMT_Encode4(60655), // Rule ID 22498 //
     /*  60567 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  60570 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  60577 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  60581 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  60585 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  60589 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  60593 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /*  60597 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  60601 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  60605 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  60608 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  60612 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  60619 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  60623 */   // MIs[0] dst
     /*  60623 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  60628 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60630 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  60637 */   // (atomic_store (sub:{ *:[i8] } 0:{ *:[i8] }, (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_8>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (NEG8m:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  60637 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG8m),
     /*  60640 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  60644 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  60647 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  60653 */   GIR_RootConstrainSelectedInstOperands,
     /*  60654 */   // GIR_Coverage, 22498,
     /*  60654 */   GIR_EraseRootFromParent_Done,
     /*  60655 */ // Label 1498: @60655
     /*  60655 */ GIM_Try, /*On fail goto*//*Label 1499*/ GIMT_Encode4(60745), // Rule ID 22502 //
     /*  60660 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  60663 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  60670 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  60674 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60678 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  60682 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  60686 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60690 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  60694 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  60697 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  60701 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  60708 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  60712 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  60716 */   // MIs[0] dst
     /*  60716 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  60721 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60723 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  60730 */   // (atomic_store (xor:{ *:[i8] } (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_8>>, -1:{ *:[i8] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (NOT8m addr:{ *:[iPTR] }:$dst)
     /*  60730 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT8m),
     /*  60733 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  60737 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  60743 */   GIR_RootConstrainSelectedInstOperands,
     /*  60744 */   // GIR_Coverage, 22502,
     /*  60744 */   GIR_EraseRootFromParent_Done,
     /*  60745 */ // Label 1499: @60745
     /*  60745 */ GIM_Try, /*On fail goto*//*Label 1500*/ GIMT_Encode4(60831), // Rule ID 225 //
     /*  60750 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseIncDec),
     /*  60753 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  60756 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  60760 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  60764 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  60768 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  60772 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  60776 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60780 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  60784 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  60787 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  60791 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  60795 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  60799 */   // MIs[0] src1
     /*  60799 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  60804 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60806 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  60813 */   // (st (add:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, 1:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (INC8m:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  60813 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INC8m),
     /*  60816 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  60820 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  60823 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  60829 */   GIR_RootConstrainSelectedInstOperands,
     /*  60830 */   // GIR_Coverage, 225,
     /*  60830 */   GIR_EraseRootFromParent_Done,
     /*  60831 */ // Label 1500: @60831
     /*  60831 */ GIM_Try, /*On fail goto*//*Label 1501*/ GIMT_Encode4(60917), // Rule ID 228 //
     /*  60836 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseIncDec),
     /*  60839 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  60842 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  60846 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  60850 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  60854 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  60858 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  60862 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60866 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  60870 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  60873 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  60877 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  60881 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  60885 */   // MIs[0] src1
     /*  60885 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  60890 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60892 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  60899 */   // (st (add:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, -1:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (DEC8m:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  60899 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DEC8m),
     /*  60902 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  60906 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  60909 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  60915 */   GIR_RootConstrainSelectedInstOperands,
     /*  60916 */   // GIR_Coverage, 228,
     /*  60916 */   GIR_EraseRootFromParent_Done,
     /*  60917 */ // Label 1501: @60917
     /*  60917 */ GIM_Try, /*On fail goto*//*Label 1502*/ GIMT_Encode4(61000), // Rule ID 17611 //
     /*  60922 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  60925 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  60929 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  60933 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  60937 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  60941 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  60945 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60949 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  60953 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  60956 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  60960 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  60964 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 7,
     /*  60968 */   // MIs[0] dst
     /*  60968 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  60973 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60975 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  60982 */   // (st (rotl:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, 7:{ *:[i8] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROR8m1:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  60982 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR8m1),
     /*  60985 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  60989 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  60992 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  60998 */   GIR_RootConstrainSelectedInstOperands,
     /*  60999 */   // GIR_Coverage, 17611,
     /*  60999 */   GIR_EraseRootFromParent_Done,
     /*  61000 */ // Label 1502: @61000
     /*  61000 */ GIM_Try, /*On fail goto*//*Label 1503*/ GIMT_Encode4(61083), // Rule ID 17615 //
     /*  61005 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  61008 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  61012 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  61016 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTR),
     /*  61020 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  61024 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  61028 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61032 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  61036 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  61039 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  61043 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  61047 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 7,
     /*  61051 */   // MIs[0] dst
     /*  61051 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  61056 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  61058 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  61065 */   // (st (rotr:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, 7:{ *:[i8] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROL8m1:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  61065 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL8m1),
     /*  61068 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  61072 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  61075 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  61081 */   GIR_RootConstrainSelectedInstOperands,
     /*  61082 */   // GIR_Coverage, 17615,
     /*  61082 */   GIR_EraseRootFromParent_Done,
     /*  61083 */ // Label 1503: @61083
     /*  61083 */ GIM_Try, /*On fail goto*//*Label 1504*/ GIMT_Encode4(61166), // Rule ID 261 //
     /*  61088 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  61091 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  61095 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  61099 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  61103 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  61107 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  61111 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /*  61115 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  61119 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  61123 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  61126 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  61130 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  61134 */   // MIs[0] src1
     /*  61134 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  61139 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  61141 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  61148 */   // (st (sub:{ *:[i8] } 0:{ *:[i8] }, (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (NEG8m:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  61148 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG8m),
     /*  61151 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  61155 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  61158 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  61164 */   GIR_RootConstrainSelectedInstOperands,
     /*  61165 */   // GIR_Coverage, 261,
     /*  61165 */   GIR_EraseRootFromParent_Done,
     /*  61166 */ // Label 1504: @61166
     /*  61166 */ GIM_Try, /*On fail goto*//*Label 1505*/ GIMT_Encode4(61246), // Rule ID 269 //
     /*  61171 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  61174 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  61178 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  61182 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  61186 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  61190 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  61194 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61198 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  61202 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  61205 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  61209 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  61213 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  61217 */   // MIs[0] src1
     /*  61217 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  61222 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  61224 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  61231 */   // (st (xor:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, -1:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (NOT8m addr:{ *:[iPTR] }:$src1)
     /*  61231 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT8m),
     /*  61234 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  61238 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  61244 */   GIR_RootConstrainSelectedInstOperands,
     /*  61245 */   // GIR_Coverage, 269,
     /*  61245 */   GIR_EraseRootFromParent_Done,
     /*  61246 */ // Label 1505: @61246
     /*  61246 */ GIM_Try, /*On fail goto*//*Label 1506*/ GIMT_Encode4(61341), // Rule ID 413 //
     /*  61251 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  61254 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  61258 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  61262 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  61266 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  61270 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  61274 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61278 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  61282 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  61285 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  61289 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  61293 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  61297 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  61301 */   // MIs[3] Operand 1
     /*  61301 */   // No operand predicates
     /*  61301 */   GIM_CheckCxxInsnPredicate, /*MI*/3, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_imm_su),
     /*  61305 */   // MIs[0] src1
     /*  61305 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  61310 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  61312 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  61319 */   // (st (add:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] })<<P:Predicate_imm_su>>:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ADD8mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  61319 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD8mi),
     /*  61322 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  61326 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  61329 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  61332 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  61339 */   GIR_RootConstrainSelectedInstOperands,
     /*  61340 */   // GIR_Coverage, 413,
     /*  61340 */   GIR_EraseRootFromParent_Done,
     /*  61341 */ // Label 1506: @61341
     /*  61341 */ GIM_Try, /*On fail goto*//*Label 1507*/ GIMT_Encode4(61436), // Rule ID 305 //
     /*  61346 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  61349 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  61353 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  61357 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61361 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  61365 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  61369 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61373 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  61377 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  61380 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  61384 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  61388 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  61392 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  61396 */   // MIs[3] Operand 1
     /*  61396 */   // No operand predicates
     /*  61396 */   GIM_CheckCxxInsnPredicate, /*MI*/3, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_imm_su),
     /*  61400 */   // MIs[0] src1
     /*  61400 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  61405 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  61407 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  61414 */   // (st (and:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] })<<P:Predicate_imm_su>>:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (AND8mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  61414 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND8mi),
     /*  61417 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  61421 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  61424 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  61427 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  61434 */   GIR_RootConstrainSelectedInstOperands,
     /*  61435 */   // GIR_Coverage, 305,
     /*  61435 */   GIR_EraseRootFromParent_Done,
     /*  61436 */ // Label 1507: @61436
     /*  61436 */ GIM_Try, /*On fail goto*//*Label 1508*/ GIMT_Encode4(61531), // Rule ID 341 //
     /*  61441 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  61444 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  61448 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  61452 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  61456 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  61460 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  61464 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61468 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  61472 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  61475 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  61479 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  61483 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  61487 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  61491 */   // MIs[3] Operand 1
     /*  61491 */   // No operand predicates
     /*  61491 */   GIM_CheckCxxInsnPredicate, /*MI*/3, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_imm_su),
     /*  61495 */   // MIs[0] src1
     /*  61495 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  61500 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  61502 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  61509 */   // (st (or:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] })<<P:Predicate_imm_su>>:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (OR8mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  61509 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR8mi),
     /*  61512 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  61516 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  61519 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  61522 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  61529 */   GIR_RootConstrainSelectedInstOperands,
     /*  61530 */   // GIR_Coverage, 341,
     /*  61530 */   GIR_EraseRootFromParent_Done,
     /*  61531 */ // Label 1508: @61531
     /*  61531 */ GIM_Try, /*On fail goto*//*Label 1509*/ GIMT_Encode4(61626), // Rule ID 453 //
     /*  61536 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  61539 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  61543 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  61547 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  61551 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  61555 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  61559 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61563 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  61567 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  61570 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  61574 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  61578 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  61582 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  61586 */   // MIs[3] Operand 1
     /*  61586 */   // No operand predicates
     /*  61586 */   GIM_CheckCxxInsnPredicate, /*MI*/3, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_imm_su),
     /*  61590 */   // MIs[0] src1
     /*  61590 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  61595 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  61597 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  61604 */   // (st (sub:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] })<<P:Predicate_imm_su>>:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SUB8mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  61604 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB8mi),
     /*  61607 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  61611 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  61614 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  61617 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  61624 */   GIR_RootConstrainSelectedInstOperands,
     /*  61625 */   // GIR_Coverage, 453,
     /*  61625 */   GIR_EraseRootFromParent_Done,
     /*  61626 */ // Label 1509: @61626
     /*  61626 */ GIM_Try, /*On fail goto*//*Label 1510*/ GIMT_Encode4(61721), // Rule ID 377 //
     /*  61631 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  61634 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  61638 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  61642 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  61646 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  61650 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  61654 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61658 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  61662 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  61665 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  61669 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  61673 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  61677 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  61681 */   // MIs[3] Operand 1
     /*  61681 */   // No operand predicates
     /*  61681 */   GIM_CheckCxxInsnPredicate, /*MI*/3, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_imm_su),
     /*  61685 */   // MIs[0] src1
     /*  61685 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  61690 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  61692 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  61699 */   // (st (xor:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] })<<P:Predicate_imm_su>>:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (XOR8mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  61699 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR8mi),
     /*  61702 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  61706 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  61709 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  61712 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  61719 */   GIR_RootConstrainSelectedInstOperands,
     /*  61720 */   // GIR_Coverage, 377,
     /*  61720 */   GIR_EraseRootFromParent_Done,
     /*  61721 */ // Label 1510: @61721
     /*  61721 */ GIM_Try, /*On fail goto*//*Label 1511*/ GIMT_Encode4(61822), // Rule ID 22426 //
     /*  61726 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  61729 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  61736 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  61740 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  61744 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  61748 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  61752 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61756 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  61760 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  61763 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  61767 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  61774 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  61778 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  61782 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  61786 */   // MIs[3] Operand 1
     /*  61786 */   // No operand predicates
     /*  61786 */   // MIs[0] dst
     /*  61786 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  61791 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  61793 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  61800 */   // (atomic_store (add:{ *:[i8] } (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_8>>, (imm:{ *:[i8] }):$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (ADD8mi:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i8] }):$src)
     /*  61800 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD8mi),
     /*  61803 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  61807 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  61810 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  61813 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  61820 */   GIR_RootConstrainSelectedInstOperands,
     /*  61821 */   // GIR_Coverage, 22426,
     /*  61821 */   GIR_EraseRootFromParent_Done,
     /*  61822 */ // Label 1511: @61822
     /*  61822 */ GIM_Try, /*On fail goto*//*Label 1512*/ GIMT_Encode4(61923), // Rule ID 22434 //
     /*  61827 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  61830 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  61837 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  61841 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61845 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  61849 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  61853 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61857 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  61861 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  61864 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  61868 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  61875 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  61879 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  61883 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  61887 */   // MIs[3] Operand 1
     /*  61887 */   // No operand predicates
     /*  61887 */   // MIs[0] dst
     /*  61887 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  61892 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  61894 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  61901 */   // (atomic_store (and:{ *:[i8] } (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_8>>, (imm:{ *:[i8] }):$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (AND8mi:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i8] }):$src)
     /*  61901 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND8mi),
     /*  61904 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  61908 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  61911 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  61914 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  61921 */   GIR_RootConstrainSelectedInstOperands,
     /*  61922 */   // GIR_Coverage, 22434,
     /*  61922 */   GIR_EraseRootFromParent_Done,
     /*  61923 */ // Label 1512: @61923
     /*  61923 */ GIM_Try, /*On fail goto*//*Label 1513*/ GIMT_Encode4(62024), // Rule ID 22442 //
     /*  61928 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  61931 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  61938 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  61942 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  61946 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  61950 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  61954 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61958 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  61962 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  61965 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  61969 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  61976 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  61980 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  61984 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  61988 */   // MIs[3] Operand 1
     /*  61988 */   // No operand predicates
     /*  61988 */   // MIs[0] dst
     /*  61988 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  61993 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  61995 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  62002 */   // (atomic_store (or:{ *:[i8] } (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_8>>, (imm:{ *:[i8] }):$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (OR8mi:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i8] }):$src)
     /*  62002 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR8mi),
     /*  62005 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  62009 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  62012 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  62015 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  62022 */   GIR_RootConstrainSelectedInstOperands,
     /*  62023 */   // GIR_Coverage, 22442,
     /*  62023 */   GIR_EraseRootFromParent_Done,
     /*  62024 */ // Label 1513: @62024
     /*  62024 */ GIM_Try, /*On fail goto*//*Label 1514*/ GIMT_Encode4(62125), // Rule ID 22458 //
     /*  62029 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  62032 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  62039 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  62043 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  62047 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  62051 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  62055 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  62059 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  62063 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  62066 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  62070 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  62077 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  62081 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  62085 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62089 */   // MIs[3] Operand 1
     /*  62089 */   // No operand predicates
     /*  62089 */   // MIs[0] dst
     /*  62089 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  62094 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  62096 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  62103 */   // (atomic_store (sub:{ *:[i8] } (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_8>>, (imm:{ *:[i8] }):$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (SUB8mi:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i8] }):$src)
     /*  62103 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB8mi),
     /*  62106 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  62110 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  62113 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  62116 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  62123 */   GIR_RootConstrainSelectedInstOperands,
     /*  62124 */   // GIR_Coverage, 22458,
     /*  62124 */   GIR_EraseRootFromParent_Done,
     /*  62125 */ // Label 1514: @62125
     /*  62125 */ GIM_Try, /*On fail goto*//*Label 1515*/ GIMT_Encode4(62226), // Rule ID 22450 //
     /*  62130 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  62133 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  62140 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  62144 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  62148 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  62152 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  62156 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  62160 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  62164 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  62167 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  62171 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  62178 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  62182 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  62186 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62190 */   // MIs[3] Operand 1
     /*  62190 */   // No operand predicates
     /*  62190 */   // MIs[0] dst
     /*  62190 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  62195 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  62197 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  62204 */   // (atomic_store (xor:{ *:[i8] } (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_8>>, (imm:{ *:[i8] }):$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (XOR8mi:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i8] }):$src)
     /*  62204 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR8mi),
     /*  62207 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  62211 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  62214 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  62217 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  62224 */   GIR_RootConstrainSelectedInstOperands,
     /*  62225 */   // GIR_Coverage, 22450,
     /*  62225 */   GIR_EraseRootFromParent_Done,
     /*  62226 */ // Label 1515: @62226
     /*  62226 */ GIM_Try, /*On fail goto*//*Label 1516*/ GIMT_Encode4(62317), // Rule ID 732 //
     /*  62231 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  62234 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  62238 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  62242 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  62246 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  62250 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  62254 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  62258 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  62262 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  62265 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  62269 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  62273 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  62277 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62281 */   // MIs[3] Operand 1
     /*  62281 */   // No operand predicates
     /*  62281 */   // MIs[0] src1
     /*  62281 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  62286 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  62288 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  62295 */   // (st (sra:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SAR8mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  62295 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR8mi),
     /*  62298 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  62302 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  62305 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  62308 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  62315 */   GIR_RootConstrainSelectedInstOperands,
     /*  62316 */   // GIR_Coverage, 732,
     /*  62316 */   GIR_EraseRootFromParent_Done,
     /*  62317 */ // Label 1516: @62317
     /*  62317 */ GIM_Try, /*On fail goto*//*Label 1517*/ GIMT_Encode4(62408), // Rule ID 700 //
     /*  62322 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  62325 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  62329 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  62333 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  62337 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  62341 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  62345 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  62349 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  62353 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  62356 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  62360 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  62364 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  62368 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62372 */   // MIs[3] Operand 1
     /*  62372 */   // No operand predicates
     /*  62372 */   // MIs[0] src1
     /*  62372 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  62377 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  62379 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  62386 */   // (st (srl:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHR8mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  62386 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR8mi),
     /*  62389 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  62393 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  62396 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  62399 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  62406 */   GIR_RootConstrainSelectedInstOperands,
     /*  62407 */   // GIR_Coverage, 700,
     /*  62407 */   GIR_EraseRootFromParent_Done,
     /*  62408 */ // Label 1517: @62408
     /*  62408 */ GIM_Try, /*On fail goto*//*Label 1518*/ GIMT_Encode4(62499), // Rule ID 764 //
     /*  62413 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  62416 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  62420 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  62424 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  62428 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  62432 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  62436 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  62440 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  62444 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  62447 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  62451 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  62455 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  62459 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62463 */   // MIs[3] Operand 1
     /*  62463 */   // No operand predicates
     /*  62463 */   // MIs[0] src1
     /*  62463 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  62468 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  62470 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  62477 */   // (st (rotl:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROL8mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  62477 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL8mi),
     /*  62480 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  62484 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  62487 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  62490 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  62497 */   GIR_RootConstrainSelectedInstOperands,
     /*  62498 */   // GIR_Coverage, 764,
     /*  62498 */   GIR_EraseRootFromParent_Done,
     /*  62499 */ // Label 1518: @62499
     /*  62499 */ GIM_Try, /*On fail goto*//*Label 1519*/ GIMT_Encode4(62590), // Rule ID 796 //
     /*  62504 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  62507 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  62511 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  62515 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTR),
     /*  62519 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  62523 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  62527 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  62531 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  62535 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  62538 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  62542 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  62546 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  62550 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62554 */   // MIs[3] Operand 1
     /*  62554 */   // No operand predicates
     /*  62554 */   // MIs[0] src1
     /*  62554 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  62559 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  62561 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  62568 */   // (st (rotr:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROR8mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  62568 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR8mi),
     /*  62571 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  62575 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  62578 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  62581 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  62588 */   GIR_RootConstrainSelectedInstOperands,
     /*  62589 */   // GIR_Coverage, 796,
     /*  62589 */   GIR_EraseRootFromParent_Done,
     /*  62590 */ // Label 1519: @62590
     /*  62590 */ GIM_Try, /*On fail goto*//*Label 1520*/ GIMT_Encode4(62681), // Rule ID 668 //
     /*  62595 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  62598 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  62602 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  62606 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  62610 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  62614 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  62618 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  62622 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  62626 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  62629 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  62633 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  62637 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  62641 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62645 */   // MIs[3] Operand 1
     /*  62645 */   // No operand predicates
     /*  62645 */   // MIs[0] src1
     /*  62645 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  62650 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  62652 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  62659 */   // (st (shl:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHL8mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  62659 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL8mi),
     /*  62662 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  62666 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  62669 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  62672 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  62679 */   GIR_RootConstrainSelectedInstOperands,
     /*  62680 */   // GIR_Coverage, 668,
     /*  62680 */   GIR_EraseRootFromParent_Done,
     /*  62681 */ // Label 1520: @62681
     /*  62681 */ GIM_Try, /*On fail goto*//*Label 1521*/ GIMT_Encode4(62779), // Rule ID 22430 //
     /*  62686 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  62689 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  62696 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  62700 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  62704 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  62708 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  62712 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  62716 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  62720 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  62723 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  62727 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  62734 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  62738 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  62743 */   // MIs[0] dst
     /*  62743 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  62748 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  62750 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  62757 */   // (atomic_store (add:{ *:[i8] } (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_8>>, GR8:{ *:[i8] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (ADD8mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR8:{ *:[i8] }:$src)
     /*  62757 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD8mr),
     /*  62760 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  62764 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  62768 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  62771 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  62777 */   GIR_RootConstrainSelectedInstOperands,
     /*  62778 */   // GIR_Coverage, 22430,
     /*  62778 */   GIR_EraseRootFromParent_Done,
     /*  62779 */ // Label 1521: @62779
     /*  62779 */ GIM_Try, /*On fail goto*//*Label 1522*/ GIMT_Encode4(62877), // Rule ID 25999 //
     /*  62784 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  62787 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  62794 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  62798 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  62802 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  62806 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  62810 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  62815 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  62819 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  62823 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  62826 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  62830 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  62837 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  62841 */   // MIs[0] dst
     /*  62841 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  62846 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  62848 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  62855 */   // (atomic_store (add:{ *:[i8] } GR8:{ *:[i8] }:$src, (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_8>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (ADD8mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR8:{ *:[i8] }:$src)
     /*  62855 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD8mr),
     /*  62858 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  62862 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  62866 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  62869 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  62875 */   GIR_RootConstrainSelectedInstOperands,
     /*  62876 */   // GIR_Coverage, 25999,
     /*  62876 */   GIR_EraseRootFromParent_Done,
     /*  62877 */ // Label 1522: @62877
     /*  62877 */ GIM_Try, /*On fail goto*//*Label 1523*/ GIMT_Encode4(62975), // Rule ID 22438 //
     /*  62882 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  62885 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  62892 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  62896 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62900 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  62904 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  62908 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  62912 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  62916 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  62919 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  62923 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  62930 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  62934 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  62939 */   // MIs[0] dst
     /*  62939 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  62944 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  62946 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  62953 */   // (atomic_store (and:{ *:[i8] } (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_8>>, GR8:{ *:[i8] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (AND8mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR8:{ *:[i8] }:$src)
     /*  62953 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND8mr),
     /*  62956 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  62960 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  62964 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  62967 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  62973 */   GIR_RootConstrainSelectedInstOperands,
     /*  62974 */   // GIR_Coverage, 22438,
     /*  62974 */   GIR_EraseRootFromParent_Done,
     /*  62975 */ // Label 1523: @62975
     /*  62975 */ GIM_Try, /*On fail goto*//*Label 1524*/ GIMT_Encode4(63073), // Rule ID 26003 //
     /*  62980 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  62983 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  62990 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  62994 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62998 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  63002 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  63006 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  63011 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  63015 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  63019 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  63022 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  63026 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  63033 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  63037 */   // MIs[0] dst
     /*  63037 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  63042 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63044 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  63051 */   // (atomic_store (and:{ *:[i8] } GR8:{ *:[i8] }:$src, (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_8>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (AND8mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR8:{ *:[i8] }:$src)
     /*  63051 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND8mr),
     /*  63054 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  63058 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  63062 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  63065 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  63071 */   GIR_RootConstrainSelectedInstOperands,
     /*  63072 */   // GIR_Coverage, 26003,
     /*  63072 */   GIR_EraseRootFromParent_Done,
     /*  63073 */ // Label 1524: @63073
     /*  63073 */ GIM_Try, /*On fail goto*//*Label 1525*/ GIMT_Encode4(63171), // Rule ID 22446 //
     /*  63078 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  63081 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  63088 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  63092 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  63096 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  63100 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  63104 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  63108 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  63112 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  63115 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  63119 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  63126 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  63130 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  63135 */   // MIs[0] dst
     /*  63135 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  63140 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63142 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  63149 */   // (atomic_store (or:{ *:[i8] } (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_8>>, GR8:{ *:[i8] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (OR8mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR8:{ *:[i8] }:$src)
     /*  63149 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR8mr),
     /*  63152 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  63156 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  63160 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  63163 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  63169 */   GIR_RootConstrainSelectedInstOperands,
     /*  63170 */   // GIR_Coverage, 22446,
     /*  63170 */   GIR_EraseRootFromParent_Done,
     /*  63171 */ // Label 1525: @63171
     /*  63171 */ GIM_Try, /*On fail goto*//*Label 1526*/ GIMT_Encode4(63269), // Rule ID 26007 //
     /*  63176 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  63179 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  63186 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  63190 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  63194 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  63198 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  63202 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  63207 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  63211 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  63215 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  63218 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  63222 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  63229 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  63233 */   // MIs[0] dst
     /*  63233 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  63238 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63240 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  63247 */   // (atomic_store (or:{ *:[i8] } GR8:{ *:[i8] }:$src, (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_8>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (OR8mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR8:{ *:[i8] }:$src)
     /*  63247 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR8mr),
     /*  63250 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  63254 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  63258 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  63261 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  63267 */   GIR_RootConstrainSelectedInstOperands,
     /*  63268 */   // GIR_Coverage, 26007,
     /*  63268 */   GIR_EraseRootFromParent_Done,
     /*  63269 */ // Label 1526: @63269
     /*  63269 */ GIM_Try, /*On fail goto*//*Label 1527*/ GIMT_Encode4(63367), // Rule ID 22462 //
     /*  63274 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  63277 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  63284 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  63288 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  63292 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  63296 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  63300 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  63304 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  63308 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  63311 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  63315 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  63322 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  63326 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  63331 */   // MIs[0] dst
     /*  63331 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  63336 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63338 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  63345 */   // (atomic_store (sub:{ *:[i8] } (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_8>>, GR8:{ *:[i8] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (SUB8mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR8:{ *:[i8] }:$src)
     /*  63345 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB8mr),
     /*  63348 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  63352 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  63356 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  63359 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  63365 */   GIR_RootConstrainSelectedInstOperands,
     /*  63366 */   // GIR_Coverage, 22462,
     /*  63366 */   GIR_EraseRootFromParent_Done,
     /*  63367 */ // Label 1527: @63367
     /*  63367 */ GIM_Try, /*On fail goto*//*Label 1528*/ GIMT_Encode4(63465), // Rule ID 22454 //
     /*  63372 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  63375 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  63382 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  63386 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63390 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  63394 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  63398 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  63402 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  63406 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  63409 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  63413 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  63420 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  63424 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  63429 */   // MIs[0] dst
     /*  63429 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  63434 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63436 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  63443 */   // (atomic_store (xor:{ *:[i8] } (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_8>>, GR8:{ *:[i8] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (XOR8mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR8:{ *:[i8] }:$src)
     /*  63443 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR8mr),
     /*  63446 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  63450 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  63454 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  63457 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  63463 */   GIR_RootConstrainSelectedInstOperands,
     /*  63464 */   // GIR_Coverage, 22454,
     /*  63464 */   GIR_EraseRootFromParent_Done,
     /*  63465 */ // Label 1528: @63465
     /*  63465 */ GIM_Try, /*On fail goto*//*Label 1529*/ GIMT_Encode4(63563), // Rule ID 26011 //
     /*  63470 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  63473 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  63480 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  63484 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63488 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  63492 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  63496 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  63501 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  63505 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  63509 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  63512 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  63516 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  63523 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  63527 */   // MIs[0] dst
     /*  63527 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  63532 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63534 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  63541 */   // (atomic_store (xor:{ *:[i8] } GR8:{ *:[i8] }:$src, (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_8>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (XOR8mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR8:{ *:[i8] }:$src)
     /*  63541 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR8mr),
     /*  63544 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  63548 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  63552 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  63555 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  63561 */   GIR_RootConstrainSelectedInstOperands,
     /*  63562 */   // GIR_Coverage, 26011,
     /*  63562 */   GIR_EraseRootFromParent_Done,
     /*  63563 */ // Label 1529: @63563
     /*  63563 */ GIM_Try, /*On fail goto*//*Label 1530*/ GIMT_Encode4(63651), // Rule ID 409 //
     /*  63568 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  63571 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  63575 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  63579 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  63583 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  63587 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  63591 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  63595 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  63599 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  63602 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  63606 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  63610 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  63615 */   // MIs[0] src1
     /*  63615 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  63620 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63622 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  63629 */   // (st (add:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR8:{ *:[i8] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ADD8mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR8:{ *:[i8] }:$src2)
     /*  63629 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD8mr),
     /*  63632 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  63636 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  63640 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  63643 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  63649 */   GIR_RootConstrainSelectedInstOperands,
     /*  63650 */   // GIR_Coverage, 409,
     /*  63650 */   GIR_EraseRootFromParent_Done,
     /*  63651 */ // Label 1530: @63651
     /*  63651 */ GIM_Try, /*On fail goto*//*Label 1531*/ GIMT_Encode4(63739), // Rule ID 23219 //
     /*  63656 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  63659 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  63663 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  63667 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  63671 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  63675 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  63679 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  63684 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  63688 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  63692 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  63695 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  63699 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  63703 */   // MIs[0] src1
     /*  63703 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  63708 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63710 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  63717 */   // (st (add:{ *:[i8] } GR8:{ *:[i8] }:$src2, (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ADD8mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR8:{ *:[i8] }:$src2)
     /*  63717 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD8mr),
     /*  63720 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  63724 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  63728 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  63731 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  63737 */   GIR_RootConstrainSelectedInstOperands,
     /*  63738 */   // GIR_Coverage, 23219,
     /*  63738 */   GIR_EraseRootFromParent_Done,
     /*  63739 */ // Label 1531: @63739
     /*  63739 */ GIM_Try, /*On fail goto*//*Label 1532*/ GIMT_Encode4(63827), // Rule ID 301 //
     /*  63744 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  63747 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  63751 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  63755 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63759 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  63763 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  63767 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  63771 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  63775 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  63778 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  63782 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  63786 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  63791 */   // MIs[0] src1
     /*  63791 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  63796 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63798 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  63805 */   // (st (and:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR8:{ *:[i8] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (AND8mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR8:{ *:[i8] }:$src2)
     /*  63805 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND8mr),
     /*  63808 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  63812 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  63816 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  63819 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  63825 */   GIR_RootConstrainSelectedInstOperands,
     /*  63826 */   // GIR_Coverage, 301,
     /*  63826 */   GIR_EraseRootFromParent_Done,
     /*  63827 */ // Label 1532: @63827
     /*  63827 */ GIM_Try, /*On fail goto*//*Label 1533*/ GIMT_Encode4(63915), // Rule ID 23183 //
     /*  63832 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  63835 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  63839 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  63843 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63847 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  63851 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  63855 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  63860 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  63864 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  63868 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  63871 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  63875 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  63879 */   // MIs[0] src1
     /*  63879 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  63884 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63886 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  63893 */   // (st (and:{ *:[i8] } GR8:{ *:[i8] }:$src2, (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (AND8mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR8:{ *:[i8] }:$src2)
     /*  63893 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND8mr),
     /*  63896 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  63900 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  63904 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  63907 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  63913 */   GIR_RootConstrainSelectedInstOperands,
     /*  63914 */   // GIR_Coverage, 23183,
     /*  63914 */   GIR_EraseRootFromParent_Done,
     /*  63915 */ // Label 1533: @63915
     /*  63915 */ GIM_Try, /*On fail goto*//*Label 1534*/ GIMT_Encode4(64013), // Rule ID 748 //
     /*  63920 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  63923 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  63927 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  63931 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  63935 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  63939 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  63943 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  63947 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  63951 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  63954 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  63958 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  63962 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  63967 */   // MIs[0] src1
     /*  63967 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  63972 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63974 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  63981 */   // (st (sra:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SAR8mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  63981 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  63985 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  63991 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  63995 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR8mCL),
     /*  63998 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  64002 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  64005 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  64011 */   GIR_RootConstrainSelectedInstOperands,
     /*  64012 */   // GIR_Coverage, 748,
     /*  64012 */   GIR_EraseRootFromParent_Done,
     /*  64013 */ // Label 1534: @64013
     /*  64013 */ GIM_Try, /*On fail goto*//*Label 1535*/ GIMT_Encode4(64111), // Rule ID 716 //
     /*  64018 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64021 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  64025 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  64029 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  64033 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  64037 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  64041 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  64045 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  64049 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64052 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  64056 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  64060 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  64065 */   // MIs[0] src1
     /*  64065 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  64070 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64072 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  64079 */   // (st (srl:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHR8mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  64079 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  64083 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  64089 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  64093 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR8mCL),
     /*  64096 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  64100 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  64103 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  64109 */   GIR_RootConstrainSelectedInstOperands,
     /*  64110 */   // GIR_Coverage, 716,
     /*  64110 */   GIR_EraseRootFromParent_Done,
     /*  64111 */ // Label 1535: @64111
     /*  64111 */ GIM_Try, /*On fail goto*//*Label 1536*/ GIMT_Encode4(64199), // Rule ID 337 //
     /*  64116 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64119 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  64123 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  64127 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  64131 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  64135 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  64139 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  64143 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  64147 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64150 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  64154 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  64158 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  64163 */   // MIs[0] src1
     /*  64163 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  64168 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64170 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  64177 */   // (st (or:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR8:{ *:[i8] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (OR8mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR8:{ *:[i8] }:$src2)
     /*  64177 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR8mr),
     /*  64180 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  64184 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  64188 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  64191 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  64197 */   GIR_RootConstrainSelectedInstOperands,
     /*  64198 */   // GIR_Coverage, 337,
     /*  64198 */   GIR_EraseRootFromParent_Done,
     /*  64199 */ // Label 1536: @64199
     /*  64199 */ GIM_Try, /*On fail goto*//*Label 1537*/ GIMT_Encode4(64287), // Rule ID 23195 //
     /*  64204 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64207 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  64211 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  64215 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  64219 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  64223 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  64227 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  64232 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  64236 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  64240 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64243 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  64247 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  64251 */   // MIs[0] src1
     /*  64251 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  64256 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64258 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  64265 */   // (st (or:{ *:[i8] } GR8:{ *:[i8] }:$src2, (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (OR8mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR8:{ *:[i8] }:$src2)
     /*  64265 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR8mr),
     /*  64268 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  64272 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  64276 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  64279 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  64285 */   GIR_RootConstrainSelectedInstOperands,
     /*  64286 */   // GIR_Coverage, 23195,
     /*  64286 */   GIR_EraseRootFromParent_Done,
     /*  64287 */ // Label 1537: @64287
     /*  64287 */ GIM_Try, /*On fail goto*//*Label 1538*/ GIMT_Encode4(64385), // Rule ID 780 //
     /*  64292 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64295 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  64299 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  64303 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  64307 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  64311 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  64315 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  64319 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  64323 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64326 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  64330 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  64334 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  64339 */   // MIs[0] src1
     /*  64339 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  64344 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64346 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  64353 */   // (st (rotl:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROL8mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  64353 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  64357 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  64363 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  64367 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL8mCL),
     /*  64370 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  64374 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  64377 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  64383 */   GIR_RootConstrainSelectedInstOperands,
     /*  64384 */   // GIR_Coverage, 780,
     /*  64384 */   GIR_EraseRootFromParent_Done,
     /*  64385 */ // Label 1538: @64385
     /*  64385 */ GIM_Try, /*On fail goto*//*Label 1539*/ GIMT_Encode4(64483), // Rule ID 812 //
     /*  64390 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64393 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  64397 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  64401 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTR),
     /*  64405 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  64409 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  64413 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  64417 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  64421 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64424 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  64428 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  64432 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  64437 */   // MIs[0] src1
     /*  64437 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  64442 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64444 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  64451 */   // (st (rotr:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROR8mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  64451 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  64455 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  64461 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  64465 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR8mCL),
     /*  64468 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  64472 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  64475 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  64481 */   GIR_RootConstrainSelectedInstOperands,
     /*  64482 */   // GIR_Coverage, 812,
     /*  64482 */   GIR_EraseRootFromParent_Done,
     /*  64483 */ // Label 1539: @64483
     /*  64483 */ GIM_Try, /*On fail goto*//*Label 1540*/ GIMT_Encode4(64581), // Rule ID 684 //
     /*  64488 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64491 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  64495 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  64499 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  64503 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  64507 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  64511 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  64515 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  64519 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64522 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  64526 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  64530 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  64535 */   // MIs[0] src1
     /*  64535 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  64540 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64542 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  64549 */   // (st (shl:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHL8mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  64549 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  64553 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  64559 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  64563 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL8mCL),
     /*  64566 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  64570 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  64573 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  64579 */   GIR_RootConstrainSelectedInstOperands,
     /*  64580 */   // GIR_Coverage, 684,
     /*  64580 */   GIR_EraseRootFromParent_Done,
     /*  64581 */ // Label 1540: @64581
     /*  64581 */ GIM_Try, /*On fail goto*//*Label 1541*/ GIMT_Encode4(64669), // Rule ID 445 //
     /*  64586 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64589 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  64593 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  64597 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  64601 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  64605 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  64609 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  64613 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  64617 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64620 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  64624 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  64628 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  64633 */   // MIs[0] src1
     /*  64633 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  64638 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64640 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  64647 */   // (st (sub:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR8:{ *:[i8] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SUB8mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR8:{ *:[i8] }:$src2)
     /*  64647 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB8mr),
     /*  64650 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  64654 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  64658 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  64661 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  64667 */   GIR_RootConstrainSelectedInstOperands,
     /*  64668 */   // GIR_Coverage, 445,
     /*  64668 */   GIR_EraseRootFromParent_Done,
     /*  64669 */ // Label 1541: @64669
     /*  64669 */ GIM_Try, /*On fail goto*//*Label 1542*/ GIMT_Encode4(64757), // Rule ID 373 //
     /*  64674 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64677 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  64681 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  64685 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  64689 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  64693 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  64697 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  64701 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  64705 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64708 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  64712 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  64716 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  64721 */   // MIs[0] src1
     /*  64721 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  64726 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64728 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  64735 */   // (st (xor:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR8:{ *:[i8] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (XOR8mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR8:{ *:[i8] }:$src2)
     /*  64735 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR8mr),
     /*  64738 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  64742 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  64746 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  64749 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  64755 */   GIR_RootConstrainSelectedInstOperands,
     /*  64756 */   // GIR_Coverage, 373,
     /*  64756 */   GIR_EraseRootFromParent_Done,
     /*  64757 */ // Label 1542: @64757
     /*  64757 */ GIM_Try, /*On fail goto*//*Label 1543*/ GIMT_Encode4(64845), // Rule ID 23207 //
     /*  64762 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64765 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  64769 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  64773 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  64777 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  64781 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  64785 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  64790 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  64794 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  64798 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64801 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  64805 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  64809 */   // MIs[0] src1
     /*  64809 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  64814 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64816 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  64823 */   // (st (xor:{ *:[i8] } GR8:{ *:[i8] }:$src2, (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (XOR8mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR8:{ *:[i8] }:$src2)
     /*  64823 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR8mr),
     /*  64826 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  64830 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  64834 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  64837 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  64843 */   GIR_RootConstrainSelectedInstOperands,
     /*  64844 */   // GIR_Coverage, 23207,
     /*  64844 */   GIR_EraseRootFromParent_Done,
     /*  64845 */ // Label 1543: @64845
     /*  64845 */ GIM_Try, /*On fail goto*//*Label 1544*/ GIMT_Encode4(64899), // Rule ID 24 //
     /*  64850 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64853 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  64857 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  64861 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  64865 */   // MIs[1] Operand 1
     /*  64865 */   // No operand predicates
     /*  64865 */   GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_imm_su),
     /*  64869 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  64873 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  64875 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  64882 */   // (st (imm:{ *:[i8] })<<P:Predicate_imm_su>>:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOV8mi addr:{ *:[iPTR] }:$dst, (imm:{ *:[i8] }):$src)
     /*  64882 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV8mi),
     /*  64885 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  64889 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src
     /*  64892 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  64897 */   GIR_RootConstrainSelectedInstOperands,
     /*  64898 */   // GIR_Coverage, 24,
     /*  64898 */   GIR_EraseRootFromParent_Done,
     /*  64899 */ // Label 1544: @64899
     /*  64899 */ GIM_Try, /*On fail goto*//*Label 1545*/ GIMT_Encode4(64952), // Rule ID 22506 //
     /*  64904 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  64907 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  64914 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  64918 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  64922 */   // MIs[1] Operand 1
     /*  64922 */   // No operand predicates
     /*  64922 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  64926 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  64928 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  64935 */   // (atomic_store (imm:{ *:[i8] }):$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (MOV8mi addr:{ *:[iPTR] }:$dst, (imm:{ *:[i8] }):$src)
     /*  64935 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV8mi),
     /*  64938 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  64942 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src
     /*  64945 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  64950 */   GIR_RootConstrainSelectedInstOperands,
     /*  64951 */   // GIR_Coverage, 22506,
     /*  64951 */   GIR_EraseRootFromParent_Done,
     /*  64952 */ // Label 1545: @64952
     /*  64952 */ GIM_Try, /*On fail goto*//*Label 1546*/ GIMT_Encode4(64997), // Rule ID 22510 //
     /*  64957 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  64960 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  64967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  64971 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  64975 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  64982 */   // (atomic_store GR8:{ *:[i8] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (MOV8mr addr:{ *:[iPTR] }:$dst, GR8:{ *:[i8] }:$src)
     /*  64982 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV8mr),
     /*  64985 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  64989 */   GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  64991 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  64995 */   GIR_RootConstrainSelectedInstOperands,
     /*  64996 */   // GIR_Coverage, 22510,
     /*  64996 */   GIR_EraseRootFromParent_Done,
     /*  64997 */ // Label 1546: @64997
     /*  64997 */ GIM_Try, /*On fail goto*//*Label 1547*/ GIMT_Encode4(65039), // Rule ID 32 //
     /*  65002 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  65005 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  65009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  65013 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  65017 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  65024 */   // (st GR8:{ *:[i8] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOV8mr addr:{ *:[iPTR] }:$dst, GR8:{ *:[i8] }:$src)
     /*  65024 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV8mr),
     /*  65027 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  65031 */   GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  65033 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  65037 */   GIR_RootConstrainSelectedInstOperands,
     /*  65038 */   // GIR_Coverage, 32,
     /*  65038 */   GIR_EraseRootFromParent_Done,
     /*  65039 */ // Label 1547: @65039
     /*  65039 */ GIM_Reject,
     /*  65040 */ // Label 1474: @65040
     /*  65040 */ GIM_Try, /*On fail goto*//*Label 1548*/ GIMT_Encode4(65136), // Rule ID 22491 //
     /*  65045 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseIncDec),
     /*  65048 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  65051 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  65058 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  65062 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  65066 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  65070 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  65074 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  65078 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  65082 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  65085 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  65089 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  65096 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  65100 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  65104 */   // MIs[0] dst
     /*  65104 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  65109 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65111 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  65118 */   // (atomic_store (add:{ *:[i16] } (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>>, 1:{ *:[i16] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (INC16m:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  65118 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INC16m),
     /*  65121 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  65125 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  65128 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  65134 */   GIR_RootConstrainSelectedInstOperands,
     /*  65135 */   // GIR_Coverage, 22491,
     /*  65135 */   GIR_EraseRootFromParent_Done,
     /*  65136 */ // Label 1548: @65136
     /*  65136 */ GIM_Try, /*On fail goto*//*Label 1549*/ GIMT_Encode4(65232), // Rule ID 22495 //
     /*  65141 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseIncDec),
     /*  65144 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  65147 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  65154 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  65158 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  65162 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  65166 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  65170 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  65174 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  65178 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  65181 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  65185 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  65192 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  65196 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  65200 */   // MIs[0] dst
     /*  65200 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  65205 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65207 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  65214 */   // (atomic_store (add:{ *:[i16] } (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>>, -1:{ *:[i16] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (DEC16m:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  65214 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DEC16m),
     /*  65217 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  65221 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  65224 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  65230 */   GIR_RootConstrainSelectedInstOperands,
     /*  65231 */   // GIR_Coverage, 22495,
     /*  65231 */   GIR_EraseRootFromParent_Done,
     /*  65232 */ // Label 1549: @65232
     /*  65232 */ GIM_Try, /*On fail goto*//*Label 1550*/ GIMT_Encode4(65325), // Rule ID 22499 //
     /*  65237 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  65240 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  65247 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  65251 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  65255 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  65259 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  65263 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /*  65267 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  65271 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  65275 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  65278 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  65282 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  65289 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  65293 */   // MIs[0] dst
     /*  65293 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  65298 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65300 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  65307 */   // (atomic_store (sub:{ *:[i16] } 0:{ *:[i16] }, (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (NEG16m:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  65307 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG16m),
     /*  65310 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  65314 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  65317 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  65323 */   GIR_RootConstrainSelectedInstOperands,
     /*  65324 */   // GIR_Coverage, 22499,
     /*  65324 */   GIR_EraseRootFromParent_Done,
     /*  65325 */ // Label 1550: @65325
     /*  65325 */ GIM_Try, /*On fail goto*//*Label 1551*/ GIMT_Encode4(65415), // Rule ID 22503 //
     /*  65330 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  65333 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  65340 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  65344 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  65348 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  65352 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  65356 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  65360 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  65364 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  65367 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  65371 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  65378 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  65382 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  65386 */   // MIs[0] dst
     /*  65386 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  65391 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65393 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  65400 */   // (atomic_store (xor:{ *:[i16] } (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>>, -1:{ *:[i16] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (NOT16m addr:{ *:[iPTR] }:$dst)
     /*  65400 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT16m),
     /*  65403 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  65407 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  65413 */   GIR_RootConstrainSelectedInstOperands,
     /*  65414 */   // GIR_Coverage, 22503,
     /*  65414 */   GIR_EraseRootFromParent_Done,
     /*  65415 */ // Label 1551: @65415
     /*  65415 */ GIM_Try, /*On fail goto*//*Label 1552*/ GIMT_Encode4(65501), // Rule ID 226 //
     /*  65420 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseIncDec),
     /*  65423 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  65426 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  65430 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  65434 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  65438 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  65442 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  65446 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  65450 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  65454 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  65457 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  65461 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  65465 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  65469 */   // MIs[0] src1
     /*  65469 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  65474 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65476 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  65483 */   // (st (add:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, 1:{ *:[i16] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (INC16m:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  65483 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INC16m),
     /*  65486 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  65490 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  65493 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  65499 */   GIR_RootConstrainSelectedInstOperands,
     /*  65500 */   // GIR_Coverage, 226,
     /*  65500 */   GIR_EraseRootFromParent_Done,
     /*  65501 */ // Label 1552: @65501
     /*  65501 */ GIM_Try, /*On fail goto*//*Label 1553*/ GIMT_Encode4(65587), // Rule ID 229 //
     /*  65506 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseIncDec),
     /*  65509 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  65512 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  65516 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  65520 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  65524 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  65528 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  65532 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  65536 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  65540 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  65543 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  65547 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  65551 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  65555 */   // MIs[0] src1
     /*  65555 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  65560 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65562 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  65569 */   // (st (add:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, -1:{ *:[i16] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (DEC16m:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  65569 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DEC16m),
     /*  65572 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  65576 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  65579 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  65585 */   GIR_RootConstrainSelectedInstOperands,
     /*  65586 */   // GIR_Coverage, 229,
     /*  65586 */   GIR_EraseRootFromParent_Done,
     /*  65587 */ // Label 1553: @65587
     /*  65587 */ GIM_Try, /*On fail goto*//*Label 1554*/ GIMT_Encode4(65680), // Rule ID 22611 //
     /*  65592 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  65595 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  65599 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  65603 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  65607 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  65611 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  65615 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  65619 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  65623 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  65626 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  65630 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  65634 */   GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(128),
     /*  65645 */   // MIs[0] dst
     /*  65645 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  65650 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65652 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  65659 */   // (st (add:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, 128:{ *:[i16] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SUB16mi:{ *:[i32] } addr:{ *:[iPTR] }:$dst, -128:{ *:[i16] })
     /*  65659 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB16mi),
     /*  65662 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  65666 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-128),
     /*  65669 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  65672 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  65678 */   GIR_RootConstrainSelectedInstOperands,
     /*  65679 */   // GIR_Coverage, 22611,
     /*  65679 */   GIR_EraseRootFromParent_Done,
     /*  65680 */ // Label 1554: @65680
     /*  65680 */ GIM_Try, /*On fail goto*//*Label 1555*/ GIMT_Encode4(65763), // Rule ID 17612 //
     /*  65685 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  65688 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  65692 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  65696 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  65700 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  65704 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  65708 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  65712 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  65716 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  65719 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  65723 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  65727 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 15,
     /*  65731 */   // MIs[0] dst
     /*  65731 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  65736 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65738 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  65745 */   // (st (rotl:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, 15:{ *:[i8] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROR16m1:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  65745 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR16m1),
     /*  65748 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  65752 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  65755 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  65761 */   GIR_RootConstrainSelectedInstOperands,
     /*  65762 */   // GIR_Coverage, 17612,
     /*  65762 */   GIR_EraseRootFromParent_Done,
     /*  65763 */ // Label 1555: @65763
     /*  65763 */ GIM_Try, /*On fail goto*//*Label 1556*/ GIMT_Encode4(65846), // Rule ID 17616 //
     /*  65768 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  65771 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  65775 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  65779 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTR),
     /*  65783 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  65787 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  65791 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  65795 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  65799 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  65802 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  65806 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  65810 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 15,
     /*  65814 */   // MIs[0] dst
     /*  65814 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  65819 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65821 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  65828 */   // (st (rotr:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, 15:{ *:[i8] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROL16m1:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  65828 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL16m1),
     /*  65831 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  65835 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  65838 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  65844 */   GIR_RootConstrainSelectedInstOperands,
     /*  65845 */   // GIR_Coverage, 17616,
     /*  65845 */   GIR_EraseRootFromParent_Done,
     /*  65846 */ // Label 1556: @65846
     /*  65846 */ GIM_Try, /*On fail goto*//*Label 1557*/ GIMT_Encode4(65929), // Rule ID 262 //
     /*  65851 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  65854 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  65858 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  65862 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  65866 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  65870 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  65874 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /*  65878 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  65882 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  65886 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  65889 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  65893 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  65897 */   // MIs[0] src1
     /*  65897 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  65902 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65904 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  65911 */   // (st (sub:{ *:[i16] } 0:{ *:[i16] }, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (NEG16m:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  65911 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG16m),
     /*  65914 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  65918 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  65921 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  65927 */   GIR_RootConstrainSelectedInstOperands,
     /*  65928 */   // GIR_Coverage, 262,
     /*  65928 */   GIR_EraseRootFromParent_Done,
     /*  65929 */ // Label 1557: @65929
     /*  65929 */ GIM_Try, /*On fail goto*//*Label 1558*/ GIMT_Encode4(66009), // Rule ID 270 //
     /*  65934 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  65937 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  65941 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  65945 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  65949 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  65953 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  65957 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  65961 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  65965 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  65968 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  65972 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  65976 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  65980 */   // MIs[0] src1
     /*  65980 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  65985 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65987 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  65994 */   // (st (xor:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, -1:{ *:[i16] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (NOT16m addr:{ *:[iPTR] }:$src1)
     /*  65994 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT16m),
     /*  65997 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  66001 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  66007 */   GIR_RootConstrainSelectedInstOperands,
     /*  66008 */   // GIR_Coverage, 270,
     /*  66008 */   GIR_EraseRootFromParent_Done,
     /*  66009 */ // Label 1558: @66009
     /*  66009 */ GIM_Try, /*On fail goto*//*Label 1559*/ GIMT_Encode4(66104), // Rule ID 414 //
     /*  66014 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  66017 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  66021 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  66025 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  66029 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  66033 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  66037 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  66041 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  66045 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  66048 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  66052 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  66056 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  66060 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  66064 */   // MIs[3] Operand 1
     /*  66064 */   // No operand predicates
     /*  66064 */   GIM_CheckCxxInsnPredicate, /*MI*/3, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_imm_su),
     /*  66068 */   // MIs[0] src1
     /*  66068 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  66073 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  66075 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  66082 */   // (st (add:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i16] })<<P:Predicate_imm_su>>:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ADD16mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i16] }):$src2)
     /*  66082 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD16mi),
     /*  66085 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  66089 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  66092 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  66095 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  66102 */   GIR_RootConstrainSelectedInstOperands,
     /*  66103 */   // GIR_Coverage, 414,
     /*  66103 */   GIR_EraseRootFromParent_Done,
     /*  66104 */ // Label 1559: @66104
     /*  66104 */ GIM_Try, /*On fail goto*//*Label 1560*/ GIMT_Encode4(66199), // Rule ID 306 //
     /*  66109 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  66112 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  66116 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  66120 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66124 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  66128 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  66132 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  66136 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  66140 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  66143 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  66147 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  66151 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  66155 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  66159 */   // MIs[3] Operand 1
     /*  66159 */   // No operand predicates
     /*  66159 */   GIM_CheckCxxInsnPredicate, /*MI*/3, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_imm_su),
     /*  66163 */   // MIs[0] src1
     /*  66163 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  66168 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  66170 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  66177 */   // (st (and:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i16] })<<P:Predicate_imm_su>>:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (AND16mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i16] }):$src2)
     /*  66177 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND16mi),
     /*  66180 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  66184 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  66187 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  66190 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  66197 */   GIR_RootConstrainSelectedInstOperands,
     /*  66198 */   // GIR_Coverage, 306,
     /*  66198 */   GIR_EraseRootFromParent_Done,
     /*  66199 */ // Label 1560: @66199
     /*  66199 */ GIM_Try, /*On fail goto*//*Label 1561*/ GIMT_Encode4(66294), // Rule ID 342 //
     /*  66204 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  66207 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  66211 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  66215 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  66219 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  66223 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  66227 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  66231 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  66235 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  66238 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  66242 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  66246 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  66250 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  66254 */   // MIs[3] Operand 1
     /*  66254 */   // No operand predicates
     /*  66254 */   GIM_CheckCxxInsnPredicate, /*MI*/3, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_imm_su),
     /*  66258 */   // MIs[0] src1
     /*  66258 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  66263 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  66265 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  66272 */   // (st (or:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i16] })<<P:Predicate_imm_su>>:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (OR16mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i16] }):$src2)
     /*  66272 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR16mi),
     /*  66275 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  66279 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  66282 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  66285 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  66292 */   GIR_RootConstrainSelectedInstOperands,
     /*  66293 */   // GIR_Coverage, 342,
     /*  66293 */   GIR_EraseRootFromParent_Done,
     /*  66294 */ // Label 1561: @66294
     /*  66294 */ GIM_Try, /*On fail goto*//*Label 1562*/ GIMT_Encode4(66389), // Rule ID 454 //
     /*  66299 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  66302 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  66306 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  66310 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  66314 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  66318 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  66322 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  66326 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  66330 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  66333 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  66337 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  66341 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  66345 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  66349 */   // MIs[3] Operand 1
     /*  66349 */   // No operand predicates
     /*  66349 */   GIM_CheckCxxInsnPredicate, /*MI*/3, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_imm_su),
     /*  66353 */   // MIs[0] src1
     /*  66353 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  66358 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  66360 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  66367 */   // (st (sub:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i16] })<<P:Predicate_imm_su>>:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SUB16mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i16] }):$src2)
     /*  66367 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB16mi),
     /*  66370 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  66374 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  66377 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  66380 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  66387 */   GIR_RootConstrainSelectedInstOperands,
     /*  66388 */   // GIR_Coverage, 454,
     /*  66388 */   GIR_EraseRootFromParent_Done,
     /*  66389 */ // Label 1562: @66389
     /*  66389 */ GIM_Try, /*On fail goto*//*Label 1563*/ GIMT_Encode4(66484), // Rule ID 378 //
     /*  66394 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  66397 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  66401 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  66405 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  66409 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  66413 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  66417 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  66421 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  66425 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  66428 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  66432 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  66436 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  66440 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  66444 */   // MIs[3] Operand 1
     /*  66444 */   // No operand predicates
     /*  66444 */   GIM_CheckCxxInsnPredicate, /*MI*/3, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_imm_su),
     /*  66448 */   // MIs[0] src1
     /*  66448 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  66453 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  66455 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  66462 */   // (st (xor:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i16] })<<P:Predicate_imm_su>>:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (XOR16mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i16] }):$src2)
     /*  66462 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR16mi),
     /*  66465 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  66469 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  66472 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  66475 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  66482 */   GIR_RootConstrainSelectedInstOperands,
     /*  66483 */   // GIR_Coverage, 378,
     /*  66483 */   GIR_EraseRootFromParent_Done,
     /*  66484 */ // Label 1563: @66484
     /*  66484 */ GIM_Try, /*On fail goto*//*Label 1564*/ GIMT_Encode4(66585), // Rule ID 22427 //
     /*  66489 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  66492 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  66499 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  66503 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  66507 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  66511 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  66515 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  66519 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  66523 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  66526 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  66530 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  66537 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  66541 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  66545 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  66549 */   // MIs[3] Operand 1
     /*  66549 */   // No operand predicates
     /*  66549 */   // MIs[0] dst
     /*  66549 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  66554 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  66556 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  66563 */   // (atomic_store (add:{ *:[i16] } (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>>, (imm:{ *:[i16] }):$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (ADD16mi:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i16] }):$src)
     /*  66563 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD16mi),
     /*  66566 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  66570 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  66573 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  66576 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  66583 */   GIR_RootConstrainSelectedInstOperands,
     /*  66584 */   // GIR_Coverage, 22427,
     /*  66584 */   GIR_EraseRootFromParent_Done,
     /*  66585 */ // Label 1564: @66585
     /*  66585 */ GIM_Try, /*On fail goto*//*Label 1565*/ GIMT_Encode4(66686), // Rule ID 22435 //
     /*  66590 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  66593 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  66600 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  66604 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66608 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  66612 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  66616 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  66620 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  66624 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  66627 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  66631 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  66638 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  66642 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  66646 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  66650 */   // MIs[3] Operand 1
     /*  66650 */   // No operand predicates
     /*  66650 */   // MIs[0] dst
     /*  66650 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  66655 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  66657 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  66664 */   // (atomic_store (and:{ *:[i16] } (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>>, (imm:{ *:[i16] }):$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (AND16mi:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i16] }):$src)
     /*  66664 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND16mi),
     /*  66667 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  66671 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  66674 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  66677 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  66684 */   GIR_RootConstrainSelectedInstOperands,
     /*  66685 */   // GIR_Coverage, 22435,
     /*  66685 */   GIR_EraseRootFromParent_Done,
     /*  66686 */ // Label 1565: @66686
     /*  66686 */ GIM_Try, /*On fail goto*//*Label 1566*/ GIMT_Encode4(66787), // Rule ID 22443 //
     /*  66691 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  66694 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  66701 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  66705 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  66709 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  66713 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  66717 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  66721 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  66725 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  66728 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  66732 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  66739 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  66743 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  66747 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  66751 */   // MIs[3] Operand 1
     /*  66751 */   // No operand predicates
     /*  66751 */   // MIs[0] dst
     /*  66751 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  66756 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  66758 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  66765 */   // (atomic_store (or:{ *:[i16] } (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>>, (imm:{ *:[i16] }):$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (OR16mi:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i16] }):$src)
     /*  66765 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR16mi),
     /*  66768 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  66772 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  66775 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  66778 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  66785 */   GIR_RootConstrainSelectedInstOperands,
     /*  66786 */   // GIR_Coverage, 22443,
     /*  66786 */   GIR_EraseRootFromParent_Done,
     /*  66787 */ // Label 1566: @66787
     /*  66787 */ GIM_Try, /*On fail goto*//*Label 1567*/ GIMT_Encode4(66888), // Rule ID 22459 //
     /*  66792 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  66795 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  66802 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  66806 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  66810 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  66814 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  66818 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  66822 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  66826 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  66829 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  66833 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  66840 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  66844 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  66848 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  66852 */   // MIs[3] Operand 1
     /*  66852 */   // No operand predicates
     /*  66852 */   // MIs[0] dst
     /*  66852 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  66857 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  66859 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  66866 */   // (atomic_store (sub:{ *:[i16] } (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>>, (imm:{ *:[i16] }):$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (SUB16mi:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i16] }):$src)
     /*  66866 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB16mi),
     /*  66869 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  66873 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  66876 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  66879 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  66886 */   GIR_RootConstrainSelectedInstOperands,
     /*  66887 */   // GIR_Coverage, 22459,
     /*  66887 */   GIR_EraseRootFromParent_Done,
     /*  66888 */ // Label 1567: @66888
     /*  66888 */ GIM_Try, /*On fail goto*//*Label 1568*/ GIMT_Encode4(66989), // Rule ID 22451 //
     /*  66893 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  66896 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  66903 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  66907 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  66911 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  66915 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  66919 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  66923 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  66927 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  66930 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  66934 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  66941 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  66945 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  66949 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  66953 */   // MIs[3] Operand 1
     /*  66953 */   // No operand predicates
     /*  66953 */   // MIs[0] dst
     /*  66953 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  66958 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  66960 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  66967 */   // (atomic_store (xor:{ *:[i16] } (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>>, (imm:{ *:[i16] }):$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (XOR16mi:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i16] }):$src)
     /*  66967 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR16mi),
     /*  66970 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  66974 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  66977 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  66980 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  66987 */   GIR_RootConstrainSelectedInstOperands,
     /*  66988 */   // GIR_Coverage, 22451,
     /*  66988 */   GIR_EraseRootFromParent_Done,
     /*  66989 */ // Label 1568: @66989
     /*  66989 */ GIM_Try, /*On fail goto*//*Label 1569*/ GIMT_Encode4(67080), // Rule ID 733 //
     /*  66994 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  66997 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  67001 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  67005 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  67009 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  67013 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  67017 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  67021 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  67025 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  67028 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  67032 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  67036 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  67040 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  67044 */   // MIs[3] Operand 1
     /*  67044 */   // No operand predicates
     /*  67044 */   // MIs[0] src1
     /*  67044 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  67049 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  67051 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  67058 */   // (st (sra:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SAR16mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  67058 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR16mi),
     /*  67061 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  67065 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  67068 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  67071 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  67078 */   GIR_RootConstrainSelectedInstOperands,
     /*  67079 */   // GIR_Coverage, 733,
     /*  67079 */   GIR_EraseRootFromParent_Done,
     /*  67080 */ // Label 1569: @67080
     /*  67080 */ GIM_Try, /*On fail goto*//*Label 1570*/ GIMT_Encode4(67171), // Rule ID 701 //
     /*  67085 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  67088 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  67092 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  67096 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  67100 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  67104 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  67108 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  67112 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  67116 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  67119 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  67123 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  67127 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  67131 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  67135 */   // MIs[3] Operand 1
     /*  67135 */   // No operand predicates
     /*  67135 */   // MIs[0] src1
     /*  67135 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  67140 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  67142 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  67149 */   // (st (srl:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHR16mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  67149 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR16mi),
     /*  67152 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  67156 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  67159 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  67162 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  67169 */   GIR_RootConstrainSelectedInstOperands,
     /*  67170 */   // GIR_Coverage, 701,
     /*  67170 */   GIR_EraseRootFromParent_Done,
     /*  67171 */ // Label 1570: @67171
     /*  67171 */ GIM_Try, /*On fail goto*//*Label 1571*/ GIMT_Encode4(67262), // Rule ID 765 //
     /*  67176 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  67179 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  67183 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  67187 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  67191 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  67195 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  67199 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  67203 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  67207 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  67210 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  67214 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  67218 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  67222 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  67226 */   // MIs[3] Operand 1
     /*  67226 */   // No operand predicates
     /*  67226 */   // MIs[0] src1
     /*  67226 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  67231 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  67233 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  67240 */   // (st (rotl:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROL16mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  67240 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL16mi),
     /*  67243 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  67247 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  67250 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  67253 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  67260 */   GIR_RootConstrainSelectedInstOperands,
     /*  67261 */   // GIR_Coverage, 765,
     /*  67261 */   GIR_EraseRootFromParent_Done,
     /*  67262 */ // Label 1571: @67262
     /*  67262 */ GIM_Try, /*On fail goto*//*Label 1572*/ GIMT_Encode4(67353), // Rule ID 797 //
     /*  67267 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  67270 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  67274 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  67278 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTR),
     /*  67282 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  67286 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  67290 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  67294 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  67298 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  67301 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  67305 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  67309 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  67313 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  67317 */   // MIs[3] Operand 1
     /*  67317 */   // No operand predicates
     /*  67317 */   // MIs[0] src1
     /*  67317 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  67322 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  67324 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  67331 */   // (st (rotr:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROR16mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  67331 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR16mi),
     /*  67334 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  67338 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  67341 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  67344 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  67351 */   GIR_RootConstrainSelectedInstOperands,
     /*  67352 */   // GIR_Coverage, 797,
     /*  67352 */   GIR_EraseRootFromParent_Done,
     /*  67353 */ // Label 1572: @67353
     /*  67353 */ GIM_Try, /*On fail goto*//*Label 1573*/ GIMT_Encode4(67444), // Rule ID 669 //
     /*  67358 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  67361 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  67365 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  67369 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  67373 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  67377 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  67381 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  67385 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  67389 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  67392 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  67396 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  67400 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  67404 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  67408 */   // MIs[3] Operand 1
     /*  67408 */   // No operand predicates
     /*  67408 */   // MIs[0] src1
     /*  67408 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  67413 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  67415 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  67422 */   // (st (shl:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHL16mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  67422 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL16mi),
     /*  67425 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  67429 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  67432 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  67435 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  67442 */   GIR_RootConstrainSelectedInstOperands,
     /*  67443 */   // GIR_Coverage, 669,
     /*  67443 */   GIR_EraseRootFromParent_Done,
     /*  67444 */ // Label 1573: @67444
     /*  67444 */ GIM_Try, /*On fail goto*//*Label 1574*/ GIMT_Encode4(67542), // Rule ID 22431 //
     /*  67449 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  67452 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  67459 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  67463 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  67467 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  67471 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  67475 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  67479 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  67483 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  67486 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  67490 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  67497 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  67501 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  67506 */   // MIs[0] dst
     /*  67506 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  67511 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  67513 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  67520 */   // (atomic_store (add:{ *:[i16] } (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>>, GR16:{ *:[i16] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (ADD16mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR16:{ *:[i16] }:$src)
     /*  67520 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD16mr),
     /*  67523 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  67527 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  67531 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  67534 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  67540 */   GIR_RootConstrainSelectedInstOperands,
     /*  67541 */   // GIR_Coverage, 22431,
     /*  67541 */   GIR_EraseRootFromParent_Done,
     /*  67542 */ // Label 1574: @67542
     /*  67542 */ GIM_Try, /*On fail goto*//*Label 1575*/ GIMT_Encode4(67640), // Rule ID 26000 //
     /*  67547 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  67550 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  67557 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  67561 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  67565 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  67569 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  67573 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  67578 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  67582 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  67586 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  67589 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  67593 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  67600 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  67604 */   // MIs[0] dst
     /*  67604 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  67609 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  67611 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  67618 */   // (atomic_store (add:{ *:[i16] } GR16:{ *:[i16] }:$src, (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (ADD16mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR16:{ *:[i16] }:$src)
     /*  67618 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD16mr),
     /*  67621 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  67625 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  67629 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  67632 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  67638 */   GIR_RootConstrainSelectedInstOperands,
     /*  67639 */   // GIR_Coverage, 26000,
     /*  67639 */   GIR_EraseRootFromParent_Done,
     /*  67640 */ // Label 1575: @67640
     /*  67640 */ GIM_Try, /*On fail goto*//*Label 1576*/ GIMT_Encode4(67738), // Rule ID 22439 //
     /*  67645 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  67648 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  67655 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  67659 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67663 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  67667 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  67671 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  67675 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  67679 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  67682 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  67686 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  67693 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  67697 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  67702 */   // MIs[0] dst
     /*  67702 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  67707 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  67709 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  67716 */   // (atomic_store (and:{ *:[i16] } (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>>, GR16:{ *:[i16] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (AND16mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR16:{ *:[i16] }:$src)
     /*  67716 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND16mr),
     /*  67719 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  67723 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  67727 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  67730 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  67736 */   GIR_RootConstrainSelectedInstOperands,
     /*  67737 */   // GIR_Coverage, 22439,
     /*  67737 */   GIR_EraseRootFromParent_Done,
     /*  67738 */ // Label 1576: @67738
     /*  67738 */ GIM_Try, /*On fail goto*//*Label 1577*/ GIMT_Encode4(67836), // Rule ID 26004 //
     /*  67743 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  67746 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  67753 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  67757 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67761 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  67765 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  67769 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  67774 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  67778 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  67782 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  67785 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  67789 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  67796 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  67800 */   // MIs[0] dst
     /*  67800 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  67805 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  67807 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  67814 */   // (atomic_store (and:{ *:[i16] } GR16:{ *:[i16] }:$src, (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (AND16mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR16:{ *:[i16] }:$src)
     /*  67814 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND16mr),
     /*  67817 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  67821 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  67825 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  67828 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  67834 */   GIR_RootConstrainSelectedInstOperands,
     /*  67835 */   // GIR_Coverage, 26004,
     /*  67835 */   GIR_EraseRootFromParent_Done,
     /*  67836 */ // Label 1577: @67836
     /*  67836 */ GIM_Try, /*On fail goto*//*Label 1578*/ GIMT_Encode4(67934), // Rule ID 22447 //
     /*  67841 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  67844 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  67851 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  67855 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  67859 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  67863 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  67867 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  67871 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  67875 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  67878 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  67882 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  67889 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  67893 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  67898 */   // MIs[0] dst
     /*  67898 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  67903 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  67905 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  67912 */   // (atomic_store (or:{ *:[i16] } (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>>, GR16:{ *:[i16] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (OR16mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR16:{ *:[i16] }:$src)
     /*  67912 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR16mr),
     /*  67915 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  67919 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  67923 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  67926 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  67932 */   GIR_RootConstrainSelectedInstOperands,
     /*  67933 */   // GIR_Coverage, 22447,
     /*  67933 */   GIR_EraseRootFromParent_Done,
     /*  67934 */ // Label 1578: @67934
     /*  67934 */ GIM_Try, /*On fail goto*//*Label 1579*/ GIMT_Encode4(68032), // Rule ID 26008 //
     /*  67939 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  67942 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  67949 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  67953 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  67957 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  67961 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  67965 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  67970 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  67974 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  67978 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  67981 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  67985 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  67992 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  67996 */   // MIs[0] dst
     /*  67996 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  68001 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68003 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  68010 */   // (atomic_store (or:{ *:[i16] } GR16:{ *:[i16] }:$src, (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (OR16mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR16:{ *:[i16] }:$src)
     /*  68010 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR16mr),
     /*  68013 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  68017 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  68021 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  68024 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  68030 */   GIR_RootConstrainSelectedInstOperands,
     /*  68031 */   // GIR_Coverage, 26008,
     /*  68031 */   GIR_EraseRootFromParent_Done,
     /*  68032 */ // Label 1579: @68032
     /*  68032 */ GIM_Try, /*On fail goto*//*Label 1580*/ GIMT_Encode4(68130), // Rule ID 22463 //
     /*  68037 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  68040 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  68047 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  68051 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  68055 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  68059 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  68063 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  68067 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  68071 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  68074 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  68078 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  68085 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  68089 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  68094 */   // MIs[0] dst
     /*  68094 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  68099 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68101 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  68108 */   // (atomic_store (sub:{ *:[i16] } (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>>, GR16:{ *:[i16] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (SUB16mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR16:{ *:[i16] }:$src)
     /*  68108 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB16mr),
     /*  68111 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  68115 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  68119 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  68122 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  68128 */   GIR_RootConstrainSelectedInstOperands,
     /*  68129 */   // GIR_Coverage, 22463,
     /*  68129 */   GIR_EraseRootFromParent_Done,
     /*  68130 */ // Label 1580: @68130
     /*  68130 */ GIM_Try, /*On fail goto*//*Label 1581*/ GIMT_Encode4(68228), // Rule ID 22455 //
     /*  68135 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  68138 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  68145 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  68149 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  68153 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  68157 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  68161 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  68165 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  68169 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  68172 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  68176 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  68183 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  68187 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  68192 */   // MIs[0] dst
     /*  68192 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  68197 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68199 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  68206 */   // (atomic_store (xor:{ *:[i16] } (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>>, GR16:{ *:[i16] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (XOR16mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR16:{ *:[i16] }:$src)
     /*  68206 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR16mr),
     /*  68209 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  68213 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  68217 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  68220 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  68226 */   GIR_RootConstrainSelectedInstOperands,
     /*  68227 */   // GIR_Coverage, 22455,
     /*  68227 */   GIR_EraseRootFromParent_Done,
     /*  68228 */ // Label 1581: @68228
     /*  68228 */ GIM_Try, /*On fail goto*//*Label 1582*/ GIMT_Encode4(68326), // Rule ID 26012 //
     /*  68233 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  68236 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  68243 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  68247 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  68251 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  68255 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  68259 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  68264 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  68268 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  68272 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  68275 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  68279 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  68286 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  68290 */   // MIs[0] dst
     /*  68290 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  68295 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68297 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  68304 */   // (atomic_store (xor:{ *:[i16] } GR16:{ *:[i16] }:$src, (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (XOR16mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR16:{ *:[i16] }:$src)
     /*  68304 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR16mr),
     /*  68307 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  68311 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  68315 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  68318 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  68324 */   GIR_RootConstrainSelectedInstOperands,
     /*  68325 */   // GIR_Coverage, 26012,
     /*  68325 */   GIR_EraseRootFromParent_Done,
     /*  68326 */ // Label 1582: @68326
     /*  68326 */ GIM_Try, /*On fail goto*//*Label 1583*/ GIMT_Encode4(68414), // Rule ID 410 //
     /*  68331 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  68334 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  68338 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  68342 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  68346 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  68350 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  68354 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  68358 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  68362 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  68365 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  68369 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  68373 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  68378 */   // MIs[0] src1
     /*  68378 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  68383 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68385 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  68392 */   // (st (add:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR16:{ *:[i16] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ADD16mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  68392 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD16mr),
     /*  68395 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  68399 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  68403 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  68406 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  68412 */   GIR_RootConstrainSelectedInstOperands,
     /*  68413 */   // GIR_Coverage, 410,
     /*  68413 */   GIR_EraseRootFromParent_Done,
     /*  68414 */ // Label 1583: @68414
     /*  68414 */ GIM_Try, /*On fail goto*//*Label 1584*/ GIMT_Encode4(68502), // Rule ID 23220 //
     /*  68419 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  68422 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  68426 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  68430 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  68434 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  68438 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  68442 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  68447 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  68451 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  68455 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  68458 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  68462 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  68466 */   // MIs[0] src1
     /*  68466 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  68471 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68473 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  68480 */   // (st (add:{ *:[i16] } GR16:{ *:[i16] }:$src2, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ADD16mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  68480 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD16mr),
     /*  68483 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  68487 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  68491 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  68494 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  68500 */   GIR_RootConstrainSelectedInstOperands,
     /*  68501 */   // GIR_Coverage, 23220,
     /*  68501 */   GIR_EraseRootFromParent_Done,
     /*  68502 */ // Label 1584: @68502
     /*  68502 */ GIM_Try, /*On fail goto*//*Label 1585*/ GIMT_Encode4(68590), // Rule ID 302 //
     /*  68507 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  68510 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  68514 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  68518 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68522 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  68526 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  68530 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  68534 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  68538 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  68541 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  68545 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  68549 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  68554 */   // MIs[0] src1
     /*  68554 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  68559 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68561 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  68568 */   // (st (and:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR16:{ *:[i16] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (AND16mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  68568 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND16mr),
     /*  68571 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  68575 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  68579 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  68582 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  68588 */   GIR_RootConstrainSelectedInstOperands,
     /*  68589 */   // GIR_Coverage, 302,
     /*  68589 */   GIR_EraseRootFromParent_Done,
     /*  68590 */ // Label 1585: @68590
     /*  68590 */ GIM_Try, /*On fail goto*//*Label 1586*/ GIMT_Encode4(68678), // Rule ID 23184 //
     /*  68595 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  68598 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  68602 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  68606 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68610 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  68614 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  68618 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  68623 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  68627 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  68631 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  68634 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  68638 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  68642 */   // MIs[0] src1
     /*  68642 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  68647 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68649 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  68656 */   // (st (and:{ *:[i16] } GR16:{ *:[i16] }:$src2, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (AND16mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  68656 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND16mr),
     /*  68659 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  68663 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  68667 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  68670 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  68676 */   GIR_RootConstrainSelectedInstOperands,
     /*  68677 */   // GIR_Coverage, 23184,
     /*  68677 */   GIR_EraseRootFromParent_Done,
     /*  68678 */ // Label 1586: @68678
     /*  68678 */ GIM_Try, /*On fail goto*//*Label 1587*/ GIMT_Encode4(68776), // Rule ID 749 //
     /*  68683 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  68686 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  68690 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  68694 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  68698 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  68702 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  68706 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  68710 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  68714 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  68717 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  68721 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  68725 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  68730 */   // MIs[0] src1
     /*  68730 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  68735 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68737 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  68744 */   // (st (sra:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SAR16mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  68744 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68748 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  68754 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  68758 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR16mCL),
     /*  68761 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  68765 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  68768 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  68774 */   GIR_RootConstrainSelectedInstOperands,
     /*  68775 */   // GIR_Coverage, 749,
     /*  68775 */   GIR_EraseRootFromParent_Done,
     /*  68776 */ // Label 1587: @68776
     /*  68776 */ GIM_Try, /*On fail goto*//*Label 1588*/ GIMT_Encode4(68874), // Rule ID 717 //
     /*  68781 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  68784 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  68788 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  68792 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  68796 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  68800 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  68804 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  68808 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  68812 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  68815 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  68819 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  68823 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  68828 */   // MIs[0] src1
     /*  68828 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  68833 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68835 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  68842 */   // (st (srl:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHR16mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  68842 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68846 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  68852 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  68856 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR16mCL),
     /*  68859 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  68863 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  68866 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  68872 */   GIR_RootConstrainSelectedInstOperands,
     /*  68873 */   // GIR_Coverage, 717,
     /*  68873 */   GIR_EraseRootFromParent_Done,
     /*  68874 */ // Label 1588: @68874
     /*  68874 */ GIM_Try, /*On fail goto*//*Label 1589*/ GIMT_Encode4(68962), // Rule ID 338 //
     /*  68879 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  68882 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  68886 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  68890 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  68894 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  68898 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  68902 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  68906 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  68910 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  68913 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  68917 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  68921 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  68926 */   // MIs[0] src1
     /*  68926 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  68931 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68933 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  68940 */   // (st (or:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR16:{ *:[i16] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (OR16mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  68940 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR16mr),
     /*  68943 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  68947 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  68951 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  68954 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  68960 */   GIR_RootConstrainSelectedInstOperands,
     /*  68961 */   // GIR_Coverage, 338,
     /*  68961 */   GIR_EraseRootFromParent_Done,
     /*  68962 */ // Label 1589: @68962
     /*  68962 */ GIM_Try, /*On fail goto*//*Label 1590*/ GIMT_Encode4(69050), // Rule ID 23196 //
     /*  68967 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  68970 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  68974 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  68978 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  68982 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  68986 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  68990 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  68995 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  68999 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  69003 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  69006 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  69010 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  69014 */   // MIs[0] src1
     /*  69014 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  69019 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  69021 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  69028 */   // (st (or:{ *:[i16] } GR16:{ *:[i16] }:$src2, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (OR16mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  69028 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR16mr),
     /*  69031 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  69035 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  69039 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  69042 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  69048 */   GIR_RootConstrainSelectedInstOperands,
     /*  69049 */   // GIR_Coverage, 23196,
     /*  69049 */   GIR_EraseRootFromParent_Done,
     /*  69050 */ // Label 1590: @69050
     /*  69050 */ GIM_Try, /*On fail goto*//*Label 1591*/ GIMT_Encode4(69148), // Rule ID 781 //
     /*  69055 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  69058 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  69062 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  69066 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  69070 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  69074 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  69078 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  69082 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  69086 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  69089 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  69093 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  69097 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  69102 */   // MIs[0] src1
     /*  69102 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  69107 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  69109 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  69116 */   // (st (rotl:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROL16mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  69116 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69120 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  69126 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  69130 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL16mCL),
     /*  69133 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  69137 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  69140 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  69146 */   GIR_RootConstrainSelectedInstOperands,
     /*  69147 */   // GIR_Coverage, 781,
     /*  69147 */   GIR_EraseRootFromParent_Done,
     /*  69148 */ // Label 1591: @69148
     /*  69148 */ GIM_Try, /*On fail goto*//*Label 1592*/ GIMT_Encode4(69246), // Rule ID 813 //
     /*  69153 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  69156 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  69160 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  69164 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTR),
     /*  69168 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  69172 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  69176 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  69180 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  69184 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  69187 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  69191 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  69195 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  69200 */   // MIs[0] src1
     /*  69200 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  69205 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  69207 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  69214 */   // (st (rotr:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROR16mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  69214 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69218 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  69224 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  69228 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR16mCL),
     /*  69231 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  69235 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  69238 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  69244 */   GIR_RootConstrainSelectedInstOperands,
     /*  69245 */   // GIR_Coverage, 813,
     /*  69245 */   GIR_EraseRootFromParent_Done,
     /*  69246 */ // Label 1592: @69246
     /*  69246 */ GIM_Try, /*On fail goto*//*Label 1593*/ GIMT_Encode4(69344), // Rule ID 685 //
     /*  69251 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  69254 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  69258 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  69262 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  69266 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  69270 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  69274 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  69278 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  69282 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  69285 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  69289 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  69293 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  69298 */   // MIs[0] src1
     /*  69298 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  69303 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  69305 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  69312 */   // (st (shl:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHL16mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  69312 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69316 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  69322 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  69326 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL16mCL),
     /*  69329 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  69333 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  69336 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  69342 */   GIR_RootConstrainSelectedInstOperands,
     /*  69343 */   // GIR_Coverage, 685,
     /*  69343 */   GIR_EraseRootFromParent_Done,
     /*  69344 */ // Label 1593: @69344
     /*  69344 */ GIM_Try, /*On fail goto*//*Label 1594*/ GIMT_Encode4(69432), // Rule ID 446 //
     /*  69349 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  69352 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  69356 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  69360 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  69364 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  69368 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  69372 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  69376 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  69380 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  69383 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  69387 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  69391 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  69396 */   // MIs[0] src1
     /*  69396 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  69401 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  69403 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  69410 */   // (st (sub:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR16:{ *:[i16] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SUB16mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  69410 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB16mr),
     /*  69413 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  69417 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  69421 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  69424 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  69430 */   GIR_RootConstrainSelectedInstOperands,
     /*  69431 */   // GIR_Coverage, 446,
     /*  69431 */   GIR_EraseRootFromParent_Done,
     /*  69432 */ // Label 1594: @69432
     /*  69432 */ GIM_Try, /*On fail goto*//*Label 1595*/ GIMT_Encode4(69520), // Rule ID 374 //
     /*  69437 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  69440 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  69444 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  69448 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  69452 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  69456 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  69460 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  69464 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  69468 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  69471 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  69475 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  69479 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  69484 */   // MIs[0] src1
     /*  69484 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  69489 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  69491 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  69498 */   // (st (xor:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR16:{ *:[i16] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (XOR16mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  69498 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR16mr),
     /*  69501 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  69505 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  69509 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  69512 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  69518 */   GIR_RootConstrainSelectedInstOperands,
     /*  69519 */   // GIR_Coverage, 374,
     /*  69519 */   GIR_EraseRootFromParent_Done,
     /*  69520 */ // Label 1595: @69520
     /*  69520 */ GIM_Try, /*On fail goto*//*Label 1596*/ GIMT_Encode4(69608), // Rule ID 23208 //
     /*  69525 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  69528 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  69532 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  69536 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  69540 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  69544 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  69548 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  69553 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  69557 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  69561 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  69564 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  69568 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  69572 */   // MIs[0] src1
     /*  69572 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  69577 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  69579 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  69586 */   // (st (xor:{ *:[i16] } GR16:{ *:[i16] }:$src2, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (XOR16mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  69586 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR16mr),
     /*  69589 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  69593 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  69597 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  69600 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  69606 */   GIR_RootConstrainSelectedInstOperands,
     /*  69607 */   // GIR_Coverage, 23208,
     /*  69607 */   GIR_EraseRootFromParent_Done,
     /*  69608 */ // Label 1596: @69608
     /*  69608 */ GIM_Try, /*On fail goto*//*Label 1597*/ GIMT_Encode4(69662), // Rule ID 25 //
     /*  69613 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  69616 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  69620 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  69624 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  69628 */   // MIs[1] Operand 1
     /*  69628 */   // No operand predicates
     /*  69628 */   GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_imm_su),
     /*  69632 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  69636 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  69638 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  69645 */   // (st (imm:{ *:[i16] })<<P:Predicate_imm_su>>:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOV16mi addr:{ *:[iPTR] }:$dst, (imm:{ *:[i16] }):$src)
     /*  69645 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV16mi),
     /*  69648 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  69652 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src
     /*  69655 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  69660 */   GIR_RootConstrainSelectedInstOperands,
     /*  69661 */   // GIR_Coverage, 25,
     /*  69661 */   GIR_EraseRootFromParent_Done,
     /*  69662 */ // Label 1597: @69662
     /*  69662 */ GIM_Try, /*On fail goto*//*Label 1598*/ GIMT_Encode4(69715), // Rule ID 22507 //
     /*  69667 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  69670 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  69677 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  69681 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  69685 */   // MIs[1] Operand 1
     /*  69685 */   // No operand predicates
     /*  69685 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  69689 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  69691 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  69698 */   // (atomic_store (imm:{ *:[i16] }):$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (MOV16mi addr:{ *:[iPTR] }:$dst, (imm:{ *:[i16] }):$src)
     /*  69698 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV16mi),
     /*  69701 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  69705 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src
     /*  69708 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  69713 */   GIR_RootConstrainSelectedInstOperands,
     /*  69714 */   // GIR_Coverage, 22507,
     /*  69714 */   GIR_EraseRootFromParent_Done,
     /*  69715 */ // Label 1598: @69715
     /*  69715 */ GIM_Try, /*On fail goto*//*Label 1599*/ GIMT_Encode4(69778), // Rule ID 50 //
     /*  69720 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVBE_NoEGPR),
     /*  69723 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  69726 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  69730 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  69734 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /*  69738 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  69742 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  69747 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  69751 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  69753 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  69760 */   // (st (bswap:{ *:[i16] } GR16:{ *:[i16] }:$src1), addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOVBE16mr addr:{ *:[iPTR] }:$dst, GR16:{ *:[i16] }:$src1)
     /*  69760 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVBE16mr),
     /*  69763 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  69767 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  69771 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  69776 */   GIR_RootConstrainSelectedInstOperands,
     /*  69777 */   // GIR_Coverage, 50,
     /*  69777 */   GIR_EraseRootFromParent_Done,
     /*  69778 */ // Label 1599: @69778
     /*  69778 */ GIM_Try, /*On fail goto*//*Label 1600*/ GIMT_Encode4(69841), // Rule ID 56 //
     /*  69783 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_HasMOVBE_In64BitMode),
     /*  69786 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  69789 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  69793 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  69797 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /*  69801 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  69805 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  69810 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  69814 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  69816 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  69823 */   // (st (bswap:{ *:[i16] } GR16:{ *:[i16] }:$src1), addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOVBE16mr_EVEX addr:{ *:[iPTR] }:$dst, GR16:{ *:[i16] }:$src1)
     /*  69823 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVBE16mr_EVEX),
     /*  69826 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  69830 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  69834 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  69839 */   GIR_RootConstrainSelectedInstOperands,
     /*  69840 */   // GIR_Coverage, 56,
     /*  69840 */   GIR_EraseRootFromParent_Done,
     /*  69841 */ // Label 1600: @69841
     /*  69841 */ GIM_Try, /*On fail goto*//*Label 1601*/ GIMT_Encode4(69886), // Rule ID 22511 //
     /*  69846 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  69849 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  69856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  69860 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  69864 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  69871 */   // (atomic_store GR16:{ *:[i16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (MOV16mr addr:{ *:[iPTR] }:$dst, GR16:{ *:[i16] }:$src)
     /*  69871 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV16mr),
     /*  69874 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  69878 */   GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  69880 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  69884 */   GIR_RootConstrainSelectedInstOperands,
     /*  69885 */   // GIR_Coverage, 22511,
     /*  69885 */   GIR_EraseRootFromParent_Done,
     /*  69886 */ // Label 1601: @69886
     /*  69886 */ GIM_Try, /*On fail goto*//*Label 1602*/ GIMT_Encode4(69928), // Rule ID 33 //
     /*  69891 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  69894 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  69898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  69902 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  69906 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  69913 */   // (st GR16:{ *:[i16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOV16mr addr:{ *:[iPTR] }:$dst, GR16:{ *:[i16] }:$src)
     /*  69913 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV16mr),
     /*  69916 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  69920 */   GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  69922 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  69926 */   GIR_RootConstrainSelectedInstOperands,
     /*  69927 */   // GIR_Coverage, 33,
     /*  69927 */   GIR_EraseRootFromParent_Done,
     /*  69928 */ // Label 1602: @69928
     /*  69928 */ GIM_Try, /*On fail goto*//*Label 1603*/ GIMT_Encode4(69973), // Rule ID 4621 //
     /*  69933 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /*  69936 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  69939 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  69943 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /*  69947 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  69951 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  69958 */   // (st FR16X:{ *:[f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVSHZmr addr:{ *:[iPTR] }:$dst, FR16X:{ *:[f16] }:$src)
     /*  69958 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVSHZmr),
     /*  69961 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  69965 */   GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  69967 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  69971 */   GIR_RootConstrainSelectedInstOperands,
     /*  69972 */   // GIR_Coverage, 4621,
     /*  69972 */   GIR_EraseRootFromParent_Done,
     /*  69973 */ // Label 1603: @69973
     /*  69973 */ GIM_Try, /*On fail goto*//*Label 1604*/ GIMT_Encode4(70039), // Rule ID 18546 //
     /*  69978 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE41),
     /*  69981 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  69984 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  69988 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  69992 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  69999 */   // (st f16:{ *:[f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PEXTRWmri addr:{ *:[iPTR] }:$dst, (COPY_TO_REGCLASS:{ *:[v8i16] } FR16:{ *:[f16] }:$src, VR128:{ *:[i32] }), 0:{ *:[i8] })
     /*  69999 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  70002 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70006 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  70011 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, // src
     /*  70015 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::VR128RegClassID),
     /*  70020 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PEXTRWmri),
     /*  70023 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  70027 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  70030 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  70033 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  70037 */   GIR_RootConstrainSelectedInstOperands,
     /*  70038 */   // GIR_Coverage, 18546,
     /*  70038 */   GIR_EraseRootFromParent_Done,
     /*  70039 */ // Label 1604: @70039
     /*  70039 */ GIM_Try, /*On fail goto*//*Label 1605*/ GIMT_Encode4(70105), // Rule ID 18547 //
     /*  70044 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoBWI),
     /*  70047 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  70050 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  70054 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  70058 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  70065 */   // (st f16:{ *:[f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VPEXTRWmri addr:{ *:[iPTR] }:$dst, (COPY_TO_REGCLASS:{ *:[v8i16] } FR16:{ *:[f16] }:$src, VR128:{ *:[i32] }), 0:{ *:[i8] })
     /*  70065 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  70068 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70072 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  70077 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, // src
     /*  70081 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::VR128RegClassID),
     /*  70086 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPEXTRWmri),
     /*  70089 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  70093 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  70096 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  70099 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  70103 */   GIR_RootConstrainSelectedInstOperands,
     /*  70104 */   // GIR_Coverage, 18547,
     /*  70104 */   GIR_EraseRootFromParent_Done,
     /*  70105 */ // Label 1605: @70105
     /*  70105 */ GIM_Try, /*On fail goto*//*Label 1606*/ GIMT_Encode4(70217), // Rule ID 18335 //
     /*  70110 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  70113 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  70116 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  70120 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  70124 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  70131 */   // (st f16:{ *:[f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOV16mr addr:{ *:[iPTR] }:$dst, (EXTRACT_SUBREG:{ *:[i16] } (PEXTRWrri:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[v8i16] } FR16:{ *:[f16] }:$src, VR128:{ *:[i32] }), 0:{ *:[i8] }), sub_16bit:{ *:[i32] }))
     /*  70131 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  70134 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70138 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  70143 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/0, // src
     /*  70147 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VR128RegClassID),
     /*  70152 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  70155 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(X86::PEXTRWrri),
     /*  70159 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  70164 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  70167 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /*  70170 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  70172 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  70175 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70179 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  70184 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /*  70191 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  70196 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /*  70201 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV16mr),
     /*  70204 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  70208 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  70211 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  70215 */   GIR_RootConstrainSelectedInstOperands,
     /*  70216 */   // GIR_Coverage, 18335,
     /*  70216 */   GIR_EraseRootFromParent_Done,
     /*  70217 */ // Label 1606: @70217
     /*  70217 */ GIM_Try, /*On fail goto*//*Label 1607*/ GIMT_Encode4(70283), // Rule ID 21839 //
     /*  70222 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  70225 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  70228 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  70232 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  70236 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  70243 */   // (st f16:{ *:[f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VPEXTRWZmri addr:{ *:[iPTR] }:$dst, (COPY_TO_REGCLASS:{ *:[v8i16] } FR16:{ *:[f16] }:$src, VR128:{ *:[i32] }), 0:{ *:[i8] })
     /*  70243 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  70246 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70250 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  70255 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, // src
     /*  70259 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::VR128RegClassID),
     /*  70264 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPEXTRWZmri),
     /*  70267 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  70271 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  70274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  70277 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  70281 */   GIR_RootConstrainSelectedInstOperands,
     /*  70282 */   // GIR_Coverage, 21839,
     /*  70282 */   GIR_EraseRootFromParent_Done,
     /*  70283 */ // Label 1607: @70283
     /*  70283 */ GIM_Reject,
     /*  70284 */ // Label 1475: @70284
     /*  70284 */ GIM_Try, /*On fail goto*//*Label 1608*/ GIMT_Encode4(70380), // Rule ID 22492 //
     /*  70289 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseIncDec),
     /*  70292 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  70295 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  70302 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  70306 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  70310 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  70314 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  70318 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  70322 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  70326 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  70329 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  70333 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  70340 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  70344 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  70348 */   // MIs[0] dst
     /*  70348 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  70353 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  70355 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  70362 */   // (atomic_store (add:{ *:[i32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>, 1:{ *:[i32] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (INC32m:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  70362 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INC32m),
     /*  70365 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  70369 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  70372 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  70378 */   GIR_RootConstrainSelectedInstOperands,
     /*  70379 */   // GIR_Coverage, 22492,
     /*  70379 */   GIR_EraseRootFromParent_Done,
     /*  70380 */ // Label 1608: @70380
     /*  70380 */ GIM_Try, /*On fail goto*//*Label 1609*/ GIMT_Encode4(70476), // Rule ID 22496 //
     /*  70385 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseIncDec),
     /*  70388 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  70391 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  70398 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  70402 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  70406 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  70410 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  70414 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  70418 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  70422 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  70425 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  70429 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  70436 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  70440 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  70444 */   // MIs[0] dst
     /*  70444 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  70449 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  70451 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  70458 */   // (atomic_store (add:{ *:[i32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>, -1:{ *:[i32] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (DEC32m:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  70458 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DEC32m),
     /*  70461 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  70465 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  70468 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  70474 */   GIR_RootConstrainSelectedInstOperands,
     /*  70475 */   // GIR_Coverage, 22496,
     /*  70475 */   GIR_EraseRootFromParent_Done,
     /*  70476 */ // Label 1609: @70476
     /*  70476 */ GIM_Try, /*On fail goto*//*Label 1610*/ GIMT_Encode4(70569), // Rule ID 22500 //
     /*  70481 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  70484 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  70491 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  70495 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  70499 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  70503 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  70507 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /*  70511 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  70515 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  70519 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  70522 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  70526 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  70533 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  70537 */   // MIs[0] dst
     /*  70537 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  70542 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  70544 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  70551 */   // (atomic_store (sub:{ *:[i32] } 0:{ *:[i32] }, (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (NEG32m:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  70551 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG32m),
     /*  70554 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  70558 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  70561 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  70567 */   GIR_RootConstrainSelectedInstOperands,
     /*  70568 */   // GIR_Coverage, 22500,
     /*  70568 */   GIR_EraseRootFromParent_Done,
     /*  70569 */ // Label 1610: @70569
     /*  70569 */ GIM_Try, /*On fail goto*//*Label 1611*/ GIMT_Encode4(70659), // Rule ID 22504 //
     /*  70574 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  70577 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  70584 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  70588 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70592 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  70596 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  70600 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  70604 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  70608 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  70611 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  70615 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  70622 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  70626 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  70630 */   // MIs[0] dst
     /*  70630 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  70635 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  70637 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  70644 */   // (atomic_store (xor:{ *:[i32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>, -1:{ *:[i32] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (NOT32m addr:{ *:[iPTR] }:$dst)
     /*  70644 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT32m),
     /*  70647 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  70651 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  70657 */   GIR_RootConstrainSelectedInstOperands,
     /*  70658 */   // GIR_Coverage, 22504,
     /*  70658 */   GIR_EraseRootFromParent_Done,
     /*  70659 */ // Label 1611: @70659
     /*  70659 */ GIM_Try, /*On fail goto*//*Label 1612*/ GIMT_Encode4(70745), // Rule ID 227 //
     /*  70664 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseIncDec),
     /*  70667 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  70670 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  70674 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  70678 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  70682 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  70686 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  70690 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  70694 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  70698 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  70701 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  70705 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  70709 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  70713 */   // MIs[0] src1
     /*  70713 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  70718 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  70720 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  70727 */   // (st (add:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, 1:{ *:[i32] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (INC32m:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  70727 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INC32m),
     /*  70730 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  70734 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  70737 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  70743 */   GIR_RootConstrainSelectedInstOperands,
     /*  70744 */   // GIR_Coverage, 227,
     /*  70744 */   GIR_EraseRootFromParent_Done,
     /*  70745 */ // Label 1612: @70745
     /*  70745 */ GIM_Try, /*On fail goto*//*Label 1613*/ GIMT_Encode4(70831), // Rule ID 230 //
     /*  70750 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseIncDec),
     /*  70753 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  70756 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  70760 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  70764 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  70768 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  70772 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  70776 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  70780 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  70784 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  70787 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  70791 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  70795 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  70799 */   // MIs[0] src1
     /*  70799 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  70804 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  70806 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  70813 */   // (st (add:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, -1:{ *:[i32] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (DEC32m:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  70813 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DEC32m),
     /*  70816 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  70820 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  70823 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  70829 */   GIR_RootConstrainSelectedInstOperands,
     /*  70830 */   // GIR_Coverage, 230,
     /*  70830 */   GIR_EraseRootFromParent_Done,
     /*  70831 */ // Label 1613: @70831
     /*  70831 */ GIM_Try, /*On fail goto*//*Label 1614*/ GIMT_Encode4(70924), // Rule ID 22612 //
     /*  70836 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  70839 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  70843 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  70847 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  70851 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  70855 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  70859 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  70863 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  70867 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  70870 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  70874 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  70878 */   GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(128),
     /*  70889 */   // MIs[0] dst
     /*  70889 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  70894 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  70896 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  70903 */   // (st (add:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, 128:{ *:[i32] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SUB32mi:{ *:[i32] } addr:{ *:[iPTR] }:$dst, -128:{ *:[i32] })
     /*  70903 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB32mi),
     /*  70906 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  70910 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-128),
     /*  70913 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  70916 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  70922 */   GIR_RootConstrainSelectedInstOperands,
     /*  70923 */   // GIR_Coverage, 22612,
     /*  70923 */   GIR_EraseRootFromParent_Done,
     /*  70924 */ // Label 1614: @70924
     /*  70924 */ GIM_Try, /*On fail goto*//*Label 1615*/ GIMT_Encode4(71007), // Rule ID 17613 //
     /*  70929 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  70932 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  70936 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  70940 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  70944 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  70948 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  70952 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  70956 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  70960 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  70963 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  70967 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  70971 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 31,
     /*  70975 */   // MIs[0] dst
     /*  70975 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  70980 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  70982 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  70989 */   // (st (rotl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, 31:{ *:[i8] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROR32m1:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  70989 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR32m1),
     /*  70992 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  70996 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  70999 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  71005 */   GIR_RootConstrainSelectedInstOperands,
     /*  71006 */   // GIR_Coverage, 17613,
     /*  71006 */   GIR_EraseRootFromParent_Done,
     /*  71007 */ // Label 1615: @71007
     /*  71007 */ GIM_Try, /*On fail goto*//*Label 1616*/ GIMT_Encode4(71090), // Rule ID 17617 //
     /*  71012 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  71015 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  71019 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  71023 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTR),
     /*  71027 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  71031 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  71035 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  71039 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  71043 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  71046 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  71050 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  71054 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 31,
     /*  71058 */   // MIs[0] dst
     /*  71058 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  71063 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  71065 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  71072 */   // (st (rotr:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, 31:{ *:[i8] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROL32m1:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  71072 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL32m1),
     /*  71075 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  71079 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  71082 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  71088 */   GIR_RootConstrainSelectedInstOperands,
     /*  71089 */   // GIR_Coverage, 17617,
     /*  71089 */   GIR_EraseRootFromParent_Done,
     /*  71090 */ // Label 1616: @71090
     /*  71090 */ GIM_Try, /*On fail goto*//*Label 1617*/ GIMT_Encode4(71173), // Rule ID 263 //
     /*  71095 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  71098 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  71102 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  71106 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  71110 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  71114 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  71118 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /*  71122 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  71126 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  71130 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  71133 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  71137 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  71141 */   // MIs[0] src1
     /*  71141 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  71146 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  71148 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  71155 */   // (st (sub:{ *:[i32] } 0:{ *:[i32] }, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (NEG32m:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  71155 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG32m),
     /*  71158 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  71162 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  71165 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  71171 */   GIR_RootConstrainSelectedInstOperands,
     /*  71172 */   // GIR_Coverage, 263,
     /*  71172 */   GIR_EraseRootFromParent_Done,
     /*  71173 */ // Label 1617: @71173
     /*  71173 */ GIM_Try, /*On fail goto*//*Label 1618*/ GIMT_Encode4(71253), // Rule ID 271 //
     /*  71178 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  71181 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  71185 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  71189 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71193 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  71197 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  71201 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  71205 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  71209 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  71212 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  71216 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  71220 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  71224 */   // MIs[0] src1
     /*  71224 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  71229 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  71231 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  71238 */   // (st (xor:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, -1:{ *:[i32] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (NOT32m addr:{ *:[iPTR] }:$src1)
     /*  71238 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT32m),
     /*  71241 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  71245 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  71251 */   GIR_RootConstrainSelectedInstOperands,
     /*  71252 */   // GIR_Coverage, 271,
     /*  71252 */   GIR_EraseRootFromParent_Done,
     /*  71253 */ // Label 1618: @71253
     /*  71253 */ GIM_Try, /*On fail goto*//*Label 1619*/ GIMT_Encode4(71348), // Rule ID 415 //
     /*  71258 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  71261 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  71265 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  71269 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  71273 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  71277 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  71281 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  71285 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  71289 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  71292 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  71296 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  71300 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  71304 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  71308 */   // MIs[3] Operand 1
     /*  71308 */   // No operand predicates
     /*  71308 */   GIM_CheckCxxInsnPredicate, /*MI*/3, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_imm_su),
     /*  71312 */   // MIs[0] src1
     /*  71312 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  71317 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  71319 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  71326 */   // (st (add:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_imm_su>>:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ADD32mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i32] }):$src2)
     /*  71326 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD32mi),
     /*  71329 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  71333 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  71336 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  71339 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  71346 */   GIR_RootConstrainSelectedInstOperands,
     /*  71347 */   // GIR_Coverage, 415,
     /*  71347 */   GIR_EraseRootFromParent_Done,
     /*  71348 */ // Label 1619: @71348
     /*  71348 */ GIM_Try, /*On fail goto*//*Label 1620*/ GIMT_Encode4(71443), // Rule ID 307 //
     /*  71353 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  71356 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  71360 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  71364 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71368 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  71372 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  71376 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  71380 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  71384 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  71387 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  71391 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  71395 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  71399 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  71403 */   // MIs[3] Operand 1
     /*  71403 */   // No operand predicates
     /*  71403 */   GIM_CheckCxxInsnPredicate, /*MI*/3, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_imm_su),
     /*  71407 */   // MIs[0] src1
     /*  71407 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  71412 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  71414 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  71421 */   // (st (and:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_imm_su>>:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (AND32mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i32] }):$src2)
     /*  71421 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND32mi),
     /*  71424 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  71428 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  71431 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  71434 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  71441 */   GIR_RootConstrainSelectedInstOperands,
     /*  71442 */   // GIR_Coverage, 307,
     /*  71442 */   GIR_EraseRootFromParent_Done,
     /*  71443 */ // Label 1620: @71443
     /*  71443 */ GIM_Try, /*On fail goto*//*Label 1621*/ GIMT_Encode4(71538), // Rule ID 343 //
     /*  71448 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  71451 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  71455 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  71459 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  71463 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  71467 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  71471 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  71475 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  71479 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  71482 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  71486 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  71490 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  71494 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  71498 */   // MIs[3] Operand 1
     /*  71498 */   // No operand predicates
     /*  71498 */   GIM_CheckCxxInsnPredicate, /*MI*/3, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_imm_su),
     /*  71502 */   // MIs[0] src1
     /*  71502 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  71507 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  71509 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  71516 */   // (st (or:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_imm_su>>:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (OR32mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i32] }):$src2)
     /*  71516 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR32mi),
     /*  71519 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  71523 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  71526 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  71529 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  71536 */   GIR_RootConstrainSelectedInstOperands,
     /*  71537 */   // GIR_Coverage, 343,
     /*  71537 */   GIR_EraseRootFromParent_Done,
     /*  71538 */ // Label 1621: @71538
     /*  71538 */ GIM_Try, /*On fail goto*//*Label 1622*/ GIMT_Encode4(71633), // Rule ID 455 //
     /*  71543 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  71546 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  71550 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  71554 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  71558 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  71562 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  71566 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  71570 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  71574 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  71577 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  71581 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  71585 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  71589 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  71593 */   // MIs[3] Operand 1
     /*  71593 */   // No operand predicates
     /*  71593 */   GIM_CheckCxxInsnPredicate, /*MI*/3, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_imm_su),
     /*  71597 */   // MIs[0] src1
     /*  71597 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  71602 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  71604 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  71611 */   // (st (sub:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_imm_su>>:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SUB32mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i32] }):$src2)
     /*  71611 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB32mi),
     /*  71614 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  71618 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  71621 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  71624 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  71631 */   GIR_RootConstrainSelectedInstOperands,
     /*  71632 */   // GIR_Coverage, 455,
     /*  71632 */   GIR_EraseRootFromParent_Done,
     /*  71633 */ // Label 1622: @71633
     /*  71633 */ GIM_Try, /*On fail goto*//*Label 1623*/ GIMT_Encode4(71728), // Rule ID 379 //
     /*  71638 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  71641 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  71645 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  71649 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71653 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  71657 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  71661 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  71665 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  71669 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  71672 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  71676 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  71680 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  71684 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  71688 */   // MIs[3] Operand 1
     /*  71688 */   // No operand predicates
     /*  71688 */   GIM_CheckCxxInsnPredicate, /*MI*/3, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_imm_su),
     /*  71692 */   // MIs[0] src1
     /*  71692 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  71697 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  71699 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  71706 */   // (st (xor:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_imm_su>>:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (XOR32mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i32] }):$src2)
     /*  71706 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR32mi),
     /*  71709 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  71713 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  71716 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  71719 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  71726 */   GIR_RootConstrainSelectedInstOperands,
     /*  71727 */   // GIR_Coverage, 379,
     /*  71727 */   GIR_EraseRootFromParent_Done,
     /*  71728 */ // Label 1623: @71728
     /*  71728 */ GIM_Try, /*On fail goto*//*Label 1624*/ GIMT_Encode4(71829), // Rule ID 22428 //
     /*  71733 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  71736 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  71743 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  71747 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  71751 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  71755 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  71759 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  71763 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  71767 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  71770 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  71774 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  71781 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  71785 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  71789 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  71793 */   // MIs[3] Operand 1
     /*  71793 */   // No operand predicates
     /*  71793 */   // MIs[0] dst
     /*  71793 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  71798 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  71800 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  71807 */   // (atomic_store (add:{ *:[i32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>, (imm:{ *:[i32] }):$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (ADD32mi:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i32] }):$src)
     /*  71807 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD32mi),
     /*  71810 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  71814 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  71817 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  71820 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  71827 */   GIR_RootConstrainSelectedInstOperands,
     /*  71828 */   // GIR_Coverage, 22428,
     /*  71828 */   GIR_EraseRootFromParent_Done,
     /*  71829 */ // Label 1624: @71829
     /*  71829 */ GIM_Try, /*On fail goto*//*Label 1625*/ GIMT_Encode4(71930), // Rule ID 22436 //
     /*  71834 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  71837 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  71844 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  71848 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71852 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  71856 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  71860 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  71864 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  71868 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  71871 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  71875 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  71882 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  71886 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  71890 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  71894 */   // MIs[3] Operand 1
     /*  71894 */   // No operand predicates
     /*  71894 */   // MIs[0] dst
     /*  71894 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  71899 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  71901 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  71908 */   // (atomic_store (and:{ *:[i32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>, (imm:{ *:[i32] }):$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (AND32mi:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i32] }):$src)
     /*  71908 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND32mi),
     /*  71911 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  71915 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  71918 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  71921 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  71928 */   GIR_RootConstrainSelectedInstOperands,
     /*  71929 */   // GIR_Coverage, 22436,
     /*  71929 */   GIR_EraseRootFromParent_Done,
     /*  71930 */ // Label 1625: @71930
     /*  71930 */ GIM_Try, /*On fail goto*//*Label 1626*/ GIMT_Encode4(72031), // Rule ID 22444 //
     /*  71935 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  71938 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  71945 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  71949 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  71953 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  71957 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  71961 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  71965 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  71969 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  71972 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  71976 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  71983 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  71987 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  71991 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  71995 */   // MIs[3] Operand 1
     /*  71995 */   // No operand predicates
     /*  71995 */   // MIs[0] dst
     /*  71995 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  72000 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  72002 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  72009 */   // (atomic_store (or:{ *:[i32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>, (imm:{ *:[i32] }):$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (OR32mi:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i32] }):$src)
     /*  72009 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR32mi),
     /*  72012 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  72016 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  72019 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  72022 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  72029 */   GIR_RootConstrainSelectedInstOperands,
     /*  72030 */   // GIR_Coverage, 22444,
     /*  72030 */   GIR_EraseRootFromParent_Done,
     /*  72031 */ // Label 1626: @72031
     /*  72031 */ GIM_Try, /*On fail goto*//*Label 1627*/ GIMT_Encode4(72132), // Rule ID 22460 //
     /*  72036 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  72039 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  72046 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  72050 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  72054 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  72058 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  72062 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  72066 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  72070 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  72073 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  72077 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  72084 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  72088 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  72092 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  72096 */   // MIs[3] Operand 1
     /*  72096 */   // No operand predicates
     /*  72096 */   // MIs[0] dst
     /*  72096 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  72101 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  72103 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  72110 */   // (atomic_store (sub:{ *:[i32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>, (imm:{ *:[i32] }):$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (SUB32mi:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i32] }):$src)
     /*  72110 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB32mi),
     /*  72113 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  72117 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  72120 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  72123 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  72130 */   GIR_RootConstrainSelectedInstOperands,
     /*  72131 */   // GIR_Coverage, 22460,
     /*  72131 */   GIR_EraseRootFromParent_Done,
     /*  72132 */ // Label 1627: @72132
     /*  72132 */ GIM_Try, /*On fail goto*//*Label 1628*/ GIMT_Encode4(72233), // Rule ID 22452 //
     /*  72137 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  72140 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  72147 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  72151 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  72155 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  72159 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  72163 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  72167 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  72171 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  72174 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  72178 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  72185 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  72189 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  72193 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  72197 */   // MIs[3] Operand 1
     /*  72197 */   // No operand predicates
     /*  72197 */   // MIs[0] dst
     /*  72197 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  72202 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  72204 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  72211 */   // (atomic_store (xor:{ *:[i32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>, (imm:{ *:[i32] }):$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (XOR32mi:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i32] }):$src)
     /*  72211 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR32mi),
     /*  72214 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  72218 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  72221 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  72224 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  72231 */   GIR_RootConstrainSelectedInstOperands,
     /*  72232 */   // GIR_Coverage, 22452,
     /*  72232 */   GIR_EraseRootFromParent_Done,
     /*  72233 */ // Label 1628: @72233
     /*  72233 */ GIM_Try, /*On fail goto*//*Label 1629*/ GIMT_Encode4(72337), // Rule ID 833 //
     /*  72238 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  72241 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  72245 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  72249 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSHL),
     /*  72253 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  72257 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  72261 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s8,
     /*  72265 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  72269 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  72273 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  72276 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  72280 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  72284 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  72289 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  72293 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  72297 */   // MIs[3] Operand 1
     /*  72297 */   // No operand predicates
     /*  72297 */   // MIs[0] src1
     /*  72297 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  72302 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  72304 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  72311 */   // (st (fshl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR32:{ *:[i32] }:$src2, (imm:{ *:[i8] }):$src3), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHLD32mri8:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR32:{ *:[i32] }:$src2, (imm:{ *:[i8] }):$src3)
     /*  72311 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLD32mri8),
     /*  72314 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  72318 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  72322 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src3
     /*  72325 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  72328 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  72335 */   GIR_RootConstrainSelectedInstOperands,
     /*  72336 */   // GIR_Coverage, 833,
     /*  72336 */   GIR_EraseRootFromParent_Done,
     /*  72337 */ // Label 1629: @72337
     /*  72337 */ GIM_Try, /*On fail goto*//*Label 1630*/ GIMT_Encode4(72441), // Rule ID 857 //
     /*  72342 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  72345 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  72349 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  72353 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSHR),
     /*  72357 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  72361 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  72365 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s8,
     /*  72369 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  72374 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  72378 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  72382 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  72385 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  72389 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  72393 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  72397 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  72401 */   // MIs[3] Operand 1
     /*  72401 */   // No operand predicates
     /*  72401 */   // MIs[0] src1
     /*  72401 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  72406 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  72408 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  72415 */   // (st (fshr:{ *:[i32] } GR32:{ *:[i32] }:$src2, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (imm:{ *:[i8] }):$src3), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHRD32mri8:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR32:{ *:[i32] }:$src2, (imm:{ *:[i8] }):$src3)
     /*  72415 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRD32mri8),
     /*  72418 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  72422 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  72426 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src3
     /*  72429 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  72432 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  72439 */   GIR_RootConstrainSelectedInstOperands,
     /*  72440 */   // GIR_Coverage, 857,
     /*  72440 */   GIR_EraseRootFromParent_Done,
     /*  72441 */ // Label 1630: @72441
     /*  72441 */ GIM_Try, /*On fail goto*//*Label 1631*/ GIMT_Encode4(72532), // Rule ID 734 //
     /*  72446 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  72449 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  72453 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  72457 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  72461 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  72465 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  72469 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  72473 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  72477 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  72480 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  72484 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  72488 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  72492 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  72496 */   // MIs[3] Operand 1
     /*  72496 */   // No operand predicates
     /*  72496 */   // MIs[0] src1
     /*  72496 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  72501 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  72503 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  72510 */   // (st (sra:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SAR32mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  72510 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR32mi),
     /*  72513 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  72517 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  72520 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  72523 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  72530 */   GIR_RootConstrainSelectedInstOperands,
     /*  72531 */   // GIR_Coverage, 734,
     /*  72531 */   GIR_EraseRootFromParent_Done,
     /*  72532 */ // Label 1631: @72532
     /*  72532 */ GIM_Try, /*On fail goto*//*Label 1632*/ GIMT_Encode4(72623), // Rule ID 702 //
     /*  72537 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  72540 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  72544 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  72548 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  72552 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  72556 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  72560 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  72564 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  72568 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  72571 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  72575 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  72579 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  72583 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  72587 */   // MIs[3] Operand 1
     /*  72587 */   // No operand predicates
     /*  72587 */   // MIs[0] src1
     /*  72587 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  72592 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  72594 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  72601 */   // (st (srl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHR32mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  72601 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR32mi),
     /*  72604 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  72608 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  72611 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  72614 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  72621 */   GIR_RootConstrainSelectedInstOperands,
     /*  72622 */   // GIR_Coverage, 702,
     /*  72622 */   GIR_EraseRootFromParent_Done,
     /*  72623 */ // Label 1632: @72623
     /*  72623 */ GIM_Try, /*On fail goto*//*Label 1633*/ GIMT_Encode4(72714), // Rule ID 766 //
     /*  72628 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  72631 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  72635 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  72639 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  72643 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  72647 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  72651 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  72655 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  72659 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  72662 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  72666 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  72670 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  72674 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  72678 */   // MIs[3] Operand 1
     /*  72678 */   // No operand predicates
     /*  72678 */   // MIs[0] src1
     /*  72678 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  72683 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  72685 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  72692 */   // (st (rotl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROL32mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  72692 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL32mi),
     /*  72695 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  72699 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  72702 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  72705 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  72712 */   GIR_RootConstrainSelectedInstOperands,
     /*  72713 */   // GIR_Coverage, 766,
     /*  72713 */   GIR_EraseRootFromParent_Done,
     /*  72714 */ // Label 1633: @72714
     /*  72714 */ GIM_Try, /*On fail goto*//*Label 1634*/ GIMT_Encode4(72805), // Rule ID 798 //
     /*  72719 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  72722 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  72726 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  72730 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTR),
     /*  72734 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  72738 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  72742 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  72746 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  72750 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  72753 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  72757 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  72761 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  72765 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  72769 */   // MIs[3] Operand 1
     /*  72769 */   // No operand predicates
     /*  72769 */   // MIs[0] src1
     /*  72769 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  72774 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  72776 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  72783 */   // (st (rotr:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROR32mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  72783 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR32mi),
     /*  72786 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  72790 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  72793 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  72796 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  72803 */   GIR_RootConstrainSelectedInstOperands,
     /*  72804 */   // GIR_Coverage, 798,
     /*  72804 */   GIR_EraseRootFromParent_Done,
     /*  72805 */ // Label 1634: @72805
     /*  72805 */ GIM_Try, /*On fail goto*//*Label 1635*/ GIMT_Encode4(72896), // Rule ID 670 //
     /*  72810 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  72813 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  72817 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  72821 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  72825 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  72829 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  72833 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  72837 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  72841 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  72844 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  72848 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  72852 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  72856 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  72860 */   // MIs[3] Operand 1
     /*  72860 */   // No operand predicates
     /*  72860 */   // MIs[0] src1
     /*  72860 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  72865 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  72867 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  72874 */   // (st (shl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHL32mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  72874 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL32mi),
     /*  72877 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  72881 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  72884 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  72887 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  72894 */   GIR_RootConstrainSelectedInstOperands,
     /*  72895 */   // GIR_Coverage, 670,
     /*  72895 */   GIR_EraseRootFromParent_Done,
     /*  72896 */ // Label 1635: @72896
     /*  72896 */ GIM_Try, /*On fail goto*//*Label 1636*/ GIMT_Encode4(72994), // Rule ID 22432 //
     /*  72901 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  72904 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  72911 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  72915 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  72919 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  72923 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  72927 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  72931 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  72935 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  72938 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  72942 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  72949 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  72953 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  72958 */   // MIs[0] dst
     /*  72958 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  72963 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  72965 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  72972 */   // (atomic_store (add:{ *:[i32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>, GR32:{ *:[i32] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (ADD32mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)
     /*  72972 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD32mr),
     /*  72975 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  72979 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  72983 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  72986 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  72992 */   GIR_RootConstrainSelectedInstOperands,
     /*  72993 */   // GIR_Coverage, 22432,
     /*  72993 */   GIR_EraseRootFromParent_Done,
     /*  72994 */ // Label 1636: @72994
     /*  72994 */ GIM_Try, /*On fail goto*//*Label 1637*/ GIMT_Encode4(73092), // Rule ID 26001 //
     /*  72999 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  73002 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  73009 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  73013 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  73017 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  73021 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  73025 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  73030 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  73034 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  73038 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  73041 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  73045 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  73052 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  73056 */   // MIs[0] dst
     /*  73056 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  73061 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  73063 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  73070 */   // (atomic_store (add:{ *:[i32] } GR32:{ *:[i32] }:$src, (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (ADD32mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)
     /*  73070 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD32mr),
     /*  73073 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  73077 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  73081 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  73084 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  73090 */   GIR_RootConstrainSelectedInstOperands,
     /*  73091 */   // GIR_Coverage, 26001,
     /*  73091 */   GIR_EraseRootFromParent_Done,
     /*  73092 */ // Label 1637: @73092
     /*  73092 */ GIM_Try, /*On fail goto*//*Label 1638*/ GIMT_Encode4(73190), // Rule ID 22440 //
     /*  73097 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  73100 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  73107 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  73111 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  73115 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  73119 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  73123 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  73127 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  73131 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  73134 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  73138 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  73145 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  73149 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  73154 */   // MIs[0] dst
     /*  73154 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  73159 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  73161 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  73168 */   // (atomic_store (and:{ *:[i32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>, GR32:{ *:[i32] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (AND32mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)
     /*  73168 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND32mr),
     /*  73171 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  73175 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  73179 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  73182 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  73188 */   GIR_RootConstrainSelectedInstOperands,
     /*  73189 */   // GIR_Coverage, 22440,
     /*  73189 */   GIR_EraseRootFromParent_Done,
     /*  73190 */ // Label 1638: @73190
     /*  73190 */ GIM_Try, /*On fail goto*//*Label 1639*/ GIMT_Encode4(73288), // Rule ID 26005 //
     /*  73195 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  73198 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  73205 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  73209 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  73213 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  73217 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  73221 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  73226 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  73230 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  73234 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  73237 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  73241 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  73248 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  73252 */   // MIs[0] dst
     /*  73252 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  73257 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  73259 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  73266 */   // (atomic_store (and:{ *:[i32] } GR32:{ *:[i32] }:$src, (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (AND32mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)
     /*  73266 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND32mr),
     /*  73269 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  73273 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  73277 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  73280 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  73286 */   GIR_RootConstrainSelectedInstOperands,
     /*  73287 */   // GIR_Coverage, 26005,
     /*  73287 */   GIR_EraseRootFromParent_Done,
     /*  73288 */ // Label 1639: @73288
     /*  73288 */ GIM_Try, /*On fail goto*//*Label 1640*/ GIMT_Encode4(73386), // Rule ID 22448 //
     /*  73293 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  73296 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  73303 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  73307 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  73311 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  73315 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  73319 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  73323 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  73327 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  73330 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  73334 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  73341 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  73345 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  73350 */   // MIs[0] dst
     /*  73350 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  73355 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  73357 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  73364 */   // (atomic_store (or:{ *:[i32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>, GR32:{ *:[i32] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (OR32mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)
     /*  73364 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR32mr),
     /*  73367 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  73371 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  73375 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  73378 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  73384 */   GIR_RootConstrainSelectedInstOperands,
     /*  73385 */   // GIR_Coverage, 22448,
     /*  73385 */   GIR_EraseRootFromParent_Done,
     /*  73386 */ // Label 1640: @73386
     /*  73386 */ GIM_Try, /*On fail goto*//*Label 1641*/ GIMT_Encode4(73484), // Rule ID 26009 //
     /*  73391 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  73394 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  73401 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  73405 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  73409 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  73413 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  73417 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  73422 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  73426 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  73430 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  73433 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  73437 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  73444 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  73448 */   // MIs[0] dst
     /*  73448 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  73453 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  73455 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  73462 */   // (atomic_store (or:{ *:[i32] } GR32:{ *:[i32] }:$src, (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (OR32mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)
     /*  73462 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR32mr),
     /*  73465 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  73469 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  73473 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  73476 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  73482 */   GIR_RootConstrainSelectedInstOperands,
     /*  73483 */   // GIR_Coverage, 26009,
     /*  73483 */   GIR_EraseRootFromParent_Done,
     /*  73484 */ // Label 1641: @73484
     /*  73484 */ GIM_Try, /*On fail goto*//*Label 1642*/ GIMT_Encode4(73582), // Rule ID 22464 //
     /*  73489 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  73492 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  73499 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  73503 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  73507 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  73511 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  73515 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  73519 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  73523 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  73526 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  73530 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  73537 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  73541 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  73546 */   // MIs[0] dst
     /*  73546 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  73551 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  73553 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  73560 */   // (atomic_store (sub:{ *:[i32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>, GR32:{ *:[i32] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (SUB32mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)
     /*  73560 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB32mr),
     /*  73563 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  73567 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  73571 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  73574 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  73580 */   GIR_RootConstrainSelectedInstOperands,
     /*  73581 */   // GIR_Coverage, 22464,
     /*  73581 */   GIR_EraseRootFromParent_Done,
     /*  73582 */ // Label 1642: @73582
     /*  73582 */ GIM_Try, /*On fail goto*//*Label 1643*/ GIMT_Encode4(73680), // Rule ID 22456 //
     /*  73587 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  73590 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  73597 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  73601 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73605 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  73609 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  73613 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  73617 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  73621 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  73624 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  73628 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  73635 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  73639 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  73644 */   // MIs[0] dst
     /*  73644 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  73649 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  73651 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  73658 */   // (atomic_store (xor:{ *:[i32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>, GR32:{ *:[i32] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (XOR32mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)
     /*  73658 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR32mr),
     /*  73661 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  73665 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  73669 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  73672 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  73678 */   GIR_RootConstrainSelectedInstOperands,
     /*  73679 */   // GIR_Coverage, 22456,
     /*  73679 */   GIR_EraseRootFromParent_Done,
     /*  73680 */ // Label 1643: @73680
     /*  73680 */ GIM_Try, /*On fail goto*//*Label 1644*/ GIMT_Encode4(73778), // Rule ID 26013 //
     /*  73685 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  73688 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  73695 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  73699 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73703 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  73707 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  73711 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  73716 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  73720 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  73724 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  73727 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  73731 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  73738 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  73742 */   // MIs[0] dst
     /*  73742 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  73747 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  73749 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  73756 */   // (atomic_store (xor:{ *:[i32] } GR32:{ *:[i32] }:$src, (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (XOR32mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)
     /*  73756 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR32mr),
     /*  73759 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  73763 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  73767 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  73770 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  73776 */   GIR_RootConstrainSelectedInstOperands,
     /*  73777 */   // GIR_Coverage, 26013,
     /*  73777 */   GIR_EraseRootFromParent_Done,
     /*  73778 */ // Label 1644: @73778
     /*  73778 */ GIM_Try, /*On fail goto*//*Label 1645*/ GIMT_Encode4(73889), // Rule ID 836 //
     /*  73783 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  73786 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  73790 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  73794 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSHL),
     /*  73798 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  73802 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  73806 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s8,
     /*  73810 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  73814 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  73818 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  73821 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  73825 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  73829 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  73834 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  73839 */   // MIs[0] src1
     /*  73839 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  73844 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  73846 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  73853 */   // (st (fshl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR32:{ *:[i32] }:$src2, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHLD32mrCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  73853 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73857 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  73863 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // CL
     /*  73867 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLD32mrCL),
     /*  73870 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  73874 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  73878 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  73881 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  73887 */   GIR_RootConstrainSelectedInstOperands,
     /*  73888 */   // GIR_Coverage, 836,
     /*  73888 */   GIR_EraseRootFromParent_Done,
     /*  73889 */ // Label 1645: @73889
     /*  73889 */ GIM_Try, /*On fail goto*//*Label 1646*/ GIMT_Encode4(74000), // Rule ID 860 //
     /*  73894 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  73897 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  73901 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  73905 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSHR),
     /*  73909 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  73913 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  73917 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s8,
     /*  73921 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  73926 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  73930 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  73934 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  73937 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  73941 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  73945 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  73950 */   // MIs[0] src1
     /*  73950 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  73955 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  73957 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  73964 */   // (st (fshr:{ *:[i32] } GR32:{ *:[i32] }:$src2, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHRD32mrCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  73964 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73968 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  73974 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // CL
     /*  73978 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRD32mrCL),
     /*  73981 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  73985 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  73989 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  73992 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  73998 */   GIR_RootConstrainSelectedInstOperands,
     /*  73999 */   // GIR_Coverage, 860,
     /*  73999 */   GIR_EraseRootFromParent_Done,
     /*  74000 */ // Label 1646: @74000
     /*  74000 */ GIM_Try, /*On fail goto*//*Label 1647*/ GIMT_Encode4(74088), // Rule ID 411 //
     /*  74005 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74008 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  74012 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  74016 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  74020 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  74024 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  74028 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  74032 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  74036 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74039 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  74043 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  74047 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  74052 */   // MIs[0] src1
     /*  74052 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  74057 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  74059 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  74066 */   // (st (add:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR32:{ *:[i32] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ADD32mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  74066 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD32mr),
     /*  74069 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  74073 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  74077 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  74080 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  74086 */   GIR_RootConstrainSelectedInstOperands,
     /*  74087 */   // GIR_Coverage, 411,
     /*  74087 */   GIR_EraseRootFromParent_Done,
     /*  74088 */ // Label 1647: @74088
     /*  74088 */ GIM_Try, /*On fail goto*//*Label 1648*/ GIMT_Encode4(74176), // Rule ID 23221 //
     /*  74093 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74096 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  74100 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  74104 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  74108 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  74112 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  74116 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  74121 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  74125 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  74129 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74132 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  74136 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  74140 */   // MIs[0] src1
     /*  74140 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  74145 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  74147 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  74154 */   // (st (add:{ *:[i32] } GR32:{ *:[i32] }:$src2, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ADD32mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  74154 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD32mr),
     /*  74157 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  74161 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  74165 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  74168 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  74174 */   GIR_RootConstrainSelectedInstOperands,
     /*  74175 */   // GIR_Coverage, 23221,
     /*  74175 */   GIR_EraseRootFromParent_Done,
     /*  74176 */ // Label 1648: @74176
     /*  74176 */ GIM_Try, /*On fail goto*//*Label 1649*/ GIMT_Encode4(74264), // Rule ID 303 //
     /*  74181 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74184 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  74188 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  74192 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  74196 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  74200 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  74204 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  74208 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  74212 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74215 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  74219 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  74223 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  74228 */   // MIs[0] src1
     /*  74228 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  74233 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  74235 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  74242 */   // (st (and:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR32:{ *:[i32] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (AND32mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  74242 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND32mr),
     /*  74245 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  74249 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  74253 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  74256 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  74262 */   GIR_RootConstrainSelectedInstOperands,
     /*  74263 */   // GIR_Coverage, 303,
     /*  74263 */   GIR_EraseRootFromParent_Done,
     /*  74264 */ // Label 1649: @74264
     /*  74264 */ GIM_Try, /*On fail goto*//*Label 1650*/ GIMT_Encode4(74352), // Rule ID 23185 //
     /*  74269 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74272 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  74276 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  74280 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  74284 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  74288 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  74292 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  74297 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  74301 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  74305 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74308 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  74312 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  74316 */   // MIs[0] src1
     /*  74316 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  74321 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  74323 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  74330 */   // (st (and:{ *:[i32] } GR32:{ *:[i32] }:$src2, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (AND32mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  74330 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND32mr),
     /*  74333 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  74337 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  74341 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  74344 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  74350 */   GIR_RootConstrainSelectedInstOperands,
     /*  74351 */   // GIR_Coverage, 23185,
     /*  74351 */   GIR_EraseRootFromParent_Done,
     /*  74352 */ // Label 1650: @74352
     /*  74352 */ GIM_Try, /*On fail goto*//*Label 1651*/ GIMT_Encode4(74450), // Rule ID 750 //
     /*  74357 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74360 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  74364 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  74368 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  74372 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  74376 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  74380 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  74384 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  74388 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74391 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  74395 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  74399 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  74404 */   // MIs[0] src1
     /*  74404 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  74409 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  74411 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  74418 */   // (st (sra:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SAR32mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  74418 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74422 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  74428 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  74432 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR32mCL),
     /*  74435 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  74439 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  74442 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  74448 */   GIR_RootConstrainSelectedInstOperands,
     /*  74449 */   // GIR_Coverage, 750,
     /*  74449 */   GIR_EraseRootFromParent_Done,
     /*  74450 */ // Label 1651: @74450
     /*  74450 */ GIM_Try, /*On fail goto*//*Label 1652*/ GIMT_Encode4(74548), // Rule ID 718 //
     /*  74455 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74458 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  74462 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  74466 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  74470 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  74474 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  74478 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  74482 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  74486 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74489 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  74493 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  74497 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  74502 */   // MIs[0] src1
     /*  74502 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  74507 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  74509 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  74516 */   // (st (srl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHR32mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  74516 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74520 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  74526 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  74530 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR32mCL),
     /*  74533 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  74537 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  74540 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  74546 */   GIR_RootConstrainSelectedInstOperands,
     /*  74547 */   // GIR_Coverage, 718,
     /*  74547 */   GIR_EraseRootFromParent_Done,
     /*  74548 */ // Label 1652: @74548
     /*  74548 */ GIM_Try, /*On fail goto*//*Label 1653*/ GIMT_Encode4(74636), // Rule ID 339 //
     /*  74553 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74556 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  74560 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  74564 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  74568 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  74572 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  74576 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  74580 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  74584 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74587 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  74591 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  74595 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  74600 */   // MIs[0] src1
     /*  74600 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  74605 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  74607 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  74614 */   // (st (or:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR32:{ *:[i32] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (OR32mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  74614 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR32mr),
     /*  74617 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  74621 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  74625 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  74628 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  74634 */   GIR_RootConstrainSelectedInstOperands,
     /*  74635 */   // GIR_Coverage, 339,
     /*  74635 */   GIR_EraseRootFromParent_Done,
     /*  74636 */ // Label 1653: @74636
     /*  74636 */ GIM_Try, /*On fail goto*//*Label 1654*/ GIMT_Encode4(74724), // Rule ID 23197 //
     /*  74641 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74644 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  74648 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  74652 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  74656 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  74660 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  74664 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  74669 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  74673 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  74677 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74680 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  74684 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  74688 */   // MIs[0] src1
     /*  74688 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  74693 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  74695 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  74702 */   // (st (or:{ *:[i32] } GR32:{ *:[i32] }:$src2, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (OR32mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  74702 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR32mr),
     /*  74705 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  74709 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  74713 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  74716 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  74722 */   GIR_RootConstrainSelectedInstOperands,
     /*  74723 */   // GIR_Coverage, 23197,
     /*  74723 */   GIR_EraseRootFromParent_Done,
     /*  74724 */ // Label 1654: @74724
     /*  74724 */ GIM_Try, /*On fail goto*//*Label 1655*/ GIMT_Encode4(74822), // Rule ID 782 //
     /*  74729 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74732 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  74736 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  74740 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  74744 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  74748 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  74752 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  74756 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  74760 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74763 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  74767 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  74771 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  74776 */   // MIs[0] src1
     /*  74776 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  74781 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  74783 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  74790 */   // (st (rotl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROL32mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  74790 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74794 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  74800 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  74804 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL32mCL),
     /*  74807 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  74811 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  74814 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  74820 */   GIR_RootConstrainSelectedInstOperands,
     /*  74821 */   // GIR_Coverage, 782,
     /*  74821 */   GIR_EraseRootFromParent_Done,
     /*  74822 */ // Label 1655: @74822
     /*  74822 */ GIM_Try, /*On fail goto*//*Label 1656*/ GIMT_Encode4(74920), // Rule ID 814 //
     /*  74827 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74830 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  74834 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  74838 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTR),
     /*  74842 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  74846 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  74850 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  74854 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  74858 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74861 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  74865 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  74869 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  74874 */   // MIs[0] src1
     /*  74874 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  74879 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  74881 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  74888 */   // (st (rotr:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROR32mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  74888 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74892 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  74898 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  74902 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR32mCL),
     /*  74905 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  74909 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  74912 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  74918 */   GIR_RootConstrainSelectedInstOperands,
     /*  74919 */   // GIR_Coverage, 814,
     /*  74919 */   GIR_EraseRootFromParent_Done,
     /*  74920 */ // Label 1656: @74920
     /*  74920 */ GIM_Try, /*On fail goto*//*Label 1657*/ GIMT_Encode4(75018), // Rule ID 686 //
     /*  74925 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74928 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  74932 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  74936 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  74940 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  74944 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  74948 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  74952 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  74956 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74959 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  74963 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  74967 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  74972 */   // MIs[0] src1
     /*  74972 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  74977 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  74979 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  74986 */   // (st (shl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHL32mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  74986 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74990 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  74996 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  75000 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL32mCL),
     /*  75003 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  75007 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  75010 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  75016 */   GIR_RootConstrainSelectedInstOperands,
     /*  75017 */   // GIR_Coverage, 686,
     /*  75017 */   GIR_EraseRootFromParent_Done,
     /*  75018 */ // Label 1657: @75018
     /*  75018 */ GIM_Try, /*On fail goto*//*Label 1658*/ GIMT_Encode4(75106), // Rule ID 447 //
     /*  75023 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  75026 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  75030 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  75034 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  75038 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  75042 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  75046 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  75050 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  75054 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  75057 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  75061 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  75065 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  75070 */   // MIs[0] src1
     /*  75070 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  75075 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  75077 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  75084 */   // (st (sub:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR32:{ *:[i32] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SUB32mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  75084 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB32mr),
     /*  75087 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  75091 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  75095 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  75098 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  75104 */   GIR_RootConstrainSelectedInstOperands,
     /*  75105 */   // GIR_Coverage, 447,
     /*  75105 */   GIR_EraseRootFromParent_Done,
     /*  75106 */ // Label 1658: @75106
     /*  75106 */ GIM_Try, /*On fail goto*//*Label 1659*/ GIMT_Encode4(75194), // Rule ID 375 //
     /*  75111 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  75114 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  75118 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  75122 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  75126 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  75130 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  75134 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  75138 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  75142 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  75145 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  75149 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  75153 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  75158 */   // MIs[0] src1
     /*  75158 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  75163 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  75165 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  75172 */   // (st (xor:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR32:{ *:[i32] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (XOR32mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  75172 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR32mr),
     /*  75175 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  75179 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  75183 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  75186 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  75192 */   GIR_RootConstrainSelectedInstOperands,
     /*  75193 */   // GIR_Coverage, 375,
     /*  75193 */   GIR_EraseRootFromParent_Done,
     /*  75194 */ // Label 1659: @75194
     /*  75194 */ GIM_Try, /*On fail goto*//*Label 1660*/ GIMT_Encode4(75282), // Rule ID 23209 //
     /*  75199 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  75202 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  75206 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  75210 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  75214 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  75218 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  75222 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  75227 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  75231 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  75235 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  75238 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  75242 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  75246 */   // MIs[0] src1
     /*  75246 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  75251 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  75253 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  75260 */   // (st (xor:{ *:[i32] } GR32:{ *:[i32] }:$src2, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (XOR32mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  75260 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR32mr),
     /*  75263 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  75267 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  75271 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  75274 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  75280 */   GIR_RootConstrainSelectedInstOperands,
     /*  75281 */   // GIR_Coverage, 23209,
     /*  75281 */   GIR_EraseRootFromParent_Done,
     /*  75282 */ // Label 1660: @75282
     /*  75282 */ GIM_Try, /*On fail goto*//*Label 1661*/ GIMT_Encode4(75336), // Rule ID 26 //
     /*  75287 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  75290 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  75294 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  75298 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  75302 */   // MIs[1] Operand 1
     /*  75302 */   // No operand predicates
     /*  75302 */   GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_imm_su),
     /*  75306 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  75310 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75312 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  75319 */   // (st (imm:{ *:[i32] })<<P:Predicate_imm_su>>:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOV32mi addr:{ *:[iPTR] }:$dst, (imm:{ *:[i32] }):$src)
     /*  75319 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV32mi),
     /*  75322 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  75326 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src
     /*  75329 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  75334 */   GIR_RootConstrainSelectedInstOperands,
     /*  75335 */   // GIR_Coverage, 26,
     /*  75335 */   GIR_EraseRootFromParent_Done,
     /*  75336 */ // Label 1661: @75336
     /*  75336 */ GIM_Try, /*On fail goto*//*Label 1662*/ GIMT_Encode4(75402), // Rule ID 22518 //
     /*  75341 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  75344 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  75347 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  75354 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  75358 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /*  75362 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  75366 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  75371 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  75375 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75377 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  75384 */   // (atomic_store (bitconvert:{ *:[i32] } FR32:{ *:[f32] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (MOVSSmr addr:{ *:[iPTR] }:$dst, FR32:{ *:[f32] }:$src)
     /*  75384 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVSSmr),
     /*  75387 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  75391 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  75395 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  75400 */   GIR_RootConstrainSelectedInstOperands,
     /*  75401 */   // GIR_Coverage, 22518,
     /*  75401 */   GIR_EraseRootFromParent_Done,
     /*  75402 */ // Label 1662: @75402
     /*  75402 */ GIM_Try, /*On fail goto*//*Label 1663*/ GIMT_Encode4(75468), // Rule ID 22519 //
     /*  75407 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  75410 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  75413 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  75420 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  75424 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /*  75428 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  75432 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  75437 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  75441 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75443 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  75450 */   // (atomic_store (bitconvert:{ *:[i32] } FR32:{ *:[f32] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (VMOVSSmr addr:{ *:[iPTR] }:$dst, FR32:{ *:[f32] }:$src)
     /*  75450 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVSSmr),
     /*  75453 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  75457 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  75461 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  75466 */   GIR_RootConstrainSelectedInstOperands,
     /*  75467 */   // GIR_Coverage, 22519,
     /*  75467 */   GIR_EraseRootFromParent_Done,
     /*  75468 */ // Label 1663: @75468
     /*  75468 */ GIM_Try, /*On fail goto*//*Label 1664*/ GIMT_Encode4(75534), // Rule ID 22520 //
     /*  75473 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  75476 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  75479 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  75486 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  75490 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /*  75494 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  75498 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  75503 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  75507 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75509 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  75516 */   // (atomic_store (bitconvert:{ *:[i32] } FR32:{ *:[f32] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (VMOVSSZmr addr:{ *:[iPTR] }:$dst, FR32:{ *:[f32] }:$src)
     /*  75516 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVSSZmr),
     /*  75519 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  75523 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  75527 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  75532 */   GIR_RootConstrainSelectedInstOperands,
     /*  75533 */   // GIR_Coverage, 22520,
     /*  75533 */   GIR_EraseRootFromParent_Done,
     /*  75534 */ // Label 1664: @75534
     /*  75534 */ GIM_Try, /*On fail goto*//*Label 1665*/ GIMT_Encode4(75587), // Rule ID 22508 //
     /*  75539 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  75542 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  75549 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  75553 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  75557 */   // MIs[1] Operand 1
     /*  75557 */   // No operand predicates
     /*  75557 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  75561 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75563 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  75570 */   // (atomic_store (imm:{ *:[i32] }):$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (MOV32mi addr:{ *:[iPTR] }:$dst, (imm:{ *:[i32] }):$src)
     /*  75570 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV32mi),
     /*  75573 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  75577 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src
     /*  75580 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  75585 */   GIR_RootConstrainSelectedInstOperands,
     /*  75586 */   // GIR_Coverage, 22508,
     /*  75586 */   GIR_EraseRootFromParent_Done,
     /*  75587 */ // Label 1665: @75587
     /*  75587 */ GIM_Try, /*On fail goto*//*Label 1666*/ GIMT_Encode4(75650), // Rule ID 52 //
     /*  75592 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVBE_NoEGPR),
     /*  75595 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  75598 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  75602 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  75606 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /*  75610 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  75614 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  75619 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  75623 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75625 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  75632 */   // (st (bswap:{ *:[i32] } GR32:{ *:[i32] }:$src1), addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOVBE32mr addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src1)
     /*  75632 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVBE32mr),
     /*  75635 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  75639 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  75643 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  75648 */   GIR_RootConstrainSelectedInstOperands,
     /*  75649 */   // GIR_Coverage, 52,
     /*  75649 */   GIR_EraseRootFromParent_Done,
     /*  75650 */ // Label 1666: @75650
     /*  75650 */ GIM_Try, /*On fail goto*//*Label 1667*/ GIMT_Encode4(75713), // Rule ID 58 //
     /*  75655 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_HasMOVBE_In64BitMode),
     /*  75658 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  75661 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  75665 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  75669 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /*  75673 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  75677 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  75682 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  75686 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75688 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  75695 */   // (st (bswap:{ *:[i32] } GR32:{ *:[i32] }:$src1), addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOVBE32mr_EVEX addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src1)
     /*  75695 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVBE32mr_EVEX),
     /*  75698 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  75702 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  75706 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  75711 */   GIR_RootConstrainSelectedInstOperands,
     /*  75712 */   // GIR_Coverage, 58,
     /*  75712 */   GIR_EraseRootFromParent_Done,
     /*  75713 */ // Label 1667: @75713
     /*  75713 */ GIM_Try, /*On fail goto*//*Label 1668*/ GIMT_Encode4(75758), // Rule ID 22512 //
     /*  75718 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  75721 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  75728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  75732 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  75736 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  75743 */   // (atomic_store GR32:{ *:[i32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (MOV32mr addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)
     /*  75743 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV32mr),
     /*  75746 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  75750 */   GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  75752 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  75756 */   GIR_RootConstrainSelectedInstOperands,
     /*  75757 */   // GIR_Coverage, 22512,
     /*  75757 */   GIR_EraseRootFromParent_Done,
     /*  75758 */ // Label 1668: @75758
     /*  75758 */ GIM_Try, /*On fail goto*//*Label 1669*/ GIMT_Encode4(75800), // Rule ID 34 //
     /*  75763 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  75766 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  75770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  75774 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  75778 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  75785 */   // (st GR32:{ *:[i32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOV32mr addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)
     /*  75785 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV32mr),
     /*  75788 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  75792 */   GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  75794 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  75798 */   GIR_RootConstrainSelectedInstOperands,
     /*  75799 */   // GIR_Coverage, 34,
     /*  75799 */   GIR_EraseRootFromParent_Done,
     /*  75800 */ // Label 1669: @75800
     /*  75800 */ GIM_Try, /*On fail goto*//*Label 1670*/ GIMT_Encode4(75848), // Rule ID 1094 //
     /*  75805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /*  75808 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  75811 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  75815 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /*  75819 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  75823 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  75830 */   // (st RFP32:{ *:[f32] }:$src, addr:{ *:[iPTR] }:$op)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST_Fp32m:{ *:[i16] } addr:{ *:[iPTR] }:$op, RFP32:{ *:[f32] }:$src)
     /*  75830 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ST_Fp32m),
     /*  75833 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // op
     /*  75837 */   GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  75839 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /*  75842 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  75846 */   GIR_RootConstrainSelectedInstOperands,
     /*  75847 */   // GIR_Coverage, 1094,
     /*  75847 */   GIR_EraseRootFromParent_Done,
     /*  75848 */ // Label 1670: @75848
     /*  75848 */ GIM_Try, /*On fail goto*//*Label 1671*/ GIMT_Encode4(75893), // Rule ID 1687 //
     /*  75853 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  75856 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  75859 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  75863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  75867 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  75871 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  75878 */   // (st FR32:{ *:[f32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVSSmr addr:{ *:[iPTR] }:$dst, FR32:{ *:[f32] }:$src)
     /*  75878 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVSSmr),
     /*  75881 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  75885 */   GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  75887 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  75891 */   GIR_RootConstrainSelectedInstOperands,
     /*  75892 */   // GIR_Coverage, 1687,
     /*  75892 */   GIR_EraseRootFromParent_Done,
     /*  75893 */ // Label 1671: @75893
     /*  75893 */ GIM_Try, /*On fail goto*//*Label 1672*/ GIMT_Encode4(75938), // Rule ID 1689 //
     /*  75898 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  75901 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  75904 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  75908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  75912 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  75916 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  75923 */   // (st FR32:{ *:[f32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOVSSmr addr:{ *:[iPTR] }:$dst, FR32:{ *:[f32] }:$src)
     /*  75923 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVSSmr),
     /*  75926 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  75930 */   GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  75932 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  75936 */   GIR_RootConstrainSelectedInstOperands,
     /*  75937 */   // GIR_Coverage, 1689,
     /*  75937 */   GIR_EraseRootFromParent_Done,
     /*  75938 */ // Label 1672: @75938
     /*  75938 */ GIM_Try, /*On fail goto*//*Label 1673*/ GIMT_Encode4(75983), // Rule ID 4609 //
     /*  75943 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  75946 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  75949 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  75953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /*  75957 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  75961 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  75968 */   // (st FR32X:{ *:[f32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVSSZmr addr:{ *:[iPTR] }:$dst, FR32X:{ *:[f32] }:$src)
     /*  75968 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVSSZmr),
     /*  75971 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  75975 */   GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  75977 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  75981 */   GIR_RootConstrainSelectedInstOperands,
     /*  75982 */   // GIR_Coverage, 4609,
     /*  75982 */   GIR_EraseRootFromParent_Done,
     /*  75983 */ // Label 1673: @75983
     /*  75983 */ GIM_Reject,
     /*  75984 */ // Label 1476: @75984
     /*  75984 */ GIM_Try, /*On fail goto*//*Label 1674*/ GIMT_Encode4(76080), // Rule ID 22493 //
     /*  75989 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseIncDec),
     /*  75992 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  75995 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  76002 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  76006 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  76010 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  76014 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  76018 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  76022 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  76026 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  76029 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  76033 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  76040 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  76044 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  76048 */   // MIs[0] dst
     /*  76048 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  76053 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  76055 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  76062 */   // (atomic_store (add:{ *:[i64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>, 1:{ *:[i64] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (INC64m:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  76062 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INC64m),
     /*  76065 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  76069 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  76072 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  76078 */   GIR_RootConstrainSelectedInstOperands,
     /*  76079 */   // GIR_Coverage, 22493,
     /*  76079 */   GIR_EraseRootFromParent_Done,
     /*  76080 */ // Label 1674: @76080
     /*  76080 */ GIM_Try, /*On fail goto*//*Label 1675*/ GIMT_Encode4(76176), // Rule ID 22497 //
     /*  76085 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseIncDec),
     /*  76088 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  76091 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  76098 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  76102 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  76106 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  76110 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  76114 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  76118 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  76122 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  76125 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  76129 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  76136 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  76140 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  76144 */   // MIs[0] dst
     /*  76144 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  76149 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  76151 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  76158 */   // (atomic_store (add:{ *:[i64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>, -1:{ *:[i64] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (DEC64m:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  76158 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DEC64m),
     /*  76161 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  76165 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  76168 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  76174 */   GIR_RootConstrainSelectedInstOperands,
     /*  76175 */   // GIR_Coverage, 22497,
     /*  76175 */   GIR_EraseRootFromParent_Done,
     /*  76176 */ // Label 1675: @76176
     /*  76176 */ GIM_Try, /*On fail goto*//*Label 1676*/ GIMT_Encode4(76269), // Rule ID 22501 //
     /*  76181 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  76184 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  76191 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  76195 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  76199 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  76203 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  76207 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /*  76211 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  76215 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  76219 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  76222 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  76226 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  76233 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  76237 */   // MIs[0] dst
     /*  76237 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  76242 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  76244 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  76251 */   // (atomic_store (sub:{ *:[i64] } 0:{ *:[i64] }, (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (NEG64m:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  76251 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG64m),
     /*  76254 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  76258 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  76261 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  76267 */   GIR_RootConstrainSelectedInstOperands,
     /*  76268 */   // GIR_Coverage, 22501,
     /*  76268 */   GIR_EraseRootFromParent_Done,
     /*  76269 */ // Label 1676: @76269
     /*  76269 */ GIM_Try, /*On fail goto*//*Label 1677*/ GIMT_Encode4(76359), // Rule ID 22505 //
     /*  76274 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  76277 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  76284 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  76288 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  76292 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  76296 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  76300 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  76304 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  76308 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  76311 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  76315 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  76322 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  76326 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  76330 */   // MIs[0] dst
     /*  76330 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  76335 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  76337 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  76344 */   // (atomic_store (xor:{ *:[i64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>, -1:{ *:[i64] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (NOT64m addr:{ *:[iPTR] }:$dst)
     /*  76344 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT64m),
     /*  76347 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  76351 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  76357 */   GIR_RootConstrainSelectedInstOperands,
     /*  76358 */   // GIR_Coverage, 22505,
     /*  76358 */   GIR_EraseRootFromParent_Done,
     /*  76359 */ // Label 1677: @76359
     /*  76359 */ GIM_Try, /*On fail goto*//*Label 1678*/ GIMT_Encode4(76445), // Rule ID 231 //
     /*  76364 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode_UseIncDec),
     /*  76367 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  76370 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  76374 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  76378 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  76382 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  76386 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  76390 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  76394 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  76398 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  76401 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  76405 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  76409 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  76413 */   // MIs[0] src1
     /*  76413 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  76418 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  76420 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  76427 */   // (st (add:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 1:{ *:[i64] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (INC64m:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  76427 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INC64m),
     /*  76430 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  76434 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  76437 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  76443 */   GIR_RootConstrainSelectedInstOperands,
     /*  76444 */   // GIR_Coverage, 231,
     /*  76444 */   GIR_EraseRootFromParent_Done,
     /*  76445 */ // Label 1678: @76445
     /*  76445 */ GIM_Try, /*On fail goto*//*Label 1679*/ GIMT_Encode4(76531), // Rule ID 232 //
     /*  76450 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode_UseIncDec),
     /*  76453 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  76456 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  76460 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  76464 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  76468 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  76472 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  76476 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  76480 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  76484 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  76487 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  76491 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  76495 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  76499 */   // MIs[0] src1
     /*  76499 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  76504 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  76506 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  76513 */   // (st (add:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, -1:{ *:[i64] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (DEC64m:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  76513 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DEC64m),
     /*  76516 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  76520 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  76523 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  76529 */   GIR_RootConstrainSelectedInstOperands,
     /*  76530 */   // GIR_Coverage, 232,
     /*  76530 */   GIR_EraseRootFromParent_Done,
     /*  76531 */ // Label 1679: @76531
     /*  76531 */ GIM_Try, /*On fail goto*//*Label 1680*/ GIMT_Encode4(76624), // Rule ID 22613 //
     /*  76536 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  76539 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  76543 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  76547 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  76551 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  76555 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  76559 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  76563 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  76567 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  76570 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  76574 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  76578 */   GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(128),
     /*  76589 */   // MIs[0] dst
     /*  76589 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  76594 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  76596 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  76603 */   // (st (add:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 128:{ *:[i64] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SUB64mi32:{ *:[i32] } addr:{ *:[iPTR] }:$dst, -128:{ *:[i64] })
     /*  76603 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB64mi32),
     /*  76606 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  76610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-128),
     /*  76613 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  76616 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  76622 */   GIR_RootConstrainSelectedInstOperands,
     /*  76623 */   // GIR_Coverage, 22613,
     /*  76623 */   GIR_EraseRootFromParent_Done,
     /*  76624 */ // Label 1680: @76624
     /*  76624 */ GIM_Try, /*On fail goto*//*Label 1681*/ GIMT_Encode4(76724), // Rule ID 22621 //
     /*  76629 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  76632 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  76636 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  76640 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  76644 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  76648 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  76652 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  76656 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  76660 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  76663 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  76667 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  76671 */   GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(2147483648),
     /*  76682 */   // MIs[0] dst
     /*  76682 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  76687 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  76689 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  76696 */   // (st (add:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 2147483648:{ *:[i64] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SUB64mi32:{ *:[i32] } addr:{ *:[iPTR] }:$dst, -2147483648:{ *:[i64] })
     /*  76696 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB64mi32),
     /*  76699 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  76703 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(-2147483648),
     /*  76713 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  76716 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  76722 */   GIR_RootConstrainSelectedInstOperands,
     /*  76723 */   // GIR_Coverage, 22621,
     /*  76723 */   GIR_EraseRootFromParent_Done,
     /*  76724 */ // Label 1681: @76724
     /*  76724 */ GIM_Try, /*On fail goto*//*Label 1682*/ GIMT_Encode4(76810), // Rule ID 17614 //
     /*  76729 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /*  76732 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  76735 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  76739 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  76743 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  76747 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  76751 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  76755 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  76759 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  76763 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  76766 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  76770 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  76774 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 63,
     /*  76778 */   // MIs[0] dst
     /*  76778 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  76783 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  76785 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  76792 */   // (st (rotl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 63:{ *:[i8] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROR64m1:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  76792 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR64m1),
     /*  76795 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  76799 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  76802 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  76808 */   GIR_RootConstrainSelectedInstOperands,
     /*  76809 */   // GIR_Coverage, 17614,
     /*  76809 */   GIR_EraseRootFromParent_Done,
     /*  76810 */ // Label 1682: @76810
     /*  76810 */ GIM_Try, /*On fail goto*//*Label 1683*/ GIMT_Encode4(76896), // Rule ID 17618 //
     /*  76815 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /*  76818 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  76821 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  76825 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  76829 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTR),
     /*  76833 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  76837 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  76841 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  76845 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  76849 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  76852 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  76856 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  76860 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 63,
     /*  76864 */   // MIs[0] dst
     /*  76864 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  76869 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  76871 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  76878 */   // (st (rotr:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 63:{ *:[i8] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROL64m1:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  76878 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL64m1),
     /*  76881 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  76885 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  76888 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  76894 */   GIR_RootConstrainSelectedInstOperands,
     /*  76895 */   // GIR_Coverage, 17618,
     /*  76895 */   GIR_EraseRootFromParent_Done,
     /*  76896 */ // Label 1683: @76896
     /*  76896 */ GIM_Try, /*On fail goto*//*Label 1684*/ GIMT_Encode4(76982), // Rule ID 264 //
     /*  76901 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /*  76904 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  76907 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  76911 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  76915 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  76919 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  76923 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  76927 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /*  76931 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  76935 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  76939 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  76942 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  76946 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  76950 */   // MIs[0] src1
     /*  76950 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  76955 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  76957 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  76964 */   // (st (sub:{ *:[i64] } 0:{ *:[i64] }, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (NEG64m:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  76964 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG64m),
     /*  76967 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  76971 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  76974 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  76980 */   GIR_RootConstrainSelectedInstOperands,
     /*  76981 */   // GIR_Coverage, 264,
     /*  76981 */   GIR_EraseRootFromParent_Done,
     /*  76982 */ // Label 1684: @76982
     /*  76982 */ GIM_Try, /*On fail goto*//*Label 1685*/ GIMT_Encode4(77065), // Rule ID 272 //
     /*  76987 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /*  76990 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  76993 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  76997 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  77001 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  77005 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  77009 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  77013 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  77017 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  77021 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  77024 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  77028 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  77032 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  77036 */   // MIs[0] src1
     /*  77036 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  77041 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  77043 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  77050 */   // (st (xor:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, -1:{ *:[i64] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (NOT64m addr:{ *:[iPTR] }:$src1)
     /*  77050 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT64m),
     /*  77053 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  77057 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  77063 */   GIR_RootConstrainSelectedInstOperands,
     /*  77064 */   // GIR_Coverage, 272,
     /*  77064 */   GIR_EraseRootFromParent_Done,
     /*  77065 */ // Label 1685: @77065
     /*  77065 */ GIM_Try, /*On fail goto*//*Label 1686*/ GIMT_Encode4(77170), // Rule ID 22429 //
     /*  77070 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  77073 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  77080 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  77084 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  77088 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  77092 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  77096 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  77100 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  77104 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  77107 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  77111 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  77118 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  77122 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  77126 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  77130 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /*  77134 */   // MIs[3] Operand 1
     /*  77134 */   // No operand predicates
     /*  77134 */   // MIs[0] dst
     /*  77134 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  77139 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77141 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  77148 */   // (atomic_store (add:{ *:[i64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (ADD64mi32:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src)
     /*  77148 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD64mi32),
     /*  77151 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  77155 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  77158 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  77161 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  77168 */   GIR_RootConstrainSelectedInstOperands,
     /*  77169 */   // GIR_Coverage, 22429,
     /*  77169 */   GIR_EraseRootFromParent_Done,
     /*  77170 */ // Label 1686: @77170
     /*  77170 */ GIM_Try, /*On fail goto*//*Label 1687*/ GIMT_Encode4(77275), // Rule ID 22437 //
     /*  77175 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  77178 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  77185 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  77189 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  77193 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  77197 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  77201 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  77205 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  77209 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  77212 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  77216 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  77223 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  77227 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  77231 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  77235 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /*  77239 */   // MIs[3] Operand 1
     /*  77239 */   // No operand predicates
     /*  77239 */   // MIs[0] dst
     /*  77239 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  77244 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77246 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  77253 */   // (atomic_store (and:{ *:[i64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (AND64mi32:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src)
     /*  77253 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND64mi32),
     /*  77256 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  77260 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  77263 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  77266 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  77273 */   GIR_RootConstrainSelectedInstOperands,
     /*  77274 */   // GIR_Coverage, 22437,
     /*  77274 */   GIR_EraseRootFromParent_Done,
     /*  77275 */ // Label 1687: @77275
     /*  77275 */ GIM_Try, /*On fail goto*//*Label 1688*/ GIMT_Encode4(77380), // Rule ID 22445 //
     /*  77280 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  77283 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  77290 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  77294 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  77298 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  77302 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  77306 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  77310 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  77314 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  77317 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  77321 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  77328 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  77332 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  77336 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  77340 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /*  77344 */   // MIs[3] Operand 1
     /*  77344 */   // No operand predicates
     /*  77344 */   // MIs[0] dst
     /*  77344 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  77349 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77351 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  77358 */   // (atomic_store (or:{ *:[i64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (OR64mi32:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src)
     /*  77358 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR64mi32),
     /*  77361 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  77365 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  77368 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  77371 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  77378 */   GIR_RootConstrainSelectedInstOperands,
     /*  77379 */   // GIR_Coverage, 22445,
     /*  77379 */   GIR_EraseRootFromParent_Done,
     /*  77380 */ // Label 1688: @77380
     /*  77380 */ GIM_Try, /*On fail goto*//*Label 1689*/ GIMT_Encode4(77485), // Rule ID 22461 //
     /*  77385 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  77388 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  77395 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  77399 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  77403 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  77407 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  77411 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  77415 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  77419 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  77422 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  77426 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  77433 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  77437 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  77441 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  77445 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /*  77449 */   // MIs[3] Operand 1
     /*  77449 */   // No operand predicates
     /*  77449 */   // MIs[0] dst
     /*  77449 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  77454 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77456 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  77463 */   // (atomic_store (sub:{ *:[i64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (SUB64mi32:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src)
     /*  77463 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB64mi32),
     /*  77466 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  77470 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  77473 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  77476 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  77483 */   GIR_RootConstrainSelectedInstOperands,
     /*  77484 */   // GIR_Coverage, 22461,
     /*  77484 */   GIR_EraseRootFromParent_Done,
     /*  77485 */ // Label 1689: @77485
     /*  77485 */ GIM_Try, /*On fail goto*//*Label 1690*/ GIMT_Encode4(77590), // Rule ID 22453 //
     /*  77490 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  77493 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  77500 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  77504 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  77508 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  77512 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  77516 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  77520 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  77524 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  77527 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  77531 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  77538 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  77542 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  77546 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  77550 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /*  77554 */   // MIs[3] Operand 1
     /*  77554 */   // No operand predicates
     /*  77554 */   // MIs[0] dst
     /*  77554 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  77559 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77561 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  77568 */   // (atomic_store (xor:{ *:[i64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (XOR64mi32:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src)
     /*  77568 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR64mi32),
     /*  77571 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  77575 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  77578 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  77581 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  77588 */   GIR_RootConstrainSelectedInstOperands,
     /*  77589 */   // GIR_Coverage, 22453,
     /*  77589 */   GIR_EraseRootFromParent_Done,
     /*  77590 */ // Label 1690: @77590
     /*  77590 */ GIM_Try, /*On fail goto*//*Label 1691*/ GIMT_Encode4(77694), // Rule ID 834 //
     /*  77595 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  77598 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  77602 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  77606 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSHL),
     /*  77610 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  77614 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  77618 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s8,
     /*  77622 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  77626 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  77630 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  77633 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  77637 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  77641 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  77646 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  77650 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  77654 */   // MIs[3] Operand 1
     /*  77654 */   // No operand predicates
     /*  77654 */   // MIs[0] src1
     /*  77654 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  77659 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77661 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  77668 */   // (st (fshl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src2, (imm:{ *:[i8] }):$src3), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHLD64mri8:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR64:{ *:[i64] }:$src2, (imm:{ *:[i8] }):$src3)
     /*  77668 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLD64mri8),
     /*  77671 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  77675 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  77679 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src3
     /*  77682 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  77685 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  77692 */   GIR_RootConstrainSelectedInstOperands,
     /*  77693 */   // GIR_Coverage, 834,
     /*  77693 */   GIR_EraseRootFromParent_Done,
     /*  77694 */ // Label 1691: @77694
     /*  77694 */ GIM_Try, /*On fail goto*//*Label 1692*/ GIMT_Encode4(77798), // Rule ID 858 //
     /*  77699 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  77702 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  77706 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  77710 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSHR),
     /*  77714 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  77718 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  77722 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s8,
     /*  77726 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  77731 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  77735 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  77739 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  77742 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  77746 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  77750 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  77754 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  77758 */   // MIs[3] Operand 1
     /*  77758 */   // No operand predicates
     /*  77758 */   // MIs[0] src1
     /*  77758 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  77763 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77765 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  77772 */   // (st (fshr:{ *:[i64] } GR64:{ *:[i64] }:$src2, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] }):$src3), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHRD64mri8:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR64:{ *:[i64] }:$src2, (imm:{ *:[i8] }):$src3)
     /*  77772 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRD64mri8),
     /*  77775 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  77779 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  77783 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src3
     /*  77786 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  77789 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  77796 */   GIR_RootConstrainSelectedInstOperands,
     /*  77797 */   // GIR_Coverage, 858,
     /*  77797 */   GIR_EraseRootFromParent_Done,
     /*  77798 */ // Label 1692: @77798
     /*  77798 */ GIM_Try, /*On fail goto*//*Label 1693*/ GIMT_Encode4(77892), // Rule ID 735 //
     /*  77803 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /*  77806 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  77809 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  77813 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  77817 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  77821 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  77825 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  77829 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  77833 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  77837 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  77840 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  77844 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  77848 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  77852 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  77856 */   // MIs[3] Operand 1
     /*  77856 */   // No operand predicates
     /*  77856 */   // MIs[0] src1
     /*  77856 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  77861 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77863 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  77870 */   // (st (sra:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SAR64mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  77870 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR64mi),
     /*  77873 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  77877 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  77880 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  77883 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  77890 */   GIR_RootConstrainSelectedInstOperands,
     /*  77891 */   // GIR_Coverage, 735,
     /*  77891 */   GIR_EraseRootFromParent_Done,
     /*  77892 */ // Label 1693: @77892
     /*  77892 */ GIM_Try, /*On fail goto*//*Label 1694*/ GIMT_Encode4(77986), // Rule ID 703 //
     /*  77897 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /*  77900 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  77903 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  77907 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  77911 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  77915 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  77919 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  77923 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  77927 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  77931 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  77934 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  77938 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  77942 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  77946 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  77950 */   // MIs[3] Operand 1
     /*  77950 */   // No operand predicates
     /*  77950 */   // MIs[0] src1
     /*  77950 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  77955 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77957 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  77964 */   // (st (srl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHR64mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  77964 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR64mi),
     /*  77967 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  77971 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  77974 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  77977 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  77984 */   GIR_RootConstrainSelectedInstOperands,
     /*  77985 */   // GIR_Coverage, 703,
     /*  77985 */   GIR_EraseRootFromParent_Done,
     /*  77986 */ // Label 1694: @77986
     /*  77986 */ GIM_Try, /*On fail goto*//*Label 1695*/ GIMT_Encode4(78080), // Rule ID 767 //
     /*  77991 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /*  77994 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  77997 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  78001 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  78005 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  78009 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  78013 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  78017 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  78021 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  78025 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  78028 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  78032 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  78036 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  78040 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  78044 */   // MIs[3] Operand 1
     /*  78044 */   // No operand predicates
     /*  78044 */   // MIs[0] src1
     /*  78044 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  78049 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  78051 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  78058 */   // (st (rotl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROL64mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  78058 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL64mi),
     /*  78061 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  78065 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  78068 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  78071 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  78078 */   GIR_RootConstrainSelectedInstOperands,
     /*  78079 */   // GIR_Coverage, 767,
     /*  78079 */   GIR_EraseRootFromParent_Done,
     /*  78080 */ // Label 1695: @78080
     /*  78080 */ GIM_Try, /*On fail goto*//*Label 1696*/ GIMT_Encode4(78174), // Rule ID 799 //
     /*  78085 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /*  78088 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  78091 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  78095 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  78099 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTR),
     /*  78103 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  78107 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  78111 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  78115 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  78119 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  78122 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  78126 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  78130 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  78134 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  78138 */   // MIs[3] Operand 1
     /*  78138 */   // No operand predicates
     /*  78138 */   // MIs[0] src1
     /*  78138 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  78143 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  78145 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  78152 */   // (st (rotr:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROR64mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  78152 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR64mi),
     /*  78155 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  78159 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  78162 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  78165 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  78172 */   GIR_RootConstrainSelectedInstOperands,
     /*  78173 */   // GIR_Coverage, 799,
     /*  78173 */   GIR_EraseRootFromParent_Done,
     /*  78174 */ // Label 1696: @78174
     /*  78174 */ GIM_Try, /*On fail goto*//*Label 1697*/ GIMT_Encode4(78268), // Rule ID 671 //
     /*  78179 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /*  78182 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  78185 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  78189 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  78193 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  78197 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  78201 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  78205 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  78209 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  78213 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  78216 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  78220 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  78224 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  78228 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  78232 */   // MIs[3] Operand 1
     /*  78232 */   // No operand predicates
     /*  78232 */   // MIs[0] src1
     /*  78232 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  78237 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  78239 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  78246 */   // (st (shl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHL64mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  78246 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL64mi),
     /*  78249 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  78253 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  78256 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  78259 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  78266 */   GIR_RootConstrainSelectedInstOperands,
     /*  78267 */   // GIR_Coverage, 671,
     /*  78267 */   GIR_EraseRootFromParent_Done,
     /*  78268 */ // Label 1697: @78268
     /*  78268 */ GIM_Try, /*On fail goto*//*Label 1698*/ GIMT_Encode4(78366), // Rule ID 22433 //
     /*  78273 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  78276 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  78283 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  78287 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  78291 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  78295 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  78299 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  78303 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  78307 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  78310 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  78314 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  78321 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  78325 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  78330 */   // MIs[0] dst
     /*  78330 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  78335 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  78337 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  78344 */   // (atomic_store (add:{ *:[i64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>, GR64:{ *:[i64] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (ADD64mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)
     /*  78344 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD64mr),
     /*  78347 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  78351 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  78355 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  78358 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  78364 */   GIR_RootConstrainSelectedInstOperands,
     /*  78365 */   // GIR_Coverage, 22433,
     /*  78365 */   GIR_EraseRootFromParent_Done,
     /*  78366 */ // Label 1698: @78366
     /*  78366 */ GIM_Try, /*On fail goto*//*Label 1699*/ GIMT_Encode4(78464), // Rule ID 26002 //
     /*  78371 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  78374 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  78381 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  78385 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  78389 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  78393 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  78397 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  78402 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  78406 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  78410 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  78413 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  78417 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  78424 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  78428 */   // MIs[0] dst
     /*  78428 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  78433 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  78435 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  78442 */   // (atomic_store (add:{ *:[i64] } GR64:{ *:[i64] }:$src, (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (ADD64mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)
     /*  78442 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD64mr),
     /*  78445 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  78449 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  78453 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  78456 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  78462 */   GIR_RootConstrainSelectedInstOperands,
     /*  78463 */   // GIR_Coverage, 26002,
     /*  78463 */   GIR_EraseRootFromParent_Done,
     /*  78464 */ // Label 1699: @78464
     /*  78464 */ GIM_Try, /*On fail goto*//*Label 1700*/ GIMT_Encode4(78562), // Rule ID 22441 //
     /*  78469 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  78472 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  78479 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  78483 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  78487 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  78491 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  78495 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  78499 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  78503 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  78506 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  78510 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  78517 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  78521 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  78526 */   // MIs[0] dst
     /*  78526 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  78531 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  78533 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  78540 */   // (atomic_store (and:{ *:[i64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>, GR64:{ *:[i64] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (AND64mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)
     /*  78540 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND64mr),
     /*  78543 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  78547 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  78551 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  78554 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  78560 */   GIR_RootConstrainSelectedInstOperands,
     /*  78561 */   // GIR_Coverage, 22441,
     /*  78561 */   GIR_EraseRootFromParent_Done,
     /*  78562 */ // Label 1700: @78562
     /*  78562 */ GIM_Try, /*On fail goto*//*Label 1701*/ GIMT_Encode4(78660), // Rule ID 26006 //
     /*  78567 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  78570 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  78577 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  78581 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  78585 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  78589 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  78593 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  78598 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  78602 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  78606 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  78609 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  78613 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  78620 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  78624 */   // MIs[0] dst
     /*  78624 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  78629 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  78631 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  78638 */   // (atomic_store (and:{ *:[i64] } GR64:{ *:[i64] }:$src, (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (AND64mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)
     /*  78638 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND64mr),
     /*  78641 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  78645 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  78649 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  78652 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  78658 */   GIR_RootConstrainSelectedInstOperands,
     /*  78659 */   // GIR_Coverage, 26006,
     /*  78659 */   GIR_EraseRootFromParent_Done,
     /*  78660 */ // Label 1701: @78660
     /*  78660 */ GIM_Try, /*On fail goto*//*Label 1702*/ GIMT_Encode4(78758), // Rule ID 22449 //
     /*  78665 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  78668 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  78675 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  78679 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  78683 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  78687 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  78691 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  78695 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  78699 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  78702 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  78706 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  78713 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  78717 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  78722 */   // MIs[0] dst
     /*  78722 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  78727 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  78729 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  78736 */   // (atomic_store (or:{ *:[i64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>, GR64:{ *:[i64] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (OR64mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)
     /*  78736 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR64mr),
     /*  78739 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  78743 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  78747 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  78750 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  78756 */   GIR_RootConstrainSelectedInstOperands,
     /*  78757 */   // GIR_Coverage, 22449,
     /*  78757 */   GIR_EraseRootFromParent_Done,
     /*  78758 */ // Label 1702: @78758
     /*  78758 */ GIM_Try, /*On fail goto*//*Label 1703*/ GIMT_Encode4(78856), // Rule ID 26010 //
     /*  78763 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  78766 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  78773 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  78777 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  78781 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  78785 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  78789 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  78794 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  78798 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  78802 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  78805 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  78809 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  78816 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  78820 */   // MIs[0] dst
     /*  78820 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  78825 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  78827 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  78834 */   // (atomic_store (or:{ *:[i64] } GR64:{ *:[i64] }:$src, (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (OR64mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)
     /*  78834 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR64mr),
     /*  78837 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  78841 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  78845 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  78848 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  78854 */   GIR_RootConstrainSelectedInstOperands,
     /*  78855 */   // GIR_Coverage, 26010,
     /*  78855 */   GIR_EraseRootFromParent_Done,
     /*  78856 */ // Label 1703: @78856
     /*  78856 */ GIM_Try, /*On fail goto*//*Label 1704*/ GIMT_Encode4(78954), // Rule ID 22465 //
     /*  78861 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  78864 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  78871 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  78875 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  78879 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  78883 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  78887 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  78891 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  78895 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  78898 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  78902 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  78909 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  78913 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  78918 */   // MIs[0] dst
     /*  78918 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  78923 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  78925 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  78932 */   // (atomic_store (sub:{ *:[i64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>, GR64:{ *:[i64] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (SUB64mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)
     /*  78932 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB64mr),
     /*  78935 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  78939 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  78943 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  78946 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  78952 */   GIR_RootConstrainSelectedInstOperands,
     /*  78953 */   // GIR_Coverage, 22465,
     /*  78953 */   GIR_EraseRootFromParent_Done,
     /*  78954 */ // Label 1704: @78954
     /*  78954 */ GIM_Try, /*On fail goto*//*Label 1705*/ GIMT_Encode4(79052), // Rule ID 22457 //
     /*  78959 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  78962 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  78969 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  78973 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78977 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  78981 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  78985 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  78989 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  78993 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  78996 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  79000 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  79007 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  79011 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  79016 */   // MIs[0] dst
     /*  79016 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  79021 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  79023 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  79030 */   // (atomic_store (xor:{ *:[i64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>, GR64:{ *:[i64] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (XOR64mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)
     /*  79030 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR64mr),
     /*  79033 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  79037 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  79041 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  79044 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  79050 */   GIR_RootConstrainSelectedInstOperands,
     /*  79051 */   // GIR_Coverage, 22457,
     /*  79051 */   GIR_EraseRootFromParent_Done,
     /*  79052 */ // Label 1705: @79052
     /*  79052 */ GIM_Try, /*On fail goto*//*Label 1706*/ GIMT_Encode4(79150), // Rule ID 26014 //
     /*  79057 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  79060 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  79067 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  79071 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  79075 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  79079 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  79083 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  79088 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  79092 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  79096 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  79099 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  79103 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  79110 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  79114 */   // MIs[0] dst
     /*  79114 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  79119 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  79121 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  79128 */   // (atomic_store (xor:{ *:[i64] } GR64:{ *:[i64] }:$src, (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (XOR64mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)
     /*  79128 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR64mr),
     /*  79131 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  79135 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  79139 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  79142 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  79148 */   GIR_RootConstrainSelectedInstOperands,
     /*  79149 */   // GIR_Coverage, 26014,
     /*  79149 */   GIR_EraseRootFromParent_Done,
     /*  79150 */ // Label 1706: @79150
     /*  79150 */ GIM_Try, /*On fail goto*//*Label 1707*/ GIMT_Encode4(79261), // Rule ID 837 //
     /*  79155 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79158 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  79162 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  79166 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSHL),
     /*  79170 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  79174 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  79178 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s8,
     /*  79182 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  79186 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  79190 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79193 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  79197 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  79201 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  79206 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  79211 */   // MIs[0] src1
     /*  79211 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  79216 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  79218 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  79225 */   // (st (fshl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src2, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHLD64mrCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  79225 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  79229 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79235 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // CL
     /*  79239 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLD64mrCL),
     /*  79242 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  79246 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  79250 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  79253 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  79259 */   GIR_RootConstrainSelectedInstOperands,
     /*  79260 */   // GIR_Coverage, 837,
     /*  79260 */   GIR_EraseRootFromParent_Done,
     /*  79261 */ // Label 1707: @79261
     /*  79261 */ GIM_Try, /*On fail goto*//*Label 1708*/ GIMT_Encode4(79372), // Rule ID 861 //
     /*  79266 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79269 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  79273 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  79277 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSHR),
     /*  79281 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  79285 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  79289 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s8,
     /*  79293 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  79298 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  79302 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  79306 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79309 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  79313 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  79317 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  79322 */   // MIs[0] src1
     /*  79322 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  79327 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  79329 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  79336 */   // (st (fshr:{ *:[i64] } GR64:{ *:[i64] }:$src2, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHRD64mrCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  79336 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  79340 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79346 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // CL
     /*  79350 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRD64mrCL),
     /*  79353 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  79357 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  79361 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  79364 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  79370 */   GIR_RootConstrainSelectedInstOperands,
     /*  79371 */   // GIR_Coverage, 861,
     /*  79371 */   GIR_EraseRootFromParent_Done,
     /*  79372 */ // Label 1708: @79372
     /*  79372 */ GIM_Try, /*On fail goto*//*Label 1709*/ GIMT_Encode4(79460), // Rule ID 412 //
     /*  79377 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79380 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  79384 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  79388 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  79392 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  79396 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  79400 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  79404 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  79408 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79411 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  79415 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  79419 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  79424 */   // MIs[0] src1
     /*  79424 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  79429 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  79431 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  79438 */   // (st (add:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ADD64mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  79438 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD64mr),
     /*  79441 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  79445 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  79449 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  79452 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  79458 */   GIR_RootConstrainSelectedInstOperands,
     /*  79459 */   // GIR_Coverage, 412,
     /*  79459 */   GIR_EraseRootFromParent_Done,
     /*  79460 */ // Label 1709: @79460
     /*  79460 */ GIM_Try, /*On fail goto*//*Label 1710*/ GIMT_Encode4(79548), // Rule ID 23222 //
     /*  79465 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79468 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  79472 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  79476 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  79480 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  79484 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  79488 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  79493 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  79497 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  79501 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79504 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  79508 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  79512 */   // MIs[0] src1
     /*  79512 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  79517 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  79519 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  79526 */   // (st (add:{ *:[i64] } GR64:{ *:[i64] }:$src2, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ADD64mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  79526 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD64mr),
     /*  79529 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  79533 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  79537 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  79540 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  79546 */   GIR_RootConstrainSelectedInstOperands,
     /*  79547 */   // GIR_Coverage, 23222,
     /*  79547 */   GIR_EraseRootFromParent_Done,
     /*  79548 */ // Label 1710: @79548
     /*  79548 */ GIM_Try, /*On fail goto*//*Label 1711*/ GIMT_Encode4(79636), // Rule ID 304 //
     /*  79553 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79556 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  79560 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  79564 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  79568 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  79572 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  79576 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  79580 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  79584 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79587 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  79591 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  79595 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  79600 */   // MIs[0] src1
     /*  79600 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  79605 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  79607 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  79614 */   // (st (and:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (AND64mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  79614 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND64mr),
     /*  79617 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  79621 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  79625 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  79628 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  79634 */   GIR_RootConstrainSelectedInstOperands,
     /*  79635 */   // GIR_Coverage, 304,
     /*  79635 */   GIR_EraseRootFromParent_Done,
     /*  79636 */ // Label 1711: @79636
     /*  79636 */ GIM_Try, /*On fail goto*//*Label 1712*/ GIMT_Encode4(79724), // Rule ID 23186 //
     /*  79641 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79644 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  79648 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  79652 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  79656 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  79660 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  79664 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  79669 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  79673 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  79677 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79680 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  79684 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  79688 */   // MIs[0] src1
     /*  79688 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  79693 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  79695 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  79702 */   // (st (and:{ *:[i64] } GR64:{ *:[i64] }:$src2, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (AND64mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  79702 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND64mr),
     /*  79705 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  79709 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  79713 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  79716 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  79722 */   GIR_RootConstrainSelectedInstOperands,
     /*  79723 */   // GIR_Coverage, 23186,
     /*  79723 */   GIR_EraseRootFromParent_Done,
     /*  79724 */ // Label 1712: @79724
     /*  79724 */ GIM_Try, /*On fail goto*//*Label 1713*/ GIMT_Encode4(79825), // Rule ID 751 //
     /*  79729 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /*  79732 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79735 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  79739 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  79743 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  79747 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  79751 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  79755 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  79759 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  79763 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79766 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  79770 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  79774 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  79779 */   // MIs[0] src1
     /*  79779 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  79784 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  79786 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  79793 */   // (st (sra:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SAR64mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  79793 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  79797 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79803 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  79807 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR64mCL),
     /*  79810 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  79814 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  79817 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  79823 */   GIR_RootConstrainSelectedInstOperands,
     /*  79824 */   // GIR_Coverage, 751,
     /*  79824 */   GIR_EraseRootFromParent_Done,
     /*  79825 */ // Label 1713: @79825
     /*  79825 */ GIM_Try, /*On fail goto*//*Label 1714*/ GIMT_Encode4(79926), // Rule ID 719 //
     /*  79830 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /*  79833 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79836 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  79840 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  79844 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  79848 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  79852 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  79856 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  79860 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  79864 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79867 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  79871 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  79875 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  79880 */   // MIs[0] src1
     /*  79880 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  79885 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  79887 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  79894 */   // (st (srl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHR64mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  79894 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  79898 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79904 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  79908 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR64mCL),
     /*  79911 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  79915 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  79918 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  79924 */   GIR_RootConstrainSelectedInstOperands,
     /*  79925 */   // GIR_Coverage, 719,
     /*  79925 */   GIR_EraseRootFromParent_Done,
     /*  79926 */ // Label 1714: @79926
     /*  79926 */ GIM_Try, /*On fail goto*//*Label 1715*/ GIMT_Encode4(80014), // Rule ID 340 //
     /*  79931 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79934 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  79938 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  79942 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  79946 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  79950 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  79954 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  79958 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  79962 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79965 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  79969 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  79973 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  79978 */   // MIs[0] src1
     /*  79978 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  79983 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  79985 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  79992 */   // (st (or:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (OR64mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  79992 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR64mr),
     /*  79995 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  79999 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  80003 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  80006 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  80012 */   GIR_RootConstrainSelectedInstOperands,
     /*  80013 */   // GIR_Coverage, 340,
     /*  80013 */   GIR_EraseRootFromParent_Done,
     /*  80014 */ // Label 1715: @80014
     /*  80014 */ GIM_Try, /*On fail goto*//*Label 1716*/ GIMT_Encode4(80102), // Rule ID 23198 //
     /*  80019 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  80022 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  80026 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  80030 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  80034 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  80038 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  80042 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  80047 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  80051 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  80055 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  80058 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  80062 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  80066 */   // MIs[0] src1
     /*  80066 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  80071 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  80073 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  80080 */   // (st (or:{ *:[i64] } GR64:{ *:[i64] }:$src2, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (OR64mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  80080 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR64mr),
     /*  80083 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  80087 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  80091 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  80094 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  80100 */   GIR_RootConstrainSelectedInstOperands,
     /*  80101 */   // GIR_Coverage, 23198,
     /*  80101 */   GIR_EraseRootFromParent_Done,
     /*  80102 */ // Label 1716: @80102
     /*  80102 */ GIM_Try, /*On fail goto*//*Label 1717*/ GIMT_Encode4(80203), // Rule ID 783 //
     /*  80107 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /*  80110 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  80113 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  80117 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  80121 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  80125 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  80129 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  80133 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  80137 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  80141 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  80144 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  80148 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  80152 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  80157 */   // MIs[0] src1
     /*  80157 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  80162 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  80164 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  80171 */   // (st (rotl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROL64mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  80171 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  80175 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80181 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  80185 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL64mCL),
     /*  80188 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  80192 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  80195 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  80201 */   GIR_RootConstrainSelectedInstOperands,
     /*  80202 */   // GIR_Coverage, 783,
     /*  80202 */   GIR_EraseRootFromParent_Done,
     /*  80203 */ // Label 1717: @80203
     /*  80203 */ GIM_Try, /*On fail goto*//*Label 1718*/ GIMT_Encode4(80304), // Rule ID 815 //
     /*  80208 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /*  80211 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  80214 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  80218 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  80222 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTR),
     /*  80226 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  80230 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  80234 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  80238 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  80242 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  80245 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  80249 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  80253 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  80258 */   // MIs[0] src1
     /*  80258 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  80263 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  80265 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  80272 */   // (st (rotr:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROR64mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  80272 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  80276 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80282 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  80286 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR64mCL),
     /*  80289 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  80293 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  80296 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  80302 */   GIR_RootConstrainSelectedInstOperands,
     /*  80303 */   // GIR_Coverage, 815,
     /*  80303 */   GIR_EraseRootFromParent_Done,
     /*  80304 */ // Label 1718: @80304
     /*  80304 */ GIM_Try, /*On fail goto*//*Label 1719*/ GIMT_Encode4(80405), // Rule ID 687 //
     /*  80309 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /*  80312 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  80315 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  80319 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  80323 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  80327 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  80331 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  80335 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  80339 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  80343 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  80346 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  80350 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  80354 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  80359 */   // MIs[0] src1
     /*  80359 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  80364 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  80366 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  80373 */   // (st (shl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHL64mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  80373 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  80377 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80383 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  80387 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL64mCL),
     /*  80390 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  80394 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  80397 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  80403 */   GIR_RootConstrainSelectedInstOperands,
     /*  80404 */   // GIR_Coverage, 687,
     /*  80404 */   GIR_EraseRootFromParent_Done,
     /*  80405 */ // Label 1719: @80405
     /*  80405 */ GIM_Try, /*On fail goto*//*Label 1720*/ GIMT_Encode4(80493), // Rule ID 448 //
     /*  80410 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  80413 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  80417 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  80421 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  80425 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  80429 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  80433 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  80437 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  80441 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  80444 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  80448 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  80452 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  80457 */   // MIs[0] src1
     /*  80457 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  80462 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  80464 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  80471 */   // (st (sub:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SUB64mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  80471 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB64mr),
     /*  80474 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  80478 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  80482 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  80485 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  80491 */   GIR_RootConstrainSelectedInstOperands,
     /*  80492 */   // GIR_Coverage, 448,
     /*  80492 */   GIR_EraseRootFromParent_Done,
     /*  80493 */ // Label 1720: @80493
     /*  80493 */ GIM_Try, /*On fail goto*//*Label 1721*/ GIMT_Encode4(80581), // Rule ID 376 //
     /*  80498 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  80501 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  80505 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  80509 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  80513 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  80517 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  80521 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  80525 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  80529 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  80532 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  80536 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  80540 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  80545 */   // MIs[0] src1
     /*  80545 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  80550 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  80552 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  80559 */   // (st (xor:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (XOR64mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  80559 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR64mr),
     /*  80562 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  80566 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  80570 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  80573 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  80579 */   GIR_RootConstrainSelectedInstOperands,
     /*  80580 */   // GIR_Coverage, 376,
     /*  80580 */   GIR_EraseRootFromParent_Done,
     /*  80581 */ // Label 1721: @80581
     /*  80581 */ GIM_Try, /*On fail goto*//*Label 1722*/ GIMT_Encode4(80669), // Rule ID 23210 //
     /*  80586 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  80589 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  80593 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  80597 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  80601 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  80605 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  80609 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  80614 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  80618 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  80622 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  80625 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  80629 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  80633 */   // MIs[0] src1
     /*  80633 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  80638 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  80640 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  80647 */   // (st (xor:{ *:[i64] } GR64:{ *:[i64] }:$src2, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (XOR64mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  80647 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR64mr),
     /*  80650 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  80654 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  80658 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  80661 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  80667 */   GIR_RootConstrainSelectedInstOperands,
     /*  80668 */   // GIR_Coverage, 23210,
     /*  80668 */   GIR_EraseRootFromParent_Done,
     /*  80669 */ // Label 1722: @80669
     /*  80669 */ GIM_Try, /*On fail goto*//*Label 1723*/ GIMT_Encode4(80726), // Rule ID 22509 //
     /*  80674 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  80677 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  80684 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  80688 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  80692 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /*  80696 */   // MIs[1] Operand 1
     /*  80696 */   // No operand predicates
     /*  80696 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  80700 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  80702 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  80709 */   // (atomic_store (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (MOV64mi32 addr:{ *:[iPTR] }:$dst, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src)
     /*  80709 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV64mi32),
     /*  80712 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  80716 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src
     /*  80719 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  80724 */   GIR_RootConstrainSelectedInstOperands,
     /*  80725 */   // GIR_Coverage, 22509,
     /*  80725 */   GIR_EraseRootFromParent_Done,
     /*  80726 */ // Label 1723: @80726
     /*  80726 */ GIM_Try, /*On fail goto*//*Label 1724*/ GIMT_Encode4(80792), // Rule ID 22521 //
     /*  80731 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  80734 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  80737 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  80744 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  80748 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /*  80752 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  80756 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  80761 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  80765 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  80767 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  80774 */   // (atomic_store (bitconvert:{ *:[i64] } FR64:{ *:[f64] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (MOVSDmr addr:{ *:[iPTR] }:$dst, FR64:{ *:[f64] }:$src)
     /*  80774 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVSDmr),
     /*  80777 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  80781 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  80785 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  80790 */   GIR_RootConstrainSelectedInstOperands,
     /*  80791 */   // GIR_Coverage, 22521,
     /*  80791 */   GIR_EraseRootFromParent_Done,
     /*  80792 */ // Label 1724: @80792
     /*  80792 */ GIM_Try, /*On fail goto*//*Label 1725*/ GIMT_Encode4(80858), // Rule ID 22522 //
     /*  80797 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  80800 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  80803 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  80810 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  80814 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /*  80818 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  80822 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  80827 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  80831 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  80833 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  80840 */   // (atomic_store (bitconvert:{ *:[i64] } FR64:{ *:[f64] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (VMOVSDmr addr:{ *:[iPTR] }:$dst, FR64:{ *:[f64] }:$src)
     /*  80840 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVSDmr),
     /*  80843 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  80847 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  80851 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  80856 */   GIR_RootConstrainSelectedInstOperands,
     /*  80857 */   // GIR_Coverage, 22522,
     /*  80857 */   GIR_EraseRootFromParent_Done,
     /*  80858 */ // Label 1725: @80858
     /*  80858 */ GIM_Try, /*On fail goto*//*Label 1726*/ GIMT_Encode4(80924), // Rule ID 22523 //
     /*  80863 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  80866 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  80869 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  80876 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  80880 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /*  80884 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  80888 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  80893 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  80897 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  80899 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  80906 */   // (atomic_store (bitconvert:{ *:[i64] } FR64:{ *:[f64] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (VMOVSDmr addr:{ *:[iPTR] }:$dst, FR64:{ *:[f64] }:$src)
     /*  80906 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVSDmr),
     /*  80909 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  80913 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  80917 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  80922 */   GIR_RootConstrainSelectedInstOperands,
     /*  80923 */   // GIR_Coverage, 22523,
     /*  80923 */   GIR_EraseRootFromParent_Done,
     /*  80924 */ // Label 1726: @80924
     /*  80924 */ GIM_Try, /*On fail goto*//*Label 1727*/ GIMT_Encode4(80987), // Rule ID 54 //
     /*  80929 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVBE_NoEGPR),
     /*  80932 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  80935 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  80939 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  80943 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /*  80947 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  80951 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  80956 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  80960 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  80962 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  80969 */   // (st (bswap:{ *:[i64] } GR64:{ *:[i64] }:$src1), addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOVBE64mr addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src1)
     /*  80969 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVBE64mr),
     /*  80972 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  80976 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  80980 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  80985 */   GIR_RootConstrainSelectedInstOperands,
     /*  80986 */   // GIR_Coverage, 54,
     /*  80986 */   GIR_EraseRootFromParent_Done,
     /*  80987 */ // Label 1727: @80987
     /*  80987 */ GIM_Try, /*On fail goto*//*Label 1728*/ GIMT_Encode4(81050), // Rule ID 60 //
     /*  80992 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_HasMOVBE_In64BitMode),
     /*  80995 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  80998 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  81002 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  81006 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /*  81010 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  81014 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  81019 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81023 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  81025 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81032 */   // (st (bswap:{ *:[i64] } GR64:{ *:[i64] }:$src1), addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOVBE64mr_EVEX addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src1)
     /*  81032 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVBE64mr_EVEX),
     /*  81035 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  81039 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  81043 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  81048 */   GIR_RootConstrainSelectedInstOperands,
     /*  81049 */   // GIR_Coverage, 60,
     /*  81049 */   GIR_EraseRootFromParent_Done,
     /*  81050 */ // Label 1728: @81050
     /*  81050 */ GIM_Try, /*On fail goto*//*Label 1729*/ GIMT_Encode4(81095), // Rule ID 22513 //
     /*  81055 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  81058 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  81065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  81069 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81073 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81080 */   // (atomic_store GR64:{ *:[i64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (MOV64mr addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)
     /*  81080 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV64mr),
     /*  81083 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  81087 */   GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81089 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81093 */   GIR_RootConstrainSelectedInstOperands,
     /*  81094 */   // GIR_Coverage, 22513,
     /*  81094 */   GIR_EraseRootFromParent_Done,
     /*  81095 */ // Label 1729: @81095
     /*  81095 */ GIM_Try, /*On fail goto*//*Label 1730*/ GIMT_Encode4(81137), // Rule ID 35 //
     /*  81100 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  81103 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  81107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  81111 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81115 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81122 */   // (st GR64:{ *:[i64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOV64mr addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)
     /*  81122 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV64mr),
     /*  81125 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  81129 */   GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81131 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81135 */   GIR_RootConstrainSelectedInstOperands,
     /*  81136 */   // GIR_Coverage, 35,
     /*  81136 */   GIR_EraseRootFromParent_Done,
     /*  81137 */ // Label 1730: @81137
     /*  81137 */ GIM_Try, /*On fail goto*//*Label 1731*/ GIMT_Encode4(81192), // Rule ID 1095 //
     /*  81142 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /*  81145 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  81148 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  81152 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  81159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /*  81163 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81167 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81174 */   // (st RFP64:{ *:[f64] }:$src, addr:{ *:[iPTR] }:$op)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstoref32>>  =>  (ST_Fp64m32:{ *:[i16] } addr:{ *:[iPTR] }:$op, RFP64:{ *:[f64] }:$src)
     /*  81174 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ST_Fp64m32),
     /*  81177 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // op
     /*  81181 */   GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81183 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /*  81186 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81190 */   GIR_RootConstrainSelectedInstOperands,
     /*  81191 */   // GIR_Coverage, 1095,
     /*  81191 */   GIR_EraseRootFromParent_Done,
     /*  81192 */ // Label 1731: @81192
     /*  81192 */ GIM_Try, /*On fail goto*//*Label 1732*/ GIMT_Encode4(81240), // Rule ID 1096 //
     /*  81197 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /*  81200 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  81203 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  81207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /*  81211 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81215 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81222 */   // (st RFP64:{ *:[f64] }:$src, addr:{ *:[iPTR] }:$op)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST_Fp64m:{ *:[i16] } addr:{ *:[iPTR] }:$op, RFP64:{ *:[f64] }:$src)
     /*  81222 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ST_Fp64m),
     /*  81225 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // op
     /*  81229 */   GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81231 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /*  81234 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81238 */   GIR_RootConstrainSelectedInstOperands,
     /*  81239 */   // GIR_Coverage, 1096,
     /*  81239 */   GIR_EraseRootFromParent_Done,
     /*  81240 */ // Label 1732: @81240
     /*  81240 */ GIM_Try, /*On fail goto*//*Label 1733*/ GIMT_Encode4(81285), // Rule ID 1691 //
     /*  81245 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  81248 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  81251 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  81255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  81259 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81263 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81270 */   // (st FR64:{ *:[f64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVSDmr addr:{ *:[iPTR] }:$dst, FR64:{ *:[f64] }:$src)
     /*  81270 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVSDmr),
     /*  81273 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  81277 */   GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81279 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81283 */   GIR_RootConstrainSelectedInstOperands,
     /*  81284 */   // GIR_Coverage, 1691,
     /*  81284 */   GIR_EraseRootFromParent_Done,
     /*  81285 */ // Label 1733: @81285
     /*  81285 */ GIM_Try, /*On fail goto*//*Label 1734*/ GIMT_Encode4(81330), // Rule ID 1693 //
     /*  81290 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  81293 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  81296 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  81300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  81304 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81308 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81315 */   // (st FR64:{ *:[f64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOVSDmr addr:{ *:[iPTR] }:$dst, FR64:{ *:[f64] }:$src)
     /*  81315 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVSDmr),
     /*  81318 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  81322 */   GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81324 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81328 */   GIR_RootConstrainSelectedInstOperands,
     /*  81329 */   // GIR_Coverage, 1693,
     /*  81329 */   GIR_EraseRootFromParent_Done,
     /*  81330 */ // Label 1734: @81330
     /*  81330 */ GIM_Try, /*On fail goto*//*Label 1735*/ GIMT_Encode4(81375), // Rule ID 4615 //
     /*  81335 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  81338 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  81341 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  81345 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /*  81349 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81353 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81360 */   // (st FR64X:{ *:[f64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVSDZmr addr:{ *:[iPTR] }:$dst, FR64X:{ *:[f64] }:$src)
     /*  81360 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVSDZmr),
     /*  81363 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  81367 */   GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81369 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81373 */   GIR_RootConstrainSelectedInstOperands,
     /*  81374 */   // GIR_Coverage, 4615,
     /*  81374 */   GIR_EraseRootFromParent_Done,
     /*  81375 */ // Label 1735: @81375
     /*  81375 */ GIM_Reject,
     /*  81376 */ // Label 1477: @81376
     /*  81376 */ GIM_Try, /*On fail goto*//*Label 1736*/ GIMT_Encode4(81534),
     /*  81381 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  81384 */   GIM_Try, /*On fail goto*//*Label 1737*/ GIMT_Encode4(81436), // Rule ID 1097 //
     /*  81389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /*  81392 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  81396 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  81403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /*  81407 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81418 */     // (st RFP80:{ *:[f80] }:$src, addr:{ *:[iPTR] }:$op)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstoref32>>  =>  (ST_Fp80m32:{ *:[i16] } addr:{ *:[iPTR] }:$op, RFP80:{ *:[f80] }:$src)
     /*  81418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ST_Fp80m32),
     /*  81421 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // op
     /*  81425 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81427 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /*  81430 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81434 */     GIR_RootConstrainSelectedInstOperands,
     /*  81435 */     // GIR_Coverage, 1097,
     /*  81435 */     GIR_EraseRootFromParent_Done,
     /*  81436 */   // Label 1737: @81436
     /*  81436 */   GIM_Try, /*On fail goto*//*Label 1738*/ GIMT_Encode4(81488), // Rule ID 1098 //
     /*  81441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /*  81444 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  81448 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  81455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /*  81459 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81470 */     // (st RFP80:{ *:[f80] }:$src, addr:{ *:[iPTR] }:$op)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstoref64>>  =>  (ST_Fp80m64:{ *:[i16] } addr:{ *:[iPTR] }:$op, RFP80:{ *:[f80] }:$src)
     /*  81470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ST_Fp80m64),
     /*  81473 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // op
     /*  81477 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81479 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /*  81482 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81486 */     GIR_RootConstrainSelectedInstOperands,
     /*  81487 */     // GIR_Coverage, 1098,
     /*  81487 */     GIR_EraseRootFromParent_Done,
     /*  81488 */   // Label 1738: @81488
     /*  81488 */   GIM_Try, /*On fail goto*//*Label 1739*/ GIMT_Encode4(81533), // Rule ID 1099 //
     /*  81493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /*  81496 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  81500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /*  81504 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81515 */     // (st RFP80:{ *:[f80] }:$src, addr:{ *:[iPTR] }:$op)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST_FpP80m:{ *:[i16] } addr:{ *:[iPTR] }:$op, RFP80:{ *:[f80] }:$src)
     /*  81515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ST_FpP80m),
     /*  81518 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // op
     /*  81522 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81524 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /*  81527 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81531 */     GIR_RootConstrainSelectedInstOperands,
     /*  81532 */     // GIR_Coverage, 1099,
     /*  81532 */     GIR_EraseRootFromParent_Done,
     /*  81533 */   // Label 1739: @81533
     /*  81533 */   GIM_Reject,
     /*  81534 */ // Label 1736: @81534
     /*  81534 */ GIM_Reject,
     /*  81535 */ // Label 1478: @81535
     /*  81535 */ GIM_Try, /*On fail goto*//*Label 1740*/ GIMT_Encode4(81788),
     /*  81540 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  81543 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  81547 */   GIM_Try, /*On fail goto*//*Label 1741*/ GIMT_Encode4(81589), // Rule ID 23139 //
     /*  81552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoAVX),
     /*  81555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  81559 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81563 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  81567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81574 */     // (st VR128:{ *:[f128] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (MOVAPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[f128] }:$src)
     /*  81574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVAPSmr),
     /*  81577 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  81581 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81583 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81587 */     GIR_RootConstrainSelectedInstOperands,
     /*  81588 */     // GIR_Coverage, 23139,
     /*  81588 */     GIR_EraseRootFromParent_Done,
     /*  81589 */   // Label 1741: @81589
     /*  81589 */   GIM_Try, /*On fail goto*//*Label 1742*/ GIMT_Encode4(81627), // Rule ID 23140 //
     /*  81594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoAVX),
     /*  81597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  81601 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81612 */     // (st VR128:{ *:[f128] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOVUPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[f128] }:$src)
     /*  81612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVUPSmr),
     /*  81615 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  81619 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81621 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81625 */     GIR_RootConstrainSelectedInstOperands,
     /*  81626 */     // GIR_Coverage, 23140,
     /*  81626 */     GIR_EraseRootFromParent_Done,
     /*  81627 */   // Label 1742: @81627
     /*  81627 */   GIM_Try, /*On fail goto*//*Label 1743*/ GIMT_Encode4(81669), // Rule ID 23143 //
     /*  81632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  81635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  81639 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81643 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  81647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81654 */     // (st VR128:{ *:[f128] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[f128] }:$src)
     /*  81654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSmr),
     /*  81657 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  81661 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81663 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81667 */     GIR_RootConstrainSelectedInstOperands,
     /*  81668 */     // GIR_Coverage, 23143,
     /*  81668 */     GIR_EraseRootFromParent_Done,
     /*  81669 */   // Label 1743: @81669
     /*  81669 */   GIM_Try, /*On fail goto*//*Label 1744*/ GIMT_Encode4(81707), // Rule ID 23144 //
     /*  81674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  81677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  81681 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81692 */     // (st VR128:{ *:[f128] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[f128] }:$src)
     /*  81692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSmr),
     /*  81695 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  81699 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81701 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81705 */     GIR_RootConstrainSelectedInstOperands,
     /*  81706 */     // GIR_Coverage, 23144,
     /*  81706 */     GIR_EraseRootFromParent_Done,
     /*  81707 */   // Label 1744: @81707
     /*  81707 */   GIM_Try, /*On fail goto*//*Label 1745*/ GIMT_Encode4(81749), // Rule ID 23147 //
     /*  81712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  81715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  81719 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81723 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  81727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81734 */     // (st VR128X:{ *:[f128] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPSZ128mr addr:{ *:[iPTR] }:$dst, VR128X:{ *:[f128] }:$src)
     /*  81734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZ128mr),
     /*  81737 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  81741 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81743 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81747 */     GIR_RootConstrainSelectedInstOperands,
     /*  81748 */     // GIR_Coverage, 23147,
     /*  81748 */     GIR_EraseRootFromParent_Done,
     /*  81749 */   // Label 1745: @81749
     /*  81749 */   GIM_Try, /*On fail goto*//*Label 1746*/ GIMT_Encode4(81787), // Rule ID 23148 //
     /*  81754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  81757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  81761 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81772 */     // (st VR128X:{ *:[f128] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPSZ128mr addr:{ *:[iPTR] }:$dst, VR128X:{ *:[f128] }:$src)
     /*  81772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSZ128mr),
     /*  81775 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  81779 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81781 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81785 */     GIR_RootConstrainSelectedInstOperands,
     /*  81786 */     // GIR_Coverage, 23148,
     /*  81786 */     GIR_EraseRootFromParent_Done,
     /*  81787 */   // Label 1746: @81787
     /*  81787 */   GIM_Reject,
     /*  81788 */ // Label 1740: @81788
     /*  81788 */ GIM_Reject,
     /*  81789 */ // Label 1479: @81789
     /*  81789 */ GIM_Try, /*On fail goto*//*Label 1747*/ GIMT_Encode4(82282),
     /*  81794 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  81797 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  81801 */   GIM_Try, /*On fail goto*//*Label 1748*/ GIMT_Encode4(81843), // Rule ID 1715 //
     /*  81806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  81809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  81813 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81817 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  81821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81828 */     // (st VR128:{ *:[v2f64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPDmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v2f64] }:$src)
     /*  81828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPDmr),
     /*  81831 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  81835 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81837 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81841 */     GIR_RootConstrainSelectedInstOperands,
     /*  81842 */     // GIR_Coverage, 1715,
     /*  81842 */     GIR_EraseRootFromParent_Done,
     /*  81843 */   // Label 1748: @81843
     /*  81843 */   GIM_Try, /*On fail goto*//*Label 1749*/ GIMT_Encode4(81881), // Rule ID 1717 //
     /*  81848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  81851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  81855 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81866 */     // (st VR128:{ *:[v2f64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPDmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v2f64] }:$src)
     /*  81866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPDmr),
     /*  81869 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  81873 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81875 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81879 */     GIR_RootConstrainSelectedInstOperands,
     /*  81880 */     // GIR_Coverage, 1717,
     /*  81880 */     GIR_EraseRootFromParent_Done,
     /*  81881 */   // Label 1749: @81881
     /*  81881 */   GIM_Try, /*On fail goto*//*Label 1750*/ GIMT_Encode4(81923), // Rule ID 1723 //
     /*  81886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  81889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  81893 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81897 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  81901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81908 */     // (st VR128:{ *:[v2f64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (MOVAPDmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v2f64] }:$src)
     /*  81908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVAPDmr),
     /*  81911 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  81915 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81917 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81921 */     GIR_RootConstrainSelectedInstOperands,
     /*  81922 */     // GIR_Coverage, 1723,
     /*  81922 */     GIR_EraseRootFromParent_Done,
     /*  81923 */   // Label 1750: @81923
     /*  81923 */   GIM_Try, /*On fail goto*//*Label 1751*/ GIMT_Encode4(81961), // Rule ID 1725 //
     /*  81928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  81931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  81935 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81946 */     // (st VR128:{ *:[v2f64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOVUPDmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v2f64] }:$src)
     /*  81946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVUPDmr),
     /*  81949 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  81953 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81955 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81959 */     GIR_RootConstrainSelectedInstOperands,
     /*  81960 */     // GIR_Coverage, 1725,
     /*  81960 */     GIR_EraseRootFromParent_Done,
     /*  81961 */   // Label 1751: @81961
     /*  81961 */   GIM_Try, /*On fail goto*//*Label 1752*/ GIMT_Encode4(82003), // Rule ID 2519 //
     /*  81966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  81969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  81973 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81977 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  81981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81988 */     // (st VR128:{ *:[v2i64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVDQAmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v2i64] }:$src)
     /*  81988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQAmr),
     /*  81991 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  81995 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81997 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82001 */     GIR_RootConstrainSelectedInstOperands,
     /*  82002 */     // GIR_Coverage, 2519,
     /*  82002 */     GIR_EraseRootFromParent_Done,
     /*  82003 */   // Label 1752: @82003
     /*  82003 */   GIM_Try, /*On fail goto*//*Label 1753*/ GIMT_Encode4(82041), // Rule ID 2520 //
     /*  82008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  82011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  82015 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82026 */     // (st VR128:{ *:[v2i64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVDQUmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v2i64] }:$src)
     /*  82026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQUmr),
     /*  82029 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82033 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82035 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82039 */     GIR_RootConstrainSelectedInstOperands,
     /*  82040 */     // GIR_Coverage, 2520,
     /*  82040 */     GIR_EraseRootFromParent_Done,
     /*  82041 */   // Label 1753: @82041
     /*  82041 */   GIM_Try, /*On fail goto*//*Label 1754*/ GIMT_Encode4(82083), // Rule ID 4495 //
     /*  82046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  82049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  82053 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82057 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  82061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82068 */     // (st VR128X:{ *:[v2f64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPDZ128mr addr:{ *:[iPTR] }:$dst, VR128X:{ *:[v2f64] }:$src)
     /*  82068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPDZ128mr),
     /*  82071 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82075 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82077 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82081 */     GIR_RootConstrainSelectedInstOperands,
     /*  82082 */     // GIR_Coverage, 4495,
     /*  82082 */     GIR_EraseRootFromParent_Done,
     /*  82083 */   // Label 1754: @82083
     /*  82083 */   GIM_Try, /*On fail goto*//*Label 1755*/ GIMT_Encode4(82121), // Rule ID 4519 //
     /*  82088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  82091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  82095 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82106 */     // (st VR128X:{ *:[v2f64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPDZ128mr addr:{ *:[iPTR] }:$dst, VR128X:{ *:[v2f64] }:$src)
     /*  82106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPDZ128mr),
     /*  82109 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82113 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82115 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82119 */     GIR_RootConstrainSelectedInstOperands,
     /*  82120 */     // GIR_Coverage, 4519,
     /*  82120 */     GIR_EraseRootFromParent_Done,
     /*  82121 */   // Label 1755: @82121
     /*  82121 */   GIM_Try, /*On fail goto*//*Label 1756*/ GIMT_Encode4(82163), // Rule ID 4549 //
     /*  82126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  82129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  82133 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82137 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  82141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82148 */     // (st VR128X:{ *:[v2i64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVDQA64Z128mr addr:{ *:[iPTR] }:$dst, VR128X:{ *:[v2i64] }:$src)
     /*  82148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z128mr),
     /*  82151 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82155 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82157 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82161 */     GIR_RootConstrainSelectedInstOperands,
     /*  82162 */     // GIR_Coverage, 4549,
     /*  82162 */     GIR_EraseRootFromParent_Done,
     /*  82163 */   // Label 1756: @82163
     /*  82163 */   GIM_Try, /*On fail goto*//*Label 1757*/ GIMT_Encode4(82201), // Rule ID 4591 //
     /*  82168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  82171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  82175 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82186 */     // (st VR128X:{ *:[v2i64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVDQU64Z128mr addr:{ *:[iPTR] }:$dst, VR128X:{ *:[v2i64] }:$src)
     /*  82186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Z128mr),
     /*  82189 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82193 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82195 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82199 */     GIR_RootConstrainSelectedInstOperands,
     /*  82200 */     // GIR_Coverage, 4591,
     /*  82200 */     GIR_EraseRootFromParent_Done,
     /*  82201 */   // Label 1757: @82201
     /*  82201 */   GIM_Try, /*On fail goto*//*Label 1758*/ GIMT_Encode4(82243), // Rule ID 17946 //
     /*  82206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  82209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  82213 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82217 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  82221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82228 */     // (st VR128:{ *:[v2i64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (MOVAPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v2i64] }:$src)
     /*  82228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVAPSmr),
     /*  82231 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82235 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82237 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82241 */     GIR_RootConstrainSelectedInstOperands,
     /*  82242 */     // GIR_Coverage, 17946,
     /*  82242 */     GIR_EraseRootFromParent_Done,
     /*  82243 */   // Label 1758: @82243
     /*  82243 */   GIM_Try, /*On fail goto*//*Label 1759*/ GIMT_Encode4(82281), // Rule ID 17950 //
     /*  82248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  82251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  82255 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82266 */     // (st VR128:{ *:[v2i64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOVUPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v2i64] }:$src)
     /*  82266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVUPSmr),
     /*  82269 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82273 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82275 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82279 */     GIR_RootConstrainSelectedInstOperands,
     /*  82280 */     // GIR_Coverage, 17950,
     /*  82280 */     GIR_EraseRootFromParent_Done,
     /*  82281 */   // Label 1759: @82281
     /*  82281 */   GIM_Reject,
     /*  82282 */ // Label 1747: @82282
     /*  82282 */ GIM_Reject,
     /*  82283 */ // Label 1480: @82283
     /*  82283 */ GIM_Try, /*On fail goto*//*Label 1760*/ GIMT_Encode4(82776),
     /*  82288 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  82291 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  82295 */   GIM_Try, /*On fail goto*//*Label 1761*/ GIMT_Encode4(82337), // Rule ID 1714 //
     /*  82300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  82303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  82307 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82311 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  82315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82322 */     // (st VR128:{ *:[v4f32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v4f32] }:$src)
     /*  82322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSmr),
     /*  82325 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82329 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82331 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82335 */     GIR_RootConstrainSelectedInstOperands,
     /*  82336 */     // GIR_Coverage, 1714,
     /*  82336 */     GIR_EraseRootFromParent_Done,
     /*  82337 */   // Label 1761: @82337
     /*  82337 */   GIM_Try, /*On fail goto*//*Label 1762*/ GIMT_Encode4(82375), // Rule ID 1716 //
     /*  82342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  82345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  82349 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82360 */     // (st VR128:{ *:[v4f32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v4f32] }:$src)
     /*  82360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSmr),
     /*  82363 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82367 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82369 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82373 */     GIR_RootConstrainSelectedInstOperands,
     /*  82374 */     // GIR_Coverage, 1716,
     /*  82374 */     GIR_EraseRootFromParent_Done,
     /*  82375 */   // Label 1762: @82375
     /*  82375 */   GIM_Try, /*On fail goto*//*Label 1763*/ GIMT_Encode4(82417), // Rule ID 1722 //
     /*  82380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  82383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  82387 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82391 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  82395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82402 */     // (st VR128:{ *:[v4f32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (MOVAPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v4f32] }:$src)
     /*  82402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVAPSmr),
     /*  82405 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82409 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82411 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82415 */     GIR_RootConstrainSelectedInstOperands,
     /*  82416 */     // GIR_Coverage, 1722,
     /*  82416 */     GIR_EraseRootFromParent_Done,
     /*  82417 */   // Label 1763: @82417
     /*  82417 */   GIM_Try, /*On fail goto*//*Label 1764*/ GIMT_Encode4(82455), // Rule ID 1724 //
     /*  82422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  82425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  82429 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82440 */     // (st VR128:{ *:[v4f32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOVUPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v4f32] }:$src)
     /*  82440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVUPSmr),
     /*  82443 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82447 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82449 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82453 */     GIR_RootConstrainSelectedInstOperands,
     /*  82454 */     // GIR_Coverage, 1724,
     /*  82454 */     GIR_EraseRootFromParent_Done,
     /*  82455 */   // Label 1764: @82455
     /*  82455 */   GIM_Try, /*On fail goto*//*Label 1765*/ GIMT_Encode4(82497), // Rule ID 4477 //
     /*  82460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  82463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  82467 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82471 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  82475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82482 */     // (st VR128X:{ *:[v4f32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPSZ128mr addr:{ *:[iPTR] }:$dst, VR128X:{ *:[v4f32] }:$src)
     /*  82482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZ128mr),
     /*  82485 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82489 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82491 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82495 */     GIR_RootConstrainSelectedInstOperands,
     /*  82496 */     // GIR_Coverage, 4477,
     /*  82496 */     GIR_EraseRootFromParent_Done,
     /*  82497 */   // Label 1765: @82497
     /*  82497 */   GIM_Try, /*On fail goto*//*Label 1766*/ GIMT_Encode4(82535), // Rule ID 4507 //
     /*  82502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  82505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  82509 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82520 */     // (st VR128X:{ *:[v4f32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPSZ128mr addr:{ *:[iPTR] }:$dst, VR128X:{ *:[v4f32] }:$src)
     /*  82520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSZ128mr),
     /*  82523 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82527 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82529 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82533 */     GIR_RootConstrainSelectedInstOperands,
     /*  82534 */     // GIR_Coverage, 4507,
     /*  82534 */     GIR_EraseRootFromParent_Done,
     /*  82535 */   // Label 1766: @82535
     /*  82535 */   GIM_Try, /*On fail goto*//*Label 1767*/ GIMT_Encode4(82577), // Rule ID 17947 //
     /*  82540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  82543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  82547 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82551 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  82555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82562 */     // (st VR128:{ *:[v4i32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (MOVAPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v4i32] }:$src)
     /*  82562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVAPSmr),
     /*  82565 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82569 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82571 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82575 */     GIR_RootConstrainSelectedInstOperands,
     /*  82576 */     // GIR_Coverage, 17947,
     /*  82576 */     GIR_EraseRootFromParent_Done,
     /*  82577 */   // Label 1767: @82577
     /*  82577 */   GIM_Try, /*On fail goto*//*Label 1768*/ GIMT_Encode4(82615), // Rule ID 17951 //
     /*  82582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  82585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  82589 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82600 */     // (st VR128:{ *:[v4i32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOVUPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v4i32] }:$src)
     /*  82600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVUPSmr),
     /*  82603 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82607 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82609 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82613 */     GIR_RootConstrainSelectedInstOperands,
     /*  82614 */     // GIR_Coverage, 17951,
     /*  82614 */     GIR_EraseRootFromParent_Done,
     /*  82615 */   // Label 1768: @82615
     /*  82615 */   GIM_Try, /*On fail goto*//*Label 1769*/ GIMT_Encode4(82657), // Rule ID 18326 //
     /*  82620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  82623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  82627 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82631 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  82635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82642 */     // (st VR128:{ *:[v4i32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVDQAmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v4i32] }:$src)
     /*  82642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQAmr),
     /*  82645 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82649 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82651 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82655 */     GIR_RootConstrainSelectedInstOperands,
     /*  82656 */     // GIR_Coverage, 18326,
     /*  82656 */     GIR_EraseRootFromParent_Done,
     /*  82657 */   // Label 1769: @82657
     /*  82657 */   GIM_Try, /*On fail goto*//*Label 1770*/ GIMT_Encode4(82695), // Rule ID 18330 //
     /*  82662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  82665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  82669 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82680 */     // (st VR128:{ *:[v4i32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVDQUmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v4i32] }:$src)
     /*  82680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQUmr),
     /*  82683 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82687 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82689 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82693 */     GIR_RootConstrainSelectedInstOperands,
     /*  82694 */     // GIR_Coverage, 18330,
     /*  82694 */     GIR_EraseRootFromParent_Done,
     /*  82695 */   // Label 1770: @82695
     /*  82695 */   GIM_Try, /*On fail goto*//*Label 1771*/ GIMT_Encode4(82737), // Rule ID 19819 //
     /*  82700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  82703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  82707 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82711 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  82715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82722 */     // (st VR128X:{ *:[v4i32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVDQA64Z128mr addr:{ *:[iPTR] }:$dst, VR128X:{ *:[v4i32] }:$src)
     /*  82722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z128mr),
     /*  82725 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82729 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82731 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82735 */     GIR_RootConstrainSelectedInstOperands,
     /*  82736 */     // GIR_Coverage, 19819,
     /*  82736 */     GIR_EraseRootFromParent_Done,
     /*  82737 */   // Label 1771: @82737
     /*  82737 */   GIM_Try, /*On fail goto*//*Label 1772*/ GIMT_Encode4(82775), // Rule ID 19823 //
     /*  82742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  82745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  82749 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82760 */     // (st VR128X:{ *:[v4i32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVDQU64Z128mr addr:{ *:[iPTR] }:$dst, VR128X:{ *:[v4i32] }:$src)
     /*  82760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Z128mr),
     /*  82763 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82767 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82769 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82773 */     GIR_RootConstrainSelectedInstOperands,
     /*  82774 */     // GIR_Coverage, 19823,
     /*  82774 */     GIR_EraseRootFromParent_Done,
     /*  82775 */   // Label 1772: @82775
     /*  82775 */   GIM_Reject,
     /*  82776 */ // Label 1760: @82776
     /*  82776 */ GIM_Reject,
     /*  82777 */ // Label 1481: @82777
     /*  82777 */ GIM_Try, /*On fail goto*//*Label 1773*/ GIMT_Encode4(83110),
     /*  82782 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  82785 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  82789 */   GIM_Try, /*On fail goto*//*Label 1774*/ GIMT_Encode4(82831), // Rule ID 1719 //
     /*  82794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  82797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  82801 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82805 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  82809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82816 */     // (st VR256:{ *:[v4f64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPDYmr addr:{ *:[iPTR] }:$dst, VR256:{ *:[v4f64] }:$src)
     /*  82816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPDYmr),
     /*  82819 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82823 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82825 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82829 */     GIR_RootConstrainSelectedInstOperands,
     /*  82830 */     // GIR_Coverage, 1719,
     /*  82830 */     GIR_EraseRootFromParent_Done,
     /*  82831 */   // Label 1774: @82831
     /*  82831 */   GIM_Try, /*On fail goto*//*Label 1775*/ GIMT_Encode4(82869), // Rule ID 1721 //
     /*  82836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  82839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  82843 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82854 */     // (st VR256:{ *:[v4f64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPDYmr addr:{ *:[iPTR] }:$dst, VR256:{ *:[v4f64] }:$src)
     /*  82854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPDYmr),
     /*  82857 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82861 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82863 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82867 */     GIR_RootConstrainSelectedInstOperands,
     /*  82868 */     // GIR_Coverage, 1721,
     /*  82868 */     GIR_EraseRootFromParent_Done,
     /*  82869 */   // Label 1775: @82869
     /*  82869 */   GIM_Try, /*On fail goto*//*Label 1776*/ GIMT_Encode4(82911), // Rule ID 4494 //
     /*  82874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  82877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  82881 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82885 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  82889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82896 */     // (st VR256X:{ *:[v4f64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPDZ256mr addr:{ *:[iPTR] }:$dst, VR256X:{ *:[v4f64] }:$src)
     /*  82896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPDZ256mr),
     /*  82899 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82903 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82905 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82909 */     GIR_RootConstrainSelectedInstOperands,
     /*  82910 */     // GIR_Coverage, 4494,
     /*  82910 */     GIR_EraseRootFromParent_Done,
     /*  82911 */   // Label 1776: @82911
     /*  82911 */   GIM_Try, /*On fail goto*//*Label 1777*/ GIMT_Encode4(82949), // Rule ID 4518 //
     /*  82916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  82919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  82923 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82934 */     // (st VR256X:{ *:[v4f64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPDZ256mr addr:{ *:[iPTR] }:$dst, VR256X:{ *:[v4f64] }:$src)
     /*  82934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPDZ256mr),
     /*  82937 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82941 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82943 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82947 */     GIR_RootConstrainSelectedInstOperands,
     /*  82948 */     // GIR_Coverage, 4518,
     /*  82948 */     GIR_EraseRootFromParent_Done,
     /*  82949 */   // Label 1777: @82949
     /*  82949 */   GIM_Try, /*On fail goto*//*Label 1778*/ GIMT_Encode4(82991), // Rule ID 4548 //
     /*  82954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  82957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  82961 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82965 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  82969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82976 */     // (st VR256X:{ *:[v4i64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVDQA64Z256mr addr:{ *:[iPTR] }:$dst, VR256X:{ *:[v4i64] }:$src)
     /*  82976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z256mr),
     /*  82979 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82983 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82985 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82989 */     GIR_RootConstrainSelectedInstOperands,
     /*  82990 */     // GIR_Coverage, 4548,
     /*  82990 */     GIR_EraseRootFromParent_Done,
     /*  82991 */   // Label 1778: @82991
     /*  82991 */   GIM_Try, /*On fail goto*//*Label 1779*/ GIMT_Encode4(83029), // Rule ID 4590 //
     /*  82996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  82999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  83003 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83014 */     // (st VR256X:{ *:[v4i64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVDQU64Z256mr addr:{ *:[iPTR] }:$dst, VR256X:{ *:[v4i64] }:$src)
     /*  83014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Z256mr),
     /*  83017 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83021 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83023 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83027 */     GIR_RootConstrainSelectedInstOperands,
     /*  83028 */     // GIR_Coverage, 4590,
     /*  83028 */     GIR_EraseRootFromParent_Done,
     /*  83029 */   // Label 1779: @83029
     /*  83029 */   GIM_Try, /*On fail goto*//*Label 1780*/ GIMT_Encode4(83071), // Rule ID 17922 //
     /*  83034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  83037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  83041 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83045 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  83049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83056 */     // (st VR256:{ *:[v4i64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPSYmr addr:{ *:[iPTR] }:$dst, VR256:{ *:[v4i64] }:$src)
     /*  83056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSYmr),
     /*  83059 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83063 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83065 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83069 */     GIR_RootConstrainSelectedInstOperands,
     /*  83070 */     // GIR_Coverage, 17922,
     /*  83070 */     GIR_EraseRootFromParent_Done,
     /*  83071 */   // Label 1780: @83071
     /*  83071 */   GIM_Try, /*On fail goto*//*Label 1781*/ GIMT_Encode4(83109), // Rule ID 17926 //
     /*  83076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  83079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  83083 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83094 */     // (st VR256:{ *:[v4i64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPSYmr addr:{ *:[iPTR] }:$dst, VR256:{ *:[v4i64] }:$src)
     /*  83094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSYmr),
     /*  83097 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83101 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83103 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83107 */     GIR_RootConstrainSelectedInstOperands,
     /*  83108 */     // GIR_Coverage, 17926,
     /*  83108 */     GIR_EraseRootFromParent_Done,
     /*  83109 */   // Label 1781: @83109
     /*  83109 */   GIM_Reject,
     /*  83110 */ // Label 1773: @83110
     /*  83110 */ GIM_Reject,
     /*  83111 */ // Label 1482: @83111
     /*  83111 */ GIM_Try, /*On fail goto*//*Label 1782*/ GIMT_Encode4(83192),
     /*  83116 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  83119 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  83123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  83127 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83131 */   GIM_Try, /*On fail goto*//*Label 1783*/ GIMT_Encode4(83161), // Rule ID 4395 //
     /*  83136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_NoEGPR),
     /*  83139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83146 */     // (st VK8:{ *:[v8i1] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (KMOVBmk addr:{ *:[iPTR] }:$dst, VK8:{ *:[v8i1] }:$src)
     /*  83146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVBmk),
     /*  83149 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83153 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83155 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83159 */     GIR_RootConstrainSelectedInstOperands,
     /*  83160 */     // GIR_Coverage, 4395,
     /*  83160 */     GIR_EraseRootFromParent_Done,
     /*  83161 */   // Label 1783: @83161
     /*  83161 */   GIM_Try, /*On fail goto*//*Label 1784*/ GIMT_Encode4(83191), // Rule ID 4397 //
     /*  83166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasEGPR_In64BitMode),
     /*  83169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83176 */     // (st VK8:{ *:[v8i1] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (KMOVBmk_EVEX addr:{ *:[iPTR] }:$dst, VK8:{ *:[v8i1] }:$src)
     /*  83176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVBmk_EVEX),
     /*  83179 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83183 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83185 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83189 */     GIR_RootConstrainSelectedInstOperands,
     /*  83190 */     // GIR_Coverage, 4397,
     /*  83190 */     GIR_EraseRootFromParent_Done,
     /*  83191 */   // Label 1784: @83191
     /*  83191 */   GIM_Reject,
     /*  83192 */ // Label 1782: @83192
     /*  83192 */ GIM_Reject,
     /*  83193 */ // Label 1483: @83193
     /*  83193 */ GIM_Try, /*On fail goto*//*Label 1785*/ GIMT_Encode4(83766),
     /*  83198 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  83201 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  83205 */   GIM_Try, /*On fail goto*//*Label 1786*/ GIMT_Encode4(83247), // Rule ID 17932 //
     /*  83210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  83213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  83217 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83221 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  83225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83232 */     // (st VR128:{ *:[v8f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v8f16] }:$src)
     /*  83232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSmr),
     /*  83235 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83239 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83241 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83245 */     GIR_RootConstrainSelectedInstOperands,
     /*  83246 */     // GIR_Coverage, 17932,
     /*  83246 */     GIR_EraseRootFromParent_Done,
     /*  83247 */   // Label 1786: @83247
     /*  83247 */   GIM_Try, /*On fail goto*//*Label 1787*/ GIMT_Encode4(83285), // Rule ID 17933 //
     /*  83252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  83255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  83259 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83270 */     // (st VR128:{ *:[v8f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v8f16] }:$src)
     /*  83270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSmr),
     /*  83273 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83277 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83279 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83283 */     GIR_RootConstrainSelectedInstOperands,
     /*  83284 */     // GIR_Coverage, 17933,
     /*  83284 */     GIR_EraseRootFromParent_Done,
     /*  83285 */   // Label 1787: @83285
     /*  83285 */   GIM_Try, /*On fail goto*//*Label 1788*/ GIMT_Encode4(83327), // Rule ID 17948 //
     /*  83290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  83293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  83297 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83301 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  83305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83312 */     // (st VR128:{ *:[v8i16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (MOVAPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v8i16] }:$src)
     /*  83312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVAPSmr),
     /*  83315 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83319 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83321 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83325 */     GIR_RootConstrainSelectedInstOperands,
     /*  83326 */     // GIR_Coverage, 17948,
     /*  83326 */     GIR_EraseRootFromParent_Done,
     /*  83327 */   // Label 1788: @83327
     /*  83327 */   GIM_Try, /*On fail goto*//*Label 1789*/ GIMT_Encode4(83365), // Rule ID 17952 //
     /*  83332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  83335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  83339 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83350 */     // (st VR128:{ *:[v8i16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOVUPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v8i16] }:$src)
     /*  83350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVUPSmr),
     /*  83353 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83357 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83359 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83363 */     GIR_RootConstrainSelectedInstOperands,
     /*  83364 */     // GIR_Coverage, 17952,
     /*  83364 */     GIR_EraseRootFromParent_Done,
     /*  83365 */   // Label 1789: @83365
     /*  83365 */   GIM_Try, /*On fail goto*//*Label 1790*/ GIMT_Encode4(83407), // Rule ID 17956 //
     /*  83370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  83373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  83377 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83381 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  83385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83392 */     // (st VR128:{ *:[v8f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (MOVAPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v8f16] }:$src)
     /*  83392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVAPSmr),
     /*  83395 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83399 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83401 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83405 */     GIR_RootConstrainSelectedInstOperands,
     /*  83406 */     // GIR_Coverage, 17956,
     /*  83406 */     GIR_EraseRootFromParent_Done,
     /*  83407 */   // Label 1790: @83407
     /*  83407 */   GIM_Try, /*On fail goto*//*Label 1791*/ GIMT_Encode4(83445), // Rule ID 17957 //
     /*  83412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  83415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  83419 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83430 */     // (st VR128:{ *:[v8f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOVUPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v8f16] }:$src)
     /*  83430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVUPSmr),
     /*  83433 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83437 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83439 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83443 */     GIR_RootConstrainSelectedInstOperands,
     /*  83444 */     // GIR_Coverage, 17957,
     /*  83444 */     GIR_EraseRootFromParent_Done,
     /*  83445 */   // Label 1791: @83445
     /*  83445 */   GIM_Try, /*On fail goto*//*Label 1792*/ GIMT_Encode4(83487), // Rule ID 18327 //
     /*  83450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  83453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  83457 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83461 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  83465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83472 */     // (st VR128:{ *:[v8i16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVDQAmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v8i16] }:$src)
     /*  83472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQAmr),
     /*  83475 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83479 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83481 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83485 */     GIR_RootConstrainSelectedInstOperands,
     /*  83486 */     // GIR_Coverage, 18327,
     /*  83486 */     GIR_EraseRootFromParent_Done,
     /*  83487 */   // Label 1792: @83487
     /*  83487 */   GIM_Try, /*On fail goto*//*Label 1793*/ GIMT_Encode4(83529), // Rule ID 18328 //
     /*  83492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  83495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  83499 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83503 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  83507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83514 */     // (st VR128:{ *:[v8f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVDQAmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v8f16] }:$src)
     /*  83514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQAmr),
     /*  83517 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83521 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83523 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83527 */     GIR_RootConstrainSelectedInstOperands,
     /*  83528 */     // GIR_Coverage, 18328,
     /*  83528 */     GIR_EraseRootFromParent_Done,
     /*  83529 */   // Label 1793: @83529
     /*  83529 */   GIM_Try, /*On fail goto*//*Label 1794*/ GIMT_Encode4(83567), // Rule ID 18331 //
     /*  83534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  83537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  83541 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83552 */     // (st VR128:{ *:[v8i16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVDQUmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v8i16] }:$src)
     /*  83552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQUmr),
     /*  83555 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83559 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83561 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83565 */     GIR_RootConstrainSelectedInstOperands,
     /*  83566 */     // GIR_Coverage, 18331,
     /*  83566 */     GIR_EraseRootFromParent_Done,
     /*  83567 */   // Label 1794: @83567
     /*  83567 */   GIM_Try, /*On fail goto*//*Label 1795*/ GIMT_Encode4(83605), // Rule ID 18332 //
     /*  83572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  83575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  83579 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83590 */     // (st VR128:{ *:[v8f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVDQUmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v8f16] }:$src)
     /*  83590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQUmr),
     /*  83593 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83597 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83599 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83603 */     GIR_RootConstrainSelectedInstOperands,
     /*  83604 */     // GIR_Coverage, 18332,
     /*  83604 */     GIR_EraseRootFromParent_Done,
     /*  83605 */   // Label 1795: @83605
     /*  83605 */   GIM_Try, /*On fail goto*//*Label 1796*/ GIMT_Encode4(83647), // Rule ID 19820 //
     /*  83610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  83613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  83617 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83621 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  83625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83632 */     // (st VR128X:{ *:[v8i16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVDQA64Z128mr addr:{ *:[iPTR] }:$dst, VR128X:{ *:[v8i16] }:$src)
     /*  83632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z128mr),
     /*  83635 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83639 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83641 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83645 */     GIR_RootConstrainSelectedInstOperands,
     /*  83646 */     // GIR_Coverage, 19820,
     /*  83646 */     GIR_EraseRootFromParent_Done,
     /*  83647 */   // Label 1796: @83647
     /*  83647 */   GIM_Try, /*On fail goto*//*Label 1797*/ GIMT_Encode4(83689), // Rule ID 19821 //
     /*  83652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  83655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  83659 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83663 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  83667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83674 */     // (st VR128X:{ *:[v8f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPSZ128mr addr:{ *:[iPTR] }:$dst, VR128X:{ *:[v8f16] }:$src)
     /*  83674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZ128mr),
     /*  83677 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83681 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83683 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83687 */     GIR_RootConstrainSelectedInstOperands,
     /*  83688 */     // GIR_Coverage, 19821,
     /*  83688 */     GIR_EraseRootFromParent_Done,
     /*  83689 */   // Label 1797: @83689
     /*  83689 */   GIM_Try, /*On fail goto*//*Label 1798*/ GIMT_Encode4(83727), // Rule ID 19824 //
     /*  83694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  83697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  83701 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83712 */     // (st VR128X:{ *:[v8i16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVDQU64Z128mr addr:{ *:[iPTR] }:$dst, VR128X:{ *:[v8i16] }:$src)
     /*  83712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Z128mr),
     /*  83715 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83719 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83721 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83725 */     GIR_RootConstrainSelectedInstOperands,
     /*  83726 */     // GIR_Coverage, 19824,
     /*  83726 */     GIR_EraseRootFromParent_Done,
     /*  83727 */   // Label 1798: @83727
     /*  83727 */   GIM_Try, /*On fail goto*//*Label 1799*/ GIMT_Encode4(83765), // Rule ID 19825 //
     /*  83732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  83735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  83739 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83750 */     // (st VR128X:{ *:[v8f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPSZ128mr addr:{ *:[iPTR] }:$dst, VR128X:{ *:[v8f16] }:$src)
     /*  83750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSZ128mr),
     /*  83753 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83757 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83759 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83763 */     GIR_RootConstrainSelectedInstOperands,
     /*  83764 */     // GIR_Coverage, 19825,
     /*  83764 */     GIR_EraseRootFromParent_Done,
     /*  83765 */   // Label 1799: @83765
     /*  83765 */   GIM_Reject,
     /*  83766 */ // Label 1785: @83766
     /*  83766 */ GIM_Reject,
     /*  83767 */ // Label 1484: @83767
     /*  83767 */ GIM_Try, /*On fail goto*//*Label 1800*/ GIMT_Encode4(84100),
     /*  83772 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  83775 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  83779 */   GIM_Try, /*On fail goto*//*Label 1801*/ GIMT_Encode4(83821), // Rule ID 1718 //
     /*  83784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  83787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  83791 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83795 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  83799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83806 */     // (st VR256:{ *:[v8f32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPSYmr addr:{ *:[iPTR] }:$dst, VR256:{ *:[v8f32] }:$src)
     /*  83806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSYmr),
     /*  83809 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83813 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83815 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83819 */     GIR_RootConstrainSelectedInstOperands,
     /*  83820 */     // GIR_Coverage, 1718,
     /*  83820 */     GIR_EraseRootFromParent_Done,
     /*  83821 */   // Label 1801: @83821
     /*  83821 */   GIM_Try, /*On fail goto*//*Label 1802*/ GIMT_Encode4(83859), // Rule ID 1720 //
     /*  83826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  83829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  83833 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83844 */     // (st VR256:{ *:[v8f32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPSYmr addr:{ *:[iPTR] }:$dst, VR256:{ *:[v8f32] }:$src)
     /*  83844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSYmr),
     /*  83847 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83851 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83853 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83857 */     GIR_RootConstrainSelectedInstOperands,
     /*  83858 */     // GIR_Coverage, 1720,
     /*  83858 */     GIR_EraseRootFromParent_Done,
     /*  83859 */   // Label 1802: @83859
     /*  83859 */   GIM_Try, /*On fail goto*//*Label 1803*/ GIMT_Encode4(83901), // Rule ID 4476 //
     /*  83864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  83867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  83871 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83875 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  83879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83886 */     // (st VR256X:{ *:[v8f32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPSZ256mr addr:{ *:[iPTR] }:$dst, VR256X:{ *:[v8f32] }:$src)
     /*  83886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZ256mr),
     /*  83889 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83893 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83895 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83899 */     GIR_RootConstrainSelectedInstOperands,
     /*  83900 */     // GIR_Coverage, 4476,
     /*  83900 */     GIR_EraseRootFromParent_Done,
     /*  83901 */   // Label 1803: @83901
     /*  83901 */   GIM_Try, /*On fail goto*//*Label 1804*/ GIMT_Encode4(83939), // Rule ID 4506 //
     /*  83906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  83909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  83913 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83924 */     // (st VR256X:{ *:[v8f32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPSZ256mr addr:{ *:[iPTR] }:$dst, VR256X:{ *:[v8f32] }:$src)
     /*  83924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSZ256mr),
     /*  83927 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83931 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83933 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83937 */     GIR_RootConstrainSelectedInstOperands,
     /*  83938 */     // GIR_Coverage, 4506,
     /*  83938 */     GIR_EraseRootFromParent_Done,
     /*  83939 */   // Label 1804: @83939
     /*  83939 */   GIM_Try, /*On fail goto*//*Label 1805*/ GIMT_Encode4(83981), // Rule ID 17923 //
     /*  83944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  83947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  83951 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83955 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  83959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83966 */     // (st VR256:{ *:[v8i32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPSYmr addr:{ *:[iPTR] }:$dst, VR256:{ *:[v8i32] }:$src)
     /*  83966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSYmr),
     /*  83969 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83973 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83975 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83979 */     GIR_RootConstrainSelectedInstOperands,
     /*  83980 */     // GIR_Coverage, 17923,
     /*  83980 */     GIR_EraseRootFromParent_Done,
     /*  83981 */   // Label 1805: @83981
     /*  83981 */   GIM_Try, /*On fail goto*//*Label 1806*/ GIMT_Encode4(84019), // Rule ID 17927 //
     /*  83986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  83989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  83993 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84004 */     // (st VR256:{ *:[v8i32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPSYmr addr:{ *:[iPTR] }:$dst, VR256:{ *:[v8i32] }:$src)
     /*  84004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSYmr),
     /*  84007 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84011 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84013 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84017 */     GIR_RootConstrainSelectedInstOperands,
     /*  84018 */     // GIR_Coverage, 17927,
     /*  84018 */     GIR_EraseRootFromParent_Done,
     /*  84019 */   // Label 1806: @84019
     /*  84019 */   GIM_Try, /*On fail goto*//*Label 1807*/ GIMT_Encode4(84061), // Rule ID 19835 //
     /*  84024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  84027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  84031 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84035 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  84039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84046 */     // (st VR256X:{ *:[v8i32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVDQA64Z256mr addr:{ *:[iPTR] }:$dst, VR256X:{ *:[v8i32] }:$src)
     /*  84046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z256mr),
     /*  84049 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84053 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84055 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84059 */     GIR_RootConstrainSelectedInstOperands,
     /*  84060 */     // GIR_Coverage, 19835,
     /*  84060 */     GIR_EraseRootFromParent_Done,
     /*  84061 */   // Label 1807: @84061
     /*  84061 */   GIM_Try, /*On fail goto*//*Label 1808*/ GIMT_Encode4(84099), // Rule ID 19839 //
     /*  84066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  84069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  84073 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84084 */     // (st VR256X:{ *:[v8i32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVDQU64Z256mr addr:{ *:[iPTR] }:$dst, VR256X:{ *:[v8i32] }:$src)
     /*  84084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Z256mr),
     /*  84087 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84091 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84093 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84097 */     GIR_RootConstrainSelectedInstOperands,
     /*  84098 */     // GIR_Coverage, 19839,
     /*  84098 */     GIR_EraseRootFromParent_Done,
     /*  84099 */   // Label 1808: @84099
     /*  84099 */   GIM_Reject,
     /*  84100 */ // Label 1800: @84100
     /*  84100 */ GIM_Reject,
     /*  84101 */ // Label 1485: @84101
     /*  84101 */ GIM_Try, /*On fail goto*//*Label 1809*/ GIMT_Encode4(84274),
     /*  84106 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  84109 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  84113 */   GIM_Try, /*On fail goto*//*Label 1810*/ GIMT_Encode4(84155), // Rule ID 4493 //
     /*  84118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  84121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  84125 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84129 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  84133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84140 */     // (st VR512:{ *:[v8f64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPDZmr addr:{ *:[iPTR] }:$dst, VR512:{ *:[v8f64] }:$src)
     /*  84140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPDZmr),
     /*  84143 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84147 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84149 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84153 */     GIR_RootConstrainSelectedInstOperands,
     /*  84154 */     // GIR_Coverage, 4493,
     /*  84154 */     GIR_EraseRootFromParent_Done,
     /*  84155 */   // Label 1810: @84155
     /*  84155 */   GIM_Try, /*On fail goto*//*Label 1811*/ GIMT_Encode4(84193), // Rule ID 4517 //
     /*  84160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  84163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  84167 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84178 */     // (st VR512:{ *:[v8f64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPDZmr addr:{ *:[iPTR] }:$dst, VR512:{ *:[v8f64] }:$src)
     /*  84178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPDZmr),
     /*  84181 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84185 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84187 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84191 */     GIR_RootConstrainSelectedInstOperands,
     /*  84192 */     // GIR_Coverage, 4517,
     /*  84192 */     GIR_EraseRootFromParent_Done,
     /*  84193 */   // Label 1811: @84193
     /*  84193 */   GIM_Try, /*On fail goto*//*Label 1812*/ GIMT_Encode4(84235), // Rule ID 4547 //
     /*  84198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  84201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  84205 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84209 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  84213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84220 */     // (st VR512:{ *:[v8i64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVDQA64Zmr addr:{ *:[iPTR] }:$dst, VR512:{ *:[v8i64] }:$src)
     /*  84220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Zmr),
     /*  84223 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84227 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84229 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84233 */     GIR_RootConstrainSelectedInstOperands,
     /*  84234 */     // GIR_Coverage, 4547,
     /*  84234 */     GIR_EraseRootFromParent_Done,
     /*  84235 */   // Label 1812: @84235
     /*  84235 */   GIM_Try, /*On fail goto*//*Label 1813*/ GIMT_Encode4(84273), // Rule ID 4589 //
     /*  84240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  84243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  84247 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84258 */     // (st VR512:{ *:[v8i64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVDQU64Zmr addr:{ *:[iPTR] }:$dst, VR512:{ *:[v8i64] }:$src)
     /*  84258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Zmr),
     /*  84261 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84265 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84267 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84271 */     GIR_RootConstrainSelectedInstOperands,
     /*  84272 */     // GIR_Coverage, 4589,
     /*  84272 */     GIR_EraseRootFromParent_Done,
     /*  84273 */   // Label 1813: @84273
     /*  84273 */   GIM_Reject,
     /*  84274 */ // Label 1809: @84274
     /*  84274 */ GIM_Reject,
     /*  84275 */ // Label 1486: @84275
     /*  84275 */ GIM_Try, /*On fail goto*//*Label 1814*/ GIMT_Encode4(84356),
     /*  84280 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  84283 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  84287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  84291 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84295 */   GIM_Try, /*On fail goto*//*Label 1815*/ GIMT_Encode4(84325), // Rule ID 4399 //
     /*  84300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_NoEGPR),
     /*  84303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84310 */     // (st VK16:{ *:[v16i1] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (KMOVWmk addr:{ *:[iPTR] }:$dst, VK16:{ *:[v16i1] }:$src)
     /*  84310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVWmk),
     /*  84313 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84317 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84319 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84323 */     GIR_RootConstrainSelectedInstOperands,
     /*  84324 */     // GIR_Coverage, 4399,
     /*  84324 */     GIR_EraseRootFromParent_Done,
     /*  84325 */   // Label 1815: @84325
     /*  84325 */   GIM_Try, /*On fail goto*//*Label 1816*/ GIMT_Encode4(84355), // Rule ID 4401 //
     /*  84330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEGPR_In64BitMode),
     /*  84333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84340 */     // (st VK16:{ *:[v16i1] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (KMOVWmk_EVEX addr:{ *:[iPTR] }:$dst, VK16:{ *:[v16i1] }:$src)
     /*  84340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVWmk_EVEX),
     /*  84343 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84347 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84349 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84353 */     GIR_RootConstrainSelectedInstOperands,
     /*  84354 */     // GIR_Coverage, 4401,
     /*  84354 */     GIR_EraseRootFromParent_Done,
     /*  84355 */   // Label 1816: @84355
     /*  84355 */   GIM_Reject,
     /*  84356 */ // Label 1814: @84356
     /*  84356 */ GIM_Reject,
     /*  84357 */ // Label 1487: @84357
     /*  84357 */ GIM_Try, /*On fail goto*//*Label 1817*/ GIMT_Encode4(84610),
     /*  84362 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  84365 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  84369 */   GIM_Try, /*On fail goto*//*Label 1818*/ GIMT_Encode4(84411), // Rule ID 17949 //
     /*  84374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  84377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  84381 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84385 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  84389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84396 */     // (st VR128:{ *:[v16i8] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (MOVAPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v16i8] }:$src)
     /*  84396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVAPSmr),
     /*  84399 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84403 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84405 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84409 */     GIR_RootConstrainSelectedInstOperands,
     /*  84410 */     // GIR_Coverage, 17949,
     /*  84410 */     GIR_EraseRootFromParent_Done,
     /*  84411 */   // Label 1818: @84411
     /*  84411 */   GIM_Try, /*On fail goto*//*Label 1819*/ GIMT_Encode4(84449), // Rule ID 17953 //
     /*  84416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  84419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  84423 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84434 */     // (st VR128:{ *:[v16i8] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOVUPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v16i8] }:$src)
     /*  84434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVUPSmr),
     /*  84437 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84441 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84443 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84447 */     GIR_RootConstrainSelectedInstOperands,
     /*  84448 */     // GIR_Coverage, 17953,
     /*  84448 */     GIR_EraseRootFromParent_Done,
     /*  84449 */   // Label 1819: @84449
     /*  84449 */   GIM_Try, /*On fail goto*//*Label 1820*/ GIMT_Encode4(84491), // Rule ID 18329 //
     /*  84454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  84457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  84461 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84465 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  84469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84476 */     // (st VR128:{ *:[v16i8] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVDQAmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v16i8] }:$src)
     /*  84476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQAmr),
     /*  84479 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84483 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84485 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84489 */     GIR_RootConstrainSelectedInstOperands,
     /*  84490 */     // GIR_Coverage, 18329,
     /*  84490 */     GIR_EraseRootFromParent_Done,
     /*  84491 */   // Label 1820: @84491
     /*  84491 */   GIM_Try, /*On fail goto*//*Label 1821*/ GIMT_Encode4(84529), // Rule ID 18333 //
     /*  84496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  84499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  84503 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84514 */     // (st VR128:{ *:[v16i8] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVDQUmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v16i8] }:$src)
     /*  84514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQUmr),
     /*  84517 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84521 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84523 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84527 */     GIR_RootConstrainSelectedInstOperands,
     /*  84528 */     // GIR_Coverage, 18333,
     /*  84528 */     GIR_EraseRootFromParent_Done,
     /*  84529 */   // Label 1821: @84529
     /*  84529 */   GIM_Try, /*On fail goto*//*Label 1822*/ GIMT_Encode4(84571), // Rule ID 19822 //
     /*  84534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  84537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  84541 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84545 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  84549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84556 */     // (st VR128X:{ *:[v16i8] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVDQA64Z128mr addr:{ *:[iPTR] }:$dst, VR128X:{ *:[v16i8] }:$src)
     /*  84556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z128mr),
     /*  84559 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84563 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84565 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84569 */     GIR_RootConstrainSelectedInstOperands,
     /*  84570 */     // GIR_Coverage, 19822,
     /*  84570 */     GIR_EraseRootFromParent_Done,
     /*  84571 */   // Label 1822: @84571
     /*  84571 */   GIM_Try, /*On fail goto*//*Label 1823*/ GIMT_Encode4(84609), // Rule ID 19826 //
     /*  84576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  84579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  84583 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84594 */     // (st VR128X:{ *:[v16i8] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVDQU64Z128mr addr:{ *:[iPTR] }:$dst, VR128X:{ *:[v16i8] }:$src)
     /*  84594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Z128mr),
     /*  84597 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84601 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84603 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84607 */     GIR_RootConstrainSelectedInstOperands,
     /*  84608 */     // GIR_Coverage, 19826,
     /*  84608 */     GIR_EraseRootFromParent_Done,
     /*  84609 */   // Label 1823: @84609
     /*  84609 */   GIM_Reject,
     /*  84610 */ // Label 1817: @84610
     /*  84610 */ GIM_Reject,
     /*  84611 */ // Label 1488: @84611
     /*  84611 */ GIM_Try, /*On fail goto*//*Label 1824*/ GIMT_Encode4(84944),
     /*  84616 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  84619 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  84623 */   GIM_Try, /*On fail goto*//*Label 1825*/ GIMT_Encode4(84665), // Rule ID 17924 //
     /*  84628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  84631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  84635 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84639 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  84643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84650 */     // (st VR256:{ *:[v16i16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPSYmr addr:{ *:[iPTR] }:$dst, VR256:{ *:[v16i16] }:$src)
     /*  84650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSYmr),
     /*  84653 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84657 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84659 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84663 */     GIR_RootConstrainSelectedInstOperands,
     /*  84664 */     // GIR_Coverage, 17924,
     /*  84664 */     GIR_EraseRootFromParent_Done,
     /*  84665 */   // Label 1825: @84665
     /*  84665 */   GIM_Try, /*On fail goto*//*Label 1826*/ GIMT_Encode4(84703), // Rule ID 17928 //
     /*  84670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  84673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  84677 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84688 */     // (st VR256:{ *:[v16i16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPSYmr addr:{ *:[iPTR] }:$dst, VR256:{ *:[v16i16] }:$src)
     /*  84688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSYmr),
     /*  84691 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84695 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84697 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84701 */     GIR_RootConstrainSelectedInstOperands,
     /*  84702 */     // GIR_Coverage, 17928,
     /*  84702 */     GIR_EraseRootFromParent_Done,
     /*  84703 */   // Label 1826: @84703
     /*  84703 */   GIM_Try, /*On fail goto*//*Label 1827*/ GIMT_Encode4(84745), // Rule ID 17936 //
     /*  84708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  84711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  84715 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84719 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  84723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84730 */     // (st VR256:{ *:[v16f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPSYmr addr:{ *:[iPTR] }:$dst, VR256:{ *:[v16f16] }:$src)
     /*  84730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSYmr),
     /*  84733 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84737 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84739 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84743 */     GIR_RootConstrainSelectedInstOperands,
     /*  84744 */     // GIR_Coverage, 17936,
     /*  84744 */     GIR_EraseRootFromParent_Done,
     /*  84745 */   // Label 1827: @84745
     /*  84745 */   GIM_Try, /*On fail goto*//*Label 1828*/ GIMT_Encode4(84783), // Rule ID 17937 //
     /*  84750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  84753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  84757 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84768 */     // (st VR256:{ *:[v16f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPSYmr addr:{ *:[iPTR] }:$dst, VR256:{ *:[v16f16] }:$src)
     /*  84768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSYmr),
     /*  84771 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84775 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84777 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84781 */     GIR_RootConstrainSelectedInstOperands,
     /*  84782 */     // GIR_Coverage, 17937,
     /*  84782 */     GIR_EraseRootFromParent_Done,
     /*  84783 */   // Label 1828: @84783
     /*  84783 */   GIM_Try, /*On fail goto*//*Label 1829*/ GIMT_Encode4(84825), // Rule ID 19836 //
     /*  84788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  84791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  84795 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84799 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  84803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84810 */     // (st VR256X:{ *:[v16i16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVDQA64Z256mr addr:{ *:[iPTR] }:$dst, VR256X:{ *:[v16i16] }:$src)
     /*  84810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z256mr),
     /*  84813 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84817 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84819 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84823 */     GIR_RootConstrainSelectedInstOperands,
     /*  84824 */     // GIR_Coverage, 19836,
     /*  84824 */     GIR_EraseRootFromParent_Done,
     /*  84825 */   // Label 1829: @84825
     /*  84825 */   GIM_Try, /*On fail goto*//*Label 1830*/ GIMT_Encode4(84867), // Rule ID 19837 //
     /*  84830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  84833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  84837 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84841 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  84845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84852 */     // (st VR256X:{ *:[v16f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPSZ256mr addr:{ *:[iPTR] }:$dst, VR256X:{ *:[v16f16] }:$src)
     /*  84852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZ256mr),
     /*  84855 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84859 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84861 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84865 */     GIR_RootConstrainSelectedInstOperands,
     /*  84866 */     // GIR_Coverage, 19837,
     /*  84866 */     GIR_EraseRootFromParent_Done,
     /*  84867 */   // Label 1830: @84867
     /*  84867 */   GIM_Try, /*On fail goto*//*Label 1831*/ GIMT_Encode4(84905), // Rule ID 19840 //
     /*  84872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  84875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  84879 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84890 */     // (st VR256X:{ *:[v16i16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVDQU64Z256mr addr:{ *:[iPTR] }:$dst, VR256X:{ *:[v16i16] }:$src)
     /*  84890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Z256mr),
     /*  84893 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84897 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84899 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84903 */     GIR_RootConstrainSelectedInstOperands,
     /*  84904 */     // GIR_Coverage, 19840,
     /*  84904 */     GIR_EraseRootFromParent_Done,
     /*  84905 */   // Label 1831: @84905
     /*  84905 */   GIM_Try, /*On fail goto*//*Label 1832*/ GIMT_Encode4(84943), // Rule ID 19841 //
     /*  84910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  84913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  84917 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84928 */     // (st VR256X:{ *:[v16f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPSZ256mr addr:{ *:[iPTR] }:$dst, VR256X:{ *:[v16f16] }:$src)
     /*  84928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSZ256mr),
     /*  84931 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84935 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84937 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84941 */     GIR_RootConstrainSelectedInstOperands,
     /*  84942 */     // GIR_Coverage, 19841,
     /*  84942 */     GIR_EraseRootFromParent_Done,
     /*  84943 */   // Label 1832: @84943
     /*  84943 */   GIM_Reject,
     /*  84944 */ // Label 1824: @84944
     /*  84944 */ GIM_Reject,
     /*  84945 */ // Label 1489: @84945
     /*  84945 */ GIM_Try, /*On fail goto*//*Label 1833*/ GIMT_Encode4(85118),
     /*  84950 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  84953 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  84957 */   GIM_Try, /*On fail goto*//*Label 1834*/ GIMT_Encode4(84999), // Rule ID 4475 //
     /*  84962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  84965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  84969 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84973 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  84977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84984 */     // (st VR512:{ *:[v16f32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPSZmr addr:{ *:[iPTR] }:$dst, VR512:{ *:[v16f32] }:$src)
     /*  84984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZmr),
     /*  84987 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84991 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84993 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84997 */     GIR_RootConstrainSelectedInstOperands,
     /*  84998 */     // GIR_Coverage, 4475,
     /*  84998 */     GIR_EraseRootFromParent_Done,
     /*  84999 */   // Label 1834: @84999
     /*  84999 */   GIM_Try, /*On fail goto*//*Label 1835*/ GIMT_Encode4(85037), // Rule ID 4505 //
     /*  85004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  85007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  85011 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85022 */     // (st VR512:{ *:[v16f32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPSZmr addr:{ *:[iPTR] }:$dst, VR512:{ *:[v16f32] }:$src)
     /*  85022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSZmr),
     /*  85025 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  85029 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  85031 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85035 */     GIR_RootConstrainSelectedInstOperands,
     /*  85036 */     // GIR_Coverage, 4505,
     /*  85036 */     GIR_EraseRootFromParent_Done,
     /*  85037 */   // Label 1835: @85037
     /*  85037 */   GIM_Try, /*On fail goto*//*Label 1836*/ GIMT_Encode4(85079), // Rule ID 19803 //
     /*  85042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  85045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  85049 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85053 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  85057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85064 */     // (st VR512:{ *:[v16i32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVDQA64Zmr addr:{ *:[iPTR] }:$dst, VR512:{ *:[v16i32] }:$src)
     /*  85064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Zmr),
     /*  85067 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  85071 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  85073 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85077 */     GIR_RootConstrainSelectedInstOperands,
     /*  85078 */     // GIR_Coverage, 19803,
     /*  85078 */     GIR_EraseRootFromParent_Done,
     /*  85079 */   // Label 1836: @85079
     /*  85079 */   GIM_Try, /*On fail goto*//*Label 1837*/ GIMT_Encode4(85117), // Rule ID 19807 //
     /*  85084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  85087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  85091 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85102 */     // (st VR512:{ *:[v16i32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVDQU64Zmr addr:{ *:[iPTR] }:$dst, VR512:{ *:[v16i32] }:$src)
     /*  85102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Zmr),
     /*  85105 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  85109 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  85111 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85115 */     GIR_RootConstrainSelectedInstOperands,
     /*  85116 */     // GIR_Coverage, 19807,
     /*  85116 */     GIR_EraseRootFromParent_Done,
     /*  85117 */   // Label 1837: @85117
     /*  85117 */   GIM_Reject,
     /*  85118 */ // Label 1833: @85118
     /*  85118 */ GIM_Reject,
     /*  85119 */ // Label 1490: @85119
     /*  85119 */ GIM_Try, /*On fail goto*//*Label 1838*/ GIMT_Encode4(85200),
     /*  85124 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  85127 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  85131 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  85135 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85139 */   GIM_Try, /*On fail goto*//*Label 1839*/ GIMT_Encode4(85169), // Rule ID 4403 //
     /*  85144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_NoEGPR),
     /*  85147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85154 */     // (st VK32:{ *:[v32i1] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (KMOVDmk addr:{ *:[iPTR] }:$dst, VK32:{ *:[v32i1] }:$src)
     /*  85154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVDmk),
     /*  85157 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  85161 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  85163 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85167 */     GIR_RootConstrainSelectedInstOperands,
     /*  85168 */     // GIR_Coverage, 4403,
     /*  85168 */     GIR_EraseRootFromParent_Done,
     /*  85169 */   // Label 1839: @85169
     /*  85169 */   GIM_Try, /*On fail goto*//*Label 1840*/ GIMT_Encode4(85199), // Rule ID 4407 //
     /*  85174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEGPR_In64BitMode),
     /*  85177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85184 */     // (st VK32:{ *:[v32i1] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (KMOVDmk_EVEX addr:{ *:[iPTR] }:$dst, VK32:{ *:[v32i1] }:$src)
     /*  85184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVDmk_EVEX),
     /*  85187 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  85191 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  85193 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85197 */     GIR_RootConstrainSelectedInstOperands,
     /*  85198 */     // GIR_Coverage, 4407,
     /*  85198 */     GIR_EraseRootFromParent_Done,
     /*  85199 */   // Label 1840: @85199
     /*  85199 */   GIM_Reject,
     /*  85200 */ // Label 1838: @85200
     /*  85200 */ GIM_Reject,
     /*  85201 */ // Label 1491: @85201
     /*  85201 */ GIM_Try, /*On fail goto*//*Label 1841*/ GIMT_Encode4(85374),
     /*  85206 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  85209 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  85213 */   GIM_Try, /*On fail goto*//*Label 1842*/ GIMT_Encode4(85255), // Rule ID 17925 //
     /*  85218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  85221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  85225 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85229 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  85233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85240 */     // (st VR256:{ *:[v32i8] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPSYmr addr:{ *:[iPTR] }:$dst, VR256:{ *:[v32i8] }:$src)
     /*  85240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSYmr),
     /*  85243 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  85247 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  85249 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85253 */     GIR_RootConstrainSelectedInstOperands,
     /*  85254 */     // GIR_Coverage, 17925,
     /*  85254 */     GIR_EraseRootFromParent_Done,
     /*  85255 */   // Label 1842: @85255
     /*  85255 */   GIM_Try, /*On fail goto*//*Label 1843*/ GIMT_Encode4(85293), // Rule ID 17929 //
     /*  85260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  85263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  85267 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85278 */     // (st VR256:{ *:[v32i8] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPSYmr addr:{ *:[iPTR] }:$dst, VR256:{ *:[v32i8] }:$src)
     /*  85278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSYmr),
     /*  85281 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  85285 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  85287 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85291 */     GIR_RootConstrainSelectedInstOperands,
     /*  85292 */     // GIR_Coverage, 17929,
     /*  85292 */     GIR_EraseRootFromParent_Done,
     /*  85293 */   // Label 1843: @85293
     /*  85293 */   GIM_Try, /*On fail goto*//*Label 1844*/ GIMT_Encode4(85335), // Rule ID 19838 //
     /*  85298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  85301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  85305 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85309 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  85313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85320 */     // (st VR256X:{ *:[v32i8] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVDQA64Z256mr addr:{ *:[iPTR] }:$dst, VR256X:{ *:[v32i8] }:$src)
     /*  85320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z256mr),
     /*  85323 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  85327 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  85329 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85333 */     GIR_RootConstrainSelectedInstOperands,
     /*  85334 */     // GIR_Coverage, 19838,
     /*  85334 */     GIR_EraseRootFromParent_Done,
     /*  85335 */   // Label 1844: @85335
     /*  85335 */   GIM_Try, /*On fail goto*//*Label 1845*/ GIMT_Encode4(85373), // Rule ID 19842 //
     /*  85340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  85343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  85347 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85358 */     // (st VR256X:{ *:[v32i8] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVDQU64Z256mr addr:{ *:[iPTR] }:$dst, VR256X:{ *:[v32i8] }:$src)
     /*  85358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Z256mr),
     /*  85361 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  85365 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  85367 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85371 */     GIR_RootConstrainSelectedInstOperands,
     /*  85372 */     // GIR_Coverage, 19842,
     /*  85372 */     GIR_EraseRootFromParent_Done,
     /*  85373 */   // Label 1845: @85373
     /*  85373 */   GIM_Reject,
     /*  85374 */ // Label 1841: @85374
     /*  85374 */ GIM_Reject,
     /*  85375 */ // Label 1492: @85375
     /*  85375 */ GIM_Try, /*On fail goto*//*Label 1846*/ GIMT_Encode4(85548),
     /*  85380 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  85383 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  85387 */   GIM_Try, /*On fail goto*//*Label 1847*/ GIMT_Encode4(85429), // Rule ID 19804 //
     /*  85392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  85395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  85399 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85403 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  85407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85414 */     // (st VR512:{ *:[v32i16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVDQA64Zmr addr:{ *:[iPTR] }:$dst, VR512:{ *:[v32i16] }:$src)
     /*  85414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Zmr),
     /*  85417 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  85421 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  85423 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85427 */     GIR_RootConstrainSelectedInstOperands,
     /*  85428 */     // GIR_Coverage, 19804,
     /*  85428 */     GIR_EraseRootFromParent_Done,
     /*  85429 */   // Label 1847: @85429
     /*  85429 */   GIM_Try, /*On fail goto*//*Label 1848*/ GIMT_Encode4(85471), // Rule ID 19805 //
     /*  85434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  85437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  85441 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85445 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  85449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85456 */     // (st VR512:{ *:[v32f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPSZmr addr:{ *:[iPTR] }:$dst, VR512:{ *:[v32f16] }:$src)
     /*  85456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZmr),
     /*  85459 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  85463 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  85465 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85469 */     GIR_RootConstrainSelectedInstOperands,
     /*  85470 */     // GIR_Coverage, 19805,
     /*  85470 */     GIR_EraseRootFromParent_Done,
     /*  85471 */   // Label 1848: @85471
     /*  85471 */   GIM_Try, /*On fail goto*//*Label 1849*/ GIMT_Encode4(85509), // Rule ID 19808 //
     /*  85476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  85479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  85483 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85494 */     // (st VR512:{ *:[v32i16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVDQU64Zmr addr:{ *:[iPTR] }:$dst, VR512:{ *:[v32i16] }:$src)
     /*  85494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Zmr),
     /*  85497 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  85501 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  85503 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85507 */     GIR_RootConstrainSelectedInstOperands,
     /*  85508 */     // GIR_Coverage, 19808,
     /*  85508 */     GIR_EraseRootFromParent_Done,
     /*  85509 */   // Label 1849: @85509
     /*  85509 */   GIM_Try, /*On fail goto*//*Label 1850*/ GIMT_Encode4(85547), // Rule ID 19809 //
     /*  85514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  85517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  85521 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85532 */     // (st VR512:{ *:[v32f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPSZmr addr:{ *:[iPTR] }:$dst, VR512:{ *:[v32f16] }:$src)
     /*  85532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSZmr),
     /*  85535 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  85539 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  85541 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85545 */     GIR_RootConstrainSelectedInstOperands,
     /*  85546 */     // GIR_Coverage, 19809,
     /*  85546 */     GIR_EraseRootFromParent_Done,
     /*  85547 */   // Label 1850: @85547
     /*  85547 */   GIM_Reject,
     /*  85548 */ // Label 1846: @85548
     /*  85548 */ GIM_Reject,
     /*  85549 */ // Label 1493: @85549
     /*  85549 */ GIM_Try, /*On fail goto*//*Label 1851*/ GIMT_Encode4(85630),
     /*  85554 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  85557 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  85561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  85565 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85569 */   GIM_Try, /*On fail goto*//*Label 1852*/ GIMT_Encode4(85599), // Rule ID 4405 //
     /*  85574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_NoEGPR),
     /*  85577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85584 */     // (st VK64:{ *:[v64i1] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (KMOVQmk addr:{ *:[iPTR] }:$dst, VK64:{ *:[v64i1] }:$src)
     /*  85584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVQmk),
     /*  85587 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  85591 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  85593 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85597 */     GIR_RootConstrainSelectedInstOperands,
     /*  85598 */     // GIR_Coverage, 4405,
     /*  85598 */     GIR_EraseRootFromParent_Done,
     /*  85599 */   // Label 1852: @85599
     /*  85599 */   GIM_Try, /*On fail goto*//*Label 1853*/ GIMT_Encode4(85629), // Rule ID 4409 //
     /*  85604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEGPR_In64BitMode),
     /*  85607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85614 */     // (st VK64:{ *:[v64i1] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (KMOVQmk_EVEX addr:{ *:[iPTR] }:$dst, VK64:{ *:[v64i1] }:$src)
     /*  85614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVQmk_EVEX),
     /*  85617 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  85621 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  85623 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85627 */     GIR_RootConstrainSelectedInstOperands,
     /*  85628 */     // GIR_Coverage, 4409,
     /*  85628 */     GIR_EraseRootFromParent_Done,
     /*  85629 */   // Label 1853: @85629
     /*  85629 */   GIM_Reject,
     /*  85630 */ // Label 1851: @85630
     /*  85630 */ GIM_Reject,
     /*  85631 */ // Label 1494: @85631
     /*  85631 */ GIM_Try, /*On fail goto*//*Label 1854*/ GIMT_Encode4(85724),
     /*  85636 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  85639 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  85643 */   GIM_Try, /*On fail goto*//*Label 1855*/ GIMT_Encode4(85685), // Rule ID 19806 //
     /*  85648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  85651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  85655 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85659 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  85663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85670 */     // (st VR512:{ *:[v64i8] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVDQA64Zmr addr:{ *:[iPTR] }:$dst, VR512:{ *:[v64i8] }:$src)
     /*  85670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Zmr),
     /*  85673 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  85677 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  85679 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85683 */     GIR_RootConstrainSelectedInstOperands,
     /*  85684 */     // GIR_Coverage, 19806,
     /*  85684 */     GIR_EraseRootFromParent_Done,
     /*  85685 */   // Label 1855: @85685
     /*  85685 */   GIM_Try, /*On fail goto*//*Label 1856*/ GIMT_Encode4(85723), // Rule ID 19810 //
     /*  85690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  85693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  85697 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85708 */     // (st VR512:{ *:[v64i8] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVDQU64Zmr addr:{ *:[iPTR] }:$dst, VR512:{ *:[v64i8] }:$src)
     /*  85708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Zmr),
     /*  85711 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  85715 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  85717 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85721 */     GIR_RootConstrainSelectedInstOperands,
     /*  85722 */     // GIR_Coverage, 19810,
     /*  85722 */     GIR_EraseRootFromParent_Done,
     /*  85723 */   // Label 1856: @85723
     /*  85723 */   GIM_Reject,
     /*  85724 */ // Label 1854: @85724
     /*  85724 */ GIM_Reject,
     /*  85725 */ // Label 1495: @85725
     /*  85725 */ GIM_Reject,
     /*  85726 */ // Label 14: @85726
     /*  85726 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(5), /*)*//*default:*//*Label 1861*/ GIMT_Encode4(85961),
     /*  85737 */ /*GILLT_s8*//*Label 1857*/ GIMT_Encode4(85753),
     /*  85741 */ /*GILLT_s16*//*Label 1858*/ GIMT_Encode4(85805),
     /*  85745 */ /*GILLT_s32*//*Label 1859*/ GIMT_Encode4(85857),
     /*  85749 */ /*GILLT_s64*//*Label 1860*/ GIMT_Encode4(85909),
     /*  85753 */ // Label 1857: @85753
     /*  85753 */ GIM_Try, /*On fail goto*//*Label 1862*/ GIMT_Encode4(85804), // Rule ID 45 //
     /*  85758 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /*  85761 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  85768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  85772 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85776 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  85780 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85787 */   // (atomic_swap:{ *:[i8] } addr:{ *:[iPTR] }:$ptr, GR8:{ *:[i8] }:$val)<<P:Predicate_atomic_swap_i8>>  =>  (XCHG8rm:{ *:[i8] } GR8:{ *:[i8] }:$val, addr:{ *:[iPTR] }:$ptr)
     /*  85787 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XCHG8rm),
     /*  85790 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  85792 */   GIR_RootToRootCopy, /*OpIdx*/2, // val
     /*  85794 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // ptr
     /*  85798 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85802 */   GIR_RootConstrainSelectedInstOperands,
     /*  85803 */   // GIR_Coverage, 45,
     /*  85803 */   GIR_EraseRootFromParent_Done,
     /*  85804 */ // Label 1862: @85804
     /*  85804 */ GIM_Reject,
     /*  85805 */ // Label 1858: @85805
     /*  85805 */ GIM_Try, /*On fail goto*//*Label 1863*/ GIMT_Encode4(85856), // Rule ID 46 //
     /*  85810 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /*  85813 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  85820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  85824 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85828 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  85832 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85839 */   // (atomic_swap:{ *:[i16] } addr:{ *:[iPTR] }:$ptr, GR16:{ *:[i16] }:$val)<<P:Predicate_atomic_swap_i16>>  =>  (XCHG16rm:{ *:[i16] } GR16:{ *:[i16] }:$val, addr:{ *:[iPTR] }:$ptr)
     /*  85839 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XCHG16rm),
     /*  85842 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  85844 */   GIR_RootToRootCopy, /*OpIdx*/2, // val
     /*  85846 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // ptr
     /*  85850 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85854 */   GIR_RootConstrainSelectedInstOperands,
     /*  85855 */   // GIR_Coverage, 46,
     /*  85855 */   GIR_EraseRootFromParent_Done,
     /*  85856 */ // Label 1863: @85856
     /*  85856 */ GIM_Reject,
     /*  85857 */ // Label 1859: @85857
     /*  85857 */ GIM_Try, /*On fail goto*//*Label 1864*/ GIMT_Encode4(85908), // Rule ID 47 //
     /*  85862 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  85865 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  85872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  85876 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85880 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  85884 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85891 */   // (atomic_swap:{ *:[i32] } addr:{ *:[iPTR] }:$ptr, GR32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_i32>>  =>  (XCHG32rm:{ *:[i32] } GR32:{ *:[i32] }:$val, addr:{ *:[iPTR] }:$ptr)
     /*  85891 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XCHG32rm),
     /*  85894 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  85896 */   GIR_RootToRootCopy, /*OpIdx*/2, // val
     /*  85898 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // ptr
     /*  85902 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85906 */   GIR_RootConstrainSelectedInstOperands,
     /*  85907 */   // GIR_Coverage, 47,
     /*  85907 */   GIR_EraseRootFromParent_Done,
     /*  85908 */ // Label 1864: @85908
     /*  85908 */ GIM_Reject,
     /*  85909 */ // Label 1860: @85909
     /*  85909 */ GIM_Try, /*On fail goto*//*Label 1865*/ GIMT_Encode4(85960), // Rule ID 48 //
     /*  85914 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  85917 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  85924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  85928 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85932 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  85936 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85943 */   // (atomic_swap:{ *:[i64] } addr:{ *:[iPTR] }:$ptr, GR64:{ *:[i64] }:$val)<<P:Predicate_atomic_swap_i64>>  =>  (XCHG64rm:{ *:[i64] } GR64:{ *:[i64] }:$val, addr:{ *:[iPTR] }:$ptr)
     /*  85943 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XCHG64rm),
     /*  85946 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  85948 */   GIR_RootToRootCopy, /*OpIdx*/2, // val
     /*  85950 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // ptr
     /*  85954 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85958 */   GIR_RootConstrainSelectedInstOperands,
     /*  85959 */   // GIR_Coverage, 48,
     /*  85959 */   GIR_EraseRootFromParent_Done,
     /*  85960 */ // Label 1865: @85960
     /*  85960 */ GIM_Reject,
     /*  85961 */ // Label 1861: @85961
     /*  85961 */ GIM_Reject,
     /*  85962 */ // Label 15: @85962
     /*  85962 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(5), /*)*//*default:*//*Label 1870*/ GIMT_Encode4(86209),
     /*  85973 */ /*GILLT_s8*//*Label 1866*/ GIMT_Encode4(85989),
     /*  85977 */ /*GILLT_s16*//*Label 1867*/ GIMT_Encode4(86044),
     /*  85981 */ /*GILLT_s32*//*Label 1868*/ GIMT_Encode4(86099),
     /*  85985 */ /*GILLT_s64*//*Label 1869*/ GIMT_Encode4(86154),
     /*  85989 */ // Label 1866: @85989
     /*  85989 */ GIM_Try, /*On fail goto*//*Label 1871*/ GIMT_Encode4(86043), // Rule ID 17297 //
     /*  85994 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /*  85997 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  86004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  86008 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  86012 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  86016 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  86023 */   // (atomic_load_add:{ *:[i8] } addr:{ *:[iPTR] }:$ptr, GR8:{ *:[i8] }:$val)<<P:Predicate_atomic_load_add_i8>>  =>  (LXADD8:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$val, addr:{ *:[iPTR] }:$ptr)
     /*  86023 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LXADD8),
     /*  86026 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86028 */   GIR_RootToRootCopy, /*OpIdx*/2, // val
     /*  86030 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // ptr
     /*  86034 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  86037 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  86041 */   GIR_RootConstrainSelectedInstOperands,
     /*  86042 */   // GIR_Coverage, 17297,
     /*  86042 */   GIR_EraseRootFromParent_Done,
     /*  86043 */ // Label 1871: @86043
     /*  86043 */ GIM_Reject,
     /*  86044 */ // Label 1867: @86044
     /*  86044 */ GIM_Try, /*On fail goto*//*Label 1872*/ GIMT_Encode4(86098), // Rule ID 17298 //
     /*  86049 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /*  86052 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  86059 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  86063 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  86067 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  86071 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  86078 */   // (atomic_load_add:{ *:[i16] } addr:{ *:[iPTR] }:$ptr, GR16:{ *:[i16] }:$val)<<P:Predicate_atomic_load_add_i16>>  =>  (LXADD16:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$val, addr:{ *:[iPTR] }:$ptr)
     /*  86078 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LXADD16),
     /*  86081 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86083 */   GIR_RootToRootCopy, /*OpIdx*/2, // val
     /*  86085 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // ptr
     /*  86089 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  86092 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  86096 */   GIR_RootConstrainSelectedInstOperands,
     /*  86097 */   // GIR_Coverage, 17298,
     /*  86097 */   GIR_EraseRootFromParent_Done,
     /*  86098 */ // Label 1872: @86098
     /*  86098 */ GIM_Reject,
     /*  86099 */ // Label 1868: @86099
     /*  86099 */ GIM_Try, /*On fail goto*//*Label 1873*/ GIMT_Encode4(86153), // Rule ID 17299 //
     /*  86104 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  86107 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  86114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  86118 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  86122 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  86126 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  86133 */   // (atomic_load_add:{ *:[i32] } addr:{ *:[iPTR] }:$ptr, GR32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_i32>>  =>  (LXADD32:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$val, addr:{ *:[iPTR] }:$ptr)
     /*  86133 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LXADD32),
     /*  86136 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86138 */   GIR_RootToRootCopy, /*OpIdx*/2, // val
     /*  86140 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // ptr
     /*  86144 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  86147 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  86151 */   GIR_RootConstrainSelectedInstOperands,
     /*  86152 */   // GIR_Coverage, 17299,
     /*  86152 */   GIR_EraseRootFromParent_Done,
     /*  86153 */ // Label 1873: @86153
     /*  86153 */ GIM_Reject,
     /*  86154 */ // Label 1869: @86154
     /*  86154 */ GIM_Try, /*On fail goto*//*Label 1874*/ GIMT_Encode4(86208), // Rule ID 17300 //
     /*  86159 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  86162 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  86169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  86173 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  86177 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  86181 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  86188 */   // (atomic_load_add:{ *:[i64] } addr:{ *:[iPTR] }:$ptr, GR64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_add_i64>>  =>  (LXADD64:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$val, addr:{ *:[iPTR] }:$ptr)
     /*  86188 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LXADD64),
     /*  86191 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86193 */   GIR_RootToRootCopy, /*OpIdx*/2, // val
     /*  86195 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // ptr
     /*  86199 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  86202 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  86206 */   GIR_RootConstrainSelectedInstOperands,
     /*  86207 */   // GIR_Coverage, 17300,
     /*  86207 */   GIR_EraseRootFromParent_Done,
     /*  86208 */ // Label 1874: @86208
     /*  86208 */ GIM_Reject,
     /*  86209 */ // Label 1870: @86209
     /*  86209 */ GIM_Reject,
     /*  86210 */ // Label 16: @86210
     /*  86210 */ GIM_Try, /*On fail goto*//*Label 1875*/ GIMT_Encode4(86365),
     /*  86215 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  86218 */   GIM_Try, /*On fail goto*//*Label 1876*/ GIMT_Encode4(86268), // Rule ID 156 //
     /*  86223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPREFETCHI_In64BitMode),
     /*  86226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  86229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  86232 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/0, /*SizeInBits*/0,
     /*  86236 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  86240 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 3,
     /*  86244 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /*  86248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/0, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  86255 */     // (prefetch addr:{ *:[iPTR] }:$src, 0:{ *:[i32] }, 3:{ *:[i32] }, 0:{ *:[i32] })  =>  (PREFETCHIT0 addr:{ *:[iPTR] }:$src)
     /*  86255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PREFETCHIT0),
     /*  86258 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  86262 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  86266 */     GIR_RootConstrainSelectedInstOperands,
     /*  86267 */     // GIR_Coverage, 156,
     /*  86267 */     GIR_EraseRootFromParent_Done,
     /*  86268 */   // Label 1876: @86268
     /*  86268 */   GIM_Try, /*On fail goto*//*Label 1877*/ GIMT_Encode4(86318), // Rule ID 157 //
     /*  86273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPREFETCHI_In64BitMode),
     /*  86276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  86279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  86282 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/0, /*SizeInBits*/0,
     /*  86286 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  86290 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 2,
     /*  86294 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /*  86298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/0, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  86305 */     // (prefetch addr:{ *:[iPTR] }:$src, 0:{ *:[i32] }, 2:{ *:[i32] }, 0:{ *:[i32] })  =>  (PREFETCHIT1 addr:{ *:[iPTR] }:$src)
     /*  86305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PREFETCHIT1),
     /*  86308 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  86312 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  86316 */     GIR_RootConstrainSelectedInstOperands,
     /*  86317 */     // GIR_Coverage, 157,
     /*  86317 */     GIR_EraseRootFromParent_Done,
     /*  86318 */   // Label 1877: @86318
     /*  86318 */   GIM_Try, /*On fail goto*//*Label 1878*/ GIMT_Encode4(86364), // Rule ID 16982 //
     /*  86323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPrefetchW),
     /*  86326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  86329 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/0, /*SizeInBits*/0,
     /*  86333 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 1,
     /*  86337 */     // MIs[0] Operand 2
     /*  86337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  86340 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 1,
     /*  86344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/0, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  86351 */     // (prefetch addr:{ *:[iPTR] }:$addr, 1:{ *:[i32] }, (timm:{ *:[i32] })<<P:Predicate_PrefetchWLevel>>, 1:{ *:[i32] })  =>  (PREFETCHW addr:{ *:[iPTR] }:$addr)
     /*  86351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PREFETCHW),
     /*  86354 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // addr
     /*  86358 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  86362 */     GIR_RootConstrainSelectedInstOperands,
     /*  86363 */     // GIR_Coverage, 16982,
     /*  86363 */     GIR_EraseRootFromParent_Done,
     /*  86364 */   // Label 1878: @86364
     /*  86364 */   GIM_Reject,
     /*  86365 */ // Label 1875: @86365
     /*  86365 */ GIM_Try, /*On fail goto*//*Label 1879*/ GIMT_Encode4(86528),
     /*  86370 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  86373 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  86376 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/0, /*SizeInBits*/0,
     /*  86380 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  86383 */   GIM_Try, /*On fail goto*//*Label 1880*/ GIMT_Encode4(86419), // Rule ID 2504 //
     /*  86388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSEPrefetch),
     /*  86391 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 3,
     /*  86395 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 1,
     /*  86399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/0, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  86406 */     // (prefetch addr:{ *:[iPTR] }:$src, (timm:{ *:[i32] }), 3:{ *:[i32] }, 1:{ *:[i32] })  =>  (PREFETCHT0 addr:{ *:[iPTR] }:$src)
     /*  86406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PREFETCHT0),
     /*  86409 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  86413 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  86417 */     GIR_RootConstrainSelectedInstOperands,
     /*  86418 */     // GIR_Coverage, 2504,
     /*  86418 */     GIR_EraseRootFromParent_Done,
     /*  86419 */   // Label 1880: @86419
     /*  86419 */   GIM_Try, /*On fail goto*//*Label 1881*/ GIMT_Encode4(86455), // Rule ID 2505 //
     /*  86424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSEPrefetch),
     /*  86427 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 2,
     /*  86431 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 1,
     /*  86435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/0, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  86442 */     // (prefetch addr:{ *:[iPTR] }:$src, (timm:{ *:[i32] }), 2:{ *:[i32] }, 1:{ *:[i32] })  =>  (PREFETCHT1 addr:{ *:[iPTR] }:$src)
     /*  86442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PREFETCHT1),
     /*  86445 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  86449 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  86453 */     GIR_RootConstrainSelectedInstOperands,
     /*  86454 */     // GIR_Coverage, 2505,
     /*  86454 */     GIR_EraseRootFromParent_Done,
     /*  86455 */   // Label 1881: @86455
     /*  86455 */   GIM_Try, /*On fail goto*//*Label 1882*/ GIMT_Encode4(86491), // Rule ID 2506 //
     /*  86460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSEPrefetch),
     /*  86463 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  86467 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 1,
     /*  86471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/0, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  86478 */     // (prefetch addr:{ *:[iPTR] }:$src, (timm:{ *:[i32] }), 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (PREFETCHT2 addr:{ *:[iPTR] }:$src)
     /*  86478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PREFETCHT2),
     /*  86481 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  86485 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  86489 */     GIR_RootConstrainSelectedInstOperands,
     /*  86490 */     // GIR_Coverage, 2506,
     /*  86490 */     GIR_EraseRootFromParent_Done,
     /*  86491 */   // Label 1882: @86491
     /*  86491 */   GIM_Try, /*On fail goto*//*Label 1883*/ GIMT_Encode4(86527), // Rule ID 2507 //
     /*  86496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSEPrefetch),
     /*  86499 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  86503 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 1,
     /*  86507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/0, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  86514 */     // (prefetch addr:{ *:[iPTR] }:$src, (timm:{ *:[i32] }), 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (PREFETCHNTA addr:{ *:[iPTR] }:$src)
     /*  86514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PREFETCHNTA),
     /*  86517 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  86521 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  86525 */     GIR_RootConstrainSelectedInstOperands,
     /*  86526 */     // GIR_Coverage, 2507,
     /*  86526 */     GIR_EraseRootFromParent_Done,
     /*  86527 */   // Label 1883: @86527
     /*  86527 */   GIM_Reject,
     /*  86528 */ // Label 1879: @86528
     /*  86528 */ GIM_Reject,
     /*  86529 */ // Label 17: @86529
     /*  86529 */ GIM_Try, /*On fail goto*//*Label 1884*/ GIMT_Encode4(88858),
     /*  86534 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  86537 */   GIM_Try, /*On fail goto*//*Label 1885*/ GIMT_Encode4(86604), // Rule ID 1529 //
     /*  86542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  86545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphsubwd),
     /*  86550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  86553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  86556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  86560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  86568 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  86571 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  86575 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  86579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  86581 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  86588 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14959:{ *:[iPTR] }, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHSUBWDrm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /*  86588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHSUBWDrm),
     /*  86591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86593 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  86597 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  86602 */     GIR_RootConstrainSelectedInstOperands,
     /*  86603 */     // GIR_Coverage, 1529,
     /*  86603 */     GIR_EraseRootFromParent_Done,
     /*  86604 */   // Label 1885: @86604
     /*  86604 */   GIM_Try, /*On fail goto*//*Label 1886*/ GIMT_Encode4(86671), // Rule ID 1531 //
     /*  86609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  86612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphsubdq),
     /*  86617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  86620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  86623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  86627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  86635 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  86638 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  86642 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  86646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  86648 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  86655 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14958:{ *:[iPTR] }, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHSUBDQrm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)
     /*  86655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHSUBDQrm),
     /*  86658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86660 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  86664 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  86669 */     GIR_RootConstrainSelectedInstOperands,
     /*  86670 */     // GIR_Coverage, 1531,
     /*  86670 */     GIR_EraseRootFromParent_Done,
     /*  86671 */   // Label 1886: @86671
     /*  86671 */   GIM_Try, /*On fail goto*//*Label 1887*/ GIMT_Encode4(86738), // Rule ID 1533 //
     /*  86676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  86679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphsubbw),
     /*  86684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  86687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  86690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  86694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  86702 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  86705 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  86709 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  86713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  86715 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  86722 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14957:{ *:[iPTR] }, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHSUBBWrm:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)
     /*  86722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHSUBBWrm),
     /*  86725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86727 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  86731 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  86736 */     GIR_RootConstrainSelectedInstOperands,
     /*  86737 */     // GIR_Coverage, 1533,
     /*  86737 */     GIR_EraseRootFromParent_Done,
     /*  86738 */   // Label 1887: @86738
     /*  86738 */   GIM_Try, /*On fail goto*//*Label 1888*/ GIMT_Encode4(86805), // Rule ID 1535 //
     /*  86743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  86746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphaddwq),
     /*  86751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  86754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  86757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  86761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  86769 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  86772 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  86776 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  86780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  86782 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  86789 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14956:{ *:[iPTR] }, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHADDWQrm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)
     /*  86789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDWQrm),
     /*  86792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86794 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  86798 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  86803 */     GIR_RootConstrainSelectedInstOperands,
     /*  86804 */     // GIR_Coverage, 1535,
     /*  86804 */     GIR_EraseRootFromParent_Done,
     /*  86805 */   // Label 1888: @86805
     /*  86805 */   GIM_Try, /*On fail goto*//*Label 1889*/ GIMT_Encode4(86872), // Rule ID 1537 //
     /*  86810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  86813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphaddwd),
     /*  86818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  86821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  86824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  86828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  86836 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  86839 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  86843 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  86847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  86849 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  86856 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14955:{ *:[iPTR] }, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHADDWDrm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /*  86856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDWDrm),
     /*  86859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86861 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  86865 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  86870 */     GIR_RootConstrainSelectedInstOperands,
     /*  86871 */     // GIR_Coverage, 1537,
     /*  86871 */     GIR_EraseRootFromParent_Done,
     /*  86872 */   // Label 1889: @86872
     /*  86872 */   GIM_Try, /*On fail goto*//*Label 1890*/ GIMT_Encode4(86939), // Rule ID 1539 //
     /*  86877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  86880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphadduwq),
     /*  86885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  86888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  86891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  86895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  86903 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  86906 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  86910 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  86914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  86916 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  86923 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14954:{ *:[iPTR] }, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHADDUWQrm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)
     /*  86923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDUWQrm),
     /*  86926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86928 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  86932 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  86937 */     GIR_RootConstrainSelectedInstOperands,
     /*  86938 */     // GIR_Coverage, 1539,
     /*  86938 */     GIR_EraseRootFromParent_Done,
     /*  86939 */   // Label 1890: @86939
     /*  86939 */   GIM_Try, /*On fail goto*//*Label 1891*/ GIMT_Encode4(87006), // Rule ID 1541 //
     /*  86944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  86947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphadduwd),
     /*  86952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  86955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  86958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  86962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  86970 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  86973 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  86977 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  86981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  86983 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  86990 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14953:{ *:[iPTR] }, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHADDUWDrm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /*  86990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDUWDrm),
     /*  86993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86995 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  86999 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87004 */     GIR_RootConstrainSelectedInstOperands,
     /*  87005 */     // GIR_Coverage, 1541,
     /*  87005 */     GIR_EraseRootFromParent_Done,
     /*  87006 */   // Label 1891: @87006
     /*  87006 */   GIM_Try, /*On fail goto*//*Label 1892*/ GIMT_Encode4(87073), // Rule ID 1543 //
     /*  87011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  87014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphaddudq),
     /*  87019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  87022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  87025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  87033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  87037 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  87040 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  87044 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  87048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87050 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  87057 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14952:{ *:[iPTR] }, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHADDUDQrm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)
     /*  87057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDUDQrm),
     /*  87060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87062 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  87066 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87071 */     GIR_RootConstrainSelectedInstOperands,
     /*  87072 */     // GIR_Coverage, 1543,
     /*  87072 */     GIR_EraseRootFromParent_Done,
     /*  87073 */   // Label 1892: @87073
     /*  87073 */   GIM_Try, /*On fail goto*//*Label 1893*/ GIMT_Encode4(87140), // Rule ID 1545 //
     /*  87078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  87081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphaddubw),
     /*  87086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  87089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  87092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  87100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  87104 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  87107 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  87111 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  87115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87117 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  87124 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14951:{ *:[iPTR] }, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHADDUBWrm:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)
     /*  87124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDUBWrm),
     /*  87127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87129 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  87133 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87138 */     GIR_RootConstrainSelectedInstOperands,
     /*  87139 */     // GIR_Coverage, 1545,
     /*  87139 */     GIR_EraseRootFromParent_Done,
     /*  87140 */   // Label 1893: @87140
     /*  87140 */   GIM_Try, /*On fail goto*//*Label 1894*/ GIMT_Encode4(87207), // Rule ID 1547 //
     /*  87145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  87148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphaddubq),
     /*  87153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  87156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  87159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  87167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  87171 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  87174 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  87178 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  87182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87184 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  87191 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14950:{ *:[iPTR] }, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHADDUBQrm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)
     /*  87191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDUBQrm),
     /*  87194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87196 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  87200 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87205 */     GIR_RootConstrainSelectedInstOperands,
     /*  87206 */     // GIR_Coverage, 1547,
     /*  87206 */     GIR_EraseRootFromParent_Done,
     /*  87207 */   // Label 1894: @87207
     /*  87207 */   GIM_Try, /*On fail goto*//*Label 1895*/ GIMT_Encode4(87274), // Rule ID 1549 //
     /*  87212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  87215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphaddubd),
     /*  87220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  87223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  87226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  87234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  87238 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  87241 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  87245 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  87249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87251 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  87258 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14949:{ *:[iPTR] }, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHADDUBDrm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /*  87258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDUBDrm),
     /*  87261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87263 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  87267 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87272 */     GIR_RootConstrainSelectedInstOperands,
     /*  87273 */     // GIR_Coverage, 1549,
     /*  87273 */     GIR_EraseRootFromParent_Done,
     /*  87274 */   // Label 1895: @87274
     /*  87274 */   GIM_Try, /*On fail goto*//*Label 1896*/ GIMT_Encode4(87341), // Rule ID 1551 //
     /*  87279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  87282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphadddq),
     /*  87287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  87290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  87293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  87301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  87305 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  87308 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  87312 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  87316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87318 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  87325 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14948:{ *:[iPTR] }, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHADDDQrm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)
     /*  87325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDDQrm),
     /*  87328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87330 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  87334 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87339 */     GIR_RootConstrainSelectedInstOperands,
     /*  87340 */     // GIR_Coverage, 1551,
     /*  87340 */     GIR_EraseRootFromParent_Done,
     /*  87341 */   // Label 1896: @87341
     /*  87341 */   GIM_Try, /*On fail goto*//*Label 1897*/ GIMT_Encode4(87408), // Rule ID 1553 //
     /*  87346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  87349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphaddbw),
     /*  87354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  87357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  87360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  87368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  87372 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  87375 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  87379 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  87383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87385 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  87392 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14947:{ *:[iPTR] }, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHADDBWrm:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)
     /*  87392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDBWrm),
     /*  87395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87397 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  87401 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87406 */     GIR_RootConstrainSelectedInstOperands,
     /*  87407 */     // GIR_Coverage, 1553,
     /*  87407 */     GIR_EraseRootFromParent_Done,
     /*  87408 */   // Label 1897: @87408
     /*  87408 */   GIM_Try, /*On fail goto*//*Label 1898*/ GIMT_Encode4(87475), // Rule ID 1555 //
     /*  87413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  87416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphaddbq),
     /*  87421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  87424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  87427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  87435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  87439 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  87442 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  87446 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  87450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87452 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  87459 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14946:{ *:[iPTR] }, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHADDBQrm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)
     /*  87459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDBQrm),
     /*  87462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87464 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  87468 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87473 */     GIR_RootConstrainSelectedInstOperands,
     /*  87474 */     // GIR_Coverage, 1555,
     /*  87474 */     GIR_EraseRootFromParent_Done,
     /*  87475 */   // Label 1898: @87475
     /*  87475 */   GIM_Try, /*On fail goto*//*Label 1899*/ GIMT_Encode4(87542), // Rule ID 1557 //
     /*  87480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  87483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphaddbd),
     /*  87488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  87491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  87494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  87502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  87506 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  87509 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  87513 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  87517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87519 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  87526 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14945:{ *:[iPTR] }, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHADDBDrm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /*  87526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDBDrm),
     /*  87529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87531 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  87535 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87540 */     GIR_RootConstrainSelectedInstOperands,
     /*  87541 */     // GIR_Coverage, 1557,
     /*  87541 */     GIR_EraseRootFromParent_Done,
     /*  87542 */   // Label 1899: @87542
     /*  87542 */   GIM_Try, /*On fail goto*//*Label 1900*/ GIMT_Encode4(87609), // Rule ID 1563 //
     /*  87547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  87550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vfrcz_ps),
     /*  87555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  87558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  87561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  87569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  87573 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  87576 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  87580 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  87584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87586 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  87593 */     // (intrinsic_wo_chain:{ *:[v4f32] } 14937:{ *:[iPTR] }, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFRCZPSrm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /*  87593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFRCZPSrm),
     /*  87596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87598 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  87602 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87607 */     GIR_RootConstrainSelectedInstOperands,
     /*  87608 */     // GIR_Coverage, 1563,
     /*  87608 */     GIR_EraseRootFromParent_Done,
     /*  87609 */   // Label 1900: @87609
     /*  87609 */   GIM_Try, /*On fail goto*//*Label 1901*/ GIMT_Encode4(87676), // Rule ID 1565 //
     /*  87614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  87617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vfrcz_ps_256),
     /*  87622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /*  87625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  87628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  87632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  87636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  87640 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  87643 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  87647 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  87651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87653 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  87660 */     // (intrinsic_wo_chain:{ *:[v8f32] } 14938:{ *:[iPTR] }, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFRCZPSYrm:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /*  87660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFRCZPSYrm),
     /*  87663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87665 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  87669 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87674 */     GIR_RootConstrainSelectedInstOperands,
     /*  87675 */     // GIR_Coverage, 1565,
     /*  87675 */     GIR_EraseRootFromParent_Done,
     /*  87676 */   // Label 1901: @87676
     /*  87676 */   GIM_Try, /*On fail goto*//*Label 1902*/ GIMT_Encode4(87743), // Rule ID 1571 //
     /*  87681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  87684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vfrcz_pd),
     /*  87689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  87692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  87695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  87703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  87707 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  87710 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  87714 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  87718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87720 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  87727 */     // (intrinsic_wo_chain:{ *:[v2f64] } 14935:{ *:[iPTR] }, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFRCZPDrm:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)
     /*  87727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFRCZPDrm),
     /*  87730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87732 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  87736 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87741 */     GIR_RootConstrainSelectedInstOperands,
     /*  87742 */     // GIR_Coverage, 1571,
     /*  87742 */     GIR_EraseRootFromParent_Done,
     /*  87743 */   // Label 1902: @87743
     /*  87743 */   GIM_Try, /*On fail goto*//*Label 1903*/ GIMT_Encode4(87810), // Rule ID 1573 //
     /*  87748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  87751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vfrcz_pd_256),
     /*  87756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  87759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  87762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  87766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  87770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  87774 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  87777 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  87781 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  87785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87787 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  87794 */     // (intrinsic_wo_chain:{ *:[v4f64] } 14936:{ *:[iPTR] }, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFRCZPDYrm:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)
     /*  87794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFRCZPDYrm),
     /*  87797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87799 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  87803 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87808 */     GIR_RootConstrainSelectedInstOperands,
     /*  87809 */     // GIR_Coverage, 1573,
     /*  87809 */     GIR_EraseRootFromParent_Done,
     /*  87810 */   // Label 1903: @87810
     /*  87810 */   GIM_Try, /*On fail goto*//*Label 1904*/ GIMT_Encode4(87877), // Rule ID 3363 //
     /*  87815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_HasAVX),
     /*  87818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesimc),
     /*  87823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  87826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  87829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  87837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  87841 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  87844 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  87848 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  87852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87854 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  87861 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13310:{ *:[iPTR] }, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESIMCrm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src1)
     /*  87861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESIMCrm),
     /*  87864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87866 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  87870 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87875 */     GIR_RootConstrainSelectedInstOperands,
     /*  87876 */     // GIR_Coverage, 3363,
     /*  87876 */     GIR_EraseRootFromParent_Done,
     /*  87877 */   // Label 1904: @87877
     /*  87877 */   GIM_Try, /*On fail goto*//*Label 1905*/ GIMT_Encode4(87913), // Rule ID 1528 //
     /*  87882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  87885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphsubwd),
     /*  87890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  87893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  87896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87904 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14959:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src)  =>  (VPHSUBWDrr:{ *:[v4i32] } VR128:{ *:[v8i16] }:$src)
     /*  87904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHSUBWDrr),
     /*  87907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87909 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  87911 */     GIR_RootConstrainSelectedInstOperands,
     /*  87912 */     // GIR_Coverage, 1528,
     /*  87912 */     GIR_EraseRootFromParent_Done,
     /*  87913 */   // Label 1905: @87913
     /*  87913 */   GIM_Try, /*On fail goto*//*Label 1906*/ GIMT_Encode4(87949), // Rule ID 1530 //
     /*  87918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  87921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphsubdq),
     /*  87926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  87929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  87932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87940 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14958:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src)  =>  (VPHSUBDQrr:{ *:[v2i64] } VR128:{ *:[v4i32] }:$src)
     /*  87940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHSUBDQrr),
     /*  87943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87945 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  87947 */     GIR_RootConstrainSelectedInstOperands,
     /*  87948 */     // GIR_Coverage, 1530,
     /*  87948 */     GIR_EraseRootFromParent_Done,
     /*  87949 */   // Label 1906: @87949
     /*  87949 */   GIM_Try, /*On fail goto*//*Label 1907*/ GIMT_Encode4(87985), // Rule ID 1532 //
     /*  87954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  87957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphsubbw),
     /*  87962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  87965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  87968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87976 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14957:{ *:[iPTR] }, VR128:{ *:[v16i8] }:$src)  =>  (VPHSUBBWrr:{ *:[v8i16] } VR128:{ *:[v16i8] }:$src)
     /*  87976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHSUBBWrr),
     /*  87979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87981 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  87983 */     GIR_RootConstrainSelectedInstOperands,
     /*  87984 */     // GIR_Coverage, 1532,
     /*  87984 */     GIR_EraseRootFromParent_Done,
     /*  87985 */   // Label 1907: @87985
     /*  87985 */   GIM_Try, /*On fail goto*//*Label 1908*/ GIMT_Encode4(88021), // Rule ID 1534 //
     /*  87990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  87993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphaddwq),
     /*  87998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  88001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  88004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88012 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14956:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src)  =>  (VPHADDWQrr:{ *:[v2i64] } VR128:{ *:[v8i16] }:$src)
     /*  88012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDWQrr),
     /*  88015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88017 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88019 */     GIR_RootConstrainSelectedInstOperands,
     /*  88020 */     // GIR_Coverage, 1534,
     /*  88020 */     GIR_EraseRootFromParent_Done,
     /*  88021 */   // Label 1908: @88021
     /*  88021 */   GIM_Try, /*On fail goto*//*Label 1909*/ GIMT_Encode4(88057), // Rule ID 1536 //
     /*  88026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  88029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphaddwd),
     /*  88034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  88037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  88040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88048 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14955:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src)  =>  (VPHADDWDrr:{ *:[v4i32] } VR128:{ *:[v8i16] }:$src)
     /*  88048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDWDrr),
     /*  88051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88053 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88055 */     GIR_RootConstrainSelectedInstOperands,
     /*  88056 */     // GIR_Coverage, 1536,
     /*  88056 */     GIR_EraseRootFromParent_Done,
     /*  88057 */   // Label 1909: @88057
     /*  88057 */   GIM_Try, /*On fail goto*//*Label 1910*/ GIMT_Encode4(88093), // Rule ID 1538 //
     /*  88062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  88065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphadduwq),
     /*  88070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  88073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  88076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88084 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14954:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src)  =>  (VPHADDUWQrr:{ *:[v2i64] } VR128:{ *:[v8i16] }:$src)
     /*  88084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDUWQrr),
     /*  88087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88089 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88091 */     GIR_RootConstrainSelectedInstOperands,
     /*  88092 */     // GIR_Coverage, 1538,
     /*  88092 */     GIR_EraseRootFromParent_Done,
     /*  88093 */   // Label 1910: @88093
     /*  88093 */   GIM_Try, /*On fail goto*//*Label 1911*/ GIMT_Encode4(88129), // Rule ID 1540 //
     /*  88098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  88101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphadduwd),
     /*  88106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  88109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  88112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88120 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14953:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src)  =>  (VPHADDUWDrr:{ *:[v4i32] } VR128:{ *:[v8i16] }:$src)
     /*  88120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDUWDrr),
     /*  88123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88125 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88127 */     GIR_RootConstrainSelectedInstOperands,
     /*  88128 */     // GIR_Coverage, 1540,
     /*  88128 */     GIR_EraseRootFromParent_Done,
     /*  88129 */   // Label 1911: @88129
     /*  88129 */   GIM_Try, /*On fail goto*//*Label 1912*/ GIMT_Encode4(88165), // Rule ID 1542 //
     /*  88134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  88137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphaddudq),
     /*  88142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  88145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  88148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88156 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14952:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src)  =>  (VPHADDUDQrr:{ *:[v2i64] } VR128:{ *:[v4i32] }:$src)
     /*  88156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDUDQrr),
     /*  88159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88161 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88163 */     GIR_RootConstrainSelectedInstOperands,
     /*  88164 */     // GIR_Coverage, 1542,
     /*  88164 */     GIR_EraseRootFromParent_Done,
     /*  88165 */   // Label 1912: @88165
     /*  88165 */   GIM_Try, /*On fail goto*//*Label 1913*/ GIMT_Encode4(88201), // Rule ID 1544 //
     /*  88170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  88173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphaddubw),
     /*  88178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  88181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  88184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88192 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14951:{ *:[iPTR] }, VR128:{ *:[v16i8] }:$src)  =>  (VPHADDUBWrr:{ *:[v8i16] } VR128:{ *:[v16i8] }:$src)
     /*  88192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDUBWrr),
     /*  88195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88197 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88199 */     GIR_RootConstrainSelectedInstOperands,
     /*  88200 */     // GIR_Coverage, 1544,
     /*  88200 */     GIR_EraseRootFromParent_Done,
     /*  88201 */   // Label 1913: @88201
     /*  88201 */   GIM_Try, /*On fail goto*//*Label 1914*/ GIMT_Encode4(88237), // Rule ID 1546 //
     /*  88206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  88209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphaddubq),
     /*  88214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  88217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  88220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88228 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14950:{ *:[iPTR] }, VR128:{ *:[v16i8] }:$src)  =>  (VPHADDUBQrr:{ *:[v2i64] } VR128:{ *:[v16i8] }:$src)
     /*  88228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDUBQrr),
     /*  88231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88233 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88235 */     GIR_RootConstrainSelectedInstOperands,
     /*  88236 */     // GIR_Coverage, 1546,
     /*  88236 */     GIR_EraseRootFromParent_Done,
     /*  88237 */   // Label 1914: @88237
     /*  88237 */   GIM_Try, /*On fail goto*//*Label 1915*/ GIMT_Encode4(88273), // Rule ID 1548 //
     /*  88242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  88245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphaddubd),
     /*  88250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  88253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  88256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88264 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14949:{ *:[iPTR] }, VR128:{ *:[v16i8] }:$src)  =>  (VPHADDUBDrr:{ *:[v4i32] } VR128:{ *:[v16i8] }:$src)
     /*  88264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDUBDrr),
     /*  88267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88269 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88271 */     GIR_RootConstrainSelectedInstOperands,
     /*  88272 */     // GIR_Coverage, 1548,
     /*  88272 */     GIR_EraseRootFromParent_Done,
     /*  88273 */   // Label 1915: @88273
     /*  88273 */   GIM_Try, /*On fail goto*//*Label 1916*/ GIMT_Encode4(88309), // Rule ID 1550 //
     /*  88278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  88281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphadddq),
     /*  88286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  88289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  88292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88300 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14948:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src)  =>  (VPHADDDQrr:{ *:[v2i64] } VR128:{ *:[v4i32] }:$src)
     /*  88300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDDQrr),
     /*  88303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88305 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88307 */     GIR_RootConstrainSelectedInstOperands,
     /*  88308 */     // GIR_Coverage, 1550,
     /*  88308 */     GIR_EraseRootFromParent_Done,
     /*  88309 */   // Label 1916: @88309
     /*  88309 */   GIM_Try, /*On fail goto*//*Label 1917*/ GIMT_Encode4(88345), // Rule ID 1552 //
     /*  88314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  88317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphaddbw),
     /*  88322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  88325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  88328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88336 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14947:{ *:[iPTR] }, VR128:{ *:[v16i8] }:$src)  =>  (VPHADDBWrr:{ *:[v8i16] } VR128:{ *:[v16i8] }:$src)
     /*  88336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDBWrr),
     /*  88339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88341 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88343 */     GIR_RootConstrainSelectedInstOperands,
     /*  88344 */     // GIR_Coverage, 1552,
     /*  88344 */     GIR_EraseRootFromParent_Done,
     /*  88345 */   // Label 1917: @88345
     /*  88345 */   GIM_Try, /*On fail goto*//*Label 1918*/ GIMT_Encode4(88381), // Rule ID 1554 //
     /*  88350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  88353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphaddbq),
     /*  88358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  88361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  88364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88372 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14946:{ *:[iPTR] }, VR128:{ *:[v16i8] }:$src)  =>  (VPHADDBQrr:{ *:[v2i64] } VR128:{ *:[v16i8] }:$src)
     /*  88372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDBQrr),
     /*  88375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88377 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88379 */     GIR_RootConstrainSelectedInstOperands,
     /*  88380 */     // GIR_Coverage, 1554,
     /*  88380 */     GIR_EraseRootFromParent_Done,
     /*  88381 */   // Label 1918: @88381
     /*  88381 */   GIM_Try, /*On fail goto*//*Label 1919*/ GIMT_Encode4(88417), // Rule ID 1556 //
     /*  88386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  88389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphaddbd),
     /*  88394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  88397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  88400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88408 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14945:{ *:[iPTR] }, VR128:{ *:[v16i8] }:$src)  =>  (VPHADDBDrr:{ *:[v4i32] } VR128:{ *:[v16i8] }:$src)
     /*  88408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDBDrr),
     /*  88411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88413 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88415 */     GIR_RootConstrainSelectedInstOperands,
     /*  88416 */     // GIR_Coverage, 1556,
     /*  88416 */     GIR_EraseRootFromParent_Done,
     /*  88417 */   // Label 1919: @88417
     /*  88417 */   GIM_Try, /*On fail goto*//*Label 1920*/ GIMT_Encode4(88453), // Rule ID 1558 //
     /*  88422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  88425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vfrcz_ss),
     /*  88430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  88433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  88436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88444 */     // (intrinsic_wo_chain:{ *:[v4f32] } 14940:{ *:[iPTR] }, VR128:{ *:[v4f32] }:$src)  =>  (VFRCZSSrr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src)
     /*  88444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFRCZSSrr),
     /*  88447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88449 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88451 */     GIR_RootConstrainSelectedInstOperands,
     /*  88452 */     // GIR_Coverage, 1558,
     /*  88452 */     GIR_EraseRootFromParent_Done,
     /*  88453 */   // Label 1920: @88453
     /*  88453 */   GIM_Try, /*On fail goto*//*Label 1921*/ GIMT_Encode4(88489), // Rule ID 1562 //
     /*  88458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  88461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vfrcz_ps),
     /*  88466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  88469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  88472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88480 */     // (intrinsic_wo_chain:{ *:[v4f32] } 14937:{ *:[iPTR] }, VR128:{ *:[v4f32] }:$src)  =>  (VFRCZPSrr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src)
     /*  88480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFRCZPSrr),
     /*  88483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88485 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88487 */     GIR_RootConstrainSelectedInstOperands,
     /*  88488 */     // GIR_Coverage, 1562,
     /*  88488 */     GIR_EraseRootFromParent_Done,
     /*  88489 */   // Label 1921: @88489
     /*  88489 */   GIM_Try, /*On fail goto*//*Label 1922*/ GIMT_Encode4(88525), // Rule ID 1564 //
     /*  88494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  88497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vfrcz_ps_256),
     /*  88502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /*  88505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  88508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  88512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  88516 */     // (intrinsic_wo_chain:{ *:[v8f32] } 14938:{ *:[iPTR] }, VR256:{ *:[v8f32] }:$src)  =>  (VFRCZPSYrr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src)
     /*  88516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFRCZPSYrr),
     /*  88519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88521 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88523 */     GIR_RootConstrainSelectedInstOperands,
     /*  88524 */     // GIR_Coverage, 1564,
     /*  88524 */     GIR_EraseRootFromParent_Done,
     /*  88525 */   // Label 1922: @88525
     /*  88525 */   GIM_Try, /*On fail goto*//*Label 1923*/ GIMT_Encode4(88561), // Rule ID 1566 //
     /*  88530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  88533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vfrcz_sd),
     /*  88538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  88541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  88544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88552 */     // (intrinsic_wo_chain:{ *:[v2f64] } 14939:{ *:[iPTR] }, VR128:{ *:[v2f64] }:$src)  =>  (VFRCZSDrr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src)
     /*  88552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFRCZSDrr),
     /*  88555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88557 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88559 */     GIR_RootConstrainSelectedInstOperands,
     /*  88560 */     // GIR_Coverage, 1566,
     /*  88560 */     GIR_EraseRootFromParent_Done,
     /*  88561 */   // Label 1923: @88561
     /*  88561 */   GIM_Try, /*On fail goto*//*Label 1924*/ GIMT_Encode4(88597), // Rule ID 1570 //
     /*  88566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  88569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vfrcz_pd),
     /*  88574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  88577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  88580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88588 */     // (intrinsic_wo_chain:{ *:[v2f64] } 14935:{ *:[iPTR] }, VR128:{ *:[v2f64] }:$src)  =>  (VFRCZPDrr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src)
     /*  88588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFRCZPDrr),
     /*  88591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88593 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88595 */     GIR_RootConstrainSelectedInstOperands,
     /*  88596 */     // GIR_Coverage, 1570,
     /*  88596 */     GIR_EraseRootFromParent_Done,
     /*  88597 */   // Label 1924: @88597
     /*  88597 */   GIM_Try, /*On fail goto*//*Label 1925*/ GIMT_Encode4(88633), // Rule ID 1572 //
     /*  88602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  88605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vfrcz_pd_256),
     /*  88610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  88613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  88616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  88620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  88624 */     // (intrinsic_wo_chain:{ *:[v4f64] } 14936:{ *:[iPTR] }, VR256:{ *:[v4f64] }:$src)  =>  (VFRCZPDYrr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src)
     /*  88624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFRCZPDYrr),
     /*  88627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88629 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88631 */     GIR_RootConstrainSelectedInstOperands,
     /*  88632 */     // GIR_Coverage, 1572,
     /*  88632 */     GIR_EraseRootFromParent_Done,
     /*  88633 */   // Label 1925: @88633
     /*  88633 */   GIM_Try, /*On fail goto*//*Label 1926*/ GIMT_Encode4(88669), // Rule ID 3362 //
     /*  88638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_HasAVX),
     /*  88641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesimc),
     /*  88646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  88649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  88652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88660 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13310:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1)  =>  (VAESIMCrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1)
     /*  88660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESIMCrr),
     /*  88663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88665 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  88667 */     GIR_RootConstrainSelectedInstOperands,
     /*  88668 */     // GIR_Coverage, 3362,
     /*  88668 */     GIR_EraseRootFromParent_Done,
     /*  88669 */   // Label 1926: @88669
     /*  88669 */   GIM_Try, /*On fail goto*//*Label 1927*/ GIMT_Encode4(88705), // Rule ID 3364 //
     /*  88674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_NoAVX),
     /*  88677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesimc),
     /*  88682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  88685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  88688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88696 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13310:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1)  =>  (AESIMCrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1)
     /*  88696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AESIMCrr),
     /*  88699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88701 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  88703 */     GIR_RootConstrainSelectedInstOperands,
     /*  88704 */     // GIR_Coverage, 3364,
     /*  88704 */     GIR_EraseRootFromParent_Done,
     /*  88705 */   // Label 1927: @88705
     /*  88705 */   GIM_Try, /*On fail goto*//*Label 1928*/ GIMT_Encode4(88743), // Rule ID 18265 //
     /*  88710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  88713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse_rsqrt_ss),
     /*  88718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  88721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  88724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88732 */     // (intrinsic_wo_chain:{ *:[v4f32] } 14645:{ *:[iPTR] }, VR128:{ *:[v4f32] }:$src)  =>  (RSQRTSSr_Int:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src, VR128:{ *:[v4f32] }:$src)
     /*  88732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RSQRTSSr_Int),
     /*  88735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88737 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88739 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88741 */     GIR_RootConstrainSelectedInstOperands,
     /*  88742 */     // GIR_Coverage, 18265,
     /*  88742 */     GIR_EraseRootFromParent_Done,
     /*  88743 */   // Label 1928: @88743
     /*  88743 */   GIM_Try, /*On fail goto*//*Label 1929*/ GIMT_Encode4(88781), // Rule ID 18269 //
     /*  88748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  88751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse_rsqrt_ss),
     /*  88756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  88759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  88762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88770 */     // (intrinsic_wo_chain:{ *:[v4f32] } 14645:{ *:[iPTR] }, VR128:{ *:[v4f32] }:$src)  =>  (VRSQRTSSr_Int:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src, VR128:{ *:[v4f32] }:$src)
     /*  88770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VRSQRTSSr_Int),
     /*  88773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88775 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88777 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88779 */     GIR_RootConstrainSelectedInstOperands,
     /*  88780 */     // GIR_Coverage, 18269,
     /*  88780 */     GIR_EraseRootFromParent_Done,
     /*  88781 */   // Label 1929: @88781
     /*  88781 */   GIM_Try, /*On fail goto*//*Label 1930*/ GIMT_Encode4(88819), // Rule ID 18285 //
     /*  88786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  88789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse_rcp_ss),
     /*  88794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  88797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  88800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88808 */     // (intrinsic_wo_chain:{ *:[v4f32] } 14643:{ *:[iPTR] }, VR128:{ *:[v4f32] }:$src)  =>  (RCPSSr_Int:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src, VR128:{ *:[v4f32] }:$src)
     /*  88808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RCPSSr_Int),
     /*  88811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88813 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88815 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88817 */     GIR_RootConstrainSelectedInstOperands,
     /*  88818 */     // GIR_Coverage, 18285,
     /*  88818 */     GIR_EraseRootFromParent_Done,
     /*  88819 */   // Label 1930: @88819
     /*  88819 */   GIM_Try, /*On fail goto*//*Label 1931*/ GIMT_Encode4(88857), // Rule ID 18289 //
     /*  88824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  88827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse_rcp_ss),
     /*  88832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  88835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  88838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88846 */     // (intrinsic_wo_chain:{ *:[v4f32] } 14643:{ *:[iPTR] }, VR128:{ *:[v4f32] }:$src)  =>  (VRCPSSr_Int:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src, VR128:{ *:[v4f32] }:$src)
     /*  88846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VRCPSSr_Int),
     /*  88849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88851 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88853 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88855 */     GIR_RootConstrainSelectedInstOperands,
     /*  88856 */     // GIR_Coverage, 18289,
     /*  88856 */     GIR_EraseRootFromParent_Done,
     /*  88857 */   // Label 1931: @88857
     /*  88857 */   GIM_Reject,
     /*  88858 */ // Label 1884: @88858
     /*  88858 */ GIM_Try, /*On fail goto*//*Label 1932*/ GIMT_Encode4(95639),
     /*  88863 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /*  88866 */   GIM_Try, /*On fail goto*//*Label 1933*/ GIMT_Encode4(88938), // Rule ID 3367 //
     /*  88871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_HasAVX),
     /*  88874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aeskeygenassist),
     /*  88879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  88882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  88885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  88893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  88897 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  88900 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  88904 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  88908 */     // MIs[0] src2
     /*  88908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  88911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  88913 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  88920 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13311:{ *:[iPTR] }, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (timm:{ *:[i8] }):$src2)  =>  (VAESKEYGENASSIST128rm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src1, (timm:{ *:[i8] }):$src2)
     /*  88920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESKEYGENASSIST128rm),
     /*  88923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88925 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  88929 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  88931 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  88936 */     GIR_RootConstrainSelectedInstOperands,
     /*  88937 */     // GIR_Coverage, 3367,
     /*  88937 */     GIR_EraseRootFromParent_Done,
     /*  88938 */   // Label 1933: @88938
     /*  88938 */   GIM_Try, /*On fail goto*//*Label 1934*/ GIMT_Encode4(89014), // Rule ID 16789 //
     /*  88943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_HasSM4),
     /*  88946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4key4128),
     /*  88951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  88954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  88957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  88960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  88964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  88968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  88972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  88976 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  88979 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  88983 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  88987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  88989 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  88996 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14914:{ *:[iPTR] }, VR128X:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSM4KEY4Z128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  88996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4KEY4Z128rm),
     /*  88999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  89001 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  89003 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  89007 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  89012 */     GIR_RootConstrainSelectedInstOperands,
     /*  89013 */     // GIR_Coverage, 16789,
     /*  89013 */     GIR_EraseRootFromParent_Done,
     /*  89014 */   // Label 1934: @89014
     /*  89014 */   GIM_Try, /*On fail goto*//*Label 1935*/ GIMT_Encode4(89090), // Rule ID 16791 //
     /*  89019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_HasSM4),
     /*  89022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4key4256),
     /*  89027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /*  89030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  89033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /*  89036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  89040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  89044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  89048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  89052 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89055 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  89059 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  89063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  89065 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  89072 */     // (intrinsic_wo_chain:{ *:[v8i32] } 14915:{ *:[iPTR] }, VR256X:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSM4KEY4Z256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  89072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4KEY4Z256rm),
     /*  89075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  89077 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  89079 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  89083 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  89088 */     GIR_RootConstrainSelectedInstOperands,
     /*  89089 */     // GIR_Coverage, 16791,
     /*  89089 */     GIR_EraseRootFromParent_Done,
     /*  89090 */   // Label 1935: @89090
     /*  89090 */   GIM_Try, /*On fail goto*//*Label 1936*/ GIMT_Encode4(89166), // Rule ID 16795 //
     /*  89095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_HasSM4),
     /*  89098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4rnds4128),
     /*  89103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  89106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  89109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  89112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  89116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  89120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  89124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  89128 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89131 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  89135 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  89139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  89141 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  89148 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14917:{ *:[iPTR] }, VR128X:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSM4RNDS4Z128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  89148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4RNDS4Z128rm),
     /*  89151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  89153 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  89155 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  89159 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  89164 */     GIR_RootConstrainSelectedInstOperands,
     /*  89165 */     // GIR_Coverage, 16795,
     /*  89165 */     GIR_EraseRootFromParent_Done,
     /*  89166 */   // Label 1936: @89166
     /*  89166 */   GIM_Try, /*On fail goto*//*Label 1937*/ GIMT_Encode4(89242), // Rule ID 16797 //
     /*  89171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_HasSM4),
     /*  89174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4rnds4256),
     /*  89179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /*  89182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  89185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /*  89188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  89192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  89196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  89200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  89204 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89207 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  89211 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  89215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  89217 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  89224 */     // (intrinsic_wo_chain:{ *:[v8i32] } 14918:{ *:[iPTR] }, VR256X:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSM4RNDS4Z256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  89224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4RNDS4Z256rm),
     /*  89227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  89229 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  89231 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  89235 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  89240 */     GIR_RootConstrainSelectedInstOperands,
     /*  89241 */     // GIR_Coverage, 16797,
     /*  89241 */     GIR_EraseRootFromParent_Done,
     /*  89242 */   // Label 1937: @89242
     /*  89242 */   GIM_Try, /*On fail goto*//*Label 1938*/ GIMT_Encode4(89318), // Rule ID 3022 //
     /*  89247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  89250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_ssse3_psign_b_128),
     /*  89255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  89258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  89261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  89264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  89268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  89272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  89276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  89280 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89283 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  89287 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  89291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  89293 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  89300 */     // (intrinsic_wo_chain:{ *:[v16i8] } 14783:{ *:[iPTR] }, VR128:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSIGNBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  89300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSIGNBrm),
     /*  89303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  89305 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  89307 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  89311 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  89316 */     GIR_RootConstrainSelectedInstOperands,
     /*  89317 */     // GIR_Coverage, 3022,
     /*  89317 */     GIR_EraseRootFromParent_Done,
     /*  89318 */   // Label 1938: @89318
     /*  89318 */   GIM_Try, /*On fail goto*//*Label 1939*/ GIMT_Encode4(89394), // Rule ID 3024 //
     /*  89323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  89326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_ssse3_psign_w_128),
     /*  89331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  89334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  89337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  89340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  89344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  89348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  89352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  89356 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89359 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  89363 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  89367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  89369 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  89376 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14787:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSIGNWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  89376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSIGNWrm),
     /*  89379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  89381 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  89383 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  89387 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  89392 */     GIR_RootConstrainSelectedInstOperands,
     /*  89393 */     // GIR_Coverage, 3024,
     /*  89393 */     GIR_EraseRootFromParent_Done,
     /*  89394 */   // Label 1939: @89394
     /*  89394 */   GIM_Try, /*On fail goto*//*Label 1940*/ GIMT_Encode4(89470), // Rule ID 3026 //
     /*  89399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  89402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_ssse3_psign_d_128),
     /*  89407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  89410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  89413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  89416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  89420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  89424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  89428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  89432 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89435 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  89439 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  89443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  89445 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  89452 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14785:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSIGNDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  89452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSIGNDrm),
     /*  89455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  89457 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  89459 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  89463 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  89468 */     GIR_RootConstrainSelectedInstOperands,
     /*  89469 */     // GIR_Coverage, 3026,
     /*  89469 */     GIR_EraseRootFromParent_Done,
     /*  89470 */   // Label 1940: @89470
     /*  89470 */   GIM_Try, /*On fail goto*//*Label 1941*/ GIMT_Encode4(89546), // Rule ID 3028 //
     /*  89475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  89478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_ssse3_phadd_sw_128),
     /*  89483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  89486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  89489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  89492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  89496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  89500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  89504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  89508 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89511 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  89515 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  89519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  89521 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  89528 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14767:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHADDSWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  89528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDSWrm),
     /*  89531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  89533 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  89535 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  89539 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  89544 */     GIR_RootConstrainSelectedInstOperands,
     /*  89545 */     // GIR_Coverage, 3028,
     /*  89545 */     GIR_EraseRootFromParent_Done,
     /*  89546 */   // Label 1941: @89546
     /*  89546 */   GIM_Try, /*On fail goto*//*Label 1942*/ GIMT_Encode4(89622), // Rule ID 3030 //
     /*  89551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  89554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_ssse3_phsub_sw_128),
     /*  89559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  89562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  89565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  89568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  89572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  89576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  89580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  89584 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89587 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  89591 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  89595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  89597 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  89604 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14773:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHSUBSWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  89604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHSUBSWrm),
     /*  89607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  89609 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  89611 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  89615 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  89620 */     GIR_RootConstrainSelectedInstOperands,
     /*  89621 */     // GIR_Coverage, 3030,
     /*  89621 */     GIR_EraseRootFromParent_Done,
     /*  89622 */   // Label 1942: @89622
     /*  89622 */   GIM_Try, /*On fail goto*//*Label 1943*/ GIMT_Encode4(89698), // Rule ID 3046 //
     /*  89627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2),
     /*  89630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx2_psign_b),
     /*  89635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v32s8,
     /*  89638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s8,
     /*  89641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v32s8,
     /*  89644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  89648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  89652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  89656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  89660 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89663 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  89667 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  89671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  89673 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  89680 */     // (intrinsic_wo_chain:{ *:[v32i8] } 13674:{ *:[iPTR] }, VR256:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSIGNBYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  89680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSIGNBYrm),
     /*  89683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  89685 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  89687 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  89691 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  89696 */     GIR_RootConstrainSelectedInstOperands,
     /*  89697 */     // GIR_Coverage, 3046,
     /*  89697 */     GIR_EraseRootFromParent_Done,
     /*  89698 */   // Label 1943: @89698
     /*  89698 */   GIM_Try, /*On fail goto*//*Label 1944*/ GIMT_Encode4(89774), // Rule ID 3048 //
     /*  89703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2),
     /*  89706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx2_psign_w),
     /*  89711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s16,
     /*  89714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /*  89717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /*  89720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  89724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  89728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  89732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  89736 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89739 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  89743 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  89747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  89749 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  89756 */     // (intrinsic_wo_chain:{ *:[v16i16] } 13676:{ *:[iPTR] }, VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSIGNWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  89756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSIGNWYrm),
     /*  89759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  89761 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  89763 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  89767 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  89772 */     GIR_RootConstrainSelectedInstOperands,
     /*  89773 */     // GIR_Coverage, 3048,
     /*  89773 */     GIR_EraseRootFromParent_Done,
     /*  89774 */   // Label 1944: @89774
     /*  89774 */   GIM_Try, /*On fail goto*//*Label 1945*/ GIMT_Encode4(89850), // Rule ID 3050 //
     /*  89779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2),
     /*  89782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx2_psign_d),
     /*  89787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /*  89790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  89793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /*  89796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  89800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  89804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  89808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  89812 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89815 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  89819 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  89823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  89825 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  89832 */     // (intrinsic_wo_chain:{ *:[v8i32] } 13675:{ *:[iPTR] }, VR256:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSIGNDYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  89832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSIGNDYrm),
     /*  89835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  89837 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  89839 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  89843 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  89848 */     GIR_RootConstrainSelectedInstOperands,
     /*  89849 */     // GIR_Coverage, 3050,
     /*  89849 */     GIR_EraseRootFromParent_Done,
     /*  89850 */   // Label 1945: @89850
     /*  89850 */   GIM_Try, /*On fail goto*//*Label 1946*/ GIMT_Encode4(89926), // Rule ID 3052 //
     /*  89855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2),
     /*  89858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx2_phadd_sw),
     /*  89863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s16,
     /*  89866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /*  89869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /*  89872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  89876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  89880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  89884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  89888 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89891 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  89895 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  89899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  89901 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  89908 */     // (intrinsic_wo_chain:{ *:[v16i16] } 13661:{ *:[iPTR] }, VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHADDSWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  89908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDSWYrm),
     /*  89911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  89913 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  89915 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  89919 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  89924 */     GIR_RootConstrainSelectedInstOperands,
     /*  89925 */     // GIR_Coverage, 3052,
     /*  89925 */     GIR_EraseRootFromParent_Done,
     /*  89926 */   // Label 1946: @89926
     /*  89926 */   GIM_Try, /*On fail goto*//*Label 1947*/ GIMT_Encode4(90002), // Rule ID 3054 //
     /*  89931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2),
     /*  89934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx2_phsub_sw),
     /*  89939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s16,
     /*  89942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /*  89945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /*  89948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  89952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  89956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  89960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  89964 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89967 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  89971 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  89975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  89977 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  89984 */     // (intrinsic_wo_chain:{ *:[v16i16] } 13664:{ *:[iPTR] }, VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHSUBSWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  89984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHSUBSWYrm),
     /*  89987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  89989 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  89991 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  89995 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  90000 */     GIR_RootConstrainSelectedInstOperands,
     /*  90001 */     // GIR_Coverage, 3054,
     /*  90001 */     GIR_EraseRootFromParent_Done,
     /*  90002 */   // Label 1947: @90002
     /*  90002 */   GIM_Try, /*On fail goto*//*Label 1948*/ GIMT_Encode4(90078), // Rule ID 3309 //
     /*  90007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC32_NoEGPR),
     /*  90010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse42_crc32_32_8),
     /*  90015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  90018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  90021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s8,
     /*  90024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  90028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  90032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  90036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  90040 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  90043 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  90047 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  90051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  90053 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  90060 */     // (intrinsic_wo_chain:{ *:[i32] } 14741:{ *:[iPTR] }, GR32:{ *:[i32] }:$src1, (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CRC32r32m8:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  90060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CRC32r32m8),
     /*  90063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  90065 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  90067 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  90071 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  90076 */     GIR_RootConstrainSelectedInstOperands,
     /*  90077 */     // GIR_Coverage, 3309,
     /*  90077 */     GIR_EraseRootFromParent_Done,
     /*  90078 */   // Label 1948: @90078
     /*  90078 */   GIM_Try, /*On fail goto*//*Label 1949*/ GIMT_Encode4(90154), // Rule ID 3311 //
     /*  90083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC32_NoEGPR),
     /*  90086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse42_crc32_32_16),
     /*  90091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  90094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  90097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  90100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  90104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  90108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  90112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  90116 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  90119 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  90123 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  90127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  90129 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  90136 */     // (intrinsic_wo_chain:{ *:[i32] } 14739:{ *:[iPTR] }, GR32:{ *:[i32] }:$src1, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CRC32r32m16:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  90136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CRC32r32m16),
     /*  90139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  90141 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  90143 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  90147 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  90152 */     GIR_RootConstrainSelectedInstOperands,
     /*  90153 */     // GIR_Coverage, 3311,
     /*  90153 */     GIR_EraseRootFromParent_Done,
     /*  90154 */   // Label 1949: @90154
     /*  90154 */   GIM_Try, /*On fail goto*//*Label 1950*/ GIMT_Encode4(90230), // Rule ID 3313 //
     /*  90159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC32_NoEGPR),
     /*  90162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse42_crc32_32_32),
     /*  90167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  90170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  90173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  90176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  90180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  90184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  90188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  90192 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  90195 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  90199 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  90203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  90205 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  90212 */     // (intrinsic_wo_chain:{ *:[i32] } 14740:{ *:[iPTR] }, GR32:{ *:[i32] }:$src1, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CRC32r32m32:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  90212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CRC32r32m32),
     /*  90215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  90217 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  90219 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  90223 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  90228 */     GIR_RootConstrainSelectedInstOperands,
     /*  90229 */     // GIR_Coverage, 3313,
     /*  90229 */     GIR_EraseRootFromParent_Done,
     /*  90230 */   // Label 1950: @90230
     /*  90230 */   GIM_Try, /*On fail goto*//*Label 1951*/ GIMT_Encode4(90306), // Rule ID 3315 //
     /*  90235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC32_NoEGPR),
     /*  90238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse42_crc32_64_64),
     /*  90243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  90246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  90249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  90252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  90256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  90260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  90264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  90268 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  90271 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  90275 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  90279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  90281 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  90288 */     // (intrinsic_wo_chain:{ *:[i64] } 14742:{ *:[iPTR] }, GR64:{ *:[i64] }:$src1, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CRC32r64m64:{ *:[i64] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  90288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CRC32r64m64),
     /*  90291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  90293 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  90295 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  90299 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  90304 */     GIR_RootConstrainSelectedInstOperands,
     /*  90305 */     // GIR_Coverage, 3315,
     /*  90305 */     GIR_EraseRootFromParent_Done,
     /*  90306 */   // Label 1951: @90306
     /*  90306 */   GIM_Try, /*On fail goto*//*Label 1952*/ GIMT_Encode4(90382), // Rule ID 3317 //
     /*  90311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC32_HasEGPR_In64BitMode),
     /*  90314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse42_crc32_32_8),
     /*  90319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  90322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  90325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s8,
     /*  90328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  90332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  90336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  90340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  90344 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  90347 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  90351 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  90355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  90357 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  90364 */     // (intrinsic_wo_chain:{ *:[i32] } 14741:{ *:[iPTR] }, GR32:{ *:[i32] }:$src1, (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CRC32r32m8_EVEX:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  90364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CRC32r32m8_EVEX),
     /*  90367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  90369 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  90371 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  90375 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  90380 */     GIR_RootConstrainSelectedInstOperands,
     /*  90381 */     // GIR_Coverage, 3317,
     /*  90381 */     GIR_EraseRootFromParent_Done,
     /*  90382 */   // Label 1952: @90382
     /*  90382 */   GIM_Try, /*On fail goto*//*Label 1953*/ GIMT_Encode4(90458), // Rule ID 3319 //
     /*  90387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC32_HasEGPR_In64BitMode),
     /*  90390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse42_crc32_32_16),
     /*  90395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  90398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  90401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  90404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  90408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  90412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  90416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  90420 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  90423 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  90427 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  90431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  90433 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  90440 */     // (intrinsic_wo_chain:{ *:[i32] } 14739:{ *:[iPTR] }, GR32:{ *:[i32] }:$src1, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CRC32r32m16_EVEX:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  90440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CRC32r32m16_EVEX),
     /*  90443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  90445 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  90447 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  90451 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  90456 */     GIR_RootConstrainSelectedInstOperands,
     /*  90457 */     // GIR_Coverage, 3319,
     /*  90457 */     GIR_EraseRootFromParent_Done,
     /*  90458 */   // Label 1953: @90458
     /*  90458 */   GIM_Try, /*On fail goto*//*Label 1954*/ GIMT_Encode4(90534), // Rule ID 3321 //
     /*  90463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC32_HasEGPR_In64BitMode),
     /*  90466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse42_crc32_32_32),
     /*  90471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  90474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  90477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  90480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  90484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  90488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  90492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  90496 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  90499 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  90503 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  90507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  90509 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  90516 */     // (intrinsic_wo_chain:{ *:[i32] } 14740:{ *:[iPTR] }, GR32:{ *:[i32] }:$src1, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CRC32r32m32_EVEX:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  90516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CRC32r32m32_EVEX),
     /*  90519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  90521 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  90523 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  90527 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  90532 */     GIR_RootConstrainSelectedInstOperands,
     /*  90533 */     // GIR_Coverage, 3321,
     /*  90533 */     GIR_EraseRootFromParent_Done,
     /*  90534 */   // Label 1954: @90534
     /*  90534 */   GIM_Try, /*On fail goto*//*Label 1955*/ GIMT_Encode4(90610), // Rule ID 3323 //
     /*  90539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC32_HasEGPR_In64BitMode),
     /*  90542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse42_crc32_64_64),
     /*  90547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  90550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  90553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  90556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  90560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  90564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  90568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  90572 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  90575 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  90579 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  90583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  90585 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  90592 */     // (intrinsic_wo_chain:{ *:[i64] } 14742:{ *:[iPTR] }, GR64:{ *:[i64] }:$src1, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CRC32r64m64_EVEX:{ *:[i64] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  90592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CRC32r64m64_EVEX),
     /*  90595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  90597 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  90599 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  90603 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  90608 */     GIR_RootConstrainSelectedInstOperands,
     /*  90609 */     // GIR_Coverage, 3323,
     /*  90609 */     GIR_EraseRootFromParent_Done,
     /*  90610 */   // Label 1955: @90610
     /*  90610 */   GIM_Try, /*On fail goto*//*Label 1956*/ GIMT_Encode4(90686), // Rule ID 3339 //
     /*  90615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_HasAVX_NoVLX_Or_NoVAES),
     /*  90618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenc),
     /*  90623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  90626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  90629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  90632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  90636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  90640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  90644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  90648 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  90651 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  90655 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  90659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  90661 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  90668 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13304:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESENCrm:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  90668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCrm),
     /*  90671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  90673 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  90675 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  90679 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  90684 */     GIR_RootConstrainSelectedInstOperands,
     /*  90685 */     // GIR_Coverage, 3339,
     /*  90685 */     GIR_EraseRootFromParent_Done,
     /*  90686 */   // Label 1956: @90686
     /*  90686 */   GIM_Try, /*On fail goto*//*Label 1957*/ GIMT_Encode4(90762), // Rule ID 3341 //
     /*  90691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_HasAVX_NoVLX_Or_NoVAES),
     /*  90694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenclast),
     /*  90699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  90702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  90705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  90708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  90712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  90716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  90720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  90724 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  90727 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  90731 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  90735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  90737 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  90744 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13307:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESENCLASTrm:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  90744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCLASTrm),
     /*  90747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  90749 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  90751 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  90755 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  90760 */     GIR_RootConstrainSelectedInstOperands,
     /*  90761 */     // GIR_Coverage, 3341,
     /*  90761 */     GIR_EraseRootFromParent_Done,
     /*  90762 */   // Label 1957: @90762
     /*  90762 */   GIM_Try, /*On fail goto*//*Label 1958*/ GIMT_Encode4(90838), // Rule ID 3343 //
     /*  90767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_HasAVX_NoVLX_Or_NoVAES),
     /*  90770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdec),
     /*  90775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  90778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  90781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  90784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  90788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  90792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  90796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  90800 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  90803 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  90807 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  90811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  90813 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  90820 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13298:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESDECrm:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  90820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECrm),
     /*  90823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  90825 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  90827 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  90831 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  90836 */     GIR_RootConstrainSelectedInstOperands,
     /*  90837 */     // GIR_Coverage, 3343,
     /*  90837 */     GIR_EraseRootFromParent_Done,
     /*  90838 */   // Label 1958: @90838
     /*  90838 */   GIM_Try, /*On fail goto*//*Label 1959*/ GIMT_Encode4(90914), // Rule ID 3345 //
     /*  90843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_HasAVX_NoVLX_Or_NoVAES),
     /*  90846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdeclast),
     /*  90851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  90854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  90857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  90860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  90864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  90868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  90872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  90876 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  90879 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  90883 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  90887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  90889 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  90896 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13301:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESDECLASTrm:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  90896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECLASTrm),
     /*  90899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  90901 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  90903 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  90907 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  90912 */     GIR_RootConstrainSelectedInstOperands,
     /*  90913 */     // GIR_Coverage, 3345,
     /*  90913 */     GIR_EraseRootFromParent_Done,
     /*  90914 */   // Label 1959: @90914
     /*  90914 */   GIM_Try, /*On fail goto*//*Label 1960*/ GIMT_Encode4(90990), // Rule ID 3347 //
     /*  90919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_NoVLX),
     /*  90922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenc_256),
     /*  90927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  90930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  90933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  90936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  90940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  90944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  90948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  90952 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  90955 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  90959 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  90963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  90965 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  90972 */     // (intrinsic_wo_chain:{ *:[v4i64] } 13305:{ *:[iPTR] }, VR256:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESENCYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  90972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCYrm),
     /*  90975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  90977 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  90979 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  90983 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  90988 */     GIR_RootConstrainSelectedInstOperands,
     /*  90989 */     // GIR_Coverage, 3347,
     /*  90989 */     GIR_EraseRootFromParent_Done,
     /*  90990 */   // Label 1960: @90990
     /*  90990 */   GIM_Try, /*On fail goto*//*Label 1961*/ GIMT_Encode4(91066), // Rule ID 3349 //
     /*  90995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_NoVLX),
     /*  90998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenclast_256),
     /*  91003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  91006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  91009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  91012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  91016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  91020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  91024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  91028 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91031 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  91035 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  91039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91041 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  91048 */     // (intrinsic_wo_chain:{ *:[v4i64] } 13308:{ *:[iPTR] }, VR256:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESENCLASTYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  91048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCLASTYrm),
     /*  91051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  91053 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  91055 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  91059 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91064 */     GIR_RootConstrainSelectedInstOperands,
     /*  91065 */     // GIR_Coverage, 3349,
     /*  91065 */     GIR_EraseRootFromParent_Done,
     /*  91066 */   // Label 1961: @91066
     /*  91066 */   GIM_Try, /*On fail goto*//*Label 1962*/ GIMT_Encode4(91142), // Rule ID 3351 //
     /*  91071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_NoVLX),
     /*  91074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdec_256),
     /*  91079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  91082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  91085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  91088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  91092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  91096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  91100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  91104 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91107 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  91111 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  91115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91117 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  91124 */     // (intrinsic_wo_chain:{ *:[v4i64] } 13299:{ *:[iPTR] }, VR256:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESDECYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  91124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECYrm),
     /*  91127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  91129 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  91131 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  91135 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91140 */     GIR_RootConstrainSelectedInstOperands,
     /*  91141 */     // GIR_Coverage, 3351,
     /*  91141 */     GIR_EraseRootFromParent_Done,
     /*  91142 */   // Label 1962: @91142
     /*  91142 */   GIM_Try, /*On fail goto*//*Label 1963*/ GIMT_Encode4(91218), // Rule ID 3353 //
     /*  91147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_NoVLX),
     /*  91150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdeclast_256),
     /*  91155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  91158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  91161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  91164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  91168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  91172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  91176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  91180 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91183 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  91187 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  91191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91193 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  91200 */     // (intrinsic_wo_chain:{ *:[v4i64] } 13302:{ *:[iPTR] }, VR256:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESDECLASTYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  91200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECLASTYrm),
     /*  91203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  91205 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  91207 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  91211 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91216 */     GIR_RootConstrainSelectedInstOperands,
     /*  91217 */     // GIR_Coverage, 3353,
     /*  91217 */     GIR_EraseRootFromParent_Done,
     /*  91218 */   // Label 1963: @91218
     /*  91218 */   GIM_Try, /*On fail goto*//*Label 1964*/ GIMT_Encode4(91294), // Rule ID 3564 //
     /*  91223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /*  91226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4key4128),
     /*  91231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  91234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  91237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  91240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  91244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  91248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  91252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  91256 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91259 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  91263 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  91267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91269 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  91276 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14914:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSM4KEY4rm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  91276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4KEY4rm),
     /*  91279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  91281 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  91283 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  91287 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91292 */     GIR_RootConstrainSelectedInstOperands,
     /*  91293 */     // GIR_Coverage, 3564,
     /*  91293 */     GIR_EraseRootFromParent_Done,
     /*  91294 */   // Label 1964: @91294
     /*  91294 */   GIM_Try, /*On fail goto*//*Label 1965*/ GIMT_Encode4(91370), // Rule ID 3566 //
     /*  91299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /*  91302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4key4256),
     /*  91307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /*  91310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  91313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /*  91316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  91320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  91324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  91328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  91332 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91335 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  91339 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  91343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91345 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  91352 */     // (intrinsic_wo_chain:{ *:[v8i32] } 14915:{ *:[iPTR] }, VR256:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSM4KEY4Yrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  91352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4KEY4Yrm),
     /*  91355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  91357 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  91359 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  91363 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91368 */     GIR_RootConstrainSelectedInstOperands,
     /*  91369 */     // GIR_Coverage, 3566,
     /*  91369 */     GIR_EraseRootFromParent_Done,
     /*  91370 */   // Label 1965: @91370
     /*  91370 */   GIM_Try, /*On fail goto*//*Label 1966*/ GIMT_Encode4(91446), // Rule ID 3568 //
     /*  91375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /*  91378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4rnds4128),
     /*  91383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  91386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  91389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  91392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  91396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  91400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  91404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  91408 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91411 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  91415 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  91419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91421 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  91428 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14917:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSM4RNDS4rm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  91428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4RNDS4rm),
     /*  91431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  91433 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  91435 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  91439 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91444 */     GIR_RootConstrainSelectedInstOperands,
     /*  91445 */     // GIR_Coverage, 3568,
     /*  91445 */     GIR_EraseRootFromParent_Done,
     /*  91446 */   // Label 1966: @91446
     /*  91446 */   GIM_Try, /*On fail goto*//*Label 1967*/ GIMT_Encode4(91522), // Rule ID 3570 //
     /*  91451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /*  91454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4rnds4256),
     /*  91459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /*  91462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  91465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /*  91468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  91472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  91476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  91480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  91484 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91487 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  91491 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  91495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91497 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  91504 */     // (intrinsic_wo_chain:{ *:[v8i32] } 14918:{ *:[iPTR] }, VR256:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSM4RNDS4Yrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  91504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4RNDS4Yrm),
     /*  91507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  91509 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  91511 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  91515 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91520 */     GIR_RootConstrainSelectedInstOperands,
     /*  91521 */     // GIR_Coverage, 3570,
     /*  91521 */     GIR_EraseRootFromParent_Done,
     /*  91522 */   // Label 1967: @91522
     /*  91522 */   GIM_Try, /*On fail goto*//*Label 1968*/ GIMT_Encode4(91598), // Rule ID 14060 //
     /*  91527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_HasVLX),
     /*  91530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenc),
     /*  91535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  91538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  91541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  91544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  91548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  91552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  91556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  91560 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91563 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  91567 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  91571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91573 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  91580 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13304:{ *:[iPTR] }, VR128X:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESENCZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  91580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCZ128rm),
     /*  91583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  91585 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  91587 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  91591 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91596 */     GIR_RootConstrainSelectedInstOperands,
     /*  91597 */     // GIR_Coverage, 14060,
     /*  91597 */     GIR_EraseRootFromParent_Done,
     /*  91598 */   // Label 1968: @91598
     /*  91598 */   GIM_Try, /*On fail goto*//*Label 1969*/ GIMT_Encode4(91674), // Rule ID 14062 //
     /*  91603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_HasVLX),
     /*  91606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenc_256),
     /*  91611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  91614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  91617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  91620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  91624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  91628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  91632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  91636 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91639 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  91643 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  91647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91649 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  91656 */     // (intrinsic_wo_chain:{ *:[v4i64] } 13305:{ *:[iPTR] }, VR256X:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESENCZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  91656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCZ256rm),
     /*  91659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  91661 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  91663 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  91667 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91672 */     GIR_RootConstrainSelectedInstOperands,
     /*  91673 */     // GIR_Coverage, 14062,
     /*  91673 */     GIR_EraseRootFromParent_Done,
     /*  91674 */   // Label 1969: @91674
     /*  91674 */   GIM_Try, /*On fail goto*//*Label 1970*/ GIMT_Encode4(91750), // Rule ID 14064 //
     /*  91679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVAES),
     /*  91682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenc_512),
     /*  91687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s64,
     /*  91690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /*  91693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s64,
     /*  91696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  91700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  91704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  91708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  91712 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91715 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  91719 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  91723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91725 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  91732 */     // (intrinsic_wo_chain:{ *:[v8i64] } 13306:{ *:[iPTR] }, VR512:{ *:[v8i64] }:$src1, (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESENCZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  91732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCZrm),
     /*  91735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  91737 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  91739 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  91743 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91748 */     GIR_RootConstrainSelectedInstOperands,
     /*  91749 */     // GIR_Coverage, 14064,
     /*  91749 */     GIR_EraseRootFromParent_Done,
     /*  91750 */   // Label 1970: @91750
     /*  91750 */   GIM_Try, /*On fail goto*//*Label 1971*/ GIMT_Encode4(91826), // Rule ID 14066 //
     /*  91755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_HasVLX),
     /*  91758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenclast),
     /*  91763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  91766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  91769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  91772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  91776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  91780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  91784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  91788 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91791 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  91795 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  91799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91801 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  91808 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13307:{ *:[iPTR] }, VR128X:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESENCLASTZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  91808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCLASTZ128rm),
     /*  91811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  91813 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  91815 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  91819 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91824 */     GIR_RootConstrainSelectedInstOperands,
     /*  91825 */     // GIR_Coverage, 14066,
     /*  91825 */     GIR_EraseRootFromParent_Done,
     /*  91826 */   // Label 1971: @91826
     /*  91826 */   GIM_Try, /*On fail goto*//*Label 1972*/ GIMT_Encode4(91902), // Rule ID 14068 //
     /*  91831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_HasVLX),
     /*  91834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenclast_256),
     /*  91839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  91842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  91845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  91848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  91852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  91856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  91860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  91864 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91867 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  91871 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  91875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91877 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  91884 */     // (intrinsic_wo_chain:{ *:[v4i64] } 13308:{ *:[iPTR] }, VR256X:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESENCLASTZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  91884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCLASTZ256rm),
     /*  91887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  91889 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  91891 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  91895 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91900 */     GIR_RootConstrainSelectedInstOperands,
     /*  91901 */     // GIR_Coverage, 14068,
     /*  91901 */     GIR_EraseRootFromParent_Done,
     /*  91902 */   // Label 1972: @91902
     /*  91902 */   GIM_Try, /*On fail goto*//*Label 1973*/ GIMT_Encode4(91978), // Rule ID 14070 //
     /*  91907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVAES),
     /*  91910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenclast_512),
     /*  91915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s64,
     /*  91918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /*  91921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s64,
     /*  91924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  91928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  91932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  91936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  91940 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91943 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  91947 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  91951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91953 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  91960 */     // (intrinsic_wo_chain:{ *:[v8i64] } 13309:{ *:[iPTR] }, VR512:{ *:[v8i64] }:$src1, (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESENCLASTZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  91960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCLASTZrm),
     /*  91963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  91965 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  91967 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  91971 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91976 */     GIR_RootConstrainSelectedInstOperands,
     /*  91977 */     // GIR_Coverage, 14070,
     /*  91977 */     GIR_EraseRootFromParent_Done,
     /*  91978 */   // Label 1973: @91978
     /*  91978 */   GIM_Try, /*On fail goto*//*Label 1974*/ GIMT_Encode4(92054), // Rule ID 14072 //
     /*  91983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_HasVLX),
     /*  91986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdec),
     /*  91991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  91994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  91997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  92000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  92004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  92008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  92012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  92016 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  92019 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  92023 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  92027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  92029 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  92036 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13298:{ *:[iPTR] }, VR128X:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESDECZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  92036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECZ128rm),
     /*  92039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92041 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92043 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  92047 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  92052 */     GIR_RootConstrainSelectedInstOperands,
     /*  92053 */     // GIR_Coverage, 14072,
     /*  92053 */     GIR_EraseRootFromParent_Done,
     /*  92054 */   // Label 1974: @92054
     /*  92054 */   GIM_Try, /*On fail goto*//*Label 1975*/ GIMT_Encode4(92130), // Rule ID 14074 //
     /*  92059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_HasVLX),
     /*  92062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdec_256),
     /*  92067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  92070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  92073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  92076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  92080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  92084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  92088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  92092 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  92095 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  92099 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  92103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  92105 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  92112 */     // (intrinsic_wo_chain:{ *:[v4i64] } 13299:{ *:[iPTR] }, VR256X:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESDECZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  92112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECZ256rm),
     /*  92115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92117 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92119 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  92123 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  92128 */     GIR_RootConstrainSelectedInstOperands,
     /*  92129 */     // GIR_Coverage, 14074,
     /*  92129 */     GIR_EraseRootFromParent_Done,
     /*  92130 */   // Label 1975: @92130
     /*  92130 */   GIM_Try, /*On fail goto*//*Label 1976*/ GIMT_Encode4(92206), // Rule ID 14076 //
     /*  92135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVAES),
     /*  92138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdec_512),
     /*  92143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s64,
     /*  92146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /*  92149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s64,
     /*  92152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  92156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  92160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  92164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  92168 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  92171 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  92175 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  92179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  92181 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  92188 */     // (intrinsic_wo_chain:{ *:[v8i64] } 13300:{ *:[iPTR] }, VR512:{ *:[v8i64] }:$src1, (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESDECZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  92188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECZrm),
     /*  92191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92193 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92195 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  92199 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  92204 */     GIR_RootConstrainSelectedInstOperands,
     /*  92205 */     // GIR_Coverage, 14076,
     /*  92205 */     GIR_EraseRootFromParent_Done,
     /*  92206 */   // Label 1976: @92206
     /*  92206 */   GIM_Try, /*On fail goto*//*Label 1977*/ GIMT_Encode4(92282), // Rule ID 14078 //
     /*  92211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_HasVLX),
     /*  92214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdeclast),
     /*  92219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  92222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  92225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  92228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  92232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  92236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  92240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  92244 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  92247 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  92251 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  92255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  92257 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  92264 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13301:{ *:[iPTR] }, VR128X:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESDECLASTZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  92264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECLASTZ128rm),
     /*  92267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92269 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92271 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  92275 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  92280 */     GIR_RootConstrainSelectedInstOperands,
     /*  92281 */     // GIR_Coverage, 14078,
     /*  92281 */     GIR_EraseRootFromParent_Done,
     /*  92282 */   // Label 1977: @92282
     /*  92282 */   GIM_Try, /*On fail goto*//*Label 1978*/ GIMT_Encode4(92358), // Rule ID 14080 //
     /*  92287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_HasVLX),
     /*  92290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdeclast_256),
     /*  92295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  92298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  92301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  92304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  92308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  92312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  92316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  92320 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  92323 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  92327 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  92331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  92333 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  92340 */     // (intrinsic_wo_chain:{ *:[v4i64] } 13302:{ *:[iPTR] }, VR256X:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESDECLASTZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  92340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECLASTZ256rm),
     /*  92343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92345 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92347 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  92351 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  92356 */     GIR_RootConstrainSelectedInstOperands,
     /*  92357 */     // GIR_Coverage, 14080,
     /*  92357 */     GIR_EraseRootFromParent_Done,
     /*  92358 */   // Label 1978: @92358
     /*  92358 */   GIM_Try, /*On fail goto*//*Label 1979*/ GIMT_Encode4(92434), // Rule ID 14082 //
     /*  92363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVAES),
     /*  92366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdeclast_512),
     /*  92371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s64,
     /*  92374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /*  92377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s64,
     /*  92380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  92384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  92388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  92392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  92396 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  92399 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  92403 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  92407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  92409 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  92416 */     // (intrinsic_wo_chain:{ *:[v8i64] } 13303:{ *:[iPTR] }, VR512:{ *:[v8i64] }:$src1, (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESDECLASTZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  92416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECLASTZrm),
     /*  92419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92421 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92423 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  92427 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  92432 */     GIR_RootConstrainSelectedInstOperands,
     /*  92433 */     // GIR_Coverage, 14082,
     /*  92433 */     GIR_EraseRootFromParent_Done,
     /*  92434 */   // Label 1979: @92434
     /*  92434 */   GIM_Try, /*On fail goto*//*Label 1980*/ GIMT_Encode4(92510), // Rule ID 16793 //
     /*  92439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_512_HasSM4),
     /*  92442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4key4512),
     /*  92447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /*  92450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /*  92453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s32,
     /*  92456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  92460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  92464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  92468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  92472 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  92475 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  92479 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  92483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  92485 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  92492 */     // (intrinsic_wo_chain:{ *:[v16i32] } 14916:{ *:[iPTR] }, VR512:{ *:[v16i32] }:$src1, (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSM4KEY4Zrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  92492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4KEY4Zrm),
     /*  92495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92497 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92499 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  92503 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  92508 */     GIR_RootConstrainSelectedInstOperands,
     /*  92509 */     // GIR_Coverage, 16793,
     /*  92509 */     GIR_EraseRootFromParent_Done,
     /*  92510 */   // Label 1980: @92510
     /*  92510 */   GIM_Try, /*On fail goto*//*Label 1981*/ GIMT_Encode4(92586), // Rule ID 16799 //
     /*  92515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_512_HasSM4),
     /*  92518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4rnds4512),
     /*  92523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /*  92526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /*  92529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s32,
     /*  92532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  92536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  92540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  92544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  92548 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  92551 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  92555 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  92559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  92561 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  92568 */     // (intrinsic_wo_chain:{ *:[v16i32] } 14919:{ *:[iPTR] }, VR512:{ *:[v16i32] }:$src1, (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSM4RNDS4Zrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  92568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4RNDS4Zrm),
     /*  92571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92573 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92575 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  92579 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  92584 */     GIR_RootConstrainSelectedInstOperands,
     /*  92585 */     // GIR_Coverage, 16799,
     /*  92585 */     GIR_EraseRootFromParent_Done,
     /*  92586 */   // Label 1981: @92586
     /*  92586 */   GIM_Try, /*On fail goto*//*Label 1982*/ GIMT_Encode4(92627), // Rule ID 3366 //
     /*  92591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_HasAVX),
     /*  92594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aeskeygenassist),
     /*  92599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  92602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  92605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  92609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  92613 */     // MIs[0] src2
     /*  92613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  92616 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13311:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1, (timm:{ *:[i8] }):$src2)  =>  (VAESKEYGENASSIST128rr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, (timm:{ *:[i8] }):$src2)
     /*  92616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESKEYGENASSIST128rr),
     /*  92619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92621 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92623 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  92625 */     GIR_RootConstrainSelectedInstOperands,
     /*  92626 */     // GIR_Coverage, 3366,
     /*  92626 */     GIR_EraseRootFromParent_Done,
     /*  92627 */   // Label 1982: @92627
     /*  92627 */   GIM_Try, /*On fail goto*//*Label 1983*/ GIMT_Encode4(92668), // Rule ID 3368 //
     /*  92632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_NoAVX),
     /*  92635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aeskeygenassist),
     /*  92640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  92643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  92646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  92650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  92654 */     // MIs[0] src2
     /*  92654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  92657 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13311:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1, (timm:{ *:[i8] }):$src2)  =>  (AESKEYGENASSIST128rr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, (timm:{ *:[i8] }):$src2)
     /*  92657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AESKEYGENASSIST128rr),
     /*  92660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92662 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92664 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  92666 */     GIR_RootConstrainSelectedInstOperands,
     /*  92667 */     // GIR_Coverage, 3368,
     /*  92667 */     GIR_EraseRootFromParent_Done,
     /*  92668 */   // Label 1983: @92668
     /*  92668 */   GIM_Try, /*On fail goto*//*Label 1984*/ GIMT_Encode4(92713), // Rule ID 16788 //
     /*  92673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_HasSM4),
     /*  92676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4key4128),
     /*  92681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  92684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  92687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  92690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  92694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  92698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  92702 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14914:{ *:[iPTR] }, VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)  =>  (VSM4KEY4Z128rr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)
     /*  92702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4KEY4Z128rr),
     /*  92705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92707 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92709 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  92711 */     GIR_RootConstrainSelectedInstOperands,
     /*  92712 */     // GIR_Coverage, 16788,
     /*  92712 */     GIR_EraseRootFromParent_Done,
     /*  92713 */   // Label 1984: @92713
     /*  92713 */   GIM_Try, /*On fail goto*//*Label 1985*/ GIMT_Encode4(92758), // Rule ID 16790 //
     /*  92718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_HasSM4),
     /*  92721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4key4256),
     /*  92726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /*  92729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  92732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /*  92735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  92739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  92743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  92747 */     // (intrinsic_wo_chain:{ *:[v8i32] } 14915:{ *:[iPTR] }, VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)  =>  (VSM4KEY4Z256rr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)
     /*  92747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4KEY4Z256rr),
     /*  92750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92752 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92754 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  92756 */     GIR_RootConstrainSelectedInstOperands,
     /*  92757 */     // GIR_Coverage, 16790,
     /*  92757 */     GIR_EraseRootFromParent_Done,
     /*  92758 */   // Label 1985: @92758
     /*  92758 */   GIM_Try, /*On fail goto*//*Label 1986*/ GIMT_Encode4(92803), // Rule ID 16794 //
     /*  92763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_HasSM4),
     /*  92766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4rnds4128),
     /*  92771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  92774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  92777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  92780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  92784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  92788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  92792 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14917:{ *:[iPTR] }, VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)  =>  (VSM4RNDS4Z128rr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)
     /*  92792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4RNDS4Z128rr),
     /*  92795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92797 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92799 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  92801 */     GIR_RootConstrainSelectedInstOperands,
     /*  92802 */     // GIR_Coverage, 16794,
     /*  92802 */     GIR_EraseRootFromParent_Done,
     /*  92803 */   // Label 1986: @92803
     /*  92803 */   GIM_Try, /*On fail goto*//*Label 1987*/ GIMT_Encode4(92848), // Rule ID 16796 //
     /*  92808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_HasSM4),
     /*  92811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4rnds4256),
     /*  92816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /*  92819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  92822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /*  92825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  92829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  92833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  92837 */     // (intrinsic_wo_chain:{ *:[v8i32] } 14918:{ *:[iPTR] }, VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)  =>  (VSM4RNDS4Z256rr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)
     /*  92837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4RNDS4Z256rr),
     /*  92840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92842 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92844 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  92846 */     GIR_RootConstrainSelectedInstOperands,
     /*  92847 */     // GIR_Coverage, 16796,
     /*  92847 */     GIR_EraseRootFromParent_Done,
     /*  92848 */   // Label 1987: @92848
     /*  92848 */   GIM_Try, /*On fail goto*//*Label 1988*/ GIMT_Encode4(92893), // Rule ID 3021 //
     /*  92853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  92856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_ssse3_psign_b_128),
     /*  92861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  92864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  92867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  92870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  92874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  92878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  92882 */     // (intrinsic_wo_chain:{ *:[v16i8] } 14783:{ *:[iPTR] }, VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (VPSIGNBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /*  92882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSIGNBrr),
     /*  92885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92887 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92889 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  92891 */     GIR_RootConstrainSelectedInstOperands,
     /*  92892 */     // GIR_Coverage, 3021,
     /*  92892 */     GIR_EraseRootFromParent_Done,
     /*  92893 */   // Label 1988: @92893
     /*  92893 */   GIM_Try, /*On fail goto*//*Label 1989*/ GIMT_Encode4(92938), // Rule ID 3023 //
     /*  92898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  92901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_ssse3_psign_w_128),
     /*  92906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  92909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  92912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  92915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  92919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  92923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  92927 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14787:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPSIGNWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /*  92927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSIGNWrr),
     /*  92930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92932 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92934 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  92936 */     GIR_RootConstrainSelectedInstOperands,
     /*  92937 */     // GIR_Coverage, 3023,
     /*  92937 */     GIR_EraseRootFromParent_Done,
     /*  92938 */   // Label 1989: @92938
     /*  92938 */   GIM_Try, /*On fail goto*//*Label 1990*/ GIMT_Encode4(92983), // Rule ID 3025 //
     /*  92943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  92946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_ssse3_psign_d_128),
     /*  92951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  92954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  92957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  92960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  92964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  92968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  92972 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14785:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (VPSIGNDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*  92972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSIGNDrr),
     /*  92975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92977 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92979 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  92981 */     GIR_RootConstrainSelectedInstOperands,
     /*  92982 */     // GIR_Coverage, 3025,
     /*  92982 */     GIR_EraseRootFromParent_Done,
     /*  92983 */   // Label 1990: @92983
     /*  92983 */   GIM_Try, /*On fail goto*//*Label 1991*/ GIMT_Encode4(93028), // Rule ID 3027 //
     /*  92988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  92991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_ssse3_phadd_sw_128),
     /*  92996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  92999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  93002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  93005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93017 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14767:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPHADDSWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /*  93017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDSWrr),
     /*  93020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93022 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93024 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93026 */     GIR_RootConstrainSelectedInstOperands,
     /*  93027 */     // GIR_Coverage, 3027,
     /*  93027 */     GIR_EraseRootFromParent_Done,
     /*  93028 */   // Label 1991: @93028
     /*  93028 */   GIM_Try, /*On fail goto*//*Label 1992*/ GIMT_Encode4(93073), // Rule ID 3029 //
     /*  93033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  93036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_ssse3_phsub_sw_128),
     /*  93041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  93044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  93047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  93050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93062 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14773:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPHSUBSWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /*  93062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHSUBSWrr),
     /*  93065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93067 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93069 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93071 */     GIR_RootConstrainSelectedInstOperands,
     /*  93072 */     // GIR_Coverage, 3029,
     /*  93072 */     GIR_EraseRootFromParent_Done,
     /*  93073 */   // Label 1992: @93073
     /*  93073 */   GIM_Try, /*On fail goto*//*Label 1993*/ GIMT_Encode4(93118), // Rule ID 3045 //
     /*  93078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2),
     /*  93081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx2_psign_b),
     /*  93086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v32s8,
     /*  93089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s8,
     /*  93092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v32s8,
     /*  93095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  93099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  93103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  93107 */     // (intrinsic_wo_chain:{ *:[v32i8] } 13674:{ *:[iPTR] }, VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)  =>  (VPSIGNBYrr:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)
     /*  93107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSIGNBYrr),
     /*  93110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93112 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93114 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93116 */     GIR_RootConstrainSelectedInstOperands,
     /*  93117 */     // GIR_Coverage, 3045,
     /*  93117 */     GIR_EraseRootFromParent_Done,
     /*  93118 */   // Label 1993: @93118
     /*  93118 */   GIM_Try, /*On fail goto*//*Label 1994*/ GIMT_Encode4(93163), // Rule ID 3047 //
     /*  93123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2),
     /*  93126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx2_psign_w),
     /*  93131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s16,
     /*  93134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /*  93137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /*  93140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  93144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  93148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  93152 */     // (intrinsic_wo_chain:{ *:[v16i16] } 13676:{ *:[iPTR] }, VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPSIGNWYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /*  93152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSIGNWYrr),
     /*  93155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93157 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93159 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93161 */     GIR_RootConstrainSelectedInstOperands,
     /*  93162 */     // GIR_Coverage, 3047,
     /*  93162 */     GIR_EraseRootFromParent_Done,
     /*  93163 */   // Label 1994: @93163
     /*  93163 */   GIM_Try, /*On fail goto*//*Label 1995*/ GIMT_Encode4(93208), // Rule ID 3049 //
     /*  93168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2),
     /*  93171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx2_psign_d),
     /*  93176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /*  93179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  93182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /*  93185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  93189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  93193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  93197 */     // (intrinsic_wo_chain:{ *:[v8i32] } 13675:{ *:[iPTR] }, VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)  =>  (VPSIGNDYrr:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)
     /*  93197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSIGNDYrr),
     /*  93200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93202 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93204 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93206 */     GIR_RootConstrainSelectedInstOperands,
     /*  93207 */     // GIR_Coverage, 3049,
     /*  93207 */     GIR_EraseRootFromParent_Done,
     /*  93208 */   // Label 1995: @93208
     /*  93208 */   GIM_Try, /*On fail goto*//*Label 1996*/ GIMT_Encode4(93253), // Rule ID 3051 //
     /*  93213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2),
     /*  93216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx2_phadd_sw),
     /*  93221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s16,
     /*  93224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /*  93227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /*  93230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  93234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  93238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  93242 */     // (intrinsic_wo_chain:{ *:[v16i16] } 13661:{ *:[iPTR] }, VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPHADDSWYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /*  93242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDSWYrr),
     /*  93245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93247 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93249 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93251 */     GIR_RootConstrainSelectedInstOperands,
     /*  93252 */     // GIR_Coverage, 3051,
     /*  93252 */     GIR_EraseRootFromParent_Done,
     /*  93253 */   // Label 1996: @93253
     /*  93253 */   GIM_Try, /*On fail goto*//*Label 1997*/ GIMT_Encode4(93298), // Rule ID 3053 //
     /*  93258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2),
     /*  93261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx2_phsub_sw),
     /*  93266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s16,
     /*  93269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /*  93272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /*  93275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  93279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  93283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  93287 */     // (intrinsic_wo_chain:{ *:[v16i16] } 13664:{ *:[iPTR] }, VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPHSUBSWYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /*  93287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHSUBSWYrr),
     /*  93290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93292 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93294 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93296 */     GIR_RootConstrainSelectedInstOperands,
     /*  93297 */     // GIR_Coverage, 3053,
     /*  93297 */     GIR_EraseRootFromParent_Done,
     /*  93298 */   // Label 1997: @93298
     /*  93298 */   GIM_Try, /*On fail goto*//*Label 1998*/ GIMT_Encode4(93343), // Rule ID 3063 //
     /*  93303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSSE3),
     /*  93306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_ssse3_psign_b_128),
     /*  93311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  93314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  93317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  93320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93332 */     // (intrinsic_wo_chain:{ *:[v16i8] } 14783:{ *:[iPTR] }, VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (PSIGNBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /*  93332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PSIGNBrr),
     /*  93335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93337 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93339 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93341 */     GIR_RootConstrainSelectedInstOperands,
     /*  93342 */     // GIR_Coverage, 3063,
     /*  93342 */     GIR_EraseRootFromParent_Done,
     /*  93343 */   // Label 1998: @93343
     /*  93343 */   GIM_Try, /*On fail goto*//*Label 1999*/ GIMT_Encode4(93388), // Rule ID 3065 //
     /*  93348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSSE3),
     /*  93351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_ssse3_psign_w_128),
     /*  93356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  93359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  93362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  93365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93377 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14787:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PSIGNWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /*  93377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PSIGNWrr),
     /*  93380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93382 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93384 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93386 */     GIR_RootConstrainSelectedInstOperands,
     /*  93387 */     // GIR_Coverage, 3065,
     /*  93387 */     GIR_EraseRootFromParent_Done,
     /*  93388 */   // Label 1999: @93388
     /*  93388 */   GIM_Try, /*On fail goto*//*Label 2000*/ GIMT_Encode4(93433), // Rule ID 3067 //
     /*  93393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSSE3),
     /*  93396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_ssse3_psign_d_128),
     /*  93401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  93404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  93407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  93410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93422 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14785:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (PSIGNDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*  93422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PSIGNDrr),
     /*  93425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93427 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93429 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93431 */     GIR_RootConstrainSelectedInstOperands,
     /*  93432 */     // GIR_Coverage, 3067,
     /*  93432 */     GIR_EraseRootFromParent_Done,
     /*  93433 */   // Label 2000: @93433
     /*  93433 */   GIM_Try, /*On fail goto*//*Label 2001*/ GIMT_Encode4(93478), // Rule ID 3071 //
     /*  93438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSSE3),
     /*  93441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_ssse3_phadd_sw_128),
     /*  93446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  93449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  93452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  93455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93467 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14767:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PHADDSWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /*  93467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PHADDSWrr),
     /*  93470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93472 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93474 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93476 */     GIR_RootConstrainSelectedInstOperands,
     /*  93477 */     // GIR_Coverage, 3071,
     /*  93477 */     GIR_EraseRootFromParent_Done,
     /*  93478 */   // Label 2001: @93478
     /*  93478 */   GIM_Try, /*On fail goto*//*Label 2002*/ GIMT_Encode4(93523), // Rule ID 3073 //
     /*  93483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSSE3),
     /*  93486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_ssse3_phsub_sw_128),
     /*  93491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  93494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  93497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  93500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93512 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14773:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PHSUBSWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /*  93512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PHSUBSWrr),
     /*  93515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93517 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93519 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93521 */     GIR_RootConstrainSelectedInstOperands,
     /*  93522 */     // GIR_Coverage, 3073,
     /*  93522 */     GIR_EraseRootFromParent_Done,
     /*  93523 */   // Label 2002: @93523
     /*  93523 */   GIM_Try, /*On fail goto*//*Label 2003*/ GIMT_Encode4(93568), // Rule ID 3308 //
     /*  93528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC32_NoEGPR),
     /*  93531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse42_crc32_32_8),
     /*  93536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  93539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  93542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s8,
     /*  93545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  93549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  93553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  93557 */     // (intrinsic_wo_chain:{ *:[i32] } 14741:{ *:[iPTR] }, GR32:{ *:[i32] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (CRC32r32r8:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR8:{ *:[i8] }:$src2)
     /*  93557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CRC32r32r8),
     /*  93560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93562 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93564 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93566 */     GIR_RootConstrainSelectedInstOperands,
     /*  93567 */     // GIR_Coverage, 3308,
     /*  93567 */     GIR_EraseRootFromParent_Done,
     /*  93568 */   // Label 2003: @93568
     /*  93568 */   GIM_Try, /*On fail goto*//*Label 2004*/ GIMT_Encode4(93613), // Rule ID 3310 //
     /*  93573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC32_NoEGPR),
     /*  93576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse42_crc32_32_16),
     /*  93581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  93584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  93587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  93590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  93594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  93598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  93602 */     // (intrinsic_wo_chain:{ *:[i32] } 14739:{ *:[iPTR] }, GR32:{ *:[i32] }:$src1, GR16:{ *:[i16] }:$src2)  =>  (CRC32r32r16:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  93602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CRC32r32r16),
     /*  93605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93607 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93609 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93611 */     GIR_RootConstrainSelectedInstOperands,
     /*  93612 */     // GIR_Coverage, 3310,
     /*  93612 */     GIR_EraseRootFromParent_Done,
     /*  93613 */   // Label 2004: @93613
     /*  93613 */   GIM_Try, /*On fail goto*//*Label 2005*/ GIMT_Encode4(93658), // Rule ID 3312 //
     /*  93618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC32_NoEGPR),
     /*  93621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse42_crc32_32_32),
     /*  93626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  93629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  93632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  93635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  93639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  93643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  93647 */     // (intrinsic_wo_chain:{ *:[i32] } 14740:{ *:[iPTR] }, GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)  =>  (CRC32r32r32:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  93647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CRC32r32r32),
     /*  93650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93652 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93654 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93656 */     GIR_RootConstrainSelectedInstOperands,
     /*  93657 */     // GIR_Coverage, 3312,
     /*  93657 */     GIR_EraseRootFromParent_Done,
     /*  93658 */   // Label 2005: @93658
     /*  93658 */   GIM_Try, /*On fail goto*//*Label 2006*/ GIMT_Encode4(93703), // Rule ID 3314 //
     /*  93663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC32_NoEGPR),
     /*  93666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse42_crc32_64_64),
     /*  93671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  93674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  93677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  93680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  93684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  93688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  93692 */     // (intrinsic_wo_chain:{ *:[i64] } 14742:{ *:[iPTR] }, GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)  =>  (CRC32r64r64:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  93692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CRC32r64r64),
     /*  93695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93697 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93699 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93701 */     GIR_RootConstrainSelectedInstOperands,
     /*  93702 */     // GIR_Coverage, 3314,
     /*  93702 */     GIR_EraseRootFromParent_Done,
     /*  93703 */   // Label 2006: @93703
     /*  93703 */   GIM_Try, /*On fail goto*//*Label 2007*/ GIMT_Encode4(93748), // Rule ID 3316 //
     /*  93708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC32_HasEGPR_In64BitMode),
     /*  93711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse42_crc32_32_8),
     /*  93716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  93719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  93722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s8,
     /*  93725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  93729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  93733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  93737 */     // (intrinsic_wo_chain:{ *:[i32] } 14741:{ *:[iPTR] }, GR32:{ *:[i32] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (CRC32r32r8_EVEX:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR8:{ *:[i8] }:$src2)
     /*  93737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CRC32r32r8_EVEX),
     /*  93740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93742 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93744 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93746 */     GIR_RootConstrainSelectedInstOperands,
     /*  93747 */     // GIR_Coverage, 3316,
     /*  93747 */     GIR_EraseRootFromParent_Done,
     /*  93748 */   // Label 2007: @93748
     /*  93748 */   GIM_Try, /*On fail goto*//*Label 2008*/ GIMT_Encode4(93793), // Rule ID 3318 //
     /*  93753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC32_HasEGPR_In64BitMode),
     /*  93756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse42_crc32_32_16),
     /*  93761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  93764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  93767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  93770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  93774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  93778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  93782 */     // (intrinsic_wo_chain:{ *:[i32] } 14739:{ *:[iPTR] }, GR32:{ *:[i32] }:$src1, GR16:{ *:[i16] }:$src2)  =>  (CRC32r32r16_EVEX:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  93782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CRC32r32r16_EVEX),
     /*  93785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93787 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93789 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93791 */     GIR_RootConstrainSelectedInstOperands,
     /*  93792 */     // GIR_Coverage, 3318,
     /*  93792 */     GIR_EraseRootFromParent_Done,
     /*  93793 */   // Label 2008: @93793
     /*  93793 */   GIM_Try, /*On fail goto*//*Label 2009*/ GIMT_Encode4(93838), // Rule ID 3320 //
     /*  93798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC32_HasEGPR_In64BitMode),
     /*  93801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse42_crc32_32_32),
     /*  93806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  93809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  93812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  93815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  93819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  93823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  93827 */     // (intrinsic_wo_chain:{ *:[i32] } 14740:{ *:[iPTR] }, GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)  =>  (CRC32r32r32_EVEX:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  93827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CRC32r32r32_EVEX),
     /*  93830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93832 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93834 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93836 */     GIR_RootConstrainSelectedInstOperands,
     /*  93837 */     // GIR_Coverage, 3320,
     /*  93837 */     GIR_EraseRootFromParent_Done,
     /*  93838 */   // Label 2009: @93838
     /*  93838 */   GIM_Try, /*On fail goto*//*Label 2010*/ GIMT_Encode4(93883), // Rule ID 3322 //
     /*  93843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC32_HasEGPR_In64BitMode),
     /*  93846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse42_crc32_64_64),
     /*  93851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  93854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  93857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  93860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  93864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  93868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  93872 */     // (intrinsic_wo_chain:{ *:[i64] } 14742:{ *:[iPTR] }, GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)  =>  (CRC32r64r64_EVEX:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  93872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CRC32r64r64_EVEX),
     /*  93875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93877 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93879 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93881 */     GIR_RootConstrainSelectedInstOperands,
     /*  93882 */     // GIR_Coverage, 3322,
     /*  93882 */     GIR_EraseRootFromParent_Done,
     /*  93883 */   // Label 2010: @93883
     /*  93883 */   GIM_Try, /*On fail goto*//*Label 2011*/ GIMT_Encode4(93928), // Rule ID 3326 //
     /*  93888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA),
     /*  93891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sha1nexte),
     /*  93896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  93899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  93902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  93905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93917 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14611:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (SHA1NEXTErr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*  93917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHA1NEXTErr),
     /*  93920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93922 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93924 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93926 */     GIR_RootConstrainSelectedInstOperands,
     /*  93927 */     // GIR_Coverage, 3326,
     /*  93927 */     GIR_EraseRootFromParent_Done,
     /*  93928 */   // Label 2011: @93928
     /*  93928 */   GIM_Try, /*On fail goto*//*Label 2012*/ GIMT_Encode4(93973), // Rule ID 3328 //
     /*  93933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA),
     /*  93936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sha1msg1),
     /*  93941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  93944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  93947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  93950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93962 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14609:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (SHA1MSG1rr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*  93962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHA1MSG1rr),
     /*  93965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93967 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93969 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93971 */     GIR_RootConstrainSelectedInstOperands,
     /*  93972 */     // GIR_Coverage, 3328,
     /*  93972 */     GIR_EraseRootFromParent_Done,
     /*  93973 */   // Label 2012: @93973
     /*  93973 */   GIM_Try, /*On fail goto*//*Label 2013*/ GIMT_Encode4(94018), // Rule ID 3330 //
     /*  93978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA),
     /*  93981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sha1msg2),
     /*  93986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  93989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  93992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  93995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94007 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14610:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (SHA1MSG2rr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*  94007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHA1MSG2rr),
     /*  94010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94012 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94014 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94016 */     GIR_RootConstrainSelectedInstOperands,
     /*  94017 */     // GIR_Coverage, 3330,
     /*  94017 */     GIR_EraseRootFromParent_Done,
     /*  94018 */   // Label 2013: @94018
     /*  94018 */   GIM_Try, /*On fail goto*//*Label 2014*/ GIMT_Encode4(94063), // Rule ID 3334 //
     /*  94023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA),
     /*  94026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sha256msg1),
     /*  94031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  94034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  94037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  94040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94052 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14613:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (SHA256MSG1rr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*  94052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHA256MSG1rr),
     /*  94055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94057 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94059 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94061 */     GIR_RootConstrainSelectedInstOperands,
     /*  94062 */     // GIR_Coverage, 3334,
     /*  94062 */     GIR_EraseRootFromParent_Done,
     /*  94063 */   // Label 2014: @94063
     /*  94063 */   GIM_Try, /*On fail goto*//*Label 2015*/ GIMT_Encode4(94108), // Rule ID 3336 //
     /*  94068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA),
     /*  94071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sha256msg2),
     /*  94076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  94079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  94082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  94085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94097 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14614:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (SHA256MSG2rr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*  94097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHA256MSG2rr),
     /*  94100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94102 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94104 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94106 */     GIR_RootConstrainSelectedInstOperands,
     /*  94107 */     // GIR_Coverage, 3336,
     /*  94107 */     GIR_EraseRootFromParent_Done,
     /*  94108 */   // Label 2015: @94108
     /*  94108 */   GIM_Try, /*On fail goto*//*Label 2016*/ GIMT_Encode4(94153), // Rule ID 3338 //
     /*  94113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_HasAVX_NoVLX_Or_NoVAES),
     /*  94116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenc),
     /*  94121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  94124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  94127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  94130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94142 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13304:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (VAESENCrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*  94142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCrr),
     /*  94145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94147 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94149 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94151 */     GIR_RootConstrainSelectedInstOperands,
     /*  94152 */     // GIR_Coverage, 3338,
     /*  94152 */     GIR_EraseRootFromParent_Done,
     /*  94153 */   // Label 2016: @94153
     /*  94153 */   GIM_Try, /*On fail goto*//*Label 2017*/ GIMT_Encode4(94198), // Rule ID 3340 //
     /*  94158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_HasAVX_NoVLX_Or_NoVAES),
     /*  94161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenclast),
     /*  94166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  94169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  94172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  94175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94187 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13307:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (VAESENCLASTrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*  94187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCLASTrr),
     /*  94190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94192 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94194 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94196 */     GIR_RootConstrainSelectedInstOperands,
     /*  94197 */     // GIR_Coverage, 3340,
     /*  94197 */     GIR_EraseRootFromParent_Done,
     /*  94198 */   // Label 2017: @94198
     /*  94198 */   GIM_Try, /*On fail goto*//*Label 2018*/ GIMT_Encode4(94243), // Rule ID 3342 //
     /*  94203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_HasAVX_NoVLX_Or_NoVAES),
     /*  94206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdec),
     /*  94211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  94214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  94217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  94220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94232 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13298:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (VAESDECrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*  94232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECrr),
     /*  94235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94237 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94239 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94241 */     GIR_RootConstrainSelectedInstOperands,
     /*  94242 */     // GIR_Coverage, 3342,
     /*  94242 */     GIR_EraseRootFromParent_Done,
     /*  94243 */   // Label 2018: @94243
     /*  94243 */   GIM_Try, /*On fail goto*//*Label 2019*/ GIMT_Encode4(94288), // Rule ID 3344 //
     /*  94248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_HasAVX_NoVLX_Or_NoVAES),
     /*  94251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdeclast),
     /*  94256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  94259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  94262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  94265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94277 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13301:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (VAESDECLASTrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*  94277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECLASTrr),
     /*  94280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94282 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94284 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94286 */     GIR_RootConstrainSelectedInstOperands,
     /*  94287 */     // GIR_Coverage, 3344,
     /*  94287 */     GIR_EraseRootFromParent_Done,
     /*  94288 */   // Label 2019: @94288
     /*  94288 */   GIM_Try, /*On fail goto*//*Label 2020*/ GIMT_Encode4(94333), // Rule ID 3346 //
     /*  94293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_NoVLX),
     /*  94296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenc_256),
     /*  94301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  94304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  94307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  94310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94322 */     // (intrinsic_wo_chain:{ *:[v4i64] } 13305:{ *:[iPTR] }, VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)  =>  (VAESENCYrr:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)
     /*  94322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCYrr),
     /*  94325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94327 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94329 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94331 */     GIR_RootConstrainSelectedInstOperands,
     /*  94332 */     // GIR_Coverage, 3346,
     /*  94332 */     GIR_EraseRootFromParent_Done,
     /*  94333 */   // Label 2020: @94333
     /*  94333 */   GIM_Try, /*On fail goto*//*Label 2021*/ GIMT_Encode4(94378), // Rule ID 3348 //
     /*  94338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_NoVLX),
     /*  94341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenclast_256),
     /*  94346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  94349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  94352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  94355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94367 */     // (intrinsic_wo_chain:{ *:[v4i64] } 13308:{ *:[iPTR] }, VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)  =>  (VAESENCLASTYrr:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)
     /*  94367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCLASTYrr),
     /*  94370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94372 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94374 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94376 */     GIR_RootConstrainSelectedInstOperands,
     /*  94377 */     // GIR_Coverage, 3348,
     /*  94377 */     GIR_EraseRootFromParent_Done,
     /*  94378 */   // Label 2021: @94378
     /*  94378 */   GIM_Try, /*On fail goto*//*Label 2022*/ GIMT_Encode4(94423), // Rule ID 3350 //
     /*  94383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_NoVLX),
     /*  94386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdec_256),
     /*  94391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  94394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  94397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  94400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94412 */     // (intrinsic_wo_chain:{ *:[v4i64] } 13299:{ *:[iPTR] }, VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)  =>  (VAESDECYrr:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)
     /*  94412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECYrr),
     /*  94415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94417 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94419 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94421 */     GIR_RootConstrainSelectedInstOperands,
     /*  94422 */     // GIR_Coverage, 3350,
     /*  94422 */     GIR_EraseRootFromParent_Done,
     /*  94423 */   // Label 2022: @94423
     /*  94423 */   GIM_Try, /*On fail goto*//*Label 2023*/ GIMT_Encode4(94468), // Rule ID 3352 //
     /*  94428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_NoVLX),
     /*  94431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdeclast_256),
     /*  94436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  94439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  94442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  94445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94457 */     // (intrinsic_wo_chain:{ *:[v4i64] } 13302:{ *:[iPTR] }, VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)  =>  (VAESDECLASTYrr:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)
     /*  94457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECLASTYrr),
     /*  94460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94462 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94464 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94466 */     GIR_RootConstrainSelectedInstOperands,
     /*  94467 */     // GIR_Coverage, 3352,
     /*  94467 */     GIR_EraseRootFromParent_Done,
     /*  94468 */   // Label 2023: @94468
     /*  94468 */   GIM_Try, /*On fail goto*//*Label 2024*/ GIMT_Encode4(94513), // Rule ID 3354 //
     /*  94473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_NoAVX),
     /*  94476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenc),
     /*  94481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  94484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  94487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  94490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94502 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13304:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (AESENCrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*  94502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AESENCrr),
     /*  94505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94507 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94509 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94511 */     GIR_RootConstrainSelectedInstOperands,
     /*  94512 */     // GIR_Coverage, 3354,
     /*  94512 */     GIR_EraseRootFromParent_Done,
     /*  94513 */   // Label 2024: @94513
     /*  94513 */   GIM_Try, /*On fail goto*//*Label 2025*/ GIMT_Encode4(94558), // Rule ID 3356 //
     /*  94518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_NoAVX),
     /*  94521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenclast),
     /*  94526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  94529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  94532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  94535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94547 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13307:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (AESENCLASTrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*  94547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AESENCLASTrr),
     /*  94550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94552 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94554 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94556 */     GIR_RootConstrainSelectedInstOperands,
     /*  94557 */     // GIR_Coverage, 3356,
     /*  94557 */     GIR_EraseRootFromParent_Done,
     /*  94558 */   // Label 2025: @94558
     /*  94558 */   GIM_Try, /*On fail goto*//*Label 2026*/ GIMT_Encode4(94603), // Rule ID 3358 //
     /*  94563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_NoAVX),
     /*  94566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdec),
     /*  94571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  94574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  94577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  94580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94592 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13298:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (AESDECrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*  94592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AESDECrr),
     /*  94595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94597 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94599 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94601 */     GIR_RootConstrainSelectedInstOperands,
     /*  94602 */     // GIR_Coverage, 3358,
     /*  94602 */     GIR_EraseRootFromParent_Done,
     /*  94603 */   // Label 2026: @94603
     /*  94603 */   GIM_Try, /*On fail goto*//*Label 2027*/ GIMT_Encode4(94648), // Rule ID 3360 //
     /*  94608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_NoAVX),
     /*  94611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdeclast),
     /*  94616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  94619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  94622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  94625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94637 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13301:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (AESDECLASTrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*  94637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AESDECLASTrr),
     /*  94640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94642 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94644 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94646 */     GIR_RootConstrainSelectedInstOperands,
     /*  94647 */     // GIR_Coverage, 3360,
     /*  94647 */     GIR_EraseRootFromParent_Done,
     /*  94648 */   // Label 2027: @94648
     /*  94648 */   GIM_Try, /*On fail goto*//*Label 2028*/ GIMT_Encode4(94693), // Rule ID 3377 //
     /*  94653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSE4A),
     /*  94656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse4a_extrq),
     /*  94661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  94664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  94667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  94670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94682 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14757:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src, VR128:{ *:[v16i8] }:$mask)  =>  (EXTRQ:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src, VR128:{ *:[v16i8] }:$mask)
     /*  94682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::EXTRQ),
     /*  94685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94687 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  94689 */     GIR_RootToRootCopy, /*OpIdx*/3, // mask
     /*  94691 */     GIR_RootConstrainSelectedInstOperands,
     /*  94692 */     // GIR_Coverage, 3377,
     /*  94692 */     GIR_EraseRootFromParent_Done,
     /*  94693 */   // Label 2028: @94693
     /*  94693 */   GIM_Try, /*On fail goto*//*Label 2029*/ GIMT_Encode4(94738), // Rule ID 3379 //
     /*  94698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSE4A),
     /*  94701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse4a_insertq),
     /*  94706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  94709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  94712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  94715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94727 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14759:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src, VR128:{ *:[v2i64] }:$mask)  =>  (INSERTQ:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src, VR128:{ *:[v2i64] }:$mask)
     /*  94727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INSERTQ),
     /*  94730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94732 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  94734 */     GIR_RootToRootCopy, /*OpIdx*/3, // mask
     /*  94736 */     GIR_RootConstrainSelectedInstOperands,
     /*  94737 */     // GIR_Coverage, 3379,
     /*  94737 */     GIR_EraseRootFromParent_Done,
     /*  94738 */   // Label 2029: @94738
     /*  94738 */   GIM_Try, /*On fail goto*//*Label 2030*/ GIMT_Encode4(94783), // Rule ID 3554 //
     /*  94743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA512),
     /*  94746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsha512msg1),
     /*  94751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  94754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  94757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  94760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94772 */     // (intrinsic_wo_chain:{ *:[v4i64] } 14908:{ *:[iPTR] }, VR256:{ *:[v4i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (VSHA512MSG1rr:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*  94772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSHA512MSG1rr),
     /*  94775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94777 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94779 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94781 */     GIR_RootConstrainSelectedInstOperands,
     /*  94782 */     // GIR_Coverage, 3554,
     /*  94782 */     GIR_EraseRootFromParent_Done,
     /*  94783 */   // Label 2030: @94783
     /*  94783 */   GIM_Try, /*On fail goto*//*Label 2031*/ GIMT_Encode4(94828), // Rule ID 3555 //
     /*  94788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA512),
     /*  94791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsha512msg2),
     /*  94796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  94799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  94802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  94805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94817 */     // (intrinsic_wo_chain:{ *:[v4i64] } 14909:{ *:[iPTR] }, VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)  =>  (VSHA512MSG2rr:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)
     /*  94817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSHA512MSG2rr),
     /*  94820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94822 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94824 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94826 */     GIR_RootConstrainSelectedInstOperands,
     /*  94827 */     // GIR_Coverage, 3555,
     /*  94827 */     GIR_EraseRootFromParent_Done,
     /*  94828 */   // Label 2031: @94828
     /*  94828 */   GIM_Try, /*On fail goto*//*Label 2032*/ GIMT_Encode4(94873), // Rule ID 3563 //
     /*  94833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /*  94836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4key4128),
     /*  94841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  94844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  94847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  94850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94862 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14914:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (VSM4KEY4rr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*  94862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4KEY4rr),
     /*  94865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94867 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94869 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94871 */     GIR_RootConstrainSelectedInstOperands,
     /*  94872 */     // GIR_Coverage, 3563,
     /*  94872 */     GIR_EraseRootFromParent_Done,
     /*  94873 */   // Label 2032: @94873
     /*  94873 */   GIM_Try, /*On fail goto*//*Label 2033*/ GIMT_Encode4(94918), // Rule ID 3565 //
     /*  94878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /*  94881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4key4256),
     /*  94886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /*  94889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  94892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /*  94895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94907 */     // (intrinsic_wo_chain:{ *:[v8i32] } 14915:{ *:[iPTR] }, VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)  =>  (VSM4KEY4Yrr:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)
     /*  94907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4KEY4Yrr),
     /*  94910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94912 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94914 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94916 */     GIR_RootConstrainSelectedInstOperands,
     /*  94917 */     // GIR_Coverage, 3565,
     /*  94917 */     GIR_EraseRootFromParent_Done,
     /*  94918 */   // Label 2033: @94918
     /*  94918 */   GIM_Try, /*On fail goto*//*Label 2034*/ GIMT_Encode4(94963), // Rule ID 3567 //
     /*  94923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /*  94926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4rnds4128),
     /*  94931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  94934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  94937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  94940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94952 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14917:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (VSM4RNDS4rr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*  94952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4RNDS4rr),
     /*  94955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94957 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94959 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94961 */     GIR_RootConstrainSelectedInstOperands,
     /*  94962 */     // GIR_Coverage, 3567,
     /*  94962 */     GIR_EraseRootFromParent_Done,
     /*  94963 */   // Label 2034: @94963
     /*  94963 */   GIM_Try, /*On fail goto*//*Label 2035*/ GIMT_Encode4(95008), // Rule ID 3569 //
     /*  94968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /*  94971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4rnds4256),
     /*  94976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /*  94979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  94982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /*  94985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94997 */     // (intrinsic_wo_chain:{ *:[v8i32] } 14918:{ *:[iPTR] }, VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)  =>  (VSM4RNDS4Yrr:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)
     /*  94997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4RNDS4Yrr),
     /*  95000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  95002 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  95004 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  95006 */     GIR_RootConstrainSelectedInstOperands,
     /*  95007 */     // GIR_Coverage, 3569,
     /*  95007 */     GIR_EraseRootFromParent_Done,
     /*  95008 */   // Label 2035: @95008
     /*  95008 */   GIM_Try, /*On fail goto*//*Label 2036*/ GIMT_Encode4(95053), // Rule ID 14059 //
     /*  95013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_HasVLX),
     /*  95016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenc),
     /*  95021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  95024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  95027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  95030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  95034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  95038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  95042 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13304:{ *:[iPTR] }, VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (VAESENCZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)
     /*  95042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCZ128rr),
     /*  95045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  95047 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  95049 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  95051 */     GIR_RootConstrainSelectedInstOperands,
     /*  95052 */     // GIR_Coverage, 14059,
     /*  95052 */     GIR_EraseRootFromParent_Done,
     /*  95053 */   // Label 2036: @95053
     /*  95053 */   GIM_Try, /*On fail goto*//*Label 2037*/ GIMT_Encode4(95098), // Rule ID 14061 //
     /*  95058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_HasVLX),
     /*  95061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenc_256),
     /*  95066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  95069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  95072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  95075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  95079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  95083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  95087 */     // (intrinsic_wo_chain:{ *:[v4i64] } 13305:{ *:[iPTR] }, VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (VAESENCZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)
     /*  95087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCZ256rr),
     /*  95090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  95092 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  95094 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  95096 */     GIR_RootConstrainSelectedInstOperands,
     /*  95097 */     // GIR_Coverage, 14061,
     /*  95097 */     GIR_EraseRootFromParent_Done,
     /*  95098 */   // Label 2037: @95098
     /*  95098 */   GIM_Try, /*On fail goto*//*Label 2038*/ GIMT_Encode4(95143), // Rule ID 14063 //
     /*  95103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVAES),
     /*  95106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenc_512),
     /*  95111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s64,
     /*  95114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /*  95117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s64,
     /*  95120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  95124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  95128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  95132 */     // (intrinsic_wo_chain:{ *:[v8i64] } 13306:{ *:[iPTR] }, VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)  =>  (VAESENCZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)
     /*  95132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCZrr),
     /*  95135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  95137 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  95139 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  95141 */     GIR_RootConstrainSelectedInstOperands,
     /*  95142 */     // GIR_Coverage, 14063,
     /*  95142 */     GIR_EraseRootFromParent_Done,
     /*  95143 */   // Label 2038: @95143
     /*  95143 */   GIM_Try, /*On fail goto*//*Label 2039*/ GIMT_Encode4(95188), // Rule ID 14065 //
     /*  95148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_HasVLX),
     /*  95151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenclast),
     /*  95156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  95159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  95162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  95165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  95169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  95173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  95177 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13307:{ *:[iPTR] }, VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (VAESENCLASTZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)
     /*  95177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCLASTZ128rr),
     /*  95180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  95182 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  95184 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  95186 */     GIR_RootConstrainSelectedInstOperands,
     /*  95187 */     // GIR_Coverage, 14065,
     /*  95187 */     GIR_EraseRootFromParent_Done,
     /*  95188 */   // Label 2039: @95188
     /*  95188 */   GIM_Try, /*On fail goto*//*Label 2040*/ GIMT_Encode4(95233), // Rule ID 14067 //
     /*  95193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_HasVLX),
     /*  95196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenclast_256),
     /*  95201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  95204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  95207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  95210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  95214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  95218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  95222 */     // (intrinsic_wo_chain:{ *:[v4i64] } 13308:{ *:[iPTR] }, VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (VAESENCLASTZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)
     /*  95222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCLASTZ256rr),
     /*  95225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  95227 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  95229 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  95231 */     GIR_RootConstrainSelectedInstOperands,
     /*  95232 */     // GIR_Coverage, 14067,
     /*  95232 */     GIR_EraseRootFromParent_Done,
     /*  95233 */   // Label 2040: @95233
     /*  95233 */   GIM_Try, /*On fail goto*//*Label 2041*/ GIMT_Encode4(95278), // Rule ID 14069 //
     /*  95238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVAES),
     /*  95241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenclast_512),
     /*  95246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s64,
     /*  95249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /*  95252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s64,
     /*  95255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  95259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  95263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  95267 */     // (intrinsic_wo_chain:{ *:[v8i64] } 13309:{ *:[iPTR] }, VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)  =>  (VAESENCLASTZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)
     /*  95267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCLASTZrr),
     /*  95270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  95272 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  95274 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  95276 */     GIR_RootConstrainSelectedInstOperands,
     /*  95277 */     // GIR_Coverage, 14069,
     /*  95277 */     GIR_EraseRootFromParent_Done,
     /*  95278 */   // Label 2041: @95278
     /*  95278 */   GIM_Try, /*On fail goto*//*Label 2042*/ GIMT_Encode4(95323), // Rule ID 14071 //
     /*  95283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_HasVLX),
     /*  95286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdec),
     /*  95291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  95294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  95297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  95300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  95304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  95308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  95312 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13298:{ *:[iPTR] }, VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (VAESDECZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)
     /*  95312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECZ128rr),
     /*  95315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  95317 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  95319 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  95321 */     GIR_RootConstrainSelectedInstOperands,
     /*  95322 */     // GIR_Coverage, 14071,
     /*  95322 */     GIR_EraseRootFromParent_Done,
     /*  95323 */   // Label 2042: @95323
     /*  95323 */   GIM_Try, /*On fail goto*//*Label 2043*/ GIMT_Encode4(95368), // Rule ID 14073 //
     /*  95328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_HasVLX),
     /*  95331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdec_256),
     /*  95336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  95339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  95342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  95345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  95349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  95353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  95357 */     // (intrinsic_wo_chain:{ *:[v4i64] } 13299:{ *:[iPTR] }, VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (VAESDECZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)
     /*  95357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECZ256rr),
     /*  95360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  95362 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  95364 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  95366 */     GIR_RootConstrainSelectedInstOperands,
     /*  95367 */     // GIR_Coverage, 14073,
     /*  95367 */     GIR_EraseRootFromParent_Done,
     /*  95368 */   // Label 2043: @95368
     /*  95368 */   GIM_Try, /*On fail goto*//*Label 2044*/ GIMT_Encode4(95413), // Rule ID 14075 //
     /*  95373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVAES),
     /*  95376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdec_512),
     /*  95381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s64,
     /*  95384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /*  95387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s64,
     /*  95390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  95394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  95398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  95402 */     // (intrinsic_wo_chain:{ *:[v8i64] } 13300:{ *:[iPTR] }, VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)  =>  (VAESDECZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)
     /*  95402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECZrr),
     /*  95405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  95407 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  95409 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  95411 */     GIR_RootConstrainSelectedInstOperands,
     /*  95412 */     // GIR_Coverage, 14075,
     /*  95412 */     GIR_EraseRootFromParent_Done,
     /*  95413 */   // Label 2044: @95413
     /*  95413 */   GIM_Try, /*On fail goto*//*Label 2045*/ GIMT_Encode4(95458), // Rule ID 14077 //
     /*  95418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_HasVLX),
     /*  95421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdeclast),
     /*  95426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  95429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  95432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  95435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  95439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  95443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  95447 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13301:{ *:[iPTR] }, VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (VAESDECLASTZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)
     /*  95447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECLASTZ128rr),
     /*  95450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  95452 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  95454 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  95456 */     GIR_RootConstrainSelectedInstOperands,
     /*  95457 */     // GIR_Coverage, 14077,
     /*  95457 */     GIR_EraseRootFromParent_Done,
     /*  95458 */   // Label 2045: @95458
     /*  95458 */   GIM_Try, /*On fail goto*//*Label 2046*/ GIMT_Encode4(95503), // Rule ID 14079 //
     /*  95463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_HasVLX),
     /*  95466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdeclast_256),
     /*  95471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  95474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  95477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  95480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  95484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  95488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  95492 */     // (intrinsic_wo_chain:{ *:[v4i64] } 13302:{ *:[iPTR] }, VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (VAESDECLASTZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)
     /*  95492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECLASTZ256rr),
     /*  95495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  95497 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  95499 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  95501 */     GIR_RootConstrainSelectedInstOperands,
     /*  95502 */     // GIR_Coverage, 14079,
     /*  95502 */     GIR_EraseRootFromParent_Done,
     /*  95503 */   // Label 2046: @95503
     /*  95503 */   GIM_Try, /*On fail goto*//*Label 2047*/ GIMT_Encode4(95548), // Rule ID 14081 //
     /*  95508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVAES),
     /*  95511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdeclast_512),
     /*  95516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s64,
     /*  95519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /*  95522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s64,
     /*  95525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  95529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  95533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  95537 */     // (intrinsic_wo_chain:{ *:[v8i64] } 13303:{ *:[iPTR] }, VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)  =>  (VAESDECLASTZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)
     /*  95537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECLASTZrr),
     /*  95540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  95542 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  95544 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  95546 */     GIR_RootConstrainSelectedInstOperands,
     /*  95547 */     // GIR_Coverage, 14081,
     /*  95547 */     GIR_EraseRootFromParent_Done,
     /*  95548 */   // Label 2047: @95548
     /*  95548 */   GIM_Try, /*On fail goto*//*Label 2048*/ GIMT_Encode4(95593), // Rule ID 16792 //
     /*  95553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_512_HasSM4),
     /*  95556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4key4512),
     /*  95561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /*  95564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /*  95567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s32,
     /*  95570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  95574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  95578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  95582 */     // (intrinsic_wo_chain:{ *:[v16i32] } 14916:{ *:[iPTR] }, VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)  =>  (VSM4KEY4Zrr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)
     /*  95582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4KEY4Zrr),
     /*  95585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  95587 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  95589 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  95591 */     GIR_RootConstrainSelectedInstOperands,
     /*  95592 */     // GIR_Coverage, 16792,
     /*  95592 */     GIR_EraseRootFromParent_Done,
     /*  95593 */   // Label 2048: @95593
     /*  95593 */   GIM_Try, /*On fail goto*//*Label 2049*/ GIMT_Encode4(95638), // Rule ID 16798 //
     /*  95598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_512_HasSM4),
     /*  95601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4rnds4512),
     /*  95606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /*  95609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /*  95612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s32,
     /*  95615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  95619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  95623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  95627 */     // (intrinsic_wo_chain:{ *:[v16i32] } 14919:{ *:[iPTR] }, VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)  =>  (VSM4RNDS4Zrr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)
     /*  95627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4RNDS4Zrr),
     /*  95630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  95632 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  95634 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  95636 */     GIR_RootConstrainSelectedInstOperands,
     /*  95637 */     // GIR_Coverage, 16798,
     /*  95637 */     GIR_EraseRootFromParent_Done,
     /*  95638 */   // Label 2049: @95638
     /*  95638 */   GIM_Reject,
     /*  95639 */ // Label 1932: @95639
     /*  95639 */ GIM_Try, /*On fail goto*//*Label 2050*/ GIMT_Encode4(100225),
     /*  95644 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/5,
     /*  95647 */   GIM_Try, /*On fail goto*//*Label 2051*/ GIMT_Encode4(95728), // Rule ID 23531 //
     /*  95652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  95655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse41_dpps),
     /*  95660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  95663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  95666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  95669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  95673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  95677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  95681 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95684 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  95688 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  95692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  95696 */     // MIs[0] src3
     /*  95696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  95699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  95701 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  95708 */     // (intrinsic_wo_chain:{ *:[v4f32] } 14726:{ *:[iPTR] }, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4f32] }:$src1, (timm:{ *:[i8] }):$src3)  =>  (VDPPSrmi:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  95708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDPPSrmi),
     /*  95711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  95713 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /*  95715 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  95719 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  95721 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  95726 */     GIR_RootConstrainSelectedInstOperands,
     /*  95727 */     // GIR_Coverage, 23531,
     /*  95727 */     GIR_EraseRootFromParent_Done,
     /*  95728 */   // Label 2051: @95728
     /*  95728 */   GIM_Try, /*On fail goto*//*Label 2052*/ GIMT_Encode4(95809), // Rule ID 23532 //
     /*  95733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  95736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse41_dppd),
     /*  95741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  95744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  95747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  95750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  95754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  95758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  95762 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95765 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  95769 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  95773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  95777 */     // MIs[0] src3
     /*  95777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  95780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  95782 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  95789 */     // (intrinsic_wo_chain:{ *:[v2f64] } 14725:{ *:[iPTR] }, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2f64] }:$src1, (timm:{ *:[i8] }):$src3)  =>  (VDPPDrmi:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  95789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDPPDrmi),
     /*  95792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  95794 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /*  95796 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  95800 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  95802 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  95807 */     GIR_RootConstrainSelectedInstOperands,
     /*  95808 */     // GIR_Coverage, 23532,
     /*  95808 */     GIR_EraseRootFromParent_Done,
     /*  95809 */   // Label 2052: @95809
     /*  95809 */   GIM_Try, /*On fail goto*//*Label 2053*/ GIMT_Encode4(95890), // Rule ID 23533 //
     /*  95814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  95817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx_dp_ps_256),
     /*  95822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /*  95825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  95828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /*  95831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  95835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  95839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  95843 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95846 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  95850 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  95854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  95858 */     // MIs[0] src3
     /*  95858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  95861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  95863 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  95870 */     // (intrinsic_wo_chain:{ *:[v8f32] } 13336:{ *:[iPTR] }, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8f32] }:$src1, (timm:{ *:[i8] }):$src3)  =>  (VDPPSYrmi:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  95870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDPPSYrmi),
     /*  95873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  95875 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /*  95877 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  95881 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  95883 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  95888 */     GIR_RootConstrainSelectedInstOperands,
     /*  95889 */     // GIR_Coverage, 23533,
     /*  95889 */     GIR_EraseRootFromParent_Done,
     /*  95890 */   // Label 2053: @95890
     /*  95890 */   GIM_Try, /*On fail goto*//*Label 2054*/ GIMT_Encode4(95971), // Rule ID 3253 //
     /*  95895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  95898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse41_dpps),
     /*  95903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  95906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  95909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  95912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  95916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  95920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  95924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  95928 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95931 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  95935 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  95939 */     // MIs[0] src3
     /*  95939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  95942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  95944 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  95951 */     // (intrinsic_wo_chain:{ *:[v4f32] } 14726:{ *:[iPTR] }, VR128:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (timm:{ *:[i8] }):$src3)  =>  (VDPPSrmi:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  95951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDPPSrmi),
     /*  95954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  95956 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  95958 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  95962 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  95964 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  95969 */     GIR_RootConstrainSelectedInstOperands,
     /*  95970 */     // GIR_Coverage, 3253,
     /*  95970 */     GIR_EraseRootFromParent_Done,
     /*  95971 */   // Label 2054: @95971
     /*  95971 */   GIM_Try, /*On fail goto*//*Label 2055*/ GIMT_Encode4(96052), // Rule ID 3255 //
     /*  95976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  95979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse41_dppd),
     /*  95984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  95987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  95990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  95993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  95997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  96005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  96009 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96012 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  96016 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  96020 */     // MIs[0] src3
     /*  96020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  96023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  96025 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  96032 */     // (intrinsic_wo_chain:{ *:[v2f64] } 14725:{ *:[iPTR] }, VR128:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (timm:{ *:[i8] }):$src3)  =>  (VDPPDrmi:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  96032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDPPDrmi),
     /*  96035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  96037 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  96039 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  96043 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  96045 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  96050 */     GIR_RootConstrainSelectedInstOperands,
     /*  96051 */     // GIR_Coverage, 3255,
     /*  96051 */     GIR_EraseRootFromParent_Done,
     /*  96052 */   // Label 2055: @96052
     /*  96052 */   GIM_Try, /*On fail goto*//*Label 2056*/ GIMT_Encode4(96133), // Rule ID 3257 //
     /*  96057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  96060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx_dp_ps_256),
     /*  96065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /*  96068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  96071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /*  96074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  96078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  96082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  96086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  96090 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96093 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  96097 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  96101 */     // MIs[0] src3
     /*  96101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  96104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  96106 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  96113 */     // (intrinsic_wo_chain:{ *:[v8f32] } 13336:{ *:[iPTR] }, VR256:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (timm:{ *:[i8] }):$src3)  =>  (VDPPSYrmi:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  96113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDPPSYrmi),
     /*  96116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  96118 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  96120 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  96124 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  96126 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  96131 */     GIR_RootConstrainSelectedInstOperands,
     /*  96132 */     // GIR_Coverage, 3257,
     /*  96132 */     GIR_EraseRootFromParent_Done,
     /*  96133 */   // Label 2056: @96133
     /*  96133 */   GIM_Try, /*On fail goto*//*Label 2057*/ GIMT_Encode4(96214), // Rule ID 3373 //
     /*  96138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_HasPCLMUL_NoVLX_Or_NoVPCLMULQDQ),
     /*  96141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_pclmulqdq),
     /*  96146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  96149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  96152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  96155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  96167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  96171 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96174 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  96178 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  96182 */     // MIs[0] src3
     /*  96182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  96185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  96187 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  96194 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14577:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (timm:{ *:[i8] }):$src3)  =>  (VPCLMULQDQrmi:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  96194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCLMULQDQrmi),
     /*  96197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  96199 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  96201 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  96205 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  96207 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  96212 */     GIR_RootConstrainSelectedInstOperands,
     /*  96213 */     // GIR_Coverage, 3373,
     /*  96213 */     GIR_EraseRootFromParent_Done,
     /*  96214 */   // Label 2057: @96214
     /*  96214 */   GIM_Try, /*On fail goto*//*Label 2058*/ GIMT_Encode4(96295), // Rule ID 3375 //
     /*  96219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVPCLMULQDQ_NoVLX),
     /*  96222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_pclmulqdq_256),
     /*  96227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  96230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  96233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  96236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  96240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  96244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  96248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  96252 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96255 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  96259 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  96263 */     // MIs[0] src3
     /*  96263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  96266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  96268 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  96275 */     // (intrinsic_wo_chain:{ *:[v4i64] } 14578:{ *:[iPTR] }, VR256:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (timm:{ *:[i8] }):$src3)  =>  (VPCLMULQDQYrmi:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  96275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCLMULQDQYrmi),
     /*  96278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  96280 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  96282 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  96286 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  96288 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  96293 */     GIR_RootConstrainSelectedInstOperands,
     /*  96294 */     // GIR_Coverage, 3375,
     /*  96294 */     GIR_EraseRootFromParent_Done,
     /*  96295 */   // Label 2058: @96295
     /*  96295 */   GIM_Try, /*On fail goto*//*Label 2059*/ GIMT_Encode4(96376), // Rule ID 14084 //
     /*  96300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVPCLMULQDQ),
     /*  96303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_pclmulqdq_512),
     /*  96308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s64,
     /*  96311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /*  96314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s64,
     /*  96317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  96321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  96325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  96329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  96333 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96336 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  96340 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  96344 */     // MIs[0] src3
     /*  96344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  96347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  96349 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  96356 */     // (intrinsic_wo_chain:{ *:[v8i64] } 14579:{ *:[iPTR] }, VR512:{ *:[v8i64] }:$src1, (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (timm:{ *:[i8] }):$src3)  =>  (VPCLMULQDQZrmi:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  96356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCLMULQDQZrmi),
     /*  96359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  96361 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  96363 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  96367 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  96369 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  96374 */     GIR_RootConstrainSelectedInstOperands,
     /*  96375 */     // GIR_Coverage, 14084,
     /*  96375 */     GIR_EraseRootFromParent_Done,
     /*  96376 */   // Label 2059: @96376
     /*  96376 */   GIM_Try, /*On fail goto*//*Label 2060*/ GIMT_Encode4(96457), // Rule ID 14086 //
     /*  96381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX_HasVPCLMULQDQ),
     /*  96384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_pclmulqdq),
     /*  96389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  96392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  96395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  96398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  96402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  96406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  96410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  96414 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96417 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  96421 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  96425 */     // MIs[0] src3
     /*  96425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  96428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  96430 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  96437 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14577:{ *:[iPTR] }, VR128X:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (timm:{ *:[i8] }):$src3)  =>  (VPCLMULQDQZ128rmi:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  96437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCLMULQDQZ128rmi),
     /*  96440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  96442 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  96444 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  96448 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  96450 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  96455 */     GIR_RootConstrainSelectedInstOperands,
     /*  96456 */     // GIR_Coverage, 14086,
     /*  96456 */     GIR_EraseRootFromParent_Done,
     /*  96457 */   // Label 2060: @96457
     /*  96457 */   GIM_Try, /*On fail goto*//*Label 2061*/ GIMT_Encode4(96538), // Rule ID 14088 //
     /*  96462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX_HasVPCLMULQDQ),
     /*  96465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_pclmulqdq_256),
     /*  96470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  96473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  96476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  96479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  96483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  96487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  96491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  96495 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96498 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  96502 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  96506 */     // MIs[0] src3
     /*  96506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  96509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  96511 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  96518 */     // (intrinsic_wo_chain:{ *:[v4i64] } 14578:{ *:[iPTR] }, VR256X:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (timm:{ *:[i8] }):$src3)  =>  (VPCLMULQDQZ256rmi:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  96518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCLMULQDQZ256rmi),
     /*  96521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  96523 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  96525 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  96529 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  96531 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  96536 */     GIR_RootConstrainSelectedInstOperands,
     /*  96537 */     // GIR_Coverage, 14088,
     /*  96537 */     GIR_EraseRootFromParent_Done,
     /*  96538 */   // Label 2061: @96538
     /*  96538 */   GIM_Try, /*On fail goto*//*Label 2062*/ GIMT_Encode4(96623), // Rule ID 23333 //
     /*  96543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  96546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmadcswd),
     /*  96551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  96554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  96557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  96560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  96563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  96571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  96575 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96578 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  96582 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  96586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  96596 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  96603 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14971:{ *:[iPTR] }, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v4i32] }:$src3)  =>  (VPMADCSWDrm:{ *:[v4i32] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  96603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMADCSWDrm),
     /*  96606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  96608 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /*  96610 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  96614 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  96616 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  96621 */     GIR_RootConstrainSelectedInstOperands,
     /*  96622 */     // GIR_Coverage, 23333,
     /*  96622 */     GIR_EraseRootFromParent_Done,
     /*  96623 */   // Label 2062: @96623
     /*  96623 */   GIM_Try, /*On fail goto*//*Label 2063*/ GIMT_Encode4(96708), // Rule ID 23334 //
     /*  96628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  96631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmadcsswd),
     /*  96636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  96639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  96642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  96645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  96648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  96656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  96660 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96663 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  96667 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  96671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  96681 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  96688 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14970:{ *:[iPTR] }, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v4i32] }:$src3)  =>  (VPMADCSSWDrm:{ *:[v4i32] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  96688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMADCSSWDrm),
     /*  96691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  96693 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /*  96695 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  96699 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  96701 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  96706 */     GIR_RootConstrainSelectedInstOperands,
     /*  96707 */     // GIR_Coverage, 23334,
     /*  96707 */     GIR_EraseRootFromParent_Done,
     /*  96708 */   // Label 2063: @96708
     /*  96708 */   GIM_Try, /*On fail goto*//*Label 2064*/ GIMT_Encode4(96793), // Rule ID 23335 //
     /*  96713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  96716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacsww),
     /*  96721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  96724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  96727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  96730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /*  96733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  96741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  96745 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96748 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  96752 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  96756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  96766 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  96773 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14969:{ *:[iPTR] }, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src3)  =>  (VPMACSWWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v8i16] }:$src3)
     /*  96773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSWWrm),
     /*  96776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  96778 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /*  96780 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  96784 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  96786 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  96791 */     GIR_RootConstrainSelectedInstOperands,
     /*  96792 */     // GIR_Coverage, 23335,
     /*  96792 */     GIR_EraseRootFromParent_Done,
     /*  96793 */   // Label 2064: @96793
     /*  96793 */   GIM_Try, /*On fail goto*//*Label 2065*/ GIMT_Encode4(96878), // Rule ID 23336 //
     /*  96798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  96801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacswd),
     /*  96806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  96809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  96812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  96815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  96818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  96826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  96830 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96833 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  96837 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  96841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  96851 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  96858 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14968:{ *:[iPTR] }, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v4i32] }:$src3)  =>  (VPMACSWDrm:{ *:[v4i32] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  96858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSWDrm),
     /*  96861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  96863 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /*  96865 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  96869 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  96871 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  96876 */     GIR_RootConstrainSelectedInstOperands,
     /*  96877 */     // GIR_Coverage, 23336,
     /*  96877 */     GIR_EraseRootFromParent_Done,
     /*  96878 */   // Label 2065: @96878
     /*  96878 */   GIM_Try, /*On fail goto*//*Label 2066*/ GIMT_Encode4(96963), // Rule ID 23337 //
     /*  96883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  96886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacssww),
     /*  96891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  96894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  96897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  96900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /*  96903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  96911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  96915 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96918 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  96922 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  96926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  96936 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  96943 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14967:{ *:[iPTR] }, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src3)  =>  (VPMACSSWWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v8i16] }:$src3)
     /*  96943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSSWWrm),
     /*  96946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  96948 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /*  96950 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  96954 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  96956 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  96961 */     GIR_RootConstrainSelectedInstOperands,
     /*  96962 */     // GIR_Coverage, 23337,
     /*  96962 */     GIR_EraseRootFromParent_Done,
     /*  96963 */   // Label 2066: @96963
     /*  96963 */   GIM_Try, /*On fail goto*//*Label 2067*/ GIMT_Encode4(97048), // Rule ID 23338 //
     /*  96968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  96971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacsswd),
     /*  96976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  96979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  96982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  96985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  96988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  96996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  97000 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97003 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  97007 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  97011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  97021 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  97028 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14966:{ *:[iPTR] }, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v4i32] }:$src3)  =>  (VPMACSSWDrm:{ *:[v4i32] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  97028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSSWDrm),
     /*  97031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  97033 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /*  97035 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  97039 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  97041 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  97046 */     GIR_RootConstrainSelectedInstOperands,
     /*  97047 */     // GIR_Coverage, 23338,
     /*  97047 */     GIR_EraseRootFromParent_Done,
     /*  97048 */   // Label 2067: @97048
     /*  97048 */   GIM_Try, /*On fail goto*//*Label 2068*/ GIMT_Encode4(97133), // Rule ID 23339 //
     /*  97053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  97056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacssdql),
     /*  97061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  97064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  97067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  97070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /*  97073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  97081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  97085 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97088 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  97092 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  97096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  97106 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  97113 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14965:{ *:[iPTR] }, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v2i64] }:$src3)  =>  (VPMACSSDQLrm:{ *:[v2i64] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v2i64] }:$src3)
     /*  97113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSSDQLrm),
     /*  97116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  97118 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /*  97120 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  97124 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  97126 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  97131 */     GIR_RootConstrainSelectedInstOperands,
     /*  97132 */     // GIR_Coverage, 23339,
     /*  97132 */     GIR_EraseRootFromParent_Done,
     /*  97133 */   // Label 2068: @97133
     /*  97133 */   GIM_Try, /*On fail goto*//*Label 2069*/ GIMT_Encode4(97218), // Rule ID 23340 //
     /*  97138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  97141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacssdqh),
     /*  97146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  97149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  97152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  97155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /*  97158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  97166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  97170 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97173 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  97177 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  97181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  97191 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  97198 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14964:{ *:[iPTR] }, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v2i64] }:$src3)  =>  (VPMACSSDQHrm:{ *:[v2i64] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v2i64] }:$src3)
     /*  97198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSSDQHrm),
     /*  97201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  97203 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /*  97205 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  97209 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  97211 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  97216 */     GIR_RootConstrainSelectedInstOperands,
     /*  97217 */     // GIR_Coverage, 23340,
     /*  97217 */     GIR_EraseRootFromParent_Done,
     /*  97218 */   // Label 2069: @97218
     /*  97218 */   GIM_Try, /*On fail goto*//*Label 2070*/ GIMT_Encode4(97303), // Rule ID 23341 //
     /*  97223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  97226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacssdd),
     /*  97231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  97234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  97237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  97240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  97243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  97251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  97255 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97258 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  97262 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  97266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  97276 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  97283 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14963:{ *:[iPTR] }, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src3)  =>  (VPMACSSDDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  97283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSSDDrm),
     /*  97286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  97288 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /*  97290 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  97294 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  97296 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  97301 */     GIR_RootConstrainSelectedInstOperands,
     /*  97302 */     // GIR_Coverage, 23341,
     /*  97302 */     GIR_EraseRootFromParent_Done,
     /*  97303 */   // Label 2070: @97303
     /*  97303 */   GIM_Try, /*On fail goto*//*Label 2071*/ GIMT_Encode4(97388), // Rule ID 23342 //
     /*  97308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  97311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacsdql),
     /*  97316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  97319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  97322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  97325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /*  97328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  97336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  97340 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97343 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  97347 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  97351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  97361 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  97368 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14962:{ *:[iPTR] }, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v2i64] }:$src3)  =>  (VPMACSDQLrm:{ *:[v2i64] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v2i64] }:$src3)
     /*  97368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSDQLrm),
     /*  97371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  97373 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /*  97375 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  97379 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  97381 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  97386 */     GIR_RootConstrainSelectedInstOperands,
     /*  97387 */     // GIR_Coverage, 23342,
     /*  97387 */     GIR_EraseRootFromParent_Done,
     /*  97388 */   // Label 2071: @97388
     /*  97388 */   GIM_Try, /*On fail goto*//*Label 2072*/ GIMT_Encode4(97473), // Rule ID 23343 //
     /*  97393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  97396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacsdqh),
     /*  97401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  97404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  97407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  97410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /*  97413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  97421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  97425 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97428 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  97432 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  97436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  97446 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  97453 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14961:{ *:[iPTR] }, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v2i64] }:$src3)  =>  (VPMACSDQHrm:{ *:[v2i64] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v2i64] }:$src3)
     /*  97453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSDQHrm),
     /*  97456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  97458 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /*  97460 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  97464 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  97466 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  97471 */     GIR_RootConstrainSelectedInstOperands,
     /*  97472 */     // GIR_Coverage, 23343,
     /*  97472 */     GIR_EraseRootFromParent_Done,
     /*  97473 */   // Label 2072: @97473
     /*  97473 */   GIM_Try, /*On fail goto*//*Label 2073*/ GIMT_Encode4(97558), // Rule ID 23344 //
     /*  97478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  97481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacsdd),
     /*  97486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  97489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  97492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  97495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  97498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  97506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  97510 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97513 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  97517 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  97521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  97531 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  97538 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14960:{ *:[iPTR] }, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src3)  =>  (VPMACSDDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  97538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSDDrm),
     /*  97541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  97543 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /*  97545 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  97549 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  97551 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  97556 */     GIR_RootConstrainSelectedInstOperands,
     /*  97557 */     // GIR_Coverage, 23344,
     /*  97557 */     GIR_EraseRootFromParent_Done,
     /*  97558 */   // Label 2073: @97558
     /*  97558 */   GIM_Try, /*On fail goto*//*Label 2074*/ GIMT_Encode4(97643), // Rule ID 1619 //
     /*  97563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  97566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmadcswd),
     /*  97571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  97574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  97577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  97580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  97583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  97595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  97599 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97602 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  97606 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  97610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  97616 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  97623 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14971:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src3)  =>  (VPMADCSWDrm:{ *:[v4i32] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  97623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMADCSWDrm),
     /*  97626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  97628 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  97630 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  97634 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  97636 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  97641 */     GIR_RootConstrainSelectedInstOperands,
     /*  97642 */     // GIR_Coverage, 1619,
     /*  97642 */     GIR_EraseRootFromParent_Done,
     /*  97643 */   // Label 2074: @97643
     /*  97643 */   GIM_Try, /*On fail goto*//*Label 2075*/ GIMT_Encode4(97728), // Rule ID 1621 //
     /*  97648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  97651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmadcsswd),
     /*  97656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  97659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  97662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  97665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  97668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  97680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  97684 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97687 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  97691 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  97695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  97701 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  97708 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14970:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src3)  =>  (VPMADCSSWDrm:{ *:[v4i32] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  97708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMADCSSWDrm),
     /*  97711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  97713 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  97715 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  97719 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  97721 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  97726 */     GIR_RootConstrainSelectedInstOperands,
     /*  97727 */     // GIR_Coverage, 1621,
     /*  97727 */     GIR_EraseRootFromParent_Done,
     /*  97728 */   // Label 2075: @97728
     /*  97728 */   GIM_Try, /*On fail goto*//*Label 2076*/ GIMT_Encode4(97813), // Rule ID 1623 //
     /*  97733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  97736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacsww),
     /*  97741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  97744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  97747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  97750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /*  97753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  97765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  97769 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97772 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  97776 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  97780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  97786 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  97793 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14969:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src3)  =>  (VPMACSWWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v8i16] }:$src3)
     /*  97793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSWWrm),
     /*  97796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  97798 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  97800 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  97804 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  97806 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  97811 */     GIR_RootConstrainSelectedInstOperands,
     /*  97812 */     // GIR_Coverage, 1623,
     /*  97812 */     GIR_EraseRootFromParent_Done,
     /*  97813 */   // Label 2076: @97813
     /*  97813 */   GIM_Try, /*On fail goto*//*Label 2077*/ GIMT_Encode4(97898), // Rule ID 1625 //
     /*  97818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  97821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacswd),
     /*  97826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  97829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  97832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  97835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  97838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  97850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  97854 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97857 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  97861 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  97865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  97871 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  97878 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14968:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src3)  =>  (VPMACSWDrm:{ *:[v4i32] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  97878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSWDrm),
     /*  97881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  97883 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  97885 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  97889 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  97891 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  97896 */     GIR_RootConstrainSelectedInstOperands,
     /*  97897 */     // GIR_Coverage, 1625,
     /*  97897 */     GIR_EraseRootFromParent_Done,
     /*  97898 */   // Label 2077: @97898
     /*  97898 */   GIM_Try, /*On fail goto*//*Label 2078*/ GIMT_Encode4(97983), // Rule ID 1627 //
     /*  97903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  97906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacssww),
     /*  97911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  97914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  97917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  97920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /*  97923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  97935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  97939 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97942 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  97946 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  97950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  97956 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  97963 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14967:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src3)  =>  (VPMACSSWWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v8i16] }:$src3)
     /*  97963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSSWWrm),
     /*  97966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  97968 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  97970 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  97974 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  97976 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  97981 */     GIR_RootConstrainSelectedInstOperands,
     /*  97982 */     // GIR_Coverage, 1627,
     /*  97982 */     GIR_EraseRootFromParent_Done,
     /*  97983 */   // Label 2078: @97983
     /*  97983 */   GIM_Try, /*On fail goto*//*Label 2079*/ GIMT_Encode4(98068), // Rule ID 1629 //
     /*  97988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  97991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacsswd),
     /*  97996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  97999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  98002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  98005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  98008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  98020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  98024 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  98027 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  98031 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  98035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  98041 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  98048 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14966:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src3)  =>  (VPMACSSWDrm:{ *:[v4i32] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  98048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSSWDrm),
     /*  98051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98053 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  98055 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  98059 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  98061 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  98066 */     GIR_RootConstrainSelectedInstOperands,
     /*  98067 */     // GIR_Coverage, 1629,
     /*  98067 */     GIR_EraseRootFromParent_Done,
     /*  98068 */   // Label 2079: @98068
     /*  98068 */   GIM_Try, /*On fail goto*//*Label 2080*/ GIMT_Encode4(98153), // Rule ID 1631 //
     /*  98073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  98076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacssdql),
     /*  98081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  98084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  98087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  98090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /*  98093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  98105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  98109 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  98112 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  98116 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  98120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  98126 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  98133 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14965:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2i64] }:$src3)  =>  (VPMACSSDQLrm:{ *:[v2i64] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v2i64] }:$src3)
     /*  98133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSSDQLrm),
     /*  98136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98138 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  98140 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  98144 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  98146 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  98151 */     GIR_RootConstrainSelectedInstOperands,
     /*  98152 */     // GIR_Coverage, 1631,
     /*  98152 */     GIR_EraseRootFromParent_Done,
     /*  98153 */   // Label 2080: @98153
     /*  98153 */   GIM_Try, /*On fail goto*//*Label 2081*/ GIMT_Encode4(98238), // Rule ID 1633 //
     /*  98158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  98161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacssdqh),
     /*  98166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  98169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  98172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  98175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /*  98178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  98190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  98194 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  98197 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  98201 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  98205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  98211 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  98218 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14964:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2i64] }:$src3)  =>  (VPMACSSDQHrm:{ *:[v2i64] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v2i64] }:$src3)
     /*  98218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSSDQHrm),
     /*  98221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98223 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  98225 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  98229 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  98231 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  98236 */     GIR_RootConstrainSelectedInstOperands,
     /*  98237 */     // GIR_Coverage, 1633,
     /*  98237 */     GIR_EraseRootFromParent_Done,
     /*  98238 */   // Label 2081: @98238
     /*  98238 */   GIM_Try, /*On fail goto*//*Label 2082*/ GIMT_Encode4(98323), // Rule ID 1635 //
     /*  98243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  98246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacssdd),
     /*  98251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  98254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  98257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  98260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  98263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  98275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  98279 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  98282 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  98286 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  98290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  98296 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  98303 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14963:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src3)  =>  (VPMACSSDDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  98303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSSDDrm),
     /*  98306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98308 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  98310 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  98314 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  98316 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  98321 */     GIR_RootConstrainSelectedInstOperands,
     /*  98322 */     // GIR_Coverage, 1635,
     /*  98322 */     GIR_EraseRootFromParent_Done,
     /*  98323 */   // Label 2082: @98323
     /*  98323 */   GIM_Try, /*On fail goto*//*Label 2083*/ GIMT_Encode4(98408), // Rule ID 1637 //
     /*  98328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  98331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacsdql),
     /*  98336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  98339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  98342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  98345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /*  98348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  98360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  98364 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  98367 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  98371 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  98375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  98381 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  98388 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14962:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2i64] }:$src3)  =>  (VPMACSDQLrm:{ *:[v2i64] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v2i64] }:$src3)
     /*  98388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSDQLrm),
     /*  98391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98393 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  98395 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  98399 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  98401 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  98406 */     GIR_RootConstrainSelectedInstOperands,
     /*  98407 */     // GIR_Coverage, 1637,
     /*  98407 */     GIR_EraseRootFromParent_Done,
     /*  98408 */   // Label 2083: @98408
     /*  98408 */   GIM_Try, /*On fail goto*//*Label 2084*/ GIMT_Encode4(98493), // Rule ID 1639 //
     /*  98413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  98416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacsdqh),
     /*  98421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  98424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  98427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  98430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /*  98433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  98445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  98449 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  98452 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  98456 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  98460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  98466 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  98473 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14961:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2i64] }:$src3)  =>  (VPMACSDQHrm:{ *:[v2i64] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v2i64] }:$src3)
     /*  98473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSDQHrm),
     /*  98476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98478 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  98480 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  98484 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  98486 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  98491 */     GIR_RootConstrainSelectedInstOperands,
     /*  98492 */     // GIR_Coverage, 1639,
     /*  98492 */     GIR_EraseRootFromParent_Done,
     /*  98493 */   // Label 2084: @98493
     /*  98493 */   GIM_Try, /*On fail goto*//*Label 2085*/ GIMT_Encode4(98578), // Rule ID 1641 //
     /*  98498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  98501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacsdd),
     /*  98506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  98509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  98512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  98515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  98518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  98530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  98534 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  98537 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  98541 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  98545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  98551 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  98558 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14960:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src3)  =>  (VPMACSDDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  98558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSDDrm),
     /*  98561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98563 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  98565 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  98569 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  98571 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  98576 */     GIR_RootConstrainSelectedInstOperands,
     /*  98577 */     // GIR_Coverage, 1641,
     /*  98577 */     GIR_EraseRootFromParent_Done,
     /*  98578 */   // Label 2085: @98578
     /*  98578 */   GIM_Try, /*On fail goto*//*Label 2086*/ GIMT_Encode4(98663), // Rule ID 3558 //
     /*  98583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM3),
     /*  98586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm3msg1),
     /*  98591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  98594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  98597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  98600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  98603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  98619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  98623 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  98626 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  98630 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  98634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  98636 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  98643 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14911:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSM3MSG1rm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /*  98643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM3MSG1rm),
     /*  98646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98648 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  98650 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  98652 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /*  98656 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  98661 */     GIR_RootConstrainSelectedInstOperands,
     /*  98662 */     // GIR_Coverage, 3558,
     /*  98662 */     GIR_EraseRootFromParent_Done,
     /*  98663 */   // Label 2086: @98663
     /*  98663 */   GIM_Try, /*On fail goto*//*Label 2087*/ GIMT_Encode4(98748), // Rule ID 3560 //
     /*  98668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM3),
     /*  98671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm3msg2),
     /*  98676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  98679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  98682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  98685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  98688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  98704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  98708 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  98711 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  98715 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  98719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  98721 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  98728 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14912:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSM3MSG2rm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /*  98728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM3MSG2rm),
     /*  98731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98733 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  98735 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  98737 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /*  98741 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  98746 */     GIR_RootConstrainSelectedInstOperands,
     /*  98747 */     // GIR_Coverage, 3560,
     /*  98747 */     GIR_EraseRootFromParent_Done,
     /*  98748 */   // Label 2087: @98748
     /*  98748 */   GIM_Try, /*On fail goto*//*Label 2088*/ GIMT_Encode4(98798), // Rule ID 3252 //
     /*  98753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  98756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse41_dpps),
     /*  98761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  98764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  98767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  98770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98782 */     // MIs[0] src3
     /*  98782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  98785 */     // (intrinsic_wo_chain:{ *:[v4f32] } 14726:{ *:[iPTR] }, VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, (timm:{ *:[i8] }):$src3)  =>  (VDPPSrri:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  98785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDPPSrri),
     /*  98788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98790 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  98792 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  98794 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  98796 */     GIR_RootConstrainSelectedInstOperands,
     /*  98797 */     // GIR_Coverage, 3252,
     /*  98797 */     GIR_EraseRootFromParent_Done,
     /*  98798 */   // Label 2088: @98798
     /*  98798 */   GIM_Try, /*On fail goto*//*Label 2089*/ GIMT_Encode4(98848), // Rule ID 3254 //
     /*  98803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  98806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse41_dppd),
     /*  98811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  98814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  98817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  98820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98832 */     // MIs[0] src3
     /*  98832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  98835 */     // (intrinsic_wo_chain:{ *:[v2f64] } 14725:{ *:[iPTR] }, VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, (timm:{ *:[i8] }):$src3)  =>  (VDPPDrri:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  98835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDPPDrri),
     /*  98838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98840 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  98842 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  98844 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  98846 */     GIR_RootConstrainSelectedInstOperands,
     /*  98847 */     // GIR_Coverage, 3254,
     /*  98847 */     GIR_EraseRootFromParent_Done,
     /*  98848 */   // Label 2089: @98848
     /*  98848 */   GIM_Try, /*On fail goto*//*Label 2090*/ GIMT_Encode4(98898), // Rule ID 3256 //
     /*  98853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  98856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx_dp_ps_256),
     /*  98861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /*  98864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  98867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /*  98870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  98874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  98878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  98882 */     // MIs[0] src3
     /*  98882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  98885 */     // (intrinsic_wo_chain:{ *:[v8f32] } 13336:{ *:[iPTR] }, VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2, (timm:{ *:[i8] }):$src3)  =>  (VDPPSYrri:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  98885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDPPSYrri),
     /*  98888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98890 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  98892 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  98894 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  98896 */     GIR_RootConstrainSelectedInstOperands,
     /*  98897 */     // GIR_Coverage, 3256,
     /*  98897 */     GIR_EraseRootFromParent_Done,
     /*  98898 */   // Label 2090: @98898
     /*  98898 */   GIM_Try, /*On fail goto*//*Label 2091*/ GIMT_Encode4(98948), // Rule ID 3262 //
     /*  98903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE41),
     /*  98906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse41_dpps),
     /*  98911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  98914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  98917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  98920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98932 */     // MIs[0] src3
     /*  98932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  98935 */     // (intrinsic_wo_chain:{ *:[v4f32] } 14726:{ *:[iPTR] }, VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, (timm:{ *:[i8] }):$src3)  =>  (DPPSrri:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  98935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DPPSrri),
     /*  98938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98940 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  98942 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  98944 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  98946 */     GIR_RootConstrainSelectedInstOperands,
     /*  98947 */     // GIR_Coverage, 3262,
     /*  98947 */     GIR_EraseRootFromParent_Done,
     /*  98948 */   // Label 2091: @98948
     /*  98948 */   GIM_Try, /*On fail goto*//*Label 2092*/ GIMT_Encode4(98998), // Rule ID 3264 //
     /*  98953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE41),
     /*  98956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse41_dppd),
     /*  98961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  98964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  98967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  98970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98982 */     // MIs[0] src3
     /*  98982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  98985 */     // (intrinsic_wo_chain:{ *:[v2f64] } 14725:{ *:[iPTR] }, VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, (timm:{ *:[i8] }):$src3)  =>  (DPPDrri:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  98985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DPPDrri),
     /*  98988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98990 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  98992 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  98994 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  98996 */     GIR_RootConstrainSelectedInstOperands,
     /*  98997 */     // GIR_Coverage, 3264,
     /*  98997 */     GIR_EraseRootFromParent_Done,
     /*  98998 */   // Label 2092: @98998
     /*  98998 */   GIM_Try, /*On fail goto*//*Label 2093*/ GIMT_Encode4(99048), // Rule ID 3324 //
     /*  99003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA),
     /*  99006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sha1rnds4),
     /*  99011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  99014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  99017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  99020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99032 */     // MIs[0] src3
     /*  99032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  99035 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14612:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, (timm:{ *:[i8] }):$src3)  =>  (SHA1RNDS4rri:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  99035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHA1RNDS4rri),
     /*  99038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99040 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99042 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99044 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  99046 */     GIR_RootConstrainSelectedInstOperands,
     /*  99047 */     // GIR_Coverage, 3324,
     /*  99047 */     GIR_EraseRootFromParent_Done,
     /*  99048 */   // Label 2093: @99048
     /*  99048 */   GIM_Try, /*On fail goto*//*Label 2094*/ GIMT_Encode4(99098), // Rule ID 3370 //
     /*  99053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPCLMUL_NoAVX),
     /*  99056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_pclmulqdq),
     /*  99061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  99064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  99067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  99070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99082 */     // MIs[0] src3
     /*  99082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  99085 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14577:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2, (timm:{ *:[i8] }):$src3)  =>  (PCLMULQDQrri:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  99085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PCLMULQDQrri),
     /*  99088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99090 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99092 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99094 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  99096 */     GIR_RootConstrainSelectedInstOperands,
     /*  99097 */     // GIR_Coverage, 3370,
     /*  99097 */     GIR_EraseRootFromParent_Done,
     /*  99098 */   // Label 2094: @99098
     /*  99098 */   GIM_Try, /*On fail goto*//*Label 2095*/ GIMT_Encode4(99148), // Rule ID 3372 //
     /*  99103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_HasPCLMUL_NoVLX_Or_NoVPCLMULQDQ),
     /*  99106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_pclmulqdq),
     /*  99111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  99114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  99117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  99120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99132 */     // MIs[0] src3
     /*  99132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  99135 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14577:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2, (timm:{ *:[i8] }):$src3)  =>  (VPCLMULQDQrri:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  99135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCLMULQDQrri),
     /*  99138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99140 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99142 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99144 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  99146 */     GIR_RootConstrainSelectedInstOperands,
     /*  99147 */     // GIR_Coverage, 3372,
     /*  99147 */     GIR_EraseRootFromParent_Done,
     /*  99148 */   // Label 2095: @99148
     /*  99148 */   GIM_Try, /*On fail goto*//*Label 2096*/ GIMT_Encode4(99198), // Rule ID 3374 //
     /*  99153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVPCLMULQDQ_NoVLX),
     /*  99156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_pclmulqdq_256),
     /*  99161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  99164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  99167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  99170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  99174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  99178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  99182 */     // MIs[0] src3
     /*  99182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  99185 */     // (intrinsic_wo_chain:{ *:[v4i64] } 14578:{ *:[iPTR] }, VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2, (timm:{ *:[i8] }):$src3)  =>  (VPCLMULQDQYrri:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  99185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCLMULQDQYrri),
     /*  99188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99190 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99192 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99194 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  99196 */     GIR_RootConstrainSelectedInstOperands,
     /*  99197 */     // GIR_Coverage, 3374,
     /*  99197 */     GIR_EraseRootFromParent_Done,
     /*  99198 */   // Label 2096: @99198
     /*  99198 */   GIM_Try, /*On fail goto*//*Label 2097*/ GIMT_Encode4(99248), // Rule ID 14083 //
     /*  99203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVPCLMULQDQ),
     /*  99206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_pclmulqdq_512),
     /*  99211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s64,
     /*  99214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /*  99217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s64,
     /*  99220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  99224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  99228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  99232 */     // MIs[0] src3
     /*  99232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  99235 */     // (intrinsic_wo_chain:{ *:[v8i64] } 14579:{ *:[iPTR] }, VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2, (timm:{ *:[i8] }):$src3)  =>  (VPCLMULQDQZrri:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  99235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCLMULQDQZrri),
     /*  99238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99240 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99242 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99244 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  99246 */     GIR_RootConstrainSelectedInstOperands,
     /*  99247 */     // GIR_Coverage, 14083,
     /*  99247 */     GIR_EraseRootFromParent_Done,
     /*  99248 */   // Label 2097: @99248
     /*  99248 */   GIM_Try, /*On fail goto*//*Label 2098*/ GIMT_Encode4(99298), // Rule ID 14085 //
     /*  99253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX_HasVPCLMULQDQ),
     /*  99256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_pclmulqdq),
     /*  99261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  99264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  99267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  99270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  99274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  99278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  99282 */     // MIs[0] src3
     /*  99282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  99285 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14577:{ *:[iPTR] }, VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2, (timm:{ *:[i8] }):$src3)  =>  (VPCLMULQDQZ128rri:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  99285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCLMULQDQZ128rri),
     /*  99288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99290 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99292 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99294 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  99296 */     GIR_RootConstrainSelectedInstOperands,
     /*  99297 */     // GIR_Coverage, 14085,
     /*  99297 */     GIR_EraseRootFromParent_Done,
     /*  99298 */   // Label 2098: @99298
     /*  99298 */   GIM_Try, /*On fail goto*//*Label 2099*/ GIMT_Encode4(99348), // Rule ID 14087 //
     /*  99303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX_HasVPCLMULQDQ),
     /*  99306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_pclmulqdq_256),
     /*  99311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  99314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  99317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  99320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  99324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  99328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  99332 */     // MIs[0] src3
     /*  99332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  99335 */     // (intrinsic_wo_chain:{ *:[v4i64] } 14578:{ *:[iPTR] }, VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2, (timm:{ *:[i8] }):$src3)  =>  (VPCLMULQDQZ256rri:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  99335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCLMULQDQZ256rri),
     /*  99338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99340 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99342 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99344 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  99346 */     GIR_RootConstrainSelectedInstOperands,
     /*  99347 */     // GIR_Coverage, 14087,
     /*  99347 */     GIR_EraseRootFromParent_Done,
     /*  99348 */   // Label 2099: @99348
     /*  99348 */   GIM_Try, /*On fail goto*//*Label 2100*/ GIMT_Encode4(99402), // Rule ID 1618 //
     /*  99353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  99356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmadcswd),
     /*  99361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  99364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  99367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  99370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  99373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99389 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14971:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2, VR128:{ *:[v4i32] }:$src3)  =>  (VPMADCSWDrr:{ *:[v4i32] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  99389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMADCSWDrr),
     /*  99392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99394 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99396 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99398 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  99400 */     GIR_RootConstrainSelectedInstOperands,
     /*  99401 */     // GIR_Coverage, 1618,
     /*  99401 */     GIR_EraseRootFromParent_Done,
     /*  99402 */   // Label 2100: @99402
     /*  99402 */   GIM_Try, /*On fail goto*//*Label 2101*/ GIMT_Encode4(99456), // Rule ID 1620 //
     /*  99407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  99410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmadcsswd),
     /*  99415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  99418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  99421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  99424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  99427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99443 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14970:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2, VR128:{ *:[v4i32] }:$src3)  =>  (VPMADCSSWDrr:{ *:[v4i32] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  99443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMADCSSWDrr),
     /*  99446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99448 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99450 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99452 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  99454 */     GIR_RootConstrainSelectedInstOperands,
     /*  99455 */     // GIR_Coverage, 1620,
     /*  99455 */     GIR_EraseRootFromParent_Done,
     /*  99456 */   // Label 2101: @99456
     /*  99456 */   GIM_Try, /*On fail goto*//*Label 2102*/ GIMT_Encode4(99510), // Rule ID 1622 //
     /*  99461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  99464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacsww),
     /*  99469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  99472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  99475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  99478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /*  99481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99497 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14969:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2, VR128:{ *:[v8i16] }:$src3)  =>  (VPMACSWWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2, VR128:{ *:[v8i16] }:$src3)
     /*  99497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSWWrr),
     /*  99500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99502 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99504 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99506 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  99508 */     GIR_RootConstrainSelectedInstOperands,
     /*  99509 */     // GIR_Coverage, 1622,
     /*  99509 */     GIR_EraseRootFromParent_Done,
     /*  99510 */   // Label 2102: @99510
     /*  99510 */   GIM_Try, /*On fail goto*//*Label 2103*/ GIMT_Encode4(99564), // Rule ID 1624 //
     /*  99515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  99518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacswd),
     /*  99523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  99526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  99529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  99532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  99535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99551 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14968:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2, VR128:{ *:[v4i32] }:$src3)  =>  (VPMACSWDrr:{ *:[v4i32] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  99551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSWDrr),
     /*  99554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99556 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99558 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99560 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  99562 */     GIR_RootConstrainSelectedInstOperands,
     /*  99563 */     // GIR_Coverage, 1624,
     /*  99563 */     GIR_EraseRootFromParent_Done,
     /*  99564 */   // Label 2103: @99564
     /*  99564 */   GIM_Try, /*On fail goto*//*Label 2104*/ GIMT_Encode4(99618), // Rule ID 1626 //
     /*  99569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  99572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacssww),
     /*  99577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  99580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  99583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  99586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /*  99589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99605 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14967:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2, VR128:{ *:[v8i16] }:$src3)  =>  (VPMACSSWWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2, VR128:{ *:[v8i16] }:$src3)
     /*  99605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSSWWrr),
     /*  99608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99610 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99612 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99614 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  99616 */     GIR_RootConstrainSelectedInstOperands,
     /*  99617 */     // GIR_Coverage, 1626,
     /*  99617 */     GIR_EraseRootFromParent_Done,
     /*  99618 */   // Label 2104: @99618
     /*  99618 */   GIM_Try, /*On fail goto*//*Label 2105*/ GIMT_Encode4(99672), // Rule ID 1628 //
     /*  99623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  99626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacsswd),
     /*  99631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  99634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  99637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  99640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  99643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99659 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14966:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2, VR128:{ *:[v4i32] }:$src3)  =>  (VPMACSSWDrr:{ *:[v4i32] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  99659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSSWDrr),
     /*  99662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99664 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99666 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99668 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  99670 */     GIR_RootConstrainSelectedInstOperands,
     /*  99671 */     // GIR_Coverage, 1628,
     /*  99671 */     GIR_EraseRootFromParent_Done,
     /*  99672 */   // Label 2105: @99672
     /*  99672 */   GIM_Try, /*On fail goto*//*Label 2106*/ GIMT_Encode4(99726), // Rule ID 1630 //
     /*  99677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  99680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacssdql),
     /*  99685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  99688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  99691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  99694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /*  99697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99713 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14965:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v2i64] }:$src3)  =>  (VPMACSSDQLrr:{ *:[v2i64] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v2i64] }:$src3)
     /*  99713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSSDQLrr),
     /*  99716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99718 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99720 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99722 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  99724 */     GIR_RootConstrainSelectedInstOperands,
     /*  99725 */     // GIR_Coverage, 1630,
     /*  99725 */     GIR_EraseRootFromParent_Done,
     /*  99726 */   // Label 2106: @99726
     /*  99726 */   GIM_Try, /*On fail goto*//*Label 2107*/ GIMT_Encode4(99780), // Rule ID 1632 //
     /*  99731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  99734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacssdqh),
     /*  99739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  99742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  99745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  99748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /*  99751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99767 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14964:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v2i64] }:$src3)  =>  (VPMACSSDQHrr:{ *:[v2i64] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v2i64] }:$src3)
     /*  99767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSSDQHrr),
     /*  99770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99772 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99774 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99776 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  99778 */     GIR_RootConstrainSelectedInstOperands,
     /*  99779 */     // GIR_Coverage, 1632,
     /*  99779 */     GIR_EraseRootFromParent_Done,
     /*  99780 */   // Label 2107: @99780
     /*  99780 */   GIM_Try, /*On fail goto*//*Label 2108*/ GIMT_Encode4(99834), // Rule ID 1634 //
     /*  99785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  99788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacssdd),
     /*  99793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  99796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  99799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  99802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  99805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99821 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14963:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v4i32] }:$src3)  =>  (VPMACSSDDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  99821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSSDDrr),
     /*  99824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99826 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99828 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99830 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  99832 */     GIR_RootConstrainSelectedInstOperands,
     /*  99833 */     // GIR_Coverage, 1634,
     /*  99833 */     GIR_EraseRootFromParent_Done,
     /*  99834 */   // Label 2108: @99834
     /*  99834 */   GIM_Try, /*On fail goto*//*Label 2109*/ GIMT_Encode4(99888), // Rule ID 1636 //
     /*  99839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  99842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacsdql),
     /*  99847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  99850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  99853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  99856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /*  99859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99875 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14962:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v2i64] }:$src3)  =>  (VPMACSDQLrr:{ *:[v2i64] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v2i64] }:$src3)
     /*  99875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSDQLrr),
     /*  99878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99880 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99882 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99884 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  99886 */     GIR_RootConstrainSelectedInstOperands,
     /*  99887 */     // GIR_Coverage, 1636,
     /*  99887 */     GIR_EraseRootFromParent_Done,
     /*  99888 */   // Label 2109: @99888
     /*  99888 */   GIM_Try, /*On fail goto*//*Label 2110*/ GIMT_Encode4(99942), // Rule ID 1638 //
     /*  99893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  99896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacsdqh),
     /*  99901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  99904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  99907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  99910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /*  99913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99929 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14961:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v2i64] }:$src3)  =>  (VPMACSDQHrr:{ *:[v2i64] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v2i64] }:$src3)
     /*  99929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSDQHrr),
     /*  99932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99934 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99936 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99938 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  99940 */     GIR_RootConstrainSelectedInstOperands,
     /*  99941 */     // GIR_Coverage, 1638,
     /*  99941 */     GIR_EraseRootFromParent_Done,
     /*  99942 */   // Label 2110: @99942
     /*  99942 */   GIM_Try, /*On fail goto*//*Label 2111*/ GIMT_Encode4(99996), // Rule ID 1640 //
     /*  99947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  99950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacsdd),
     /*  99955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  99958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  99961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  99964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  99967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99983 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14960:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v4i32] }:$src3)  =>  (VPMACSDDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  99983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSDDrr),
     /*  99986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99988 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99990 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99992 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  99994 */     GIR_RootConstrainSelectedInstOperands,
     /*  99995 */     // GIR_Coverage, 1640,
     /*  99995 */     GIR_EraseRootFromParent_Done,
     /*  99996 */   // Label 2111: @99996
     /*  99996 */   GIM_Try, /*On fail goto*//*Label 2112*/ GIMT_Encode4(100062), // Rule ID 3332 //
     /* 100001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA),
     /* 100004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sha256rnds2),
     /* 100009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 100012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 100015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 100018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 100021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 100025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 100029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 100033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 100037 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14615:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, XMM0:{ *:[v4i32] })  =>  (SHA256RNDS2rr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /* 100037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 100041 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::XMM0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 100047 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // XMM0
     /* 100051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHA256RNDS2rr),
     /* 100054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 100056 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 100058 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 100060 */     GIR_RootConstrainSelectedInstOperands,
     /* 100061 */     // GIR_Coverage, 3332,
     /* 100061 */     GIR_EraseRootFromParent_Done,
     /* 100062 */   // Label 2112: @100062
     /* 100062 */   GIM_Try, /*On fail goto*//*Label 2113*/ GIMT_Encode4(100116), // Rule ID 3556 //
     /* 100067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA512),
     /* 100070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsha512rnds2),
     /* 100075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /* 100078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 100081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /* 100084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 100087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 100091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 100095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 100099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 100103 */     // (intrinsic_wo_chain:{ *:[v4i64] } 14910:{ *:[iPTR] }, VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2, VR128:{ *:[v2i64] }:$src3)  =>  (VSHA512RNDS2rr:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2, VR128:{ *:[v2i64] }:$src3)
     /* 100103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSHA512RNDS2rr),
     /* 100106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 100108 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 100110 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 100112 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /* 100114 */     GIR_RootConstrainSelectedInstOperands,
     /* 100115 */     // GIR_Coverage, 3556,
     /* 100115 */     GIR_EraseRootFromParent_Done,
     /* 100116 */   // Label 2113: @100116
     /* 100116 */   GIM_Try, /*On fail goto*//*Label 2114*/ GIMT_Encode4(100170), // Rule ID 3557 //
     /* 100121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM3),
     /* 100124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm3msg1),
     /* 100129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 100132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 100135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 100138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 100141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 100145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 100149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 100153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 100157 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14911:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v4i32] }:$src3)  =>  (VSM3MSG1rr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /* 100157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM3MSG1rr),
     /* 100160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 100162 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 100164 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 100166 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /* 100168 */     GIR_RootConstrainSelectedInstOperands,
     /* 100169 */     // GIR_Coverage, 3557,
     /* 100169 */     GIR_EraseRootFromParent_Done,
     /* 100170 */   // Label 2114: @100170
     /* 100170 */   GIM_Try, /*On fail goto*//*Label 2115*/ GIMT_Encode4(100224), // Rule ID 3559 //
     /* 100175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM3),
     /* 100178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm3msg2),
     /* 100183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 100186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 100189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 100192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 100195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 100199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 100203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 100207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 100211 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14912:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v4i32] }:$src3)  =>  (VSM3MSG2rr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /* 100211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM3MSG2rr),
     /* 100214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 100216 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 100218 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 100220 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /* 100222 */     GIR_RootConstrainSelectedInstOperands,
     /* 100223 */     // GIR_Coverage, 3559,
     /* 100223 */     GIR_EraseRootFromParent_Done,
     /* 100224 */   // Label 2115: @100224
     /* 100224 */   GIM_Reject,
     /* 100225 */ // Label 2050: @100225
     /* 100225 */ GIM_Try, /*On fail goto*//*Label 2116*/ GIMT_Encode4(100354),
     /* 100230 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /* 100233 */   GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm3rnds2),
     /* 100238 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 100241 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 100244 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 100247 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 100250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 100254 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 100258 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 100262 */   GIM_Try, /*On fail goto*//*Label 2117*/ GIMT_Encode4(100323), // Rule ID 3562 //
     /* 100267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM3),
     /* 100270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 100274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 100278 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100281 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 100285 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 100289 */     // MIs[0] src4
     /* 100289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 100292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 100294 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 100301 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14913:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (timm:{ *:[i32] }):$src4)  =>  (VSM3RNDS2rmi:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, addr:{ *:[iPTR] }:$src3, (timm:{ *:[i32] }):$src4)
     /* 100301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM3RNDS2rmi),
     /* 100304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 100306 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 100308 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 100310 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 100314 */     GIR_RootToRootCopy, /*OpIdx*/5, // src4
     /* 100316 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 100321 */     GIR_RootConstrainSelectedInstOperands,
     /* 100322 */     // GIR_Coverage, 3562,
     /* 100322 */     GIR_EraseRootFromParent_Done,
     /* 100323 */   // Label 2117: @100323
     /* 100323 */   GIM_Try, /*On fail goto*//*Label 2118*/ GIMT_Encode4(100353), // Rule ID 3561 //
     /* 100328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM3),
     /* 100331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 100335 */     // MIs[0] src4
     /* 100335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 100338 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14913:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v4i32] }:$src3, (timm:{ *:[i32] }):$src4)  =>  (VSM3RNDS2rri:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v4i32] }:$src3, (timm:{ *:[i32] }):$src4)
     /* 100338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM3RNDS2rri),
     /* 100341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 100343 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 100345 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 100347 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /* 100349 */     GIR_RootToRootCopy, /*OpIdx*/5, // src4
     /* 100351 */     GIR_RootConstrainSelectedInstOperands,
     /* 100352 */     // GIR_Coverage, 3561,
     /* 100352 */     GIR_EraseRootFromParent_Done,
     /* 100353 */   // Label 2118: @100353
     /* 100353 */   GIM_Reject,
     /* 100354 */ // Label 2116: @100354
     /* 100354 */ GIM_Reject,
     /* 100355 */ // Label 18: @100355
     /* 100355 */ GIM_Try, /*On fail goto*//*Label 2119*/ GIMT_Encode4(100914),
     /* 100360 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/1,
     /* 100363 */   GIM_Try, /*On fail goto*//*Label 2120*/ GIMT_Encode4(100385), // Rule ID 149 //
     /* 100368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSERIALIZE),
     /* 100371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_serialize),
     /* 100376 */     // (intrinsic_void 14607:{ *:[iPTR] })  =>  (SERIALIZE)
     /* 100376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SERIALIZE),
     /* 100379 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100383 */     GIR_RootConstrainSelectedInstOperands,
     /* 100384 */     // GIR_Coverage, 149,
     /* 100384 */     GIR_EraseRootFromParent_Done,
     /* 100385 */   // Label 2120: @100385
     /* 100385 */   GIM_Try, /*On fail goto*//*Label 2121*/ GIMT_Encode4(100407), // Rule ID 150 //
     /* 100390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTSXLDTRK),
     /* 100393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_xsusldtrk),
     /* 100398 */     // (intrinsic_void 14995:{ *:[iPTR] })  =>  (XSUSLDTRK)
     /* 100398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XSUSLDTRK),
     /* 100401 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100405 */     GIR_RootConstrainSelectedInstOperands,
     /* 100406 */     // GIR_Coverage, 150,
     /* 100406 */     GIR_EraseRootFromParent_Done,
     /* 100407 */   // Label 2121: @100407
     /* 100407 */   GIM_Try, /*On fail goto*//*Label 2122*/ GIMT_Encode4(100429), // Rule ID 151 //
     /* 100412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTSXLDTRK),
     /* 100415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_xresldtrk),
     /* 100420 */     // (intrinsic_void 14981:{ *:[iPTR] })  =>  (XRESLDTRK)
     /* 100420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XRESLDTRK),
     /* 100423 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100427 */     GIR_RootConstrainSelectedInstOperands,
     /* 100428 */     // GIR_Coverage, 151,
     /* 100428 */     GIR_EraseRootFromParent_Done,
     /* 100429 */   // Label 2122: @100429
     /* 100429 */   GIM_Try, /*On fail goto*//*Label 2123*/ GIMT_Encode4(100451), // Rule ID 152 //
     /* 100434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUINTR_In64BitMode),
     /* 100437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_clui),
     /* 100442 */     // (intrinsic_void 14465:{ *:[iPTR] })  =>  (CLUI)
     /* 100442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CLUI),
     /* 100445 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100449 */     GIR_RootConstrainSelectedInstOperands,
     /* 100450 */     // GIR_Coverage, 152,
     /* 100450 */     GIR_EraseRootFromParent_Done,
     /* 100451 */   // Label 2123: @100451
     /* 100451 */   GIM_Try, /*On fail goto*//*Label 2124*/ GIMT_Encode4(100473), // Rule ID 153 //
     /* 100456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUINTR_In64BitMode),
     /* 100459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_stui),
     /* 100464 */     // (intrinsic_void 14789:{ *:[iPTR] })  =>  (STUI)
     /* 100464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::STUI),
     /* 100467 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100471 */     GIR_RootConstrainSelectedInstOperands,
     /* 100472 */     // GIR_Coverage, 153,
     /* 100472 */     GIR_EraseRootFromParent_Done,
     /* 100473 */   // Label 2124: @100473
     /* 100473 */   GIM_Try, /*On fail goto*//*Label 2125*/ GIMT_Encode4(100492), // Rule ID 2509 //
     /* 100478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_sse2_pause),
     /* 100483 */     // (intrinsic_void 14684:{ *:[iPTR] })  =>  (PAUSE)
     /* 100483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PAUSE),
     /* 100486 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100490 */     GIR_RootConstrainSelectedInstOperands,
     /* 100491 */     // GIR_Coverage, 2509,
     /* 100491 */     GIR_EraseRootFromParent_Done,
     /* 100492 */   // Label 2125: @100492
     /* 100492 */   GIM_Try, /*On fail goto*//*Label 2126*/ GIMT_Encode4(100514), // Rule ID 2510 //
     /* 100497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSE1),
     /* 100500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_sse_sfence),
     /* 100505 */     // (intrinsic_void 14646:{ *:[iPTR] })  =>  (SFENCE)
     /* 100505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SFENCE),
     /* 100508 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100512 */     GIR_RootConstrainSelectedInstOperands,
     /* 100513 */     // GIR_Coverage, 2510,
     /* 100513 */     GIR_EraseRootFromParent_Done,
     /* 100514 */   // Label 2126: @100514
     /* 100514 */   GIM_Try, /*On fail goto*//*Label 2127*/ GIMT_Encode4(100536), // Rule ID 2511 //
     /* 100519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSE2),
     /* 100522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_sse2_lfence),
     /* 100527 */     // (intrinsic_void 14673:{ *:[iPTR] })  =>  (LFENCE)
     /* 100527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LFENCE),
     /* 100530 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100534 */     GIR_RootConstrainSelectedInstOperands,
     /* 100535 */     // GIR_Coverage, 2511,
     /* 100535 */     GIR_EraseRootFromParent_Done,
     /* 100536 */   // Label 2127: @100536
     /* 100536 */   GIM_Try, /*On fail goto*//*Label 2128*/ GIMT_Encode4(100558), // Rule ID 2512 //
     /* 100541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMFence),
     /* 100544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_sse2_mfence),
     /* 100549 */     // (intrinsic_void 14677:{ *:[iPTR] })  =>  (MFENCE)
     /* 100549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MFENCE),
     /* 100552 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100556 */     GIR_RootConstrainSelectedInstOperands,
     /* 100557 */     // GIR_Coverage, 2512,
     /* 100557 */     GIR_EraseRootFromParent_Done,
     /* 100558 */   // Label 2128: @100558
     /* 100558 */   GIM_Try, /*On fail goto*//*Label 2129*/ GIMT_Encode4(100624), // Rule ID 3426 //
     /* 100563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /* 100566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_avx_vzeroall),
     /* 100571 */     // (intrinsic_void 13379:{ *:[iPTR] })  =>  (VZEROALL)
     /* 100571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VZEROALL),
     /* 100574 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM0*/0,
     /* 100577 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM1*/1,
     /* 100580 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM2*/2,
     /* 100583 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM3*/3,
     /* 100586 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM4*/4,
     /* 100589 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM5*/5,
     /* 100592 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM6*/6,
     /* 100595 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM7*/7,
     /* 100598 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM8*/8,
     /* 100601 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM9*/9,
     /* 100604 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM10*/10,
     /* 100607 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM11*/11,
     /* 100610 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM12*/12,
     /* 100613 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM13*/13,
     /* 100616 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM14*/14,
     /* 100619 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM15*/15,
     /* 100622 */     GIR_RootConstrainSelectedInstOperands,
     /* 100623 */     // GIR_Coverage, 3426,
     /* 100623 */     GIR_EraseRootFromParent_Done,
     /* 100624 */   // Label 2129: @100624
     /* 100624 */   GIM_Try, /*On fail goto*//*Label 2130*/ GIMT_Encode4(100690), // Rule ID 3427 //
     /* 100629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /* 100632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_avx_vzeroupper),
     /* 100637 */     // (intrinsic_void 13380:{ *:[iPTR] })  =>  (VZEROUPPER)
     /* 100637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VZEROUPPER),
     /* 100640 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM0*/0,
     /* 100643 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM1*/1,
     /* 100646 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM2*/2,
     /* 100649 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM3*/3,
     /* 100652 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM4*/4,
     /* 100655 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM5*/5,
     /* 100658 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM6*/6,
     /* 100661 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM7*/7,
     /* 100664 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM8*/8,
     /* 100667 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM9*/9,
     /* 100670 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM10*/10,
     /* 100673 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM11*/11,
     /* 100676 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM12*/12,
     /* 100679 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM13*/13,
     /* 100682 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM14*/14,
     /* 100685 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM15*/15,
     /* 100688 */     GIR_RootConstrainSelectedInstOperands,
     /* 100689 */     // GIR_Coverage, 3427,
     /* 100689 */     GIR_EraseRootFromParent_Done,
     /* 100690 */   // Label 2130: @100690
     /* 100690 */   GIM_Try, /*On fail goto*//*Label 2131*/ GIMT_Encode4(100760), // Rule ID 16801 //
     /* 100695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMMX),
     /* 100698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_mmx_emms),
     /* 100703 */     // (intrinsic_void 14500:{ *:[iPTR] })  =>  (MMX_EMMS:{ *:[x86mmx] })
     /* 100703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MMX_EMMS),
     /* 100706 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::MM0*/0,
     /* 100709 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::MM1*/1,
     /* 100712 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::MM2*/2,
     /* 100715 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::MM3*/3,
     /* 100718 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::MM4*/4,
     /* 100721 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::MM5*/5,
     /* 100724 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::MM6*/6,
     /* 100727 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::MM7*/7,
     /* 100730 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::ST0*/8,
     /* 100733 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::ST1*/9,
     /* 100736 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::ST2*/10,
     /* 100739 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::ST3*/11,
     /* 100742 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::ST4*/12,
     /* 100745 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::ST5*/13,
     /* 100748 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::ST6*/14,
     /* 100751 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::ST7*/15,
     /* 100754 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100758 */     GIR_RootConstrainSelectedInstOperands,
     /* 100759 */     // GIR_Coverage, 16801,
     /* 100759 */     GIR_EraseRootFromParent_Done,
     /* 100760 */   // Label 2131: @100760
     /* 100760 */   GIM_Try, /*On fail goto*//*Label 2132*/ GIMT_Encode4(100782), // Rule ID 16984 //
     /* 100765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRTM),
     /* 100768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_xend),
     /* 100773 */     // (intrinsic_void 14933:{ *:[iPTR] })  =>  (XEND)
     /* 100773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XEND),
     /* 100776 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100780 */     GIR_RootConstrainSelectedInstOperands,
     /* 100781 */     // GIR_Coverage, 16984,
     /* 100781 */     GIR_EraseRootFromParent_Done,
     /* 100782 */   // Label 2132: @100782
     /* 100782 */   GIM_Try, /*On fail goto*//*Label 2133*/ GIMT_Encode4(100828), // Rule ID 16996 //
     /* 100787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXTILE_In64BitMode),
     /* 100790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_tilerelease),
     /* 100795 */     // (intrinsic_void 14859:{ *:[iPTR] })  =>  (TILERELEASE:{ *:[x86amx] })
     /* 100795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::TILERELEASE),
     /* 100798 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM0*/0,
     /* 100801 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM1*/1,
     /* 100804 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM2*/2,
     /* 100807 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM3*/3,
     /* 100810 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM4*/4,
     /* 100813 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM5*/5,
     /* 100816 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM6*/6,
     /* 100819 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM7*/7,
     /* 100822 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100826 */     GIR_RootConstrainSelectedInstOperands,
     /* 100827 */     // GIR_Coverage, 16996,
     /* 100827 */     GIR_EraseRootFromParent_Done,
     /* 100828 */   // Label 2133: @100828
     /* 100828 */   GIM_Try, /*On fail goto*//*Label 2134*/ GIMT_Encode4(100847), // Rule ID 17085 //
     /* 100833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_wbinvd),
     /* 100838 */     // (intrinsic_void 14920:{ *:[iPTR] })  =>  (WBINVD)
     /* 100838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::WBINVD),
     /* 100841 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100845 */     GIR_RootConstrainSelectedInstOperands,
     /* 100846 */     // GIR_Coverage, 17085,
     /* 100846 */     GIR_EraseRootFromParent_Done,
     /* 100847 */   // Label 2134: @100847
     /* 100847 */   GIM_Try, /*On fail goto*//*Label 2135*/ GIMT_Encode4(100869), // Rule ID 17086 //
     /* 100852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasWBNOINVD),
     /* 100855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_wbnoinvd),
     /* 100860 */     // (intrinsic_void 14921:{ *:[iPTR] })  =>  (WBNOINVD)
     /* 100860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::WBNOINVD),
     /* 100863 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100867 */     GIR_RootConstrainSelectedInstOperands,
     /* 100868 */     // GIR_Coverage, 17086,
     /* 100868 */     GIR_EraseRootFromParent_Done,
     /* 100869 */   // Label 2135: @100869
     /* 100869 */   GIM_Try, /*On fail goto*//*Label 2136*/ GIMT_Encode4(100891), // Rule ID 17091 //
     /* 100874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_saveprevssp),
     /* 100879 */     // (intrinsic_void 14602:{ *:[iPTR] })  =>  (SAVEPREVSSP)
     /* 100879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAVEPREVSSP),
     /* 100882 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::SSP*/0,
     /* 100885 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100889 */     GIR_RootConstrainSelectedInstOperands,
     /* 100890 */     // GIR_Coverage, 17091,
     /* 100890 */     GIR_EraseRootFromParent_Done,
     /* 100891 */   // Label 2136: @100891
     /* 100891 */   GIM_Try, /*On fail goto*//*Label 2137*/ GIMT_Encode4(100913), // Rule ID 17101 //
     /* 100896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_setssbsy),
     /* 100901 */     // (intrinsic_void 14608:{ *:[iPTR] })  =>  (SETSSBSY)
     /* 100901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SETSSBSY),
     /* 100904 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::SSP*/0,
     /* 100907 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100911 */     GIR_RootConstrainSelectedInstOperands,
     /* 100912 */     // GIR_Coverage, 17101,
     /* 100912 */     GIR_EraseRootFromParent_Done,
     /* 100913 */   // Label 2137: @100913
     /* 100913 */   GIM_Reject,
     /* 100914 */ // Label 2119: @100914
     /* 100914 */ GIM_Try, /*On fail goto*//*Label 2138*/ GIMT_Encode4(102802),
     /* 100919 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/2,
     /* 100922 */   GIM_Try, /*On fail goto*//*Label 2139*/ GIMT_Encode4(100980), // Rule ID 17129 //
     /* 100927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPTWRITE_In64BitMode),
     /* 100930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_ptwrite64),
     /* 100935 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 100938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 100942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 100946 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100949 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 100953 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 100957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 100959 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 100966 */     // (intrinsic_void 14582:{ *:[iPTR] }, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (PTWRITE64m addr:{ *:[iPTR] }:$dst)
     /* 100966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTWRITE64m),
     /* 100969 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 100973 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 100978 */     GIR_RootConstrainSelectedInstOperands,
     /* 100979 */     // GIR_Coverage, 17129,
     /* 100979 */     GIR_EraseRootFromParent_Done,
     /* 100980 */   // Label 2139: @100980
     /* 100980 */   GIM_Try, /*On fail goto*//*Label 2140*/ GIMT_Encode4(101038), // Rule ID 17128 //
     /* 100985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPTWRITE),
     /* 100988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_ptwrite32),
     /* 100993 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 100996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 101000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 101004 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 101007 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 101011 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 101015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 101017 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 101024 */     // (intrinsic_void 14581:{ *:[iPTR] }, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (PTWRITEm addr:{ *:[iPTR] }:$dst)
     /* 101024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTWRITEm),
     /* 101027 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 101031 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 101036 */     GIR_RootConstrainSelectedInstOperands,
     /* 101037 */     // GIR_Coverage, 17128,
     /* 101037 */     GIR_EraseRootFromParent_Done,
     /* 101038 */   // Label 2140: @101038
     /* 101038 */   GIM_Try, /*On fail goto*//*Label 2141*/ GIMT_Encode4(101075), // Rule ID 162 //
     /* 101043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCLFLUSHOPT),
     /* 101046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_clflushopt),
     /* 101051 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 101062 */     // (intrinsic_void 14463:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (CLFLUSHOPT addr:{ *:[iPTR] }:$src)
     /* 101062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CLFLUSHOPT),
     /* 101065 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 101069 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101073 */     GIR_RootConstrainSelectedInstOperands,
     /* 101074 */     // GIR_Coverage, 162,
     /* 101074 */     GIR_EraseRootFromParent_Done,
     /* 101075 */   // Label 2141: @101075
     /* 101075 */   GIM_Try, /*On fail goto*//*Label 2142*/ GIMT_Encode4(101112), // Rule ID 163 //
     /* 101080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCLWB),
     /* 101083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_clwb),
     /* 101088 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 101099 */     // (intrinsic_void 14466:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (CLWB addr:{ *:[iPTR] }:$src)
     /* 101099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CLWB),
     /* 101102 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 101106 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101110 */     GIR_RootConstrainSelectedInstOperands,
     /* 101111 */     // GIR_Coverage, 163,
     /* 101111 */     GIR_EraseRootFromParent_Done,
     /* 101112 */   // Label 2142: @101112
     /* 101112 */   GIM_Try, /*On fail goto*//*Label 2143*/ GIMT_Encode4(101149), // Rule ID 164 //
     /* 101117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCLDEMOTE),
     /* 101120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_cldemote),
     /* 101125 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 101136 */     // (intrinsic_void 14462:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (CLDEMOTE addr:{ *:[iPTR] }:$src)
     /* 101136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CLDEMOTE),
     /* 101139 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 101143 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101147 */     GIR_RootConstrainSelectedInstOperands,
     /* 101148 */     // GIR_Coverage, 164,
     /* 101148 */     GIR_EraseRootFromParent_Done,
     /* 101149 */   // Label 2143: @101149
     /* 101149 */   GIM_Try, /*On fail goto*//*Label 2144*/ GIMT_Encode4(101186), // Rule ID 169 //
     /* 101154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVRS),
     /* 101157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_prefetchrs),
     /* 101162 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 101173 */     // (intrinsic_void 14580:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (PREFETCHRST2 addr:{ *:[iPTR] }:$src)
     /* 101173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PREFETCHRST2),
     /* 101176 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 101180 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101184 */     GIR_RootConstrainSelectedInstOperands,
     /* 101185 */     // GIR_Coverage, 169,
     /* 101185 */     GIR_EraseRootFromParent_Done,
     /* 101186 */   // Label 2144: @101186
     /* 101186 */   GIM_Try, /*On fail goto*//*Label 2145*/ GIMT_Encode4(101223), // Rule ID 1132 //
     /* 101191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFXSR),
     /* 101194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_fxsave),
     /* 101199 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 101210 */     // (intrinsic_void 14486:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst)  =>  (FXSAVE addr:{ *:[iPTR] }:$dst)
     /* 101210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::FXSAVE),
     /* 101213 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 101217 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101221 */     GIR_RootConstrainSelectedInstOperands,
     /* 101222 */     // GIR_Coverage, 1132,
     /* 101222 */     GIR_EraseRootFromParent_Done,
     /* 101223 */   // Label 2145: @101223
     /* 101223 */   GIM_Try, /*On fail goto*//*Label 2146*/ GIMT_Encode4(101260), // Rule ID 1133 //
     /* 101228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFXSR_In64BitMode),
     /* 101231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_fxsave64),
     /* 101236 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 101247 */     // (intrinsic_void 14487:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst)  =>  (FXSAVE64 addr:{ *:[iPTR] }:$dst)
     /* 101247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::FXSAVE64),
     /* 101250 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 101254 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101258 */     GIR_RootConstrainSelectedInstOperands,
     /* 101259 */     // GIR_Coverage, 1133,
     /* 101259 */     GIR_EraseRootFromParent_Done,
     /* 101260 */   // Label 2146: @101260
     /* 101260 */   GIM_Try, /*On fail goto*//*Label 2147*/ GIMT_Encode4(101303), // Rule ID 1134 //
     /* 101265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFXSR),
     /* 101268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_fxrstor),
     /* 101273 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 101284 */     // (intrinsic_void 14484:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (FXRSTOR:{ *:[i16] } addr:{ *:[iPTR] }:$src)
     /* 101284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::FXRSTOR),
     /* 101287 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 101291 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 101294 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPCW*/1,
     /* 101297 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101301 */     GIR_RootConstrainSelectedInstOperands,
     /* 101302 */     // GIR_Coverage, 1134,
     /* 101302 */     GIR_EraseRootFromParent_Done,
     /* 101303 */   // Label 2147: @101303
     /* 101303 */   GIM_Try, /*On fail goto*//*Label 2148*/ GIMT_Encode4(101346), // Rule ID 1135 //
     /* 101308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFXSR_In64BitMode),
     /* 101311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_fxrstor64),
     /* 101316 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 101327 */     // (intrinsic_void 14485:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (FXRSTOR64:{ *:[i16] } addr:{ *:[iPTR] }:$src)
     /* 101327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::FXRSTOR64),
     /* 101330 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 101334 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 101337 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPCW*/1,
     /* 101340 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101344 */     GIR_RootConstrainSelectedInstOperands,
     /* 101345 */     // GIR_Coverage, 1135,
     /* 101345 */     GIR_EraseRootFromParent_Done,
     /* 101346 */   // Label 2148: @101346
     /* 101346 */   GIM_Try, /*On fail goto*//*Label 2149*/ GIMT_Encode4(101383), // Rule ID 2508 //
     /* 101351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCLFLUSH),
     /* 101354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_sse2_clflush),
     /* 101359 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 101370 */     // (intrinsic_void 14654:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (CLFLUSH addr:{ *:[iPTR] }:$src)
     /* 101370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CLFLUSH),
     /* 101373 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 101377 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101381 */     GIR_RootConstrainSelectedInstOperands,
     /* 101382 */     // GIR_Coverage, 2508,
     /* 101382 */     GIR_EraseRootFromParent_Done,
     /* 101383 */   // Label 2149: @101383
     /* 101383 */   GIM_Try, /*On fail goto*//*Label 2150*/ GIMT_Encode4(101423), // Rule ID 2513 //
     /* 101388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /* 101391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_sse_ldmxcsr),
     /* 101396 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 101407 */     // (intrinsic_void 14635:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VLDMXCSR addr:{ *:[iPTR] }:$src)
     /* 101407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VLDMXCSR),
     /* 101410 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 101414 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::MXCSR*/0,
     /* 101417 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101421 */     GIR_RootConstrainSelectedInstOperands,
     /* 101422 */     // GIR_Coverage, 2513,
     /* 101422 */     GIR_EraseRootFromParent_Done,
     /* 101423 */   // Label 2150: @101423
     /* 101423 */   GIM_Try, /*On fail goto*//*Label 2151*/ GIMT_Encode4(101460), // Rule ID 2514 //
     /* 101428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /* 101431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_sse_stmxcsr),
     /* 101436 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 101447 */     // (intrinsic_void 14647:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst)  =>  (VSTMXCSR addr:{ *:[iPTR] }:$dst)
     /* 101447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSTMXCSR),
     /* 101450 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 101454 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101458 */     GIR_RootConstrainSelectedInstOperands,
     /* 101459 */     // GIR_Coverage, 2514,
     /* 101459 */     GIR_EraseRootFromParent_Done,
     /* 101460 */   // Label 2151: @101460
     /* 101460 */   GIM_Try, /*On fail goto*//*Label 2152*/ GIMT_Encode4(101497), // Rule ID 2515 //
     /* 101465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_sse_ldmxcsr),
     /* 101470 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 101481 */     // (intrinsic_void 14635:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (LDMXCSR addr:{ *:[iPTR] }:$src)
     /* 101481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LDMXCSR),
     /* 101484 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 101488 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::MXCSR*/0,
     /* 101491 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101495 */     GIR_RootConstrainSelectedInstOperands,
     /* 101496 */     // GIR_Coverage, 2515,
     /* 101496 */     GIR_EraseRootFromParent_Done,
     /* 101497 */   // Label 2152: @101497
     /* 101497 */   GIM_Try, /*On fail goto*//*Label 2153*/ GIMT_Encode4(101531), // Rule ID 2516 //
     /* 101502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_sse_stmxcsr),
     /* 101507 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 101518 */     // (intrinsic_void 14647:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst)  =>  (STMXCSR addr:{ *:[iPTR] }:$dst)
     /* 101518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::STMXCSR),
     /* 101521 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 101525 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101529 */     GIR_RootConstrainSelectedInstOperands,
     /* 101530 */     // GIR_Coverage, 2516,
     /* 101530 */     GIR_EraseRootFromParent_Done,
     /* 101531 */   // Label 2153: @101531
     /* 101531 */   GIM_Try, /*On fail goto*//*Label 2154*/ GIMT_Encode4(101592), // Rule ID 16992 //
     /* 101536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXTILE_In64BitMode_NoEGPR),
     /* 101539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_ldtilecfg),
     /* 101544 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 101555 */     // (intrinsic_void 14492:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (LDTILECFG:{ *:[x86amx] } addr:{ *:[iPTR] }:$src)
     /* 101555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LDTILECFG),
     /* 101558 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 101562 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM0*/0,
     /* 101565 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM1*/1,
     /* 101568 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM2*/2,
     /* 101571 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM3*/3,
     /* 101574 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM4*/4,
     /* 101577 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM5*/5,
     /* 101580 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM6*/6,
     /* 101583 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM7*/7,
     /* 101586 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101590 */     GIR_RootConstrainSelectedInstOperands,
     /* 101591 */     // GIR_Coverage, 16992,
     /* 101591 */     GIR_EraseRootFromParent_Done,
     /* 101592 */   // Label 2154: @101592
     /* 101592 */   GIM_Try, /*On fail goto*//*Label 2155*/ GIMT_Encode4(101629), // Rule ID 16993 //
     /* 101597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXTILE_In64BitMode_NoEGPR),
     /* 101600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_sttilecfg),
     /* 101605 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 101616 */     // (intrinsic_void 14788:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (STTILECFG addr:{ *:[iPTR] }:$src)
     /* 101616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::STTILECFG),
     /* 101619 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 101623 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101627 */     GIR_RootConstrainSelectedInstOperands,
     /* 101628 */     // GIR_Coverage, 16993,
     /* 101628 */     GIR_EraseRootFromParent_Done,
     /* 101629 */   // Label 2155: @101629
     /* 101629 */   GIM_Try, /*On fail goto*//*Label 2156*/ GIMT_Encode4(101690), // Rule ID 16994 //
     /* 101634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXTILE_HasEGPR_In64BitMode),
     /* 101637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_ldtilecfg),
     /* 101642 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 101653 */     // (intrinsic_void 14492:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (LDTILECFG_EVEX:{ *:[x86amx] } addr:{ *:[iPTR] }:$src)
     /* 101653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LDTILECFG_EVEX),
     /* 101656 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 101660 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM0*/0,
     /* 101663 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM1*/1,
     /* 101666 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM2*/2,
     /* 101669 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM3*/3,
     /* 101672 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM4*/4,
     /* 101675 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM5*/5,
     /* 101678 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM6*/6,
     /* 101681 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM7*/7,
     /* 101684 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101688 */     GIR_RootConstrainSelectedInstOperands,
     /* 101689 */     // GIR_Coverage, 16994,
     /* 101689 */     GIR_EraseRootFromParent_Done,
     /* 101690 */   // Label 2156: @101690
     /* 101690 */   GIM_Try, /*On fail goto*//*Label 2157*/ GIMT_Encode4(101727), // Rule ID 16995 //
     /* 101695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXTILE_HasEGPR_In64BitMode),
     /* 101698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_sttilecfg),
     /* 101703 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 101714 */     // (intrinsic_void 14788:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (STTILECFG_EVEX addr:{ *:[iPTR] }:$src)
     /* 101714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::STTILECFG_EVEX),
     /* 101717 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 101721 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101725 */     GIR_RootConstrainSelectedInstOperands,
     /* 101726 */     // GIR_Coverage, 16995,
     /* 101726 */     GIR_EraseRootFromParent_Done,
     /* 101727 */   // Label 2157: @101727
     /* 101727 */   GIM_Try, /*On fail goto*//*Label 2158*/ GIMT_Encode4(101764), // Rule ID 17092 //
     /* 101732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_rstorssp),
     /* 101737 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 101748 */     // (intrinsic_void 14601:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (RSTORSSP addr:{ *:[iPTR] }:$src)
     /* 101748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RSTORSSP),
     /* 101751 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 101755 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::SSP*/0,
     /* 101758 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101762 */     GIR_RootConstrainSelectedInstOperands,
     /* 101763 */     // GIR_Coverage, 17092,
     /* 101763 */     GIR_EraseRootFromParent_Done,
     /* 101764 */   // Label 2158: @101764
     /* 101764 */   GIM_Try, /*On fail goto*//*Label 2159*/ GIMT_Encode4(101801), // Rule ID 17102 //
     /* 101769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_clrssbsy),
     /* 101774 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 101785 */     // (intrinsic_void 14464:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (CLRSSBSY addr:{ *:[iPTR] }:$src)
     /* 101785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CLRSSBSY),
     /* 101788 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 101792 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::SSP*/0,
     /* 101795 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101799 */     GIR_RootConstrainSelectedInstOperands,
     /* 101800 */     // GIR_Coverage, 17102,
     /* 101800 */     GIR_EraseRootFromParent_Done,
     /* 101801 */   // Label 2159: @101801
     /* 101801 */   GIM_Try, /*On fail goto*//*Label 2160*/ GIMT_Encode4(101831), // Rule ID 17074 //
     /* 101806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_int),
     /* 101811 */     // MIs[0] Operand 1
     /* 101811 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/1, GIMT_Encode8(3),
     /* 101822 */     // (intrinsic_void 14490:{ *:[iPTR] }, 3:{ *:[i8] })  =>  (INT3)
     /* 101822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INT3),
     /* 101825 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101829 */     GIR_RootConstrainSelectedInstOperands,
     /* 101830 */     // GIR_Coverage, 17074,
     /* 101830 */     GIR_EraseRootFromParent_Done,
     /* 101831 */   // Label 2160: @101831
     /* 101831 */   GIM_Try, /*On fail goto*//*Label 2161*/ GIMT_Encode4(101858), // Rule ID 16986 //
     /* 101836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRTM),
     /* 101839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_xabort),
     /* 101844 */     // MIs[0] imm
     /* 101844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 101847 */     // (intrinsic_void 14931:{ *:[iPTR] }, (timm:{ *:[i8] }):$imm)  =>  (XABORT (timm:{ *:[i8] }):$imm)
     /* 101847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XABORT),
     /* 101850 */     GIR_RootToRootCopy, /*OpIdx*/1, // imm
     /* 101852 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101856 */     GIR_RootConstrainSelectedInstOperands,
     /* 101857 */     // GIR_Coverage, 16986,
     /* 101857 */     GIR_EraseRootFromParent_Done,
     /* 101858 */   // Label 2161: @101858
     /* 101858 */   GIM_Try, /*On fail goto*//*Label 2162*/ GIMT_Encode4(101885), // Rule ID 16998 //
     /* 101863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXTILE_In64BitMode),
     /* 101866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_tilezero),
     /* 101871 */     // MIs[0] src
     /* 101871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 101874 */     // (intrinsic_void 14862:{ *:[iPTR] }, (timm:{ *:[i8] }):$src)  =>  (PTILEZERO (timm:{ *:[i8] }):$src)
     /* 101874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTILEZERO),
     /* 101877 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 101879 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101883 */     GIR_RootConstrainSelectedInstOperands,
     /* 101884 */     // GIR_Coverage, 16998,
     /* 101884 */     GIR_EraseRootFromParent_Done,
     /* 101885 */   // Label 2162: @101885
     /* 101885 */   GIM_Try, /*On fail goto*//*Label 2163*/ GIMT_Encode4(101909), // Rule ID 17076 //
     /* 101890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_int),
     /* 101895 */     // MIs[0] trap
     /* 101895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 101898 */     // (intrinsic_void 14490:{ *:[iPTR] }, (timm:{ *:[i8] }):$trap)  =>  (INT (timm:{ *:[i8] }):$trap)
     /* 101898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INT),
     /* 101901 */     GIR_RootToRootCopy, /*OpIdx*/1, // trap
     /* 101903 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101907 */     GIR_RootConstrainSelectedInstOperands,
     /* 101908 */     // GIR_Coverage, 17076,
     /* 101908 */     GIR_EraseRootFromParent_Done,
     /* 101909 */   // Label 2163: @101909
     /* 101909 */   GIM_Try, /*On fail goto*//*Label 2164*/ GIMT_Encode4(101943), // Rule ID 1 //
     /* 101914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Not64BitMode),
     /* 101917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_flags_read_u32),
     /* 101922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 101925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 101929 */     // (intrinsic_w_chain:{ *:[i32] } 14476:{ *:[iPTR] })  =>  (RDFLAGS32:{ *:[i32] }:{ *:[i32] })
     /* 101929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RDFLAGS32),
     /* 101932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 101934 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::ESP*/0,
     /* 101937 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101941 */     GIR_RootConstrainSelectedInstOperands,
     /* 101942 */     // GIR_Coverage, 1,
     /* 101942 */     GIR_EraseRootFromParent_Done,
     /* 101943 */   // Label 2164: @101943
     /* 101943 */   GIM_Try, /*On fail goto*//*Label 2165*/ GIMT_Encode4(101977), // Rule ID 2 //
     /* 101948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /* 101951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_flags_read_u64),
     /* 101956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 101959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 101963 */     // (intrinsic_w_chain:{ *:[i64] } 14477:{ *:[iPTR] })  =>  (RDFLAGS64:{ *:[i64] }:{ *:[i32] })
     /* 101963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RDFLAGS64),
     /* 101966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 101968 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::ESP*/0,
     /* 101971 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101975 */     GIR_RootConstrainSelectedInstOperands,
     /* 101976 */     // GIR_Coverage, 2,
     /* 101976 */     GIR_EraseRootFromParent_Done,
     /* 101977 */   // Label 2165: @101977
     /* 101977 */   GIM_Try, /*On fail goto*//*Label 2166*/ GIMT_Encode4(102008), // Rule ID 115 //
     /* 101982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLWP),
     /* 101985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_slwpcb),
     /* 101990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 101993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 101997 */     // (intrinsic_w_chain:{ *:[i32] } 14616:{ *:[iPTR] })  =>  (SLWPCB:{ *:[i32] })
     /* 101997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SLWPCB),
     /* 102000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102002 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102006 */     GIR_RootConstrainSelectedInstOperands,
     /* 102007 */     // GIR_Coverage, 115,
     /* 102007 */     GIR_EraseRootFromParent_Done,
     /* 102008 */   // Label 2166: @102008
     /* 102008 */   GIM_Try, /*On fail goto*//*Label 2167*/ GIMT_Encode4(102039), // Rule ID 117 //
     /* 102013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLWP),
     /* 102016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_slwpcb),
     /* 102021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 102024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 102028 */     // (intrinsic_w_chain:{ *:[i64] } 14616:{ *:[iPTR] })  =>  (SLWPCB64:{ *:[i64] })
     /* 102028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SLWPCB64),
     /* 102031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102033 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102037 */     GIR_RootConstrainSelectedInstOperands,
     /* 102038 */     // GIR_Coverage, 117,
     /* 102038 */     GIR_EraseRootFromParent_Done,
     /* 102039 */   // Label 2167: @102039
     /* 102039 */   GIM_Try, /*On fail goto*//*Label 2168*/ GIMT_Encode4(102070), // Rule ID 16983 //
     /* 102044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRTM),
     /* 102047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xbegin),
     /* 102052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 102055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 102059 */     // (intrinsic_w_chain:{ *:[i32] } 14932:{ *:[iPTR] })  =>  (XBEGIN:{ *:[i32] })
     /* 102059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XBEGIN),
     /* 102062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102064 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102068 */     GIR_RootConstrainSelectedInstOperands,
     /* 102069 */     // GIR_Coverage, 16983,
     /* 102069 */     GIR_EraseRootFromParent_Done,
     /* 102070 */   // Label 2168: @102070
     /* 102070 */   GIM_Try, /*On fail goto*//*Label 2169*/ GIMT_Encode4(102101), // Rule ID 17118 //
     /* 102075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFSGSBase_In64BitMode),
     /* 102078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_rdfsbase_32),
     /* 102083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 102086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 102090 */     // (intrinsic_w_chain:{ *:[i32] } 14583:{ *:[iPTR] })  =>  (RDFSBASE:{ *:[i32] })
     /* 102090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RDFSBASE),
     /* 102093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102095 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102099 */     GIR_RootConstrainSelectedInstOperands,
     /* 102100 */     // GIR_Coverage, 17118,
     /* 102100 */     GIR_EraseRootFromParent_Done,
     /* 102101 */   // Label 2169: @102101
     /* 102101 */   GIM_Try, /*On fail goto*//*Label 2170*/ GIMT_Encode4(102132), // Rule ID 17119 //
     /* 102106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFSGSBase_In64BitMode),
     /* 102109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_rdfsbase_64),
     /* 102114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 102117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 102121 */     // (intrinsic_w_chain:{ *:[i64] } 14584:{ *:[iPTR] })  =>  (RDFSBASE64:{ *:[i64] })
     /* 102121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RDFSBASE64),
     /* 102124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102126 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102130 */     GIR_RootConstrainSelectedInstOperands,
     /* 102131 */     // GIR_Coverage, 17119,
     /* 102131 */     GIR_EraseRootFromParent_Done,
     /* 102132 */   // Label 2170: @102132
     /* 102132 */   GIM_Try, /*On fail goto*//*Label 2171*/ GIMT_Encode4(102163), // Rule ID 17120 //
     /* 102137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFSGSBase_In64BitMode),
     /* 102140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_rdgsbase_32),
     /* 102145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 102148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 102152 */     // (intrinsic_w_chain:{ *:[i32] } 14585:{ *:[iPTR] })  =>  (RDGSBASE:{ *:[i32] })
     /* 102152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RDGSBASE),
     /* 102155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102157 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102161 */     GIR_RootConstrainSelectedInstOperands,
     /* 102162 */     // GIR_Coverage, 17120,
     /* 102162 */     GIR_EraseRootFromParent_Done,
     /* 102163 */   // Label 2171: @102163
     /* 102163 */   GIM_Try, /*On fail goto*//*Label 2172*/ GIMT_Encode4(102194), // Rule ID 17121 //
     /* 102168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFSGSBase_In64BitMode),
     /* 102171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_rdgsbase_64),
     /* 102176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 102179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 102183 */     // (intrinsic_w_chain:{ *:[i64] } 14586:{ *:[iPTR] })  =>  (RDGSBASE64:{ *:[i64] })
     /* 102183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RDGSBASE64),
     /* 102186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102188 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102192 */     GIR_RootConstrainSelectedInstOperands,
     /* 102193 */     // GIR_Coverage, 17121,
     /* 102193 */     GIR_EraseRootFromParent_Done,
     /* 102194 */   // Label 2172: @102194
     /* 102194 */   GIM_Try, /*On fail goto*//*Label 2173*/ GIMT_Encode4(102225), // Rule ID 17127 //
     /* 102199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRDPID_Not64BitMode),
     /* 102202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_rdpid),
     /* 102207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 102210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 102214 */     // (intrinsic_w_chain:{ *:[i32] } 14587:{ *:[iPTR] })  =>  (RDPID32:{ *:[i32] })
     /* 102214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RDPID32),
     /* 102217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102219 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102223 */     GIR_RootConstrainSelectedInstOperands,
     /* 102224 */     // GIR_Coverage, 17127,
     /* 102224 */     GIR_EraseRootFromParent_Done,
     /* 102225 */   // Label 2173: @102225
     /* 102225 */   GIM_Try, /*On fail goto*//*Label 2174*/ GIMT_Encode4(102282), // Rule ID 22380 //
     /* 102230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRDPID_In64BitMode),
     /* 102233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_rdpid),
     /* 102238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 102241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 102245 */     // (intrinsic_w_chain:{ *:[i32] } 14587:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[i32] } (RDPID64:{ *:[i64] }), sub_32bit:{ *:[i32] })
     /* 102245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 102248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::RDPID64),
     /* 102252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 102257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 102259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 102262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102264 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_32bit),
     /* 102271 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR32RegClassID),
     /* 102276 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 102281 */     // GIR_Coverage, 22380,
     /* 102281 */     GIR_EraseRootFromParent_Done,
     /* 102282 */   // Label 2174: @102282
     /* 102282 */   GIM_Try, /*On fail goto*//*Label 2175*/ GIMT_Encode4(102322), // Rule ID 3 //
     /* 102287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Not64BitMode),
     /* 102290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_flags_write_u32),
     /* 102295 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 102298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 102302 */     // (intrinsic_void 14478:{ *:[iPTR] }, GR32:{ *:[i32] }:$src)  =>  (WRFLAGS32:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /* 102302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::WRFLAGS32),
     /* 102305 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 102307 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::ESP*/0,
     /* 102310 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/1,
     /* 102313 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::DF*/2,
     /* 102316 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102320 */     GIR_RootConstrainSelectedInstOperands,
     /* 102321 */     // GIR_Coverage, 3,
     /* 102321 */     GIR_EraseRootFromParent_Done,
     /* 102322 */   // Label 2175: @102322
     /* 102322 */   GIM_Try, /*On fail goto*//*Label 2176*/ GIMT_Encode4(102362), // Rule ID 4 //
     /* 102327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /* 102330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_flags_write_u64),
     /* 102335 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 102338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 102342 */     // (intrinsic_void 14479:{ *:[iPTR] }, GR64:{ *:[i64] }:$src)  =>  (WRFLAGS64:{ *:[i64] } GR64:{ *:[i64] }:$src)
     /* 102342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::WRFLAGS64),
     /* 102345 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 102347 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::RSP*/0,
     /* 102350 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/1,
     /* 102353 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::DF*/2,
     /* 102356 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102360 */     GIR_RootConstrainSelectedInstOperands,
     /* 102361 */     // GIR_Coverage, 4,
     /* 102361 */     GIR_EraseRootFromParent_Done,
     /* 102362 */   // Label 2176: @102362
     /* 102362 */   GIM_Try, /*On fail goto*//*Label 2177*/ GIMT_Encode4(102393), // Rule ID 154 //
     /* 102367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUINTR_In64BitMode),
     /* 102370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_senduipi),
     /* 102375 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 102378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 102382 */     // (intrinsic_void 14606:{ *:[iPTR] }, GR64:{ *:[i64] }:$arg)  =>  (SENDUIPI GR64:{ *:[i64] }:$arg)
     /* 102382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SENDUIPI),
     /* 102385 */     GIR_RootToRootCopy, /*OpIdx*/1, // arg
     /* 102387 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102391 */     GIR_RootConstrainSelectedInstOperands,
     /* 102392 */     // GIR_Coverage, 154,
     /* 102392 */     GIR_EraseRootFromParent_Done,
     /* 102393 */   // Label 2177: @102393
     /* 102393 */   GIM_Try, /*On fail goto*//*Label 2178*/ GIMT_Encode4(102424), // Rule ID 17087 //
     /* 102398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_incsspd),
     /* 102403 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 102406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 102410 */     // (intrinsic_void 14488:{ *:[iPTR] }, GR32:{ *:[i32] }:$src)  =>  (INCSSPD GR32:{ *:[i32] }:$src)
     /* 102410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INCSSPD),
     /* 102413 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 102415 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::SSP*/0,
     /* 102418 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102422 */     GIR_RootConstrainSelectedInstOperands,
     /* 102423 */     // GIR_Coverage, 17087,
     /* 102423 */     GIR_EraseRootFromParent_Done,
     /* 102424 */   // Label 2178: @102424
     /* 102424 */   GIM_Try, /*On fail goto*//*Label 2179*/ GIMT_Encode4(102455), // Rule ID 17088 //
     /* 102429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_incsspq),
     /* 102434 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 102437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 102441 */     // (intrinsic_void 14489:{ *:[iPTR] }, GR64:{ *:[i64] }:$src)  =>  (INCSSPQ GR64:{ *:[i64] }:$src)
     /* 102441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INCSSPQ),
     /* 102444 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 102446 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::SSP*/0,
     /* 102449 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102453 */     GIR_RootConstrainSelectedInstOperands,
     /* 102454 */     // GIR_Coverage, 17088,
     /* 102454 */     GIR_EraseRootFromParent_Done,
     /* 102455 */   // Label 2179: @102455
     /* 102455 */   GIM_Try, /*On fail goto*//*Label 2180*/ GIMT_Encode4(102486), // Rule ID 17122 //
     /* 102460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFSGSBase_In64BitMode),
     /* 102463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_wrfsbase_32),
     /* 102468 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 102471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 102475 */     // (intrinsic_void 14922:{ *:[iPTR] }, GR32:{ *:[i32] }:$src)  =>  (WRFSBASE GR32:{ *:[i32] }:$src)
     /* 102475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::WRFSBASE),
     /* 102478 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 102480 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102484 */     GIR_RootConstrainSelectedInstOperands,
     /* 102485 */     // GIR_Coverage, 17122,
     /* 102485 */     GIR_EraseRootFromParent_Done,
     /* 102486 */   // Label 2180: @102486
     /* 102486 */   GIM_Try, /*On fail goto*//*Label 2181*/ GIMT_Encode4(102517), // Rule ID 17123 //
     /* 102491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFSGSBase_In64BitMode),
     /* 102494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_wrfsbase_64),
     /* 102499 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 102502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 102506 */     // (intrinsic_void 14923:{ *:[iPTR] }, GR64:{ *:[i64] }:$src)  =>  (WRFSBASE64 GR64:{ *:[i64] }:$src)
     /* 102506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::WRFSBASE64),
     /* 102509 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 102511 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102515 */     GIR_RootConstrainSelectedInstOperands,
     /* 102516 */     // GIR_Coverage, 17123,
     /* 102516 */     GIR_EraseRootFromParent_Done,
     /* 102517 */   // Label 2181: @102517
     /* 102517 */   GIM_Try, /*On fail goto*//*Label 2182*/ GIMT_Encode4(102548), // Rule ID 17124 //
     /* 102522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFSGSBase_In64BitMode),
     /* 102525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_wrgsbase_32),
     /* 102530 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 102533 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 102537 */     // (intrinsic_void 14924:{ *:[iPTR] }, GR32:{ *:[i32] }:$src)  =>  (WRGSBASE GR32:{ *:[i32] }:$src)
     /* 102537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::WRGSBASE),
     /* 102540 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 102542 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102546 */     GIR_RootConstrainSelectedInstOperands,
     /* 102547 */     // GIR_Coverage, 17124,
     /* 102547 */     GIR_EraseRootFromParent_Done,
     /* 102548 */   // Label 2182: @102548
     /* 102548 */   GIM_Try, /*On fail goto*//*Label 2183*/ GIMT_Encode4(102579), // Rule ID 17125 //
     /* 102553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFSGSBase_In64BitMode),
     /* 102556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_wrgsbase_64),
     /* 102561 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 102564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 102568 */     // (intrinsic_void 14925:{ *:[iPTR] }, GR64:{ *:[i64] }:$src)  =>  (WRGSBASE64 GR64:{ *:[i64] }:$src)
     /* 102568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::WRGSBASE64),
     /* 102571 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 102573 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102577 */     GIR_RootConstrainSelectedInstOperands,
     /* 102578 */     // GIR_Coverage, 17125,
     /* 102578 */     GIR_EraseRootFromParent_Done,
     /* 102579 */   // Label 2183: @102579
     /* 102579 */   GIM_Try, /*On fail goto*//*Label 2184*/ GIMT_Encode4(102610), // Rule ID 17130 //
     /* 102584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPTWRITE),
     /* 102587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_ptwrite32),
     /* 102592 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 102595 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 102599 */     // (intrinsic_void 14581:{ *:[iPTR] }, GR32:{ *:[i32] }:$dst)  =>  (PTWRITEr GR32:{ *:[i32] }:$dst)
     /* 102599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTWRITEr),
     /* 102602 */     GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 102604 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102608 */     GIR_RootConstrainSelectedInstOperands,
     /* 102609 */     // GIR_Coverage, 17130,
     /* 102609 */     GIR_EraseRootFromParent_Done,
     /* 102610 */   // Label 2184: @102610
     /* 102610 */   GIM_Try, /*On fail goto*//*Label 2185*/ GIMT_Encode4(102641), // Rule ID 17131 //
     /* 102615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPTWRITE_In64BitMode),
     /* 102618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_ptwrite64),
     /* 102623 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 102626 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 102630 */     // (intrinsic_void 14582:{ *:[iPTR] }, GR64:{ *:[i64] }:$dst)  =>  (PTWRITE64r GR64:{ *:[i64] }:$dst)
     /* 102630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTWRITE64r),
     /* 102633 */     GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 102635 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102639 */     GIR_RootConstrainSelectedInstOperands,
     /* 102640 */     // GIR_Coverage, 17131,
     /* 102640 */     GIR_EraseRootFromParent_Done,
     /* 102641 */   // Label 2185: @102641
     /* 102641 */   GIM_Try, /*On fail goto*//*Label 2186*/ GIMT_Encode4(102673), // Rule ID 114 //
     /* 102646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLWP),
     /* 102649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_llwpcb),
     /* 102654 */     // MIs[0] src
     /* 102654 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /* 102658 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 102662 */     // (intrinsic_void 14494:{ *:[iPTR] }, GR32:{ *:[i32] }:$src)  =>  (LLWPCB GR32:{ *:[i32] }:$src)
     /* 102662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LLWPCB),
     /* 102665 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 102667 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102671 */     GIR_RootConstrainSelectedInstOperands,
     /* 102672 */     // GIR_Coverage, 114,
     /* 102672 */     GIR_EraseRootFromParent_Done,
     /* 102673 */   // Label 2186: @102673
     /* 102673 */   GIM_Try, /*On fail goto*//*Label 2187*/ GIMT_Encode4(102705), // Rule ID 116 //
     /* 102678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLWP),
     /* 102681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_llwpcb),
     /* 102686 */     // MIs[0] src
     /* 102686 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 102690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 102694 */     // (intrinsic_void 14494:{ *:[iPTR] }, GR64:{ *:[i64] }:$src)  =>  (LLWPCB64 GR64:{ *:[i64] }:$src)
     /* 102694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LLWPCB64),
     /* 102697 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 102699 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102703 */     GIR_RootConstrainSelectedInstOperands,
     /* 102704 */     // GIR_Coverage, 116,
     /* 102704 */     GIR_EraseRootFromParent_Done,
     /* 102705 */   // Label 2187: @102705
     /* 102705 */   GIM_Try, /*On fail goto*//*Label 2188*/ GIMT_Encode4(102737), // Rule ID 126 //
     /* 102710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasWAITPKG_Not64BitMode),
     /* 102713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_umonitor),
     /* 102718 */     // MIs[0] src
     /* 102718 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/16,
     /* 102722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 102726 */     // (intrinsic_void 14879:{ *:[iPTR] }, GR16:{ *:[i16] }:$src)  =>  (UMONITOR16 GR16:{ *:[i16] }:$src)
     /* 102726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::UMONITOR16),
     /* 102729 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 102731 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102735 */     GIR_RootConstrainSelectedInstOperands,
     /* 102736 */     // GIR_Coverage, 126,
     /* 102736 */     GIR_EraseRootFromParent_Done,
     /* 102737 */   // Label 2188: @102737
     /* 102737 */   GIM_Try, /*On fail goto*//*Label 2189*/ GIMT_Encode4(102769), // Rule ID 127 //
     /* 102742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasWAITPKG),
     /* 102745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_umonitor),
     /* 102750 */     // MIs[0] src
     /* 102750 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /* 102754 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 102758 */     // (intrinsic_void 14879:{ *:[iPTR] }, GR32:{ *:[i32] }:$src)  =>  (UMONITOR32 GR32:{ *:[i32] }:$src)
     /* 102758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::UMONITOR32),
     /* 102761 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 102763 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102767 */     GIR_RootConstrainSelectedInstOperands,
     /* 102768 */     // GIR_Coverage, 127,
     /* 102768 */     GIR_EraseRootFromParent_Done,
     /* 102769 */   // Label 2189: @102769
     /* 102769 */   GIM_Try, /*On fail goto*//*Label 2190*/ GIMT_Encode4(102801), // Rule ID 128 //
     /* 102774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasWAITPKG_In64BitMode),
     /* 102777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_umonitor),
     /* 102782 */     // MIs[0] src
     /* 102782 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 102786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 102790 */     // (intrinsic_void 14879:{ *:[iPTR] }, GR64:{ *:[i64] }:$src)  =>  (UMONITOR64 GR64:{ *:[i64] }:$src)
     /* 102790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::UMONITOR64),
     /* 102793 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 102795 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102799 */     GIR_RootConstrainSelectedInstOperands,
     /* 102800 */     // GIR_Coverage, 128,
     /* 102800 */     GIR_EraseRootFromParent_Done,
     /* 102801 */   // Label 2190: @102801
     /* 102801 */   GIM_Reject,
     /* 102802 */ // Label 2138: @102802
     /* 102802 */ GIM_Try, /*On fail goto*//*Label 2191*/ GIMT_Encode4(105796),
     /* 102807 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /* 102810 */   GIM_Try, /*On fail goto*//*Label 2192*/ GIMT_Encode4(102856), // Rule ID 165 //
     /* 102815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVRS_In64BitMode_NoEGPR),
     /* 102818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_movrsqi),
     /* 102823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 102826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 102830 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 102834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 102841 */     // (intrinsic_w_chain:{ *:[i8] } 14574:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (MOVRS8rm:{ *:[i8] } addr:{ *:[iPTR] }:$src)
     /* 102841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVRS8rm),
     /* 102844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102846 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 102850 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102854 */     GIR_RootConstrainSelectedInstOperands,
     /* 102855 */     // GIR_Coverage, 165,
     /* 102855 */     GIR_EraseRootFromParent_Done,
     /* 102856 */   // Label 2192: @102856
     /* 102856 */   GIM_Try, /*On fail goto*//*Label 2193*/ GIMT_Encode4(102902), // Rule ID 166 //
     /* 102861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVRS_In64BitMode_NoEGPR),
     /* 102864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_movrshi),
     /* 102869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 102872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 102876 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 102880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 102887 */     // (intrinsic_w_chain:{ *:[i16] } 14573:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (MOVRS16rm:{ *:[i16] } addr:{ *:[iPTR] }:$src)
     /* 102887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVRS16rm),
     /* 102890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102892 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 102896 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102900 */     GIR_RootConstrainSelectedInstOperands,
     /* 102901 */     // GIR_Coverage, 166,
     /* 102901 */     GIR_EraseRootFromParent_Done,
     /* 102902 */   // Label 2193: @102902
     /* 102902 */   GIM_Try, /*On fail goto*//*Label 2194*/ GIMT_Encode4(102948), // Rule ID 167 //
     /* 102907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVRS_In64BitMode_NoEGPR),
     /* 102910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_movrssi),
     /* 102915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 102918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 102922 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 102926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 102933 */     // (intrinsic_w_chain:{ *:[i32] } 14575:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (MOVRS32rm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 102933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVRS32rm),
     /* 102936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102938 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 102942 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102946 */     GIR_RootConstrainSelectedInstOperands,
     /* 102947 */     // GIR_Coverage, 167,
     /* 102947 */     GIR_EraseRootFromParent_Done,
     /* 102948 */   // Label 2194: @102948
     /* 102948 */   GIM_Try, /*On fail goto*//*Label 2195*/ GIMT_Encode4(102994), // Rule ID 168 //
     /* 102953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVRS_In64BitMode_NoEGPR),
     /* 102956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_movrsdi),
     /* 102961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 102964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 102968 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 102972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 102979 */     // (intrinsic_w_chain:{ *:[i64] } 14572:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (MOVRS64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /* 102979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVRS64rm),
     /* 102982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102984 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 102988 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102992 */     GIR_RootConstrainSelectedInstOperands,
     /* 102993 */     // GIR_Coverage, 168,
     /* 102993 */     GIR_EraseRootFromParent_Done,
     /* 102994 */   // Label 2195: @102994
     /* 102994 */   GIM_Try, /*On fail goto*//*Label 2196*/ GIMT_Encode4(103040), // Rule ID 170 //
     /* 102999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_HasMOVRS_In64BitMode),
     /* 103002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_movrsqi),
     /* 103007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 103010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 103014 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103025 */     // (intrinsic_w_chain:{ *:[i8] } 14574:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (MOVRS8rm_EVEX:{ *:[i8] } addr:{ *:[iPTR] }:$src)
     /* 103025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVRS8rm_EVEX),
     /* 103028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103030 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103034 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103038 */     GIR_RootConstrainSelectedInstOperands,
     /* 103039 */     // GIR_Coverage, 170,
     /* 103039 */     GIR_EraseRootFromParent_Done,
     /* 103040 */   // Label 2196: @103040
     /* 103040 */   GIM_Try, /*On fail goto*//*Label 2197*/ GIMT_Encode4(103086), // Rule ID 171 //
     /* 103045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_HasMOVRS_In64BitMode),
     /* 103048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_movrshi),
     /* 103053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 103056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 103060 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103071 */     // (intrinsic_w_chain:{ *:[i16] } 14573:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (MOVRS16rm_EVEX:{ *:[i16] } addr:{ *:[iPTR] }:$src)
     /* 103071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVRS16rm_EVEX),
     /* 103074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103076 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103080 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103084 */     GIR_RootConstrainSelectedInstOperands,
     /* 103085 */     // GIR_Coverage, 171,
     /* 103085 */     GIR_EraseRootFromParent_Done,
     /* 103086 */   // Label 2197: @103086
     /* 103086 */   GIM_Try, /*On fail goto*//*Label 2198*/ GIMT_Encode4(103132), // Rule ID 172 //
     /* 103091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_HasMOVRS_In64BitMode),
     /* 103094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_movrssi),
     /* 103099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 103102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 103106 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103117 */     // (intrinsic_w_chain:{ *:[i32] } 14575:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (MOVRS32rm_EVEX:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 103117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVRS32rm_EVEX),
     /* 103120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103122 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103126 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103130 */     GIR_RootConstrainSelectedInstOperands,
     /* 103131 */     // GIR_Coverage, 172,
     /* 103131 */     GIR_EraseRootFromParent_Done,
     /* 103132 */   // Label 2198: @103132
     /* 103132 */   GIM_Try, /*On fail goto*//*Label 2199*/ GIMT_Encode4(103178), // Rule ID 173 //
     /* 103137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_HasMOVRS_In64BitMode),
     /* 103140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_movrsdi),
     /* 103145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 103148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 103152 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103163 */     // (intrinsic_w_chain:{ *:[i64] } 14572:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (MOVRS64rm_EVEX:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /* 103163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVRS64rm_EVEX),
     /* 103166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103168 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103172 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103176 */     GIR_RootConstrainSelectedInstOperands,
     /* 103177 */     // GIR_Coverage, 173,
     /* 103177 */     GIR_EraseRootFromParent_Done,
     /* 103178 */   // Label 2199: @103178
     /* 103178 */   GIM_Try, /*On fail goto*//*Label 2200*/ GIMT_Encode4(103224), // Rule ID 2950 //
     /* 103183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /* 103186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse3_ldu_dq),
     /* 103191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 103194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 103198 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103209 */     // (intrinsic_w_chain:{ *:[v16i8] } 14720:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VLDDQUrm:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)
     /* 103209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VLDDQUrm),
     /* 103212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103214 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103218 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103222 */     GIR_RootConstrainSelectedInstOperands,
     /* 103223 */     // GIR_Coverage, 2950,
     /* 103223 */     GIR_EraseRootFromParent_Done,
     /* 103224 */   // Label 2200: @103224
     /* 103224 */   GIM_Try, /*On fail goto*//*Label 2201*/ GIMT_Encode4(103270), // Rule ID 2951 //
     /* 103229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /* 103232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx_ldu_dq_256),
     /* 103237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v32s8,
     /* 103240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 103244 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103255 */     // (intrinsic_w_chain:{ *:[v32i8] } 13341:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VLDDQUYrm:{ *:[v32i8] } addr:{ *:[iPTR] }:$src)
     /* 103255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VLDDQUYrm),
     /* 103258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103260 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103264 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103268 */     GIR_RootConstrainSelectedInstOperands,
     /* 103269 */     // GIR_Coverage, 2951,
     /* 103269 */     GIR_EraseRootFromParent_Done,
     /* 103270 */   // Label 2201: @103270
     /* 103270 */   GIM_Try, /*On fail goto*//*Label 2202*/ GIMT_Encode4(103316), // Rule ID 2952 //
     /* 103275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE3),
     /* 103278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse3_ldu_dq),
     /* 103283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 103286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 103290 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103301 */     // (intrinsic_w_chain:{ *:[v16i8] } 14720:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (LDDQUrm:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)
     /* 103301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LDDQUrm),
     /* 103304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103306 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103310 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103314 */     GIR_RootConstrainSelectedInstOperands,
     /* 103315 */     // GIR_Coverage, 2952,
     /* 103315 */     GIR_EraseRootFromParent_Done,
     /* 103316 */   // Label 2202: @103316
     /* 103316 */   GIM_Try, /*On fail goto*//*Label 2203*/ GIMT_Encode4(103362), // Rule ID 3542 //
     /* 103321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVXNECONVERT),
     /* 103324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vbcstnebf162ps128),
     /* 103329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 103332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 103336 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103347 */     // (intrinsic_w_chain:{ *:[v4f32] } 14883:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VBCSTNEBF162PSrm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /* 103347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VBCSTNEBF162PSrm),
     /* 103350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103352 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103356 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103360 */     GIR_RootConstrainSelectedInstOperands,
     /* 103361 */     // GIR_Coverage, 3542,
     /* 103361 */     GIR_EraseRootFromParent_Done,
     /* 103362 */   // Label 2203: @103362
     /* 103362 */   GIM_Try, /*On fail goto*//*Label 2204*/ GIMT_Encode4(103408), // Rule ID 3543 //
     /* 103367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVXNECONVERT),
     /* 103370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vbcstnebf162ps256),
     /* 103375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 103378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 103382 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103393 */     // (intrinsic_w_chain:{ *:[v8f32] } 14884:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VBCSTNEBF162PSYrm:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /* 103393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VBCSTNEBF162PSYrm),
     /* 103396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103398 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103402 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103406 */     GIR_RootConstrainSelectedInstOperands,
     /* 103407 */     // GIR_Coverage, 3543,
     /* 103407 */     GIR_EraseRootFromParent_Done,
     /* 103408 */   // Label 2204: @103408
     /* 103408 */   GIM_Try, /*On fail goto*//*Label 2205*/ GIMT_Encode4(103454), // Rule ID 3544 //
     /* 103413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVXNECONVERT),
     /* 103416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vbcstnesh2ps128),
     /* 103421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 103424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 103428 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103439 */     // (intrinsic_w_chain:{ *:[v4f32] } 14885:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VBCSTNESH2PSrm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /* 103439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VBCSTNESH2PSrm),
     /* 103442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103444 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103448 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103452 */     GIR_RootConstrainSelectedInstOperands,
     /* 103453 */     // GIR_Coverage, 3544,
     /* 103453 */     GIR_EraseRootFromParent_Done,
     /* 103454 */   // Label 2205: @103454
     /* 103454 */   GIM_Try, /*On fail goto*//*Label 2206*/ GIMT_Encode4(103500), // Rule ID 3545 //
     /* 103459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVXNECONVERT),
     /* 103462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vbcstnesh2ps256),
     /* 103467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 103470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 103474 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103485 */     // (intrinsic_w_chain:{ *:[v8f32] } 14886:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VBCSTNESH2PSYrm:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /* 103485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VBCSTNESH2PSYrm),
     /* 103488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103490 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103494 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103498 */     GIR_RootConstrainSelectedInstOperands,
     /* 103499 */     // GIR_Coverage, 3545,
     /* 103499 */     GIR_EraseRootFromParent_Done,
     /* 103500 */   // Label 2206: @103500
     /* 103500 */   GIM_Try, /*On fail goto*//*Label 2207*/ GIMT_Encode4(103546), // Rule ID 3546 //
     /* 103505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVXNECONVERT),
     /* 103508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vcvtneebf162ps128),
     /* 103513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 103516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 103520 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103531 */     // (intrinsic_w_chain:{ *:[v4f32] } 14887:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VCVTNEEBF162PSrm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /* 103531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTNEEBF162PSrm),
     /* 103534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103536 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103540 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103544 */     GIR_RootConstrainSelectedInstOperands,
     /* 103545 */     // GIR_Coverage, 3546,
     /* 103545 */     GIR_EraseRootFromParent_Done,
     /* 103546 */   // Label 2207: @103546
     /* 103546 */   GIM_Try, /*On fail goto*//*Label 2208*/ GIMT_Encode4(103592), // Rule ID 3547 //
     /* 103551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVXNECONVERT),
     /* 103554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vcvtneebf162ps256),
     /* 103559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 103562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 103566 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103577 */     // (intrinsic_w_chain:{ *:[v8f32] } 14888:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VCVTNEEBF162PSYrm:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /* 103577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTNEEBF162PSYrm),
     /* 103580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103582 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103586 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103590 */     GIR_RootConstrainSelectedInstOperands,
     /* 103591 */     // GIR_Coverage, 3547,
     /* 103591 */     GIR_EraseRootFromParent_Done,
     /* 103592 */   // Label 2208: @103592
     /* 103592 */   GIM_Try, /*On fail goto*//*Label 2209*/ GIMT_Encode4(103638), // Rule ID 3548 //
     /* 103597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVXNECONVERT),
     /* 103600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vcvtneeph2ps128),
     /* 103605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 103608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 103612 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103623 */     // (intrinsic_w_chain:{ *:[v4f32] } 14889:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VCVTNEEPH2PSrm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /* 103623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTNEEPH2PSrm),
     /* 103626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103628 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103632 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103636 */     GIR_RootConstrainSelectedInstOperands,
     /* 103637 */     // GIR_Coverage, 3548,
     /* 103637 */     GIR_EraseRootFromParent_Done,
     /* 103638 */   // Label 2209: @103638
     /* 103638 */   GIM_Try, /*On fail goto*//*Label 2210*/ GIMT_Encode4(103684), // Rule ID 3549 //
     /* 103643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVXNECONVERT),
     /* 103646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vcvtneeph2ps256),
     /* 103651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 103654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 103658 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103669 */     // (intrinsic_w_chain:{ *:[v8f32] } 14890:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VCVTNEEPH2PSYrm:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /* 103669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTNEEPH2PSYrm),
     /* 103672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103674 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103678 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103682 */     GIR_RootConstrainSelectedInstOperands,
     /* 103683 */     // GIR_Coverage, 3549,
     /* 103683 */     GIR_EraseRootFromParent_Done,
     /* 103684 */   // Label 2210: @103684
     /* 103684 */   GIM_Try, /*On fail goto*//*Label 2211*/ GIMT_Encode4(103730), // Rule ID 3550 //
     /* 103689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVXNECONVERT),
     /* 103692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vcvtneobf162ps128),
     /* 103697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 103700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 103704 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103715 */     // (intrinsic_w_chain:{ *:[v4f32] } 14891:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VCVTNEOBF162PSrm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /* 103715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTNEOBF162PSrm),
     /* 103718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103720 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103724 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103728 */     GIR_RootConstrainSelectedInstOperands,
     /* 103729 */     // GIR_Coverage, 3550,
     /* 103729 */     GIR_EraseRootFromParent_Done,
     /* 103730 */   // Label 2211: @103730
     /* 103730 */   GIM_Try, /*On fail goto*//*Label 2212*/ GIMT_Encode4(103776), // Rule ID 3551 //
     /* 103735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVXNECONVERT),
     /* 103738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vcvtneobf162ps256),
     /* 103743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 103746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 103750 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103761 */     // (intrinsic_w_chain:{ *:[v8f32] } 14892:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VCVTNEOBF162PSYrm:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /* 103761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTNEOBF162PSYrm),
     /* 103764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103766 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103770 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103774 */     GIR_RootConstrainSelectedInstOperands,
     /* 103775 */     // GIR_Coverage, 3551,
     /* 103775 */     GIR_EraseRootFromParent_Done,
     /* 103776 */   // Label 2212: @103776
     /* 103776 */   GIM_Try, /*On fail goto*//*Label 2213*/ GIMT_Encode4(103822), // Rule ID 3552 //
     /* 103781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVXNECONVERT),
     /* 103784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vcvtneoph2ps128),
     /* 103789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 103792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 103796 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103807 */     // (intrinsic_w_chain:{ *:[v4f32] } 14893:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VCVTNEOPH2PSrm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /* 103807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTNEOPH2PSrm),
     /* 103810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103812 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103816 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103820 */     GIR_RootConstrainSelectedInstOperands,
     /* 103821 */     // GIR_Coverage, 3552,
     /* 103821 */     GIR_EraseRootFromParent_Done,
     /* 103822 */   // Label 2213: @103822
     /* 103822 */   GIM_Try, /*On fail goto*//*Label 2214*/ GIMT_Encode4(103868), // Rule ID 3553 //
     /* 103827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVXNECONVERT),
     /* 103830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vcvtneoph2ps256),
     /* 103835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 103838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 103842 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103853 */     // (intrinsic_w_chain:{ *:[v8f32] } 14894:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VCVTNEOPH2PSYrm:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /* 103853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTNEOPH2PSYrm),
     /* 103856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103858 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103862 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103866 */     GIR_RootConstrainSelectedInstOperands,
     /* 103867 */     // GIR_Coverage, 3553,
     /* 103867 */     GIR_EraseRootFromParent_Done,
     /* 103868 */   // Label 2214: @103868
     /* 103868 */   GIM_Try, /*On fail goto*//*Label 2215*/ GIMT_Encode4(103914), // Rule ID 16752 //
     /* 103873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_512_HasMOVRS_In64BitMode),
     /* 103876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx10_vmovrsb512),
     /* 103881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v64s8,
     /* 103884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 103888 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103899 */     // (intrinsic_w_chain:{ *:[v64i8] } 13597:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VMOVRSBZm:{ *:[v64i8] } addr:{ *:[iPTR] }:$src)
     /* 103899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVRSBZm),
     /* 103902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103904 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103908 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103912 */     GIR_RootConstrainSelectedInstOperands,
     /* 103913 */     // GIR_Coverage, 16752,
     /* 103913 */     GIR_EraseRootFromParent_Done,
     /* 103914 */   // Label 2215: @103914
     /* 103914 */   GIM_Try, /*On fail goto*//*Label 2216*/ GIMT_Encode4(103960), // Rule ID 16755 //
     /* 103919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_HasMOVRS_In64BitMode),
     /* 103922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx10_vmovrsb128),
     /* 103927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 103930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 103934 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103945 */     // (intrinsic_w_chain:{ *:[v16i8] } 13595:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VMOVRSBZ128m:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)
     /* 103945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVRSBZ128m),
     /* 103948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103950 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103954 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103958 */     GIR_RootConstrainSelectedInstOperands,
     /* 103959 */     // GIR_Coverage, 16755,
     /* 103959 */     GIR_EraseRootFromParent_Done,
     /* 103960 */   // Label 2216: @103960
     /* 103960 */   GIM_Try, /*On fail goto*//*Label 2217*/ GIMT_Encode4(104006), // Rule ID 16758 //
     /* 103965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_HasMOVRS_In64BitMode),
     /* 103968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx10_vmovrsb256),
     /* 103973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v32s8,
     /* 103976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 103980 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103991 */     // (intrinsic_w_chain:{ *:[v32i8] } 13596:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VMOVRSBZ256m:{ *:[v32i8] } addr:{ *:[iPTR] }:$src)
     /* 103991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVRSBZ256m),
     /* 103994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103996 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 104000 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104004 */     GIR_RootConstrainSelectedInstOperands,
     /* 104005 */     // GIR_Coverage, 16758,
     /* 104005 */     GIR_EraseRootFromParent_Done,
     /* 104006 */   // Label 2217: @104006
     /* 104006 */   GIM_Try, /*On fail goto*//*Label 2218*/ GIMT_Encode4(104052), // Rule ID 16761 //
     /* 104011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_512_HasMOVRS_In64BitMode),
     /* 104014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx10_vmovrsw512),
     /* 104019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v32s16,
     /* 104022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 104026 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 104030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104037 */     // (intrinsic_w_chain:{ *:[v32i16] } 13606:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VMOVRSWZm:{ *:[v32i16] } addr:{ *:[iPTR] }:$src)
     /* 104037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVRSWZm),
     /* 104040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 104042 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 104046 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104050 */     GIR_RootConstrainSelectedInstOperands,
     /* 104051 */     // GIR_Coverage, 16761,
     /* 104051 */     GIR_EraseRootFromParent_Done,
     /* 104052 */   // Label 2218: @104052
     /* 104052 */   GIM_Try, /*On fail goto*//*Label 2219*/ GIMT_Encode4(104098), // Rule ID 16764 //
     /* 104057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_HasMOVRS_In64BitMode),
     /* 104060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx10_vmovrsw128),
     /* 104065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 104068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 104072 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 104076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104083 */     // (intrinsic_w_chain:{ *:[v8i16] } 13604:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VMOVRSWZ128m:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)
     /* 104083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVRSWZ128m),
     /* 104086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 104088 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 104092 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104096 */     GIR_RootConstrainSelectedInstOperands,
     /* 104097 */     // GIR_Coverage, 16764,
     /* 104097 */     GIR_EraseRootFromParent_Done,
     /* 104098 */   // Label 2219: @104098
     /* 104098 */   GIM_Try, /*On fail goto*//*Label 2220*/ GIMT_Encode4(104144), // Rule ID 16767 //
     /* 104103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_HasMOVRS_In64BitMode),
     /* 104106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx10_vmovrsw256),
     /* 104111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s16,
     /* 104114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 104118 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 104122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104129 */     // (intrinsic_w_chain:{ *:[v16i16] } 13605:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VMOVRSWZ256m:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)
     /* 104129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVRSWZ256m),
     /* 104132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 104134 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 104138 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104142 */     GIR_RootConstrainSelectedInstOperands,
     /* 104143 */     // GIR_Coverage, 16767,
     /* 104143 */     GIR_EraseRootFromParent_Done,
     /* 104144 */   // Label 2220: @104144
     /* 104144 */   GIM_Try, /*On fail goto*//*Label 2221*/ GIMT_Encode4(104190), // Rule ID 16770 //
     /* 104149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_512_HasMOVRS_In64BitMode),
     /* 104152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx10_vmovrsd512),
     /* 104157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 104160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 104164 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 104168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104175 */     // (intrinsic_w_chain:{ *:[v16i32] } 13600:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VMOVRSDZm:{ *:[v16i32] } addr:{ *:[iPTR] }:$src)
     /* 104175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVRSDZm),
     /* 104178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 104180 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 104184 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104188 */     GIR_RootConstrainSelectedInstOperands,
     /* 104189 */     // GIR_Coverage, 16770,
     /* 104189 */     GIR_EraseRootFromParent_Done,
     /* 104190 */   // Label 2221: @104190
     /* 104190 */   GIM_Try, /*On fail goto*//*Label 2222*/ GIMT_Encode4(104236), // Rule ID 16773 //
     /* 104195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_HasMOVRS_In64BitMode),
     /* 104198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx10_vmovrsd128),
     /* 104203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 104206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 104210 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 104214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104221 */     // (intrinsic_w_chain:{ *:[v4i32] } 13598:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VMOVRSDZ128m:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /* 104221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVRSDZ128m),
     /* 104224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 104226 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 104230 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104234 */     GIR_RootConstrainSelectedInstOperands,
     /* 104235 */     // GIR_Coverage, 16773,
     /* 104235 */     GIR_EraseRootFromParent_Done,
     /* 104236 */   // Label 2222: @104236
     /* 104236 */   GIM_Try, /*On fail goto*//*Label 2223*/ GIMT_Encode4(104282), // Rule ID 16776 //
     /* 104241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_HasMOVRS_In64BitMode),
     /* 104244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx10_vmovrsd256),
     /* 104249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 104252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 104256 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 104260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104267 */     // (intrinsic_w_chain:{ *:[v8i32] } 13599:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VMOVRSDZ256m:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)
     /* 104267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVRSDZ256m),
     /* 104270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 104272 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 104276 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104280 */     GIR_RootConstrainSelectedInstOperands,
     /* 104281 */     // GIR_Coverage, 16776,
     /* 104281 */     GIR_EraseRootFromParent_Done,
     /* 104282 */   // Label 2223: @104282
     /* 104282 */   GIM_Try, /*On fail goto*//*Label 2224*/ GIMT_Encode4(104328), // Rule ID 16779 //
     /* 104287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_512_HasMOVRS_In64BitMode),
     /* 104290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx10_vmovrsq512),
     /* 104295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s64,
     /* 104298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 104302 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 104306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104313 */     // (intrinsic_w_chain:{ *:[v8i64] } 13603:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VMOVRSQZm:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)
     /* 104313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVRSQZm),
     /* 104316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 104318 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 104322 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104326 */     GIR_RootConstrainSelectedInstOperands,
     /* 104327 */     // GIR_Coverage, 16779,
     /* 104327 */     GIR_EraseRootFromParent_Done,
     /* 104328 */   // Label 2224: @104328
     /* 104328 */   GIM_Try, /*On fail goto*//*Label 2225*/ GIMT_Encode4(104374), // Rule ID 16782 //
     /* 104333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_HasMOVRS_In64BitMode),
     /* 104336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx10_vmovrsq128),
     /* 104341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 104344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 104348 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 104352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104359 */     // (intrinsic_w_chain:{ *:[v2i64] } 13601:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VMOVRSQZ128m:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)
     /* 104359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVRSQZ128m),
     /* 104362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 104364 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 104368 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104372 */     GIR_RootConstrainSelectedInstOperands,
     /* 104373 */     // GIR_Coverage, 16782,
     /* 104373 */     GIR_EraseRootFromParent_Done,
     /* 104374 */   // Label 2225: @104374
     /* 104374 */   GIM_Try, /*On fail goto*//*Label 2226*/ GIMT_Encode4(104420), // Rule ID 16785 //
     /* 104379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_HasMOVRS_In64BitMode),
     /* 104382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx10_vmovrsq256),
     /* 104387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /* 104390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 104394 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 104398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104405 */     // (intrinsic_w_chain:{ *:[v4i64] } 13602:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VMOVRSQZ256m:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)
     /* 104405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVRSQZ256m),
     /* 104408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 104410 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 104414 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104418 */     GIR_RootConstrainSelectedInstOperands,
     /* 104419 */     // GIR_Coverage, 16785,
     /* 104419 */     GIR_EraseRootFromParent_Done,
     /* 104420 */   // Label 2226: @104420
     /* 104420 */   GIM_Try, /*On fail goto*//*Label 2227*/ GIMT_Encode4(104466), // Rule ID 17093 //
     /* 104425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoEGPR),
     /* 104428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_wrssd),
     /* 104433 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 104436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 104440 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 104444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104451 */     // (intrinsic_void 14927:{ *:[iPTR] }, GR32:{ *:[i32] }:$src, addr:{ *:[iPTR] }:$dst)  =>  (WRSSD addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)
     /* 104451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::WRSSD),
     /* 104454 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 104458 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 104460 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104464 */     GIR_RootConstrainSelectedInstOperands,
     /* 104465 */     // GIR_Coverage, 17093,
     /* 104465 */     GIR_EraseRootFromParent_Done,
     /* 104466 */   // Label 2227: @104466
     /* 104466 */   GIM_Try, /*On fail goto*//*Label 2228*/ GIMT_Encode4(104512), // Rule ID 17094 //
     /* 104471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoEGPR),
     /* 104474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_wrssq),
     /* 104479 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 104482 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 104486 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 104490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104497 */     // (intrinsic_void 14928:{ *:[iPTR] }, GR64:{ *:[i64] }:$src, addr:{ *:[iPTR] }:$dst)  =>  (WRSSQ addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)
     /* 104497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::WRSSQ),
     /* 104500 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 104504 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 104506 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104510 */     GIR_RootConstrainSelectedInstOperands,
     /* 104511 */     // GIR_Coverage, 17094,
     /* 104511 */     GIR_EraseRootFromParent_Done,
     /* 104512 */   // Label 2228: @104512
     /* 104512 */   GIM_Try, /*On fail goto*//*Label 2229*/ GIMT_Encode4(104558), // Rule ID 17095 //
     /* 104517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoEGPR),
     /* 104520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_wrussd),
     /* 104525 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 104528 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 104532 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 104536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104543 */     // (intrinsic_void 14929:{ *:[iPTR] }, GR32:{ *:[i32] }:$src, addr:{ *:[iPTR] }:$dst)  =>  (WRUSSD addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)
     /* 104543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::WRUSSD),
     /* 104546 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 104550 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 104552 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104556 */     GIR_RootConstrainSelectedInstOperands,
     /* 104557 */     // GIR_Coverage, 17095,
     /* 104557 */     GIR_EraseRootFromParent_Done,
     /* 104558 */   // Label 2229: @104558
     /* 104558 */   GIM_Try, /*On fail goto*//*Label 2230*/ GIMT_Encode4(104604), // Rule ID 17096 //
     /* 104563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoEGPR),
     /* 104566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_wrussq),
     /* 104571 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 104574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 104578 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 104582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104589 */     // (intrinsic_void 14930:{ *:[iPTR] }, GR64:{ *:[i64] }:$src, addr:{ *:[iPTR] }:$dst)  =>  (WRUSSQ addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)
     /* 104589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::WRUSSQ),
     /* 104592 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 104596 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 104598 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104602 */     GIR_RootConstrainSelectedInstOperands,
     /* 104603 */     // GIR_Coverage, 17096,
     /* 104603 */     GIR_EraseRootFromParent_Done,
     /* 104604 */   // Label 2230: @104604
     /* 104604 */   GIM_Try, /*On fail goto*//*Label 2231*/ GIMT_Encode4(104650), // Rule ID 17097 //
     /* 104609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_In64BitMode),
     /* 104612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_wrssd),
     /* 104617 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 104620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 104624 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 104628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104635 */     // (intrinsic_void 14927:{ *:[iPTR] }, GR32:{ *:[i32] }:$src, addr:{ *:[iPTR] }:$dst)  =>  (WRSSD_EVEX addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)
     /* 104635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::WRSSD_EVEX),
     /* 104638 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 104642 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 104644 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104648 */     GIR_RootConstrainSelectedInstOperands,
     /* 104649 */     // GIR_Coverage, 17097,
     /* 104649 */     GIR_EraseRootFromParent_Done,
     /* 104650 */   // Label 2231: @104650
     /* 104650 */   GIM_Try, /*On fail goto*//*Label 2232*/ GIMT_Encode4(104696), // Rule ID 17098 //
     /* 104655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_In64BitMode),
     /* 104658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_wrssq),
     /* 104663 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 104666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 104670 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 104674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104681 */     // (intrinsic_void 14928:{ *:[iPTR] }, GR64:{ *:[i64] }:$src, addr:{ *:[iPTR] }:$dst)  =>  (WRSSQ_EVEX addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)
     /* 104681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::WRSSQ_EVEX),
     /* 104684 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 104688 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 104690 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104694 */     GIR_RootConstrainSelectedInstOperands,
     /* 104695 */     // GIR_Coverage, 17098,
     /* 104695 */     GIR_EraseRootFromParent_Done,
     /* 104696 */   // Label 2232: @104696
     /* 104696 */   GIM_Try, /*On fail goto*//*Label 2233*/ GIMT_Encode4(104742), // Rule ID 17099 //
     /* 104701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_In64BitMode),
     /* 104704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_wrussd),
     /* 104709 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 104712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 104716 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 104720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104727 */     // (intrinsic_void 14929:{ *:[iPTR] }, GR32:{ *:[i32] }:$src, addr:{ *:[iPTR] }:$dst)  =>  (WRUSSD_EVEX addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)
     /* 104727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::WRUSSD_EVEX),
     /* 104730 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 104734 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 104736 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104740 */     GIR_RootConstrainSelectedInstOperands,
     /* 104741 */     // GIR_Coverage, 17099,
     /* 104741 */     GIR_EraseRootFromParent_Done,
     /* 104742 */   // Label 2233: @104742
     /* 104742 */   GIM_Try, /*On fail goto*//*Label 2234*/ GIMT_Encode4(104788), // Rule ID 17100 //
     /* 104747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_In64BitMode),
     /* 104750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_wrussq),
     /* 104755 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 104758 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 104762 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 104766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104773 */     // (intrinsic_void 14930:{ *:[iPTR] }, GR64:{ *:[i64] }:$src, addr:{ *:[iPTR] }:$dst)  =>  (WRUSSQ_EVEX addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)
     /* 104773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::WRUSSQ_EVEX),
     /* 104776 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 104780 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 104782 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104786 */     GIR_RootConstrainSelectedInstOperands,
     /* 104787 */     // GIR_Coverage, 17100,
     /* 104787 */     GIR_EraseRootFromParent_Done,
     /* 104788 */   // Label 2234: @104788
     /* 104788 */   GIM_Try, /*On fail goto*//*Label 2235*/ GIMT_Encode4(104834), // Rule ID 17126 //
     /* 104793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasINVPCID_Not64BitMode),
     /* 104796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_invpcid),
     /* 104801 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 104804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 104808 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 104812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104819 */     // (intrinsic_void 14491:{ *:[iPTR] }, GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)  =>  (INVPCID32 GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 104819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INVPCID32),
     /* 104822 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 104824 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 104828 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104832 */     GIR_RootConstrainSelectedInstOperands,
     /* 104833 */     // GIR_Coverage, 17126,
     /* 104833 */     GIR_EraseRootFromParent_Done,
     /* 104834 */   // Label 2235: @104834
     /* 104834 */   GIM_Try, /*On fail goto*//*Label 2236*/ GIMT_Encode4(104926), // Rule ID 22378 //
     /* 104839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasINVPCID_NoEGPR),
     /* 104842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_invpcid),
     /* 104847 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 104850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 104854 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 104858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104865 */     // (intrinsic_void 14491:{ *:[iPTR] }, GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)  =>  (INVPCID64 (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (MOV32rr:{ *:[i32] } GR32:{ *:[i32] }:$src1), sub_32bit:{ *:[i32] }), addr:{ *:[iPTR] }:$src2)
     /* 104865 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 104868 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(X86::MOV32rr),
     /* 104872 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 104877 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 104881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 104883 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 104886 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 104890 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 104895 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 104898 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 104901 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/6,
     /* 104904 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /* 104909 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR32RegClassID),
     /* 104914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INVPCID64),
     /* 104917 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 104920 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 104924 */     GIR_RootConstrainSelectedInstOperands,
     /* 104925 */     // GIR_Coverage, 22378,
     /* 104925 */     GIR_EraseRootFromParent_Done,
     /* 104926 */   // Label 2236: @104926
     /* 104926 */   GIM_Try, /*On fail goto*//*Label 2237*/ GIMT_Encode4(105018), // Rule ID 22379 //
     /* 104931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_HasINVPCID),
     /* 104934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_invpcid),
     /* 104939 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 104942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 104946 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 104950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104957 */     // (intrinsic_void 14491:{ *:[iPTR] }, GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)  =>  (INVPCID64_EVEX (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (MOV32rr:{ *:[i32] } GR32:{ *:[i32] }:$src1), sub_32bit:{ *:[i32] }), addr:{ *:[iPTR] }:$src2)
     /* 104957 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 104960 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(X86::MOV32rr),
     /* 104964 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 104969 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 104973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 104975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 104978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 104982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 104987 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 104990 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 104993 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/6,
     /* 104996 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /* 105001 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR32RegClassID),
     /* 105006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INVPCID64_EVEX),
     /* 105009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 105012 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 105016 */     GIR_RootConstrainSelectedInstOperands,
     /* 105017 */     // GIR_Coverage, 22379,
     /* 105017 */     GIR_EraseRootFromParent_Done,
     /* 105018 */   // Label 2237: @105018
     /* 105018 */   GIM_Try, /*On fail goto*//*Label 2238*/ GIMT_Encode4(105064), // Rule ID 131 //
     /* 105023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVDIRI_NoEGPR),
     /* 105026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_directstore32),
     /* 105031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 105034 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 105042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 105049 */     // (intrinsic_void 14470:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)  =>  (MOVDIRI32 addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)
     /* 105049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVDIRI32),
     /* 105052 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 105056 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 105058 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105062 */     GIR_RootConstrainSelectedInstOperands,
     /* 105063 */     // GIR_Coverage, 131,
     /* 105063 */     GIR_EraseRootFromParent_Done,
     /* 105064 */   // Label 2238: @105064
     /* 105064 */   GIM_Try, /*On fail goto*//*Label 2239*/ GIMT_Encode4(105110), // Rule ID 132 //
     /* 105069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVDIRI_In64BitMode_NoEGPR),
     /* 105072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_directstore64),
     /* 105077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 105080 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 105088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 105095 */     // (intrinsic_void 14471:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)  =>  (MOVDIRI64 addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)
     /* 105095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVDIRI64),
     /* 105098 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 105102 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 105104 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105108 */     GIR_RootConstrainSelectedInstOperands,
     /* 105109 */     // GIR_Coverage, 132,
     /* 105109 */     GIR_EraseRootFromParent_Done,
     /* 105110 */   // Label 2239: @105110
     /* 105110 */   GIM_Try, /*On fail goto*//*Label 2240*/ GIMT_Encode4(105156), // Rule ID 133 //
     /* 105115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_HasMOVDIRI_In64BitMode),
     /* 105118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_directstore32),
     /* 105123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 105126 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 105134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 105141 */     // (intrinsic_void 14470:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)  =>  (MOVDIRI32_EVEX addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)
     /* 105141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVDIRI32_EVEX),
     /* 105144 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 105148 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 105150 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105154 */     GIR_RootConstrainSelectedInstOperands,
     /* 105155 */     // GIR_Coverage, 133,
     /* 105155 */     GIR_EraseRootFromParent_Done,
     /* 105156 */   // Label 2240: @105156
     /* 105156 */   GIM_Try, /*On fail goto*//*Label 2241*/ GIMT_Encode4(105202), // Rule ID 134 //
     /* 105161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_HasMOVDIRI_In64BitMode),
     /* 105164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_directstore64),
     /* 105169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 105172 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 105180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 105187 */     // (intrinsic_void 14471:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)  =>  (MOVDIRI64_EVEX addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)
     /* 105187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVDIRI64_EVEX),
     /* 105190 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 105194 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 105196 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105200 */     GIR_RootConstrainSelectedInstOperands,
     /* 105201 */     // GIR_Coverage, 134,
     /* 105201 */     GIR_EraseRootFromParent_Done,
     /* 105202 */   // Label 2241: @105202
     /* 105202 */   GIM_Try, /*On fail goto*//*Label 2242*/ GIMT_Encode4(105249), // Rule ID 135 //
     /* 105207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVDIR64B_NoEGPR),
     /* 105210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_movdir64b),
     /* 105215 */     // MIs[0] dst
     /* 105215 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /* 105219 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 105223 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 105227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 105234 */     // (intrinsic_void 14571:{ *:[iPTR] }, GR32:{ *:[i32] }:$dst, addr:{ *:[iPTR] }:$src)  =>  (MOVDIR64B32 GR32:{ *:[i32] }:$dst, addr:{ *:[iPTR] }:$src)
     /* 105234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVDIR64B32),
     /* 105237 */     GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 105239 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 105243 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105247 */     GIR_RootConstrainSelectedInstOperands,
     /* 105248 */     // GIR_Coverage, 135,
     /* 105248 */     GIR_EraseRootFromParent_Done,
     /* 105249 */   // Label 2242: @105249
     /* 105249 */   GIM_Try, /*On fail goto*//*Label 2243*/ GIMT_Encode4(105296), // Rule ID 136 //
     /* 105254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVDIR64B_In64BitMode_NoEGPR),
     /* 105257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_movdir64b),
     /* 105262 */     // MIs[0] dst
     /* 105262 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 105266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 105270 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 105274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 105281 */     // (intrinsic_void 14571:{ *:[iPTR] }, GR64:{ *:[i64] }:$dst, addr:{ *:[iPTR] }:$src)  =>  (MOVDIR64B64 GR64:{ *:[i64] }:$dst, addr:{ *:[iPTR] }:$src)
     /* 105281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVDIR64B64),
     /* 105284 */     GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 105286 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 105290 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105294 */     GIR_RootConstrainSelectedInstOperands,
     /* 105295 */     // GIR_Coverage, 136,
     /* 105295 */     GIR_EraseRootFromParent_Done,
     /* 105296 */   // Label 2243: @105296
     /* 105296 */   GIM_Try, /*On fail goto*//*Label 2244*/ GIMT_Encode4(105343), // Rule ID 137 //
     /* 105301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_HasMOVDIR64B_In64BitMode),
     /* 105304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_movdir64b),
     /* 105309 */     // MIs[0] dst
     /* 105309 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /* 105313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 105317 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 105321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 105328 */     // (intrinsic_void 14571:{ *:[iPTR] }, GR32:{ *:[i32] }:$dst, addr:{ *:[iPTR] }:$src)  =>  (MOVDIR64B32_EVEX GR32:{ *:[i32] }:$dst, addr:{ *:[iPTR] }:$src)
     /* 105328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVDIR64B32_EVEX),
     /* 105331 */     GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 105333 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 105337 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105341 */     GIR_RootConstrainSelectedInstOperands,
     /* 105342 */     // GIR_Coverage, 137,
     /* 105342 */     GIR_EraseRootFromParent_Done,
     /* 105343 */   // Label 2244: @105343
     /* 105343 */   GIM_Try, /*On fail goto*//*Label 2245*/ GIMT_Encode4(105390), // Rule ID 138 //
     /* 105348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_HasMOVDIR64B_In64BitMode),
     /* 105351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_movdir64b),
     /* 105356 */     // MIs[0] dst
     /* 105356 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 105360 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 105364 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 105368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 105375 */     // (intrinsic_void 14571:{ *:[iPTR] }, GR64:{ *:[i64] }:$dst, addr:{ *:[iPTR] }:$src)  =>  (MOVDIR64B64_EVEX GR64:{ *:[i64] }:$dst, addr:{ *:[iPTR] }:$src)
     /* 105375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVDIR64B64_EVEX),
     /* 105378 */     GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 105380 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 105384 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105388 */     GIR_RootConstrainSelectedInstOperands,
     /* 105389 */     // GIR_Coverage, 138,
     /* 105389 */     GIR_EraseRootFromParent_Done,
     /* 105390 */   // Label 2245: @105390
     /* 105390 */   GIM_Try, /*On fail goto*//*Label 2246*/ GIMT_Encode4(105422), // Rule ID 17024 //
     /* 105395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXTRANSPOSE_In64BitMode),
     /* 105398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_ttransposed),
     /* 105403 */     // MIs[0] dst
     /* 105403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 105406 */     // MIs[0] src
     /* 105406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 105409 */     // (intrinsic_void 14877:{ *:[iPTR] }, (timm:{ *:[i8] }):$dst, (timm:{ *:[i8] }):$src)  =>  (PTTRANSPOSED (timm:{ *:[i8] }):$dst, (timm:{ *:[i8] }):$src)
     /* 105409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTTRANSPOSED),
     /* 105412 */     GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 105414 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 105416 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105420 */     GIR_RootConstrainSelectedInstOperands,
     /* 105421 */     // GIR_Coverage, 17024,
     /* 105421 */     GIR_EraseRootFromParent_Done,
     /* 105422 */   // Label 2246: @105422
     /* 105422 */   GIM_Try, /*On fail goto*//*Label 2247*/ GIMT_Encode4(105454), // Rule ID 17036 //
     /* 105427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXCOMPLEX_HasAMXTRANSPOSE_In64BitMode),
     /* 105430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_tconjtfp16),
     /* 105435 */     // MIs[0] dst
     /* 105435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 105438 */     // MIs[0] src
     /* 105438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 105441 */     // (intrinsic_void 14816:{ *:[iPTR] }, (timm:{ *:[i8] }):$dst, (timm:{ *:[i8] }):$src)  =>  (PTCONJTFP16 (timm:{ *:[i8] }):$dst, (timm:{ *:[i8] }):$src)
     /* 105441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTCONJTFP16),
     /* 105444 */     GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 105446 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 105448 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105452 */     GIR_RootConstrainSelectedInstOperands,
     /* 105453 */     // GIR_Coverage, 17036,
     /* 105453 */     GIR_EraseRootFromParent_Done,
     /* 105454 */   // Label 2247: @105454
     /* 105454 */   GIM_Try, /*On fail goto*//*Label 2248*/ GIMT_Encode4(105497), // Rule ID 17151 //
     /* 105459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::asan_check_memaccess),
     /* 105464 */     // MIs[0] addr
     /* 105464 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 105468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64PLTSafeRegClassID),
     /* 105472 */     // MIs[0] accessinfo
     /* 105472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 105475 */     // (intrinsic_void 9:{ *:[iPTR] }, GR64PLTSafe:{ *:[i64] }:$addr, (timm:{ *:[i32] }):$accessinfo)  =>  (ASAN_CHECK_MEMACCESS:{ *:[i64] } GR64PLTSafe:{ *:[i64] }:$addr, (timm:{ *:[i32] }):$accessinfo)
     /* 105475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ASAN_CHECK_MEMACCESS),
     /* 105478 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /* 105480 */     GIR_RootToRootCopy, /*OpIdx*/2, // accessinfo
     /* 105482 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::R10*/0,
     /* 105485 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::R11*/1,
     /* 105488 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/2,
     /* 105491 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105495 */     GIR_RootConstrainSelectedInstOperands,
     /* 105496 */     // GIR_Coverage, 17151,
     /* 105496 */     GIR_EraseRootFromParent_Done,
     /* 105497 */   // Label 2248: @105497
     /* 105497 */   GIM_Try, /*On fail goto*//*Label 2249*/ GIMT_Encode4(105537), // Rule ID 17077 //
     /* 105502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUSERMSR_NoEGPR),
     /* 105505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_urdmsr),
     /* 105510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 105513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 105516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 105520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 105524 */     // (intrinsic_w_chain:{ *:[i64] } 14881:{ *:[iPTR] }, GR64:{ *:[i64] }:$src)  =>  (URDMSRrr:{ *:[i64] } GR64:{ *:[i64] }:$src)
     /* 105524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::URDMSRrr),
     /* 105527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 105529 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 105531 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105535 */     GIR_RootConstrainSelectedInstOperands,
     /* 105536 */     // GIR_Coverage, 17077,
     /* 105536 */     GIR_EraseRootFromParent_Done,
     /* 105537 */   // Label 2249: @105537
     /* 105537 */   GIM_Try, /*On fail goto*//*Label 2250*/ GIMT_Encode4(105577), // Rule ID 17081 //
     /* 105542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_HasUSERMSR_In64BitMode),
     /* 105545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_urdmsr),
     /* 105550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 105553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 105556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 105560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 105564 */     // (intrinsic_w_chain:{ *:[i64] } 14881:{ *:[iPTR] }, GR64:{ *:[i64] }:$src)  =>  (URDMSRrr_EVEX:{ *:[i64] } GR64:{ *:[i64] }:$src)
     /* 105564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::URDMSRrr_EVEX),
     /* 105567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 105569 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 105571 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105575 */     GIR_RootConstrainSelectedInstOperands,
     /* 105576 */     // GIR_Coverage, 17081,
     /* 105576 */     GIR_EraseRootFromParent_Done,
     /* 105577 */   // Label 2250: @105577
     /* 105577 */   GIM_Try, /*On fail goto*//*Label 2251*/ GIMT_Encode4(105614), // Rule ID 17089 //
     /* 105582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_rdsspd),
     /* 105587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 105590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 105593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 105597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 105601 */     // (intrinsic_w_chain:{ *:[i32] } 14597:{ *:[iPTR] }, GR32:{ *:[i32] }:$src)  =>  (RDSSPD:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /* 105601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RDSSPD),
     /* 105604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 105606 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 105608 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105612 */     GIR_RootConstrainSelectedInstOperands,
     /* 105613 */     // GIR_Coverage, 17089,
     /* 105613 */     GIR_EraseRootFromParent_Done,
     /* 105614 */   // Label 2251: @105614
     /* 105614 */   GIM_Try, /*On fail goto*//*Label 2252*/ GIMT_Encode4(105651), // Rule ID 17090 //
     /* 105619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_rdsspq),
     /* 105624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 105627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 105630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 105634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 105638 */     // (intrinsic_w_chain:{ *:[i64] } 14598:{ *:[iPTR] }, GR64:{ *:[i64] }:$src)  =>  (RDSSPQ:{ *:[i64] } GR64:{ *:[i64] }:$src)
     /* 105638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RDSSPQ),
     /* 105641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 105643 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 105645 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105649 */     GIR_RootConstrainSelectedInstOperands,
     /* 105650 */     // GIR_Coverage, 17090,
     /* 105650 */     GIR_EraseRootFromParent_Done,
     /* 105651 */   // Label 2252: @105651
     /* 105651 */   GIM_Try, /*On fail goto*//*Label 2253*/ GIMT_Encode4(105715), // Rule ID 3085 //
     /* 105656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSE3),
     /* 105659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_sse3_mwait),
     /* 105664 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 105667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 105670 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32_ArgRef_and_GR32_CBRegClassID),
     /* 105674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32_ADRegClassID),
     /* 105678 */     // (intrinsic_void 14722:{ *:[iPTR] }, ECX:{ *:[i32] }, EAX:{ *:[i32] })  =>  (MWAITrr)
     /* 105678 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 105682 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(X86::EAX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 105688 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // EAX
     /* 105692 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 105696 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::ECX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 105702 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // ECX
     /* 105706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MWAITrr),
     /* 105709 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105713 */     GIR_RootConstrainSelectedInstOperands,
     /* 105714 */     // GIR_Coverage, 3085,
     /* 105714 */     GIR_EraseRootFromParent_Done,
     /* 105715 */   // Label 2253: @105715
     /* 105715 */   GIM_Try, /*On fail goto*//*Label 2254*/ GIMT_Encode4(105755), // Rule ID 17079 //
     /* 105720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUSERMSR_NoEGPR),
     /* 105723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_uwrmsr),
     /* 105728 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 105731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 105734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 105738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 105742 */     // (intrinsic_void 14882:{ *:[iPTR] }, GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)  =>  (UWRMSRrr GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /* 105742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::UWRMSRrr),
     /* 105745 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 105747 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 105749 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105753 */     GIR_RootConstrainSelectedInstOperands,
     /* 105754 */     // GIR_Coverage, 17079,
     /* 105754 */     GIR_EraseRootFromParent_Done,
     /* 105755 */   // Label 2254: @105755
     /* 105755 */   GIM_Try, /*On fail goto*//*Label 2255*/ GIMT_Encode4(105795), // Rule ID 17083 //
     /* 105760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_HasUSERMSR_In64BitMode),
     /* 105763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_uwrmsr),
     /* 105768 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 105771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 105774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 105778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 105782 */     // (intrinsic_void 14882:{ *:[iPTR] }, GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)  =>  (UWRMSRrr_EVEX GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /* 105782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::UWRMSRrr_EVEX),
     /* 105785 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 105787 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 105789 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105793 */     GIR_RootConstrainSelectedInstOperands,
     /* 105794 */     // GIR_Coverage, 17083,
     /* 105794 */     GIR_EraseRootFromParent_Done,
     /* 105795 */   // Label 2255: @105795
     /* 105795 */   GIM_Reject,
     /* 105796 */ // Label 2191: @105796
     /* 105796 */ GIM_Try, /*On fail goto*//*Label 2256*/ GIMT_Encode4(109341),
     /* 105801 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /* 105804 */   GIM_Try, /*On fail goto*//*Label 2257*/ GIMT_Encode4(105876), // Rule ID 123 //
     /* 105809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLWP),
     /* 105812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_lwpval32),
     /* 105817 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 105820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 105823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 105827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 105831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 105835 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105838 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 105842 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 105846 */     // MIs[0] cntl
     /* 105846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 105849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 105851 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 105858 */     // (intrinsic_void 14498:{ *:[iPTR] }, GR32:{ *:[i32] }:$src0, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (timm:{ *:[i32] }):$cntl)  =>  (LWPVAL32rmi GR32:{ *:[i32] }:$src0, addr:{ *:[iPTR] }:$src1, (timm:{ *:[i32] }):$cntl)
     /* 105858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LWPVAL32rmi),
     /* 105861 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 105863 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 105867 */     GIR_RootToRootCopy, /*OpIdx*/3, // cntl
     /* 105869 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 105874 */     GIR_RootConstrainSelectedInstOperands,
     /* 105875 */     // GIR_Coverage, 123,
     /* 105875 */     GIR_EraseRootFromParent_Done,
     /* 105876 */   // Label 2257: @105876
     /* 105876 */   GIM_Try, /*On fail goto*//*Label 2258*/ GIMT_Encode4(105948), // Rule ID 125 //
     /* 105881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLWP),
     /* 105884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_lwpval64),
     /* 105889 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 105892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 105895 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 105899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 105903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 105907 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105910 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 105914 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 105918 */     // MIs[0] cntl
     /* 105918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 105921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 105923 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 105930 */     // (intrinsic_void 14499:{ *:[iPTR] }, GR64:{ *:[i64] }:$src0, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (timm:{ *:[i32] }):$cntl)  =>  (LWPVAL64rmi GR64:{ *:[i64] }:$src0, addr:{ *:[iPTR] }:$src1, (timm:{ *:[i32] }):$cntl)
     /* 105930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LWPVAL64rmi),
     /* 105933 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 105935 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 105939 */     GIR_RootToRootCopy, /*OpIdx*/3, // cntl
     /* 105941 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 105946 */     GIR_RootConstrainSelectedInstOperands,
     /* 105947 */     // GIR_Coverage, 125,
     /* 105947 */     GIR_EraseRootFromParent_Done,
     /* 105948 */   // Label 2258: @105948
     /* 105948 */   GIM_Try, /*On fail goto*//*Label 2259*/ GIMT_Encode4(106003), // Rule ID 3386 //
     /* 105953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /* 105956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx_maskload_ps),
     /* 105961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 105964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 105967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 105971 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 105975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 105979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 105986 */     // (intrinsic_w_chain:{ *:[v4f32] } 13344:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v4i32] }:$src1)  =>  (VMASKMOVPSrm:{ *:[v4f32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 105986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMASKMOVPSrm),
     /* 105989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 105991 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 105993 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 105997 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106001 */     GIR_RootConstrainSelectedInstOperands,
     /* 106002 */     // GIR_Coverage, 3386,
     /* 106002 */     GIR_EraseRootFromParent_Done,
     /* 106003 */   // Label 2259: @106003
     /* 106003 */   GIM_Try, /*On fail goto*//*Label 2260*/ GIMT_Encode4(106058), // Rule ID 3387 //
     /* 106008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /* 106011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx_maskload_ps_256),
     /* 106016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 106019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 106022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 106026 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 106030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 106034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 106041 */     // (intrinsic_w_chain:{ *:[v8f32] } 13345:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src2, VR256:{ *:[v8i32] }:$src1)  =>  (VMASKMOVPSYrm:{ *:[v8f32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 106041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMASKMOVPSYrm),
     /* 106044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 106046 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 106048 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 106052 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106056 */     GIR_RootConstrainSelectedInstOperands,
     /* 106057 */     // GIR_Coverage, 3387,
     /* 106057 */     GIR_EraseRootFromParent_Done,
     /* 106058 */   // Label 2260: @106058
     /* 106058 */   GIM_Try, /*On fail goto*//*Label 2261*/ GIMT_Encode4(106113), // Rule ID 3390 //
     /* 106063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /* 106066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx_maskload_pd),
     /* 106071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 106074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 106077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 106081 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 106085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 106089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 106096 */     // (intrinsic_w_chain:{ *:[v2f64] } 13342:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v2i64] }:$src1)  =>  (VMASKMOVPDrm:{ *:[v2f64] } VR128:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 106096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMASKMOVPDrm),
     /* 106099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 106101 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 106103 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 106107 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106111 */     GIR_RootConstrainSelectedInstOperands,
     /* 106112 */     // GIR_Coverage, 3390,
     /* 106112 */     GIR_EraseRootFromParent_Done,
     /* 106113 */   // Label 2261: @106113
     /* 106113 */   GIM_Try, /*On fail goto*//*Label 2262*/ GIMT_Encode4(106168), // Rule ID 3391 //
     /* 106118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /* 106121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx_maskload_pd_256),
     /* 106126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /* 106129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /* 106132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 106136 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 106140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 106144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 106151 */     // (intrinsic_w_chain:{ *:[v4f64] } 13343:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src2, VR256:{ *:[v4i64] }:$src1)  =>  (VMASKMOVPDYrm:{ *:[v4f64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 106151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMASKMOVPDYrm),
     /* 106154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 106156 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 106158 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 106162 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106166 */     GIR_RootConstrainSelectedInstOperands,
     /* 106167 */     // GIR_Coverage, 3391,
     /* 106167 */     GIR_EraseRootFromParent_Done,
     /* 106168 */   // Label 2262: @106168
     /* 106168 */   GIM_Try, /*On fail goto*//*Label 2263*/ GIMT_Encode4(106223), // Rule ID 3464 //
     /* 106173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2),
     /* 106176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx2_maskload_d),
     /* 106181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 106184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 106187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 106191 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 106195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 106199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 106206 */     // (intrinsic_w_chain:{ *:[v4i32] } 13642:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v4i32] }:$src1)  =>  (VPMASKMOVDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 106206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMASKMOVDrm),
     /* 106209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 106211 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 106213 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 106217 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106221 */     GIR_RootConstrainSelectedInstOperands,
     /* 106222 */     // GIR_Coverage, 3464,
     /* 106222 */     GIR_EraseRootFromParent_Done,
     /* 106223 */   // Label 2263: @106223
     /* 106223 */   GIM_Try, /*On fail goto*//*Label 2264*/ GIMT_Encode4(106278), // Rule ID 3465 //
     /* 106228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2),
     /* 106231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx2_maskload_d_256),
     /* 106236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 106239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 106242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 106246 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 106250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 106254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 106261 */     // (intrinsic_w_chain:{ *:[v8i32] } 13643:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src2, VR256:{ *:[v8i32] }:$src1)  =>  (VPMASKMOVDYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 106261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMASKMOVDYrm),
     /* 106264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 106266 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 106268 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 106272 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106276 */     GIR_RootConstrainSelectedInstOperands,
     /* 106277 */     // GIR_Coverage, 3465,
     /* 106277 */     GIR_EraseRootFromParent_Done,
     /* 106278 */   // Label 2264: @106278
     /* 106278 */   GIM_Try, /*On fail goto*//*Label 2265*/ GIMT_Encode4(106333), // Rule ID 3468 //
     /* 106283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2),
     /* 106286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx2_maskload_q),
     /* 106291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 106294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 106297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 106301 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 106305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 106309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 106316 */     // (intrinsic_w_chain:{ *:[v2i64] } 13644:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v2i64] }:$src1)  =>  (VPMASKMOVQrm:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 106316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMASKMOVQrm),
     /* 106319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 106321 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 106323 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 106327 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106331 */     GIR_RootConstrainSelectedInstOperands,
     /* 106332 */     // GIR_Coverage, 3468,
     /* 106332 */     GIR_EraseRootFromParent_Done,
     /* 106333 */   // Label 2265: @106333
     /* 106333 */   GIM_Try, /*On fail goto*//*Label 2266*/ GIMT_Encode4(106388), // Rule ID 3469 //
     /* 106338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2),
     /* 106341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx2_maskload_q_256),
     /* 106346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /* 106349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /* 106352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 106356 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 106360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 106364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 106371 */     // (intrinsic_w_chain:{ *:[v4i64] } 13645:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src2, VR256:{ *:[v4i64] }:$src1)  =>  (VPMASKMOVQYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 106371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMASKMOVQYrm),
     /* 106374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 106376 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 106378 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 106382 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106386 */     GIR_RootConstrainSelectedInstOperands,
     /* 106387 */     // GIR_Coverage, 3469,
     /* 106387 */     GIR_EraseRootFromParent_Done,
     /* 106388 */   // Label 2266: @106388
     /* 106388 */   GIM_Try, /*On fail goto*//*Label 2267*/ GIMT_Encode4(106443), // Rule ID 3388 //
     /* 106393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /* 106396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_avx_maskstore_ps),
     /* 106401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 106404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 106407 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 106415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 106419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 106426 */     // (intrinsic_void 13348:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (VMASKMOVPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4f32] }:$src2)
     /* 106426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMASKMOVPSmr),
     /* 106429 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 106433 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 106435 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 106437 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106441 */     GIR_RootConstrainSelectedInstOperands,
     /* 106442 */     // GIR_Coverage, 3388,
     /* 106442 */     GIR_EraseRootFromParent_Done,
     /* 106443 */   // Label 2267: @106443
     /* 106443 */   GIM_Try, /*On fail goto*//*Label 2268*/ GIMT_Encode4(106498), // Rule ID 3389 //
     /* 106448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /* 106451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_avx_maskstore_ps_256),
     /* 106456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 106459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 106462 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 106470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 106474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 106481 */     // (intrinsic_void 13349:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8f32] }:$src2)  =>  (VMASKMOVPSYmr addr:{ *:[iPTR] }:$dst, VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8f32] }:$src2)
     /* 106481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMASKMOVPSYmr),
     /* 106484 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 106488 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 106490 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 106492 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106496 */     GIR_RootConstrainSelectedInstOperands,
     /* 106497 */     // GIR_Coverage, 3389,
     /* 106497 */     GIR_EraseRootFromParent_Done,
     /* 106498 */   // Label 2268: @106498
     /* 106498 */   GIM_Try, /*On fail goto*//*Label 2269*/ GIMT_Encode4(106553), // Rule ID 3392 //
     /* 106503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /* 106506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_avx_maskstore_pd),
     /* 106511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 106514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 106517 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 106525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 106529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 106536 */     // (intrinsic_void 13346:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (VMASKMOVPDmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2f64] }:$src2)
     /* 106536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMASKMOVPDmr),
     /* 106539 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 106543 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 106545 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 106547 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106551 */     GIR_RootConstrainSelectedInstOperands,
     /* 106552 */     // GIR_Coverage, 3392,
     /* 106552 */     GIR_EraseRootFromParent_Done,
     /* 106553 */   // Label 2269: @106553
     /* 106553 */   GIM_Try, /*On fail goto*//*Label 2270*/ GIMT_Encode4(106608), // Rule ID 3393 //
     /* 106558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /* 106561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_avx_maskstore_pd_256),
     /* 106566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 106569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /* 106572 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 106580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 106584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 106591 */     // (intrinsic_void 13347:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4f64] }:$src2)  =>  (VMASKMOVPDYmr addr:{ *:[iPTR] }:$dst, VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4f64] }:$src2)
     /* 106591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMASKMOVPDYmr),
     /* 106594 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 106598 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 106600 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 106602 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106606 */     GIR_RootConstrainSelectedInstOperands,
     /* 106607 */     // GIR_Coverage, 3393,
     /* 106607 */     GIR_EraseRootFromParent_Done,
     /* 106608 */   // Label 2270: @106608
     /* 106608 */   GIM_Try, /*On fail goto*//*Label 2271*/ GIMT_Encode4(106663), // Rule ID 3466 //
     /* 106613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2),
     /* 106616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_avx2_maskstore_d),
     /* 106621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 106624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 106627 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 106635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 106639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 106646 */     // (intrinsic_void 13646:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (VPMASKMOVDmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /* 106646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMASKMOVDmr),
     /* 106649 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 106653 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 106655 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 106657 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106661 */     GIR_RootConstrainSelectedInstOperands,
     /* 106662 */     // GIR_Coverage, 3466,
     /* 106662 */     GIR_EraseRootFromParent_Done,
     /* 106663 */   // Label 2271: @106663
     /* 106663 */   GIM_Try, /*On fail goto*//*Label 2272*/ GIMT_Encode4(106718), // Rule ID 3467 //
     /* 106668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2),
     /* 106671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_avx2_maskstore_d_256),
     /* 106676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 106679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 106682 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 106690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 106694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 106701 */     // (intrinsic_void 13647:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)  =>  (VPMASKMOVDYmr addr:{ *:[iPTR] }:$dst, VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)
     /* 106701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMASKMOVDYmr),
     /* 106704 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 106708 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 106710 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 106712 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106716 */     GIR_RootConstrainSelectedInstOperands,
     /* 106717 */     // GIR_Coverage, 3467,
     /* 106717 */     GIR_EraseRootFromParent_Done,
     /* 106718 */   // Label 2272: @106718
     /* 106718 */   GIM_Try, /*On fail goto*//*Label 2273*/ GIMT_Encode4(106773), // Rule ID 3470 //
     /* 106723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2),
     /* 106726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_avx2_maskstore_q),
     /* 106731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 106734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 106737 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 106745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 106749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 106756 */     // (intrinsic_void 13648:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (VPMASKMOVQmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /* 106756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMASKMOVQmr),
     /* 106759 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 106763 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 106765 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 106767 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106771 */     GIR_RootConstrainSelectedInstOperands,
     /* 106772 */     // GIR_Coverage, 3470,
     /* 106772 */     GIR_EraseRootFromParent_Done,
     /* 106773 */   // Label 2273: @106773
     /* 106773 */   GIM_Try, /*On fail goto*//*Label 2274*/ GIMT_Encode4(106828), // Rule ID 3471 //
     /* 106778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2),
     /* 106781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_avx2_maskstore_q_256),
     /* 106786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 106789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /* 106792 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 106800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 106804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 106811 */     // (intrinsic_void 13649:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)  =>  (VPMASKMOVQYmr addr:{ *:[iPTR] }:$dst, VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)
     /* 106811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMASKMOVQYmr),
     /* 106814 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 106818 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 106820 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 106822 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106826 */     GIR_RootConstrainSelectedInstOperands,
     /* 106827 */     // GIR_Coverage, 3471,
     /* 106827 */     GIR_EraseRootFromParent_Done,
     /* 106828 */   // Label 2274: @106828
     /* 106828 */   GIM_Try, /*On fail goto*//*Label 2275*/ GIMT_Encode4(106907), // Rule ID 17104 //
     /* 106833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXSAVE),
     /* 106836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_xsave),
     /* 106841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 106844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 106847 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32_AD_and_GR32_ArgRefRegClassID),
     /* 106855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32_ADRegClassID),
     /* 106859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 106866 */     // (intrinsic_void 14986:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, EDX:{ *:[i32] }, EAX:{ *:[i32] })  =>  (XSAVE addr:{ *:[iPTR] }:$dst)
     /* 106866 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 106870 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(X86::EAX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106876 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // EAX
     /* 106880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 106884 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::EDX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106890 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // EDX
     /* 106894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XSAVE),
     /* 106897 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 106901 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106905 */     GIR_RootConstrainSelectedInstOperands,
     /* 106906 */     // GIR_Coverage, 17104,
     /* 106906 */     GIR_EraseRootFromParent_Done,
     /* 106907 */   // Label 2275: @106907
     /* 106907 */   GIM_Try, /*On fail goto*//*Label 2276*/ GIMT_Encode4(106986), // Rule ID 17105 //
     /* 106912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXSAVE_In64BitMode),
     /* 106915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_xsave64),
     /* 106920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 106923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 106926 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32_AD_and_GR32_ArgRefRegClassID),
     /* 106934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32_ADRegClassID),
     /* 106938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 106945 */     // (intrinsic_void 14987:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, EDX:{ *:[i32] }, EAX:{ *:[i32] })  =>  (XSAVE64 addr:{ *:[iPTR] }:$dst)
     /* 106945 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 106949 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(X86::EAX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106955 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // EAX
     /* 106959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 106963 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::EDX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106969 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // EDX
     /* 106973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XSAVE64),
     /* 106976 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 106980 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106984 */     GIR_RootConstrainSelectedInstOperands,
     /* 106985 */     // GIR_Coverage, 17105,
     /* 106985 */     GIR_EraseRootFromParent_Done,
     /* 106986 */   // Label 2276: @106986
     /* 106986 */   GIM_Try, /*On fail goto*//*Label 2277*/ GIMT_Encode4(107065), // Rule ID 17106 //
     /* 106991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXSAVE),
     /* 106994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_xrstor),
     /* 106999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 107002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 107005 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32_AD_and_GR32_ArgRefRegClassID),
     /* 107013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32_ADRegClassID),
     /* 107017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 107024 */     // (intrinsic_void 14982:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, EDX:{ *:[i32] }, EAX:{ *:[i32] })  =>  (XRSTOR addr:{ *:[iPTR] }:$dst)
     /* 107024 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107028 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(X86::EAX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107034 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // EAX
     /* 107038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107042 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::EDX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107048 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // EDX
     /* 107052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XRSTOR),
     /* 107055 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 107059 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107063 */     GIR_RootConstrainSelectedInstOperands,
     /* 107064 */     // GIR_Coverage, 17106,
     /* 107064 */     GIR_EraseRootFromParent_Done,
     /* 107065 */   // Label 2277: @107065
     /* 107065 */   GIM_Try, /*On fail goto*//*Label 2278*/ GIMT_Encode4(107144), // Rule ID 17107 //
     /* 107070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXSAVE_In64BitMode),
     /* 107073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_xrstor64),
     /* 107078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 107081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 107084 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32_AD_and_GR32_ArgRefRegClassID),
     /* 107092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32_ADRegClassID),
     /* 107096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 107103 */     // (intrinsic_void 14983:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, EDX:{ *:[i32] }, EAX:{ *:[i32] })  =>  (XRSTOR64 addr:{ *:[iPTR] }:$dst)
     /* 107103 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107107 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(X86::EAX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107113 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // EAX
     /* 107117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107121 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::EDX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107127 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // EDX
     /* 107131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XRSTOR64),
     /* 107134 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 107138 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107142 */     GIR_RootConstrainSelectedInstOperands,
     /* 107143 */     // GIR_Coverage, 17107,
     /* 107143 */     GIR_EraseRootFromParent_Done,
     /* 107144 */   // Label 2278: @107144
     /* 107144 */   GIM_Try, /*On fail goto*//*Label 2279*/ GIMT_Encode4(107223), // Rule ID 17108 //
     /* 107149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXSAVEOPT),
     /* 107152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_xsaveopt),
     /* 107157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 107160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 107163 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32_AD_and_GR32_ArgRefRegClassID),
     /* 107171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32_ADRegClassID),
     /* 107175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 107182 */     // (intrinsic_void 14990:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, EDX:{ *:[i32] }, EAX:{ *:[i32] })  =>  (XSAVEOPT addr:{ *:[iPTR] }:$dst)
     /* 107182 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107186 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(X86::EAX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107192 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // EAX
     /* 107196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107200 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::EDX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107206 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // EDX
     /* 107210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XSAVEOPT),
     /* 107213 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 107217 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107221 */     GIR_RootConstrainSelectedInstOperands,
     /* 107222 */     // GIR_Coverage, 17108,
     /* 107222 */     GIR_EraseRootFromParent_Done,
     /* 107223 */   // Label 2279: @107223
     /* 107223 */   GIM_Try, /*On fail goto*//*Label 2280*/ GIMT_Encode4(107302), // Rule ID 17109 //
     /* 107228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXSAVEOPT_In64BitMode),
     /* 107231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_xsaveopt64),
     /* 107236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 107239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 107242 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32_AD_and_GR32_ArgRefRegClassID),
     /* 107250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32_ADRegClassID),
     /* 107254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 107261 */     // (intrinsic_void 14991:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, EDX:{ *:[i32] }, EAX:{ *:[i32] })  =>  (XSAVEOPT64 addr:{ *:[iPTR] }:$dst)
     /* 107261 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107265 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(X86::EAX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107271 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // EAX
     /* 107275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::EDX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // EDX
     /* 107289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XSAVEOPT64),
     /* 107292 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 107296 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107300 */     GIR_RootConstrainSelectedInstOperands,
     /* 107301 */     // GIR_Coverage, 17109,
     /* 107301 */     GIR_EraseRootFromParent_Done,
     /* 107302 */   // Label 2280: @107302
     /* 107302 */   GIM_Try, /*On fail goto*//*Label 2281*/ GIMT_Encode4(107381), // Rule ID 17110 //
     /* 107307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXSAVEC),
     /* 107310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_xsavec),
     /* 107315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 107318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 107321 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32_AD_and_GR32_ArgRefRegClassID),
     /* 107329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32_ADRegClassID),
     /* 107333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 107340 */     // (intrinsic_void 14988:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, EDX:{ *:[i32] }, EAX:{ *:[i32] })  =>  (XSAVEC addr:{ *:[iPTR] }:$dst)
     /* 107340 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107344 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(X86::EAX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107350 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // EAX
     /* 107354 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107358 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::EDX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107364 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // EDX
     /* 107368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XSAVEC),
     /* 107371 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 107375 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107379 */     GIR_RootConstrainSelectedInstOperands,
     /* 107380 */     // GIR_Coverage, 17110,
     /* 107380 */     GIR_EraseRootFromParent_Done,
     /* 107381 */   // Label 2281: @107381
     /* 107381 */   GIM_Try, /*On fail goto*//*Label 2282*/ GIMT_Encode4(107460), // Rule ID 17111 //
     /* 107386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXSAVEC_In64BitMode),
     /* 107389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_xsavec64),
     /* 107394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 107397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 107400 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32_AD_and_GR32_ArgRefRegClassID),
     /* 107408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32_ADRegClassID),
     /* 107412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 107419 */     // (intrinsic_void 14989:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, EDX:{ *:[i32] }, EAX:{ *:[i32] })  =>  (XSAVEC64 addr:{ *:[iPTR] }:$dst)
     /* 107419 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107423 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(X86::EAX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107429 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // EAX
     /* 107433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107437 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::EDX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107443 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // EDX
     /* 107447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XSAVEC64),
     /* 107450 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 107454 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107458 */     GIR_RootConstrainSelectedInstOperands,
     /* 107459 */     // GIR_Coverage, 17111,
     /* 107459 */     GIR_EraseRootFromParent_Done,
     /* 107460 */   // Label 2282: @107460
     /* 107460 */   GIM_Try, /*On fail goto*//*Label 2283*/ GIMT_Encode4(107539), // Rule ID 17112 //
     /* 107465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXSAVES),
     /* 107468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_xsaves),
     /* 107473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 107476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 107479 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32_AD_and_GR32_ArgRefRegClassID),
     /* 107487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32_ADRegClassID),
     /* 107491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 107498 */     // (intrinsic_void 14992:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, EDX:{ *:[i32] }, EAX:{ *:[i32] })  =>  (XSAVES addr:{ *:[iPTR] }:$dst)
     /* 107498 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107502 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(X86::EAX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107508 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // EAX
     /* 107512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107516 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::EDX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107522 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // EDX
     /* 107526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XSAVES),
     /* 107529 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 107533 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107537 */     GIR_RootConstrainSelectedInstOperands,
     /* 107538 */     // GIR_Coverage, 17112,
     /* 107538 */     GIR_EraseRootFromParent_Done,
     /* 107539 */   // Label 2283: @107539
     /* 107539 */   GIM_Try, /*On fail goto*//*Label 2284*/ GIMT_Encode4(107618), // Rule ID 17113 //
     /* 107544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXSAVE_In64BitMode),
     /* 107547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_xsaves64),
     /* 107552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 107555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 107558 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32_AD_and_GR32_ArgRefRegClassID),
     /* 107566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32_ADRegClassID),
     /* 107570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 107577 */     // (intrinsic_void 14993:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, EDX:{ *:[i32] }, EAX:{ *:[i32] })  =>  (XSAVES64 addr:{ *:[iPTR] }:$dst)
     /* 107577 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107581 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(X86::EAX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107587 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // EAX
     /* 107591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107595 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::EDX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107601 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // EDX
     /* 107605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XSAVES64),
     /* 107608 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 107612 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107616 */     GIR_RootConstrainSelectedInstOperands,
     /* 107617 */     // GIR_Coverage, 17113,
     /* 107617 */     GIR_EraseRootFromParent_Done,
     /* 107618 */   // Label 2284: @107618
     /* 107618 */   GIM_Try, /*On fail goto*//*Label 2285*/ GIMT_Encode4(107697), // Rule ID 17114 //
     /* 107623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXSAVES),
     /* 107626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_xrstors),
     /* 107631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 107634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 107637 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32_AD_and_GR32_ArgRefRegClassID),
     /* 107645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32_ADRegClassID),
     /* 107649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 107656 */     // (intrinsic_void 14984:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, EDX:{ *:[i32] }, EAX:{ *:[i32] })  =>  (XRSTORS addr:{ *:[iPTR] }:$dst)
     /* 107656 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107660 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(X86::EAX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107666 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // EAX
     /* 107670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107674 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::EDX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107680 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // EDX
     /* 107684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XRSTORS),
     /* 107687 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 107691 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107695 */     GIR_RootConstrainSelectedInstOperands,
     /* 107696 */     // GIR_Coverage, 17114,
     /* 107696 */     GIR_EraseRootFromParent_Done,
     /* 107697 */   // Label 2285: @107697
     /* 107697 */   GIM_Try, /*On fail goto*//*Label 2286*/ GIMT_Encode4(107776), // Rule ID 17115 //
     /* 107702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXSAVES_In64BitMode),
     /* 107705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_xrstors64),
     /* 107710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 107713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 107716 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32_AD_and_GR32_ArgRefRegClassID),
     /* 107724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32_ADRegClassID),
     /* 107728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 107735 */     // (intrinsic_void 14985:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, EDX:{ *:[i32] }, EAX:{ *:[i32] })  =>  (XRSTORS64 addr:{ *:[iPTR] }:$dst)
     /* 107735 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107739 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(X86::EAX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107745 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // EAX
     /* 107749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107753 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::EDX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107759 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // EDX
     /* 107763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XRSTORS64),
     /* 107766 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 107770 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107774 */     GIR_RootConstrainSelectedInstOperands,
     /* 107775 */     // GIR_Coverage, 17115,
     /* 107775 */     GIR_EraseRootFromParent_Done,
     /* 107776 */   // Label 2286: @107776
     /* 107776 */   GIM_Try, /*On fail goto*//*Label 2287*/ GIMT_Encode4(107813), // Rule ID 17003 //
     /* 107781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXINT8_In64BitMode),
     /* 107784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_tdpbssd),
     /* 107789 */     // MIs[0] src1
     /* 107789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 107792 */     // MIs[0] src2
     /* 107792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 107795 */     // MIs[0] src3
     /* 107795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 107798 */     // (intrinsic_void 14834:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTDPBSSD (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 107798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTDPBSSD),
     /* 107801 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 107803 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 107805 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 107807 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107811 */     GIR_RootConstrainSelectedInstOperands,
     /* 107812 */     // GIR_Coverage, 17003,
     /* 107812 */     GIR_EraseRootFromParent_Done,
     /* 107813 */   // Label 2287: @107813
     /* 107813 */   GIM_Try, /*On fail goto*//*Label 2288*/ GIMT_Encode4(107850), // Rule ID 17004 //
     /* 107818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXINT8_In64BitMode),
     /* 107821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_tdpbsud),
     /* 107826 */     // MIs[0] src1
     /* 107826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 107829 */     // MIs[0] src2
     /* 107829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 107832 */     // MIs[0] src3
     /* 107832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 107835 */     // (intrinsic_void 14836:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTDPBSUD (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 107835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTDPBSUD),
     /* 107838 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 107840 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 107842 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 107844 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107848 */     GIR_RootConstrainSelectedInstOperands,
     /* 107849 */     // GIR_Coverage, 17004,
     /* 107849 */     GIR_EraseRootFromParent_Done,
     /* 107850 */   // Label 2288: @107850
     /* 107850 */   GIM_Try, /*On fail goto*//*Label 2289*/ GIMT_Encode4(107887), // Rule ID 17005 //
     /* 107855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXINT8_In64BitMode),
     /* 107858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_tdpbusd),
     /* 107863 */     // MIs[0] src1
     /* 107863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 107866 */     // MIs[0] src2
     /* 107866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 107869 */     // MIs[0] src3
     /* 107869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 107872 */     // (intrinsic_void 14838:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTDPBUSD (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 107872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTDPBUSD),
     /* 107875 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 107877 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 107879 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 107881 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107885 */     GIR_RootConstrainSelectedInstOperands,
     /* 107886 */     // GIR_Coverage, 17005,
     /* 107886 */     GIR_EraseRootFromParent_Done,
     /* 107887 */   // Label 2289: @107887
     /* 107887 */   GIM_Try, /*On fail goto*//*Label 2290*/ GIMT_Encode4(107924), // Rule ID 17006 //
     /* 107892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXINT8_In64BitMode),
     /* 107895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_tdpbuud),
     /* 107900 */     // MIs[0] src1
     /* 107900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 107903 */     // MIs[0] src2
     /* 107903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 107906 */     // MIs[0] src3
     /* 107906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 107909 */     // (intrinsic_void 14840:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTDPBUUD (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 107909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTDPBUUD),
     /* 107912 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 107914 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 107916 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 107918 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107922 */     GIR_RootConstrainSelectedInstOperands,
     /* 107923 */     // GIR_Coverage, 17006,
     /* 107923 */     GIR_EraseRootFromParent_Done,
     /* 107924 */   // Label 2290: @107924
     /* 107924 */   GIM_Try, /*On fail goto*//*Label 2291*/ GIMT_Encode4(107961), // Rule ID 17008 //
     /* 107929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXBF16_In64BitMode),
     /* 107932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_tdpbf16ps),
     /* 107937 */     // MIs[0] src1
     /* 107937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 107940 */     // MIs[0] src2
     /* 107940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 107943 */     // MIs[0] src3
     /* 107943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 107946 */     // (intrinsic_void 14828:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTDPBF16PS (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 107946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTDPBF16PS),
     /* 107949 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 107951 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 107953 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 107955 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107959 */     GIR_RootConstrainSelectedInstOperands,
     /* 107960 */     // GIR_Coverage, 17008,
     /* 107960 */     GIR_EraseRootFromParent_Done,
     /* 107961 */   // Label 2291: @107961
     /* 107961 */   GIM_Try, /*On fail goto*//*Label 2292*/ GIMT_Encode4(107998), // Rule ID 17010 //
     /* 107966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXFP16_In64BitMode),
     /* 107969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_tdpfp16ps),
     /* 107974 */     // MIs[0] src1
     /* 107974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 107977 */     // MIs[0] src2
     /* 107977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 107980 */     // MIs[0] src3
     /* 107980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 107983 */     // (intrinsic_void 14842:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTDPFP16PS (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 107983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTDPFP16PS),
     /* 107986 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 107988 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 107990 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 107992 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107996 */     GIR_RootConstrainSelectedInstOperands,
     /* 107997 */     // GIR_Coverage, 17010,
     /* 107997 */     GIR_EraseRootFromParent_Done,
     /* 107998 */   // Label 2292: @107998
     /* 107998 */   GIM_Try, /*On fail goto*//*Label 2293*/ GIMT_Encode4(108035), // Rule ID 17013 //
     /* 108003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXCOMPLEX_In64BitMode),
     /* 108006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_tcmmimfp16ps),
     /* 108011 */     // MIs[0] src1
     /* 108011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 108014 */     // MIs[0] src2
     /* 108014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 108017 */     // MIs[0] src3
     /* 108017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 108020 */     // (intrinsic_void 14810:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTCMMIMFP16PS (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 108020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTCMMIMFP16PS),
     /* 108023 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 108025 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 108027 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 108029 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108033 */     GIR_RootConstrainSelectedInstOperands,
     /* 108034 */     // GIR_Coverage, 17013,
     /* 108034 */     GIR_EraseRootFromParent_Done,
     /* 108035 */   // Label 2293: @108035
     /* 108035 */   GIM_Try, /*On fail goto*//*Label 2294*/ GIMT_Encode4(108072), // Rule ID 17014 //
     /* 108040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXCOMPLEX_In64BitMode),
     /* 108043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_tcmmrlfp16ps),
     /* 108048 */     // MIs[0] src1
     /* 108048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 108051 */     // MIs[0] src2
     /* 108051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 108054 */     // MIs[0] src3
     /* 108054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 108057 */     // (intrinsic_void 14812:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTCMMRLFP16PS (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 108057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTCMMRLFP16PS),
     /* 108060 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 108062 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 108064 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 108066 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108070 */     GIR_RootConstrainSelectedInstOperands,
     /* 108071 */     // GIR_Coverage, 17014,
     /* 108071 */     GIR_EraseRootFromParent_Done,
     /* 108072 */   // Label 2294: @108072
     /* 108072 */   GIM_Try, /*On fail goto*//*Label 2295*/ GIMT_Encode4(108109), // Rule ID 17015 //
     /* 108077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXFP8_In64BitMode),
     /* 108080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_tdpbf8ps),
     /* 108085 */     // MIs[0] src1
     /* 108085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 108088 */     // MIs[0] src2
     /* 108088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 108091 */     // MIs[0] src3
     /* 108091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 108094 */     // (intrinsic_void 14830:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTDPBF8PS (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 108094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTDPBF8PS),
     /* 108097 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 108099 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 108101 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 108103 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108107 */     GIR_RootConstrainSelectedInstOperands,
     /* 108108 */     // GIR_Coverage, 17015,
     /* 108108 */     GIR_EraseRootFromParent_Done,
     /* 108109 */   // Label 2295: @108109
     /* 108109 */   GIM_Try, /*On fail goto*//*Label 2296*/ GIMT_Encode4(108146), // Rule ID 17016 //
     /* 108114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXFP8_In64BitMode),
     /* 108117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_tdpbhf8ps),
     /* 108122 */     // MIs[0] src1
     /* 108122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 108125 */     // MIs[0] src2
     /* 108125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 108128 */     // MIs[0] src3
     /* 108128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 108131 */     // (intrinsic_void 14832:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTDPBHF8PS (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 108131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTDPBHF8PS),
     /* 108134 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 108136 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 108138 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 108140 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108144 */     GIR_RootConstrainSelectedInstOperands,
     /* 108145 */     // GIR_Coverage, 17016,
     /* 108145 */     GIR_EraseRootFromParent_Done,
     /* 108146 */   // Label 2296: @108146
     /* 108146 */   GIM_Try, /*On fail goto*//*Label 2297*/ GIMT_Encode4(108183), // Rule ID 17017 //
     /* 108151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXFP8_In64BitMode),
     /* 108154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_tdphbf8ps),
     /* 108159 */     // MIs[0] src1
     /* 108159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 108162 */     // MIs[0] src2
     /* 108162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 108165 */     // MIs[0] src3
     /* 108165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 108168 */     // (intrinsic_void 14844:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTDPHBF8PS (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 108168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTDPHBF8PS),
     /* 108171 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 108173 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 108175 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 108177 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108181 */     GIR_RootConstrainSelectedInstOperands,
     /* 108182 */     // GIR_Coverage, 17017,
     /* 108182 */     GIR_EraseRootFromParent_Done,
     /* 108183 */   // Label 2297: @108183
     /* 108183 */   GIM_Try, /*On fail goto*//*Label 2298*/ GIMT_Encode4(108220), // Rule ID 17018 //
     /* 108188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXFP8_In64BitMode),
     /* 108191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_tdphf8ps),
     /* 108196 */     // MIs[0] src1
     /* 108196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 108199 */     // MIs[0] src2
     /* 108199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 108202 */     // MIs[0] src3
     /* 108202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 108205 */     // (intrinsic_void 14846:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTDPHF8PS (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 108205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTDPHF8PS),
     /* 108208 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 108210 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 108212 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 108214 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108218 */     GIR_RootConstrainSelectedInstOperands,
     /* 108219 */     // GIR_Coverage, 17018,
     /* 108219 */     GIR_EraseRootFromParent_Done,
     /* 108220 */   // Label 2298: @108220
     /* 108220 */   GIM_Try, /*On fail goto*//*Label 2299*/ GIMT_Encode4(108257), // Rule ID 17026 //
     /* 108225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXBF16_HasAMXTRANSPOSE_In64BitMode),
     /* 108228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_ttdpbf16ps),
     /* 108233 */     // MIs[0] src1
     /* 108233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 108236 */     // MIs[0] src2
     /* 108236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 108239 */     // MIs[0] src3
     /* 108239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 108242 */     // (intrinsic_void 14871:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTTDPBF16PS (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 108242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTTDPBF16PS),
     /* 108245 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 108247 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 108249 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 108251 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108255 */     GIR_RootConstrainSelectedInstOperands,
     /* 108256 */     // GIR_Coverage, 17026,
     /* 108256 */     GIR_EraseRootFromParent_Done,
     /* 108257 */   // Label 2299: @108257
     /* 108257 */   GIM_Try, /*On fail goto*//*Label 2300*/ GIMT_Encode4(108294), // Rule ID 17028 //
     /* 108262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXFP16_HasAMXTRANSPOSE_In64BitMode),
     /* 108265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_ttdpfp16ps),
     /* 108270 */     // MIs[0] src1
     /* 108270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 108273 */     // MIs[0] src2
     /* 108273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 108276 */     // MIs[0] src3
     /* 108276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 108279 */     // (intrinsic_void 14873:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTTDPFP16PS (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 108279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTTDPFP16PS),
     /* 108282 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 108284 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 108286 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 108288 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108292 */     GIR_RootConstrainSelectedInstOperands,
     /* 108293 */     // GIR_Coverage, 17028,
     /* 108293 */     GIR_EraseRootFromParent_Done,
     /* 108294 */   // Label 2300: @108294
     /* 108294 */   GIM_Try, /*On fail goto*//*Label 2301*/ GIMT_Encode4(108331), // Rule ID 17033 //
     /* 108299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXCOMPLEX_HasAMXTRANSPOSE_In64BitMode),
     /* 108302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_ttcmmimfp16ps),
     /* 108307 */     // MIs[0] src1
     /* 108307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 108310 */     // MIs[0] src2
     /* 108310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 108313 */     // MIs[0] src3
     /* 108313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 108316 */     // (intrinsic_void 14867:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTTCMMIMFP16PS (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 108316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTTCMMIMFP16PS),
     /* 108319 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 108321 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 108323 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 108325 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108329 */     GIR_RootConstrainSelectedInstOperands,
     /* 108330 */     // GIR_Coverage, 17033,
     /* 108330 */     GIR_EraseRootFromParent_Done,
     /* 108331 */   // Label 2301: @108331
     /* 108331 */   GIM_Try, /*On fail goto*//*Label 2302*/ GIMT_Encode4(108368), // Rule ID 17034 //
     /* 108336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXCOMPLEX_HasAMXTRANSPOSE_In64BitMode),
     /* 108339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_ttcmmrlfp16ps),
     /* 108344 */     // MIs[0] src1
     /* 108344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 108347 */     // MIs[0] src2
     /* 108347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 108350 */     // MIs[0] src3
     /* 108350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 108353 */     // (intrinsic_void 14869:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTTCMMRLFP16PS (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 108353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTTCMMRLFP16PS),
     /* 108356 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 108358 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 108360 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 108362 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108366 */     GIR_RootConstrainSelectedInstOperands,
     /* 108367 */     // GIR_Coverage, 17034,
     /* 108367 */     GIR_EraseRootFromParent_Done,
     /* 108368 */   // Label 2302: @108368
     /* 108368 */   GIM_Try, /*On fail goto*//*Label 2303*/ GIMT_Encode4(108405), // Rule ID 17035 //
     /* 108373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXCOMPLEX_HasAMXTRANSPOSE_In64BitMode),
     /* 108376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_tconjtcmmimfp16ps),
     /* 108381 */     // MIs[0] src1
     /* 108381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 108384 */     // MIs[0] src2
     /* 108384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 108387 */     // MIs[0] src3
     /* 108387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 108390 */     // (intrinsic_void 14814:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTCONJTCMMIMFP16PS (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 108390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTCONJTCMMIMFP16PS),
     /* 108393 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 108395 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 108397 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 108399 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108403 */     GIR_RootConstrainSelectedInstOperands,
     /* 108404 */     // GIR_Coverage, 17035,
     /* 108404 */     GIR_EraseRootFromParent_Done,
     /* 108405 */   // Label 2303: @108405
     /* 108405 */   GIM_Try, /*On fail goto*//*Label 2304*/ GIMT_Encode4(108442), // Rule ID 17054 //
     /* 108410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXTF32_In64BitMode),
     /* 108413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_tmmultf32ps),
     /* 108418 */     // MIs[0] src1
     /* 108418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 108421 */     // MIs[0] src2
     /* 108421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 108424 */     // MIs[0] src3
     /* 108424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 108427 */     // (intrinsic_void 14864:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTMMULTF32PS (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 108427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTMMULTF32PS),
     /* 108430 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 108432 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 108434 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 108436 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108440 */     GIR_RootConstrainSelectedInstOperands,
     /* 108441 */     // GIR_Coverage, 17054,
     /* 108441 */     GIR_EraseRootFromParent_Done,
     /* 108442 */   // Label 2304: @108442
     /* 108442 */   GIM_Try, /*On fail goto*//*Label 2305*/ GIMT_Encode4(108479), // Rule ID 17056 //
     /* 108447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXTF32_HasAMXTRANSPOSE_In64BitMode),
     /* 108450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_ttmmultf32ps),
     /* 108455 */     // MIs[0] src1
     /* 108455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 108458 */     // MIs[0] src2
     /* 108458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 108461 */     // MIs[0] src3
     /* 108461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 108464 */     // (intrinsic_void 14875:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTTMMULTF32PS (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 108464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTTMMULTF32PS),
     /* 108467 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 108469 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 108471 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 108473 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108477 */     GIR_RootConstrainSelectedInstOperands,
     /* 108478 */     // GIR_Coverage, 17056,
     /* 108478 */     GIR_EraseRootFromParent_Done,
     /* 108479 */   // Label 2305: @108479
     /* 108479 */   GIM_Try, /*On fail goto*//*Label 2306*/ GIMT_Encode4(108532), // Rule ID 17037 //
     /* 108484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXAVX512_HasAVX10_2_512_In64BitMode),
     /* 108487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_tcvtrowd2ps),
     /* 108492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 108495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 108498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 108502 */     // MIs[0] src1
     /* 108502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 108505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 108509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 108513 */     // MIs[1] Operand 1
     /* 108513 */     // No operand predicates
     /* 108513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 108515 */     // (intrinsic_w_chain:{ *:[v16f32] } 14818:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (imm:{ *:[i32] }):$src2)  =>  (PTCVTROWD2PSrri:{ *:[v16f32] } (timm:{ *:[i8] }):$src1, (imm:{ *:[i32] }):$src2)
     /* 108515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTCVTROWD2PSrri),
     /* 108518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 108520 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 108522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 108525 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 108530 */     GIR_RootConstrainSelectedInstOperands,
     /* 108531 */     // GIR_Coverage, 17037,
     /* 108531 */     GIR_EraseRootFromParent_Done,
     /* 108532 */   // Label 2306: @108532
     /* 108532 */   GIM_Try, /*On fail goto*//*Label 2307*/ GIMT_Encode4(108585), // Rule ID 17046 //
     /* 108537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXAVX512_HasAVX10_2_512_In64BitMode),
     /* 108540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_tcvtrowps2phh),
     /* 108545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v32s16,
     /* 108548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 108551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 108555 */     // MIs[0] src1
     /* 108555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 108558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 108562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 108566 */     // MIs[1] Operand 1
     /* 108566 */     // No operand predicates
     /* 108566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 108568 */     // (intrinsic_w_chain:{ *:[v32f16] } 14824:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (imm:{ *:[i32] }):$src2)  =>  (PTCVTROWPS2PHHrri:{ *:[v32f16] } (timm:{ *:[i8] }):$src1, (imm:{ *:[i32] }):$src2)
     /* 108568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTCVTROWPS2PHHrri),
     /* 108571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 108573 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 108575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 108578 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 108583 */     GIR_RootConstrainSelectedInstOperands,
     /* 108584 */     // GIR_Coverage, 17046,
     /* 108584 */     GIR_EraseRootFromParent_Done,
     /* 108585 */   // Label 2307: @108585
     /* 108585 */   GIM_Try, /*On fail goto*//*Label 2308*/ GIMT_Encode4(108638), // Rule ID 17048 //
     /* 108590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXAVX512_HasAVX10_2_512_In64BitMode),
     /* 108593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_tcvtrowps2phl),
     /* 108598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v32s16,
     /* 108601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 108604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 108608 */     // MIs[0] src1
     /* 108608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 108611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 108615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 108619 */     // MIs[1] Operand 1
     /* 108619 */     // No operand predicates
     /* 108619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 108621 */     // (intrinsic_w_chain:{ *:[v32f16] } 14826:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (imm:{ *:[i32] }):$src2)  =>  (PTCVTROWPS2PHLrri:{ *:[v32f16] } (timm:{ *:[i8] }):$src1, (imm:{ *:[i32] }):$src2)
     /* 108621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTCVTROWPS2PHLrri),
     /* 108624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 108626 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 108628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 108631 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 108636 */     GIR_RootConstrainSelectedInstOperands,
     /* 108637 */     // GIR_Coverage, 17048,
     /* 108637 */     GIR_EraseRootFromParent_Done,
     /* 108638 */   // Label 2308: @108638
     /* 108638 */   GIM_Try, /*On fail goto*//*Label 2309*/ GIMT_Encode4(108691), // Rule ID 17049 //
     /* 108643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXAVX512_HasAVX10_2_512_In64BitMode),
     /* 108646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_tilemovrow),
     /* 108651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 108654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 108657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 108661 */     // MIs[0] src1
     /* 108661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 108664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 108668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 108672 */     // MIs[1] Operand 1
     /* 108672 */     // No operand predicates
     /* 108672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 108674 */     // (intrinsic_w_chain:{ *:[v16i32] } 14857:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (imm:{ *:[i32] }):$src2)  =>  (PTILEMOVROWrri:{ *:[v16i32] } (timm:{ *:[i8] }):$src1, (imm:{ *:[i32] }):$src2)
     /* 108674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTILEMOVROWrri),
     /* 108677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 108679 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 108681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 108684 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 108689 */     GIR_RootConstrainSelectedInstOperands,
     /* 108690 */     // GIR_Coverage, 17049,
     /* 108690 */     GIR_EraseRootFromParent_Done,
     /* 108691 */   // Label 2309: @108691
     /* 108691 */   GIM_Try, /*On fail goto*//*Label 2310*/ GIMT_Encode4(108736), // Rule ID 17038 //
     /* 108696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXAVX512_HasAVX10_2_512_In64BitMode),
     /* 108699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_tcvtrowd2ps),
     /* 108704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 108707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 108710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 108714 */     // MIs[0] src1
     /* 108714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 108717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 108721 */     // (intrinsic_w_chain:{ *:[v16f32] } 14818:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, GR32:{ *:[i32] }:$src2)  =>  (PTCVTROWD2PSrre:{ *:[v16f32] } (timm:{ *:[i8] }):$src1, GR32:{ *:[i32] }:$src2)
     /* 108721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTCVTROWD2PSrre),
     /* 108724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 108726 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 108728 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 108730 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108734 */     GIR_RootConstrainSelectedInstOperands,
     /* 108735 */     // GIR_Coverage, 17038,
     /* 108735 */     GIR_EraseRootFromParent_Done,
     /* 108736 */   // Label 2310: @108736
     /* 108736 */   GIM_Try, /*On fail goto*//*Label 2311*/ GIMT_Encode4(108781), // Rule ID 17045 //
     /* 108741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXAVX512_HasAVX10_2_512_In64BitMode),
     /* 108744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_tcvtrowps2phh),
     /* 108749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v32s16,
     /* 108752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 108755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 108759 */     // MIs[0] src1
     /* 108759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 108762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 108766 */     // (intrinsic_w_chain:{ *:[v32f16] } 14824:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, GR32:{ *:[i32] }:$src2)  =>  (PTCVTROWPS2PHHrre:{ *:[v32f16] } (timm:{ *:[i8] }):$src1, GR32:{ *:[i32] }:$src2)
     /* 108766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTCVTROWPS2PHHrre),
     /* 108769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 108771 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 108773 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 108775 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108779 */     GIR_RootConstrainSelectedInstOperands,
     /* 108780 */     // GIR_Coverage, 17045,
     /* 108780 */     GIR_EraseRootFromParent_Done,
     /* 108781 */   // Label 2311: @108781
     /* 108781 */   GIM_Try, /*On fail goto*//*Label 2312*/ GIMT_Encode4(108826), // Rule ID 17047 //
     /* 108786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXAVX512_HasAVX10_2_512_In64BitMode),
     /* 108789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_tcvtrowps2phl),
     /* 108794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v32s16,
     /* 108797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 108800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 108804 */     // MIs[0] src1
     /* 108804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 108807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 108811 */     // (intrinsic_w_chain:{ *:[v32f16] } 14826:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, GR32:{ *:[i32] }:$src2)  =>  (PTCVTROWPS2PHLrre:{ *:[v32f16] } (timm:{ *:[i8] }):$src1, GR32:{ *:[i32] }:$src2)
     /* 108811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTCVTROWPS2PHLrre),
     /* 108814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 108816 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 108818 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 108820 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108824 */     GIR_RootConstrainSelectedInstOperands,
     /* 108825 */     // GIR_Coverage, 17047,
     /* 108825 */     GIR_EraseRootFromParent_Done,
     /* 108826 */   // Label 2312: @108826
     /* 108826 */   GIM_Try, /*On fail goto*//*Label 2313*/ GIMT_Encode4(108871), // Rule ID 17050 //
     /* 108831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXAVX512_HasAVX10_2_512_In64BitMode),
     /* 108834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_tilemovrow),
     /* 108839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 108842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 108845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 108849 */     // MIs[0] src1
     /* 108849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 108852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 108856 */     // (intrinsic_w_chain:{ *:[v16i32] } 14857:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, GR32:{ *:[i32] }:$src2)  =>  (PTILEMOVROWrre:{ *:[v16i32] } (timm:{ *:[i8] }):$src1, GR32:{ *:[i32] }:$src2)
     /* 108856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTILEMOVROWrre),
     /* 108859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 108861 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 108863 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 108865 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108869 */     GIR_RootConstrainSelectedInstOperands,
     /* 108870 */     // GIR_Coverage, 17050,
     /* 108870 */     GIR_EraseRootFromParent_Done,
     /* 108871 */   // Label 2313: @108871
     /* 108871 */   GIM_Try, /*On fail goto*//*Label 2314*/ GIMT_Encode4(108916), // Rule ID 122 //
     /* 108876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLWP),
     /* 108879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_lwpval32),
     /* 108884 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 108887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 108890 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 108894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 108898 */     // MIs[0] cntl
     /* 108898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 108901 */     // (intrinsic_void 14498:{ *:[iPTR] }, GR32:{ *:[i32] }:$src0, GR32:{ *:[i32] }:$src1, (timm:{ *:[i32] }):$cntl)  =>  (LWPVAL32rri GR32:{ *:[i32] }:$src0, GR32:{ *:[i32] }:$src1, (timm:{ *:[i32] }):$cntl)
     /* 108901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LWPVAL32rri),
     /* 108904 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 108906 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 108908 */     GIR_RootToRootCopy, /*OpIdx*/3, // cntl
     /* 108910 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108914 */     GIR_RootConstrainSelectedInstOperands,
     /* 108915 */     // GIR_Coverage, 122,
     /* 108915 */     GIR_EraseRootFromParent_Done,
     /* 108916 */   // Label 2314: @108916
     /* 108916 */   GIM_Try, /*On fail goto*//*Label 2315*/ GIMT_Encode4(108961), // Rule ID 124 //
     /* 108921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLWP),
     /* 108924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_lwpval64),
     /* 108929 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 108932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 108935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 108939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 108943 */     // MIs[0] cntl
     /* 108943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 108946 */     // (intrinsic_void 14499:{ *:[iPTR] }, GR64:{ *:[i64] }:$src0, GR32:{ *:[i32] }:$src1, (timm:{ *:[i32] }):$cntl)  =>  (LWPVAL64rri GR64:{ *:[i64] }:$src0, GR32:{ *:[i32] }:$src1, (timm:{ *:[i32] }):$cntl)
     /* 108946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LWPVAL64rri),
     /* 108949 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 108951 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 108953 */     GIR_RootToRootCopy, /*OpIdx*/3, // cntl
     /* 108955 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108959 */     GIR_RootConstrainSelectedInstOperands,
     /* 108960 */     // GIR_Coverage, 124,
     /* 108960 */     GIR_EraseRootFromParent_Done,
     /* 108961 */   // Label 2315: @108961
     /* 108961 */   GIM_Try, /*On fail goto*//*Label 2316*/ GIMT_Encode4(109043), // Rule ID 17103 //
     /* 108966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_xsetbv),
     /* 108971 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 108974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 108977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 108980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32_ArgRef_and_GR32_CBRegClassID),
     /* 108984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32_AD_and_GR32_ArgRefRegClassID),
     /* 108988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32_ADRegClassID),
     /* 108992 */     // (intrinsic_void 14994:{ *:[iPTR] }, ECX:{ *:[i32] }, EDX:{ *:[i32] }, EAX:{ *:[i32] })  =>  (XSETBV)
     /* 108992 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 108996 */     GIR_AddRegister, /*InsnID*/3, GIMT_Encode2(X86::EAX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109002 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/3, // EAX
     /* 109006 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109010 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(X86::EDX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109016 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // EDX
     /* 109020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109024 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::ECX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109030 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // ECX
     /* 109034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XSETBV),
     /* 109037 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109041 */     GIR_RootConstrainSelectedInstOperands,
     /* 109042 */     // GIR_Coverage, 17103,
     /* 109042 */     GIR_EraseRootFromParent_Done,
     /* 109043 */   // Label 2316: @109043
     /* 109043 */   GIM_Try, /*On fail goto*//*Label 2317*/ GIMT_Encode4(109092), // Rule ID 17292 //
     /* 109048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMWAITX),
     /* 109051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_mwaitx),
     /* 109056 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 109059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 109062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 109065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 109069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 109073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 109077 */     // (intrinsic_void 14576:{ *:[iPTR] }, GR32:{ *:[i32] }:$ecx, GR32:{ *:[i32] }:$eax, GR32:{ *:[i32] }:$ebx)  =>  (MWAITX GR32:{ *:[i32] }:$ecx, GR32:{ *:[i32] }:$eax, GR32:{ *:[i32] }:$ebx)
     /* 109077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MWAITX),
     /* 109080 */     GIR_RootToRootCopy, /*OpIdx*/1, // ecx
     /* 109082 */     GIR_RootToRootCopy, /*OpIdx*/2, // eax
     /* 109084 */     GIR_RootToRootCopy, /*OpIdx*/3, // ebx
     /* 109086 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109090 */     GIR_RootConstrainSelectedInstOperands,
     /* 109091 */     // GIR_Coverage, 17292,
     /* 109091 */     GIR_EraseRootFromParent_Done,
     /* 109092 */   // Label 2317: @109092
     /* 109092 */   GIM_Try, /*On fail goto*//*Label 2318*/ GIMT_Encode4(109154), // Rule ID 2902 //
     /* 109097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_In64BitMode),
     /* 109100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_sse2_maskmov_dqu),
     /* 109105 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 109108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 109111 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 109115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 109119 */     // MIs[0] Operand 3
     /* 109119 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 109123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR64_with_sub_32bit_in_GR32_DIBP_and_GR32_SIDIRegClassID),
     /* 109127 */     // (intrinsic_void 14674:{ *:[iPTR] }, VR128:{ *:[v16i8] }:$src, VR128:{ *:[v16i8] }:$mask, RDI:{ *:[i64] })  =>  (VMASKMOVDQU64 VR128:{ *:[v16i8] }:$src, VR128:{ *:[v16i8] }:$mask)
     /* 109127 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109131 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::RDI), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109137 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // RDI
     /* 109141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMASKMOVDQU64),
     /* 109144 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 109146 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 109148 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109152 */     GIR_RootConstrainSelectedInstOperands,
     /* 109153 */     // GIR_Coverage, 2902,
     /* 109153 */     GIR_EraseRootFromParent_Done,
     /* 109154 */   // Label 2318: @109154
     /* 109154 */   GIM_Try, /*On fail goto*//*Label 2319*/ GIMT_Encode4(109216), // Rule ID 2903 //
     /* 109159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /* 109162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_sse2_maskmov_dqu),
     /* 109167 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 109170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 109173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 109177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 109181 */     // MIs[0] Operand 3
     /* 109181 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/32,
     /* 109185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32_DIBP_and_GR32_SIDIRegClassID),
     /* 109189 */     // (intrinsic_void 14674:{ *:[iPTR] }, VR128:{ *:[v16i8] }:$src, VR128:{ *:[v16i8] }:$mask, EDI:{ *:[i32] })  =>  (VMASKMOVDQU VR128:{ *:[v16i8] }:$src, VR128:{ *:[v16i8] }:$mask)
     /* 109189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109193 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::EDI), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109199 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // EDI
     /* 109203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMASKMOVDQU),
     /* 109206 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 109208 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 109210 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109214 */     GIR_RootConstrainSelectedInstOperands,
     /* 109215 */     // GIR_Coverage, 2903,
     /* 109215 */     GIR_EraseRootFromParent_Done,
     /* 109216 */   // Label 2319: @109216
     /* 109216 */   GIM_Try, /*On fail goto*//*Label 2320*/ GIMT_Encode4(109278), // Rule ID 2904 //
     /* 109221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode_UseSSE2),
     /* 109224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_sse2_maskmov_dqu),
     /* 109229 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 109232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 109235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 109239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 109243 */     // MIs[0] Operand 3
     /* 109243 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 109247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR64_with_sub_32bit_in_GR32_DIBP_and_GR32_SIDIRegClassID),
     /* 109251 */     // (intrinsic_void 14674:{ *:[iPTR] }, VR128:{ *:[v16i8] }:$src, VR128:{ *:[v16i8] }:$mask, RDI:{ *:[i64] })  =>  (MASKMOVDQU64 VR128:{ *:[v16i8] }:$src, VR128:{ *:[v16i8] }:$mask)
     /* 109251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::RDI), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // RDI
     /* 109265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MASKMOVDQU64),
     /* 109268 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 109270 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 109272 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109276 */     GIR_RootConstrainSelectedInstOperands,
     /* 109277 */     // GIR_Coverage, 2904,
     /* 109277 */     GIR_EraseRootFromParent_Done,
     /* 109278 */   // Label 2320: @109278
     /* 109278 */   GIM_Try, /*On fail goto*//*Label 2321*/ GIMT_Encode4(109340), // Rule ID 2905 //
     /* 109283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 109286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_sse2_maskmov_dqu),
     /* 109291 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 109294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 109297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 109301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 109305 */     // MIs[0] Operand 3
     /* 109305 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/32,
     /* 109309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32_DIBP_and_GR32_SIDIRegClassID),
     /* 109313 */     // (intrinsic_void 14674:{ *:[iPTR] }, VR128:{ *:[v16i8] }:$src, VR128:{ *:[v16i8] }:$mask, EDI:{ *:[i32] })  =>  (MASKMOVDQU VR128:{ *:[v16i8] }:$src, VR128:{ *:[v16i8] }:$mask)
     /* 109313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109317 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::EDI), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109323 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // EDI
     /* 109327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MASKMOVDQU),
     /* 109330 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 109332 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 109334 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109338 */     GIR_RootConstrainSelectedInstOperands,
     /* 109339 */     // GIR_Coverage, 2905,
     /* 109339 */     GIR_EraseRootFromParent_Done,
     /* 109340 */   // Label 2321: @109340
     /* 109340 */   GIM_Reject,
     /* 109341 */ // Label 2256: @109341
     /* 109341 */ GIM_Try, /*On fail goto*//*Label 2322*/ GIMT_Encode4(109429), // Rule ID 16987 //
     /* 109346 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasKL),
     /* 109349 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/5,
     /* 109352 */   GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_loadiwkey),
     /* 109357 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 109360 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 109363 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 109366 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 109369 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 109373 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 109377 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 109381 */   GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::GR32_ADRegClassID),
     /* 109385 */   // (intrinsic_void 14495:{ *:[iPTR] }, XMM0:{ *:[v2i64] }, VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2, EAX:{ *:[i32] })  =>  (LOADIWKEY:{ *:[i32] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /* 109385 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109389 */   GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(X86::EAX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109395 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/4, // EAX
     /* 109399 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109403 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::XMM0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109409 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // XMM0
     /* 109413 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LOADIWKEY),
     /* 109416 */   GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 109418 */   GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 109420 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 109423 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109427 */   GIR_RootConstrainSelectedInstOperands,
     /* 109428 */   // GIR_Coverage, 16987,
     /* 109428 */   GIR_EraseRootFromParent_Done,
     /* 109429 */ // Label 2322: @109429
     /* 109429 */ GIM_Reject,
     /* 109430 */ // Label 19: @109430
     /* 109430 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2326*/ GIMT_Encode4(109864),
     /* 109441 */ /*GILLT_s16*//*Label 2323*/ GIMT_Encode4(109453),
     /* 109445 */ /*GILLT_s32*//*Label 2324*/ GIMT_Encode4(109511),
     /* 109449 */ /*GILLT_s64*//*Label 2325*/ GIMT_Encode4(109686),
     /* 109453 */ // Label 2323: @109453
     /* 109453 */ GIM_Try, /*On fail goto*//*Label 2327*/ GIMT_Encode4(109510), // Rule ID 22587 //
     /* 109458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 109461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 109465 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 109469 */   // (anyext:{ *:[i16] } GR8:{ *:[i8] }:$src)  =>  (EXTRACT_SUBREG:{ *:[i16] } (MOVZX32rr8:{ *:[i32] } GR8:{ *:[i8] }:$src), sub_16bit:{ *:[i32] })
     /* 109469 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 109472 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVZX32rr8),
     /* 109476 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109481 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 109485 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 109487 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109490 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 109492 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /* 109499 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /* 109504 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /* 109509 */   // GIR_Coverage, 22587,
     /* 109509 */   GIR_EraseRootFromParent_Done,
     /* 109510 */ // Label 2327: @109510
     /* 109510 */ GIM_Reject,
     /* 109511 */ // Label 2324: @109511
     /* 109511 */ GIM_Try, /*On fail goto*//*Label 2328*/ GIMT_Encode4(109557), // Rule ID 19436 //
     /* 109516 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 109519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 109523 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 109527 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 109531 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s1,
     /* 109535 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 109540 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 109542 */   // (anyext:{ *:[i32] } (bitconvert:{ *:[i16] } VK16:{ *:[v16i1] }:$src))  =>  (COPY_TO_REGCLASS:{ *:[i32] } VK16:{ *:[v16i1] }:$src, GR32:{ *:[i32] })
     /* 109542 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109545 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 109547 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 109551 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR32RegClassID),
     /* 109556 */   // GIR_Coverage, 19436,
     /* 109556 */   GIR_EraseRootFromParent_Done,
     /* 109557 */ // Label 2328: @109557
     /* 109557 */ GIM_Try, /*On fail goto*//*Label 2329*/ GIMT_Encode4(109603), // Rule ID 19439 //
     /* 109562 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 109565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 109569 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 109573 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 109577 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s1,
     /* 109581 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /* 109586 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 109588 */   // (anyext:{ *:[i32] } (bitconvert:{ *:[i8] } VK8:{ *:[v8i1] }:$src))  =>  (COPY_TO_REGCLASS:{ *:[i32] } VK8:{ *:[v8i1] }:$src, GR32:{ *:[i32] })
     /* 109588 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109591 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 109593 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 109597 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR32RegClassID),
     /* 109602 */   // GIR_Coverage, 19439,
     /* 109602 */   GIR_EraseRootFromParent_Done,
     /* 109603 */ // Label 2329: @109603
     /* 109603 */ GIM_Try, /*On fail goto*//*Label 2330*/ GIMT_Encode4(109626), // Rule ID 22588 //
     /* 109608 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 109611 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 109615 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 109619 */   // (anyext:{ *:[i32] } GR8:{ *:[i8] }:$src)  =>  (MOVZX32rr8:{ *:[i32] } GR8:{ *:[i8] }:$src)
     /* 109619 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MOVZX32rr8),
     /* 109624 */   GIR_RootConstrainSelectedInstOperands,
     /* 109625 */   // GIR_Coverage, 22588,
     /* 109625 */   GIR_Done,
     /* 109626 */ // Label 2330: @109626
     /* 109626 */ GIM_Try, /*On fail goto*//*Label 2331*/ GIMT_Encode4(109685), // Rule ID 22589 //
     /* 109631 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 109634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBPRegClassID),
     /* 109638 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 109642 */   // (anyext:{ *:[i32] } GR16:{ *:[i16] }:$src)  =>  (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR16:{ *:[i16] }:$src, sub_16bit:{ *:[i32] })
     /* 109642 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 109645 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 109649 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109654 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 109656 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 109659 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 109661 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 109664 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 109666 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 109669 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBPRegClassID),
     /* 109674 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBPRegClassID),
     /* 109679 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR16RegClassID),
     /* 109684 */   // GIR_Coverage, 22589,
     /* 109684 */   GIR_EraseRootFromParent_Done,
     /* 109685 */ // Label 2331: @109685
     /* 109685 */ GIM_Reject,
     /* 109686 */ // Label 2325: @109686
     /* 109686 */ GIM_Try, /*On fail goto*//*Label 2332*/ GIMT_Encode4(109745), // Rule ID 22590 //
     /* 109691 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 109694 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 109698 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 109702 */   // (anyext:{ *:[i64] } GR8:{ *:[i8] }:$src)  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (MOVZX32rr8:{ *:[i32] } GR8:{ *:[i8] }:$src), sub_32bit:{ *:[i32] })
     /* 109702 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 109705 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVZX32rr8),
     /* 109709 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109714 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 109718 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 109720 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 109723 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 109725 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 109728 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 109731 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 109734 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /* 109739 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR32RegClassID),
     /* 109744 */   // GIR_Coverage, 22590,
     /* 109744 */   GIR_EraseRootFromParent_Done,
     /* 109745 */ // Label 2332: @109745
     /* 109745 */ GIM_Try, /*On fail goto*//*Label 2333*/ GIMT_Encode4(109804), // Rule ID 22591 //
     /* 109750 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 109753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 109757 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 109761 */   // (anyext:{ *:[i64] } GR16:{ *:[i16] }:$src)  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (MOVZX32rr16:{ *:[i32] } GR16:{ *:[i16] }:$src), sub_32bit:{ *:[i32] })
     /* 109761 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 109764 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVZX32rr16),
     /* 109768 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109773 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 109777 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 109779 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 109782 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 109784 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 109787 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 109790 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 109793 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /* 109798 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR32RegClassID),
     /* 109803 */   // GIR_Coverage, 22591,
     /* 109803 */   GIR_EraseRootFromParent_Done,
     /* 109804 */ // Label 2333: @109804
     /* 109804 */ GIM_Try, /*On fail goto*//*Label 2334*/ GIMT_Encode4(109863), // Rule ID 22592 //
     /* 109809 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 109812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 109816 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 109820 */   // (anyext:{ *:[i64] } GR32:{ *:[i32] }:$src)  =>  (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR32:{ *:[i32] }:$src, sub_32bit:{ *:[i32] })
     /* 109820 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 109823 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 109827 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109832 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 109834 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 109837 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 109839 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 109842 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 109844 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 109847 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /* 109852 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR64RegClassID),
     /* 109857 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR32RegClassID),
     /* 109862 */   // GIR_Coverage, 22592,
     /* 109862 */   GIR_EraseRootFromParent_Done,
     /* 109863 */ // Label 2334: @109863
     /* 109863 */ GIM_Reject,
     /* 109864 */ // Label 2326: @109864
     /* 109864 */ GIM_Reject,
     /* 109865 */ // Label 20: @109865
     /* 109865 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(22), /*)*//*default:*//*Label 2343*/ GIMT_Encode4(110953),
     /* 109876 */ /*GILLT_s8*//*Label 2335*/ GIMT_Encode4(109960),
     /* 109880 */ /*GILLT_s16*//*Label 2336*/ GIMT_Encode4(110244), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 109912 */ /*GILLT_v4s32*//*Label 2337*/ GIMT_Encode4(110283), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 109924 */ /*GILLT_v8s16*//*Label 2338*/ GIMT_Encode4(110423),
     /* 109928 */ /*GILLT_v8s32*//*Label 2339*/ GIMT_Encode4(110586), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 109940 */ /*GILLT_v16s8*//*Label 2340*/ GIMT_Encode4(110613),
     /* 109944 */ /*GILLT_v16s16*//*Label 2341*/ GIMT_Encode4(110899), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 109956 */ /*GILLT_v32s8*//*Label 2342*/ GIMT_Encode4(110926),
     /* 109960 */ // Label 2335: @109960
     /* 109960 */ GIM_Try, /*On fail goto*//*Label 2344*/ GIMT_Encode4(110035), // Rule ID 19431 //
     /* 109965 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 109968 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 109972 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 109976 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 109980 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s1,
     /* 109984 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 109989 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 109991 */   // (trunc:{ *:[i8] } (bitconvert:{ *:[i16] } VK16:{ *:[v16i1] }:$src))  =>  (EXTRACT_SUBREG:{ *:[i8] } (COPY_TO_REGCLASS:{ *:[i32] } VK16:{ *:[v16i1] }:$src, GR32:{ *:[i32] }), sub_8bit:{ *:[i32] })
     /* 109991 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 109994 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109998 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110003 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 110007 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR32RegClassID),
     /* 110012 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 110015 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110017 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_8bit),
     /* 110024 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR8RegClassID),
     /* 110029 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /* 110034 */   // GIR_Coverage, 19431,
     /* 110034 */   GIR_EraseRootFromParent_Done,
     /* 110035 */ // Label 2344: @110035
     /* 110035 */ GIM_Try, /*On fail goto*//*Label 2345*/ GIMT_Encode4(110098), // Rule ID 22649 //
     /* 110040 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Not64BitMode),
     /* 110043 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 110046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 110050 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 110054 */   // (trunc:{ *:[i8] } GR32:{ *:[i32] }:$src)  =>  (EXTRACT_SUBREG:{ *:[i8] } (COPY_TO_REGCLASS:{ *:[i32] } GR32:{ *:[i32] }:$src, GR32_ABCD:{ *:[i32] }), sub_8bit:{ *:[i32] })
     /* 110054 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 110057 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 110061 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110066 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 110070 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR32_ABCDRegClassID),
     /* 110075 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 110078 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110080 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_8bit),
     /* 110087 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 110092 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32_ABCDRegClassID),
     /* 110097 */   // GIR_Coverage, 22649,
     /* 110097 */   GIR_EraseRootFromParent_Done,
     /* 110098 */ // Label 2345: @110098
     /* 110098 */ GIM_Try, /*On fail goto*//*Label 2346*/ GIMT_Encode4(110161), // Rule ID 22650 //
     /* 110103 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Not64BitMode),
     /* 110106 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 110109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 110113 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 110117 */   // (trunc:{ *:[i8] } GR16:{ *:[i16] }:$src)  =>  (EXTRACT_SUBREG:{ *:[i8] } (COPY_TO_REGCLASS:{ *:[i16] } GR16:{ *:[i16] }:$src, GR16_ABCD:{ *:[i32] }), sub_8bit:{ *:[i32] })
     /* 110117 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 110120 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 110124 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110129 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 110133 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR16_ABCDRegClassID),
     /* 110138 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 110141 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110143 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_8bit),
     /* 110150 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 110155 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR16_ABCDRegClassID),
     /* 110160 */   // GIR_Coverage, 22650,
     /* 110160 */   GIR_EraseRootFromParent_Done,
     /* 110161 */ // Label 2346: @110161
     /* 110161 */ GIM_Try, /*On fail goto*//*Label 2347*/ GIMT_Encode4(110202), // Rule ID 22654 //
     /* 110166 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /* 110169 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 110172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 110176 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 110180 */   // (trunc:{ *:[i8] } GR32:{ *:[i32] }:$src)  =>  (EXTRACT_SUBREG:{ *:[i8] } GR32:{ *:[i32] }:$src, sub_8bit:{ *:[i32] })
     /* 110180 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 110183 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110185 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(1), // src
     /* 110191 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR8RegClassID),
     /* 110196 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /* 110201 */   // GIR_Coverage, 22654,
     /* 110201 */   GIR_EraseRootFromParent_Done,
     /* 110202 */ // Label 2347: @110202
     /* 110202 */ GIM_Try, /*On fail goto*//*Label 2348*/ GIMT_Encode4(110243), // Rule ID 22655 //
     /* 110207 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /* 110210 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 110213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 110217 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 110221 */   // (trunc:{ *:[i8] } GR16:{ *:[i16] }:$src)  =>  (EXTRACT_SUBREG:{ *:[i8] } GR16:{ *:[i16] }:$src, sub_8bit:{ *:[i32] })
     /* 110221 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 110224 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110226 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(1), // src
     /* 110232 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR8RegClassID),
     /* 110237 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR16RegClassID),
     /* 110242 */   // GIR_Coverage, 22655,
     /* 110242 */   GIR_EraseRootFromParent_Done,
     /* 110243 */ // Label 2348: @110243
     /* 110243 */ GIM_Reject,
     /* 110244 */ // Label 2336: @110244
     /* 110244 */ GIM_Try, /*On fail goto*//*Label 2349*/ GIMT_Encode4(110282), // Rule ID 22648 //
     /* 110249 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 110252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 110256 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 110260 */   // (trunc:{ *:[i16] } GR32:{ *:[i32] }:$src)  =>  (EXTRACT_SUBREG:{ *:[i16] } GR32:{ *:[i32] }:$src, sub_16bit:{ *:[i32] })
     /* 110260 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 110263 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110265 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(4), // src
     /* 110271 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /* 110276 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /* 110281 */   // GIR_Coverage, 22648,
     /* 110281 */   GIR_EraseRootFromParent_Done,
     /* 110282 */ // Label 2349: @110282
     /* 110282 */ GIM_Reject,
     /* 110283 */ // Label 2337: @110283
     /* 110283 */ GIM_Try, /*On fail goto*//*Label 2350*/ GIMT_Encode4(110422),
     /* 110288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 110291 */   GIM_Try, /*On fail goto*//*Label 2351*/ GIMT_Encode4(110314), // Rule ID 12261 //
     /* 110296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 110299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 110303 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 110307 */     // (trunc:{ *:[v4i32] } VR256X:{ *:[v4i64] }:$src)  =>  (VPMOVQDZ256rr:{ *:[v4i32] } VR256X:{ *:[v4i64] }:$src)
     /* 110307 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVQDZ256rr),
     /* 110312 */     GIR_RootConstrainSelectedInstOperands,
     /* 110313 */     // GIR_Coverage, 12261,
     /* 110313 */     GIR_Done,
     /* 110314 */   // Label 2351: @110314
     /* 110314 */   GIM_Try, /*On fail goto*//*Label 2352*/ GIMT_Encode4(110421), // Rule ID 21556 //
     /* 110319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 110322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 110326 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 110330 */     // (trunc:{ *:[v4i32] } VR256X:{ *:[v4i64] }:$src)  =>  (EXTRACT_SUBREG:{ *:[v4i32] } (VPMOVQDZrr:{ *:[v8i32] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src, sub_ymm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 110330 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 110333 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 110337 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110342 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 110344 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 110347 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 110351 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110356 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 110359 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 110363 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 110366 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 110371 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 110376 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 110381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s32,
     /* 110384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMOVQDZrr),
     /* 110388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110393 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 110396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 110398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 110401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110403 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 110410 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 110415 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR256XRegClassID),
     /* 110420 */     // GIR_Coverage, 21556,
     /* 110420 */     GIR_EraseRootFromParent_Done,
     /* 110421 */   // Label 2352: @110421
     /* 110421 */   GIM_Reject,
     /* 110422 */ // Label 2350: @110422
     /* 110422 */ GIM_Reject,
     /* 110423 */ // Label 2338: @110423
     /* 110423 */ GIM_Try, /*On fail goto*//*Label 2353*/ GIMT_Encode4(110449), // Rule ID 12237 //
     /* 110428 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 110431 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 110434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 110438 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 110442 */   // (trunc:{ *:[v8i16] } VR512:{ *:[v8i64] }:$src)  =>  (VPMOVQWZrr:{ *:[v8i16] } VR512:{ *:[v8i64] }:$src)
     /* 110442 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVQWZrr),
     /* 110447 */   GIR_RootConstrainSelectedInstOperands,
     /* 110448 */   // GIR_Coverage, 12237,
     /* 110448 */   GIR_Done,
     /* 110449 */ // Label 2353: @110449
     /* 110449 */ GIM_Try, /*On fail goto*//*Label 2354*/ GIMT_Encode4(110475), // Rule ID 12315 //
     /* 110454 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 110457 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 110460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 110464 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 110468 */   // (trunc:{ *:[v8i16] } VR256X:{ *:[v8i32] }:$src)  =>  (VPMOVDWZ256rr:{ *:[v8i16] } VR256X:{ *:[v8i32] }:$src)
     /* 110468 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVDWZ256rr),
     /* 110473 */   GIR_RootConstrainSelectedInstOperands,
     /* 110474 */   // GIR_Coverage, 12315,
     /* 110474 */   GIR_Done,
     /* 110475 */ // Label 2354: @110475
     /* 110475 */ GIM_Try, /*On fail goto*//*Label 2355*/ GIMT_Encode4(110585), // Rule ID 21555 //
     /* 110480 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 110483 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 110486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 110490 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 110494 */   // (trunc:{ *:[v8i16] } VR256X:{ *:[v8i32] }:$src)  =>  (EXTRACT_SUBREG:{ *:[v8i16] } (VPMOVDWZrr:{ *:[v16i16] } (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR256X:{ *:[v8i32] }:$src, sub_ymm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 110494 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 110497 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 110501 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110506 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 110508 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s32,
     /* 110511 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 110515 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110520 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 110523 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 110527 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 110530 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 110535 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 110540 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 110545 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s16,
     /* 110548 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMOVDWZrr),
     /* 110552 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110557 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 110560 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 110562 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 110565 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110567 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 110574 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 110579 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR256XRegClassID),
     /* 110584 */   // GIR_Coverage, 21555,
     /* 110584 */   GIR_EraseRootFromParent_Done,
     /* 110585 */ // Label 2355: @110585
     /* 110585 */ GIM_Reject,
     /* 110586 */ // Label 2339: @110586
     /* 110586 */ GIM_Try, /*On fail goto*//*Label 2356*/ GIMT_Encode4(110612), // Rule ID 12264 //
     /* 110591 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 110594 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 110597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 110601 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 110605 */   // (trunc:{ *:[v8i32] } VR512:{ *:[v8i64] }:$src)  =>  (VPMOVQDZrr:{ *:[v8i32] } VR512:{ *:[v8i64] }:$src)
     /* 110605 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVQDZrr),
     /* 110610 */   GIR_RootConstrainSelectedInstOperands,
     /* 110611 */   // GIR_Coverage, 12264,
     /* 110611 */   GIR_Done,
     /* 110612 */ // Label 2356: @110612
     /* 110612 */ GIM_Reject,
     /* 110613 */ // Label 2340: @110613
     /* 110613 */ GIM_Try, /*On fail goto*//*Label 2357*/ GIMT_Encode4(110689), // Rule ID 21649 //
     /* 110618 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_NoBWI),
     /* 110621 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 110624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 110628 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 110632 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 110636 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 110639 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 110643 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 110647 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 110649 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 110656 */   // (trunc:{ *:[v16i8] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVDBZrr:{ *:[v16i8] } (VPMOVZXWDZrm:{ *:[v16i32] } addr:{ *:[iPTR] }:$src))
     /* 110656 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s32,
     /* 110659 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMOVZXWDZrm),
     /* 110663 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110668 */   GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /* 110672 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 110677 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 110679 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVDBZrr),
     /* 110682 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110684 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 110687 */   GIR_RootConstrainSelectedInstOperands,
     /* 110688 */   // GIR_Coverage, 21649,
     /* 110688 */   GIR_EraseRootFromParent_Done,
     /* 110689 */ // Label 2357: @110689
     /* 110689 */ GIM_Try, /*On fail goto*//*Label 2358*/ GIMT_Encode4(110715), // Rule ID 12291 //
     /* 110694 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 110697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 110700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 110704 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 110708 */   // (trunc:{ *:[v16i8] } VR512:{ *:[v16i32] }:$src)  =>  (VPMOVDBZrr:{ *:[v16i8] } VR512:{ *:[v16i32] }:$src)
     /* 110708 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVDBZrr),
     /* 110713 */   GIR_RootConstrainSelectedInstOperands,
     /* 110714 */   // GIR_Coverage, 12291,
     /* 110714 */   GIR_Done,
     /* 110715 */ // Label 2358: @110715
     /* 110715 */ GIM_Try, /*On fail goto*//*Label 2359*/ GIMT_Encode4(110741), // Rule ID 12342 //
     /* 110720 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 110723 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 110726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 110730 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 110734 */   // (trunc:{ *:[v16i8] } VR256X:{ *:[v16i16] }:$src)  =>  (VPMOVWBZ256rr:{ *:[v16i8] } VR256X:{ *:[v16i16] }:$src)
     /* 110734 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVWBZ256rr),
     /* 110739 */   GIR_RootConstrainSelectedInstOperands,
     /* 110740 */   // GIR_Coverage, 12342,
     /* 110740 */   GIR_Done,
     /* 110741 */ // Label 2359: @110741
     /* 110741 */ GIM_Try, /*On fail goto*//*Label 2360*/ GIMT_Encode4(110851), // Rule ID 21557 //
     /* 110746 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEVEX512_NoVLX),
     /* 110749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 110752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 110756 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 110760 */   // (trunc:{ *:[v16i8] } VR256X:{ *:[v16i16] }:$src)  =>  (EXTRACT_SUBREG:{ *:[v16i8] } (VPMOVWBZrr:{ *:[v32i8] } (INSERT_SUBREG:{ *:[v32i16] } (IMPLICIT_DEF:{ *:[v32i16] }), VR256X:{ *:[v16i16] }:$src, sub_ymm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 110760 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v32s16,
     /* 110763 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 110767 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110772 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 110774 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v32s16,
     /* 110777 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 110781 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110786 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 110789 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 110793 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 110796 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 110801 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 110806 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 110811 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v32s8,
     /* 110814 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMOVWBZrr),
     /* 110818 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110823 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 110826 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 110828 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 110831 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110833 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 110840 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 110845 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR256XRegClassID),
     /* 110850 */   // GIR_Coverage, 21557,
     /* 110850 */   GIR_EraseRootFromParent_Done,
     /* 110851 */ // Label 2360: @110851
     /* 110851 */ GIM_Try, /*On fail goto*//*Label 2361*/ GIMT_Encode4(110898), // Rule ID 21648 //
     /* 110856 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_NoBWI),
     /* 110859 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 110862 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 110866 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 110870 */   // (trunc:{ *:[v16i8] } VR256X:{ *:[v16i16] }:$src)  =>  (VPMOVDBZrr:{ *:[v16i8] } (VPMOVZXWDZrr:{ *:[v16i32] } VR256X:{ *:[v16i16] }:$src))
     /* 110870 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s32,
     /* 110873 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMOVZXWDZrr),
     /* 110877 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110882 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 110886 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 110888 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVDBZrr),
     /* 110891 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110893 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 110896 */   GIR_RootConstrainSelectedInstOperands,
     /* 110897 */   // GIR_Coverage, 21648,
     /* 110897 */   GIR_EraseRootFromParent_Done,
     /* 110898 */ // Label 2361: @110898
     /* 110898 */ GIM_Reject,
     /* 110899 */ // Label 2341: @110899
     /* 110899 */ GIM_Try, /*On fail goto*//*Label 2362*/ GIMT_Encode4(110925), // Rule ID 12318 //
     /* 110904 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 110907 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 110910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 110914 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 110918 */   // (trunc:{ *:[v16i16] } VR512:{ *:[v16i32] }:$src)  =>  (VPMOVDWZrr:{ *:[v16i16] } VR512:{ *:[v16i32] }:$src)
     /* 110918 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVDWZrr),
     /* 110923 */   GIR_RootConstrainSelectedInstOperands,
     /* 110924 */   // GIR_Coverage, 12318,
     /* 110924 */   GIR_Done,
     /* 110925 */ // Label 2362: @110925
     /* 110925 */ GIM_Reject,
     /* 110926 */ // Label 2342: @110926
     /* 110926 */ GIM_Try, /*On fail goto*//*Label 2363*/ GIMT_Encode4(110952), // Rule ID 12345 //
     /* 110931 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 110934 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 110937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 110941 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 110945 */   // (trunc:{ *:[v32i8] } VR512:{ *:[v32i16] }:$src)  =>  (VPMOVWBZrr:{ *:[v32i8] } VR512:{ *:[v32i16] }:$src)
     /* 110945 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVWBZrr),
     /* 110950 */   GIR_RootConstrainSelectedInstOperands,
     /* 110951 */   // GIR_Coverage, 12345,
     /* 110951 */   GIR_Done,
     /* 110952 */ // Label 2363: @110952
     /* 110952 */ GIM_Reject,
     /* 110953 */ // Label 2343: @110953
     /* 110953 */ GIM_Reject,
     /* 110954 */ // Label 21: @110954
     /* 110954 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(5), /*)*//*default:*//*Label 2368*/ GIMT_Encode4(111559),
     /* 110965 */ /*GILLT_s8*//*Label 2364*/ GIMT_Encode4(110981),
     /* 110969 */ /*GILLT_s16*//*Label 2365*/ GIMT_Encode4(111063),
     /* 110973 */ /*GILLT_s32*//*Label 2366*/ GIMT_Encode4(111263),
     /* 110977 */ /*GILLT_s64*//*Label 2367*/ GIMT_Encode4(111405),
     /* 110981 */ // Label 2364: @110981
     /* 110981 */ GIM_Try, /*On fail goto*//*Label 2369*/ GIMT_Encode4(111062),
     /* 110986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 110990 */   GIM_Try, /*On fail goto*//*Label 2370*/ GIMT_Encode4(111046), // Rule ID 22383 //
     /* 110995 */     // MIs[0] Operand 1
     /* 110995 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/1, GIMT_Encode8(0),
     /* 111006 */     // 0:{ *:[i8] }  =>  (EXTRACT_SUBREG:{ *:[i8] } (MOV32r0:{ *:[i32] }:{ *:[i32] }), sub_8bit:{ *:[i32] })
     /* 111006 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOV32r0),
     /* 111013 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111018 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for X86::EFLAGS*/0,
     /* 111021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 111026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111028 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_8bit),
     /* 111035 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR8RegClassID),
     /* 111040 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /* 111045 */     // GIR_Coverage, 22383,
     /* 111045 */     GIR_EraseRootFromParent_Done,
     /* 111046 */   // Label 2370: @111046
     /* 111046 */   GIM_Try, /*On fail goto*//*Label 2371*/ GIMT_Encode4(111061), // Rule ID 19 //
     /* 111051 */     // MIs[0] Operand 1
     /* 111051 */     // No operand predicates
     /* 111051 */     // (imm:{ *:[i8] }):$src  =>  (MOV8ri:{ *:[i8] } (imm:{ *:[i8] }):$src)
     /* 111051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV8ri),
     /* 111054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // src
     /* 111059 */     GIR_RootConstrainSelectedInstOperands,
     /* 111060 */     // GIR_Coverage, 19,
     /* 111060 */     GIR_EraseRootFromParent_Done,
     /* 111061 */   // Label 2371: @111061
     /* 111061 */   GIM_Reject,
     /* 111062 */ // Label 2369: @111062
     /* 111062 */ GIM_Reject,
     /* 111063 */ // Label 2365: @111063
     /* 111063 */ GIM_Try, /*On fail goto*//*Label 2372*/ GIMT_Encode4(111262),
     /* 111068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 111072 */   GIM_Try, /*On fail goto*//*Label 2373*/ GIMT_Encode4(111128), // Rule ID 22384 //
     /* 111077 */     // MIs[0] Operand 1
     /* 111077 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/1, GIMT_Encode8(0),
     /* 111088 */     // 0:{ *:[i16] }  =>  (EXTRACT_SUBREG:{ *:[i16] } (MOV32r0:{ *:[i32] }:{ *:[i32] }), sub_16bit:{ *:[i32] })
     /* 111088 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOV32r0),
     /* 111095 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111100 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for X86::EFLAGS*/0,
     /* 111103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 111108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111110 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /* 111117 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /* 111122 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /* 111127 */     // GIR_Coverage, 22384,
     /* 111127 */     GIR_EraseRootFromParent_Done,
     /* 111128 */   // Label 2373: @111128
     /* 111128 */   GIM_Try, /*On fail goto*//*Label 2374*/ GIMT_Encode4(111187), // Rule ID 22386 //
     /* 111133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Not64BitMode_OptForSize),
     /* 111136 */     // MIs[0] Operand 1
     /* 111136 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/1, GIMT_Encode8(1),
     /* 111147 */     // 1:{ *:[i16] }  =>  (EXTRACT_SUBREG:{ *:[i16] } (MOV32r1:{ *:[i32] }:{ *:[i32] }), sub_16bit:{ *:[i32] })
     /* 111147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOV32r1),
     /* 111154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111159 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for X86::EFLAGS*/0,
     /* 111162 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 111167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111169 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /* 111176 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /* 111181 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /* 111186 */     // GIR_Coverage, 22386,
     /* 111186 */     GIR_EraseRootFromParent_Done,
     /* 111187 */   // Label 2374: @111187
     /* 111187 */   GIM_Try, /*On fail goto*//*Label 2375*/ GIMT_Encode4(111246), // Rule ID 22387 //
     /* 111192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Not64BitMode_OptForSize),
     /* 111195 */     // MIs[0] Operand 1
     /* 111195 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/1, GIMT_Encode8(-1),
     /* 111206 */     // -1:{ *:[i16] }  =>  (EXTRACT_SUBREG:{ *:[i16] } (MOV32r_1:{ *:[i32] }:{ *:[i32] }), sub_16bit:{ *:[i32] })
     /* 111206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOV32r_1),
     /* 111213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111218 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for X86::EFLAGS*/0,
     /* 111221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 111226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111228 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /* 111235 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /* 111240 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /* 111245 */     // GIR_Coverage, 22387,
     /* 111245 */     GIR_EraseRootFromParent_Done,
     /* 111246 */   // Label 2375: @111246
     /* 111246 */   GIM_Try, /*On fail goto*//*Label 2376*/ GIMT_Encode4(111261), // Rule ID 20 //
     /* 111251 */     // MIs[0] Operand 1
     /* 111251 */     // No operand predicates
     /* 111251 */     // (imm:{ *:[i16] }):$src  =>  (MOV16ri:{ *:[i16] } (imm:{ *:[i16] }):$src)
     /* 111251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV16ri),
     /* 111254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // src
     /* 111259 */     GIR_RootConstrainSelectedInstOperands,
     /* 111260 */     // GIR_Coverage, 20,
     /* 111260 */     GIR_EraseRootFromParent_Done,
     /* 111261 */   // Label 2376: @111261
     /* 111261 */   GIM_Reject,
     /* 111262 */ // Label 2372: @111262
     /* 111262 */ GIM_Reject,
     /* 111263 */ // Label 2366: @111263
     /* 111263 */ GIM_Try, /*On fail goto*//*Label 2377*/ GIMT_Encode4(111293), // Rule ID 17152 //
     /* 111268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 111272 */   // MIs[0] Operand 1
     /* 111272 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/1, GIMT_Encode8(0),
     /* 111283 */   // 0:{ *:[i32] }  =>  (MOV32r0:{ *:[i32] }:{ *:[i32] })
     /* 111283 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV32r0),
     /* 111286 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111288 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 111291 */   GIR_RootConstrainSelectedInstOperands,
     /* 111292 */   // GIR_Coverage, 17152,
     /* 111292 */   GIR_EraseRootFromParent_Done,
     /* 111293 */ // Label 2377: @111293
     /* 111293 */ GIM_Try, /*On fail goto*//*Label 2378*/ GIMT_Encode4(111326), // Rule ID 17153 //
     /* 111298 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Not64BitMode_OptForSize),
     /* 111301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 111305 */   // MIs[0] Operand 1
     /* 111305 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/1, GIMT_Encode8(1),
     /* 111316 */   // 1:{ *:[i32] }  =>  (MOV32r1:{ *:[i32] }:{ *:[i32] })
     /* 111316 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV32r1),
     /* 111319 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111321 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 111324 */   GIR_RootConstrainSelectedInstOperands,
     /* 111325 */   // GIR_Coverage, 17153,
     /* 111325 */   GIR_EraseRootFromParent_Done,
     /* 111326 */ // Label 2378: @111326
     /* 111326 */ GIM_Try, /*On fail goto*//*Label 2379*/ GIMT_Encode4(111359), // Rule ID 17154 //
     /* 111331 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Not64BitMode_OptForSize),
     /* 111334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 111338 */   // MIs[0] Operand 1
     /* 111338 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/1, GIMT_Encode8(-1),
     /* 111349 */   // -1:{ *:[i32] }  =>  (MOV32r_1:{ *:[i32] }:{ *:[i32] })
     /* 111349 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV32r_1),
     /* 111352 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111354 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 111357 */   GIR_RootConstrainSelectedInstOperands,
     /* 111358 */   // GIR_Coverage, 17154,
     /* 111358 */   GIR_EraseRootFromParent_Done,
     /* 111359 */ // Label 2379: @111359
     /* 111359 */ GIM_Try, /*On fail goto*//*Label 2380*/ GIMT_Encode4(111385), // Rule ID 17155 //
     /* 111364 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotWin64WithoutFP_OptForMinSize),
     /* 111367 */   GIM_CheckI64ImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i32immSExt8),
     /* 111371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 111375 */   // MIs[0] Operand 1
     /* 111375 */   // No operand predicates
     /* 111375 */   // (imm:{ *:[i32] })<<P:Predicate_i32immSExt8>>:$src  =>  (MOV32ImmSExti8:{ *:[i32] } (imm:{ *:[i32] }):$src)
     /* 111375 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV32ImmSExti8),
     /* 111378 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111380 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // src
     /* 111383 */   GIR_RootConstrainSelectedInstOperands,
     /* 111384 */   // GIR_Coverage, 17155,
     /* 111384 */   GIR_EraseRootFromParent_Done,
     /* 111385 */ // Label 2380: @111385
     /* 111385 */ GIM_Try, /*On fail goto*//*Label 2381*/ GIMT_Encode4(111404), // Rule ID 21 //
     /* 111390 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 111394 */   // MIs[0] Operand 1
     /* 111394 */   // No operand predicates
     /* 111394 */   // (imm:{ *:[i32] }):$src  =>  (MOV32ri:{ *:[i32] } (imm:{ *:[i32] }):$src)
     /* 111394 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV32ri),
     /* 111397 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111399 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // src
     /* 111402 */   GIR_RootConstrainSelectedInstOperands,
     /* 111403 */   // GIR_Coverage, 21,
     /* 111403 */   GIR_EraseRootFromParent_Done,
     /* 111404 */ // Label 2381: @111404
     /* 111404 */ GIM_Reject,
     /* 111405 */ // Label 2367: @111405
     /* 111405 */ GIM_Try, /*On fail goto*//*Label 2382*/ GIMT_Encode4(111467), // Rule ID 22385 //
     /* 111410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 111414 */   // MIs[0] Operand 1
     /* 111414 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/1, GIMT_Encode8(0),
     /* 111425 */   // 0:{ *:[i64] }  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (MOV32r0:{ *:[i32] }:{ *:[i32] }), sub_32bit:{ *:[i32] })
     /* 111425 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111428 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOV32r0),
     /* 111432 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111437 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for X86::EFLAGS*/0,
     /* 111440 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111442 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111445 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111450 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 111456 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /* 111461 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR32RegClassID),
     /* 111466 */   // GIR_Coverage, 22385,
     /* 111466 */   GIR_EraseRootFromParent_Done,
     /* 111467 */ // Label 2382: @111467
     /* 111467 */ GIM_Try, /*On fail goto*//*Label 2383*/ GIMT_Encode4(111493), // Rule ID 17156 //
     /* 111472 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotWin64WithoutFP_OptForMinSize),
     /* 111475 */   GIM_CheckI64ImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt8),
     /* 111479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 111483 */   // MIs[0] Operand 1
     /* 111483 */   // No operand predicates
     /* 111483 */   // (imm:{ *:[i64] })<<P:Predicate_i64immSExt8>>:$src  =>  (MOV64ImmSExti8:{ *:[i64] } (imm:{ *:[i64] }):$src)
     /* 111483 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV64ImmSExti8),
     /* 111486 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111488 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // src
     /* 111491 */   GIR_RootConstrainSelectedInstOperands,
     /* 111492 */   // GIR_Coverage, 17156,
     /* 111492 */   GIR_EraseRootFromParent_Done,
     /* 111493 */ // Label 2383: @111493
     /* 111493 */ GIM_Try, /*On fail goto*//*Label 2384*/ GIMT_Encode4(111516), // Rule ID 17157 //
     /* 111498 */   GIM_CheckI64ImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immZExt32),
     /* 111502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 111506 */   // MIs[0] Operand 1
     /* 111506 */   // No operand predicates
     /* 111506 */   // (imm:{ *:[i64] })<<P:Predicate_i64immZExt32>>:$src  =>  (MOV32ri64:{ *:[i64] } (imm:{ *:[i64] }):$src)
     /* 111506 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV32ri64),
     /* 111509 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111511 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // src
     /* 111514 */   GIR_RootConstrainSelectedInstOperands,
     /* 111515 */   // GIR_Coverage, 17157,
     /* 111515 */   GIR_EraseRootFromParent_Done,
     /* 111516 */ // Label 2384: @111516
     /* 111516 */ GIM_Try, /*On fail goto*//*Label 2385*/ GIMT_Encode4(111539), // Rule ID 22 //
     /* 111521 */   GIM_CheckI64ImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /* 111525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 111529 */   // MIs[0] Operand 1
     /* 111529 */   // No operand predicates
     /* 111529 */   // (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src  =>  (MOV64ri32:{ *:[i64] } (imm:{ *:[i64] }):$src)
     /* 111529 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV64ri32),
     /* 111532 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111534 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // src
     /* 111537 */   GIR_RootConstrainSelectedInstOperands,
     /* 111538 */   // GIR_Coverage, 22,
     /* 111538 */   GIR_EraseRootFromParent_Done,
     /* 111539 */ // Label 2385: @111539
     /* 111539 */ GIM_Try, /*On fail goto*//*Label 2386*/ GIMT_Encode4(111558), // Rule ID 23 //
     /* 111544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 111548 */   // MIs[0] Operand 1
     /* 111548 */   // No operand predicates
     /* 111548 */   // (imm:{ *:[i64] }):$src  =>  (MOV64ri:{ *:[i64] } (imm:{ *:[i64] }):$src)
     /* 111548 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV64ri),
     /* 111551 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111553 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // src
     /* 111556 */   GIR_RootConstrainSelectedInstOperands,
     /* 111557 */   // GIR_Coverage, 23,
     /* 111557 */   GIR_EraseRootFromParent_Done,
     /* 111558 */ // Label 2386: @111558
     /* 111558 */ GIM_Reject,
     /* 111559 */ // Label 2368: @111559
     /* 111559 */ GIM_Reject,
     /* 111560 */ // Label 22: @111560
     /* 111560 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(6), /*)*//*default:*//*Label 2390*/ GIMT_Encode4(112012),
     /* 111571 */ /*GILLT_s32*//*Label 2387*/ GIMT_Encode4(111583),
     /* 111575 */ /*GILLT_s64*//*Label 2388*/ GIMT_Encode4(111728),
     /* 111579 */ /*GILLT_s80*//*Label 2389*/ GIMT_Encode4(111873),
     /* 111583 */ // Label 2387: @111583
     /* 111583 */ GIM_Try, /*On fail goto*//*Label 2391*/ GIMT_Encode4(111609), // Rule ID 1115 //
     /* 111588 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 111591 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 111595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 111599 */   // MIs[0] Operand 1
     /* 111599 */   // No operand predicates
     /* 111599 */   // (fpimm:{ *:[f32] })<<P:Predicate_fpimm0>>  =>  (LD_Fp032:{ *:[f32] }:{ *:[i16] })
     /* 111599 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LD_Fp032),
     /* 111602 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111604 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 111607 */   GIR_RootConstrainSelectedInstOperands,
     /* 111608 */   // GIR_Coverage, 1115,
     /* 111608 */   GIR_EraseRootFromParent_Done,
     /* 111609 */ // Label 2391: @111609
     /* 111609 */ GIM_Try, /*On fail goto*//*Label 2392*/ GIMT_Encode4(111635), // Rule ID 1116 //
     /* 111614 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 111617 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm1),
     /* 111621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 111625 */   // MIs[0] Operand 1
     /* 111625 */   // No operand predicates
     /* 111625 */   // (fpimm:{ *:[f32] })<<P:Predicate_fpimm1>>  =>  (LD_Fp132:{ *:[f32] }:{ *:[i16] })
     /* 111625 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LD_Fp132),
     /* 111628 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111630 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 111633 */   GIR_RootConstrainSelectedInstOperands,
     /* 111634 */   // GIR_Coverage, 1116,
     /* 111634 */   GIR_EraseRootFromParent_Done,
     /* 111635 */ // Label 2392: @111635
     /* 111635 */ GIM_Try, /*On fail goto*//*Label 2393*/ GIMT_Encode4(111681), // Rule ID 17719 //
     /* 111640 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 111643 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimmneg0),
     /* 111647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 111651 */   // MIs[0] Operand 1
     /* 111651 */   // No operand predicates
     /* 111651 */   // (fpimm:{ *:[f32] })<<P:Predicate_fpimmneg0>>  =>  (CHS_Fp32:{ *:[f32] }:{ *:[i16] } (LD_Fp032:{ *:[f32] }:{ *:[i16] }))
     /* 111651 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111654 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::LD_Fp032),
     /* 111658 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111663 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for X86::FPSW*/0,
     /* 111666 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111668 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CHS_Fp32),
     /* 111671 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111673 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111676 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 111679 */   GIR_RootConstrainSelectedInstOperands,
     /* 111680 */   // GIR_Coverage, 17719,
     /* 111680 */   GIR_EraseRootFromParent_Done,
     /* 111681 */ // Label 2393: @111681
     /* 111681 */ GIM_Try, /*On fail goto*//*Label 2394*/ GIMT_Encode4(111727), // Rule ID 17720 //
     /* 111686 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 111689 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimmneg1),
     /* 111693 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 111697 */   // MIs[0] Operand 1
     /* 111697 */   // No operand predicates
     /* 111697 */   // (fpimm:{ *:[f32] })<<P:Predicate_fpimmneg1>>  =>  (CHS_Fp32:{ *:[f32] }:{ *:[i16] } (LD_Fp132:{ *:[f32] }:{ *:[i16] }))
     /* 111697 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111700 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::LD_Fp132),
     /* 111704 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111709 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for X86::FPSW*/0,
     /* 111712 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111714 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CHS_Fp32),
     /* 111717 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111719 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111722 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 111725 */   GIR_RootConstrainSelectedInstOperands,
     /* 111726 */   // GIR_Coverage, 17720,
     /* 111726 */   GIR_EraseRootFromParent_Done,
     /* 111727 */ // Label 2394: @111727
     /* 111727 */ GIM_Reject,
     /* 111728 */ // Label 2388: @111728
     /* 111728 */ GIM_Try, /*On fail goto*//*Label 2395*/ GIMT_Encode4(111754), // Rule ID 1117 //
     /* 111733 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 111736 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 111740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 111744 */   // MIs[0] Operand 1
     /* 111744 */   // No operand predicates
     /* 111744 */   // (fpimm:{ *:[f64] })<<P:Predicate_fpimm0>>  =>  (LD_Fp064:{ *:[f64] }:{ *:[i16] })
     /* 111744 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LD_Fp064),
     /* 111747 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111749 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 111752 */   GIR_RootConstrainSelectedInstOperands,
     /* 111753 */   // GIR_Coverage, 1117,
     /* 111753 */   GIR_EraseRootFromParent_Done,
     /* 111754 */ // Label 2395: @111754
     /* 111754 */ GIM_Try, /*On fail goto*//*Label 2396*/ GIMT_Encode4(111780), // Rule ID 1118 //
     /* 111759 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 111762 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm1),
     /* 111766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 111770 */   // MIs[0] Operand 1
     /* 111770 */   // No operand predicates
     /* 111770 */   // (fpimm:{ *:[f64] })<<P:Predicate_fpimm1>>  =>  (LD_Fp164:{ *:[f64] }:{ *:[i16] })
     /* 111770 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LD_Fp164),
     /* 111773 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111775 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 111778 */   GIR_RootConstrainSelectedInstOperands,
     /* 111779 */   // GIR_Coverage, 1118,
     /* 111779 */   GIR_EraseRootFromParent_Done,
     /* 111780 */ // Label 2396: @111780
     /* 111780 */ GIM_Try, /*On fail goto*//*Label 2397*/ GIMT_Encode4(111826), // Rule ID 17721 //
     /* 111785 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 111788 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimmneg0),
     /* 111792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 111796 */   // MIs[0] Operand 1
     /* 111796 */   // No operand predicates
     /* 111796 */   // (fpimm:{ *:[f64] })<<P:Predicate_fpimmneg0>>  =>  (CHS_Fp64:{ *:[f64] }:{ *:[i16] } (LD_Fp064:{ *:[f64] }:{ *:[i16] }))
     /* 111796 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 111799 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::LD_Fp064),
     /* 111803 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111808 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for X86::FPSW*/0,
     /* 111811 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111813 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CHS_Fp64),
     /* 111816 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111818 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111821 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 111824 */   GIR_RootConstrainSelectedInstOperands,
     /* 111825 */   // GIR_Coverage, 17721,
     /* 111825 */   GIR_EraseRootFromParent_Done,
     /* 111826 */ // Label 2397: @111826
     /* 111826 */ GIM_Try, /*On fail goto*//*Label 2398*/ GIMT_Encode4(111872), // Rule ID 17722 //
     /* 111831 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 111834 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimmneg1),
     /* 111838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 111842 */   // MIs[0] Operand 1
     /* 111842 */   // No operand predicates
     /* 111842 */   // (fpimm:{ *:[f64] })<<P:Predicate_fpimmneg1>>  =>  (CHS_Fp64:{ *:[f64] }:{ *:[i16] } (LD_Fp164:{ *:[f64] }:{ *:[i16] }))
     /* 111842 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 111845 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::LD_Fp164),
     /* 111849 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111854 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for X86::FPSW*/0,
     /* 111857 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111859 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CHS_Fp64),
     /* 111862 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111864 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111867 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 111870 */   GIR_RootConstrainSelectedInstOperands,
     /* 111871 */   // GIR_Coverage, 17722,
     /* 111871 */   GIR_EraseRootFromParent_Done,
     /* 111872 */ // Label 2398: @111872
     /* 111872 */ GIM_Reject,
     /* 111873 */ // Label 2389: @111873
     /* 111873 */ GIM_Try, /*On fail goto*//*Label 2399*/ GIMT_Encode4(111899), // Rule ID 1119 //
     /* 111878 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 111881 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 111885 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 111889 */   // MIs[0] Operand 1
     /* 111889 */   // No operand predicates
     /* 111889 */   // (fpimm:{ *:[f80] })<<P:Predicate_fpimm0>>  =>  (LD_Fp080:{ *:[f80] }:{ *:[i16] })
     /* 111889 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LD_Fp080),
     /* 111892 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111894 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 111897 */   GIR_RootConstrainSelectedInstOperands,
     /* 111898 */   // GIR_Coverage, 1119,
     /* 111898 */   GIR_EraseRootFromParent_Done,
     /* 111899 */ // Label 2399: @111899
     /* 111899 */ GIM_Try, /*On fail goto*//*Label 2400*/ GIMT_Encode4(111925), // Rule ID 1120 //
     /* 111904 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 111907 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm1),
     /* 111911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 111915 */   // MIs[0] Operand 1
     /* 111915 */   // No operand predicates
     /* 111915 */   // (fpimm:{ *:[f80] })<<P:Predicate_fpimm1>>  =>  (LD_Fp180:{ *:[f80] }:{ *:[i16] })
     /* 111915 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LD_Fp180),
     /* 111918 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111920 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 111923 */   GIR_RootConstrainSelectedInstOperands,
     /* 111924 */   // GIR_Coverage, 1120,
     /* 111924 */   GIR_EraseRootFromParent_Done,
     /* 111925 */ // Label 2400: @111925
     /* 111925 */ GIM_Try, /*On fail goto*//*Label 2401*/ GIMT_Encode4(111968), // Rule ID 17723 //
     /* 111930 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimmneg0),
     /* 111934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 111938 */   // MIs[0] Operand 1
     /* 111938 */   // No operand predicates
     /* 111938 */   // (fpimm:{ *:[f80] })<<P:Predicate_fpimmneg0>>  =>  (CHS_Fp80:{ *:[f80] }:{ *:[i16] } (LD_Fp080:{ *:[f80] }:{ *:[i16] }))
     /* 111938 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s80,
     /* 111941 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::LD_Fp080),
     /* 111945 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111950 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for X86::FPSW*/0,
     /* 111953 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111955 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CHS_Fp80),
     /* 111958 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111960 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111963 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 111966 */   GIR_RootConstrainSelectedInstOperands,
     /* 111967 */   // GIR_Coverage, 17723,
     /* 111967 */   GIR_EraseRootFromParent_Done,
     /* 111968 */ // Label 2401: @111968
     /* 111968 */ GIM_Try, /*On fail goto*//*Label 2402*/ GIMT_Encode4(112011), // Rule ID 17724 //
     /* 111973 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimmneg1),
     /* 111977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 111981 */   // MIs[0] Operand 1
     /* 111981 */   // No operand predicates
     /* 111981 */   // (fpimm:{ *:[f80] })<<P:Predicate_fpimmneg1>>  =>  (CHS_Fp80:{ *:[f80] }:{ *:[i16] } (LD_Fp180:{ *:[f80] }:{ *:[i16] }))
     /* 111981 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s80,
     /* 111984 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::LD_Fp180),
     /* 111988 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111993 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for X86::FPSW*/0,
     /* 111996 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111998 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CHS_Fp80),
     /* 112001 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 112003 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 112006 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 112009 */   GIR_RootConstrainSelectedInstOperands,
     /* 112010 */   // GIR_Coverage, 17724,
     /* 112010 */   GIR_EraseRootFromParent_Done,
     /* 112011 */ // Label 2402: @112011
     /* 112011 */ GIM_Reject,
     /* 112012 */ // Label 2390: @112012
     /* 112012 */ GIM_Reject,
     /* 112013 */ // Label 23: @112013
     /* 112013 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(25), /*)*//*default:*//*Label 2418*/ GIMT_Encode4(113684),
     /* 112024 */ /*GILLT_s16*//*Label 2403*/ GIMT_Encode4(112116),
     /* 112028 */ /*GILLT_s32*//*Label 2404*/ GIMT_Encode4(112174),
     /* 112032 */ /*GILLT_s64*//*Label 2405*/ GIMT_Encode4(112221), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 112048 */ /*GILLT_v2s64*//*Label 2406*/ GIMT_Encode4(112294), GIMT_Encode4(0),
     /* 112056 */ /*GILLT_v4s32*//*Label 2407*/ GIMT_Encode4(112321),
     /* 112060 */ /*GILLT_v4s64*//*Label 2408*/ GIMT_Encode4(112348), GIMT_Encode4(0),
     /* 112068 */ /*GILLT_v8s16*//*Label 2409*/ GIMT_Encode4(112545),
     /* 112072 */ /*GILLT_v8s32*//*Label 2410*/ GIMT_Encode4(112614),
     /* 112076 */ /*GILLT_v8s64*//*Label 2411*/ GIMT_Encode4(112811), GIMT_Encode4(0),
     /* 112084 */ /*GILLT_v16s8*//*Label 2412*/ GIMT_Encode4(113008),
     /* 112088 */ /*GILLT_v16s16*//*Label 2413*/ GIMT_Encode4(113077),
     /* 112092 */ /*GILLT_v16s32*//*Label 2414*/ GIMT_Encode4(113321), GIMT_Encode4(0),
     /* 112100 */ /*GILLT_v32s8*//*Label 2415*/ GIMT_Encode4(113518),
     /* 112104 */ /*GILLT_v32s16*//*Label 2416*/ GIMT_Encode4(113545), GIMT_Encode4(0),
     /* 112112 */ /*GILLT_v64s8*//*Label 2417*/ GIMT_Encode4(113657),
     /* 112116 */ // Label 2403: @112116
     /* 112116 */ GIM_Try, /*On fail goto*//*Label 2419*/ GIMT_Encode4(112173), // Rule ID 22644 //
     /* 112121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 112124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 112128 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 112132 */   // (sext:{ *:[i16] } GR8:{ *:[i8] }:$src)  =>  (EXTRACT_SUBREG:{ *:[i16] } (MOVSX32rr8:{ *:[i32] } GR8:{ *:[i8] }:$src), sub_16bit:{ *:[i32] })
     /* 112132 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 112135 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVSX32rr8),
     /* 112139 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 112144 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 112148 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 112150 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 112153 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 112155 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /* 112162 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /* 112167 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /* 112172 */   // GIR_Coverage, 22644,
     /* 112172 */   GIR_EraseRootFromParent_Done,
     /* 112173 */ // Label 2419: @112173
     /* 112173 */ GIM_Reject,
     /* 112174 */ // Label 2404: @112174
     /* 112174 */ GIM_Try, /*On fail goto*//*Label 2420*/ GIMT_Encode4(112197), // Rule ID 614 //
     /* 112179 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 112182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 112186 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 112190 */   // (sext:{ *:[i32] } GR8:{ *:[i8] }:$src)  =>  (MOVSX32rr8:{ *:[i32] } GR8:{ *:[i8] }:$src)
     /* 112190 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MOVSX32rr8),
     /* 112195 */   GIR_RootConstrainSelectedInstOperands,
     /* 112196 */   // GIR_Coverage, 614,
     /* 112196 */   GIR_Done,
     /* 112197 */ // Label 2420: @112197
     /* 112197 */ GIM_Try, /*On fail goto*//*Label 2421*/ GIMT_Encode4(112220), // Rule ID 616 //
     /* 112202 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 112205 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 112209 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 112213 */   // (sext:{ *:[i32] } GR16:{ *:[i16] }:$src)  =>  (MOVSX32rr16:{ *:[i32] } GR16:{ *:[i16] }:$src)
     /* 112213 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MOVSX32rr16),
     /* 112218 */   GIR_RootConstrainSelectedInstOperands,
     /* 112219 */   // GIR_Coverage, 616,
     /* 112219 */   GIR_Done,
     /* 112220 */ // Label 2421: @112220
     /* 112220 */ GIM_Reject,
     /* 112221 */ // Label 2405: @112221
     /* 112221 */ GIM_Try, /*On fail goto*//*Label 2422*/ GIMT_Encode4(112244), // Rule ID 622 //
     /* 112226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 112229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 112233 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 112237 */   // (sext:{ *:[i64] } GR8:{ *:[i8] }:$src)  =>  (MOVSX64rr8:{ *:[i64] } GR8:{ *:[i8] }:$src)
     /* 112237 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MOVSX64rr8),
     /* 112242 */   GIR_RootConstrainSelectedInstOperands,
     /* 112243 */   // GIR_Coverage, 622,
     /* 112243 */   GIR_Done,
     /* 112244 */ // Label 2422: @112244
     /* 112244 */ GIM_Try, /*On fail goto*//*Label 2423*/ GIMT_Encode4(112267), // Rule ID 624 //
     /* 112249 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 112252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 112256 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 112260 */   // (sext:{ *:[i64] } GR16:{ *:[i16] }:$src)  =>  (MOVSX64rr16:{ *:[i64] } GR16:{ *:[i16] }:$src)
     /* 112260 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MOVSX64rr16),
     /* 112265 */   GIR_RootConstrainSelectedInstOperands,
     /* 112266 */   // GIR_Coverage, 624,
     /* 112266 */   GIR_Done,
     /* 112267 */ // Label 2423: @112267
     /* 112267 */ GIM_Try, /*On fail goto*//*Label 2424*/ GIMT_Encode4(112293), // Rule ID 626 //
     /* 112272 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /* 112275 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 112278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 112282 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 112286 */   // (sext:{ *:[i64] } GR32:{ *:[i32] }:$src)  =>  (MOVSX64rr32:{ *:[i64] } GR32:{ *:[i32] }:$src)
     /* 112286 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MOVSX64rr32),
     /* 112291 */   GIR_RootConstrainSelectedInstOperands,
     /* 112292 */   // GIR_Coverage, 626,
     /* 112292 */   GIR_Done,
     /* 112293 */ // Label 2424: @112293
     /* 112293 */ GIM_Reject,
     /* 112294 */ // Label 2406: @112294
     /* 112294 */ GIM_Try, /*On fail goto*//*Label 2425*/ GIMT_Encode4(112320), // Rule ID 12593 //
     /* 112299 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 112302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s1,
     /* 112305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 112309 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /* 112313 */   // (sext:{ *:[v2i64] } VK2:{ *:[v2i1] }:$src)  =>  (VPMOVM2QZ128rk:{ *:[v2i64] } VK2:{ *:[v2i1] }:$src)
     /* 112313 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVM2QZ128rk),
     /* 112318 */   GIR_RootConstrainSelectedInstOperands,
     /* 112319 */   // GIR_Coverage, 12593,
     /* 112319 */   GIR_Done,
     /* 112320 */ // Label 2425: @112320
     /* 112320 */ GIM_Reject,
     /* 112321 */ // Label 2407: @112321
     /* 112321 */ GIM_Try, /*On fail goto*//*Label 2426*/ GIMT_Encode4(112347), // Rule ID 12590 //
     /* 112326 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 112329 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s1,
     /* 112332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 112336 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /* 112340 */   // (sext:{ *:[v4i32] } VK4:{ *:[v4i1] }:$src)  =>  (VPMOVM2DZ128rk:{ *:[v4i32] } VK4:{ *:[v4i1] }:$src)
     /* 112340 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVM2DZ128rk),
     /* 112345 */   GIR_RootConstrainSelectedInstOperands,
     /* 112346 */   // GIR_Coverage, 12590,
     /* 112346 */   GIR_Done,
     /* 112347 */ // Label 2426: @112347
     /* 112347 */ GIM_Reject,
     /* 112348 */ // Label 2408: @112348
     /* 112348 */ GIM_Try, /*On fail goto*//*Label 2427*/ GIMT_Encode4(112407), // Rule ID 18389 //
     /* 112353 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 112356 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 112359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 112363 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 112367 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 112371 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 112374 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 112378 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 112382 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 112384 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 112391 */   // (sext:{ *:[v4i64] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVSXDQYrm:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)
     /* 112391 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVSXDQYrm),
     /* 112394 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 112396 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 112400 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 112405 */   GIR_RootConstrainSelectedInstOperands,
     /* 112406 */   // GIR_Coverage, 18389,
     /* 112406 */   GIR_EraseRootFromParent_Done,
     /* 112407 */ // Label 2427: @112407
     /* 112407 */ GIM_Try, /*On fail goto*//*Label 2428*/ GIMT_Encode4(112466), // Rule ID 21584 //
     /* 112412 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 112415 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 112418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 112422 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 112426 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 112430 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 112433 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 112437 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 112441 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 112443 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 112450 */   // (sext:{ *:[v4i64] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVSXDQZ256rm:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)
     /* 112450 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVSXDQZ256rm),
     /* 112453 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 112455 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 112459 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 112464 */   GIR_RootConstrainSelectedInstOperands,
     /* 112465 */   // GIR_Coverage, 21584,
     /* 112465 */   GIR_EraseRootFromParent_Done,
     /* 112466 */ // Label 2428: @112466
     /* 112466 */ GIM_Try, /*On fail goto*//*Label 2429*/ GIMT_Encode4(112492), // Rule ID 12570 //
     /* 112471 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 112474 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 112477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 112481 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 112485 */   // (sext:{ *:[v4i64] } VR128X:{ *:[v4i32] }:$src)  =>  (VPMOVSXDQZ256rr:{ *:[v4i64] } VR128X:{ *:[v4i32] }:$src)
     /* 112485 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVSXDQZ256rr),
     /* 112490 */   GIR_RootConstrainSelectedInstOperands,
     /* 112491 */   // GIR_Coverage, 12570,
     /* 112491 */   GIR_Done,
     /* 112492 */ // Label 2429: @112492
     /* 112492 */ GIM_Try, /*On fail goto*//*Label 2430*/ GIMT_Encode4(112518), // Rule ID 12592 //
     /* 112497 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 112500 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s1,
     /* 112503 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 112507 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /* 112511 */   // (sext:{ *:[v4i64] } VK4:{ *:[v4i1] }:$src)  =>  (VPMOVM2QZ256rk:{ *:[v4i64] } VK4:{ *:[v4i1] }:$src)
     /* 112511 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVM2QZ256rk),
     /* 112516 */   GIR_RootConstrainSelectedInstOperands,
     /* 112517 */   // GIR_Coverage, 12592,
     /* 112517 */   GIR_Done,
     /* 112518 */ // Label 2430: @112518
     /* 112518 */ GIM_Try, /*On fail goto*//*Label 2431*/ GIMT_Encode4(112544), // Rule ID 18377 //
     /* 112523 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 112526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 112529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 112533 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 112537 */   // (sext:{ *:[v4i64] } VR128:{ *:[v4i32] }:$src)  =>  (VPMOVSXDQYrr:{ *:[v4i64] } VR128:{ *:[v4i32] }:$src)
     /* 112537 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVSXDQYrr),
     /* 112542 */   GIR_RootConstrainSelectedInstOperands,
     /* 112543 */   // GIR_Coverage, 18377,
     /* 112543 */   GIR_Done,
     /* 112544 */ // Label 2431: @112544
     /* 112544 */ GIM_Reject,
     /* 112545 */ // Label 2409: @112545
     /* 112545 */ GIM_Try, /*On fail goto*//*Label 2432*/ GIMT_Encode4(112613),
     /* 112550 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s1,
     /* 112553 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 112557 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /* 112561 */   GIM_Try, /*On fail goto*//*Label 2433*/ GIMT_Encode4(112576), // Rule ID 12587 //
     /* 112566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 112569 */     // (sext:{ *:[v8i16] } VK8:{ *:[v8i1] }:$src)  =>  (VPMOVM2WZ128rk:{ *:[v8i16] } VK8:{ *:[v8i1] }:$src)
     /* 112569 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVM2WZ128rk),
     /* 112574 */     GIR_RootConstrainSelectedInstOperands,
     /* 112575 */     // GIR_Coverage, 12587,
     /* 112575 */     GIR_Done,
     /* 112576 */   // Label 2433: @112576
     /* 112576 */   GIM_Try, /*On fail goto*//*Label 2434*/ GIMT_Encode4(112612), // Rule ID 21660 //
     /* 112581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX_NoBWI),
     /* 112584 */     // (sext:{ *:[v8i16] } VK8:{ *:[v8i1] }:$src)  =>  (VPMOVDWZ256rr:{ *:[v8i16] } (VPMOVM2DZ256rk:{ *:[v8i32] } VK8:{ *:[v8i1] }:$src))
     /* 112584 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s32,
     /* 112587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMOVM2DZ256rk),
     /* 112591 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 112596 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 112600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 112602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVDWZ256rr),
     /* 112605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 112607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 112610 */     GIR_RootConstrainSelectedInstOperands,
     /* 112611 */     // GIR_Coverage, 21660,
     /* 112611 */     GIR_EraseRootFromParent_Done,
     /* 112612 */   // Label 2434: @112612
     /* 112612 */   GIM_Reject,
     /* 112613 */ // Label 2432: @112613
     /* 112613 */ GIM_Reject,
     /* 112614 */ // Label 2410: @112614
     /* 112614 */ GIM_Try, /*On fail goto*//*Label 2435*/ GIMT_Encode4(112673), // Rule ID 18385 //
     /* 112619 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 112622 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 112625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 112629 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 112633 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 112637 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 112640 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 112644 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 112648 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 112650 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 112657 */   // (sext:{ *:[v8i32] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVSXWDYrm:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)
     /* 112657 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVSXWDYrm),
     /* 112660 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 112662 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 112666 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 112671 */   GIR_RootConstrainSelectedInstOperands,
     /* 112672 */   // GIR_Coverage, 18385,
     /* 112672 */   GIR_EraseRootFromParent_Done,
     /* 112673 */ // Label 2435: @112673
     /* 112673 */ GIM_Try, /*On fail goto*//*Label 2436*/ GIMT_Encode4(112732), // Rule ID 21583 //
     /* 112678 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 112681 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 112684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 112688 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 112692 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 112696 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 112699 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 112703 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 112707 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 112709 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 112716 */   // (sext:{ *:[v8i32] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVSXWDZ256rm:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)
     /* 112716 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVSXWDZ256rm),
     /* 112719 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 112721 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 112725 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 112730 */   GIR_RootConstrainSelectedInstOperands,
     /* 112731 */   // GIR_Coverage, 21583,
     /* 112731 */   GIR_EraseRootFromParent_Done,
     /* 112732 */ // Label 2436: @112732
     /* 112732 */ GIM_Try, /*On fail goto*//*Label 2437*/ GIMT_Encode4(112758), // Rule ID 12534 //
     /* 112737 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 112740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 112743 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 112747 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 112751 */   // (sext:{ *:[v8i32] } VR128X:{ *:[v8i16] }:$src)  =>  (VPMOVSXWDZ256rr:{ *:[v8i32] } VR128X:{ *:[v8i16] }:$src)
     /* 112751 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVSXWDZ256rr),
     /* 112756 */   GIR_RootConstrainSelectedInstOperands,
     /* 112757 */   // GIR_Coverage, 12534,
     /* 112757 */   GIR_Done,
     /* 112758 */ // Label 2437: @112758
     /* 112758 */ GIM_Try, /*On fail goto*//*Label 2438*/ GIMT_Encode4(112784), // Rule ID 12589 //
     /* 112763 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 112766 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s1,
     /* 112769 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 112773 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /* 112777 */   // (sext:{ *:[v8i32] } VK8:{ *:[v8i1] }:$src)  =>  (VPMOVM2DZ256rk:{ *:[v8i32] } VK8:{ *:[v8i1] }:$src)
     /* 112777 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVM2DZ256rk),
     /* 112782 */   GIR_RootConstrainSelectedInstOperands,
     /* 112783 */   // GIR_Coverage, 12589,
     /* 112783 */   GIR_Done,
     /* 112784 */ // Label 2438: @112784
     /* 112784 */ GIM_Try, /*On fail goto*//*Label 2439*/ GIMT_Encode4(112810), // Rule ID 18375 //
     /* 112789 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 112792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 112795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 112799 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 112803 */   // (sext:{ *:[v8i32] } VR128:{ *:[v8i16] }:$src)  =>  (VPMOVSXWDYrr:{ *:[v8i32] } VR128:{ *:[v8i16] }:$src)
     /* 112803 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVSXWDYrr),
     /* 112808 */   GIR_RootConstrainSelectedInstOperands,
     /* 112809 */   // GIR_Coverage, 18375,
     /* 112809 */   GIR_Done,
     /* 112810 */ // Label 2439: @112810
     /* 112810 */ GIM_Reject,
     /* 112811 */ // Label 2411: @112811
     /* 112811 */ GIM_Try, /*On fail goto*//*Label 2440*/ GIMT_Encode4(112870), // Rule ID 21588 //
     /* 112816 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 112819 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 112822 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 112826 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 112830 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 112834 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 112837 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 112841 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 112845 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 112847 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 112854 */   // (sext:{ *:[v8i64] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVSXWQZrm:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)
     /* 112854 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVSXWQZrm),
     /* 112857 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 112859 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 112863 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 112868 */   GIR_RootConstrainSelectedInstOperands,
     /* 112869 */   // GIR_Coverage, 21588,
     /* 112869 */   GIR_EraseRootFromParent_Done,
     /* 112870 */ // Label 2440: @112870
     /* 112870 */ GIM_Try, /*On fail goto*//*Label 2441*/ GIMT_Encode4(112929), // Rule ID 21589 //
     /* 112875 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 112878 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 112881 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 112885 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 112889 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 112893 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 112896 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 112900 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 112904 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 112906 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 112913 */   // (sext:{ *:[v8i64] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVSXDQZrm:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)
     /* 112913 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVSXDQZrm),
     /* 112916 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 112918 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 112922 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 112927 */   GIR_RootConstrainSelectedInstOperands,
     /* 112928 */   // GIR_Coverage, 21589,
     /* 112928 */   GIR_EraseRootFromParent_Done,
     /* 112929 */ // Label 2441: @112929
     /* 112929 */ GIM_Try, /*On fail goto*//*Label 2442*/ GIMT_Encode4(112955), // Rule ID 12558 //
     /* 112934 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 112937 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 112940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 112944 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 112948 */   // (sext:{ *:[v8i64] } VR128X:{ *:[v8i16] }:$src)  =>  (VPMOVSXWQZrr:{ *:[v8i64] } VR128X:{ *:[v8i16] }:$src)
     /* 112948 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVSXWQZrr),
     /* 112953 */   GIR_RootConstrainSelectedInstOperands,
     /* 112954 */   // GIR_Coverage, 12558,
     /* 112954 */   GIR_Done,
     /* 112955 */ // Label 2442: @112955
     /* 112955 */ GIM_Try, /*On fail goto*//*Label 2443*/ GIMT_Encode4(112981), // Rule ID 12576 //
     /* 112960 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 112963 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 112966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 112970 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 112974 */   // (sext:{ *:[v8i64] } VR256X:{ *:[v8i32] }:$src)  =>  (VPMOVSXDQZrr:{ *:[v8i64] } VR256X:{ *:[v8i32] }:$src)
     /* 112974 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVSXDQZrr),
     /* 112979 */   GIR_RootConstrainSelectedInstOperands,
     /* 112980 */   // GIR_Coverage, 12576,
     /* 112980 */   GIR_Done,
     /* 112981 */ // Label 2443: @112981
     /* 112981 */ GIM_Try, /*On fail goto*//*Label 2444*/ GIMT_Encode4(113007), // Rule ID 12591 //
     /* 112986 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /* 112989 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s1,
     /* 112992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 112996 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /* 113000 */   // (sext:{ *:[v8i64] } VK8:{ *:[v8i1] }:$src)  =>  (VPMOVM2QZrk:{ *:[v8i64] } VK8:{ *:[v8i1] }:$src)
     /* 113000 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVM2QZrk),
     /* 113005 */   GIR_RootConstrainSelectedInstOperands,
     /* 113006 */   // GIR_Coverage, 12591,
     /* 113006 */   GIR_Done,
     /* 113007 */ // Label 2444: @113007
     /* 113007 */ GIM_Reject,
     /* 113008 */ // Label 2412: @113008
     /* 113008 */ GIM_Try, /*On fail goto*//*Label 2445*/ GIMT_Encode4(113076),
     /* 113013 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s1,
     /* 113016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 113020 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 113024 */   GIM_Try, /*On fail goto*//*Label 2446*/ GIMT_Encode4(113039), // Rule ID 12584 //
     /* 113029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 113032 */     // (sext:{ *:[v16i8] } VK16:{ *:[v16i1] }:$src)  =>  (VPMOVM2BZ128rk:{ *:[v16i8] } VK16:{ *:[v16i1] }:$src)
     /* 113032 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVM2BZ128rk),
     /* 113037 */     GIR_RootConstrainSelectedInstOperands,
     /* 113038 */     // GIR_Coverage, 12584,
     /* 113038 */     GIR_Done,
     /* 113039 */   // Label 2446: @113039
     /* 113039 */   GIM_Try, /*On fail goto*//*Label 2447*/ GIMT_Encode4(113075), // Rule ID 21658 //
     /* 113044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_NoBWI),
     /* 113047 */     // (sext:{ *:[v16i8] } VK16:{ *:[v16i1] }:$src)  =>  (VPMOVDBZrr:{ *:[v16i8] } (VPMOVM2DZrk:{ *:[v16i32] } VK16:{ *:[v16i1] }:$src))
     /* 113047 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s32,
     /* 113050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMOVM2DZrk),
     /* 113054 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113059 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 113063 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 113065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVDBZrr),
     /* 113068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 113070 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 113073 */     GIR_RootConstrainSelectedInstOperands,
     /* 113074 */     // GIR_Coverage, 21658,
     /* 113074 */     GIR_EraseRootFromParent_Done,
     /* 113075 */   // Label 2447: @113075
     /* 113075 */   GIM_Reject,
     /* 113076 */ // Label 2445: @113076
     /* 113076 */ GIM_Reject,
     /* 113077 */ // Label 2413: @113077
     /* 113077 */ GIM_Try, /*On fail goto*//*Label 2448*/ GIMT_Encode4(113136), // Rule ID 18379 //
     /* 113082 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 113085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 113088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 113092 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 113096 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 113100 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 113103 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 113107 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 113111 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113113 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 113120 */   // (sext:{ *:[v16i16] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVSXBWYrm:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)
     /* 113120 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVSXBWYrm),
     /* 113123 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 113125 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 113129 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 113134 */   GIR_RootConstrainSelectedInstOperands,
     /* 113135 */   // GIR_Coverage, 18379,
     /* 113135 */   GIR_EraseRootFromParent_Done,
     /* 113136 */ // Label 2448: @113136
     /* 113136 */ GIM_Try, /*On fail goto*//*Label 2449*/ GIMT_Encode4(113195), // Rule ID 21582 //
     /* 113141 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 113144 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 113147 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 113151 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 113155 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 113159 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 113162 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 113166 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 113170 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113172 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 113179 */   // (sext:{ *:[v16i16] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVSXBWZ256rm:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)
     /* 113179 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVSXBWZ256rm),
     /* 113182 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 113184 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 113188 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 113193 */   GIR_RootConstrainSelectedInstOperands,
     /* 113194 */   // GIR_Coverage, 21582,
     /* 113194 */   GIR_EraseRootFromParent_Done,
     /* 113195 */ // Label 2449: @113195
     /* 113195 */ GIM_Try, /*On fail goto*//*Label 2450*/ GIMT_Encode4(113221), // Rule ID 12480 //
     /* 113200 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 113203 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 113206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 113210 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 113214 */   // (sext:{ *:[v16i16] } VR128X:{ *:[v16i8] }:$src)  =>  (VPMOVSXBWZ256rr:{ *:[v16i16] } VR128X:{ *:[v16i8] }:$src)
     /* 113214 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVSXBWZ256rr),
     /* 113219 */   GIR_RootConstrainSelectedInstOperands,
     /* 113220 */   // GIR_Coverage, 12480,
     /* 113220 */   GIR_Done,
     /* 113221 */ // Label 2450: @113221
     /* 113221 */ GIM_Try, /*On fail goto*//*Label 2451*/ GIMT_Encode4(113247), // Rule ID 12586 //
     /* 113226 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 113229 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s1,
     /* 113232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 113236 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 113240 */   // (sext:{ *:[v16i16] } VK16:{ *:[v16i1] }:$src)  =>  (VPMOVM2WZ256rk:{ *:[v16i16] } VK16:{ *:[v16i1] }:$src)
     /* 113240 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVM2WZ256rk),
     /* 113245 */   GIR_RootConstrainSelectedInstOperands,
     /* 113246 */   // GIR_Coverage, 12586,
     /* 113246 */   GIR_Done,
     /* 113247 */ // Label 2451: @113247
     /* 113247 */ GIM_Try, /*On fail goto*//*Label 2452*/ GIMT_Encode4(113273), // Rule ID 18372 //
     /* 113252 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 113255 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 113258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 113262 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 113266 */   // (sext:{ *:[v16i16] } VR128:{ *:[v16i8] }:$src)  =>  (VPMOVSXBWYrr:{ *:[v16i16] } VR128:{ *:[v16i8] }:$src)
     /* 113266 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVSXBWYrr),
     /* 113271 */   GIR_RootConstrainSelectedInstOperands,
     /* 113272 */   // GIR_Coverage, 18372,
     /* 113272 */   GIR_Done,
     /* 113273 */ // Label 2452: @113273
     /* 113273 */ GIM_Try, /*On fail goto*//*Label 2453*/ GIMT_Encode4(113320), // Rule ID 21659 //
     /* 113278 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_NoBWI),
     /* 113281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s1,
     /* 113284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 113288 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 113292 */   // (sext:{ *:[v16i16] } VK16:{ *:[v16i1] }:$src)  =>  (VPMOVDWZrr:{ *:[v16i16] } (VPMOVM2DZrk:{ *:[v16i32] } VK16:{ *:[v16i1] }:$src))
     /* 113292 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s32,
     /* 113295 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMOVM2DZrk),
     /* 113299 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113304 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 113308 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 113310 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVDWZrr),
     /* 113313 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 113315 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 113318 */   GIR_RootConstrainSelectedInstOperands,
     /* 113319 */   // GIR_Coverage, 21659,
     /* 113319 */   GIR_EraseRootFromParent_Done,
     /* 113320 */ // Label 2453: @113320
     /* 113320 */ GIM_Reject,
     /* 113321 */ // Label 2414: @113321
     /* 113321 */ GIM_Try, /*On fail goto*//*Label 2454*/ GIMT_Encode4(113380), // Rule ID 21586 //
     /* 113326 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 113329 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 113332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 113336 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 113340 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 113344 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 113347 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 113351 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 113355 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113357 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 113364 */   // (sext:{ *:[v16i32] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVSXBDZrm:{ *:[v16i32] } addr:{ *:[iPTR] }:$src)
     /* 113364 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVSXBDZrm),
     /* 113367 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 113369 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 113373 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 113378 */   GIR_RootConstrainSelectedInstOperands,
     /* 113379 */   // GIR_Coverage, 21586,
     /* 113379 */   GIR_EraseRootFromParent_Done,
     /* 113380 */ // Label 2454: @113380
     /* 113380 */ GIM_Try, /*On fail goto*//*Label 2455*/ GIMT_Encode4(113439), // Rule ID 21587 //
     /* 113385 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 113388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 113391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 113395 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 113399 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 113403 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 113406 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 113410 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 113414 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113416 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 113423 */   // (sext:{ *:[v16i32] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVSXWDZrm:{ *:[v16i32] } addr:{ *:[iPTR] }:$src)
     /* 113423 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVSXWDZrm),
     /* 113426 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 113428 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 113432 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 113437 */   GIR_RootConstrainSelectedInstOperands,
     /* 113438 */   // GIR_Coverage, 21587,
     /* 113438 */   GIR_EraseRootFromParent_Done,
     /* 113439 */ // Label 2455: @113439
     /* 113439 */ GIM_Try, /*On fail goto*//*Label 2456*/ GIMT_Encode4(113465), // Rule ID 12504 //
     /* 113444 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 113447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 113450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 113454 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 113458 */   // (sext:{ *:[v16i32] } VR128X:{ *:[v16i8] }:$src)  =>  (VPMOVSXBDZrr:{ *:[v16i32] } VR128X:{ *:[v16i8] }:$src)
     /* 113458 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVSXBDZrr),
     /* 113463 */   GIR_RootConstrainSelectedInstOperands,
     /* 113464 */   // GIR_Coverage, 12504,
     /* 113464 */   GIR_Done,
     /* 113465 */ // Label 2456: @113465
     /* 113465 */ GIM_Try, /*On fail goto*//*Label 2457*/ GIMT_Encode4(113491), // Rule ID 12540 //
     /* 113470 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 113473 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 113476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 113480 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 113484 */   // (sext:{ *:[v16i32] } VR256X:{ *:[v16i16] }:$src)  =>  (VPMOVSXWDZrr:{ *:[v16i32] } VR256X:{ *:[v16i16] }:$src)
     /* 113484 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVSXWDZrr),
     /* 113489 */   GIR_RootConstrainSelectedInstOperands,
     /* 113490 */   // GIR_Coverage, 12540,
     /* 113490 */   GIR_Done,
     /* 113491 */ // Label 2457: @113491
     /* 113491 */ GIM_Try, /*On fail goto*//*Label 2458*/ GIMT_Encode4(113517), // Rule ID 12588 //
     /* 113496 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /* 113499 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s1,
     /* 113502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 113506 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 113510 */   // (sext:{ *:[v16i32] } VK16:{ *:[v16i1] }:$src)  =>  (VPMOVM2DZrk:{ *:[v16i32] } VK16:{ *:[v16i1] }:$src)
     /* 113510 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVM2DZrk),
     /* 113515 */   GIR_RootConstrainSelectedInstOperands,
     /* 113516 */   // GIR_Coverage, 12588,
     /* 113516 */   GIR_Done,
     /* 113517 */ // Label 2458: @113517
     /* 113517 */ GIM_Reject,
     /* 113518 */ // Label 2415: @113518
     /* 113518 */ GIM_Try, /*On fail goto*//*Label 2459*/ GIMT_Encode4(113544), // Rule ID 12583 //
     /* 113523 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 113526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s1,
     /* 113529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 113533 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /* 113537 */   // (sext:{ *:[v32i8] } VK32:{ *:[v32i1] }:$src)  =>  (VPMOVM2BZ256rk:{ *:[v32i8] } VK32:{ *:[v32i1] }:$src)
     /* 113537 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVM2BZ256rk),
     /* 113542 */   GIR_RootConstrainSelectedInstOperands,
     /* 113543 */   // GIR_Coverage, 12583,
     /* 113543 */   GIR_Done,
     /* 113544 */ // Label 2459: @113544
     /* 113544 */ GIM_Reject,
     /* 113545 */ // Label 2416: @113545
     /* 113545 */ GIM_Try, /*On fail goto*//*Label 2460*/ GIMT_Encode4(113604), // Rule ID 21585 //
     /* 113550 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 113553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /* 113556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 113560 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 113564 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 113568 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 113571 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 113575 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 113579 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113581 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 113588 */   // (sext:{ *:[v32i16] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVSXBWZrm:{ *:[v32i16] } addr:{ *:[iPTR] }:$src)
     /* 113588 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVSXBWZrm),
     /* 113591 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 113593 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 113597 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 113602 */   GIR_RootConstrainSelectedInstOperands,
     /* 113603 */   // GIR_Coverage, 21585,
     /* 113603 */   GIR_EraseRootFromParent_Done,
     /* 113604 */ // Label 2460: @113604
     /* 113604 */ GIM_Try, /*On fail goto*//*Label 2461*/ GIMT_Encode4(113630), // Rule ID 12486 //
     /* 113609 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 113612 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /* 113615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 113619 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 113623 */   // (sext:{ *:[v32i16] } VR256X:{ *:[v32i8] }:$src)  =>  (VPMOVSXBWZrr:{ *:[v32i16] } VR256X:{ *:[v32i8] }:$src)
     /* 113623 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVSXBWZrr),
     /* 113628 */   GIR_RootConstrainSelectedInstOperands,
     /* 113629 */   // GIR_Coverage, 12486,
     /* 113629 */   GIR_Done,
     /* 113630 */ // Label 2461: @113630
     /* 113630 */ GIM_Try, /*On fail goto*//*Label 2462*/ GIMT_Encode4(113656), // Rule ID 12585 //
     /* 113635 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 113638 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s1,
     /* 113641 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 113645 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /* 113649 */   // (sext:{ *:[v32i16] } VK32:{ *:[v32i1] }:$src)  =>  (VPMOVM2WZrk:{ *:[v32i16] } VK32:{ *:[v32i1] }:$src)
     /* 113649 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVM2WZrk),
     /* 113654 */   GIR_RootConstrainSelectedInstOperands,
     /* 113655 */   // GIR_Coverage, 12585,
     /* 113655 */   GIR_Done,
     /* 113656 */ // Label 2462: @113656
     /* 113656 */ GIM_Reject,
     /* 113657 */ // Label 2417: @113657
     /* 113657 */ GIM_Try, /*On fail goto*//*Label 2463*/ GIMT_Encode4(113683), // Rule ID 12582 //
     /* 113662 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 113665 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s1,
     /* 113668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 113672 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /* 113676 */   // (sext:{ *:[v64i8] } VK64:{ *:[v64i1] }:$src)  =>  (VPMOVM2BZrk:{ *:[v64i8] } VK64:{ *:[v64i1] }:$src)
     /* 113676 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVM2BZrk),
     /* 113681 */   GIR_RootConstrainSelectedInstOperands,
     /* 113682 */   // GIR_Coverage, 12582,
     /* 113682 */   GIR_Done,
     /* 113683 */ // Label 2463: @113683
     /* 113683 */ GIM_Reject,
     /* 113684 */ // Label 2418: @113684
     /* 113684 */ GIM_Reject,
     /* 113685 */ // Label 24: @113685
     /* 113685 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2466*/ GIMT_Encode4(113926),
     /* 113696 */ /*GILLT_s16*//*Label 2464*/ GIMT_Encode4(113704),
     /* 113700 */ /*GILLT_s32*//*Label 2465*/ GIMT_Encode4(113800),
     /* 113704 */ // Label 2464: @113704
     /* 113704 */ GIM_Try, /*On fail goto*//*Label 2467*/ GIMT_Encode4(113799), // Rule ID 22640 //
     /* 113709 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 113712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 113716 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 113720 */   // MIs[0] Operand 2
     /* 113720 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 113731 */   // (sext_inreg:{ *:[i16] } GR16:{ *:[i16] }:$src, i8:{ *:[Other] })  =>  (EXTRACT_SUBREG:{ *:[i16] } (MOVSX32rr8:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i8] } GR16:{ *:[i16] }:$src, sub_8bit:{ *:[i32] })), sub_16bit:{ *:[i32] })
     /* 113731 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s8,
     /* 113734 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113738 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113743 */   GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(1), // src
     /* 113749 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::GR8RegClassID),
     /* 113754 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::GR16RegClassID),
     /* 113759 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 113762 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVSX32rr8),
     /* 113766 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113771 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 113774 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 113776 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113779 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 113781 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /* 113788 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /* 113793 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /* 113798 */   // GIR_Coverage, 22640,
     /* 113798 */   GIR_EraseRootFromParent_Done,
     /* 113799 */ // Label 2467: @113799
     /* 113799 */ GIM_Reject,
     /* 113800 */ // Label 2465: @113800
     /* 113800 */ GIM_Try, /*On fail goto*//*Label 2468*/ GIMT_Encode4(113925),
     /* 113805 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 113808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 113812 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 113816 */   GIM_Try, /*On fail goto*//*Label 2469*/ GIMT_Encode4(113870), // Rule ID 22638 //
     /* 113821 */     // MIs[0] Operand 2
     /* 113821 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 113832 */     // (sext_inreg:{ *:[i32] } GR32:{ *:[i32] }:$src, i16:{ *:[Other] })  =>  (MOVSX32rr16:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i16] } GR32:{ *:[i32] }:$src, sub_16bit:{ *:[i32] }))
     /* 113832 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 113835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113839 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113844 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(4), // src
     /* 113850 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /* 113855 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /* 113860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVSX32rr16),
     /* 113863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 113865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 113868 */     GIR_RootConstrainSelectedInstOperands,
     /* 113869 */     // GIR_Coverage, 22638,
     /* 113869 */     GIR_EraseRootFromParent_Done,
     /* 113870 */   // Label 2469: @113870
     /* 113870 */   GIM_Try, /*On fail goto*//*Label 2470*/ GIMT_Encode4(113924), // Rule ID 22639 //
     /* 113875 */     // MIs[0] Operand 2
     /* 113875 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 113886 */     // (sext_inreg:{ *:[i32] } GR32:{ *:[i32] }:$src, i8:{ *:[Other] })  =>  (MOVSX32rr8:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i8] } GR32:{ *:[i32] }:$src, sub_8bit:{ *:[i32] }))
     /* 113886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 113889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113898 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(1), // src
     /* 113904 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR8RegClassID),
     /* 113909 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /* 113914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVSX32rr8),
     /* 113917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 113919 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 113922 */     GIR_RootConstrainSelectedInstOperands,
     /* 113923 */     // GIR_Coverage, 22639,
     /* 113923 */     GIR_EraseRootFromParent_Done,
     /* 113924 */   // Label 2470: @113924
     /* 113924 */   GIM_Reject,
     /* 113925 */ // Label 2468: @113925
     /* 113925 */ GIM_Reject,
     /* 113926 */ // Label 2466: @113926
     /* 113926 */ GIM_Reject,
     /* 113927 */ // Label 25: @113927
     /* 113927 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(23), /*)*//*default:*//*Label 2480*/ GIMT_Encode4(115910),
     /* 113938 */ /*GILLT_s16*//*Label 2471*/ GIMT_Encode4(114022),
     /* 113942 */ /*GILLT_s32*//*Label 2472*/ GIMT_Encode4(114080),
     /* 113946 */ /*GILLT_s64*//*Label 2473*/ GIMT_Encode4(114432), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 113974 */ /*GILLT_v4s64*//*Label 2474*/ GIMT_Encode4(114979), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 113986 */ /*GILLT_v8s32*//*Label 2475*/ GIMT_Encode4(115147),
     /* 113990 */ /*GILLT_v8s64*//*Label 2476*/ GIMT_Encode4(115315), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 114002 */ /*GILLT_v16s16*//*Label 2477*/ GIMT_Encode4(115486),
     /* 114006 */ /*GILLT_v16s32*//*Label 2478*/ GIMT_Encode4(115654), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 114018 */ /*GILLT_v32s16*//*Label 2479*/ GIMT_Encode4(115825),
     /* 114022 */ // Label 2471: @114022
     /* 114022 */ GIM_Try, /*On fail goto*//*Label 2481*/ GIMT_Encode4(114079), // Rule ID 22646 //
     /* 114027 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 114030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 114034 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 114038 */   // (zext:{ *:[i16] } GR8:{ *:[i8] }:$src)  =>  (EXTRACT_SUBREG:{ *:[i16] } (MOVZX32rr8:{ *:[i32] } GR8:{ *:[i8] }:$src), sub_16bit:{ *:[i32] })
     /* 114038 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114041 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVZX32rr8),
     /* 114045 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114050 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 114054 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 114056 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114059 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 114061 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /* 114068 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /* 114073 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /* 114078 */   // GIR_Coverage, 22646,
     /* 114078 */   GIR_EraseRootFromParent_Done,
     /* 114079 */ // Label 2481: @114079
     /* 114079 */ GIM_Reject,
     /* 114080 */ // Label 2472: @114080
     /* 114080 */ GIM_Try, /*On fail goto*//*Label 2482*/ GIMT_Encode4(114203), // Rule ID 22970 //
     /* 114085 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasZU),
     /* 114088 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 114091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBPRegClassID),
     /* 114095 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 114099 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /* 114103 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 114107 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 114111 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 114115 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 114119 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114122 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 114126 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 114130 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 114134 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 114138 */   // MIs[3] Operand 1
     /* 114138 */   // No operand predicates
     /* 114138 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 114140 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 114147 */   // (zext:{ *:[i32] } (mul:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, (imm:{ *:[i16] }):$src2))  =>  (SUBREG_TO_REG:{ *:[i32] } 0:{ *:[i32] }, (IMULZU16rmi:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i16] }):$src2), sub_16bit:{ *:[i32] })
     /* 114147 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 114150 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::IMULZU16rmi),
     /* 114154 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114159 */   GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src1
     /* 114163 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // src2
     /* 114166 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for X86::EFLAGS*/0,
     /* 114169 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /* 114176 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 114178 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 114181 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 114183 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114186 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114189 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 114192 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBPRegClassID),
     /* 114197 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR16RegClassID),
     /* 114202 */   // GIR_Coverage, 22970,
     /* 114202 */   GIR_EraseRootFromParent_Done,
     /* 114203 */ // Label 2482: @114203
     /* 114203 */ GIM_Try, /*On fail goto*//*Label 2483*/ GIMT_Encode4(114298), // Rule ID 22969 //
     /* 114208 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasZU),
     /* 114211 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 114214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBPRegClassID),
     /* 114218 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 114222 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /* 114226 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 114230 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 114234 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 114239 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 114243 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 114247 */   // MIs[2] Operand 1
     /* 114247 */   // No operand predicates
     /* 114247 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 114249 */   // (zext:{ *:[i32] } (mul:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2))  =>  (SUBREG_TO_REG:{ *:[i32] } 0:{ *:[i32] }, (IMULZU16rri:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2), sub_16bit:{ *:[i32] })
     /* 114249 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 114252 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::IMULZU16rri),
     /* 114256 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114261 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 114265 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // src2
     /* 114268 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for X86::EFLAGS*/0,
     /* 114271 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 114273 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 114276 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 114278 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114281 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114284 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 114287 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBPRegClassID),
     /* 114292 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR16RegClassID),
     /* 114297 */   // GIR_Coverage, 22969,
     /* 114297 */   GIR_EraseRootFromParent_Done,
     /* 114298 */ // Label 2483: @114298
     /* 114298 */ GIM_Try, /*On fail goto*//*Label 2484*/ GIMT_Encode4(114340), // Rule ID 19434 //
     /* 114303 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 114306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 114310 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 114314 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 114318 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s1,
     /* 114322 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 114327 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114329 */   // (zext:{ *:[i32] } (bitconvert:{ *:[i16] } VK16:{ *:[v16i1] }:$src))  =>  (KMOVWrk:{ *:[i32] } VK16:{ *:[v16i1] }:$src)
     /* 114329 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVWrk),
     /* 114332 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 114334 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 114338 */   GIR_RootConstrainSelectedInstOperands,
     /* 114339 */   // GIR_Coverage, 19434,
     /* 114339 */   GIR_EraseRootFromParent_Done,
     /* 114340 */ // Label 2484: @114340
     /* 114340 */ GIM_Try, /*On fail goto*//*Label 2485*/ GIMT_Encode4(114385), // Rule ID 19437 //
     /* 114345 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /* 114348 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 114351 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 114355 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 114359 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 114363 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s1,
     /* 114367 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /* 114372 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114374 */   // (zext:{ *:[i32] } (bitconvert:{ *:[i8] } VK8:{ *:[v8i1] }:$src))  =>  (KMOVBrk:{ *:[i32] } VK8:{ *:[v8i1] }:$src)
     /* 114374 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVBrk),
     /* 114377 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 114379 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 114383 */   GIR_RootConstrainSelectedInstOperands,
     /* 114384 */   // GIR_Coverage, 19437,
     /* 114384 */   GIR_EraseRootFromParent_Done,
     /* 114385 */ // Label 2485: @114385
     /* 114385 */ GIM_Try, /*On fail goto*//*Label 2486*/ GIMT_Encode4(114408), // Rule ID 618 //
     /* 114390 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 114393 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 114397 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 114401 */   // (zext:{ *:[i32] } GR8:{ *:[i8] }:$src)  =>  (MOVZX32rr8:{ *:[i32] } GR8:{ *:[i8] }:$src)
     /* 114401 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MOVZX32rr8),
     /* 114406 */   GIR_RootConstrainSelectedInstOperands,
     /* 114407 */   // GIR_Coverage, 618,
     /* 114407 */   GIR_Done,
     /* 114408 */ // Label 2486: @114408
     /* 114408 */ GIM_Try, /*On fail goto*//*Label 2487*/ GIMT_Encode4(114431), // Rule ID 620 //
     /* 114413 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 114416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 114420 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 114424 */   // (zext:{ *:[i32] } GR16:{ *:[i16] }:$src)  =>  (MOVZX32rr16:{ *:[i32] } GR16:{ *:[i16] }:$src)
     /* 114424 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MOVZX32rr16),
     /* 114429 */   GIR_RootConstrainSelectedInstOperands,
     /* 114430 */   // GIR_Coverage, 620,
     /* 114430 */   GIR_Done,
     /* 114431 */ // Label 2487: @114431
     /* 114431 */ GIM_Reject,
     /* 114432 */ // Label 2473: @114432
     /* 114432 */ GIM_Try, /*On fail goto*//*Label 2488*/ GIMT_Encode4(114555), // Rule ID 22972 //
     /* 114437 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasZU),
     /* 114440 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 114443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 114447 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 114451 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /* 114455 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 114459 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 114463 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 114467 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 114471 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114474 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 114478 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 114482 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 114486 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 114490 */   // MIs[3] Operand 1
     /* 114490 */   // No operand predicates
     /* 114490 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 114492 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 114499 */   // (zext:{ *:[i64] } (mul:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, (imm:{ *:[i16] }):$src2))  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (IMULZU16rmi:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i16] }):$src2), sub_16bit:{ *:[i32] })
     /* 114499 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 114502 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::IMULZU16rmi),
     /* 114506 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114511 */   GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src1
     /* 114515 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // src2
     /* 114518 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for X86::EFLAGS*/0,
     /* 114521 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /* 114528 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 114530 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 114533 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 114535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114538 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114541 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 114544 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /* 114549 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR16RegClassID),
     /* 114554 */   // GIR_Coverage, 22972,
     /* 114554 */   GIR_EraseRootFromParent_Done,
     /* 114555 */ // Label 2488: @114555
     /* 114555 */ GIM_Try, /*On fail goto*//*Label 2489*/ GIMT_Encode4(114650), // Rule ID 22971 //
     /* 114560 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasZU),
     /* 114563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 114566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 114570 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 114574 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /* 114578 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 114582 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 114586 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 114591 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 114595 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 114599 */   // MIs[2] Operand 1
     /* 114599 */   // No operand predicates
     /* 114599 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 114601 */   // (zext:{ *:[i64] } (mul:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2))  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (IMULZU16rri:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2), sub_16bit:{ *:[i32] })
     /* 114601 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 114604 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::IMULZU16rri),
     /* 114608 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114613 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 114617 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // src2
     /* 114620 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for X86::EFLAGS*/0,
     /* 114623 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 114625 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 114628 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 114630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114633 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 114639 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /* 114644 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR16RegClassID),
     /* 114649 */   // GIR_Coverage, 22971,
     /* 114649 */   GIR_EraseRootFromParent_Done,
     /* 114650 */ // Label 2489: @114650
     /* 114650 */ GIM_Try, /*On fail goto*//*Label 2490*/ GIMT_Encode4(114724), // Rule ID 19435 //
     /* 114655 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 114658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 114662 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 114666 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 114670 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s1,
     /* 114674 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 114679 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114681 */   // (zext:{ *:[i64] } (bitconvert:{ *:[i16] } VK16:{ *:[v16i1] }:$src))  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (KMOVWrk:{ *:[i32] } VK16:{ *:[v16i1] }:$src), sub_32bit:{ *:[i32] })
     /* 114681 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114684 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KMOVWrk),
     /* 114688 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114693 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 114697 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 114699 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 114702 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 114704 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114707 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114710 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 114713 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /* 114718 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR32RegClassID),
     /* 114723 */   // GIR_Coverage, 19435,
     /* 114723 */   GIR_EraseRootFromParent_Done,
     /* 114724 */ // Label 2490: @114724
     /* 114724 */ GIM_Try, /*On fail goto*//*Label 2491*/ GIMT_Encode4(114801), // Rule ID 19438 //
     /* 114729 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /* 114732 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 114735 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 114739 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 114743 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 114747 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s1,
     /* 114751 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /* 114756 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114758 */   // (zext:{ *:[i64] } (bitconvert:{ *:[i8] } VK8:{ *:[v8i1] }:$src))  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (KMOVBrk:{ *:[i32] } VK8:{ *:[v8i1] }:$src), sub_32bit:{ *:[i32] })
     /* 114758 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114761 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KMOVBrk),
     /* 114765 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114770 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 114774 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 114776 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 114779 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 114781 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114784 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114787 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 114790 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /* 114795 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR32RegClassID),
     /* 114800 */   // GIR_Coverage, 19438,
     /* 114800 */   GIR_EraseRootFromParent_Done,
     /* 114801 */ // Label 2491: @114801
     /* 114801 */ GIM_Try, /*On fail goto*//*Label 2492*/ GIMT_Encode4(114860), // Rule ID 17589 //
     /* 114806 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 114809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 114813 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 114817 */   // (zext:{ *:[i64] } GR8:{ *:[i8] }:$src)  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (MOVZX32rr8:{ *:[i32] } GR8:{ *:[i8] }:$src), sub_32bit:{ *:[i32] })
     /* 114817 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114820 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVZX32rr8),
     /* 114824 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114829 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 114833 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 114835 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 114838 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 114840 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114843 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 114849 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /* 114854 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR32RegClassID),
     /* 114859 */   // GIR_Coverage, 17589,
     /* 114859 */   GIR_EraseRootFromParent_Done,
     /* 114860 */ // Label 2492: @114860
     /* 114860 */ GIM_Try, /*On fail goto*//*Label 2493*/ GIMT_Encode4(114919), // Rule ID 17591 //
     /* 114865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 114868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 114872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 114876 */   // (zext:{ *:[i64] } GR16:{ *:[i16] }:$src)  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (MOVZX32rr16:{ *:[i32] } GR16:{ *:[i16] }:$src), sub_32bit:{ *:[i32] })
     /* 114876 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114879 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVZX32rr16),
     /* 114883 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114888 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 114892 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 114894 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 114897 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 114899 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114902 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114905 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 114908 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /* 114913 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR32RegClassID),
     /* 114918 */   // GIR_Coverage, 17591,
     /* 114918 */   GIR_EraseRootFromParent_Done,
     /* 114919 */ // Label 2493: @114919
     /* 114919 */ GIM_Try, /*On fail goto*//*Label 2494*/ GIMT_Encode4(114978), // Rule ID 17593 //
     /* 114924 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 114927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 114931 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 114935 */   // (zext:{ *:[i64] } GR32:{ *:[i32] }:$src)  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (MOV32rr:{ *:[i32] } GR32:{ *:[i32] }:$src), sub_32bit:{ *:[i32] })
     /* 114935 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114938 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOV32rr),
     /* 114942 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114947 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 114951 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 114953 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 114956 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 114958 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114961 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114964 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 114967 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /* 114972 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR32RegClassID),
     /* 114977 */   // GIR_Coverage, 17593,
     /* 114977 */   GIR_EraseRootFromParent_Done,
     /* 114978 */ // Label 2494: @114978
     /* 114978 */ GIM_Reject,
     /* 114979 */ // Label 2474: @114979
     /* 114979 */ GIM_Try, /*On fail goto*//*Label 2495*/ GIMT_Encode4(115146),
     /* 114984 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 114987 */   GIM_Try, /*On fail goto*//*Label 2496*/ GIMT_Encode4(115043), // Rule ID 18412 //
     /* 114992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 114995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 114999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 115003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 115007 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115010 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 115014 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 115018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115020 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 115027 */     // (zext:{ *:[v4i64] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVZXDQYrm:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)
     /* 115027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVZXDQYrm),
     /* 115030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115032 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 115036 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 115041 */     GIR_RootConstrainSelectedInstOperands,
     /* 115042 */     // GIR_Coverage, 18412,
     /* 115042 */     GIR_EraseRootFromParent_Done,
     /* 115043 */   // Label 2496: @115043
     /* 115043 */   GIM_Try, /*On fail goto*//*Label 2497*/ GIMT_Encode4(115099), // Rule ID 21617 //
     /* 115048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 115051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 115055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 115059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 115063 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115066 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 115070 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 115074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115076 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 115083 */     // (zext:{ *:[v4i64] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVZXDQZ256rm:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)
     /* 115083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVZXDQZ256rm),
     /* 115086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115088 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 115092 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 115097 */     GIR_RootConstrainSelectedInstOperands,
     /* 115098 */     // GIR_Coverage, 21617,
     /* 115098 */     GIR_EraseRootFromParent_Done,
     /* 115099 */   // Label 2497: @115099
     /* 115099 */   GIM_Try, /*On fail goto*//*Label 2498*/ GIMT_Encode4(115122), // Rule ID 12462 //
     /* 115104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 115107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 115111 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 115115 */     // (zext:{ *:[v4i64] } VR128X:{ *:[v4i32] }:$src)  =>  (VPMOVZXDQZ256rr:{ *:[v4i64] } VR128X:{ *:[v4i32] }:$src)
     /* 115115 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVZXDQZ256rr),
     /* 115120 */     GIR_RootConstrainSelectedInstOperands,
     /* 115121 */     // GIR_Coverage, 12462,
     /* 115121 */     GIR_Done,
     /* 115122 */   // Label 2498: @115122
     /* 115122 */   GIM_Try, /*On fail goto*//*Label 2499*/ GIMT_Encode4(115145), // Rule ID 18400 //
     /* 115127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 115130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 115134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 115138 */     // (zext:{ *:[v4i64] } VR128:{ *:[v4i32] }:$src)  =>  (VPMOVZXDQYrr:{ *:[v4i64] } VR128:{ *:[v4i32] }:$src)
     /* 115138 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVZXDQYrr),
     /* 115143 */     GIR_RootConstrainSelectedInstOperands,
     /* 115144 */     // GIR_Coverage, 18400,
     /* 115144 */     GIR_Done,
     /* 115145 */   // Label 2499: @115145
     /* 115145 */   GIM_Reject,
     /* 115146 */ // Label 2495: @115146
     /* 115146 */ GIM_Reject,
     /* 115147 */ // Label 2475: @115147
     /* 115147 */ GIM_Try, /*On fail goto*//*Label 2500*/ GIMT_Encode4(115314),
     /* 115152 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 115155 */   GIM_Try, /*On fail goto*//*Label 2501*/ GIMT_Encode4(115211), // Rule ID 18408 //
     /* 115160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 115163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 115167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 115171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 115175 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115178 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 115182 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 115186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115188 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 115195 */     // (zext:{ *:[v8i32] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVZXWDYrm:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)
     /* 115195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVZXWDYrm),
     /* 115198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115200 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 115204 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 115209 */     GIR_RootConstrainSelectedInstOperands,
     /* 115210 */     // GIR_Coverage, 18408,
     /* 115210 */     GIR_EraseRootFromParent_Done,
     /* 115211 */   // Label 2501: @115211
     /* 115211 */   GIM_Try, /*On fail goto*//*Label 2502*/ GIMT_Encode4(115267), // Rule ID 21616 //
     /* 115216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 115219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 115223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 115227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 115231 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115234 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 115238 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 115242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115244 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 115251 */     // (zext:{ *:[v8i32] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVZXWDZ256rm:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)
     /* 115251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVZXWDZ256rm),
     /* 115254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115256 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 115260 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 115265 */     GIR_RootConstrainSelectedInstOperands,
     /* 115266 */     // GIR_Coverage, 21616,
     /* 115266 */     GIR_EraseRootFromParent_Done,
     /* 115267 */   // Label 2502: @115267
     /* 115267 */   GIM_Try, /*On fail goto*//*Label 2503*/ GIMT_Encode4(115290), // Rule ID 12426 //
     /* 115272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 115275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 115279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 115283 */     // (zext:{ *:[v8i32] } VR128X:{ *:[v8i16] }:$src)  =>  (VPMOVZXWDZ256rr:{ *:[v8i32] } VR128X:{ *:[v8i16] }:$src)
     /* 115283 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVZXWDZ256rr),
     /* 115288 */     GIR_RootConstrainSelectedInstOperands,
     /* 115289 */     // GIR_Coverage, 12426,
     /* 115289 */     GIR_Done,
     /* 115290 */   // Label 2503: @115290
     /* 115290 */   GIM_Try, /*On fail goto*//*Label 2504*/ GIMT_Encode4(115313), // Rule ID 18398 //
     /* 115295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 115298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 115302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 115306 */     // (zext:{ *:[v8i32] } VR128:{ *:[v8i16] }:$src)  =>  (VPMOVZXWDYrr:{ *:[v8i32] } VR128:{ *:[v8i16] }:$src)
     /* 115306 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVZXWDYrr),
     /* 115311 */     GIR_RootConstrainSelectedInstOperands,
     /* 115312 */     // GIR_Coverage, 18398,
     /* 115312 */     GIR_Done,
     /* 115313 */   // Label 2504: @115313
     /* 115313 */   GIM_Reject,
     /* 115314 */ // Label 2500: @115314
     /* 115314 */ GIM_Reject,
     /* 115315 */ // Label 2476: @115315
     /* 115315 */ GIM_Try, /*On fail goto*//*Label 2505*/ GIMT_Encode4(115374), // Rule ID 21621 //
     /* 115320 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 115323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 115326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 115330 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 115334 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 115338 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115341 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 115345 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 115349 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115351 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 115358 */   // (zext:{ *:[v8i64] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVZXWQZrm:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)
     /* 115358 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVZXWQZrm),
     /* 115361 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115363 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 115367 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 115372 */   GIR_RootConstrainSelectedInstOperands,
     /* 115373 */   // GIR_Coverage, 21621,
     /* 115373 */   GIR_EraseRootFromParent_Done,
     /* 115374 */ // Label 2505: @115374
     /* 115374 */ GIM_Try, /*On fail goto*//*Label 2506*/ GIMT_Encode4(115433), // Rule ID 21622 //
     /* 115379 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 115382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 115385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 115389 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 115393 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 115397 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115400 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 115404 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 115408 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115410 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 115417 */   // (zext:{ *:[v8i64] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVZXDQZrm:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)
     /* 115417 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVZXDQZrm),
     /* 115420 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115422 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 115426 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 115431 */   GIR_RootConstrainSelectedInstOperands,
     /* 115432 */   // GIR_Coverage, 21622,
     /* 115432 */   GIR_EraseRootFromParent_Done,
     /* 115433 */ // Label 2506: @115433
     /* 115433 */ GIM_Try, /*On fail goto*//*Label 2507*/ GIMT_Encode4(115459), // Rule ID 12450 //
     /* 115438 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 115441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 115444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 115448 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 115452 */   // (zext:{ *:[v8i64] } VR128X:{ *:[v8i16] }:$src)  =>  (VPMOVZXWQZrr:{ *:[v8i64] } VR128X:{ *:[v8i16] }:$src)
     /* 115452 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVZXWQZrr),
     /* 115457 */   GIR_RootConstrainSelectedInstOperands,
     /* 115458 */   // GIR_Coverage, 12450,
     /* 115458 */   GIR_Done,
     /* 115459 */ // Label 2507: @115459
     /* 115459 */ GIM_Try, /*On fail goto*//*Label 2508*/ GIMT_Encode4(115485), // Rule ID 12468 //
     /* 115464 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 115467 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 115470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 115474 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 115478 */   // (zext:{ *:[v8i64] } VR256X:{ *:[v8i32] }:$src)  =>  (VPMOVZXDQZrr:{ *:[v8i64] } VR256X:{ *:[v8i32] }:$src)
     /* 115478 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVZXDQZrr),
     /* 115483 */   GIR_RootConstrainSelectedInstOperands,
     /* 115484 */   // GIR_Coverage, 12468,
     /* 115484 */   GIR_Done,
     /* 115485 */ // Label 2508: @115485
     /* 115485 */ GIM_Reject,
     /* 115486 */ // Label 2477: @115486
     /* 115486 */ GIM_Try, /*On fail goto*//*Label 2509*/ GIMT_Encode4(115653),
     /* 115491 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 115494 */   GIM_Try, /*On fail goto*//*Label 2510*/ GIMT_Encode4(115550), // Rule ID 18402 //
     /* 115499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 115502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 115506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 115510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 115514 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115517 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 115521 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 115525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115527 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 115534 */     // (zext:{ *:[v16i16] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVZXBWYrm:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)
     /* 115534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVZXBWYrm),
     /* 115537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115539 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 115543 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 115548 */     GIR_RootConstrainSelectedInstOperands,
     /* 115549 */     // GIR_Coverage, 18402,
     /* 115549 */     GIR_EraseRootFromParent_Done,
     /* 115550 */   // Label 2510: @115550
     /* 115550 */   GIM_Try, /*On fail goto*//*Label 2511*/ GIMT_Encode4(115606), // Rule ID 21615 //
     /* 115555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 115558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 115562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 115566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 115570 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115573 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 115577 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 115581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115583 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 115590 */     // (zext:{ *:[v16i16] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVZXBWZ256rm:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)
     /* 115590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVZXBWZ256rm),
     /* 115593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115595 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 115599 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 115604 */     GIR_RootConstrainSelectedInstOperands,
     /* 115605 */     // GIR_Coverage, 21615,
     /* 115605 */     GIR_EraseRootFromParent_Done,
     /* 115606 */   // Label 2511: @115606
     /* 115606 */   GIM_Try, /*On fail goto*//*Label 2512*/ GIMT_Encode4(115629), // Rule ID 12372 //
     /* 115611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 115614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 115618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 115622 */     // (zext:{ *:[v16i16] } VR128X:{ *:[v16i8] }:$src)  =>  (VPMOVZXBWZ256rr:{ *:[v16i16] } VR128X:{ *:[v16i8] }:$src)
     /* 115622 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVZXBWZ256rr),
     /* 115627 */     GIR_RootConstrainSelectedInstOperands,
     /* 115628 */     // GIR_Coverage, 12372,
     /* 115628 */     GIR_Done,
     /* 115629 */   // Label 2512: @115629
     /* 115629 */   GIM_Try, /*On fail goto*//*Label 2513*/ GIMT_Encode4(115652), // Rule ID 18395 //
     /* 115634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 115637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 115641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 115645 */     // (zext:{ *:[v16i16] } VR128:{ *:[v16i8] }:$src)  =>  (VPMOVZXBWYrr:{ *:[v16i16] } VR128:{ *:[v16i8] }:$src)
     /* 115645 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVZXBWYrr),
     /* 115650 */     GIR_RootConstrainSelectedInstOperands,
     /* 115651 */     // GIR_Coverage, 18395,
     /* 115651 */     GIR_Done,
     /* 115652 */   // Label 2513: @115652
     /* 115652 */   GIM_Reject,
     /* 115653 */ // Label 2509: @115653
     /* 115653 */ GIM_Reject,
     /* 115654 */ // Label 2478: @115654
     /* 115654 */ GIM_Try, /*On fail goto*//*Label 2514*/ GIMT_Encode4(115713), // Rule ID 21619 //
     /* 115659 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 115662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 115665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 115669 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 115673 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 115677 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115680 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 115684 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 115688 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115690 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 115697 */   // (zext:{ *:[v16i32] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVZXBDZrm:{ *:[v16i32] } addr:{ *:[iPTR] }:$src)
     /* 115697 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVZXBDZrm),
     /* 115700 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115702 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 115706 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 115711 */   GIR_RootConstrainSelectedInstOperands,
     /* 115712 */   // GIR_Coverage, 21619,
     /* 115712 */   GIR_EraseRootFromParent_Done,
     /* 115713 */ // Label 2514: @115713
     /* 115713 */ GIM_Try, /*On fail goto*//*Label 2515*/ GIMT_Encode4(115772), // Rule ID 21620 //
     /* 115718 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 115721 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 115724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 115728 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 115732 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 115736 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115739 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 115743 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 115747 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115749 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 115756 */   // (zext:{ *:[v16i32] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVZXWDZrm:{ *:[v16i32] } addr:{ *:[iPTR] }:$src)
     /* 115756 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVZXWDZrm),
     /* 115759 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115761 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 115765 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 115770 */   GIR_RootConstrainSelectedInstOperands,
     /* 115771 */   // GIR_Coverage, 21620,
     /* 115771 */   GIR_EraseRootFromParent_Done,
     /* 115772 */ // Label 2515: @115772
     /* 115772 */ GIM_Try, /*On fail goto*//*Label 2516*/ GIMT_Encode4(115798), // Rule ID 12396 //
     /* 115777 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 115780 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 115783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 115787 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 115791 */   // (zext:{ *:[v16i32] } VR128X:{ *:[v16i8] }:$src)  =>  (VPMOVZXBDZrr:{ *:[v16i32] } VR128X:{ *:[v16i8] }:$src)
     /* 115791 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVZXBDZrr),
     /* 115796 */   GIR_RootConstrainSelectedInstOperands,
     /* 115797 */   // GIR_Coverage, 12396,
     /* 115797 */   GIR_Done,
     /* 115798 */ // Label 2516: @115798
     /* 115798 */ GIM_Try, /*On fail goto*//*Label 2517*/ GIMT_Encode4(115824), // Rule ID 12432 //
     /* 115803 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 115806 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 115809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 115813 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 115817 */   // (zext:{ *:[v16i32] } VR256X:{ *:[v16i16] }:$src)  =>  (VPMOVZXWDZrr:{ *:[v16i32] } VR256X:{ *:[v16i16] }:$src)
     /* 115817 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVZXWDZrr),
     /* 115822 */   GIR_RootConstrainSelectedInstOperands,
     /* 115823 */   // GIR_Coverage, 12432,
     /* 115823 */   GIR_Done,
     /* 115824 */ // Label 2517: @115824
     /* 115824 */ GIM_Reject,
     /* 115825 */ // Label 2479: @115825
     /* 115825 */ GIM_Try, /*On fail goto*//*Label 2518*/ GIMT_Encode4(115909),
     /* 115830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /* 115833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 115837 */   GIM_Try, /*On fail goto*//*Label 2519*/ GIMT_Encode4(115889), // Rule ID 21618 //
     /* 115842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 115845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 115849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 115853 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115856 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 115860 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 115864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115866 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 115873 */     // (zext:{ *:[v32i16] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVZXBWZrm:{ *:[v32i16] } addr:{ *:[iPTR] }:$src)
     /* 115873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVZXBWZrm),
     /* 115876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115878 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 115882 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 115887 */     GIR_RootConstrainSelectedInstOperands,
     /* 115888 */     // GIR_Coverage, 21618,
     /* 115888 */     GIR_EraseRootFromParent_Done,
     /* 115889 */   // Label 2519: @115889
     /* 115889 */   GIM_Try, /*On fail goto*//*Label 2520*/ GIMT_Encode4(115908), // Rule ID 12378 //
     /* 115894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 115897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 115901 */     // (zext:{ *:[v32i16] } VR256X:{ *:[v32i8] }:$src)  =>  (VPMOVZXBWZrr:{ *:[v32i16] } VR256X:{ *:[v32i8] }:$src)
     /* 115901 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVZXBWZrr),
     /* 115906 */     GIR_RootConstrainSelectedInstOperands,
     /* 115907 */     // GIR_Coverage, 12378,
     /* 115907 */     GIR_Done,
     /* 115908 */   // Label 2520: @115908
     /* 115908 */   GIM_Reject,
     /* 115909 */ // Label 2518: @115909
     /* 115909 */ GIM_Reject,
     /* 115910 */ // Label 2480: @115910
     /* 115910 */ GIM_Reject,
     /* 115911 */ // Label 26: @115911
     /* 115911 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(5), /*)*//*default:*//*Label 2525*/ GIMT_Encode4(118194),
     /* 115922 */ /*GILLT_s8*//*Label 2521*/ GIMT_Encode4(115938),
     /* 115926 */ /*GILLT_s16*//*Label 2522*/ GIMT_Encode4(116313),
     /* 115930 */ /*GILLT_s32*//*Label 2523*/ GIMT_Encode4(116688),
     /* 115934 */ /*GILLT_s64*//*Label 2524*/ GIMT_Encode4(117441),
     /* 115938 */ // Label 2521: @115938
     /* 115938 */ GIM_Try, /*On fail goto*//*Label 2526*/ GIMT_Encode4(116312),
     /* 115943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 115946 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 115949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 115953 */   GIM_Try, /*On fail goto*//*Label 2527*/ GIMT_Encode4(116020), // Rule ID 672 //
     /* 115958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 115961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 115965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 115969 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115972 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 115976 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /* 115980 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 115984 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 115988 */     // MIs[2] Operand 1
     /* 115988 */     // No operand predicates
     /* 115988 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 115990 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 115997 */     // (shl:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, (imm:{ *:[i8] }):$src2)  =>  (SHL8mi_ND:{ *:[i8] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 115997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL8mi_ND),
     /* 116000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116002 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 116006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 116009 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 116012 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 116018 */     GIR_RootConstrainSelectedInstOperands,
     /* 116019 */     // GIR_Coverage, 672,
     /* 116019 */     GIR_EraseRootFromParent_Done,
     /* 116020 */   // Label 2527: @116020
     /* 116020 */   GIM_Try, /*On fail goto*//*Label 2528*/ GIMT_Encode4(116093), // Rule ID 688 //
     /* 116025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 116028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 116032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 116036 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116039 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 116043 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /* 116047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 116051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 116053 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 116060 */     // (shl:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, CL:{ *:[i8] })  =>  (SHL8mCL_ND:{ *:[i8] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 116060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 116064 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116070 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 116074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL8mCL_ND),
     /* 116077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116079 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 116083 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 116086 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 116091 */     GIR_RootConstrainSelectedInstOperands,
     /* 116092 */     // GIR_Coverage, 688,
     /* 116092 */     GIR_EraseRootFromParent_Done,
     /* 116093 */   // Label 2528: @116093
     /* 116093 */   GIM_Try, /*On fail goto*//*Label 2529*/ GIMT_Encode4(116123), // Rule ID 22671 //
     /* 116098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 116101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 116105 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /* 116109 */     // (shl:{ *:[i8] } GR8:{ *:[i8] }:$src1, 1:{ *:[i8] })  =>  (ADD8rr:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src1)
     /* 116109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD8rr),
     /* 116112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116114 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 116116 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 116118 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 116121 */     GIR_RootConstrainSelectedInstOperands,
     /* 116122 */     // GIR_Coverage, 22671,
     /* 116122 */     GIR_EraseRootFromParent_Done,
     /* 116123 */   // Label 2529: @116123
     /* 116123 */   GIM_Try, /*On fail goto*//*Label 2530*/ GIMT_Encode4(116153), // Rule ID 22675 //
     /* 116128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 116131 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 116135 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /* 116139 */     // (shl:{ *:[i8] } GR8:{ *:[i8] }:$src1, 1:{ *:[i8] })  =>  (ADD8rr_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src1)
     /* 116139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD8rr_ND),
     /* 116142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116144 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 116146 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 116148 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 116151 */     GIR_RootConstrainSelectedInstOperands,
     /* 116152 */     // GIR_Coverage, 22675,
     /* 116152 */     GIR_EraseRootFromParent_Done,
     /* 116153 */   // Label 2530: @116153
     /* 116153 */   GIM_Try, /*On fail goto*//*Label 2531*/ GIMT_Encode4(116190), // Rule ID 660 //
     /* 116158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 116161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 116165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 116169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 116173 */     // MIs[1] Operand 1
     /* 116173 */     // No operand predicates
     /* 116173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 116175 */     // (shl:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SHL8ri:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 116175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL8ri),
     /* 116178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116180 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 116182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 116185 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 116188 */     GIR_RootConstrainSelectedInstOperands,
     /* 116189 */     // GIR_Coverage, 660,
     /* 116189 */     GIR_EraseRootFromParent_Done,
     /* 116190 */   // Label 2531: @116190
     /* 116190 */   GIM_Try, /*On fail goto*//*Label 2532*/ GIMT_Encode4(116227), // Rule ID 664 //
     /* 116195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 116198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 116202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 116206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 116210 */     // MIs[1] Operand 1
     /* 116210 */     // No operand predicates
     /* 116210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 116212 */     // (shl:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SHL8ri_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 116212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL8ri_ND),
     /* 116215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116217 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 116219 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 116222 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 116225 */     GIR_RootConstrainSelectedInstOperands,
     /* 116226 */     // GIR_Coverage, 664,
     /* 116226 */     GIR_EraseRootFromParent_Done,
     /* 116227 */   // Label 2532: @116227
     /* 116227 */   GIM_Try, /*On fail goto*//*Label 2533*/ GIMT_Encode4(116269), // Rule ID 676 //
     /* 116232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 116235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 116239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 116243 */     // (shl:{ *:[i8] } GR8:{ *:[i8] }:$src1, CL:{ *:[i8] })  =>  (SHL8rCL:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1)
     /* 116243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 116247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 116257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL8rCL),
     /* 116260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116262 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 116264 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 116267 */     GIR_RootConstrainSelectedInstOperands,
     /* 116268 */     // GIR_Coverage, 676,
     /* 116268 */     GIR_EraseRootFromParent_Done,
     /* 116269 */   // Label 2533: @116269
     /* 116269 */   GIM_Try, /*On fail goto*//*Label 2534*/ GIMT_Encode4(116311), // Rule ID 680 //
     /* 116274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 116277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 116281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 116285 */     // (shl:{ *:[i8] } GR8:{ *:[i8] }:$src1, CL:{ *:[i8] })  =>  (SHL8rCL_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1)
     /* 116285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 116289 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116295 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 116299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL8rCL_ND),
     /* 116302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116304 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 116306 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 116309 */     GIR_RootConstrainSelectedInstOperands,
     /* 116310 */     // GIR_Coverage, 680,
     /* 116310 */     GIR_EraseRootFromParent_Done,
     /* 116311 */   // Label 2534: @116311
     /* 116311 */   GIM_Reject,
     /* 116312 */ // Label 2526: @116312
     /* 116312 */ GIM_Reject,
     /* 116313 */ // Label 2522: @116313
     /* 116313 */ GIM_Try, /*On fail goto*//*Label 2535*/ GIMT_Encode4(116687),
     /* 116318 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 116321 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 116324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 116328 */   GIM_Try, /*On fail goto*//*Label 2536*/ GIMT_Encode4(116395), // Rule ID 673 //
     /* 116333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 116336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 116340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 116344 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116347 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 116351 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 116355 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 116359 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 116363 */     // MIs[2] Operand 1
     /* 116363 */     // No operand predicates
     /* 116363 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 116365 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 116372 */     // (shl:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, (imm:{ *:[i8] }):$src2)  =>  (SHL16mi_ND:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 116372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL16mi_ND),
     /* 116375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116377 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 116381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 116384 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 116387 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 116393 */     GIR_RootConstrainSelectedInstOperands,
     /* 116394 */     // GIR_Coverage, 673,
     /* 116394 */     GIR_EraseRootFromParent_Done,
     /* 116395 */   // Label 2536: @116395
     /* 116395 */   GIM_Try, /*On fail goto*//*Label 2537*/ GIMT_Encode4(116468), // Rule ID 689 //
     /* 116400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 116403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 116407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 116411 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116414 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 116418 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 116422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 116426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 116428 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 116435 */     // (shl:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, CL:{ *:[i8] })  =>  (SHL16mCL_ND:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 116435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 116439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 116449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL16mCL_ND),
     /* 116452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116454 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 116458 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 116461 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 116466 */     GIR_RootConstrainSelectedInstOperands,
     /* 116467 */     // GIR_Coverage, 689,
     /* 116467 */     GIR_EraseRootFromParent_Done,
     /* 116468 */   // Label 2537: @116468
     /* 116468 */   GIM_Try, /*On fail goto*//*Label 2538*/ GIMT_Encode4(116498), // Rule ID 22672 //
     /* 116473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 116476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 116480 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /* 116484 */     // (shl:{ *:[i16] } GR16:{ *:[i16] }:$src1, 1:{ *:[i8] })  =>  (ADD16rr:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src1)
     /* 116484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD16rr),
     /* 116487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116489 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 116491 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 116493 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 116496 */     GIR_RootConstrainSelectedInstOperands,
     /* 116497 */     // GIR_Coverage, 22672,
     /* 116497 */     GIR_EraseRootFromParent_Done,
     /* 116498 */   // Label 2538: @116498
     /* 116498 */   GIM_Try, /*On fail goto*//*Label 2539*/ GIMT_Encode4(116528), // Rule ID 22676 //
     /* 116503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 116506 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 116510 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /* 116514 */     // (shl:{ *:[i16] } GR16:{ *:[i16] }:$src1, 1:{ *:[i8] })  =>  (ADD16rr_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src1)
     /* 116514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD16rr_ND),
     /* 116517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116519 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 116521 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 116523 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 116526 */     GIR_RootConstrainSelectedInstOperands,
     /* 116527 */     // GIR_Coverage, 22676,
     /* 116527 */     GIR_EraseRootFromParent_Done,
     /* 116528 */   // Label 2539: @116528
     /* 116528 */   GIM_Try, /*On fail goto*//*Label 2540*/ GIMT_Encode4(116565), // Rule ID 661 //
     /* 116533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 116536 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 116540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 116544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 116548 */     // MIs[1] Operand 1
     /* 116548 */     // No operand predicates
     /* 116548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 116550 */     // (shl:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SHL16ri:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 116550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL16ri),
     /* 116553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116555 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 116557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 116560 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 116563 */     GIR_RootConstrainSelectedInstOperands,
     /* 116564 */     // GIR_Coverage, 661,
     /* 116564 */     GIR_EraseRootFromParent_Done,
     /* 116565 */   // Label 2540: @116565
     /* 116565 */   GIM_Try, /*On fail goto*//*Label 2541*/ GIMT_Encode4(116602), // Rule ID 665 //
     /* 116570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 116573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 116577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 116581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 116585 */     // MIs[1] Operand 1
     /* 116585 */     // No operand predicates
     /* 116585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 116587 */     // (shl:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SHL16ri_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 116587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL16ri_ND),
     /* 116590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116592 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 116594 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 116597 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 116600 */     GIR_RootConstrainSelectedInstOperands,
     /* 116601 */     // GIR_Coverage, 665,
     /* 116601 */     GIR_EraseRootFromParent_Done,
     /* 116602 */   // Label 2541: @116602
     /* 116602 */   GIM_Try, /*On fail goto*//*Label 2542*/ GIMT_Encode4(116644), // Rule ID 677 //
     /* 116607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 116610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 116614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 116618 */     // (shl:{ *:[i16] } GR16:{ *:[i16] }:$src1, CL:{ *:[i8] })  =>  (SHL16rCL:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /* 116618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 116622 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116628 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 116632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL16rCL),
     /* 116635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116637 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 116639 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 116642 */     GIR_RootConstrainSelectedInstOperands,
     /* 116643 */     // GIR_Coverage, 677,
     /* 116643 */     GIR_EraseRootFromParent_Done,
     /* 116644 */   // Label 2542: @116644
     /* 116644 */   GIM_Try, /*On fail goto*//*Label 2543*/ GIMT_Encode4(116686), // Rule ID 681 //
     /* 116649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 116652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 116656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 116660 */     // (shl:{ *:[i16] } GR16:{ *:[i16] }:$src1, CL:{ *:[i8] })  =>  (SHL16rCL_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /* 116660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 116664 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116670 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 116674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL16rCL_ND),
     /* 116677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116679 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 116681 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 116684 */     GIR_RootConstrainSelectedInstOperands,
     /* 116685 */     // GIR_Coverage, 681,
     /* 116685 */     GIR_EraseRootFromParent_Done,
     /* 116686 */   // Label 2543: @116686
     /* 116686 */   GIM_Reject,
     /* 116687 */ // Label 2535: @116687
     /* 116687 */ GIM_Reject,
     /* 116688 */ // Label 2523: @116688
     /* 116688 */ GIM_Try, /*On fail goto*//*Label 2544*/ GIMT_Encode4(117440),
     /* 116693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 116696 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 116699 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 116703 */   GIM_Try, /*On fail goto*//*Label 2545*/ GIMT_Encode4(116770), // Rule ID 674 //
     /* 116708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 116711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 116715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 116719 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116722 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 116726 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 116730 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 116734 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 116738 */     // MIs[2] Operand 1
     /* 116738 */     // No operand predicates
     /* 116738 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 116740 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 116747 */     // (shl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (imm:{ *:[i8] }):$src2)  =>  (SHL32mi_ND:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 116747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL32mi_ND),
     /* 116750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116752 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 116756 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 116759 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 116762 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 116768 */     GIR_RootConstrainSelectedInstOperands,
     /* 116769 */     // GIR_Coverage, 674,
     /* 116769 */     GIR_EraseRootFromParent_Done,
     /* 116770 */   // Label 2545: @116770
     /* 116770 */   GIM_Try, /*On fail goto*//*Label 2546*/ GIMT_Encode4(116843), // Rule ID 690 //
     /* 116775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 116778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 116782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 116786 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116789 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 116793 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 116797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 116801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 116803 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 116810 */     // (shl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, CL:{ *:[i8] })  =>  (SHL32mCL_ND:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 116810 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 116814 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116820 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 116824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL32mCL_ND),
     /* 116827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116829 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 116833 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 116836 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 116841 */     GIR_RootConstrainSelectedInstOperands,
     /* 116842 */     // GIR_Coverage, 690,
     /* 116842 */     GIR_EraseRootFromParent_Done,
     /* 116843 */   // Label 2546: @116843
     /* 116843 */   GIM_Try, /*On fail goto*//*Label 2547*/ GIMT_Encode4(116953), // Rule ID 17671 //
     /* 116848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_NoEGPR),
     /* 116851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 116855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 116859 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116862 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 116866 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 116870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 116874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 116876 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 116883 */     // (shl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR8:{ *:[i8] }:$src2)  =>  (SHLX32rm:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 116883 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 116886 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 116890 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116895 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 116897 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 116900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 116904 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116909 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 116912 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 116916 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 116919 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 116924 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 116929 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 116934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLX32rm),
     /* 116937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116939 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 116943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 116946 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 116951 */     GIR_RootConstrainSelectedInstOperands,
     /* 116952 */     // GIR_Coverage, 17671,
     /* 116952 */     GIR_EraseRootFromParent_Done,
     /* 116953 */   // Label 2547: @116953
     /* 116953 */   GIM_Try, /*On fail goto*//*Label 2548*/ GIMT_Encode4(117063), // Rule ID 17703 //
     /* 116958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_HasEGPR),
     /* 116961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 116965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 116969 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116972 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 116976 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 116980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 116984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 116986 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 116993 */     // (shl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR8:{ *:[i8] }:$src2)  =>  (SHLX32rm_EVEX:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 116993 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 116996 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 117000 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117005 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 117007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 117010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 117014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117019 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 117022 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 117026 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 117029 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 117034 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 117039 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 117044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLX32rm_EVEX),
     /* 117047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 117049 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 117053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 117056 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 117061 */     GIR_RootConstrainSelectedInstOperands,
     /* 117062 */     // GIR_Coverage, 17703,
     /* 117062 */     GIR_EraseRootFromParent_Done,
     /* 117063 */   // Label 2548: @117063
     /* 117063 */   GIM_Try, /*On fail goto*//*Label 2549*/ GIMT_Encode4(117093), // Rule ID 22673 //
     /* 117068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 117071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 117075 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /* 117079 */     // (shl:{ *:[i32] } GR32:{ *:[i32] }:$src1, 1:{ *:[i8] })  =>  (ADD32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src1)
     /* 117079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD32rr),
     /* 117082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 117084 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 117086 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 117088 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 117091 */     GIR_RootConstrainSelectedInstOperands,
     /* 117092 */     // GIR_Coverage, 22673,
     /* 117092 */     GIR_EraseRootFromParent_Done,
     /* 117093 */   // Label 2549: @117093
     /* 117093 */   GIM_Try, /*On fail goto*//*Label 2550*/ GIMT_Encode4(117123), // Rule ID 22677 //
     /* 117098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 117101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 117105 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /* 117109 */     // (shl:{ *:[i32] } GR32:{ *:[i32] }:$src1, 1:{ *:[i8] })  =>  (ADD32rr_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src1)
     /* 117109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD32rr_ND),
     /* 117112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 117114 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 117116 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 117118 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 117121 */     GIR_RootConstrainSelectedInstOperands,
     /* 117122 */     // GIR_Coverage, 22677,
     /* 117122 */     GIR_EraseRootFromParent_Done,
     /* 117123 */   // Label 2550: @117123
     /* 117123 */   GIM_Try, /*On fail goto*//*Label 2551*/ GIMT_Encode4(117160), // Rule ID 662 //
     /* 117128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 117131 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 117135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 117139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 117143 */     // MIs[1] Operand 1
     /* 117143 */     // No operand predicates
     /* 117143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 117145 */     // (shl:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SHL32ri:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 117145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL32ri),
     /* 117148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 117150 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 117152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 117155 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 117158 */     GIR_RootConstrainSelectedInstOperands,
     /* 117159 */     // GIR_Coverage, 662,
     /* 117159 */     GIR_EraseRootFromParent_Done,
     /* 117160 */   // Label 2551: @117160
     /* 117160 */   GIM_Try, /*On fail goto*//*Label 2552*/ GIMT_Encode4(117197), // Rule ID 666 //
     /* 117165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 117168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 117172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 117176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 117180 */     // MIs[1] Operand 1
     /* 117180 */     // No operand predicates
     /* 117180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 117182 */     // (shl:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SHL32ri_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 117182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL32ri_ND),
     /* 117185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 117187 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 117189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 117192 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 117195 */     GIR_RootConstrainSelectedInstOperands,
     /* 117196 */     // GIR_Coverage, 666,
     /* 117196 */     GIR_EraseRootFromParent_Done,
     /* 117197 */   // Label 2552: @117197
     /* 117197 */   GIM_Try, /*On fail goto*//*Label 2553*/ GIMT_Encode4(117276), // Rule ID 17667 //
     /* 117202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_NoEGPR),
     /* 117205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 117209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 117213 */     // (shl:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (SHLX32rr:{ *:[i32] } GR32:{ *:[i32] }:$src1, (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 117213 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 117216 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 117220 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117225 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 117227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 117230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 117234 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117239 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 117242 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 117246 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 117249 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 117254 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 117259 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 117264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLX32rr),
     /* 117267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 117269 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 117271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 117274 */     GIR_RootConstrainSelectedInstOperands,
     /* 117275 */     // GIR_Coverage, 17667,
     /* 117275 */     GIR_EraseRootFromParent_Done,
     /* 117276 */   // Label 2553: @117276
     /* 117276 */   GIM_Try, /*On fail goto*//*Label 2554*/ GIMT_Encode4(117355), // Rule ID 17699 //
     /* 117281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_HasEGPR),
     /* 117284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 117288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 117292 */     // (shl:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (SHLX32rr_EVEX:{ *:[i32] } GR32:{ *:[i32] }:$src1, (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 117292 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 117295 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 117299 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 117306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 117309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 117313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117318 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 117321 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 117325 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 117328 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 117333 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 117338 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 117343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLX32rr_EVEX),
     /* 117346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 117348 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 117350 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 117353 */     GIR_RootConstrainSelectedInstOperands,
     /* 117354 */     // GIR_Coverage, 17699,
     /* 117354 */     GIR_EraseRootFromParent_Done,
     /* 117355 */   // Label 2554: @117355
     /* 117355 */   GIM_Try, /*On fail goto*//*Label 2555*/ GIMT_Encode4(117397), // Rule ID 678 //
     /* 117360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 117363 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 117367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 117371 */     // (shl:{ *:[i32] } GR32:{ *:[i32] }:$src1, CL:{ *:[i8] })  =>  (SHL32rCL:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /* 117371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 117375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 117385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL32rCL),
     /* 117388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 117390 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 117392 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 117395 */     GIR_RootConstrainSelectedInstOperands,
     /* 117396 */     // GIR_Coverage, 678,
     /* 117396 */     GIR_EraseRootFromParent_Done,
     /* 117397 */   // Label 2555: @117397
     /* 117397 */   GIM_Try, /*On fail goto*//*Label 2556*/ GIMT_Encode4(117439), // Rule ID 682 //
     /* 117402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 117405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 117409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 117413 */     // (shl:{ *:[i32] } GR32:{ *:[i32] }:$src1, CL:{ *:[i8] })  =>  (SHL32rCL_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /* 117413 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 117417 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117423 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 117427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL32rCL_ND),
     /* 117430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 117432 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 117434 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 117437 */     GIR_RootConstrainSelectedInstOperands,
     /* 117438 */     // GIR_Coverage, 682,
     /* 117438 */     GIR_EraseRootFromParent_Done,
     /* 117439 */   // Label 2556: @117439
     /* 117439 */   GIM_Reject,
     /* 117440 */ // Label 2544: @117440
     /* 117440 */ GIM_Reject,
     /* 117441 */ // Label 2524: @117441
     /* 117441 */ GIM_Try, /*On fail goto*//*Label 2557*/ GIMT_Encode4(118193),
     /* 117446 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 117449 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 117452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 117456 */   GIM_Try, /*On fail goto*//*Label 2558*/ GIMT_Encode4(117523), // Rule ID 675 //
     /* 117461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 117464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 117468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 117472 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 117475 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 117479 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 117483 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 117487 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 117491 */     // MIs[2] Operand 1
     /* 117491 */     // No operand predicates
     /* 117491 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 117493 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 117500 */     // (shl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] }):$src2)  =>  (SHL64mi_ND:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 117500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL64mi_ND),
     /* 117503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 117505 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 117509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 117512 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 117515 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 117521 */     GIR_RootConstrainSelectedInstOperands,
     /* 117522 */     // GIR_Coverage, 675,
     /* 117522 */     GIR_EraseRootFromParent_Done,
     /* 117523 */   // Label 2558: @117523
     /* 117523 */   GIM_Try, /*On fail goto*//*Label 2559*/ GIMT_Encode4(117596), // Rule ID 691 //
     /* 117528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 117531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 117535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 117539 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 117542 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 117546 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 117550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 117554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 117556 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 117563 */     // (shl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, CL:{ *:[i8] })  =>  (SHL64mCL_ND:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 117563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 117567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 117577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL64mCL_ND),
     /* 117580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 117582 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 117586 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 117589 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 117594 */     GIR_RootConstrainSelectedInstOperands,
     /* 117595 */     // GIR_Coverage, 691,
     /* 117595 */     GIR_EraseRootFromParent_Done,
     /* 117596 */   // Label 2559: @117596
     /* 117596 */   GIM_Try, /*On fail goto*//*Label 2560*/ GIMT_Encode4(117706), // Rule ID 17672 //
     /* 117601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_NoEGPR),
     /* 117604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 117608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 117612 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 117615 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 117619 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 117623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 117627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 117629 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 117636 */     // (shl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR8:{ *:[i8] }:$src2)  =>  (SHLX64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src1, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 117636 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 117639 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 117643 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117648 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 117650 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 117653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 117657 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117662 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 117665 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 117669 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 117672 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 117677 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 117682 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 117687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLX64rm),
     /* 117690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 117692 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 117696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 117699 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 117704 */     GIR_RootConstrainSelectedInstOperands,
     /* 117705 */     // GIR_Coverage, 17672,
     /* 117705 */     GIR_EraseRootFromParent_Done,
     /* 117706 */   // Label 2560: @117706
     /* 117706 */   GIM_Try, /*On fail goto*//*Label 2561*/ GIMT_Encode4(117816), // Rule ID 17704 //
     /* 117711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_HasEGPR),
     /* 117714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 117718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 117722 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 117725 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 117729 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 117733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 117737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 117739 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 117746 */     // (shl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR8:{ *:[i8] }:$src2)  =>  (SHLX64rm_EVEX:{ *:[i64] } addr:{ *:[iPTR] }:$src1, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 117746 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 117749 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 117753 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117758 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 117760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 117763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 117767 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117772 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 117775 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 117779 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 117782 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 117787 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 117792 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 117797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLX64rm_EVEX),
     /* 117800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 117802 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 117806 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 117809 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 117814 */     GIR_RootConstrainSelectedInstOperands,
     /* 117815 */     // GIR_Coverage, 17704,
     /* 117815 */     GIR_EraseRootFromParent_Done,
     /* 117816 */   // Label 2561: @117816
     /* 117816 */   GIM_Try, /*On fail goto*//*Label 2562*/ GIMT_Encode4(117846), // Rule ID 22674 //
     /* 117821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 117824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 117828 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /* 117832 */     // (shl:{ *:[i64] } GR64:{ *:[i64] }:$src1, 1:{ *:[i8] })  =>  (ADD64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src1)
     /* 117832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD64rr),
     /* 117835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 117837 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 117839 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 117841 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 117844 */     GIR_RootConstrainSelectedInstOperands,
     /* 117845 */     // GIR_Coverage, 22674,
     /* 117845 */     GIR_EraseRootFromParent_Done,
     /* 117846 */   // Label 2562: @117846
     /* 117846 */   GIM_Try, /*On fail goto*//*Label 2563*/ GIMT_Encode4(117876), // Rule ID 22678 //
     /* 117851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 117854 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 117858 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /* 117862 */     // (shl:{ *:[i64] } GR64:{ *:[i64] }:$src1, 1:{ *:[i8] })  =>  (ADD64rr_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src1)
     /* 117862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD64rr_ND),
     /* 117865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 117867 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 117869 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 117871 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 117874 */     GIR_RootConstrainSelectedInstOperands,
     /* 117875 */     // GIR_Coverage, 22678,
     /* 117875 */     GIR_EraseRootFromParent_Done,
     /* 117876 */   // Label 2563: @117876
     /* 117876 */   GIM_Try, /*On fail goto*//*Label 2564*/ GIMT_Encode4(117913), // Rule ID 663 //
     /* 117881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 117884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 117888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 117892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 117896 */     // MIs[1] Operand 1
     /* 117896 */     // No operand predicates
     /* 117896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 117898 */     // (shl:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SHL64ri:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 117898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL64ri),
     /* 117901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 117903 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 117905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 117908 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 117911 */     GIR_RootConstrainSelectedInstOperands,
     /* 117912 */     // GIR_Coverage, 663,
     /* 117912 */     GIR_EraseRootFromParent_Done,
     /* 117913 */   // Label 2564: @117913
     /* 117913 */   GIM_Try, /*On fail goto*//*Label 2565*/ GIMT_Encode4(117950), // Rule ID 667 //
     /* 117918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 117921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 117925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 117929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 117933 */     // MIs[1] Operand 1
     /* 117933 */     // No operand predicates
     /* 117933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 117935 */     // (shl:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SHL64ri_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 117935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL64ri_ND),
     /* 117938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 117940 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 117942 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 117945 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 117948 */     GIR_RootConstrainSelectedInstOperands,
     /* 117949 */     // GIR_Coverage, 667,
     /* 117949 */     GIR_EraseRootFromParent_Done,
     /* 117950 */   // Label 2565: @117950
     /* 117950 */   GIM_Try, /*On fail goto*//*Label 2566*/ GIMT_Encode4(118029), // Rule ID 17668 //
     /* 117955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_NoEGPR),
     /* 117958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 117962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 117966 */     // (shl:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (SHLX64rr:{ *:[i64] } GR64:{ *:[i64] }:$src1, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 117966 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 117969 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 117973 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117978 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 117980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 117983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 117987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117992 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 117995 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 117999 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 118002 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 118007 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 118012 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 118017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLX64rr),
     /* 118020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 118022 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 118024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 118027 */     GIR_RootConstrainSelectedInstOperands,
     /* 118028 */     // GIR_Coverage, 17668,
     /* 118028 */     GIR_EraseRootFromParent_Done,
     /* 118029 */   // Label 2566: @118029
     /* 118029 */   GIM_Try, /*On fail goto*//*Label 2567*/ GIMT_Encode4(118108), // Rule ID 17700 //
     /* 118034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_HasEGPR),
     /* 118037 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 118041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 118045 */     // (shl:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (SHLX64rr_EVEX:{ *:[i64] } GR64:{ *:[i64] }:$src1, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 118045 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 118048 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 118052 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118057 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 118059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 118062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 118066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118071 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 118074 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 118078 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 118081 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 118086 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 118091 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 118096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLX64rr_EVEX),
     /* 118099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 118101 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 118103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 118106 */     GIR_RootConstrainSelectedInstOperands,
     /* 118107 */     // GIR_Coverage, 17700,
     /* 118107 */     GIR_EraseRootFromParent_Done,
     /* 118108 */   // Label 2567: @118108
     /* 118108 */   GIM_Try, /*On fail goto*//*Label 2568*/ GIMT_Encode4(118150), // Rule ID 679 //
     /* 118113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 118116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 118120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 118124 */     // (shl:{ *:[i64] } GR64:{ *:[i64] }:$src1, CL:{ *:[i8] })  =>  (SHL64rCL:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /* 118124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 118128 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118134 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 118138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL64rCL),
     /* 118141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 118143 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 118145 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 118148 */     GIR_RootConstrainSelectedInstOperands,
     /* 118149 */     // GIR_Coverage, 679,
     /* 118149 */     GIR_EraseRootFromParent_Done,
     /* 118150 */   // Label 2568: @118150
     /* 118150 */   GIM_Try, /*On fail goto*//*Label 2569*/ GIMT_Encode4(118192), // Rule ID 683 //
     /* 118155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 118158 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 118162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 118166 */     // (shl:{ *:[i64] } GR64:{ *:[i64] }:$src1, CL:{ *:[i8] })  =>  (SHL64rCL_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /* 118166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 118170 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118176 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 118180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL64rCL_ND),
     /* 118183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 118185 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 118187 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 118190 */     GIR_RootConstrainSelectedInstOperands,
     /* 118191 */     // GIR_Coverage, 683,
     /* 118191 */     GIR_EraseRootFromParent_Done,
     /* 118192 */   // Label 2569: @118192
     /* 118192 */   GIM_Reject,
     /* 118193 */ // Label 2557: @118193
     /* 118193 */ GIM_Reject,
     /* 118194 */ // Label 2525: @118194
     /* 118194 */ GIM_Reject,
     /* 118195 */ // Label 27: @118195
     /* 118195 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(5), /*)*//*default:*//*Label 2574*/ GIMT_Encode4(120238),
     /* 118206 */ /*GILLT_s8*//*Label 2570*/ GIMT_Encode4(118222),
     /* 118210 */ /*GILLT_s16*//*Label 2571*/ GIMT_Encode4(118537),
     /* 118214 */ /*GILLT_s32*//*Label 2572*/ GIMT_Encode4(118852),
     /* 118218 */ /*GILLT_s64*//*Label 2573*/ GIMT_Encode4(119545),
     /* 118222 */ // Label 2570: @118222
     /* 118222 */ GIM_Try, /*On fail goto*//*Label 2575*/ GIMT_Encode4(118536),
     /* 118227 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 118230 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 118233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 118237 */   GIM_Try, /*On fail goto*//*Label 2576*/ GIMT_Encode4(118304), // Rule ID 704 //
     /* 118242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 118245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 118249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 118253 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 118256 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 118260 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /* 118264 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 118268 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 118272 */     // MIs[2] Operand 1
     /* 118272 */     // No operand predicates
     /* 118272 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 118274 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 118281 */     // (srl:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, (imm:{ *:[i8] }):$src2)  =>  (SHR8mi_ND:{ *:[i8] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 118281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR8mi_ND),
     /* 118284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 118286 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 118290 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 118293 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 118296 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 118302 */     GIR_RootConstrainSelectedInstOperands,
     /* 118303 */     // GIR_Coverage, 704,
     /* 118303 */     GIR_EraseRootFromParent_Done,
     /* 118304 */   // Label 2576: @118304
     /* 118304 */   GIM_Try, /*On fail goto*//*Label 2577*/ GIMT_Encode4(118377), // Rule ID 720 //
     /* 118309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 118312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 118316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 118320 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 118323 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 118327 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /* 118331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 118335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 118337 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 118344 */     // (srl:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, CL:{ *:[i8] })  =>  (SHR8mCL_ND:{ *:[i8] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 118344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 118348 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118354 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 118358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR8mCL_ND),
     /* 118361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 118363 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 118367 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 118370 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 118375 */     GIR_RootConstrainSelectedInstOperands,
     /* 118376 */     // GIR_Coverage, 720,
     /* 118376 */     GIR_EraseRootFromParent_Done,
     /* 118377 */   // Label 2577: @118377
     /* 118377 */   GIM_Try, /*On fail goto*//*Label 2578*/ GIMT_Encode4(118414), // Rule ID 692 //
     /* 118382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 118385 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 118389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 118393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 118397 */     // MIs[1] Operand 1
     /* 118397 */     // No operand predicates
     /* 118397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 118399 */     // (srl:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SHR8ri:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 118399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR8ri),
     /* 118402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 118404 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 118406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 118409 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 118412 */     GIR_RootConstrainSelectedInstOperands,
     /* 118413 */     // GIR_Coverage, 692,
     /* 118413 */     GIR_EraseRootFromParent_Done,
     /* 118414 */   // Label 2578: @118414
     /* 118414 */   GIM_Try, /*On fail goto*//*Label 2579*/ GIMT_Encode4(118451), // Rule ID 696 //
     /* 118419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 118422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 118426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 118430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 118434 */     // MIs[1] Operand 1
     /* 118434 */     // No operand predicates
     /* 118434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 118436 */     // (srl:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SHR8ri_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 118436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR8ri_ND),
     /* 118439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 118441 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 118443 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 118446 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 118449 */     GIR_RootConstrainSelectedInstOperands,
     /* 118450 */     // GIR_Coverage, 696,
     /* 118450 */     GIR_EraseRootFromParent_Done,
     /* 118451 */   // Label 2579: @118451
     /* 118451 */   GIM_Try, /*On fail goto*//*Label 2580*/ GIMT_Encode4(118493), // Rule ID 708 //
     /* 118456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 118459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 118463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 118467 */     // (srl:{ *:[i8] } GR8:{ *:[i8] }:$src1, CL:{ *:[i8] })  =>  (SHR8rCL:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1)
     /* 118467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 118471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 118481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR8rCL),
     /* 118484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 118486 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 118488 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 118491 */     GIR_RootConstrainSelectedInstOperands,
     /* 118492 */     // GIR_Coverage, 708,
     /* 118492 */     GIR_EraseRootFromParent_Done,
     /* 118493 */   // Label 2580: @118493
     /* 118493 */   GIM_Try, /*On fail goto*//*Label 2581*/ GIMT_Encode4(118535), // Rule ID 712 //
     /* 118498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 118501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 118505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 118509 */     // (srl:{ *:[i8] } GR8:{ *:[i8] }:$src1, CL:{ *:[i8] })  =>  (SHR8rCL_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1)
     /* 118509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 118513 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118519 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 118523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR8rCL_ND),
     /* 118526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 118528 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 118530 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 118533 */     GIR_RootConstrainSelectedInstOperands,
     /* 118534 */     // GIR_Coverage, 712,
     /* 118534 */     GIR_EraseRootFromParent_Done,
     /* 118535 */   // Label 2581: @118535
     /* 118535 */   GIM_Reject,
     /* 118536 */ // Label 2575: @118536
     /* 118536 */ GIM_Reject,
     /* 118537 */ // Label 2571: @118537
     /* 118537 */ GIM_Try, /*On fail goto*//*Label 2582*/ GIMT_Encode4(118851),
     /* 118542 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 118545 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 118548 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 118552 */   GIM_Try, /*On fail goto*//*Label 2583*/ GIMT_Encode4(118619), // Rule ID 705 //
     /* 118557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 118560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 118564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 118568 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 118571 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 118575 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 118579 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 118583 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 118587 */     // MIs[2] Operand 1
     /* 118587 */     // No operand predicates
     /* 118587 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 118589 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 118596 */     // (srl:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, (imm:{ *:[i8] }):$src2)  =>  (SHR16mi_ND:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 118596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR16mi_ND),
     /* 118599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 118601 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 118605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 118608 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 118611 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 118617 */     GIR_RootConstrainSelectedInstOperands,
     /* 118618 */     // GIR_Coverage, 705,
     /* 118618 */     GIR_EraseRootFromParent_Done,
     /* 118619 */   // Label 2583: @118619
     /* 118619 */   GIM_Try, /*On fail goto*//*Label 2584*/ GIMT_Encode4(118692), // Rule ID 721 //
     /* 118624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 118627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 118631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 118635 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 118638 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 118642 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 118646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 118650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 118652 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 118659 */     // (srl:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, CL:{ *:[i8] })  =>  (SHR16mCL_ND:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 118659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 118663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 118673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR16mCL_ND),
     /* 118676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 118678 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 118682 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 118685 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 118690 */     GIR_RootConstrainSelectedInstOperands,
     /* 118691 */     // GIR_Coverage, 721,
     /* 118691 */     GIR_EraseRootFromParent_Done,
     /* 118692 */   // Label 2584: @118692
     /* 118692 */   GIM_Try, /*On fail goto*//*Label 2585*/ GIMT_Encode4(118729), // Rule ID 693 //
     /* 118697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 118700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 118704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 118708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 118712 */     // MIs[1] Operand 1
     /* 118712 */     // No operand predicates
     /* 118712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 118714 */     // (srl:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SHR16ri:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 118714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR16ri),
     /* 118717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 118719 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 118721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 118724 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 118727 */     GIR_RootConstrainSelectedInstOperands,
     /* 118728 */     // GIR_Coverage, 693,
     /* 118728 */     GIR_EraseRootFromParent_Done,
     /* 118729 */   // Label 2585: @118729
     /* 118729 */   GIM_Try, /*On fail goto*//*Label 2586*/ GIMT_Encode4(118766), // Rule ID 697 //
     /* 118734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 118737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 118741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 118745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 118749 */     // MIs[1] Operand 1
     /* 118749 */     // No operand predicates
     /* 118749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 118751 */     // (srl:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SHR16ri_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 118751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR16ri_ND),
     /* 118754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 118756 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 118758 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 118761 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 118764 */     GIR_RootConstrainSelectedInstOperands,
     /* 118765 */     // GIR_Coverage, 697,
     /* 118765 */     GIR_EraseRootFromParent_Done,
     /* 118766 */   // Label 2586: @118766
     /* 118766 */   GIM_Try, /*On fail goto*//*Label 2587*/ GIMT_Encode4(118808), // Rule ID 709 //
     /* 118771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 118774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 118778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 118782 */     // (srl:{ *:[i16] } GR16:{ *:[i16] }:$src1, CL:{ *:[i8] })  =>  (SHR16rCL:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /* 118782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 118786 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118792 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 118796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR16rCL),
     /* 118799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 118801 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 118803 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 118806 */     GIR_RootConstrainSelectedInstOperands,
     /* 118807 */     // GIR_Coverage, 709,
     /* 118807 */     GIR_EraseRootFromParent_Done,
     /* 118808 */   // Label 2587: @118808
     /* 118808 */   GIM_Try, /*On fail goto*//*Label 2588*/ GIMT_Encode4(118850), // Rule ID 713 //
     /* 118813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 118816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 118820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 118824 */     // (srl:{ *:[i16] } GR16:{ *:[i16] }:$src1, CL:{ *:[i8] })  =>  (SHR16rCL_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /* 118824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 118828 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118834 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 118838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR16rCL_ND),
     /* 118841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 118843 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 118845 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 118848 */     GIR_RootConstrainSelectedInstOperands,
     /* 118849 */     // GIR_Coverage, 713,
     /* 118849 */     GIR_EraseRootFromParent_Done,
     /* 118850 */   // Label 2588: @118850
     /* 118850 */   GIM_Reject,
     /* 118851 */ // Label 2582: @118851
     /* 118851 */ GIM_Reject,
     /* 118852 */ // Label 2572: @118852
     /* 118852 */ GIM_Try, /*On fail goto*//*Label 2589*/ GIMT_Encode4(119544),
     /* 118857 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 118860 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 118863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 118867 */   GIM_Try, /*On fail goto*//*Label 2590*/ GIMT_Encode4(118934), // Rule ID 706 //
     /* 118872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 118875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 118879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 118883 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 118886 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 118890 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 118894 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 118898 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 118902 */     // MIs[2] Operand 1
     /* 118902 */     // No operand predicates
     /* 118902 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 118904 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 118911 */     // (srl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (imm:{ *:[i8] }):$src2)  =>  (SHR32mi_ND:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 118911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR32mi_ND),
     /* 118914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 118916 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 118920 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 118923 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 118926 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 118932 */     GIR_RootConstrainSelectedInstOperands,
     /* 118933 */     // GIR_Coverage, 706,
     /* 118933 */     GIR_EraseRootFromParent_Done,
     /* 118934 */   // Label 2590: @118934
     /* 118934 */   GIM_Try, /*On fail goto*//*Label 2591*/ GIMT_Encode4(119007), // Rule ID 722 //
     /* 118939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 118942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 118946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 118950 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 118953 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 118957 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 118961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 118965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 118967 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 118974 */     // (srl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, CL:{ *:[i8] })  =>  (SHR32mCL_ND:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 118974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 118978 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118984 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 118988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR32mCL_ND),
     /* 118991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 118993 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 118997 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 119000 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 119005 */     GIR_RootConstrainSelectedInstOperands,
     /* 119006 */     // GIR_Coverage, 722,
     /* 119006 */     GIR_EraseRootFromParent_Done,
     /* 119007 */   // Label 2591: @119007
     /* 119007 */   GIM_Try, /*On fail goto*//*Label 2592*/ GIMT_Encode4(119117), // Rule ID 17663 //
     /* 119012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_NoEGPR),
     /* 119015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 119019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 119023 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119026 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 119030 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 119034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 119038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 119040 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 119047 */     // (srl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR8:{ *:[i8] }:$src2)  =>  (SHRX32rm:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 119047 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 119050 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 119054 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119059 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 119061 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 119064 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 119068 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119073 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 119076 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 119080 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 119083 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 119088 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 119093 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 119098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRX32rm),
     /* 119101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 119103 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 119107 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 119110 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 119115 */     GIR_RootConstrainSelectedInstOperands,
     /* 119116 */     // GIR_Coverage, 17663,
     /* 119116 */     GIR_EraseRootFromParent_Done,
     /* 119117 */   // Label 2592: @119117
     /* 119117 */   GIM_Try, /*On fail goto*//*Label 2593*/ GIMT_Encode4(119227), // Rule ID 17695 //
     /* 119122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_HasEGPR),
     /* 119125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 119129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 119133 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119136 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 119140 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 119144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 119148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 119150 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 119157 */     // (srl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR8:{ *:[i8] }:$src2)  =>  (SHRX32rm_EVEX:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 119157 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 119160 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 119164 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 119171 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 119174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 119178 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119183 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 119186 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 119190 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 119193 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 119198 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 119203 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 119208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRX32rm_EVEX),
     /* 119211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 119213 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 119217 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 119220 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 119225 */     GIR_RootConstrainSelectedInstOperands,
     /* 119226 */     // GIR_Coverage, 17695,
     /* 119226 */     GIR_EraseRootFromParent_Done,
     /* 119227 */   // Label 2593: @119227
     /* 119227 */   GIM_Try, /*On fail goto*//*Label 2594*/ GIMT_Encode4(119264), // Rule ID 694 //
     /* 119232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 119235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 119239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 119243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 119247 */     // MIs[1] Operand 1
     /* 119247 */     // No operand predicates
     /* 119247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 119249 */     // (srl:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SHR32ri:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 119249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR32ri),
     /* 119252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 119254 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 119256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 119259 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 119262 */     GIR_RootConstrainSelectedInstOperands,
     /* 119263 */     // GIR_Coverage, 694,
     /* 119263 */     GIR_EraseRootFromParent_Done,
     /* 119264 */   // Label 2594: @119264
     /* 119264 */   GIM_Try, /*On fail goto*//*Label 2595*/ GIMT_Encode4(119301), // Rule ID 698 //
     /* 119269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 119272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 119276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 119280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 119284 */     // MIs[1] Operand 1
     /* 119284 */     // No operand predicates
     /* 119284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 119286 */     // (srl:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SHR32ri_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 119286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR32ri_ND),
     /* 119289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 119291 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 119293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 119296 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 119299 */     GIR_RootConstrainSelectedInstOperands,
     /* 119300 */     // GIR_Coverage, 698,
     /* 119300 */     GIR_EraseRootFromParent_Done,
     /* 119301 */   // Label 2595: @119301
     /* 119301 */   GIM_Try, /*On fail goto*//*Label 2596*/ GIMT_Encode4(119380), // Rule ID 17659 //
     /* 119306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_NoEGPR),
     /* 119309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 119313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 119317 */     // (srl:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (SHRX32rr:{ *:[i32] } GR32:{ *:[i32] }:$src1, (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 119317 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 119320 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 119324 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 119331 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 119334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 119338 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119343 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 119346 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 119350 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 119353 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 119358 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 119363 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 119368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRX32rr),
     /* 119371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 119373 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 119375 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 119378 */     GIR_RootConstrainSelectedInstOperands,
     /* 119379 */     // GIR_Coverage, 17659,
     /* 119379 */     GIR_EraseRootFromParent_Done,
     /* 119380 */   // Label 2596: @119380
     /* 119380 */   GIM_Try, /*On fail goto*//*Label 2597*/ GIMT_Encode4(119459), // Rule ID 17691 //
     /* 119385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_HasEGPR),
     /* 119388 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 119392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 119396 */     // (srl:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (SHRX32rr_EVEX:{ *:[i32] } GR32:{ *:[i32] }:$src1, (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 119396 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 119399 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 119403 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119408 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 119410 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 119413 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 119417 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119422 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 119425 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 119429 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 119432 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 119437 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 119442 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 119447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRX32rr_EVEX),
     /* 119450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 119452 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 119454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 119457 */     GIR_RootConstrainSelectedInstOperands,
     /* 119458 */     // GIR_Coverage, 17691,
     /* 119458 */     GIR_EraseRootFromParent_Done,
     /* 119459 */   // Label 2597: @119459
     /* 119459 */   GIM_Try, /*On fail goto*//*Label 2598*/ GIMT_Encode4(119501), // Rule ID 710 //
     /* 119464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 119467 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 119471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 119475 */     // (srl:{ *:[i32] } GR32:{ *:[i32] }:$src1, CL:{ *:[i8] })  =>  (SHR32rCL:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /* 119475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 119479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 119489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR32rCL),
     /* 119492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 119494 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 119496 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 119499 */     GIR_RootConstrainSelectedInstOperands,
     /* 119500 */     // GIR_Coverage, 710,
     /* 119500 */     GIR_EraseRootFromParent_Done,
     /* 119501 */   // Label 2598: @119501
     /* 119501 */   GIM_Try, /*On fail goto*//*Label 2599*/ GIMT_Encode4(119543), // Rule ID 714 //
     /* 119506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 119509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 119513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 119517 */     // (srl:{ *:[i32] } GR32:{ *:[i32] }:$src1, CL:{ *:[i8] })  =>  (SHR32rCL_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /* 119517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 119521 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119527 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 119531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR32rCL_ND),
     /* 119534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 119536 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 119538 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 119541 */     GIR_RootConstrainSelectedInstOperands,
     /* 119542 */     // GIR_Coverage, 714,
     /* 119542 */     GIR_EraseRootFromParent_Done,
     /* 119543 */   // Label 2599: @119543
     /* 119543 */   GIM_Reject,
     /* 119544 */ // Label 2589: @119544
     /* 119544 */ GIM_Reject,
     /* 119545 */ // Label 2573: @119545
     /* 119545 */ GIM_Try, /*On fail goto*//*Label 2600*/ GIMT_Encode4(120237),
     /* 119550 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 119553 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 119556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 119560 */   GIM_Try, /*On fail goto*//*Label 2601*/ GIMT_Encode4(119627), // Rule ID 707 //
     /* 119565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 119568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 119572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 119576 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119579 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 119583 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 119587 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 119591 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 119595 */     // MIs[2] Operand 1
     /* 119595 */     // No operand predicates
     /* 119595 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 119597 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 119604 */     // (srl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] }):$src2)  =>  (SHR64mi_ND:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 119604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR64mi_ND),
     /* 119607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 119609 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 119613 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 119616 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 119619 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 119625 */     GIR_RootConstrainSelectedInstOperands,
     /* 119626 */     // GIR_Coverage, 707,
     /* 119626 */     GIR_EraseRootFromParent_Done,
     /* 119627 */   // Label 2601: @119627
     /* 119627 */   GIM_Try, /*On fail goto*//*Label 2602*/ GIMT_Encode4(119700), // Rule ID 723 //
     /* 119632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 119635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 119639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 119643 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119646 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 119650 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 119654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 119658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 119660 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 119667 */     // (srl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, CL:{ *:[i8] })  =>  (SHR64mCL_ND:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 119667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 119671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 119681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR64mCL_ND),
     /* 119684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 119686 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 119690 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 119693 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 119698 */     GIR_RootConstrainSelectedInstOperands,
     /* 119699 */     // GIR_Coverage, 723,
     /* 119699 */     GIR_EraseRootFromParent_Done,
     /* 119700 */   // Label 2602: @119700
     /* 119700 */   GIM_Try, /*On fail goto*//*Label 2603*/ GIMT_Encode4(119810), // Rule ID 17664 //
     /* 119705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_NoEGPR),
     /* 119708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 119712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 119716 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119719 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 119723 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 119727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 119731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 119733 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 119740 */     // (srl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR8:{ *:[i8] }:$src2)  =>  (SHRX64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src1, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 119740 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 119743 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 119747 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 119754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 119757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 119761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119766 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 119769 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 119773 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 119776 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 119781 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 119786 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 119791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRX64rm),
     /* 119794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 119796 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 119800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 119803 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 119808 */     GIR_RootConstrainSelectedInstOperands,
     /* 119809 */     // GIR_Coverage, 17664,
     /* 119809 */     GIR_EraseRootFromParent_Done,
     /* 119810 */   // Label 2603: @119810
     /* 119810 */   GIM_Try, /*On fail goto*//*Label 2604*/ GIMT_Encode4(119920), // Rule ID 17696 //
     /* 119815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_HasEGPR),
     /* 119818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 119822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 119826 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119829 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 119833 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 119837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 119841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 119843 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 119850 */     // (srl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR8:{ *:[i8] }:$src2)  =>  (SHRX64rm_EVEX:{ *:[i64] } addr:{ *:[iPTR] }:$src1, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 119850 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 119853 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 119857 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 119864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 119867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 119871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119876 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 119879 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 119883 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 119886 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 119891 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 119896 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 119901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRX64rm_EVEX),
     /* 119904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 119906 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 119910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 119913 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 119918 */     GIR_RootConstrainSelectedInstOperands,
     /* 119919 */     // GIR_Coverage, 17696,
     /* 119919 */     GIR_EraseRootFromParent_Done,
     /* 119920 */   // Label 2604: @119920
     /* 119920 */   GIM_Try, /*On fail goto*//*Label 2605*/ GIMT_Encode4(119957), // Rule ID 695 //
     /* 119925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 119928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 119932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 119936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 119940 */     // MIs[1] Operand 1
     /* 119940 */     // No operand predicates
     /* 119940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 119942 */     // (srl:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SHR64ri:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 119942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR64ri),
     /* 119945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 119947 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 119949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 119952 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 119955 */     GIR_RootConstrainSelectedInstOperands,
     /* 119956 */     // GIR_Coverage, 695,
     /* 119956 */     GIR_EraseRootFromParent_Done,
     /* 119957 */   // Label 2605: @119957
     /* 119957 */   GIM_Try, /*On fail goto*//*Label 2606*/ GIMT_Encode4(119994), // Rule ID 699 //
     /* 119962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 119965 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 119969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 119973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 119977 */     // MIs[1] Operand 1
     /* 119977 */     // No operand predicates
     /* 119977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 119979 */     // (srl:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SHR64ri_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 119979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR64ri_ND),
     /* 119982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 119984 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 119986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 119989 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 119992 */     GIR_RootConstrainSelectedInstOperands,
     /* 119993 */     // GIR_Coverage, 699,
     /* 119993 */     GIR_EraseRootFromParent_Done,
     /* 119994 */   // Label 2606: @119994
     /* 119994 */   GIM_Try, /*On fail goto*//*Label 2607*/ GIMT_Encode4(120073), // Rule ID 17660 //
     /* 119999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_NoEGPR),
     /* 120002 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 120006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 120010 */     // (srl:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (SHRX64rr:{ *:[i64] } GR64:{ *:[i64] }:$src1, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 120010 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 120013 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 120017 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120022 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 120024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 120027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 120031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120036 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 120039 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 120043 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 120046 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 120051 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 120056 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 120061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRX64rr),
     /* 120064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 120066 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 120068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 120071 */     GIR_RootConstrainSelectedInstOperands,
     /* 120072 */     // GIR_Coverage, 17660,
     /* 120072 */     GIR_EraseRootFromParent_Done,
     /* 120073 */   // Label 2607: @120073
     /* 120073 */   GIM_Try, /*On fail goto*//*Label 2608*/ GIMT_Encode4(120152), // Rule ID 17692 //
     /* 120078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_HasEGPR),
     /* 120081 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 120085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 120089 */     // (srl:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (SHRX64rr_EVEX:{ *:[i64] } GR64:{ *:[i64] }:$src1, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 120089 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 120092 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 120096 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120101 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 120103 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 120106 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 120110 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120115 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 120118 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 120122 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 120125 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 120130 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 120135 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 120140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRX64rr_EVEX),
     /* 120143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 120145 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 120147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 120150 */     GIR_RootConstrainSelectedInstOperands,
     /* 120151 */     // GIR_Coverage, 17692,
     /* 120151 */     GIR_EraseRootFromParent_Done,
     /* 120152 */   // Label 2608: @120152
     /* 120152 */   GIM_Try, /*On fail goto*//*Label 2609*/ GIMT_Encode4(120194), // Rule ID 711 //
     /* 120157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 120160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 120164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 120168 */     // (srl:{ *:[i64] } GR64:{ *:[i64] }:$src1, CL:{ *:[i8] })  =>  (SHR64rCL:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /* 120168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 120172 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120178 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 120182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR64rCL),
     /* 120185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 120187 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 120189 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 120192 */     GIR_RootConstrainSelectedInstOperands,
     /* 120193 */     // GIR_Coverage, 711,
     /* 120193 */     GIR_EraseRootFromParent_Done,
     /* 120194 */   // Label 2609: @120194
     /* 120194 */   GIM_Try, /*On fail goto*//*Label 2610*/ GIMT_Encode4(120236), // Rule ID 715 //
     /* 120199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 120202 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 120206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 120210 */     // (srl:{ *:[i64] } GR64:{ *:[i64] }:$src1, CL:{ *:[i8] })  =>  (SHR64rCL_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /* 120210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 120214 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120220 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 120224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR64rCL_ND),
     /* 120227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 120229 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 120231 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 120234 */     GIR_RootConstrainSelectedInstOperands,
     /* 120235 */     // GIR_Coverage, 715,
     /* 120235 */     GIR_EraseRootFromParent_Done,
     /* 120236 */   // Label 2610: @120236
     /* 120236 */   GIM_Reject,
     /* 120237 */ // Label 2600: @120237
     /* 120237 */ GIM_Reject,
     /* 120238 */ // Label 2574: @120238
     /* 120238 */ GIM_Reject,
     /* 120239 */ // Label 28: @120239
     /* 120239 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(5), /*)*//*default:*//*Label 2615*/ GIMT_Encode4(122282),
     /* 120250 */ /*GILLT_s8*//*Label 2611*/ GIMT_Encode4(120266),
     /* 120254 */ /*GILLT_s16*//*Label 2612*/ GIMT_Encode4(120581),
     /* 120258 */ /*GILLT_s32*//*Label 2613*/ GIMT_Encode4(120896),
     /* 120262 */ /*GILLT_s64*//*Label 2614*/ GIMT_Encode4(121589),
     /* 120266 */ // Label 2611: @120266
     /* 120266 */ GIM_Try, /*On fail goto*//*Label 2616*/ GIMT_Encode4(120580),
     /* 120271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 120274 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 120277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 120281 */   GIM_Try, /*On fail goto*//*Label 2617*/ GIMT_Encode4(120348), // Rule ID 736 //
     /* 120286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 120289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 120293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 120297 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120300 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 120304 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /* 120308 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 120312 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 120316 */     // MIs[2] Operand 1
     /* 120316 */     // No operand predicates
     /* 120316 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 120318 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 120325 */     // (sra:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, (imm:{ *:[i8] }):$src2)  =>  (SAR8mi_ND:{ *:[i8] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 120325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR8mi_ND),
     /* 120328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 120330 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 120334 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 120337 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 120340 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 120346 */     GIR_RootConstrainSelectedInstOperands,
     /* 120347 */     // GIR_Coverage, 736,
     /* 120347 */     GIR_EraseRootFromParent_Done,
     /* 120348 */   // Label 2617: @120348
     /* 120348 */   GIM_Try, /*On fail goto*//*Label 2618*/ GIMT_Encode4(120421), // Rule ID 752 //
     /* 120353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 120356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 120360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 120364 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120367 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 120371 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /* 120375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 120379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 120381 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 120388 */     // (sra:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, CL:{ *:[i8] })  =>  (SAR8mCL_ND:{ *:[i8] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 120388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 120392 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120398 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 120402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR8mCL_ND),
     /* 120405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 120407 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 120411 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 120414 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 120419 */     GIR_RootConstrainSelectedInstOperands,
     /* 120420 */     // GIR_Coverage, 752,
     /* 120420 */     GIR_EraseRootFromParent_Done,
     /* 120421 */   // Label 2618: @120421
     /* 120421 */   GIM_Try, /*On fail goto*//*Label 2619*/ GIMT_Encode4(120458), // Rule ID 724 //
     /* 120426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 120429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 120433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 120437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 120441 */     // MIs[1] Operand 1
     /* 120441 */     // No operand predicates
     /* 120441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 120443 */     // (sra:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SAR8ri:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 120443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR8ri),
     /* 120446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 120448 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 120450 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 120453 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 120456 */     GIR_RootConstrainSelectedInstOperands,
     /* 120457 */     // GIR_Coverage, 724,
     /* 120457 */     GIR_EraseRootFromParent_Done,
     /* 120458 */   // Label 2619: @120458
     /* 120458 */   GIM_Try, /*On fail goto*//*Label 2620*/ GIMT_Encode4(120495), // Rule ID 728 //
     /* 120463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 120466 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 120470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 120474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 120478 */     // MIs[1] Operand 1
     /* 120478 */     // No operand predicates
     /* 120478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 120480 */     // (sra:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SAR8ri_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 120480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR8ri_ND),
     /* 120483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 120485 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 120487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 120490 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 120493 */     GIR_RootConstrainSelectedInstOperands,
     /* 120494 */     // GIR_Coverage, 728,
     /* 120494 */     GIR_EraseRootFromParent_Done,
     /* 120495 */   // Label 2620: @120495
     /* 120495 */   GIM_Try, /*On fail goto*//*Label 2621*/ GIMT_Encode4(120537), // Rule ID 740 //
     /* 120500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 120503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 120507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 120511 */     // (sra:{ *:[i8] } GR8:{ *:[i8] }:$src1, CL:{ *:[i8] })  =>  (SAR8rCL:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1)
     /* 120511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 120515 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120521 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 120525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR8rCL),
     /* 120528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 120530 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 120532 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 120535 */     GIR_RootConstrainSelectedInstOperands,
     /* 120536 */     // GIR_Coverage, 740,
     /* 120536 */     GIR_EraseRootFromParent_Done,
     /* 120537 */   // Label 2621: @120537
     /* 120537 */   GIM_Try, /*On fail goto*//*Label 2622*/ GIMT_Encode4(120579), // Rule ID 744 //
     /* 120542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 120545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 120549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 120553 */     // (sra:{ *:[i8] } GR8:{ *:[i8] }:$src1, CL:{ *:[i8] })  =>  (SAR8rCL_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1)
     /* 120553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 120557 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120563 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 120567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR8rCL_ND),
     /* 120570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 120572 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 120574 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 120577 */     GIR_RootConstrainSelectedInstOperands,
     /* 120578 */     // GIR_Coverage, 744,
     /* 120578 */     GIR_EraseRootFromParent_Done,
     /* 120579 */   // Label 2622: @120579
     /* 120579 */   GIM_Reject,
     /* 120580 */ // Label 2616: @120580
     /* 120580 */ GIM_Reject,
     /* 120581 */ // Label 2612: @120581
     /* 120581 */ GIM_Try, /*On fail goto*//*Label 2623*/ GIMT_Encode4(120895),
     /* 120586 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 120589 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 120592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 120596 */   GIM_Try, /*On fail goto*//*Label 2624*/ GIMT_Encode4(120663), // Rule ID 737 //
     /* 120601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 120604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 120608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 120612 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120615 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 120619 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 120623 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 120627 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 120631 */     // MIs[2] Operand 1
     /* 120631 */     // No operand predicates
     /* 120631 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 120633 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 120640 */     // (sra:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, (imm:{ *:[i8] }):$src2)  =>  (SAR16mi_ND:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 120640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR16mi_ND),
     /* 120643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 120645 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 120649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 120652 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 120655 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 120661 */     GIR_RootConstrainSelectedInstOperands,
     /* 120662 */     // GIR_Coverage, 737,
     /* 120662 */     GIR_EraseRootFromParent_Done,
     /* 120663 */   // Label 2624: @120663
     /* 120663 */   GIM_Try, /*On fail goto*//*Label 2625*/ GIMT_Encode4(120736), // Rule ID 753 //
     /* 120668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 120671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 120675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 120679 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120682 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 120686 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 120690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 120694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 120696 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 120703 */     // (sra:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, CL:{ *:[i8] })  =>  (SAR16mCL_ND:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 120703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 120707 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120713 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 120717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR16mCL_ND),
     /* 120720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 120722 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 120726 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 120729 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 120734 */     GIR_RootConstrainSelectedInstOperands,
     /* 120735 */     // GIR_Coverage, 753,
     /* 120735 */     GIR_EraseRootFromParent_Done,
     /* 120736 */   // Label 2625: @120736
     /* 120736 */   GIM_Try, /*On fail goto*//*Label 2626*/ GIMT_Encode4(120773), // Rule ID 725 //
     /* 120741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 120744 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 120748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 120752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 120756 */     // MIs[1] Operand 1
     /* 120756 */     // No operand predicates
     /* 120756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 120758 */     // (sra:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SAR16ri:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 120758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR16ri),
     /* 120761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 120763 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 120765 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 120768 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 120771 */     GIR_RootConstrainSelectedInstOperands,
     /* 120772 */     // GIR_Coverage, 725,
     /* 120772 */     GIR_EraseRootFromParent_Done,
     /* 120773 */   // Label 2626: @120773
     /* 120773 */   GIM_Try, /*On fail goto*//*Label 2627*/ GIMT_Encode4(120810), // Rule ID 729 //
     /* 120778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 120781 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 120785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 120789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 120793 */     // MIs[1] Operand 1
     /* 120793 */     // No operand predicates
     /* 120793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 120795 */     // (sra:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SAR16ri_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 120795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR16ri_ND),
     /* 120798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 120800 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 120802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 120805 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 120808 */     GIR_RootConstrainSelectedInstOperands,
     /* 120809 */     // GIR_Coverage, 729,
     /* 120809 */     GIR_EraseRootFromParent_Done,
     /* 120810 */   // Label 2627: @120810
     /* 120810 */   GIM_Try, /*On fail goto*//*Label 2628*/ GIMT_Encode4(120852), // Rule ID 741 //
     /* 120815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 120818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 120822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 120826 */     // (sra:{ *:[i16] } GR16:{ *:[i16] }:$src1, CL:{ *:[i8] })  =>  (SAR16rCL:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /* 120826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 120830 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120836 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 120840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR16rCL),
     /* 120843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 120845 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 120847 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 120850 */     GIR_RootConstrainSelectedInstOperands,
     /* 120851 */     // GIR_Coverage, 741,
     /* 120851 */     GIR_EraseRootFromParent_Done,
     /* 120852 */   // Label 2628: @120852
     /* 120852 */   GIM_Try, /*On fail goto*//*Label 2629*/ GIMT_Encode4(120894), // Rule ID 745 //
     /* 120857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 120860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 120864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 120868 */     // (sra:{ *:[i16] } GR16:{ *:[i16] }:$src1, CL:{ *:[i8] })  =>  (SAR16rCL_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /* 120868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 120872 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120878 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 120882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR16rCL_ND),
     /* 120885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 120887 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 120889 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 120892 */     GIR_RootConstrainSelectedInstOperands,
     /* 120893 */     // GIR_Coverage, 745,
     /* 120893 */     GIR_EraseRootFromParent_Done,
     /* 120894 */   // Label 2629: @120894
     /* 120894 */   GIM_Reject,
     /* 120895 */ // Label 2623: @120895
     /* 120895 */ GIM_Reject,
     /* 120896 */ // Label 2613: @120896
     /* 120896 */ GIM_Try, /*On fail goto*//*Label 2630*/ GIMT_Encode4(121588),
     /* 120901 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 120904 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 120907 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 120911 */   GIM_Try, /*On fail goto*//*Label 2631*/ GIMT_Encode4(120978), // Rule ID 738 //
     /* 120916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 120919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 120923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 120927 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120930 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 120934 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 120938 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 120942 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 120946 */     // MIs[2] Operand 1
     /* 120946 */     // No operand predicates
     /* 120946 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 120948 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 120955 */     // (sra:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (imm:{ *:[i8] }):$src2)  =>  (SAR32mi_ND:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 120955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR32mi_ND),
     /* 120958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 120960 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 120964 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 120967 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 120970 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 120976 */     GIR_RootConstrainSelectedInstOperands,
     /* 120977 */     // GIR_Coverage, 738,
     /* 120977 */     GIR_EraseRootFromParent_Done,
     /* 120978 */   // Label 2631: @120978
     /* 120978 */   GIM_Try, /*On fail goto*//*Label 2632*/ GIMT_Encode4(121051), // Rule ID 754 //
     /* 120983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 120986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 120990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 120994 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120997 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 121001 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 121005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 121009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 121011 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 121018 */     // (sra:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, CL:{ *:[i8] })  =>  (SAR32mCL_ND:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 121018 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 121022 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121028 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 121032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR32mCL_ND),
     /* 121035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 121037 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 121041 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 121044 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 121049 */     GIR_RootConstrainSelectedInstOperands,
     /* 121050 */     // GIR_Coverage, 754,
     /* 121050 */     GIR_EraseRootFromParent_Done,
     /* 121051 */   // Label 2632: @121051
     /* 121051 */   GIM_Try, /*On fail goto*//*Label 2633*/ GIMT_Encode4(121161), // Rule ID 17655 //
     /* 121056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_NoEGPR),
     /* 121059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 121063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 121067 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 121070 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 121074 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 121078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 121082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 121084 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 121091 */     // (sra:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR8:{ *:[i8] }:$src2)  =>  (SARX32rm:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 121091 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 121094 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 121098 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 121105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 121108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 121112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121117 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 121120 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 121124 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 121127 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 121132 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 121137 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 121142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SARX32rm),
     /* 121145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 121147 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 121151 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 121154 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 121159 */     GIR_RootConstrainSelectedInstOperands,
     /* 121160 */     // GIR_Coverage, 17655,
     /* 121160 */     GIR_EraseRootFromParent_Done,
     /* 121161 */   // Label 2633: @121161
     /* 121161 */   GIM_Try, /*On fail goto*//*Label 2634*/ GIMT_Encode4(121271), // Rule ID 17687 //
     /* 121166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_HasEGPR),
     /* 121169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 121173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 121177 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 121180 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 121184 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 121188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 121192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 121194 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 121201 */     // (sra:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR8:{ *:[i8] }:$src2)  =>  (SARX32rm_EVEX:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 121201 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 121204 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 121208 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 121215 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 121218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 121222 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121227 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 121230 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 121234 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 121237 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 121242 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 121247 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 121252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SARX32rm_EVEX),
     /* 121255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 121257 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 121261 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 121264 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 121269 */     GIR_RootConstrainSelectedInstOperands,
     /* 121270 */     // GIR_Coverage, 17687,
     /* 121270 */     GIR_EraseRootFromParent_Done,
     /* 121271 */   // Label 2634: @121271
     /* 121271 */   GIM_Try, /*On fail goto*//*Label 2635*/ GIMT_Encode4(121308), // Rule ID 726 //
     /* 121276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 121279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 121283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 121287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 121291 */     // MIs[1] Operand 1
     /* 121291 */     // No operand predicates
     /* 121291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 121293 */     // (sra:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SAR32ri:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 121293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR32ri),
     /* 121296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 121298 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 121300 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 121303 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 121306 */     GIR_RootConstrainSelectedInstOperands,
     /* 121307 */     // GIR_Coverage, 726,
     /* 121307 */     GIR_EraseRootFromParent_Done,
     /* 121308 */   // Label 2635: @121308
     /* 121308 */   GIM_Try, /*On fail goto*//*Label 2636*/ GIMT_Encode4(121345), // Rule ID 730 //
     /* 121313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 121316 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 121320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 121324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 121328 */     // MIs[1] Operand 1
     /* 121328 */     // No operand predicates
     /* 121328 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 121330 */     // (sra:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SAR32ri_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 121330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR32ri_ND),
     /* 121333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 121335 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 121337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 121340 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 121343 */     GIR_RootConstrainSelectedInstOperands,
     /* 121344 */     // GIR_Coverage, 730,
     /* 121344 */     GIR_EraseRootFromParent_Done,
     /* 121345 */   // Label 2636: @121345
     /* 121345 */   GIM_Try, /*On fail goto*//*Label 2637*/ GIMT_Encode4(121424), // Rule ID 17651 //
     /* 121350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_NoEGPR),
     /* 121353 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 121357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 121361 */     // (sra:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (SARX32rr:{ *:[i32] } GR32:{ *:[i32] }:$src1, (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 121361 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 121364 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 121368 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121373 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 121375 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 121378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 121382 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121387 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 121390 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 121394 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 121397 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 121402 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 121407 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 121412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SARX32rr),
     /* 121415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 121417 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 121419 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 121422 */     GIR_RootConstrainSelectedInstOperands,
     /* 121423 */     // GIR_Coverage, 17651,
     /* 121423 */     GIR_EraseRootFromParent_Done,
     /* 121424 */   // Label 2637: @121424
     /* 121424 */   GIM_Try, /*On fail goto*//*Label 2638*/ GIMT_Encode4(121503), // Rule ID 17683 //
     /* 121429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_HasEGPR),
     /* 121432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 121436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 121440 */     // (sra:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (SARX32rr_EVEX:{ *:[i32] } GR32:{ *:[i32] }:$src1, (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 121440 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 121443 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 121447 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 121454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 121457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 121461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121466 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 121469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 121473 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 121476 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 121481 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 121486 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 121491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SARX32rr_EVEX),
     /* 121494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 121496 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 121498 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 121501 */     GIR_RootConstrainSelectedInstOperands,
     /* 121502 */     // GIR_Coverage, 17683,
     /* 121502 */     GIR_EraseRootFromParent_Done,
     /* 121503 */   // Label 2638: @121503
     /* 121503 */   GIM_Try, /*On fail goto*//*Label 2639*/ GIMT_Encode4(121545), // Rule ID 742 //
     /* 121508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 121511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 121515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 121519 */     // (sra:{ *:[i32] } GR32:{ *:[i32] }:$src1, CL:{ *:[i8] })  =>  (SAR32rCL:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /* 121519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 121523 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121529 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 121533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR32rCL),
     /* 121536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 121538 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 121540 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 121543 */     GIR_RootConstrainSelectedInstOperands,
     /* 121544 */     // GIR_Coverage, 742,
     /* 121544 */     GIR_EraseRootFromParent_Done,
     /* 121545 */   // Label 2639: @121545
     /* 121545 */   GIM_Try, /*On fail goto*//*Label 2640*/ GIMT_Encode4(121587), // Rule ID 746 //
     /* 121550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 121553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 121557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 121561 */     // (sra:{ *:[i32] } GR32:{ *:[i32] }:$src1, CL:{ *:[i8] })  =>  (SAR32rCL_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /* 121561 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 121565 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121571 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 121575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR32rCL_ND),
     /* 121578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 121580 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 121582 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 121585 */     GIR_RootConstrainSelectedInstOperands,
     /* 121586 */     // GIR_Coverage, 746,
     /* 121586 */     GIR_EraseRootFromParent_Done,
     /* 121587 */   // Label 2640: @121587
     /* 121587 */   GIM_Reject,
     /* 121588 */ // Label 2630: @121588
     /* 121588 */ GIM_Reject,
     /* 121589 */ // Label 2614: @121589
     /* 121589 */ GIM_Try, /*On fail goto*//*Label 2641*/ GIMT_Encode4(122281),
     /* 121594 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 121597 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 121600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 121604 */   GIM_Try, /*On fail goto*//*Label 2642*/ GIMT_Encode4(121671), // Rule ID 739 //
     /* 121609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 121612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 121616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 121620 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 121623 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 121627 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 121631 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 121635 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 121639 */     // MIs[2] Operand 1
     /* 121639 */     // No operand predicates
     /* 121639 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 121641 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 121648 */     // (sra:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] }):$src2)  =>  (SAR64mi_ND:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 121648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR64mi_ND),
     /* 121651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 121653 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 121657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 121660 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 121663 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 121669 */     GIR_RootConstrainSelectedInstOperands,
     /* 121670 */     // GIR_Coverage, 739,
     /* 121670 */     GIR_EraseRootFromParent_Done,
     /* 121671 */   // Label 2642: @121671
     /* 121671 */   GIM_Try, /*On fail goto*//*Label 2643*/ GIMT_Encode4(121744), // Rule ID 755 //
     /* 121676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 121679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 121683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 121687 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 121690 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 121694 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 121698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 121702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 121704 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 121711 */     // (sra:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, CL:{ *:[i8] })  =>  (SAR64mCL_ND:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 121711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 121715 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121721 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 121725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR64mCL_ND),
     /* 121728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 121730 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 121734 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 121737 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 121742 */     GIR_RootConstrainSelectedInstOperands,
     /* 121743 */     // GIR_Coverage, 755,
     /* 121743 */     GIR_EraseRootFromParent_Done,
     /* 121744 */   // Label 2643: @121744
     /* 121744 */   GIM_Try, /*On fail goto*//*Label 2644*/ GIMT_Encode4(121854), // Rule ID 17656 //
     /* 121749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_NoEGPR),
     /* 121752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 121756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 121760 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 121763 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 121767 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 121771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 121775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 121777 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 121784 */     // (sra:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR8:{ *:[i8] }:$src2)  =>  (SARX64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src1, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 121784 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 121787 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 121791 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121796 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 121798 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 121801 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 121805 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121810 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 121813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 121817 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 121820 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 121825 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 121830 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 121835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SARX64rm),
     /* 121838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 121840 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 121844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 121847 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 121852 */     GIR_RootConstrainSelectedInstOperands,
     /* 121853 */     // GIR_Coverage, 17656,
     /* 121853 */     GIR_EraseRootFromParent_Done,
     /* 121854 */   // Label 2644: @121854
     /* 121854 */   GIM_Try, /*On fail goto*//*Label 2645*/ GIMT_Encode4(121964), // Rule ID 17688 //
     /* 121859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_HasEGPR),
     /* 121862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 121866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 121870 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 121873 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 121877 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 121881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 121885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 121887 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 121894 */     // (sra:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR8:{ *:[i8] }:$src2)  =>  (SARX64rm_EVEX:{ *:[i64] } addr:{ *:[iPTR] }:$src1, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 121894 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 121897 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 121901 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121906 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 121908 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 121911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 121915 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121920 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 121923 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 121927 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 121930 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 121935 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 121940 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 121945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SARX64rm_EVEX),
     /* 121948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 121950 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 121954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 121957 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 121962 */     GIR_RootConstrainSelectedInstOperands,
     /* 121963 */     // GIR_Coverage, 17688,
     /* 121963 */     GIR_EraseRootFromParent_Done,
     /* 121964 */   // Label 2645: @121964
     /* 121964 */   GIM_Try, /*On fail goto*//*Label 2646*/ GIMT_Encode4(122001), // Rule ID 727 //
     /* 121969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 121972 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 121976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 121980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 121984 */     // MIs[1] Operand 1
     /* 121984 */     // No operand predicates
     /* 121984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 121986 */     // (sra:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SAR64ri:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 121986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR64ri),
     /* 121989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 121991 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 121993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 121996 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 121999 */     GIR_RootConstrainSelectedInstOperands,
     /* 122000 */     // GIR_Coverage, 727,
     /* 122000 */     GIR_EraseRootFromParent_Done,
     /* 122001 */   // Label 2646: @122001
     /* 122001 */   GIM_Try, /*On fail goto*//*Label 2647*/ GIMT_Encode4(122038), // Rule ID 731 //
     /* 122006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 122009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 122013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 122017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 122021 */     // MIs[1] Operand 1
     /* 122021 */     // No operand predicates
     /* 122021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 122023 */     // (sra:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SAR64ri_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 122023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR64ri_ND),
     /* 122026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 122028 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 122030 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 122033 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 122036 */     GIR_RootConstrainSelectedInstOperands,
     /* 122037 */     // GIR_Coverage, 731,
     /* 122037 */     GIR_EraseRootFromParent_Done,
     /* 122038 */   // Label 2647: @122038
     /* 122038 */   GIM_Try, /*On fail goto*//*Label 2648*/ GIMT_Encode4(122117), // Rule ID 17652 //
     /* 122043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_NoEGPR),
     /* 122046 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 122050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 122054 */     // (sra:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (SARX64rr:{ *:[i64] } GR64:{ *:[i64] }:$src1, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 122054 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 122057 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 122061 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 122066 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 122068 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 122071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 122075 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 122080 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 122083 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 122087 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 122090 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 122095 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 122100 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 122105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SARX64rr),
     /* 122108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 122110 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 122112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 122115 */     GIR_RootConstrainSelectedInstOperands,
     /* 122116 */     // GIR_Coverage, 17652,
     /* 122116 */     GIR_EraseRootFromParent_Done,
     /* 122117 */   // Label 2648: @122117
     /* 122117 */   GIM_Try, /*On fail goto*//*Label 2649*/ GIMT_Encode4(122196), // Rule ID 17684 //
     /* 122122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_HasEGPR),
     /* 122125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 122129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 122133 */     // (sra:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (SARX64rr_EVEX:{ *:[i64] } GR64:{ *:[i64] }:$src1, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 122133 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 122136 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 122140 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 122145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 122147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 122150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 122154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 122159 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 122162 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 122166 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 122169 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 122174 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 122179 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 122184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SARX64rr_EVEX),
     /* 122187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 122189 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 122191 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 122194 */     GIR_RootConstrainSelectedInstOperands,
     /* 122195 */     // GIR_Coverage, 17684,
     /* 122195 */     GIR_EraseRootFromParent_Done,
     /* 122196 */   // Label 2649: @122196
     /* 122196 */   GIM_Try, /*On fail goto*//*Label 2650*/ GIMT_Encode4(122238), // Rule ID 743 //
     /* 122201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 122204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 122208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 122212 */     // (sra:{ *:[i64] } GR64:{ *:[i64] }:$src1, CL:{ *:[i8] })  =>  (SAR64rCL:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /* 122212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 122216 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 122222 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 122226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR64rCL),
     /* 122229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 122231 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 122233 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 122236 */     GIR_RootConstrainSelectedInstOperands,
     /* 122237 */     // GIR_Coverage, 743,
     /* 122237 */     GIR_EraseRootFromParent_Done,
     /* 122238 */   // Label 2650: @122238
     /* 122238 */   GIM_Try, /*On fail goto*//*Label 2651*/ GIMT_Encode4(122280), // Rule ID 747 //
     /* 122243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 122246 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 122250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 122254 */     // (sra:{ *:[i64] } GR64:{ *:[i64] }:$src1, CL:{ *:[i8] })  =>  (SAR64rCL_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /* 122254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 122258 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 122264 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 122268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR64rCL_ND),
     /* 122271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 122273 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 122275 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 122278 */     GIR_RootConstrainSelectedInstOperands,
     /* 122279 */     // GIR_Coverage, 747,
     /* 122279 */     GIR_EraseRootFromParent_Done,
     /* 122280 */   // Label 2651: @122280
     /* 122280 */   GIM_Reject,
     /* 122281 */ // Label 2641: @122281
     /* 122281 */ GIM_Reject,
     /* 122282 */ // Label 2615: @122282
     /* 122282 */ GIM_Reject,
     /* 122283 */ // Label 29: @122283
     /* 122283 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2654*/ GIMT_Encode4(123010),
     /* 122294 */ /*GILLT_s32*//*Label 2652*/ GIMT_Encode4(122302),
     /* 122298 */ /*GILLT_s64*//*Label 2653*/ GIMT_Encode4(122656),
     /* 122302 */ // Label 2652: @122302
     /* 122302 */ GIM_Try, /*On fail goto*//*Label 2655*/ GIMT_Encode4(122655),
     /* 122307 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 122310 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 122313 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s8,
     /* 122316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 122320 */   GIM_Try, /*On fail goto*//*Label 2656*/ GIMT_Encode4(122393), // Rule ID 839 //
     /* 122325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 122328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 122332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 122336 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 122339 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 122343 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 122347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 122351 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 122355 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 122359 */     // MIs[2] Operand 1
     /* 122359 */     // No operand predicates
     /* 122359 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 122361 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 122368 */     // (fshl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR32:{ *:[i32] }:$src2, (imm:{ *:[i8] }):$src3)  =>  (SHLD32mri8_ND:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR32:{ *:[i32] }:$src2, (imm:{ *:[i8] }):$src3)
     /* 122368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLD32mri8_ND),
     /* 122371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 122373 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 122377 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 122379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src3
     /* 122382 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 122385 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 122391 */     GIR_RootConstrainSelectedInstOperands,
     /* 122392 */     // GIR_Coverage, 839,
     /* 122392 */     GIR_EraseRootFromParent_Done,
     /* 122393 */   // Label 2656: @122393
     /* 122393 */   GIM_Try, /*On fail goto*//*Label 2657*/ GIMT_Encode4(122472), // Rule ID 842 //
     /* 122398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 122401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 122405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 122409 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 122412 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 122416 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 122420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 122424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 122428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 122430 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 122437 */     // (fshl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR32:{ *:[i32] }:$src2, CL:{ *:[i8] })  =>  (SHLD32mrCL_ND:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR32:{ *:[i32] }:$src2)
     /* 122437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 122441 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 122447 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // CL
     /* 122451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLD32mrCL_ND),
     /* 122454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 122456 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 122460 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 122462 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 122465 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 122470 */     GIR_RootConstrainSelectedInstOperands,
     /* 122471 */     // GIR_Coverage, 842,
     /* 122471 */     GIR_EraseRootFromParent_Done,
     /* 122472 */   // Label 2657: @122472
     /* 122472 */   GIM_Try, /*On fail goto*//*Label 2658*/ GIMT_Encode4(122515), // Rule ID 821 //
     /* 122477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 122480 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 122484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 122488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 122492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 122496 */     // MIs[1] Operand 1
     /* 122496 */     // No operand predicates
     /* 122496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 122498 */     // (fshl:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2, (imm:{ *:[i8] }):$src3)  =>  (SHLD32rri8:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2, (imm:{ *:[i8] }):$src3)
     /* 122498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLD32rri8),
     /* 122501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 122503 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 122505 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 122507 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src3
     /* 122510 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 122513 */     GIR_RootConstrainSelectedInstOperands,
     /* 122514 */     // GIR_Coverage, 821,
     /* 122514 */     GIR_EraseRootFromParent_Done,
     /* 122515 */   // Label 2658: @122515
     /* 122515 */   GIM_Try, /*On fail goto*//*Label 2659*/ GIMT_Encode4(122558), // Rule ID 827 //
     /* 122520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 122523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 122527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 122531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 122535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 122539 */     // MIs[1] Operand 1
     /* 122539 */     // No operand predicates
     /* 122539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 122541 */     // (fshl:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2, (imm:{ *:[i8] }):$src3)  =>  (SHLD32rri8_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2, (imm:{ *:[i8] }):$src3)
     /* 122541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLD32rri8_ND),
     /* 122544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 122546 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 122548 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 122550 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src3
     /* 122553 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 122556 */     GIR_RootConstrainSelectedInstOperands,
     /* 122557 */     // GIR_Coverage, 827,
     /* 122557 */     GIR_EraseRootFromParent_Done,
     /* 122558 */   // Label 2659: @122558
     /* 122558 */   GIM_Try, /*On fail goto*//*Label 2660*/ GIMT_Encode4(122606), // Rule ID 824 //
     /* 122563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 122566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 122570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 122574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 122578 */     // (fshl:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2, CL:{ *:[i8] })  =>  (SHLD32rrCL:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /* 122578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 122582 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 122588 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // CL
     /* 122592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLD32rrCL),
     /* 122595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 122597 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 122599 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 122601 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 122604 */     GIR_RootConstrainSelectedInstOperands,
     /* 122605 */     // GIR_Coverage, 824,
     /* 122605 */     GIR_EraseRootFromParent_Done,
     /* 122606 */   // Label 2660: @122606
     /* 122606 */   GIM_Try, /*On fail goto*//*Label 2661*/ GIMT_Encode4(122654), // Rule ID 830 //
     /* 122611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 122614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 122618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 122622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 122626 */     // (fshl:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2, CL:{ *:[i8] })  =>  (SHLD32rrCL_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /* 122626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 122630 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 122636 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // CL
     /* 122640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLD32rrCL_ND),
     /* 122643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 122645 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 122647 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 122649 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 122652 */     GIR_RootConstrainSelectedInstOperands,
     /* 122653 */     // GIR_Coverage, 830,
     /* 122653 */     GIR_EraseRootFromParent_Done,
     /* 122654 */   // Label 2661: @122654
     /* 122654 */   GIM_Reject,
     /* 122655 */ // Label 2655: @122655
     /* 122655 */ GIM_Reject,
     /* 122656 */ // Label 2653: @122656
     /* 122656 */ GIM_Try, /*On fail goto*//*Label 2662*/ GIMT_Encode4(123009),
     /* 122661 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 122664 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 122667 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s8,
     /* 122670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 122674 */   GIM_Try, /*On fail goto*//*Label 2663*/ GIMT_Encode4(122747), // Rule ID 840 //
     /* 122679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 122682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 122686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 122690 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 122693 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 122697 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 122701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 122705 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 122709 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 122713 */     // MIs[2] Operand 1
     /* 122713 */     // No operand predicates
     /* 122713 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 122715 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 122722 */     // (fshl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src2, (imm:{ *:[i8] }):$src3)  =>  (SHLD64mri8_ND:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR64:{ *:[i64] }:$src2, (imm:{ *:[i8] }):$src3)
     /* 122722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLD64mri8_ND),
     /* 122725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 122727 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 122731 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 122733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src3
     /* 122736 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 122739 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 122745 */     GIR_RootConstrainSelectedInstOperands,
     /* 122746 */     // GIR_Coverage, 840,
     /* 122746 */     GIR_EraseRootFromParent_Done,
     /* 122747 */   // Label 2663: @122747
     /* 122747 */   GIM_Try, /*On fail goto*//*Label 2664*/ GIMT_Encode4(122826), // Rule ID 843 //
     /* 122752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 122755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 122759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 122763 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 122766 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 122770 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 122774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 122778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 122782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 122784 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 122791 */     // (fshl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src2, CL:{ *:[i8] })  =>  (SHLD64mrCL_ND:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR64:{ *:[i64] }:$src2)
     /* 122791 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 122795 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 122801 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // CL
     /* 122805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLD64mrCL_ND),
     /* 122808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 122810 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 122814 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 122816 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 122819 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 122824 */     GIR_RootConstrainSelectedInstOperands,
     /* 122825 */     // GIR_Coverage, 843,
     /* 122825 */     GIR_EraseRootFromParent_Done,
     /* 122826 */   // Label 2664: @122826
     /* 122826 */   GIM_Try, /*On fail goto*//*Label 2665*/ GIMT_Encode4(122869), // Rule ID 822 //
     /* 122831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 122834 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 122838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 122842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 122846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 122850 */     // MIs[1] Operand 1
     /* 122850 */     // No operand predicates
     /* 122850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 122852 */     // (fshl:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2, (imm:{ *:[i8] }):$src3)  =>  (SHLD64rri8:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2, (imm:{ *:[i8] }):$src3)
     /* 122852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLD64rri8),
     /* 122855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 122857 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 122859 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 122861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src3
     /* 122864 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 122867 */     GIR_RootConstrainSelectedInstOperands,
     /* 122868 */     // GIR_Coverage, 822,
     /* 122868 */     GIR_EraseRootFromParent_Done,
     /* 122869 */   // Label 2665: @122869
     /* 122869 */   GIM_Try, /*On fail goto*//*Label 2666*/ GIMT_Encode4(122912), // Rule ID 828 //
     /* 122874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 122877 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 122881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 122885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 122889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 122893 */     // MIs[1] Operand 1
     /* 122893 */     // No operand predicates
     /* 122893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 122895 */     // (fshl:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2, (imm:{ *:[i8] }):$src3)  =>  (SHLD64rri8_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2, (imm:{ *:[i8] }):$src3)
     /* 122895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLD64rri8_ND),
     /* 122898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 122900 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 122902 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 122904 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src3
     /* 122907 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 122910 */     GIR_RootConstrainSelectedInstOperands,
     /* 122911 */     // GIR_Coverage, 828,
     /* 122911 */     GIR_EraseRootFromParent_Done,
     /* 122912 */   // Label 2666: @122912
     /* 122912 */   GIM_Try, /*On fail goto*//*Label 2667*/ GIMT_Encode4(122960), // Rule ID 825 //
     /* 122917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 122920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 122924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 122928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 122932 */     // (fshl:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2, CL:{ *:[i8] })  =>  (SHLD64rrCL:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /* 122932 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 122936 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 122942 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // CL
     /* 122946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLD64rrCL),
     /* 122949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 122951 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 122953 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 122955 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 122958 */     GIR_RootConstrainSelectedInstOperands,
     /* 122959 */     // GIR_Coverage, 825,
     /* 122959 */     GIR_EraseRootFromParent_Done,
     /* 122960 */   // Label 2667: @122960
     /* 122960 */   GIM_Try, /*On fail goto*//*Label 2668*/ GIMT_Encode4(123008), // Rule ID 831 //
     /* 122965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 122968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 122972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 122976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 122980 */     // (fshl:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2, CL:{ *:[i8] })  =>  (SHLD64rrCL_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /* 122980 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 122984 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 122990 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // CL
     /* 122994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLD64rrCL_ND),
     /* 122997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 122999 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 123001 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 123003 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 123006 */     GIR_RootConstrainSelectedInstOperands,
     /* 123007 */     // GIR_Coverage, 831,
     /* 123007 */     GIR_EraseRootFromParent_Done,
     /* 123008 */   // Label 2668: @123008
     /* 123008 */   GIM_Reject,
     /* 123009 */ // Label 2662: @123009
     /* 123009 */ GIM_Reject,
     /* 123010 */ // Label 2654: @123010
     /* 123010 */ GIM_Reject,
     /* 123011 */ // Label 30: @123011
     /* 123011 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2671*/ GIMT_Encode4(123698),
     /* 123022 */ /*GILLT_s32*//*Label 2669*/ GIMT_Encode4(123030),
     /* 123026 */ /*GILLT_s64*//*Label 2670*/ GIMT_Encode4(123364),
     /* 123030 */ // Label 2669: @123030
     /* 123030 */ GIM_Try, /*On fail goto*//*Label 2672*/ GIMT_Encode4(123363),
     /* 123035 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 123038 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 123041 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s8,
     /* 123044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 123048 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 123052 */   GIM_Try, /*On fail goto*//*Label 2673*/ GIMT_Encode4(123121), // Rule ID 863 //
     /* 123057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 123060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 123064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 123068 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 123071 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 123075 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 123079 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 123083 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 123087 */     // MIs[2] Operand 1
     /* 123087 */     // No operand predicates
     /* 123087 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 123089 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 123096 */     // (fshr:{ *:[i32] } GR32:{ *:[i32] }:$src2, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (imm:{ *:[i8] }):$src3)  =>  (SHRD32mri8_ND:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR32:{ *:[i32] }:$src2, (imm:{ *:[i8] }):$src3)
     /* 123096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRD32mri8_ND),
     /* 123099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 123101 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 123105 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 123107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src3
     /* 123110 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 123113 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 123119 */     GIR_RootConstrainSelectedInstOperands,
     /* 123120 */     // GIR_Coverage, 863,
     /* 123120 */     GIR_EraseRootFromParent_Done,
     /* 123121 */   // Label 2673: @123121
     /* 123121 */   GIM_Try, /*On fail goto*//*Label 2674*/ GIMT_Encode4(123196), // Rule ID 866 //
     /* 123126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 123129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 123133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 123137 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 123140 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 123144 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 123148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 123152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 123154 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 123161 */     // (fshr:{ *:[i32] } GR32:{ *:[i32] }:$src2, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, CL:{ *:[i8] })  =>  (SHRD32mrCL_ND:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR32:{ *:[i32] }:$src2)
     /* 123161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 123165 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 123171 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // CL
     /* 123175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRD32mrCL_ND),
     /* 123178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 123180 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 123184 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 123186 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 123189 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 123194 */     GIR_RootConstrainSelectedInstOperands,
     /* 123195 */     // GIR_Coverage, 866,
     /* 123195 */     GIR_EraseRootFromParent_Done,
     /* 123196 */   // Label 2674: @123196
     /* 123196 */   GIM_Try, /*On fail goto*//*Label 2675*/ GIMT_Encode4(123235), // Rule ID 845 //
     /* 123201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 123204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 123208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 123212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 123216 */     // MIs[1] Operand 1
     /* 123216 */     // No operand predicates
     /* 123216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 123218 */     // (fshr:{ *:[i32] } GR32:{ *:[i32] }:$src2, GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src3)  =>  (SHRD32rri8:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2, (imm:{ *:[i8] }):$src3)
     /* 123218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRD32rri8),
     /* 123221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 123223 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 123225 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 123227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src3
     /* 123230 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 123233 */     GIR_RootConstrainSelectedInstOperands,
     /* 123234 */     // GIR_Coverage, 845,
     /* 123234 */     GIR_EraseRootFromParent_Done,
     /* 123235 */   // Label 2675: @123235
     /* 123235 */   GIM_Try, /*On fail goto*//*Label 2676*/ GIMT_Encode4(123274), // Rule ID 851 //
     /* 123240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 123243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 123247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 123251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 123255 */     // MIs[1] Operand 1
     /* 123255 */     // No operand predicates
     /* 123255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 123257 */     // (fshr:{ *:[i32] } GR32:{ *:[i32] }:$src2, GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src3)  =>  (SHRD32rri8_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2, (imm:{ *:[i8] }):$src3)
     /* 123257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRD32rri8_ND),
     /* 123260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 123262 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 123264 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 123266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src3
     /* 123269 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 123272 */     GIR_RootConstrainSelectedInstOperands,
     /* 123273 */     // GIR_Coverage, 851,
     /* 123273 */     GIR_EraseRootFromParent_Done,
     /* 123274 */   // Label 2676: @123274
     /* 123274 */   GIM_Try, /*On fail goto*//*Label 2677*/ GIMT_Encode4(123318), // Rule ID 848 //
     /* 123279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 123282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 123286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 123290 */     // (fshr:{ *:[i32] } GR32:{ *:[i32] }:$src2, GR32:{ *:[i32] }:$src1, CL:{ *:[i8] })  =>  (SHRD32rrCL:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /* 123290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 123294 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 123300 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // CL
     /* 123304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRD32rrCL),
     /* 123307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 123309 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 123311 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 123313 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 123316 */     GIR_RootConstrainSelectedInstOperands,
     /* 123317 */     // GIR_Coverage, 848,
     /* 123317 */     GIR_EraseRootFromParent_Done,
     /* 123318 */   // Label 2677: @123318
     /* 123318 */   GIM_Try, /*On fail goto*//*Label 2678*/ GIMT_Encode4(123362), // Rule ID 854 //
     /* 123323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 123326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 123330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 123334 */     // (fshr:{ *:[i32] } GR32:{ *:[i32] }:$src2, GR32:{ *:[i32] }:$src1, CL:{ *:[i8] })  =>  (SHRD32rrCL_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /* 123334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 123338 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 123344 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // CL
     /* 123348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRD32rrCL_ND),
     /* 123351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 123353 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 123355 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 123357 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 123360 */     GIR_RootConstrainSelectedInstOperands,
     /* 123361 */     // GIR_Coverage, 854,
     /* 123361 */     GIR_EraseRootFromParent_Done,
     /* 123362 */   // Label 2678: @123362
     /* 123362 */   GIM_Reject,
     /* 123363 */ // Label 2672: @123363
     /* 123363 */ GIM_Reject,
     /* 123364 */ // Label 2670: @123364
     /* 123364 */ GIM_Try, /*On fail goto*//*Label 2679*/ GIMT_Encode4(123697),
     /* 123369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 123372 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 123375 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s8,
     /* 123378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 123382 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 123386 */   GIM_Try, /*On fail goto*//*Label 2680*/ GIMT_Encode4(123455), // Rule ID 864 //
     /* 123391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 123394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 123398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 123402 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 123405 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 123409 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 123413 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 123417 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 123421 */     // MIs[2] Operand 1
     /* 123421 */     // No operand predicates
     /* 123421 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 123423 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 123430 */     // (fshr:{ *:[i64] } GR64:{ *:[i64] }:$src2, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] }):$src3)  =>  (SHRD64mri8_ND:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR64:{ *:[i64] }:$src2, (imm:{ *:[i8] }):$src3)
     /* 123430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRD64mri8_ND),
     /* 123433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 123435 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 123439 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 123441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src3
     /* 123444 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 123447 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 123453 */     GIR_RootConstrainSelectedInstOperands,
     /* 123454 */     // GIR_Coverage, 864,
     /* 123454 */     GIR_EraseRootFromParent_Done,
     /* 123455 */   // Label 2680: @123455
     /* 123455 */   GIM_Try, /*On fail goto*//*Label 2681*/ GIMT_Encode4(123530), // Rule ID 867 //
     /* 123460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 123463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 123467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 123471 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 123474 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 123478 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 123482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 123486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 123488 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 123495 */     // (fshr:{ *:[i64] } GR64:{ *:[i64] }:$src2, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, CL:{ *:[i8] })  =>  (SHRD64mrCL_ND:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR64:{ *:[i64] }:$src2)
     /* 123495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 123499 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 123505 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // CL
     /* 123509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRD64mrCL_ND),
     /* 123512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 123514 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 123518 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 123520 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 123523 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 123528 */     GIR_RootConstrainSelectedInstOperands,
     /* 123529 */     // GIR_Coverage, 867,
     /* 123529 */     GIR_EraseRootFromParent_Done,
     /* 123530 */   // Label 2681: @123530
     /* 123530 */   GIM_Try, /*On fail goto*//*Label 2682*/ GIMT_Encode4(123569), // Rule ID 846 //
     /* 123535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 123538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 123542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 123546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 123550 */     // MIs[1] Operand 1
     /* 123550 */     // No operand predicates
     /* 123550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 123552 */     // (fshr:{ *:[i64] } GR64:{ *:[i64] }:$src2, GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src3)  =>  (SHRD64rri8:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2, (imm:{ *:[i8] }):$src3)
     /* 123552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRD64rri8),
     /* 123555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 123557 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 123559 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 123561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src3
     /* 123564 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 123567 */     GIR_RootConstrainSelectedInstOperands,
     /* 123568 */     // GIR_Coverage, 846,
     /* 123568 */     GIR_EraseRootFromParent_Done,
     /* 123569 */   // Label 2682: @123569
     /* 123569 */   GIM_Try, /*On fail goto*//*Label 2683*/ GIMT_Encode4(123608), // Rule ID 852 //
     /* 123574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 123577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 123581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 123585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 123589 */     // MIs[1] Operand 1
     /* 123589 */     // No operand predicates
     /* 123589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 123591 */     // (fshr:{ *:[i64] } GR64:{ *:[i64] }:$src2, GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src3)  =>  (SHRD64rri8_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2, (imm:{ *:[i8] }):$src3)
     /* 123591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRD64rri8_ND),
     /* 123594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 123596 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 123598 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 123600 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src3
     /* 123603 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 123606 */     GIR_RootConstrainSelectedInstOperands,
     /* 123607 */     // GIR_Coverage, 852,
     /* 123607 */     GIR_EraseRootFromParent_Done,
     /* 123608 */   // Label 2683: @123608
     /* 123608 */   GIM_Try, /*On fail goto*//*Label 2684*/ GIMT_Encode4(123652), // Rule ID 849 //
     /* 123613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 123616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 123620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 123624 */     // (fshr:{ *:[i64] } GR64:{ *:[i64] }:$src2, GR64:{ *:[i64] }:$src1, CL:{ *:[i8] })  =>  (SHRD64rrCL:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /* 123624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 123628 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 123634 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // CL
     /* 123638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRD64rrCL),
     /* 123641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 123643 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 123645 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 123647 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 123650 */     GIR_RootConstrainSelectedInstOperands,
     /* 123651 */     // GIR_Coverage, 849,
     /* 123651 */     GIR_EraseRootFromParent_Done,
     /* 123652 */   // Label 2684: @123652
     /* 123652 */   GIM_Try, /*On fail goto*//*Label 2685*/ GIMT_Encode4(123696), // Rule ID 855 //
     /* 123657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 123660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 123664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 123668 */     // (fshr:{ *:[i64] } GR64:{ *:[i64] }:$src2, GR64:{ *:[i64] }:$src1, CL:{ *:[i8] })  =>  (SHRD64rrCL_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /* 123668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 123672 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 123678 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // CL
     /* 123682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRD64rrCL_ND),
     /* 123685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 123687 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 123689 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 123691 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 123694 */     GIR_RootConstrainSelectedInstOperands,
     /* 123695 */     // GIR_Coverage, 855,
     /* 123695 */     GIR_EraseRootFromParent_Done,
     /* 123696 */   // Label 2685: @123696
     /* 123696 */   GIM_Reject,
     /* 123697 */ // Label 2679: @123697
     /* 123697 */ GIM_Reject,
     /* 123698 */ // Label 2671: @123698
     /* 123698 */ GIM_Reject,
     /* 123699 */ // Label 31: @123699
     /* 123699 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(20), /*)*//*default:*//*Label 2696*/ GIMT_Encode4(127196),
     /* 123710 */ /*GILLT_s8*//*Label 2686*/ GIMT_Encode4(123786),
     /* 123714 */ /*GILLT_s16*//*Label 2687*/ GIMT_Encode4(124216),
     /* 123718 */ /*GILLT_s32*//*Label 2688*/ GIMT_Encode4(124646),
     /* 123722 */ /*GILLT_s64*//*Label 2689*/ GIMT_Encode4(125309), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 123738 */ /*GILLT_v2s64*//*Label 2690*/ GIMT_Encode4(125972), GIMT_Encode4(0),
     /* 123746 */ /*GILLT_v4s32*//*Label 2691*/ GIMT_Encode4(126239),
     /* 123750 */ /*GILLT_v4s64*//*Label 2692*/ GIMT_Encode4(126506), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 123762 */ /*GILLT_v8s32*//*Label 2693*/ GIMT_Encode4(126757),
     /* 123766 */ /*GILLT_v8s64*//*Label 2694*/ GIMT_Encode4(127008), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 123782 */ /*GILLT_v16s32*//*Label 2695*/ GIMT_Encode4(127102),
     /* 123786 */ // Label 2686: @123786
     /* 123786 */ GIM_Try, /*On fail goto*//*Label 2697*/ GIMT_Encode4(124215),
     /* 123791 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 123794 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 123797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 123801 */   GIM_Try, /*On fail goto*//*Label 2698*/ GIMT_Encode4(123860), // Rule ID 17623 //
     /* 123806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 123809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 123813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 123817 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 123820 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 123824 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /* 123828 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 7,
     /* 123832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 123834 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 123841 */     // (rotr:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, 7:{ *:[i8] })  =>  (ROL8m1_ND:{ *:[i8] }:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 123841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL8m1_ND),
     /* 123844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 123846 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 123850 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 123853 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 123858 */     GIR_RootConstrainSelectedInstOperands,
     /* 123859 */     // GIR_Coverage, 17623,
     /* 123859 */     GIR_EraseRootFromParent_Done,
     /* 123860 */   // Label 2698: @123860
     /* 123860 */   GIM_Try, /*On fail goto*//*Label 2699*/ GIMT_Encode4(123927), // Rule ID 800 //
     /* 123865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 123868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 123872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 123876 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 123879 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 123883 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /* 123887 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 123891 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 123895 */     // MIs[2] Operand 1
     /* 123895 */     // No operand predicates
     /* 123895 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 123897 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 123904 */     // (rotr:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, (imm:{ *:[i8] }):$src2)  =>  (ROR8mi_ND:{ *:[i8] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 123904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR8mi_ND),
     /* 123907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 123909 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 123913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 123916 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 123919 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 123925 */     GIR_RootConstrainSelectedInstOperands,
     /* 123926 */     // GIR_Coverage, 800,
     /* 123926 */     GIR_EraseRootFromParent_Done,
     /* 123927 */   // Label 2699: @123927
     /* 123927 */   GIM_Try, /*On fail goto*//*Label 2700*/ GIMT_Encode4(124000), // Rule ID 816 //
     /* 123932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 123935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 123939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 123943 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 123946 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 123950 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /* 123954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 123958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 123960 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 123967 */     // (rotr:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, CL:{ *:[i8] })  =>  (ROR8mCL_ND:{ *:[i8] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 123967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 123971 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 123977 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 123981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR8mCL_ND),
     /* 123984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 123986 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 123990 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 123993 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 123998 */     GIR_RootConstrainSelectedInstOperands,
     /* 123999 */     // GIR_Coverage, 816,
     /* 123999 */     GIR_EraseRootFromParent_Done,
     /* 124000 */   // Label 2700: @124000
     /* 124000 */   GIM_Try, /*On fail goto*//*Label 2701*/ GIMT_Encode4(124028), // Rule ID 17599 //
     /* 124005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 124008 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 124012 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 7,
     /* 124016 */     // (rotr:{ *:[i8] } GR8:{ *:[i8] }:$src1, 7:{ *:[i8] })  =>  (ROL8r1:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1)
     /* 124016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL8r1),
     /* 124019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124021 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 124023 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 124026 */     GIR_RootConstrainSelectedInstOperands,
     /* 124027 */     // GIR_Coverage, 17599,
     /* 124027 */     GIR_EraseRootFromParent_Done,
     /* 124028 */   // Label 2701: @124028
     /* 124028 */   GIM_Try, /*On fail goto*//*Label 2702*/ GIMT_Encode4(124056), // Rule ID 17607 //
     /* 124033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 124036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 124040 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 7,
     /* 124044 */     // (rotr:{ *:[i8] } GR8:{ *:[i8] }:$src1, 7:{ *:[i8] })  =>  (ROL8r1_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1)
     /* 124044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL8r1_ND),
     /* 124047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124049 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 124051 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 124054 */     GIR_RootConstrainSelectedInstOperands,
     /* 124055 */     // GIR_Coverage, 17607,
     /* 124055 */     GIR_EraseRootFromParent_Done,
     /* 124056 */   // Label 2702: @124056
     /* 124056 */   GIM_Try, /*On fail goto*//*Label 2703*/ GIMT_Encode4(124093), // Rule ID 788 //
     /* 124061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 124064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 124068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 124072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 124076 */     // MIs[1] Operand 1
     /* 124076 */     // No operand predicates
     /* 124076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 124078 */     // (rotr:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (ROR8ri:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 124078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR8ri),
     /* 124081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124083 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 124085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 124088 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 124091 */     GIR_RootConstrainSelectedInstOperands,
     /* 124092 */     // GIR_Coverage, 788,
     /* 124092 */     GIR_EraseRootFromParent_Done,
     /* 124093 */   // Label 2703: @124093
     /* 124093 */   GIM_Try, /*On fail goto*//*Label 2704*/ GIMT_Encode4(124130), // Rule ID 792 //
     /* 124098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 124101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 124105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 124109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 124113 */     // MIs[1] Operand 1
     /* 124113 */     // No operand predicates
     /* 124113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 124115 */     // (rotr:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (ROR8ri_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 124115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR8ri_ND),
     /* 124118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124120 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 124122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 124125 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 124128 */     GIR_RootConstrainSelectedInstOperands,
     /* 124129 */     // GIR_Coverage, 792,
     /* 124129 */     GIR_EraseRootFromParent_Done,
     /* 124130 */   // Label 2704: @124130
     /* 124130 */   GIM_Try, /*On fail goto*//*Label 2705*/ GIMT_Encode4(124172), // Rule ID 804 //
     /* 124135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 124138 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 124142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 124146 */     // (rotr:{ *:[i8] } GR8:{ *:[i8] }:$src1, CL:{ *:[i8] })  =>  (ROR8rCL:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1)
     /* 124146 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 124150 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124156 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 124160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR8rCL),
     /* 124163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124165 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 124167 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 124170 */     GIR_RootConstrainSelectedInstOperands,
     /* 124171 */     // GIR_Coverage, 804,
     /* 124171 */     GIR_EraseRootFromParent_Done,
     /* 124172 */   // Label 2705: @124172
     /* 124172 */   GIM_Try, /*On fail goto*//*Label 2706*/ GIMT_Encode4(124214), // Rule ID 808 //
     /* 124177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 124180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 124184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 124188 */     // (rotr:{ *:[i8] } GR8:{ *:[i8] }:$src1, CL:{ *:[i8] })  =>  (ROR8rCL_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1)
     /* 124188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 124192 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124198 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 124202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR8rCL_ND),
     /* 124205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124207 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 124209 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 124212 */     GIR_RootConstrainSelectedInstOperands,
     /* 124213 */     // GIR_Coverage, 808,
     /* 124213 */     GIR_EraseRootFromParent_Done,
     /* 124214 */   // Label 2706: @124214
     /* 124214 */   GIM_Reject,
     /* 124215 */ // Label 2697: @124215
     /* 124215 */ GIM_Reject,
     /* 124216 */ // Label 2687: @124216
     /* 124216 */ GIM_Try, /*On fail goto*//*Label 2707*/ GIMT_Encode4(124645),
     /* 124221 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 124224 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 124227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 124231 */   GIM_Try, /*On fail goto*//*Label 2708*/ GIMT_Encode4(124290), // Rule ID 17624 //
     /* 124236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 124239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 124243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 124247 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 124250 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 124254 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 124258 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 15,
     /* 124262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 124264 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 124271 */     // (rotr:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, 15:{ *:[i8] })  =>  (ROL16m1_ND:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 124271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL16m1_ND),
     /* 124274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124276 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 124280 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 124283 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 124288 */     GIR_RootConstrainSelectedInstOperands,
     /* 124289 */     // GIR_Coverage, 17624,
     /* 124289 */     GIR_EraseRootFromParent_Done,
     /* 124290 */   // Label 2708: @124290
     /* 124290 */   GIM_Try, /*On fail goto*//*Label 2709*/ GIMT_Encode4(124357), // Rule ID 801 //
     /* 124295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 124298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 124302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 124306 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 124309 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 124313 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 124317 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 124321 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 124325 */     // MIs[2] Operand 1
     /* 124325 */     // No operand predicates
     /* 124325 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 124327 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 124334 */     // (rotr:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, (imm:{ *:[i8] }):$src2)  =>  (ROR16mi_ND:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 124334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR16mi_ND),
     /* 124337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124339 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 124343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 124346 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 124349 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 124355 */     GIR_RootConstrainSelectedInstOperands,
     /* 124356 */     // GIR_Coverage, 801,
     /* 124356 */     GIR_EraseRootFromParent_Done,
     /* 124357 */   // Label 2709: @124357
     /* 124357 */   GIM_Try, /*On fail goto*//*Label 2710*/ GIMT_Encode4(124430), // Rule ID 817 //
     /* 124362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 124365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 124369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 124373 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 124376 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 124380 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 124384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 124388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 124390 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 124397 */     // (rotr:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, CL:{ *:[i8] })  =>  (ROR16mCL_ND:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 124397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 124401 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124407 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 124411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR16mCL_ND),
     /* 124414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124416 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 124420 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 124423 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 124428 */     GIR_RootConstrainSelectedInstOperands,
     /* 124429 */     // GIR_Coverage, 817,
     /* 124429 */     GIR_EraseRootFromParent_Done,
     /* 124430 */   // Label 2710: @124430
     /* 124430 */   GIM_Try, /*On fail goto*//*Label 2711*/ GIMT_Encode4(124458), // Rule ID 17600 //
     /* 124435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 124438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 124442 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 15,
     /* 124446 */     // (rotr:{ *:[i16] } GR16:{ *:[i16] }:$src1, 15:{ *:[i8] })  =>  (ROL16r1:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /* 124446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL16r1),
     /* 124449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124451 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 124453 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 124456 */     GIR_RootConstrainSelectedInstOperands,
     /* 124457 */     // GIR_Coverage, 17600,
     /* 124457 */     GIR_EraseRootFromParent_Done,
     /* 124458 */   // Label 2711: @124458
     /* 124458 */   GIM_Try, /*On fail goto*//*Label 2712*/ GIMT_Encode4(124486), // Rule ID 17608 //
     /* 124463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 124466 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 124470 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 15,
     /* 124474 */     // (rotr:{ *:[i16] } GR16:{ *:[i16] }:$src1, 15:{ *:[i8] })  =>  (ROL16r1_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /* 124474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL16r1_ND),
     /* 124477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124479 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 124481 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 124484 */     GIR_RootConstrainSelectedInstOperands,
     /* 124485 */     // GIR_Coverage, 17608,
     /* 124485 */     GIR_EraseRootFromParent_Done,
     /* 124486 */   // Label 2712: @124486
     /* 124486 */   GIM_Try, /*On fail goto*//*Label 2713*/ GIMT_Encode4(124523), // Rule ID 789 //
     /* 124491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 124494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 124498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 124502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 124506 */     // MIs[1] Operand 1
     /* 124506 */     // No operand predicates
     /* 124506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 124508 */     // (rotr:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (ROR16ri:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 124508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR16ri),
     /* 124511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124513 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 124515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 124518 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 124521 */     GIR_RootConstrainSelectedInstOperands,
     /* 124522 */     // GIR_Coverage, 789,
     /* 124522 */     GIR_EraseRootFromParent_Done,
     /* 124523 */   // Label 2713: @124523
     /* 124523 */   GIM_Try, /*On fail goto*//*Label 2714*/ GIMT_Encode4(124560), // Rule ID 793 //
     /* 124528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 124531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 124535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 124539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 124543 */     // MIs[1] Operand 1
     /* 124543 */     // No operand predicates
     /* 124543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 124545 */     // (rotr:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (ROR16ri_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 124545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR16ri_ND),
     /* 124548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124550 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 124552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 124555 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 124558 */     GIR_RootConstrainSelectedInstOperands,
     /* 124559 */     // GIR_Coverage, 793,
     /* 124559 */     GIR_EraseRootFromParent_Done,
     /* 124560 */   // Label 2714: @124560
     /* 124560 */   GIM_Try, /*On fail goto*//*Label 2715*/ GIMT_Encode4(124602), // Rule ID 805 //
     /* 124565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 124568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 124572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 124576 */     // (rotr:{ *:[i16] } GR16:{ *:[i16] }:$src1, CL:{ *:[i8] })  =>  (ROR16rCL:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /* 124576 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 124580 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124586 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 124590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR16rCL),
     /* 124593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124595 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 124597 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 124600 */     GIR_RootConstrainSelectedInstOperands,
     /* 124601 */     // GIR_Coverage, 805,
     /* 124601 */     GIR_EraseRootFromParent_Done,
     /* 124602 */   // Label 2715: @124602
     /* 124602 */   GIM_Try, /*On fail goto*//*Label 2716*/ GIMT_Encode4(124644), // Rule ID 809 //
     /* 124607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 124610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 124614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 124618 */     // (rotr:{ *:[i16] } GR16:{ *:[i16] }:$src1, CL:{ *:[i8] })  =>  (ROR16rCL_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /* 124618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 124622 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124628 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 124632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR16rCL_ND),
     /* 124635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124637 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 124639 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 124642 */     GIR_RootConstrainSelectedInstOperands,
     /* 124643 */     // GIR_Coverage, 809,
     /* 124643 */     GIR_EraseRootFromParent_Done,
     /* 124644 */   // Label 2716: @124644
     /* 124644 */   GIM_Reject,
     /* 124645 */ // Label 2707: @124645
     /* 124645 */ GIM_Reject,
     /* 124646 */ // Label 2688: @124646
     /* 124646 */ GIM_Try, /*On fail goto*//*Label 2717*/ GIMT_Encode4(125308),
     /* 124651 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 124654 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 124657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 124661 */   GIM_Try, /*On fail goto*//*Label 2718*/ GIMT_Encode4(124720), // Rule ID 17625 //
     /* 124666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 124669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 124673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 124677 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 124680 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 124684 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 124688 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 31,
     /* 124692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 124694 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 124701 */     // (rotr:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, 31:{ *:[i8] })  =>  (ROL32m1_ND:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 124701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL32m1_ND),
     /* 124704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124706 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 124710 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 124713 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 124718 */     GIR_RootConstrainSelectedInstOperands,
     /* 124719 */     // GIR_Coverage, 17625,
     /* 124719 */     GIR_EraseRootFromParent_Done,
     /* 124720 */   // Label 2718: @124720
     /* 124720 */   GIM_Try, /*On fail goto*//*Label 2719*/ GIMT_Encode4(124787), // Rule ID 802 //
     /* 124725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 124728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 124732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 124736 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 124739 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 124743 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 124747 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 124751 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 124755 */     // MIs[2] Operand 1
     /* 124755 */     // No operand predicates
     /* 124755 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 124757 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 124764 */     // (rotr:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (imm:{ *:[i8] }):$src2)  =>  (ROR32mi_ND:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 124764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR32mi_ND),
     /* 124767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124769 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 124773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 124776 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 124779 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 124785 */     GIR_RootConstrainSelectedInstOperands,
     /* 124786 */     // GIR_Coverage, 802,
     /* 124786 */     GIR_EraseRootFromParent_Done,
     /* 124787 */   // Label 2719: @124787
     /* 124787 */   GIM_Try, /*On fail goto*//*Label 2720*/ GIMT_Encode4(124851), // Rule ID 17647 //
     /* 124792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_NoEGPR),
     /* 124795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 124799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 124803 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 124806 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 124810 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 124814 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 124818 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 124822 */     // MIs[2] Operand 1
     /* 124822 */     // No operand predicates
     /* 124822 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 124824 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 124831 */     // (rotr:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (imm:{ *:[i8] }):$shamt)  =>  (RORX32mi:{ *:[i32] } addr:{ *:[iPTR] }:$src, (imm:{ *:[i8] }):$shamt)
     /* 124831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RORX32mi),
     /* 124834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124836 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 124840 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 124843 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 124849 */     GIR_RootConstrainSelectedInstOperands,
     /* 124850 */     // GIR_Coverage, 17647,
     /* 124850 */     GIR_EraseRootFromParent_Done,
     /* 124851 */   // Label 2720: @124851
     /* 124851 */   GIM_Try, /*On fail goto*//*Label 2721*/ GIMT_Encode4(124915), // Rule ID 17679 //
     /* 124856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_HasEGPR),
     /* 124859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 124863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 124867 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 124870 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 124874 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 124878 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 124882 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 124886 */     // MIs[2] Operand 1
     /* 124886 */     // No operand predicates
     /* 124886 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 124888 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 124895 */     // (rotr:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (imm:{ *:[i8] }):$shamt)  =>  (RORX32mi_EVEX:{ *:[i32] } addr:{ *:[iPTR] }:$src, (imm:{ *:[i8] }):$shamt)
     /* 124895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RORX32mi_EVEX),
     /* 124898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124900 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 124904 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 124907 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 124913 */     GIR_RootConstrainSelectedInstOperands,
     /* 124914 */     // GIR_Coverage, 17679,
     /* 124914 */     GIR_EraseRootFromParent_Done,
     /* 124915 */   // Label 2721: @124915
     /* 124915 */   GIM_Try, /*On fail goto*//*Label 2722*/ GIMT_Encode4(124988), // Rule ID 818 //
     /* 124920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 124923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 124927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 124931 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 124934 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 124938 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 124942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 124946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 124948 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 124955 */     // (rotr:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, CL:{ *:[i8] })  =>  (ROR32mCL_ND:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 124955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 124959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 124969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR32mCL_ND),
     /* 124972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124974 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 124978 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 124981 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 124986 */     GIR_RootConstrainSelectedInstOperands,
     /* 124987 */     // GIR_Coverage, 818,
     /* 124987 */     GIR_EraseRootFromParent_Done,
     /* 124988 */   // Label 2722: @124988
     /* 124988 */   GIM_Try, /*On fail goto*//*Label 2723*/ GIMT_Encode4(125022), // Rule ID 17643 //
     /* 124993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_NoEGPR),
     /* 124996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 125000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 125004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 125008 */     // MIs[1] Operand 1
     /* 125008 */     // No operand predicates
     /* 125008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 125010 */     // (rotr:{ *:[i32] } GR32:{ *:[i32] }:$src, (imm:{ *:[i8] }):$shamt)  =>  (RORX32ri:{ *:[i32] } GR32:{ *:[i32] }:$src, (imm:{ *:[i8] }):$shamt)
     /* 125010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RORX32ri),
     /* 125013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125015 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 125017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // shamt
     /* 125020 */     GIR_RootConstrainSelectedInstOperands,
     /* 125021 */     // GIR_Coverage, 17643,
     /* 125021 */     GIR_EraseRootFromParent_Done,
     /* 125022 */   // Label 2723: @125022
     /* 125022 */   GIM_Try, /*On fail goto*//*Label 2724*/ GIMT_Encode4(125056), // Rule ID 17675 //
     /* 125027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_HasEGPR),
     /* 125030 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 125034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 125038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 125042 */     // MIs[1] Operand 1
     /* 125042 */     // No operand predicates
     /* 125042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 125044 */     // (rotr:{ *:[i32] } GR32:{ *:[i32] }:$src, (imm:{ *:[i8] }):$shamt)  =>  (RORX32ri_EVEX:{ *:[i32] } GR32:{ *:[i32] }:$src, (imm:{ *:[i8] }):$shamt)
     /* 125044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RORX32ri_EVEX),
     /* 125047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125049 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 125051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // shamt
     /* 125054 */     GIR_RootConstrainSelectedInstOperands,
     /* 125055 */     // GIR_Coverage, 17675,
     /* 125055 */     GIR_EraseRootFromParent_Done,
     /* 125056 */   // Label 2724: @125056
     /* 125056 */   GIM_Try, /*On fail goto*//*Label 2725*/ GIMT_Encode4(125093), // Rule ID 870 //
     /* 125061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFastSHLDRotate),
     /* 125064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 125068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 125072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 125076 */     // MIs[1] Operand 1
     /* 125076 */     // No operand predicates
     /* 125076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 125078 */     // (rotr:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$shamt)  =>  (SHRDROT32ri:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$shamt)
     /* 125078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRDROT32ri),
     /* 125081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125083 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 125085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // shamt
     /* 125088 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 125091 */     GIR_RootConstrainSelectedInstOperands,
     /* 125092 */     // GIR_Coverage, 870,
     /* 125092 */     GIR_EraseRootFromParent_Done,
     /* 125093 */   // Label 2725: @125093
     /* 125093 */   GIM_Try, /*On fail goto*//*Label 2726*/ GIMT_Encode4(125121), // Rule ID 17601 //
     /* 125098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 125101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 125105 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 31,
     /* 125109 */     // (rotr:{ *:[i32] } GR32:{ *:[i32] }:$src1, 31:{ *:[i8] })  =>  (ROL32r1:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /* 125109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL32r1),
     /* 125112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125114 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 125116 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 125119 */     GIR_RootConstrainSelectedInstOperands,
     /* 125120 */     // GIR_Coverage, 17601,
     /* 125120 */     GIR_EraseRootFromParent_Done,
     /* 125121 */   // Label 2726: @125121
     /* 125121 */   GIM_Try, /*On fail goto*//*Label 2727*/ GIMT_Encode4(125149), // Rule ID 17609 //
     /* 125126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 125129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 125133 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 31,
     /* 125137 */     // (rotr:{ *:[i32] } GR32:{ *:[i32] }:$src1, 31:{ *:[i8] })  =>  (ROL32r1_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /* 125137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL32r1_ND),
     /* 125140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125142 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 125144 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 125147 */     GIR_RootConstrainSelectedInstOperands,
     /* 125148 */     // GIR_Coverage, 17609,
     /* 125148 */     GIR_EraseRootFromParent_Done,
     /* 125149 */   // Label 2727: @125149
     /* 125149 */   GIM_Try, /*On fail goto*//*Label 2728*/ GIMT_Encode4(125186), // Rule ID 790 //
     /* 125154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 125157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 125161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 125165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 125169 */     // MIs[1] Operand 1
     /* 125169 */     // No operand predicates
     /* 125169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 125171 */     // (rotr:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (ROR32ri:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 125171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR32ri),
     /* 125174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125176 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 125178 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 125181 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 125184 */     GIR_RootConstrainSelectedInstOperands,
     /* 125185 */     // GIR_Coverage, 790,
     /* 125185 */     GIR_EraseRootFromParent_Done,
     /* 125186 */   // Label 2728: @125186
     /* 125186 */   GIM_Try, /*On fail goto*//*Label 2729*/ GIMT_Encode4(125223), // Rule ID 794 //
     /* 125191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 125194 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 125198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 125202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 125206 */     // MIs[1] Operand 1
     /* 125206 */     // No operand predicates
     /* 125206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 125208 */     // (rotr:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (ROR32ri_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 125208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR32ri_ND),
     /* 125211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125213 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 125215 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 125218 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 125221 */     GIR_RootConstrainSelectedInstOperands,
     /* 125222 */     // GIR_Coverage, 794,
     /* 125222 */     GIR_EraseRootFromParent_Done,
     /* 125223 */   // Label 2729: @125223
     /* 125223 */   GIM_Try, /*On fail goto*//*Label 2730*/ GIMT_Encode4(125265), // Rule ID 806 //
     /* 125228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 125231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 125235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 125239 */     // (rotr:{ *:[i32] } GR32:{ *:[i32] }:$src1, CL:{ *:[i8] })  =>  (ROR32rCL:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /* 125239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 125243 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125249 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 125253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR32rCL),
     /* 125256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125258 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 125260 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 125263 */     GIR_RootConstrainSelectedInstOperands,
     /* 125264 */     // GIR_Coverage, 806,
     /* 125264 */     GIR_EraseRootFromParent_Done,
     /* 125265 */   // Label 2730: @125265
     /* 125265 */   GIM_Try, /*On fail goto*//*Label 2731*/ GIMT_Encode4(125307), // Rule ID 810 //
     /* 125270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 125273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 125277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 125281 */     // (rotr:{ *:[i32] } GR32:{ *:[i32] }:$src1, CL:{ *:[i8] })  =>  (ROR32rCL_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /* 125281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 125285 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125291 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 125295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR32rCL_ND),
     /* 125298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125300 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 125302 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 125305 */     GIR_RootConstrainSelectedInstOperands,
     /* 125306 */     // GIR_Coverage, 810,
     /* 125306 */     GIR_EraseRootFromParent_Done,
     /* 125307 */   // Label 2731: @125307
     /* 125307 */   GIM_Reject,
     /* 125308 */ // Label 2717: @125308
     /* 125308 */ GIM_Reject,
     /* 125309 */ // Label 2689: @125309
     /* 125309 */ GIM_Try, /*On fail goto*//*Label 2732*/ GIMT_Encode4(125971),
     /* 125314 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 125317 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 125320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 125324 */   GIM_Try, /*On fail goto*//*Label 2733*/ GIMT_Encode4(125383), // Rule ID 17626 //
     /* 125329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 125332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 125336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 125340 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 125343 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 125347 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 125351 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 63,
     /* 125355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 125357 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 125364 */     // (rotr:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 63:{ *:[i8] })  =>  (ROL64m1_ND:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 125364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL64m1_ND),
     /* 125367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125369 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 125373 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 125376 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 125381 */     GIR_RootConstrainSelectedInstOperands,
     /* 125382 */     // GIR_Coverage, 17626,
     /* 125382 */     GIR_EraseRootFromParent_Done,
     /* 125383 */   // Label 2733: @125383
     /* 125383 */   GIM_Try, /*On fail goto*//*Label 2734*/ GIMT_Encode4(125450), // Rule ID 803 //
     /* 125388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 125391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 125395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 125399 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 125402 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 125406 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 125410 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 125414 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 125418 */     // MIs[2] Operand 1
     /* 125418 */     // No operand predicates
     /* 125418 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 125420 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 125427 */     // (rotr:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] }):$src2)  =>  (ROR64mi_ND:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 125427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR64mi_ND),
     /* 125430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125432 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 125436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 125439 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 125442 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 125448 */     GIR_RootConstrainSelectedInstOperands,
     /* 125449 */     // GIR_Coverage, 803,
     /* 125449 */     GIR_EraseRootFromParent_Done,
     /* 125450 */   // Label 2734: @125450
     /* 125450 */   GIM_Try, /*On fail goto*//*Label 2735*/ GIMT_Encode4(125514), // Rule ID 17648 //
     /* 125455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_NoEGPR),
     /* 125458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 125462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 125466 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 125469 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 125473 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 125477 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 125481 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 125485 */     // MIs[2] Operand 1
     /* 125485 */     // No operand predicates
     /* 125485 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 125487 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 125494 */     // (rotr:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] }):$shamt)  =>  (RORX64mi:{ *:[i64] } addr:{ *:[iPTR] }:$src, (imm:{ *:[i8] }):$shamt)
     /* 125494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RORX64mi),
     /* 125497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125499 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 125503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 125506 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 125512 */     GIR_RootConstrainSelectedInstOperands,
     /* 125513 */     // GIR_Coverage, 17648,
     /* 125513 */     GIR_EraseRootFromParent_Done,
     /* 125514 */   // Label 2735: @125514
     /* 125514 */   GIM_Try, /*On fail goto*//*Label 2736*/ GIMT_Encode4(125578), // Rule ID 17680 //
     /* 125519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_HasEGPR),
     /* 125522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 125526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 125530 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 125533 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 125537 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 125541 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 125545 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 125549 */     // MIs[2] Operand 1
     /* 125549 */     // No operand predicates
     /* 125549 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 125551 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 125558 */     // (rotr:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] }):$shamt)  =>  (RORX64mi_EVEX:{ *:[i64] } addr:{ *:[iPTR] }:$src, (imm:{ *:[i8] }):$shamt)
     /* 125558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RORX64mi_EVEX),
     /* 125561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125563 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 125567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 125570 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 125576 */     GIR_RootConstrainSelectedInstOperands,
     /* 125577 */     // GIR_Coverage, 17680,
     /* 125577 */     GIR_EraseRootFromParent_Done,
     /* 125578 */   // Label 2736: @125578
     /* 125578 */   GIM_Try, /*On fail goto*//*Label 2737*/ GIMT_Encode4(125651), // Rule ID 819 //
     /* 125583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 125586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 125590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 125594 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 125597 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 125601 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 125605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 125609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 125611 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 125618 */     // (rotr:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, CL:{ *:[i8] })  =>  (ROR64mCL_ND:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 125618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 125622 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125628 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 125632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR64mCL_ND),
     /* 125635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125637 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 125641 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 125644 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 125649 */     GIR_RootConstrainSelectedInstOperands,
     /* 125650 */     // GIR_Coverage, 819,
     /* 125650 */     GIR_EraseRootFromParent_Done,
     /* 125651 */   // Label 2737: @125651
     /* 125651 */   GIM_Try, /*On fail goto*//*Label 2738*/ GIMT_Encode4(125685), // Rule ID 17644 //
     /* 125656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_NoEGPR),
     /* 125659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 125663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 125667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 125671 */     // MIs[1] Operand 1
     /* 125671 */     // No operand predicates
     /* 125671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 125673 */     // (rotr:{ *:[i64] } GR64:{ *:[i64] }:$src, (imm:{ *:[i8] }):$shamt)  =>  (RORX64ri:{ *:[i64] } GR64:{ *:[i64] }:$src, (imm:{ *:[i8] }):$shamt)
     /* 125673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RORX64ri),
     /* 125676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125678 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 125680 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // shamt
     /* 125683 */     GIR_RootConstrainSelectedInstOperands,
     /* 125684 */     // GIR_Coverage, 17644,
     /* 125684 */     GIR_EraseRootFromParent_Done,
     /* 125685 */   // Label 2738: @125685
     /* 125685 */   GIM_Try, /*On fail goto*//*Label 2739*/ GIMT_Encode4(125719), // Rule ID 17676 //
     /* 125690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_HasEGPR),
     /* 125693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 125697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 125701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 125705 */     // MIs[1] Operand 1
     /* 125705 */     // No operand predicates
     /* 125705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 125707 */     // (rotr:{ *:[i64] } GR64:{ *:[i64] }:$src, (imm:{ *:[i8] }):$shamt)  =>  (RORX64ri_EVEX:{ *:[i64] } GR64:{ *:[i64] }:$src, (imm:{ *:[i8] }):$shamt)
     /* 125707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RORX64ri_EVEX),
     /* 125710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125712 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 125714 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // shamt
     /* 125717 */     GIR_RootConstrainSelectedInstOperands,
     /* 125718 */     // GIR_Coverage, 17676,
     /* 125718 */     GIR_EraseRootFromParent_Done,
     /* 125719 */   // Label 2739: @125719
     /* 125719 */   GIM_Try, /*On fail goto*//*Label 2740*/ GIMT_Encode4(125756), // Rule ID 871 //
     /* 125724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFastSHLDRotate),
     /* 125727 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 125731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 125735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 125739 */     // MIs[1] Operand 1
     /* 125739 */     // No operand predicates
     /* 125739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 125741 */     // (rotr:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$shamt)  =>  (SHRDROT64ri:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$shamt)
     /* 125741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRDROT64ri),
     /* 125744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125746 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 125748 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // shamt
     /* 125751 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 125754 */     GIR_RootConstrainSelectedInstOperands,
     /* 125755 */     // GIR_Coverage, 871,
     /* 125755 */     GIR_EraseRootFromParent_Done,
     /* 125756 */   // Label 2740: @125756
     /* 125756 */   GIM_Try, /*On fail goto*//*Label 2741*/ GIMT_Encode4(125784), // Rule ID 17602 //
     /* 125761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 125764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 125768 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 63,
     /* 125772 */     // (rotr:{ *:[i64] } GR64:{ *:[i64] }:$src1, 63:{ *:[i8] })  =>  (ROL64r1:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /* 125772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL64r1),
     /* 125775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125777 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 125779 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 125782 */     GIR_RootConstrainSelectedInstOperands,
     /* 125783 */     // GIR_Coverage, 17602,
     /* 125783 */     GIR_EraseRootFromParent_Done,
     /* 125784 */   // Label 2741: @125784
     /* 125784 */   GIM_Try, /*On fail goto*//*Label 2742*/ GIMT_Encode4(125812), // Rule ID 17610 //
     /* 125789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 125792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 125796 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 63,
     /* 125800 */     // (rotr:{ *:[i64] } GR64:{ *:[i64] }:$src1, 63:{ *:[i8] })  =>  (ROL64r1_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /* 125800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL64r1_ND),
     /* 125803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125805 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 125807 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 125810 */     GIR_RootConstrainSelectedInstOperands,
     /* 125811 */     // GIR_Coverage, 17610,
     /* 125811 */     GIR_EraseRootFromParent_Done,
     /* 125812 */   // Label 2742: @125812
     /* 125812 */   GIM_Try, /*On fail goto*//*Label 2743*/ GIMT_Encode4(125849), // Rule ID 791 //
     /* 125817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 125820 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 125824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 125828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 125832 */     // MIs[1] Operand 1
     /* 125832 */     // No operand predicates
     /* 125832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 125834 */     // (rotr:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (ROR64ri:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 125834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR64ri),
     /* 125837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125839 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 125841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 125844 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 125847 */     GIR_RootConstrainSelectedInstOperands,
     /* 125848 */     // GIR_Coverage, 791,
     /* 125848 */     GIR_EraseRootFromParent_Done,
     /* 125849 */   // Label 2743: @125849
     /* 125849 */   GIM_Try, /*On fail goto*//*Label 2744*/ GIMT_Encode4(125886), // Rule ID 795 //
     /* 125854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 125857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 125861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 125865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 125869 */     // MIs[1] Operand 1
     /* 125869 */     // No operand predicates
     /* 125869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 125871 */     // (rotr:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (ROR64ri_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 125871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR64ri_ND),
     /* 125874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125876 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 125878 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 125881 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 125884 */     GIR_RootConstrainSelectedInstOperands,
     /* 125885 */     // GIR_Coverage, 795,
     /* 125885 */     GIR_EraseRootFromParent_Done,
     /* 125886 */   // Label 2744: @125886
     /* 125886 */   GIM_Try, /*On fail goto*//*Label 2745*/ GIMT_Encode4(125928), // Rule ID 807 //
     /* 125891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 125894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 125898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 125902 */     // (rotr:{ *:[i64] } GR64:{ *:[i64] }:$src1, CL:{ *:[i8] })  =>  (ROR64rCL:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /* 125902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 125906 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125912 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 125916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR64rCL),
     /* 125919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125921 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 125923 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 125926 */     GIR_RootConstrainSelectedInstOperands,
     /* 125927 */     // GIR_Coverage, 807,
     /* 125927 */     GIR_EraseRootFromParent_Done,
     /* 125928 */   // Label 2745: @125928
     /* 125928 */   GIM_Try, /*On fail goto*//*Label 2746*/ GIMT_Encode4(125970), // Rule ID 811 //
     /* 125933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 125936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 125940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 125944 */     // (rotr:{ *:[i64] } GR64:{ *:[i64] }:$src1, CL:{ *:[i8] })  =>  (ROR64rCL_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /* 125944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 125948 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125954 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 125958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR64rCL_ND),
     /* 125961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125963 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 125965 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 125968 */     GIR_RootConstrainSelectedInstOperands,
     /* 125969 */     // GIR_Coverage, 811,
     /* 125969 */     GIR_EraseRootFromParent_Done,
     /* 125970 */   // Label 2746: @125970
     /* 125970 */   GIM_Reject,
     /* 125971 */ // Label 2732: @125971
     /* 125971 */ GIM_Reject,
     /* 125972 */ // Label 2690: @125972
     /* 125972 */ GIM_Try, /*On fail goto*//*Label 2747*/ GIMT_Encode4(126238),
     /* 125977 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 125980 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 125983 */   GIM_Try, /*On fail goto*//*Label 2748*/ GIMT_Encode4(126045), // Rule ID 8004 //
     /* 125988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 125991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 125995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 125999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 126003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 126007 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 126010 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 126014 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 126018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 126020 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 126027 */     // (rotr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPRORVQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 126027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPRORVQZ128rm),
     /* 126030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 126032 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 126034 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 126038 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 126043 */     GIR_RootConstrainSelectedInstOperands,
     /* 126044 */     // GIR_Coverage, 8004,
     /* 126044 */     GIR_EraseRootFromParent_Done,
     /* 126045 */   // Label 2748: @126045
     /* 126045 */   GIM_Try, /*On fail goto*//*Label 2749*/ GIMT_Encode4(126072), // Rule ID 8001 //
     /* 126050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 126053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 126057 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 126061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 126065 */     // (rotr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (VPRORVQZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)
     /* 126065 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPRORVQZ128rr),
     /* 126070 */     GIR_RootConstrainSelectedInstOperands,
     /* 126071 */     // GIR_Coverage, 8001,
     /* 126071 */     GIR_Done,
     /* 126072 */   // Label 2749: @126072
     /* 126072 */   GIM_Try, /*On fail goto*//*Label 2750*/ GIMT_Encode4(126237), // Rule ID 20803 //
     /* 126077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 126080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 126084 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 126088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 126092 */     // (rotr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (EXTRACT_SUBREG:{ *:[v2i64] } (VPRORVQZrr:{ *:[v8i64] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src1, sub_xmm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src2, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 126092 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /* 126095 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 126099 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 126106 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /* 126109 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 126113 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126118 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 126121 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 126125 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/11,
     /* 126128 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 126133 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 126138 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 126143 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 126146 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 126150 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126155 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 126157 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 126160 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 126164 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126169 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 126172 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 126176 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 126179 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 126184 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 126189 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 126194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s64,
     /* 126197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPRORVQZrr),
     /* 126201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126206 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 126209 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 126212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 126214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 126217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 126219 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 126226 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 126231 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 126236 */     // GIR_Coverage, 20803,
     /* 126236 */     GIR_EraseRootFromParent_Done,
     /* 126237 */   // Label 2750: @126237
     /* 126237 */   GIM_Reject,
     /* 126238 */ // Label 2747: @126238
     /* 126238 */ GIM_Reject,
     /* 126239 */ // Label 2691: @126239
     /* 126239 */ GIM_Try, /*On fail goto*//*Label 2751*/ GIMT_Encode4(126505),
     /* 126244 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 126247 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 126250 */   GIM_Try, /*On fail goto*//*Label 2752*/ GIMT_Encode4(126312), // Rule ID 7977 //
     /* 126255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 126258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 126262 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 126266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 126270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 126274 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 126277 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 126281 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 126285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 126287 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 126294 */     // (rotr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPRORVDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 126294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPRORVDZ128rm),
     /* 126297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 126299 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 126301 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 126305 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 126310 */     GIR_RootConstrainSelectedInstOperands,
     /* 126311 */     // GIR_Coverage, 7977,
     /* 126311 */     GIR_EraseRootFromParent_Done,
     /* 126312 */   // Label 2752: @126312
     /* 126312 */   GIM_Try, /*On fail goto*//*Label 2753*/ GIMT_Encode4(126339), // Rule ID 7974 //
     /* 126317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 126320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 126324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 126328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 126332 */     // (rotr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)  =>  (VPRORVDZ128rr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)
     /* 126332 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPRORVDZ128rr),
     /* 126337 */     GIR_RootConstrainSelectedInstOperands,
     /* 126338 */     // GIR_Coverage, 7974,
     /* 126338 */     GIR_Done,
     /* 126339 */   // Label 2753: @126339
     /* 126339 */   GIM_Try, /*On fail goto*//*Label 2754*/ GIMT_Encode4(126504), // Rule ID 20805 //
     /* 126344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 126347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 126351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 126355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 126359 */     // (rotr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)  =>  (EXTRACT_SUBREG:{ *:[v4i32] } (VPRORVDZrr:{ *:[v16i32] } (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR128X:{ *:[v4i32] }:$src1, sub_xmm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR128X:{ *:[v4i32] }:$src2, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 126359 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v16s32,
     /* 126362 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 126366 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 126373 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v16s32,
     /* 126376 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 126380 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126385 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 126388 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 126392 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/11,
     /* 126395 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 126400 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 126405 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 126410 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 126413 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 126417 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126422 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 126424 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s32,
     /* 126427 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 126431 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126436 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 126439 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 126443 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 126446 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 126451 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 126456 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 126461 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s32,
     /* 126464 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPRORVDZrr),
     /* 126468 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126473 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 126476 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 126479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 126481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 126484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 126486 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 126493 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 126498 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 126503 */     // GIR_Coverage, 20805,
     /* 126503 */     GIR_EraseRootFromParent_Done,
     /* 126504 */   // Label 2754: @126504
     /* 126504 */   GIM_Reject,
     /* 126505 */ // Label 2751: @126505
     /* 126505 */ GIM_Reject,
     /* 126506 */ // Label 2692: @126506
     /* 126506 */ GIM_Try, /*On fail goto*//*Label 2755*/ GIMT_Encode4(126756),
     /* 126511 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 126514 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 126517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 126521 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 126525 */   GIM_Try, /*On fail goto*//*Label 2756*/ GIMT_Encode4(126579), // Rule ID 7995 //
     /* 126530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 126533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 126537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 126541 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 126544 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 126548 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 126552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 126554 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 126561 */     // (rotr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPRORVQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 126561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPRORVQZ256rm),
     /* 126564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 126566 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 126568 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 126572 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 126577 */     GIR_RootConstrainSelectedInstOperands,
     /* 126578 */     // GIR_Coverage, 7995,
     /* 126578 */     GIR_EraseRootFromParent_Done,
     /* 126579 */   // Label 2756: @126579
     /* 126579 */   GIM_Try, /*On fail goto*//*Label 2757*/ GIMT_Encode4(126598), // Rule ID 7992 //
     /* 126584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 126587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 126591 */     // (rotr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (VPRORVQZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)
     /* 126591 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPRORVQZ256rr),
     /* 126596 */     GIR_RootConstrainSelectedInstOperands,
     /* 126597 */     // GIR_Coverage, 7992,
     /* 126597 */     GIR_Done,
     /* 126598 */   // Label 2757: @126598
     /* 126598 */   GIM_Try, /*On fail goto*//*Label 2758*/ GIMT_Encode4(126755), // Rule ID 20804 //
     /* 126603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 126606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 126610 */     // (rotr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (EXTRACT_SUBREG:{ *:[v4i64] } (VPRORVQZrr:{ *:[v8i64] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src1, sub_ymm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src2, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 126610 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /* 126613 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 126617 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126622 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 126624 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /* 126627 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 126631 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126636 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 126639 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 126643 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/12,
     /* 126646 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 126651 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 126656 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 126661 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 126664 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 126668 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 126675 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 126678 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 126682 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126687 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 126690 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 126694 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 126697 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 126702 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 126707 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 126712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s64,
     /* 126715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPRORVQZrr),
     /* 126719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126724 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 126727 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 126730 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 126732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 126735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 126737 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 126744 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 126749 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 126754 */     // GIR_Coverage, 20804,
     /* 126754 */     GIR_EraseRootFromParent_Done,
     /* 126755 */   // Label 2758: @126755
     /* 126755 */   GIM_Reject,
     /* 126756 */ // Label 2755: @126756
     /* 126756 */ GIM_Reject,
     /* 126757 */ // Label 2693: @126757
     /* 126757 */ GIM_Try, /*On fail goto*//*Label 2759*/ GIMT_Encode4(127007),
     /* 126762 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 126765 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 126768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 126772 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 126776 */   GIM_Try, /*On fail goto*//*Label 2760*/ GIMT_Encode4(126830), // Rule ID 7968 //
     /* 126781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 126784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 126788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 126792 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 126795 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 126799 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 126803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 126805 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 126812 */     // (rotr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPRORVDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 126812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPRORVDZ256rm),
     /* 126815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 126817 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 126819 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 126823 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 126828 */     GIR_RootConstrainSelectedInstOperands,
     /* 126829 */     // GIR_Coverage, 7968,
     /* 126829 */     GIR_EraseRootFromParent_Done,
     /* 126830 */   // Label 2760: @126830
     /* 126830 */   GIM_Try, /*On fail goto*//*Label 2761*/ GIMT_Encode4(126849), // Rule ID 7965 //
     /* 126835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 126838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 126842 */     // (rotr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)  =>  (VPRORVDZ256rr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)
     /* 126842 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPRORVDZ256rr),
     /* 126847 */     GIR_RootConstrainSelectedInstOperands,
     /* 126848 */     // GIR_Coverage, 7965,
     /* 126848 */     GIR_Done,
     /* 126849 */   // Label 2761: @126849
     /* 126849 */   GIM_Try, /*On fail goto*//*Label 2762*/ GIMT_Encode4(127006), // Rule ID 20806 //
     /* 126854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 126857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 126861 */     // (rotr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)  =>  (EXTRACT_SUBREG:{ *:[v8i32] } (VPRORVDZrr:{ *:[v16i32] } (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR256X:{ *:[v8i32] }:$src1, sub_ymm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR256X:{ *:[v8i32] }:$src2, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 126861 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v16s32,
     /* 126864 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 126868 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126873 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 126875 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v16s32,
     /* 126878 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 126882 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126887 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 126890 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 126894 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/12,
     /* 126897 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 126902 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 126907 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 126912 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 126915 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 126919 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 126926 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s32,
     /* 126929 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 126933 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126938 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 126941 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 126945 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 126948 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 126953 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 126958 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 126963 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s32,
     /* 126966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPRORVDZrr),
     /* 126970 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126975 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 126978 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 126981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 126983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 126986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 126988 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 126995 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 127000 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 127005 */     // GIR_Coverage, 20806,
     /* 127005 */     GIR_EraseRootFromParent_Done,
     /* 127006 */   // Label 2762: @127006
     /* 127006 */   GIM_Reject,
     /* 127007 */ // Label 2759: @127007
     /* 127007 */ GIM_Reject,
     /* 127008 */ // Label 2694: @127008
     /* 127008 */ GIM_Try, /*On fail goto*//*Label 2763*/ GIMT_Encode4(127101),
     /* 127013 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 127016 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /* 127019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 127023 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 127027 */   GIM_Try, /*On fail goto*//*Label 2764*/ GIMT_Encode4(127081), // Rule ID 7986 //
     /* 127032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 127035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 127039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 127043 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 127046 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 127050 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 127054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 127056 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 127063 */     // (rotr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPRORVQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 127063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPRORVQZrm),
     /* 127066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 127068 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 127070 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 127074 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 127079 */     GIR_RootConstrainSelectedInstOperands,
     /* 127080 */     // GIR_Coverage, 7986,
     /* 127080 */     GIR_EraseRootFromParent_Done,
     /* 127081 */   // Label 2764: @127081
     /* 127081 */   GIM_Try, /*On fail goto*//*Label 2765*/ GIMT_Encode4(127100), // Rule ID 7983 //
     /* 127086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 127089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 127093 */     // (rotr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)  =>  (VPRORVQZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)
     /* 127093 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPRORVQZrr),
     /* 127098 */     GIR_RootConstrainSelectedInstOperands,
     /* 127099 */     // GIR_Coverage, 7983,
     /* 127099 */     GIR_Done,
     /* 127100 */   // Label 2765: @127100
     /* 127100 */   GIM_Reject,
     /* 127101 */ // Label 2763: @127101
     /* 127101 */ GIM_Reject,
     /* 127102 */ // Label 2695: @127102
     /* 127102 */ GIM_Try, /*On fail goto*//*Label 2766*/ GIMT_Encode4(127195),
     /* 127107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 127110 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 127113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 127117 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 127121 */   GIM_Try, /*On fail goto*//*Label 2767*/ GIMT_Encode4(127175), // Rule ID 7959 //
     /* 127126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 127129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 127133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 127137 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 127140 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 127144 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 127148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 127150 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 127157 */     // (rotr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPRORVDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 127157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPRORVDZrm),
     /* 127160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 127162 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 127164 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 127168 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 127173 */     GIR_RootConstrainSelectedInstOperands,
     /* 127174 */     // GIR_Coverage, 7959,
     /* 127174 */     GIR_EraseRootFromParent_Done,
     /* 127175 */   // Label 2767: @127175
     /* 127175 */   GIM_Try, /*On fail goto*//*Label 2768*/ GIMT_Encode4(127194), // Rule ID 7956 //
     /* 127180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 127183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 127187 */     // (rotr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)  =>  (VPRORVDZrr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)
     /* 127187 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPRORVDZrr),
     /* 127192 */     GIR_RootConstrainSelectedInstOperands,
     /* 127193 */     // GIR_Coverage, 7956,
     /* 127193 */     GIR_Done,
     /* 127194 */   // Label 2768: @127194
     /* 127194 */   GIM_Reject,
     /* 127195 */ // Label 2766: @127195
     /* 127195 */ GIM_Reject,
     /* 127196 */ // Label 2696: @127196
     /* 127196 */ GIM_Reject,
     /* 127197 */ // Label 32: @127197
     /* 127197 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(20), /*)*//*default:*//*Label 2781*/ GIMT_Encode4(130916),
     /* 127208 */ /*GILLT_s8*//*Label 2769*/ GIMT_Encode4(127284),
     /* 127212 */ /*GILLT_s16*//*Label 2770*/ GIMT_Encode4(127714),
     /* 127216 */ /*GILLT_s32*//*Label 2771*/ GIMT_Encode4(128144),
     /* 127220 */ /*GILLT_s64*//*Label 2772*/ GIMT_Encode4(128611), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 127236 */ /*GILLT_v2s64*//*Label 2773*/ GIMT_Encode4(129078), GIMT_Encode4(0),
     /* 127244 */ /*GILLT_v4s32*//*Label 2774*/ GIMT_Encode4(129496),
     /* 127248 */ /*GILLT_v4s64*//*Label 2775*/ GIMT_Encode4(129914), GIMT_Encode4(0),
     /* 127256 */ /*GILLT_v8s16*//*Label 2776*/ GIMT_Encode4(130165),
     /* 127260 */ /*GILLT_v8s32*//*Label 2777*/ GIMT_Encode4(130321),
     /* 127264 */ /*GILLT_v8s64*//*Label 2778*/ GIMT_Encode4(130572), GIMT_Encode4(0),
     /* 127272 */ /*GILLT_v16s8*//*Label 2779*/ GIMT_Encode4(130666), GIMT_Encode4(0),
     /* 127280 */ /*GILLT_v16s32*//*Label 2780*/ GIMT_Encode4(130822),
     /* 127284 */ // Label 2769: @127284
     /* 127284 */ GIM_Try, /*On fail goto*//*Label 2782*/ GIMT_Encode4(127713),
     /* 127289 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 127292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 127295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 127299 */   GIM_Try, /*On fail goto*//*Label 2783*/ GIMT_Encode4(127358), // Rule ID 17619 //
     /* 127304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 127307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 127311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 127315 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 127318 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 127322 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /* 127326 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 7,
     /* 127330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 127332 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 127339 */     // (rotl:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, 7:{ *:[i8] })  =>  (ROR8m1_ND:{ *:[i8] }:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 127339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR8m1_ND),
     /* 127342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 127344 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 127348 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 127351 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 127356 */     GIR_RootConstrainSelectedInstOperands,
     /* 127357 */     // GIR_Coverage, 17619,
     /* 127357 */     GIR_EraseRootFromParent_Done,
     /* 127358 */   // Label 2783: @127358
     /* 127358 */   GIM_Try, /*On fail goto*//*Label 2784*/ GIMT_Encode4(127425), // Rule ID 768 //
     /* 127363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 127366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 127370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 127374 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 127377 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 127381 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /* 127385 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 127389 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 127393 */     // MIs[2] Operand 1
     /* 127393 */     // No operand predicates
     /* 127393 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 127395 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 127402 */     // (rotl:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, (imm:{ *:[i8] }):$src2)  =>  (ROL8mi_ND:{ *:[i8] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 127402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL8mi_ND),
     /* 127405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 127407 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 127411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 127414 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 127417 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 127423 */     GIR_RootConstrainSelectedInstOperands,
     /* 127424 */     // GIR_Coverage, 768,
     /* 127424 */     GIR_EraseRootFromParent_Done,
     /* 127425 */   // Label 2784: @127425
     /* 127425 */   GIM_Try, /*On fail goto*//*Label 2785*/ GIMT_Encode4(127498), // Rule ID 784 //
     /* 127430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 127433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 127437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 127441 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 127444 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 127448 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /* 127452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 127456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 127458 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 127465 */     // (rotl:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, CL:{ *:[i8] })  =>  (ROL8mCL_ND:{ *:[i8] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 127465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 127469 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 127475 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 127479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL8mCL_ND),
     /* 127482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 127484 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 127488 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 127491 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 127496 */     GIR_RootConstrainSelectedInstOperands,
     /* 127497 */     // GIR_Coverage, 784,
     /* 127497 */     GIR_EraseRootFromParent_Done,
     /* 127498 */   // Label 2785: @127498
     /* 127498 */   GIM_Try, /*On fail goto*//*Label 2786*/ GIMT_Encode4(127526), // Rule ID 17595 //
     /* 127503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 127506 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 127510 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 7,
     /* 127514 */     // (rotl:{ *:[i8] } GR8:{ *:[i8] }:$src1, 7:{ *:[i8] })  =>  (ROR8r1:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1)
     /* 127514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR8r1),
     /* 127517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 127519 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 127521 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 127524 */     GIR_RootConstrainSelectedInstOperands,
     /* 127525 */     // GIR_Coverage, 17595,
     /* 127525 */     GIR_EraseRootFromParent_Done,
     /* 127526 */   // Label 2786: @127526
     /* 127526 */   GIM_Try, /*On fail goto*//*Label 2787*/ GIMT_Encode4(127554), // Rule ID 17603 //
     /* 127531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 127534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 127538 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 7,
     /* 127542 */     // (rotl:{ *:[i8] } GR8:{ *:[i8] }:$src1, 7:{ *:[i8] })  =>  (ROR8r1_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1)
     /* 127542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR8r1_ND),
     /* 127545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 127547 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 127549 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 127552 */     GIR_RootConstrainSelectedInstOperands,
     /* 127553 */     // GIR_Coverage, 17603,
     /* 127553 */     GIR_EraseRootFromParent_Done,
     /* 127554 */   // Label 2787: @127554
     /* 127554 */   GIM_Try, /*On fail goto*//*Label 2788*/ GIMT_Encode4(127591), // Rule ID 756 //
     /* 127559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 127562 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 127566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 127570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 127574 */     // MIs[1] Operand 1
     /* 127574 */     // No operand predicates
     /* 127574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 127576 */     // (rotl:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (ROL8ri:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 127576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL8ri),
     /* 127579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 127581 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 127583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 127586 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 127589 */     GIR_RootConstrainSelectedInstOperands,
     /* 127590 */     // GIR_Coverage, 756,
     /* 127590 */     GIR_EraseRootFromParent_Done,
     /* 127591 */   // Label 2788: @127591
     /* 127591 */   GIM_Try, /*On fail goto*//*Label 2789*/ GIMT_Encode4(127628), // Rule ID 760 //
     /* 127596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 127599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 127603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 127607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 127611 */     // MIs[1] Operand 1
     /* 127611 */     // No operand predicates
     /* 127611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 127613 */     // (rotl:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (ROL8ri_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 127613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL8ri_ND),
     /* 127616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 127618 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 127620 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 127623 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 127626 */     GIR_RootConstrainSelectedInstOperands,
     /* 127627 */     // GIR_Coverage, 760,
     /* 127627 */     GIR_EraseRootFromParent_Done,
     /* 127628 */   // Label 2789: @127628
     /* 127628 */   GIM_Try, /*On fail goto*//*Label 2790*/ GIMT_Encode4(127670), // Rule ID 772 //
     /* 127633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 127636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 127640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 127644 */     // (rotl:{ *:[i8] } GR8:{ *:[i8] }:$src1, CL:{ *:[i8] })  =>  (ROL8rCL:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1)
     /* 127644 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 127648 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 127654 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 127658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL8rCL),
     /* 127661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 127663 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 127665 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 127668 */     GIR_RootConstrainSelectedInstOperands,
     /* 127669 */     // GIR_Coverage, 772,
     /* 127669 */     GIR_EraseRootFromParent_Done,
     /* 127670 */   // Label 2790: @127670
     /* 127670 */   GIM_Try, /*On fail goto*//*Label 2791*/ GIMT_Encode4(127712), // Rule ID 776 //
     /* 127675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 127678 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 127682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 127686 */     // (rotl:{ *:[i8] } GR8:{ *:[i8] }:$src1, CL:{ *:[i8] })  =>  (ROL8rCL_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1)
     /* 127686 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 127690 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 127696 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 127700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL8rCL_ND),
     /* 127703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 127705 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 127707 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 127710 */     GIR_RootConstrainSelectedInstOperands,
     /* 127711 */     // GIR_Coverage, 776,
     /* 127711 */     GIR_EraseRootFromParent_Done,
     /* 127712 */   // Label 2791: @127712
     /* 127712 */   GIM_Reject,
     /* 127713 */ // Label 2782: @127713
     /* 127713 */ GIM_Reject,
     /* 127714 */ // Label 2770: @127714
     /* 127714 */ GIM_Try, /*On fail goto*//*Label 2792*/ GIMT_Encode4(128143),
     /* 127719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 127722 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 127725 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 127729 */   GIM_Try, /*On fail goto*//*Label 2793*/ GIMT_Encode4(127788), // Rule ID 17620 //
     /* 127734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 127737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 127741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 127745 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 127748 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 127752 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 127756 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 15,
     /* 127760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 127762 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 127769 */     // (rotl:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, 15:{ *:[i8] })  =>  (ROR16m1_ND:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 127769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR16m1_ND),
     /* 127772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 127774 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 127778 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 127781 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 127786 */     GIR_RootConstrainSelectedInstOperands,
     /* 127787 */     // GIR_Coverage, 17620,
     /* 127787 */     GIR_EraseRootFromParent_Done,
     /* 127788 */   // Label 2793: @127788
     /* 127788 */   GIM_Try, /*On fail goto*//*Label 2794*/ GIMT_Encode4(127855), // Rule ID 769 //
     /* 127793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 127796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 127800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 127804 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 127807 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 127811 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 127815 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 127819 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 127823 */     // MIs[2] Operand 1
     /* 127823 */     // No operand predicates
     /* 127823 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 127825 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 127832 */     // (rotl:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, (imm:{ *:[i8] }):$src2)  =>  (ROL16mi_ND:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 127832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL16mi_ND),
     /* 127835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 127837 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 127841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 127844 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 127847 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 127853 */     GIR_RootConstrainSelectedInstOperands,
     /* 127854 */     // GIR_Coverage, 769,
     /* 127854 */     GIR_EraseRootFromParent_Done,
     /* 127855 */   // Label 2794: @127855
     /* 127855 */   GIM_Try, /*On fail goto*//*Label 2795*/ GIMT_Encode4(127928), // Rule ID 785 //
     /* 127860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 127863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 127867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 127871 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 127874 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 127878 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 127882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 127886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 127888 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 127895 */     // (rotl:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, CL:{ *:[i8] })  =>  (ROL16mCL_ND:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 127895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 127899 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 127905 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 127909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL16mCL_ND),
     /* 127912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 127914 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 127918 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 127921 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 127926 */     GIR_RootConstrainSelectedInstOperands,
     /* 127927 */     // GIR_Coverage, 785,
     /* 127927 */     GIR_EraseRootFromParent_Done,
     /* 127928 */   // Label 2795: @127928
     /* 127928 */   GIM_Try, /*On fail goto*//*Label 2796*/ GIMT_Encode4(127956), // Rule ID 17596 //
     /* 127933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 127936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 127940 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 15,
     /* 127944 */     // (rotl:{ *:[i16] } GR16:{ *:[i16] }:$src1, 15:{ *:[i8] })  =>  (ROR16r1:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /* 127944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR16r1),
     /* 127947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 127949 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 127951 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 127954 */     GIR_RootConstrainSelectedInstOperands,
     /* 127955 */     // GIR_Coverage, 17596,
     /* 127955 */     GIR_EraseRootFromParent_Done,
     /* 127956 */   // Label 2796: @127956
     /* 127956 */   GIM_Try, /*On fail goto*//*Label 2797*/ GIMT_Encode4(127984), // Rule ID 17604 //
     /* 127961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 127964 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 127968 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 15,
     /* 127972 */     // (rotl:{ *:[i16] } GR16:{ *:[i16] }:$src1, 15:{ *:[i8] })  =>  (ROR16r1_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /* 127972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR16r1_ND),
     /* 127975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 127977 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 127979 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 127982 */     GIR_RootConstrainSelectedInstOperands,
     /* 127983 */     // GIR_Coverage, 17604,
     /* 127983 */     GIR_EraseRootFromParent_Done,
     /* 127984 */   // Label 2797: @127984
     /* 127984 */   GIM_Try, /*On fail goto*//*Label 2798*/ GIMT_Encode4(128021), // Rule ID 757 //
     /* 127989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 127992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 127996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 128000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 128004 */     // MIs[1] Operand 1
     /* 128004 */     // No operand predicates
     /* 128004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 128006 */     // (rotl:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (ROL16ri:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 128006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL16ri),
     /* 128009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128011 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 128013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 128016 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128019 */     GIR_RootConstrainSelectedInstOperands,
     /* 128020 */     // GIR_Coverage, 757,
     /* 128020 */     GIR_EraseRootFromParent_Done,
     /* 128021 */   // Label 2798: @128021
     /* 128021 */   GIM_Try, /*On fail goto*//*Label 2799*/ GIMT_Encode4(128058), // Rule ID 761 //
     /* 128026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 128029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 128033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 128037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 128041 */     // MIs[1] Operand 1
     /* 128041 */     // No operand predicates
     /* 128041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 128043 */     // (rotl:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (ROL16ri_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 128043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL16ri_ND),
     /* 128046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128048 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 128050 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 128053 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128056 */     GIR_RootConstrainSelectedInstOperands,
     /* 128057 */     // GIR_Coverage, 761,
     /* 128057 */     GIR_EraseRootFromParent_Done,
     /* 128058 */   // Label 2799: @128058
     /* 128058 */   GIM_Try, /*On fail goto*//*Label 2800*/ GIMT_Encode4(128100), // Rule ID 773 //
     /* 128063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 128066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 128070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 128074 */     // (rotl:{ *:[i16] } GR16:{ *:[i16] }:$src1, CL:{ *:[i8] })  =>  (ROL16rCL:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /* 128074 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 128078 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 128084 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 128088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL16rCL),
     /* 128091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128093 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 128095 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128098 */     GIR_RootConstrainSelectedInstOperands,
     /* 128099 */     // GIR_Coverage, 773,
     /* 128099 */     GIR_EraseRootFromParent_Done,
     /* 128100 */   // Label 2800: @128100
     /* 128100 */   GIM_Try, /*On fail goto*//*Label 2801*/ GIMT_Encode4(128142), // Rule ID 777 //
     /* 128105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 128108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 128112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 128116 */     // (rotl:{ *:[i16] } GR16:{ *:[i16] }:$src1, CL:{ *:[i8] })  =>  (ROL16rCL_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /* 128116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 128120 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 128126 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 128130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL16rCL_ND),
     /* 128133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128135 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 128137 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128140 */     GIR_RootConstrainSelectedInstOperands,
     /* 128141 */     // GIR_Coverage, 777,
     /* 128141 */     GIR_EraseRootFromParent_Done,
     /* 128142 */   // Label 2801: @128142
     /* 128142 */   GIM_Reject,
     /* 128143 */ // Label 2792: @128143
     /* 128143 */ GIM_Reject,
     /* 128144 */ // Label 2771: @128144
     /* 128144 */ GIM_Try, /*On fail goto*//*Label 2802*/ GIMT_Encode4(128610),
     /* 128149 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 128152 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 128155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 128159 */   GIM_Try, /*On fail goto*//*Label 2803*/ GIMT_Encode4(128218), // Rule ID 17621 //
     /* 128164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 128167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 128171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 128175 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 128178 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 128182 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 128186 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 31,
     /* 128190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 128192 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 128199 */     // (rotl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, 31:{ *:[i8] })  =>  (ROR32m1_ND:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 128199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR32m1_ND),
     /* 128202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128204 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 128208 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128211 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 128216 */     GIR_RootConstrainSelectedInstOperands,
     /* 128217 */     // GIR_Coverage, 17621,
     /* 128217 */     GIR_EraseRootFromParent_Done,
     /* 128218 */   // Label 2803: @128218
     /* 128218 */   GIM_Try, /*On fail goto*//*Label 2804*/ GIMT_Encode4(128285), // Rule ID 770 //
     /* 128223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 128226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 128230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 128234 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 128237 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 128241 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 128245 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 128249 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 128253 */     // MIs[2] Operand 1
     /* 128253 */     // No operand predicates
     /* 128253 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 128255 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 128262 */     // (rotl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (imm:{ *:[i8] }):$src2)  =>  (ROL32mi_ND:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 128262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL32mi_ND),
     /* 128265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128267 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 128271 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 128274 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128277 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 128283 */     GIR_RootConstrainSelectedInstOperands,
     /* 128284 */     // GIR_Coverage, 770,
     /* 128284 */     GIR_EraseRootFromParent_Done,
     /* 128285 */   // Label 2804: @128285
     /* 128285 */   GIM_Try, /*On fail goto*//*Label 2805*/ GIMT_Encode4(128358), // Rule ID 786 //
     /* 128290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 128293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 128297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 128301 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 128304 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 128308 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 128312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 128316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 128318 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 128325 */     // (rotl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, CL:{ *:[i8] })  =>  (ROL32mCL_ND:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 128325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 128329 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 128335 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 128339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL32mCL_ND),
     /* 128342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128344 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 128348 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128351 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 128356 */     GIR_RootConstrainSelectedInstOperands,
     /* 128357 */     // GIR_Coverage, 786,
     /* 128357 */     GIR_EraseRootFromParent_Done,
     /* 128358 */   // Label 2805: @128358
     /* 128358 */   GIM_Try, /*On fail goto*//*Label 2806*/ GIMT_Encode4(128395), // Rule ID 868 //
     /* 128363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFastSHLDRotate),
     /* 128366 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 128370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 128374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 128378 */     // MIs[1] Operand 1
     /* 128378 */     // No operand predicates
     /* 128378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 128380 */     // (rotl:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$shamt)  =>  (SHLDROT32ri:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$shamt)
     /* 128380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLDROT32ri),
     /* 128383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128385 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 128387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // shamt
     /* 128390 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128393 */     GIR_RootConstrainSelectedInstOperands,
     /* 128394 */     // GIR_Coverage, 868,
     /* 128394 */     GIR_EraseRootFromParent_Done,
     /* 128395 */   // Label 2806: @128395
     /* 128395 */   GIM_Try, /*On fail goto*//*Label 2807*/ GIMT_Encode4(128423), // Rule ID 17597 //
     /* 128400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 128403 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 128407 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 31,
     /* 128411 */     // (rotl:{ *:[i32] } GR32:{ *:[i32] }:$src1, 31:{ *:[i8] })  =>  (ROR32r1:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /* 128411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR32r1),
     /* 128414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128416 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 128418 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128421 */     GIR_RootConstrainSelectedInstOperands,
     /* 128422 */     // GIR_Coverage, 17597,
     /* 128422 */     GIR_EraseRootFromParent_Done,
     /* 128423 */   // Label 2807: @128423
     /* 128423 */   GIM_Try, /*On fail goto*//*Label 2808*/ GIMT_Encode4(128451), // Rule ID 17605 //
     /* 128428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 128431 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 128435 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 31,
     /* 128439 */     // (rotl:{ *:[i32] } GR32:{ *:[i32] }:$src1, 31:{ *:[i8] })  =>  (ROR32r1_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /* 128439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR32r1_ND),
     /* 128442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128444 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 128446 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128449 */     GIR_RootConstrainSelectedInstOperands,
     /* 128450 */     // GIR_Coverage, 17605,
     /* 128450 */     GIR_EraseRootFromParent_Done,
     /* 128451 */   // Label 2808: @128451
     /* 128451 */   GIM_Try, /*On fail goto*//*Label 2809*/ GIMT_Encode4(128488), // Rule ID 758 //
     /* 128456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 128459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 128463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 128467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 128471 */     // MIs[1] Operand 1
     /* 128471 */     // No operand predicates
     /* 128471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 128473 */     // (rotl:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (ROL32ri:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 128473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL32ri),
     /* 128476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128478 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 128480 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 128483 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128486 */     GIR_RootConstrainSelectedInstOperands,
     /* 128487 */     // GIR_Coverage, 758,
     /* 128487 */     GIR_EraseRootFromParent_Done,
     /* 128488 */   // Label 2809: @128488
     /* 128488 */   GIM_Try, /*On fail goto*//*Label 2810*/ GIMT_Encode4(128525), // Rule ID 762 //
     /* 128493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 128496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 128500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 128504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 128508 */     // MIs[1] Operand 1
     /* 128508 */     // No operand predicates
     /* 128508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 128510 */     // (rotl:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (ROL32ri_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 128510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL32ri_ND),
     /* 128513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128515 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 128517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 128520 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128523 */     GIR_RootConstrainSelectedInstOperands,
     /* 128524 */     // GIR_Coverage, 762,
     /* 128524 */     GIR_EraseRootFromParent_Done,
     /* 128525 */   // Label 2810: @128525
     /* 128525 */   GIM_Try, /*On fail goto*//*Label 2811*/ GIMT_Encode4(128567), // Rule ID 774 //
     /* 128530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 128533 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 128537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 128541 */     // (rotl:{ *:[i32] } GR32:{ *:[i32] }:$src1, CL:{ *:[i8] })  =>  (ROL32rCL:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /* 128541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 128545 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 128551 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 128555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL32rCL),
     /* 128558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128560 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 128562 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128565 */     GIR_RootConstrainSelectedInstOperands,
     /* 128566 */     // GIR_Coverage, 774,
     /* 128566 */     GIR_EraseRootFromParent_Done,
     /* 128567 */   // Label 2811: @128567
     /* 128567 */   GIM_Try, /*On fail goto*//*Label 2812*/ GIMT_Encode4(128609), // Rule ID 778 //
     /* 128572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 128575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 128579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 128583 */     // (rotl:{ *:[i32] } GR32:{ *:[i32] }:$src1, CL:{ *:[i8] })  =>  (ROL32rCL_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /* 128583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 128587 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 128593 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 128597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL32rCL_ND),
     /* 128600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128602 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 128604 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128607 */     GIR_RootConstrainSelectedInstOperands,
     /* 128608 */     // GIR_Coverage, 778,
     /* 128608 */     GIR_EraseRootFromParent_Done,
     /* 128609 */   // Label 2812: @128609
     /* 128609 */   GIM_Reject,
     /* 128610 */ // Label 2802: @128610
     /* 128610 */ GIM_Reject,
     /* 128611 */ // Label 2772: @128611
     /* 128611 */ GIM_Try, /*On fail goto*//*Label 2813*/ GIMT_Encode4(129077),
     /* 128616 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 128619 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 128622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 128626 */   GIM_Try, /*On fail goto*//*Label 2814*/ GIMT_Encode4(128685), // Rule ID 17622 //
     /* 128631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 128634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 128638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 128642 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 128645 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 128649 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 128653 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 63,
     /* 128657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 128659 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 128666 */     // (rotl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 63:{ *:[i8] })  =>  (ROR64m1_ND:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 128666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR64m1_ND),
     /* 128669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128671 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 128675 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128678 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 128683 */     GIR_RootConstrainSelectedInstOperands,
     /* 128684 */     // GIR_Coverage, 17622,
     /* 128684 */     GIR_EraseRootFromParent_Done,
     /* 128685 */   // Label 2814: @128685
     /* 128685 */   GIM_Try, /*On fail goto*//*Label 2815*/ GIMT_Encode4(128752), // Rule ID 771 //
     /* 128690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 128693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 128697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 128701 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 128704 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 128708 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 128712 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 128716 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 128720 */     // MIs[2] Operand 1
     /* 128720 */     // No operand predicates
     /* 128720 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 128722 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 128729 */     // (rotl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] }):$src2)  =>  (ROL64mi_ND:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 128729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL64mi_ND),
     /* 128732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128734 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 128738 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 128741 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128744 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 128750 */     GIR_RootConstrainSelectedInstOperands,
     /* 128751 */     // GIR_Coverage, 771,
     /* 128751 */     GIR_EraseRootFromParent_Done,
     /* 128752 */   // Label 2815: @128752
     /* 128752 */   GIM_Try, /*On fail goto*//*Label 2816*/ GIMT_Encode4(128825), // Rule ID 787 //
     /* 128757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 128760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 128764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 128768 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 128771 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 128775 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 128779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 128783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 128785 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 128792 */     // (rotl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, CL:{ *:[i8] })  =>  (ROL64mCL_ND:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 128792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 128796 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 128802 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 128806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL64mCL_ND),
     /* 128809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128811 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 128815 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128818 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 128823 */     GIR_RootConstrainSelectedInstOperands,
     /* 128824 */     // GIR_Coverage, 787,
     /* 128824 */     GIR_EraseRootFromParent_Done,
     /* 128825 */   // Label 2816: @128825
     /* 128825 */   GIM_Try, /*On fail goto*//*Label 2817*/ GIMT_Encode4(128862), // Rule ID 869 //
     /* 128830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFastSHLDRotate),
     /* 128833 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 128837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 128841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 128845 */     // MIs[1] Operand 1
     /* 128845 */     // No operand predicates
     /* 128845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 128847 */     // (rotl:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$shamt)  =>  (SHLDROT64ri:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$shamt)
     /* 128847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLDROT64ri),
     /* 128850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128852 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 128854 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // shamt
     /* 128857 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128860 */     GIR_RootConstrainSelectedInstOperands,
     /* 128861 */     // GIR_Coverage, 869,
     /* 128861 */     GIR_EraseRootFromParent_Done,
     /* 128862 */   // Label 2817: @128862
     /* 128862 */   GIM_Try, /*On fail goto*//*Label 2818*/ GIMT_Encode4(128890), // Rule ID 17598 //
     /* 128867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 128870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 128874 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 63,
     /* 128878 */     // (rotl:{ *:[i64] } GR64:{ *:[i64] }:$src1, 63:{ *:[i8] })  =>  (ROR64r1:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /* 128878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR64r1),
     /* 128881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128883 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 128885 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128888 */     GIR_RootConstrainSelectedInstOperands,
     /* 128889 */     // GIR_Coverage, 17598,
     /* 128889 */     GIR_EraseRootFromParent_Done,
     /* 128890 */   // Label 2818: @128890
     /* 128890 */   GIM_Try, /*On fail goto*//*Label 2819*/ GIMT_Encode4(128918), // Rule ID 17606 //
     /* 128895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 128898 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 128902 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 63,
     /* 128906 */     // (rotl:{ *:[i64] } GR64:{ *:[i64] }:$src1, 63:{ *:[i8] })  =>  (ROR64r1_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /* 128906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR64r1_ND),
     /* 128909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128911 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 128913 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128916 */     GIR_RootConstrainSelectedInstOperands,
     /* 128917 */     // GIR_Coverage, 17606,
     /* 128917 */     GIR_EraseRootFromParent_Done,
     /* 128918 */   // Label 2819: @128918
     /* 128918 */   GIM_Try, /*On fail goto*//*Label 2820*/ GIMT_Encode4(128955), // Rule ID 759 //
     /* 128923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 128926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 128930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 128934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 128938 */     // MIs[1] Operand 1
     /* 128938 */     // No operand predicates
     /* 128938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 128940 */     // (rotl:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (ROL64ri:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 128940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL64ri),
     /* 128943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128945 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 128947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 128950 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128953 */     GIR_RootConstrainSelectedInstOperands,
     /* 128954 */     // GIR_Coverage, 759,
     /* 128954 */     GIR_EraseRootFromParent_Done,
     /* 128955 */   // Label 2820: @128955
     /* 128955 */   GIM_Try, /*On fail goto*//*Label 2821*/ GIMT_Encode4(128992), // Rule ID 763 //
     /* 128960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 128963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 128967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 128971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 128975 */     // MIs[1] Operand 1
     /* 128975 */     // No operand predicates
     /* 128975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 128977 */     // (rotl:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (ROL64ri_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 128977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL64ri_ND),
     /* 128980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128982 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 128984 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 128987 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128990 */     GIR_RootConstrainSelectedInstOperands,
     /* 128991 */     // GIR_Coverage, 763,
     /* 128991 */     GIR_EraseRootFromParent_Done,
     /* 128992 */   // Label 2821: @128992
     /* 128992 */   GIM_Try, /*On fail goto*//*Label 2822*/ GIMT_Encode4(129034), // Rule ID 775 //
     /* 128997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 129000 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 129004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 129008 */     // (rotl:{ *:[i64] } GR64:{ *:[i64] }:$src1, CL:{ *:[i8] })  =>  (ROL64rCL:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /* 129008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 129012 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129018 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 129022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL64rCL),
     /* 129025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 129027 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 129029 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 129032 */     GIR_RootConstrainSelectedInstOperands,
     /* 129033 */     // GIR_Coverage, 775,
     /* 129033 */     GIR_EraseRootFromParent_Done,
     /* 129034 */   // Label 2822: @129034
     /* 129034 */   GIM_Try, /*On fail goto*//*Label 2823*/ GIMT_Encode4(129076), // Rule ID 779 //
     /* 129039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 129042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 129046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 129050 */     // (rotl:{ *:[i64] } GR64:{ *:[i64] }:$src1, CL:{ *:[i8] })  =>  (ROL64rCL_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /* 129050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 129054 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129060 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 129064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL64rCL_ND),
     /* 129067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 129069 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 129071 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 129074 */     GIR_RootConstrainSelectedInstOperands,
     /* 129075 */     // GIR_Coverage, 779,
     /* 129075 */     GIR_EraseRootFromParent_Done,
     /* 129076 */   // Label 2823: @129076
     /* 129076 */   GIM_Reject,
     /* 129077 */ // Label 2813: @129077
     /* 129077 */ GIM_Reject,
     /* 129078 */ // Label 2773: @129078
     /* 129078 */ GIM_Try, /*On fail goto*//*Label 2824*/ GIMT_Encode4(129495),
     /* 129083 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 129086 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 129089 */   GIM_Try, /*On fail goto*//*Label 2825*/ GIMT_Encode4(129151), // Rule ID 1582 //
     /* 129094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /* 129097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 129101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 129105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 129109 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 129112 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 129116 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 129120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 129124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 129126 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 129133 */     // (rotl:{ *:[v2i64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2i64] }:$src2)  =>  (VPROTQmr:{ *:[v2i64] } addr:{ *:[iPTR] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /* 129133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPROTQmr),
     /* 129136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 129138 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 129142 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 129144 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 129149 */     GIR_RootConstrainSelectedInstOperands,
     /* 129150 */     // GIR_Coverage, 1582,
     /* 129150 */     GIR_EraseRootFromParent_Done,
     /* 129151 */   // Label 2825: @129151
     /* 129151 */   GIM_Try, /*On fail goto*//*Label 2826*/ GIMT_Encode4(129213), // Rule ID 1581 //
     /* 129156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /* 129159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 129163 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 129167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 129171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 129175 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 129178 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 129182 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 129186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 129188 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 129195 */     // (rotl:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPROTQrm:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 129195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPROTQrm),
     /* 129198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 129200 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 129202 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 129206 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 129211 */     GIR_RootConstrainSelectedInstOperands,
     /* 129212 */     // GIR_Coverage, 1581,
     /* 129212 */     GIR_EraseRootFromParent_Done,
     /* 129213 */   // Label 2826: @129213
     /* 129213 */   GIM_Try, /*On fail goto*//*Label 2827*/ GIMT_Encode4(129275), // Rule ID 8058 //
     /* 129218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 129221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 129225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 129229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 129233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 129237 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 129240 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 129244 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 129248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 129250 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 129257 */     // (rotl:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPROLVQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 129257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPROLVQZ128rm),
     /* 129260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 129262 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 129264 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 129268 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 129273 */     GIR_RootConstrainSelectedInstOperands,
     /* 129274 */     // GIR_Coverage, 8058,
     /* 129274 */     GIR_EraseRootFromParent_Done,
     /* 129275 */   // Label 2827: @129275
     /* 129275 */   GIM_Try, /*On fail goto*//*Label 2828*/ GIMT_Encode4(129302), // Rule ID 1580 //
     /* 129280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /* 129283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 129287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 129291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 129295 */     // (rotl:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (VPROTQrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /* 129295 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPROTQrr),
     /* 129300 */     GIR_RootConstrainSelectedInstOperands,
     /* 129301 */     // GIR_Coverage, 1580,
     /* 129301 */     GIR_Done,
     /* 129302 */   // Label 2828: @129302
     /* 129302 */   GIM_Try, /*On fail goto*//*Label 2829*/ GIMT_Encode4(129329), // Rule ID 8055 //
     /* 129307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 129310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 129314 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 129318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 129322 */     // (rotl:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (VPROLVQZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)
     /* 129322 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPROLVQZ128rr),
     /* 129327 */     GIR_RootConstrainSelectedInstOperands,
     /* 129328 */     // GIR_Coverage, 8055,
     /* 129328 */     GIR_Done,
     /* 129329 */   // Label 2829: @129329
     /* 129329 */   GIM_Try, /*On fail goto*//*Label 2830*/ GIMT_Encode4(129494), // Rule ID 20795 //
     /* 129334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 129337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 129341 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 129345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 129349 */     // (rotl:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (EXTRACT_SUBREG:{ *:[v2i64] } (VPROLVQZrr:{ *:[v8i64] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src1, sub_xmm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src2, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 129349 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /* 129352 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 129356 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 129363 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /* 129366 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 129370 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129375 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 129378 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 129382 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/11,
     /* 129385 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 129390 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 129395 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 129400 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 129403 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 129407 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129412 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 129414 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 129417 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 129421 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129426 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 129429 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 129433 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 129436 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 129441 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 129446 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 129451 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s64,
     /* 129454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPROLVQZrr),
     /* 129458 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129463 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 129466 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 129469 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 129474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 129476 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 129483 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 129488 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 129493 */     // GIR_Coverage, 20795,
     /* 129493 */     GIR_EraseRootFromParent_Done,
     /* 129494 */   // Label 2830: @129494
     /* 129494 */   GIM_Reject,
     /* 129495 */ // Label 2824: @129495
     /* 129495 */ GIM_Reject,
     /* 129496 */ // Label 2774: @129496
     /* 129496 */ GIM_Try, /*On fail goto*//*Label 2831*/ GIMT_Encode4(129913),
     /* 129501 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 129504 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 129507 */   GIM_Try, /*On fail goto*//*Label 2832*/ GIMT_Encode4(129569), // Rule ID 1579 //
     /* 129512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /* 129515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 129519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 129523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 129527 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 129530 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 129534 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 129538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 129542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 129544 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 129551 */     // (rotl:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src2)  =>  (VPROTDmr:{ *:[v4i32] } addr:{ *:[iPTR] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /* 129551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPROTDmr),
     /* 129554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 129556 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 129560 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 129562 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 129567 */     GIR_RootConstrainSelectedInstOperands,
     /* 129568 */     // GIR_Coverage, 1579,
     /* 129568 */     GIR_EraseRootFromParent_Done,
     /* 129569 */   // Label 2832: @129569
     /* 129569 */   GIM_Try, /*On fail goto*//*Label 2833*/ GIMT_Encode4(129631), // Rule ID 1578 //
     /* 129574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /* 129577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 129581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 129585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 129589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 129593 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 129596 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 129600 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 129604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 129606 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 129613 */     // (rotl:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPROTDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 129613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPROTDrm),
     /* 129616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 129618 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 129620 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 129624 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 129629 */     GIR_RootConstrainSelectedInstOperands,
     /* 129630 */     // GIR_Coverage, 1578,
     /* 129630 */     GIR_EraseRootFromParent_Done,
     /* 129631 */   // Label 2833: @129631
     /* 129631 */   GIM_Try, /*On fail goto*//*Label 2834*/ GIMT_Encode4(129693), // Rule ID 8031 //
     /* 129636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 129639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 129643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 129647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 129651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 129655 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 129658 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 129662 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 129666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 129668 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 129675 */     // (rotl:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPROLVDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 129675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPROLVDZ128rm),
     /* 129678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 129680 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 129682 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 129686 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 129691 */     GIR_RootConstrainSelectedInstOperands,
     /* 129692 */     // GIR_Coverage, 8031,
     /* 129692 */     GIR_EraseRootFromParent_Done,
     /* 129693 */   // Label 2834: @129693
     /* 129693 */   GIM_Try, /*On fail goto*//*Label 2835*/ GIMT_Encode4(129720), // Rule ID 1577 //
     /* 129698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /* 129701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 129705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 129709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 129713 */     // (rotl:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (VPROTDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /* 129713 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPROTDrr),
     /* 129718 */     GIR_RootConstrainSelectedInstOperands,
     /* 129719 */     // GIR_Coverage, 1577,
     /* 129719 */     GIR_Done,
     /* 129720 */   // Label 2835: @129720
     /* 129720 */   GIM_Try, /*On fail goto*//*Label 2836*/ GIMT_Encode4(129747), // Rule ID 8028 //
     /* 129725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 129728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 129732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 129736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 129740 */     // (rotl:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)  =>  (VPROLVDZ128rr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)
     /* 129740 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPROLVDZ128rr),
     /* 129745 */     GIR_RootConstrainSelectedInstOperands,
     /* 129746 */     // GIR_Coverage, 8028,
     /* 129746 */     GIR_Done,
     /* 129747 */   // Label 2836: @129747
     /* 129747 */   GIM_Try, /*On fail goto*//*Label 2837*/ GIMT_Encode4(129912), // Rule ID 20797 //
     /* 129752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 129755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 129759 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 129763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 129767 */     // (rotl:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)  =>  (EXTRACT_SUBREG:{ *:[v4i32] } (VPROLVDZrr:{ *:[v16i32] } (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR128X:{ *:[v4i32] }:$src1, sub_xmm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR128X:{ *:[v4i32] }:$src2, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 129767 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v16s32,
     /* 129770 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 129774 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129779 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 129781 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v16s32,
     /* 129784 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 129788 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129793 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 129796 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 129800 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/11,
     /* 129803 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 129808 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 129813 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 129818 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 129821 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 129825 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 129832 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s32,
     /* 129835 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 129839 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129844 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 129847 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 129851 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 129854 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 129859 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 129864 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 129869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s32,
     /* 129872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPROLVDZrr),
     /* 129876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129881 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 129884 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 129887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 129892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 129894 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 129901 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 129906 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 129911 */     // GIR_Coverage, 20797,
     /* 129911 */     GIR_EraseRootFromParent_Done,
     /* 129912 */   // Label 2837: @129912
     /* 129912 */   GIM_Reject,
     /* 129913 */ // Label 2831: @129913
     /* 129913 */ GIM_Reject,
     /* 129914 */ // Label 2775: @129914
     /* 129914 */ GIM_Try, /*On fail goto*//*Label 2838*/ GIMT_Encode4(130164),
     /* 129919 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 129922 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 129925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 129929 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 129933 */   GIM_Try, /*On fail goto*//*Label 2839*/ GIMT_Encode4(129987), // Rule ID 8049 //
     /* 129938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 129941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 129945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 129949 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 129952 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 129956 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 129960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 129962 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 129969 */     // (rotl:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPROLVQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 129969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPROLVQZ256rm),
     /* 129972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 129974 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 129976 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 129980 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 129985 */     GIR_RootConstrainSelectedInstOperands,
     /* 129986 */     // GIR_Coverage, 8049,
     /* 129986 */     GIR_EraseRootFromParent_Done,
     /* 129987 */   // Label 2839: @129987
     /* 129987 */   GIM_Try, /*On fail goto*//*Label 2840*/ GIMT_Encode4(130006), // Rule ID 8046 //
     /* 129992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 129995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 129999 */     // (rotl:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (VPROLVQZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)
     /* 129999 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPROLVQZ256rr),
     /* 130004 */     GIR_RootConstrainSelectedInstOperands,
     /* 130005 */     // GIR_Coverage, 8046,
     /* 130005 */     GIR_Done,
     /* 130006 */   // Label 2840: @130006
     /* 130006 */   GIM_Try, /*On fail goto*//*Label 2841*/ GIMT_Encode4(130163), // Rule ID 20796 //
     /* 130011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 130014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 130018 */     // (rotl:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (EXTRACT_SUBREG:{ *:[v4i64] } (VPROLVQZrr:{ *:[v8i64] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src1, sub_ymm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src2, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 130018 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /* 130021 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 130025 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130030 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 130032 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /* 130035 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 130039 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130044 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 130047 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 130051 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/12,
     /* 130054 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 130059 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 130064 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 130069 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 130072 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 130076 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 130083 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 130086 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 130090 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130095 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 130098 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 130102 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 130105 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 130110 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 130115 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 130120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s64,
     /* 130123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPROLVQZrr),
     /* 130127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130132 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 130135 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 130138 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 130143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 130145 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 130152 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 130157 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 130162 */     // GIR_Coverage, 20796,
     /* 130162 */     GIR_EraseRootFromParent_Done,
     /* 130163 */   // Label 2841: @130163
     /* 130163 */   GIM_Reject,
     /* 130164 */ // Label 2838: @130164
     /* 130164 */ GIM_Reject,
     /* 130165 */ // Label 2776: @130165
     /* 130165 */ GIM_Try, /*On fail goto*//*Label 2842*/ GIMT_Encode4(130320),
     /* 130170 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 130173 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 130176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 130180 */   GIM_Try, /*On fail goto*//*Label 2843*/ GIMT_Encode4(130238), // Rule ID 1585 //
     /* 130185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /* 130188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 130192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 130196 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 130199 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 130203 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 130207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 130211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 130213 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 130220 */     // (rotl:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src2)  =>  (VPROTWmr:{ *:[v8i16] } addr:{ *:[iPTR] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 130220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPROTWmr),
     /* 130223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 130225 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 130229 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 130231 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 130236 */     GIR_RootConstrainSelectedInstOperands,
     /* 130237 */     // GIR_Coverage, 1585,
     /* 130237 */     GIR_EraseRootFromParent_Done,
     /* 130238 */   // Label 2843: @130238
     /* 130238 */   GIM_Try, /*On fail goto*//*Label 2844*/ GIMT_Encode4(130296), // Rule ID 1584 //
     /* 130243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /* 130246 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 130250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 130254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 130258 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 130261 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 130265 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 130269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 130271 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 130278 */     // (rotl:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPROTWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 130278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPROTWrm),
     /* 130281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 130283 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 130285 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 130289 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 130294 */     GIR_RootConstrainSelectedInstOperands,
     /* 130295 */     // GIR_Coverage, 1584,
     /* 130295 */     GIR_EraseRootFromParent_Done,
     /* 130296 */   // Label 2844: @130296
     /* 130296 */   GIM_Try, /*On fail goto*//*Label 2845*/ GIMT_Encode4(130319), // Rule ID 1583 //
     /* 130301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /* 130304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 130308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 130312 */     // (rotl:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPROTWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 130312 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPROTWrr),
     /* 130317 */     GIR_RootConstrainSelectedInstOperands,
     /* 130318 */     // GIR_Coverage, 1583,
     /* 130318 */     GIR_Done,
     /* 130319 */   // Label 2845: @130319
     /* 130319 */   GIM_Reject,
     /* 130320 */ // Label 2842: @130320
     /* 130320 */ GIM_Reject,
     /* 130321 */ // Label 2777: @130321
     /* 130321 */ GIM_Try, /*On fail goto*//*Label 2846*/ GIMT_Encode4(130571),
     /* 130326 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 130329 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 130332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 130336 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 130340 */   GIM_Try, /*On fail goto*//*Label 2847*/ GIMT_Encode4(130394), // Rule ID 8022 //
     /* 130345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 130348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 130352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 130356 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 130359 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 130363 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 130367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 130369 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 130376 */     // (rotl:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPROLVDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 130376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPROLVDZ256rm),
     /* 130379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 130381 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 130383 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 130387 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 130392 */     GIR_RootConstrainSelectedInstOperands,
     /* 130393 */     // GIR_Coverage, 8022,
     /* 130393 */     GIR_EraseRootFromParent_Done,
     /* 130394 */   // Label 2847: @130394
     /* 130394 */   GIM_Try, /*On fail goto*//*Label 2848*/ GIMT_Encode4(130413), // Rule ID 8019 //
     /* 130399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 130402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 130406 */     // (rotl:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)  =>  (VPROLVDZ256rr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)
     /* 130406 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPROLVDZ256rr),
     /* 130411 */     GIR_RootConstrainSelectedInstOperands,
     /* 130412 */     // GIR_Coverage, 8019,
     /* 130412 */     GIR_Done,
     /* 130413 */   // Label 2848: @130413
     /* 130413 */   GIM_Try, /*On fail goto*//*Label 2849*/ GIMT_Encode4(130570), // Rule ID 20798 //
     /* 130418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 130421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 130425 */     // (rotl:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)  =>  (EXTRACT_SUBREG:{ *:[v8i32] } (VPROLVDZrr:{ *:[v16i32] } (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR256X:{ *:[v8i32] }:$src1, sub_ymm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR256X:{ *:[v8i32] }:$src2, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 130425 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v16s32,
     /* 130428 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 130432 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130437 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 130439 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v16s32,
     /* 130442 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 130446 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130451 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 130454 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 130458 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/12,
     /* 130461 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 130466 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 130471 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 130476 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 130479 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 130483 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 130490 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s32,
     /* 130493 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 130497 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130502 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 130505 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 130509 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 130512 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 130517 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 130522 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 130527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s32,
     /* 130530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPROLVDZrr),
     /* 130534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130539 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 130542 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 130545 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 130550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 130552 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 130559 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 130564 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 130569 */     // GIR_Coverage, 20798,
     /* 130569 */     GIR_EraseRootFromParent_Done,
     /* 130570 */   // Label 2849: @130570
     /* 130570 */   GIM_Reject,
     /* 130571 */ // Label 2846: @130571
     /* 130571 */ GIM_Reject,
     /* 130572 */ // Label 2778: @130572
     /* 130572 */ GIM_Try, /*On fail goto*//*Label 2850*/ GIMT_Encode4(130665),
     /* 130577 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 130580 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /* 130583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 130587 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 130591 */   GIM_Try, /*On fail goto*//*Label 2851*/ GIMT_Encode4(130645), // Rule ID 8040 //
     /* 130596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 130599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 130603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 130607 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 130610 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 130614 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 130618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 130620 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 130627 */     // (rotl:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPROLVQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 130627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPROLVQZrm),
     /* 130630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 130632 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 130634 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 130638 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 130643 */     GIR_RootConstrainSelectedInstOperands,
     /* 130644 */     // GIR_Coverage, 8040,
     /* 130644 */     GIR_EraseRootFromParent_Done,
     /* 130645 */   // Label 2851: @130645
     /* 130645 */   GIM_Try, /*On fail goto*//*Label 2852*/ GIMT_Encode4(130664), // Rule ID 8037 //
     /* 130650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 130653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 130657 */     // (rotl:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)  =>  (VPROLVQZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)
     /* 130657 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPROLVQZrr),
     /* 130662 */     GIR_RootConstrainSelectedInstOperands,
     /* 130663 */     // GIR_Coverage, 8037,
     /* 130663 */     GIR_Done,
     /* 130664 */   // Label 2852: @130664
     /* 130664 */   GIM_Reject,
     /* 130665 */ // Label 2850: @130665
     /* 130665 */ GIM_Reject,
     /* 130666 */ // Label 2779: @130666
     /* 130666 */ GIM_Try, /*On fail goto*//*Label 2853*/ GIMT_Encode4(130821),
     /* 130671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 130674 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 130677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 130681 */   GIM_Try, /*On fail goto*//*Label 2854*/ GIMT_Encode4(130739), // Rule ID 1576 //
     /* 130686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /* 130689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 130693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 130697 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 130700 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 130704 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 130708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 130712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 130714 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 130721 */     // (rotl:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v16i8] }:$src2)  =>  (VPROTBmr:{ *:[v16i8] } addr:{ *:[iPTR] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /* 130721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPROTBmr),
     /* 130724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 130726 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 130730 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 130732 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 130737 */     GIR_RootConstrainSelectedInstOperands,
     /* 130738 */     // GIR_Coverage, 1576,
     /* 130738 */     GIR_EraseRootFromParent_Done,
     /* 130739 */   // Label 2854: @130739
     /* 130739 */   GIM_Try, /*On fail goto*//*Label 2855*/ GIMT_Encode4(130797), // Rule ID 1575 //
     /* 130744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /* 130747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 130751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 130755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 130759 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 130762 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 130766 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 130770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 130772 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 130779 */     // (rotl:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPROTBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 130779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPROTBrm),
     /* 130782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 130784 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 130786 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 130790 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 130795 */     GIR_RootConstrainSelectedInstOperands,
     /* 130796 */     // GIR_Coverage, 1575,
     /* 130796 */     GIR_EraseRootFromParent_Done,
     /* 130797 */   // Label 2855: @130797
     /* 130797 */   GIM_Try, /*On fail goto*//*Label 2856*/ GIMT_Encode4(130820), // Rule ID 1574 //
     /* 130802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /* 130805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 130809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 130813 */     // (rotl:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (VPROTBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /* 130813 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPROTBrr),
     /* 130818 */     GIR_RootConstrainSelectedInstOperands,
     /* 130819 */     // GIR_Coverage, 1574,
     /* 130819 */     GIR_Done,
     /* 130820 */   // Label 2856: @130820
     /* 130820 */   GIM_Reject,
     /* 130821 */ // Label 2853: @130821
     /* 130821 */ GIM_Reject,
     /* 130822 */ // Label 2780: @130822
     /* 130822 */ GIM_Try, /*On fail goto*//*Label 2857*/ GIMT_Encode4(130915),
     /* 130827 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 130830 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 130833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 130837 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 130841 */   GIM_Try, /*On fail goto*//*Label 2858*/ GIMT_Encode4(130895), // Rule ID 8013 //
     /* 130846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 130849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 130853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 130857 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 130860 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 130864 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 130868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 130870 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 130877 */     // (rotl:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPROLVDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 130877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPROLVDZrm),
     /* 130880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 130882 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 130884 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 130888 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 130893 */     GIR_RootConstrainSelectedInstOperands,
     /* 130894 */     // GIR_Coverage, 8013,
     /* 130894 */     GIR_EraseRootFromParent_Done,
     /* 130895 */   // Label 2858: @130895
     /* 130895 */   GIM_Try, /*On fail goto*//*Label 2859*/ GIMT_Encode4(130914), // Rule ID 8010 //
     /* 130900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 130903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 130907 */     // (rotl:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)  =>  (VPROLVDZrr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)
     /* 130907 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPROLVDZrr),
     /* 130912 */     GIR_RootConstrainSelectedInstOperands,
     /* 130913 */     // GIR_Coverage, 8010,
     /* 130913 */     GIR_Done,
     /* 130914 */   // Label 2859: @130914
     /* 130914 */   GIM_Reject,
     /* 130915 */ // Label 2857: @130915
     /* 130915 */ GIM_Reject,
     /* 130916 */ // Label 2781: @130916
     /* 130916 */ GIM_Reject,
     /* 130917 */ // Label 33: @130917
     /* 130917 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(7), GIMT_Encode2(24), /*)*//*default:*//*Label 2866*/ GIMT_Encode4(132573),
     /* 130928 */ /*GILLT_v2s1*//*Label 2860*/ GIMT_Encode4(130996), GIMT_Encode4(0),
     /* 130936 */ /*GILLT_v4s1*//*Label 2861*/ GIMT_Encode4(131157), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 130948 */ /*GILLT_v8s1*//*Label 2862*/ GIMT_Encode4(131504), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 130964 */ /*GILLT_v16s1*//*Label 2863*/ GIMT_Encode4(131901), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 130980 */ /*GILLT_v32s1*//*Label 2864*/ GIMT_Encode4(132298), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 130992 */ /*GILLT_v64s1*//*Label 2865*/ GIMT_Encode4(132522),
     /* 130996 */ // Label 2860: @130996
     /* 130996 */ GIM_Try, /*On fail goto*//*Label 2867*/ GIMT_Encode4(131156),
     /* 131001 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 131004 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 131007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /* 131011 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 131016 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 131020 */   GIM_Try, /*On fail goto*//*Label 2868*/ GIMT_Encode4(131051), // Rule ID 12605 //
     /* 131025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 131028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 131032 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 131038 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 131040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 131042 */     // (setcc:{ *:[v2i1] } immAllZerosV:{ *:[v2i64] }, VR128X:{ *:[v2i64] }:$src, SETGT:{ *:[Other] })  =>  (VPMOVQ2MZ128kr:{ *:[v2i1] } VR128X:{ *:[v2i64] }:$src)
     /* 131042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVQ2MZ128kr),
     /* 131045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 131047 */     GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 131049 */     GIR_RootConstrainSelectedInstOperands,
     /* 131050 */     // GIR_Coverage, 12605,
     /* 131050 */     GIR_EraseRootFromParent_Done,
     /* 131051 */   // Label 2868: @131051
     /* 131051 */   GIM_Try, /*On fail goto*//*Label 2869*/ GIMT_Encode4(131155), // Rule ID 21657 //
     /* 131056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasEVEX512_NoVLX),
     /* 131059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 131063 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 131069 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 131071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 131073 */     // (setcc:{ *:[v2i1] } immAllZerosV:{ *:[v2i64] }, VR128X:{ *:[v2i64] }:$src, SETGT:{ *:[Other] })  =>  (COPY_TO_REGCLASS:{ *:[v2i1] } (VPMOVQ2MZkr:{ *:[v8i1] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src, sub_xmm:{ *:[i32] })), VK2:{ *:[i32] })
     /* 131073 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 131076 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 131080 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131085 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 131087 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 131090 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 131094 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131099 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 131102 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src
     /* 131106 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 131109 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 131114 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 131119 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 131124 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s1,
     /* 131127 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMOVQ2MZkr),
     /* 131131 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131136 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 131139 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 131144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 131146 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131149 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK2RegClassID),
     /* 131154 */     // GIR_Coverage, 21657,
     /* 131154 */     GIR_EraseRootFromParent_Done,
     /* 131155 */   // Label 2869: @131155
     /* 131155 */   GIM_Reject,
     /* 131156 */ // Label 2867: @131156
     /* 131156 */ GIM_Reject,
     /* 131157 */ // Label 2861: @131157
     /* 131157 */ GIM_Try, /*On fail goto*//*Label 2870*/ GIMT_Encode4(131207), // Rule ID 12602 //
     /* 131162 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 131165 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 131168 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 131171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /* 131175 */   // MIs[0] Operand 1
     /* 131175 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 131180 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 131184 */   GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 131190 */   GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 131192 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 131196 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 131198 */   // (setcc:{ *:[v4i1] } immAllZerosV:{ *:[v4i32] }, VR128X:{ *:[v4i32] }:$src, SETGT:{ *:[Other] })  =>  (VPMOVD2MZ128kr:{ *:[v4i1] } VR128X:{ *:[v4i32] }:$src)
     /* 131198 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVD2MZ128kr),
     /* 131201 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 131203 */   GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 131205 */   GIR_RootConstrainSelectedInstOperands,
     /* 131206 */   // GIR_Coverage, 12602,
     /* 131206 */   GIR_EraseRootFromParent_Done,
     /* 131207 */ // Label 2870: @131207
     /* 131207 */ GIM_Try, /*On fail goto*//*Label 2871*/ GIMT_Encode4(131257), // Rule ID 12604 //
     /* 131212 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 131215 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 131218 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /* 131221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /* 131225 */   // MIs[0] Operand 1
     /* 131225 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 131230 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 131234 */   GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 131240 */   GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 131242 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 131246 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 131248 */   // (setcc:{ *:[v4i1] } immAllZerosV:{ *:[v4i64] }, VR256X:{ *:[v4i64] }:$src, SETGT:{ *:[Other] })  =>  (VPMOVQ2MZ256kr:{ *:[v4i1] } VR256X:{ *:[v4i64] }:$src)
     /* 131248 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVQ2MZ256kr),
     /* 131251 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 131253 */   GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 131255 */   GIR_RootConstrainSelectedInstOperands,
     /* 131256 */   // GIR_Coverage, 12604,
     /* 131256 */   GIR_EraseRootFromParent_Done,
     /* 131257 */ // Label 2871: @131257
     /* 131257 */ GIM_Try, /*On fail goto*//*Label 2872*/ GIMT_Encode4(131380), // Rule ID 21655 //
     /* 131262 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasEVEX512_NoVLX),
     /* 131265 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 131268 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 131271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /* 131275 */   // MIs[0] Operand 1
     /* 131275 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 131280 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 131284 */   GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 131290 */   GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 131292 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 131296 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 131298 */   // (setcc:{ *:[v4i1] } immAllZerosV:{ *:[v4i32] }, VR128X:{ *:[v4i32] }:$src, SETGT:{ *:[Other] })  =>  (COPY_TO_REGCLASS:{ *:[v4i1] } (VPMOVD2MZkr:{ *:[v16i1] } (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR128X:{ *:[v4i32] }:$src, sub_xmm:{ *:[i32] })), VK4:{ *:[i32] })
     /* 131298 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 131301 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 131305 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131310 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 131312 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s32,
     /* 131315 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 131319 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131324 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 131327 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src
     /* 131331 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 131334 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 131339 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 131344 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 131349 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /* 131352 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMOVD2MZkr),
     /* 131356 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131361 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 131364 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131366 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 131369 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 131371 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131374 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK4RegClassID),
     /* 131379 */   // GIR_Coverage, 21655,
     /* 131379 */   GIR_EraseRootFromParent_Done,
     /* 131380 */ // Label 2872: @131380
     /* 131380 */ GIM_Try, /*On fail goto*//*Label 2873*/ GIMT_Encode4(131503), // Rule ID 21656 //
     /* 131385 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasEVEX512_NoVLX),
     /* 131388 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 131391 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /* 131394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /* 131398 */   // MIs[0] Operand 1
     /* 131398 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 131403 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 131407 */   GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 131413 */   GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 131415 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 131419 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 131421 */   // (setcc:{ *:[v4i1] } immAllZerosV:{ *:[v4i64] }, VR256X:{ *:[v4i64] }:$src, SETGT:{ *:[Other] })  =>  (COPY_TO_REGCLASS:{ *:[v4i1] } (VPMOVQ2MZkr:{ *:[v8i1] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src, sub_ymm:{ *:[i32] })), VK4:{ *:[i32] })
     /* 131421 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 131424 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 131428 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131433 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 131435 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 131438 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 131442 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131447 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 131450 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src
     /* 131454 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 131457 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 131462 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 131467 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 131472 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s1,
     /* 131475 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMOVQ2MZkr),
     /* 131479 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131484 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 131487 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131489 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 131492 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 131494 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131497 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK4RegClassID),
     /* 131502 */   // GIR_Coverage, 21656,
     /* 131502 */   GIR_EraseRootFromParent_Done,
     /* 131503 */ // Label 2873: @131503
     /* 131503 */ GIM_Reject,
     /* 131504 */ // Label 2862: @131504
     /* 131504 */ GIM_Try, /*On fail goto*//*Label 2874*/ GIMT_Encode4(131554), // Rule ID 12599 //
     /* 131509 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 131512 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 131515 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 131518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /* 131522 */   // MIs[0] Operand 1
     /* 131522 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 131527 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 131531 */   GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 131537 */   GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 131539 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 131543 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 131545 */   // (setcc:{ *:[v8i1] } immAllZerosV:{ *:[v8i16] }, VR128X:{ *:[v8i16] }:$src, SETGT:{ *:[Other] })  =>  (VPMOVW2MZ128kr:{ *:[v8i1] } VR128X:{ *:[v8i16] }:$src)
     /* 131545 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVW2MZ128kr),
     /* 131548 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 131550 */   GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 131552 */   GIR_RootConstrainSelectedInstOperands,
     /* 131553 */   // GIR_Coverage, 12599,
     /* 131553 */   GIR_EraseRootFromParent_Done,
     /* 131554 */ // Label 2874: @131554
     /* 131554 */ GIM_Try, /*On fail goto*//*Label 2875*/ GIMT_Encode4(131604), // Rule ID 12601 //
     /* 131559 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 131562 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 131565 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 131568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /* 131572 */   // MIs[0] Operand 1
     /* 131572 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 131577 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 131581 */   GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 131587 */   GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 131589 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 131593 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 131595 */   // (setcc:{ *:[v8i1] } immAllZerosV:{ *:[v8i32] }, VR256X:{ *:[v8i32] }:$src, SETGT:{ *:[Other] })  =>  (VPMOVD2MZ256kr:{ *:[v8i1] } VR256X:{ *:[v8i32] }:$src)
     /* 131595 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVD2MZ256kr),
     /* 131598 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 131600 */   GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 131602 */   GIR_RootConstrainSelectedInstOperands,
     /* 131603 */   // GIR_Coverage, 12601,
     /* 131603 */   GIR_EraseRootFromParent_Done,
     /* 131604 */ // Label 2875: @131604
     /* 131604 */ GIM_Try, /*On fail goto*//*Label 2876*/ GIMT_Encode4(131654), // Rule ID 12603 //
     /* 131609 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /* 131612 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /* 131615 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s64,
     /* 131618 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /* 131622 */   // MIs[0] Operand 1
     /* 131622 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 131627 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 131631 */   GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 131637 */   GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 131639 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 131643 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 131645 */   // (setcc:{ *:[v8i1] } immAllZerosV:{ *:[v8i64] }, VR512:{ *:[v8i64] }:$src, SETGT:{ *:[Other] })  =>  (VPMOVQ2MZkr:{ *:[v8i1] } VR512:{ *:[v8i64] }:$src)
     /* 131645 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVQ2MZkr),
     /* 131648 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 131650 */   GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 131652 */   GIR_RootConstrainSelectedInstOperands,
     /* 131653 */   // GIR_Coverage, 12603,
     /* 131653 */   GIR_EraseRootFromParent_Done,
     /* 131654 */ // Label 2876: @131654
     /* 131654 */ GIM_Try, /*On fail goto*//*Label 2877*/ GIMT_Encode4(131777), // Rule ID 21653 //
     /* 131659 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEVEX512_NoVLX),
     /* 131662 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 131665 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 131668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /* 131672 */   // MIs[0] Operand 1
     /* 131672 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 131677 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 131681 */   GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 131687 */   GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 131689 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 131693 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 131695 */   // (setcc:{ *:[v8i1] } immAllZerosV:{ *:[v8i16] }, VR128X:{ *:[v8i16] }:$src, SETGT:{ *:[Other] })  =>  (COPY_TO_REGCLASS:{ *:[v8i1] } (VPMOVW2MZkr:{ *:[v32i1] } (INSERT_SUBREG:{ *:[v32i16] } (IMPLICIT_DEF:{ *:[v32i16] }), VR128X:{ *:[v8i16] }:$src, sub_xmm:{ *:[i32] })), VK8:{ *:[i32] })
     /* 131695 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v32s16,
     /* 131698 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 131702 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131707 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 131709 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v32s16,
     /* 131712 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 131716 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131721 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 131724 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src
     /* 131728 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 131731 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 131736 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 131741 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 131746 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v32s1,
     /* 131749 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMOVW2MZkr),
     /* 131753 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131758 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 131761 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131763 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 131766 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 131768 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131771 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK8RegClassID),
     /* 131776 */   // GIR_Coverage, 21653,
     /* 131776 */   GIR_EraseRootFromParent_Done,
     /* 131777 */ // Label 2877: @131777
     /* 131777 */ GIM_Try, /*On fail goto*//*Label 2878*/ GIMT_Encode4(131900), // Rule ID 21654 //
     /* 131782 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasEVEX512_NoVLX),
     /* 131785 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 131788 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 131791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /* 131795 */   // MIs[0] Operand 1
     /* 131795 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 131800 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 131804 */   GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 131810 */   GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 131812 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 131816 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 131818 */   // (setcc:{ *:[v8i1] } immAllZerosV:{ *:[v8i32] }, VR256X:{ *:[v8i32] }:$src, SETGT:{ *:[Other] })  =>  (COPY_TO_REGCLASS:{ *:[v8i1] } (VPMOVD2MZkr:{ *:[v16i1] } (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR256X:{ *:[v8i32] }:$src, sub_ymm:{ *:[i32] })), VK8:{ *:[i32] })
     /* 131818 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 131821 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 131825 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131830 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 131832 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s32,
     /* 131835 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 131839 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131844 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 131847 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src
     /* 131851 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 131854 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 131859 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 131864 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 131869 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /* 131872 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMOVD2MZkr),
     /* 131876 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131881 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 131884 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131886 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 131889 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 131891 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131894 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK8RegClassID),
     /* 131899 */   // GIR_Coverage, 21654,
     /* 131899 */   GIR_EraseRootFromParent_Done,
     /* 131900 */ // Label 2878: @131900
     /* 131900 */ GIM_Reject,
     /* 131901 */ // Label 2863: @131901
     /* 131901 */ GIM_Try, /*On fail goto*//*Label 2879*/ GIMT_Encode4(131951), // Rule ID 12596 //
     /* 131906 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 131909 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 131912 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 131915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 131919 */   // MIs[0] Operand 1
     /* 131919 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 131924 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 131928 */   GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 131934 */   GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 131936 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 131940 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 131942 */   // (setcc:{ *:[v16i1] } immAllZerosV:{ *:[v16i8] }, VR128X:{ *:[v16i8] }:$src, SETGT:{ *:[Other] })  =>  (VPMOVB2MZ128kr:{ *:[v16i1] } VR128X:{ *:[v16i8] }:$src)
     /* 131942 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVB2MZ128kr),
     /* 131945 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 131947 */   GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 131949 */   GIR_RootConstrainSelectedInstOperands,
     /* 131950 */   // GIR_Coverage, 12596,
     /* 131950 */   GIR_EraseRootFromParent_Done,
     /* 131951 */ // Label 2879: @131951
     /* 131951 */ GIM_Try, /*On fail goto*//*Label 2880*/ GIMT_Encode4(132001), // Rule ID 12598 //
     /* 131956 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 131959 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 131962 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /* 131965 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 131969 */   // MIs[0] Operand 1
     /* 131969 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 131974 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 131978 */   GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 131984 */   GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 131986 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 131990 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 131992 */   // (setcc:{ *:[v16i1] } immAllZerosV:{ *:[v16i16] }, VR256X:{ *:[v16i16] }:$src, SETGT:{ *:[Other] })  =>  (VPMOVW2MZ256kr:{ *:[v16i1] } VR256X:{ *:[v16i16] }:$src)
     /* 131992 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVW2MZ256kr),
     /* 131995 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 131997 */   GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 131999 */   GIR_RootConstrainSelectedInstOperands,
     /* 132000 */   // GIR_Coverage, 12598,
     /* 132000 */   GIR_EraseRootFromParent_Done,
     /* 132001 */ // Label 2880: @132001
     /* 132001 */ GIM_Try, /*On fail goto*//*Label 2881*/ GIMT_Encode4(132051), // Rule ID 12600 //
     /* 132006 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /* 132009 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 132012 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s32,
     /* 132015 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 132019 */   // MIs[0] Operand 1
     /* 132019 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 132024 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 132028 */   GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 132034 */   GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 132036 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 132040 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 132042 */   // (setcc:{ *:[v16i1] } immAllZerosV:{ *:[v16i32] }, VR512:{ *:[v16i32] }:$src, SETGT:{ *:[Other] })  =>  (VPMOVD2MZkr:{ *:[v16i1] } VR512:{ *:[v16i32] }:$src)
     /* 132042 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVD2MZkr),
     /* 132045 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 132047 */   GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 132049 */   GIR_RootConstrainSelectedInstOperands,
     /* 132050 */   // GIR_Coverage, 12600,
     /* 132050 */   GIR_EraseRootFromParent_Done,
     /* 132051 */ // Label 2881: @132051
     /* 132051 */ GIM_Try, /*On fail goto*//*Label 2882*/ GIMT_Encode4(132174), // Rule ID 21651 //
     /* 132056 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEVEX512_NoVLX),
     /* 132059 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 132062 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 132065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 132069 */   // MIs[0] Operand 1
     /* 132069 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 132074 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 132078 */   GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 132084 */   GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 132086 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 132090 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 132092 */   // (setcc:{ *:[v16i1] } immAllZerosV:{ *:[v16i8] }, VR128X:{ *:[v16i8] }:$src, SETGT:{ *:[Other] })  =>  (COPY_TO_REGCLASS:{ *:[v16i1] } (VPMOVB2MZkr:{ *:[v64i1] } (INSERT_SUBREG:{ *:[v64i8] } (IMPLICIT_DEF:{ *:[v64i8] }), VR128X:{ *:[v16i8] }:$src, sub_xmm:{ *:[i32] })), VK16:{ *:[i32] })
     /* 132092 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v64s8,
     /* 132095 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 132099 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132104 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 132106 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v64s8,
     /* 132109 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 132113 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132118 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 132121 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src
     /* 132125 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 132128 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 132133 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 132138 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 132143 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s1,
     /* 132146 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMOVB2MZkr),
     /* 132150 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132155 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 132158 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 132160 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 132163 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 132165 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 132168 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /* 132173 */   // GIR_Coverage, 21651,
     /* 132173 */   GIR_EraseRootFromParent_Done,
     /* 132174 */ // Label 2882: @132174
     /* 132174 */ GIM_Try, /*On fail goto*//*Label 2883*/ GIMT_Encode4(132297), // Rule ID 21652 //
     /* 132179 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEVEX512_NoVLX),
     /* 132182 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 132185 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /* 132188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 132192 */   // MIs[0] Operand 1
     /* 132192 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 132197 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 132201 */   GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 132207 */   GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 132209 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 132213 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 132215 */   // (setcc:{ *:[v16i1] } immAllZerosV:{ *:[v16i16] }, VR256X:{ *:[v16i16] }:$src, SETGT:{ *:[Other] })  =>  (COPY_TO_REGCLASS:{ *:[v16i1] } (VPMOVW2MZkr:{ *:[v32i1] } (INSERT_SUBREG:{ *:[v32i16] } (IMPLICIT_DEF:{ *:[v32i16] }), VR256X:{ *:[v16i16] }:$src, sub_ymm:{ *:[i32] })), VK16:{ *:[i32] })
     /* 132215 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v32s16,
     /* 132218 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 132222 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132227 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 132229 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v32s16,
     /* 132232 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 132236 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132241 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 132244 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src
     /* 132248 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 132251 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 132256 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 132261 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 132266 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v32s1,
     /* 132269 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMOVW2MZkr),
     /* 132273 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132278 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 132281 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 132283 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 132286 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 132288 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 132291 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /* 132296 */   // GIR_Coverage, 21652,
     /* 132296 */   GIR_EraseRootFromParent_Done,
     /* 132297 */ // Label 2883: @132297
     /* 132297 */ GIM_Reject,
     /* 132298 */ // Label 2864: @132298
     /* 132298 */ GIM_Try, /*On fail goto*//*Label 2884*/ GIMT_Encode4(132348), // Rule ID 12595 //
     /* 132303 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 132306 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s8,
     /* 132309 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v32s8,
     /* 132312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /* 132316 */   // MIs[0] Operand 1
     /* 132316 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 132321 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 132325 */   GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 132331 */   GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 132333 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 132337 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 132339 */   // (setcc:{ *:[v32i1] } immAllZerosV:{ *:[v32i8] }, VR256X:{ *:[v32i8] }:$src, SETGT:{ *:[Other] })  =>  (VPMOVB2MZ256kr:{ *:[v32i1] } VR256X:{ *:[v32i8] }:$src)
     /* 132339 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVB2MZ256kr),
     /* 132342 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 132344 */   GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 132346 */   GIR_RootConstrainSelectedInstOperands,
     /* 132347 */   // GIR_Coverage, 12595,
     /* 132347 */   GIR_EraseRootFromParent_Done,
     /* 132348 */ // Label 2884: @132348
     /* 132348 */ GIM_Try, /*On fail goto*//*Label 2885*/ GIMT_Encode4(132398), // Rule ID 12597 //
     /* 132353 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 132356 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 132359 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v32s16,
     /* 132362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /* 132366 */   // MIs[0] Operand 1
     /* 132366 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 132371 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 132375 */   GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 132381 */   GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 132383 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 132387 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 132389 */   // (setcc:{ *:[v32i1] } immAllZerosV:{ *:[v32i16] }, VR512:{ *:[v32i16] }:$src, SETGT:{ *:[Other] })  =>  (VPMOVW2MZkr:{ *:[v32i1] } VR512:{ *:[v32i16] }:$src)
     /* 132389 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVW2MZkr),
     /* 132392 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 132394 */   GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 132396 */   GIR_RootConstrainSelectedInstOperands,
     /* 132397 */   // GIR_Coverage, 12597,
     /* 132397 */   GIR_EraseRootFromParent_Done,
     /* 132398 */ // Label 2885: @132398
     /* 132398 */ GIM_Try, /*On fail goto*//*Label 2886*/ GIMT_Encode4(132521), // Rule ID 21650 //
     /* 132403 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEVEX512_NoVLX),
     /* 132406 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s8,
     /* 132409 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v32s8,
     /* 132412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /* 132416 */   // MIs[0] Operand 1
     /* 132416 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 132421 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 132425 */   GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 132431 */   GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 132433 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 132437 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 132439 */   // (setcc:{ *:[v32i1] } immAllZerosV:{ *:[v32i8] }, VR256X:{ *:[v32i8] }:$src, SETGT:{ *:[Other] })  =>  (COPY_TO_REGCLASS:{ *:[v32i1] } (VPMOVB2MZkr:{ *:[v64i1] } (INSERT_SUBREG:{ *:[v64i8] } (IMPLICIT_DEF:{ *:[v64i8] }), VR256X:{ *:[v32i8] }:$src, sub_ymm:{ *:[i32] })), VK32:{ *:[i32] })
     /* 132439 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v64s8,
     /* 132442 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 132446 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132451 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 132453 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v64s8,
     /* 132456 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 132460 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132465 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 132468 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src
     /* 132472 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 132475 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 132480 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 132485 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 132490 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s1,
     /* 132493 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMOVB2MZkr),
     /* 132497 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132502 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 132505 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 132507 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 132510 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 132512 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 132515 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK32RegClassID),
     /* 132520 */   // GIR_Coverage, 21650,
     /* 132520 */   GIR_EraseRootFromParent_Done,
     /* 132521 */ // Label 2886: @132521
     /* 132521 */ GIM_Reject,
     /* 132522 */ // Label 2865: @132522
     /* 132522 */ GIM_Try, /*On fail goto*//*Label 2887*/ GIMT_Encode4(132572), // Rule ID 12594 //
     /* 132527 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 132530 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s8,
     /* 132533 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v64s8,
     /* 132536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /* 132540 */   // MIs[0] Operand 1
     /* 132540 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 132545 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 132549 */   GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 132555 */   GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 132557 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 132561 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 132563 */   // (setcc:{ *:[v64i1] } immAllZerosV:{ *:[v64i8] }, VR512:{ *:[v64i8] }:$src, SETGT:{ *:[Other] })  =>  (VPMOVB2MZkr:{ *:[v64i1] } VR512:{ *:[v64i8] }:$src)
     /* 132563 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVB2MZkr),
     /* 132566 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 132568 */   GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 132570 */   GIR_RootConstrainSelectedInstOperands,
     /* 132571 */   // GIR_Coverage, 12594,
     /* 132571 */   GIR_EraseRootFromParent_Done,
     /* 132572 */ // Label 2887: @132572
     /* 132572 */ GIM_Reject,
     /* 132573 */ // Label 2866: @132573
     /* 132573 */ GIM_Reject,
     /* 132574 */ // Label 34: @132574
     /* 132574 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(25), /*)*//*default:*//*Label 2900*/ GIMT_Encode4(140239),
     /* 132585 */ /*GILLT_v2s64*//*Label 2888*/ GIMT_Encode4(132653), GIMT_Encode4(0),
     /* 132593 */ /*GILLT_v4s32*//*Label 2889*/ GIMT_Encode4(133517),
     /* 132597 */ /*GILLT_v4s64*//*Label 2890*/ GIMT_Encode4(134381), GIMT_Encode4(0),
     /* 132605 */ /*GILLT_v8s16*//*Label 2891*/ GIMT_Encode4(135161),
     /* 132609 */ /*GILLT_v8s32*//*Label 2892*/ GIMT_Encode4(136319),
     /* 132613 */ /*GILLT_v8s64*//*Label 2893*/ GIMT_Encode4(137099), GIMT_Encode4(0),
     /* 132621 */ /*GILLT_v16s8*//*Label 2894*/ GIMT_Encode4(137480),
     /* 132625 */ /*GILLT_v16s16*//*Label 2895*/ GIMT_Encode4(137920),
     /* 132629 */ /*GILLT_v16s32*//*Label 2896*/ GIMT_Encode4(138990), GIMT_Encode4(0),
     /* 132637 */ /*GILLT_v32s8*//*Label 2897*/ GIMT_Encode4(139331),
     /* 132641 */ /*GILLT_v32s16*//*Label 2898*/ GIMT_Encode4(139735), GIMT_Encode4(0),
     /* 132649 */ /*GILLT_v64s8*//*Label 2899*/ GIMT_Encode4(140153),
     /* 132653 */ // Label 2888: @132653
     /* 132653 */ GIM_Try, /*On fail goto*//*Label 2901*/ GIMT_Encode4(133516),
     /* 132658 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s1,
     /* 132661 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 132664 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 132667 */   GIM_Try, /*On fail goto*//*Label 2902*/ GIMT_Encode4(132712), // Rule ID 4488 //
     /* 132672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 132675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 132679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2WMRegClassID),
     /* 132683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 132687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 132691 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 132697 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 132699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 132701 */     // (vselect:{ *:[v2f64] } VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2f64] }:$src, immAllZerosV:{ *:[v2f64] })  =>  (VMOVAPDZ128rrkz:{ *:[v2f64] } VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2f64] }:$src)
     /* 132701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPDZ128rrkz),
     /* 132704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 132706 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 132708 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 132710 */     GIR_RootConstrainSelectedInstOperands,
     /* 132711 */     // GIR_Coverage, 4488,
     /* 132711 */     GIR_EraseRootFromParent_Done,
     /* 132712 */   // Label 2902: @132712
     /* 132712 */   GIM_Try, /*On fail goto*//*Label 2903*/ GIMT_Encode4(132757), // Rule ID 4542 //
     /* 132717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 132720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 132724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2WMRegClassID),
     /* 132728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 132732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 132736 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 132742 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 132744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 132746 */     // (vselect:{ *:[v2i64] } VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2i64] }:$src, immAllZerosV:{ *:[v2i64] })  =>  (VMOVDQA64Z128rrkz:{ *:[v2i64] } VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2i64] }:$src)
     /* 132746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z128rrkz),
     /* 132749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 132751 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 132753 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 132755 */     GIR_RootConstrainSelectedInstOperands,
     /* 132756 */     // GIR_Coverage, 4542,
     /* 132756 */     GIR_EraseRootFromParent_Done,
     /* 132757 */   // Label 2903: @132757
     /* 132757 */   GIM_Try, /*On fail goto*//*Label 2904*/ GIMT_Encode4(132906), // Rule ID 19776 //
     /* 132762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 132765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 132769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2WMRegClassID),
     /* 132773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 132777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 132781 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 132787 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 132789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 132791 */     // (vselect:{ *:[v2f64] } VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2f64] }:$src1, immAllZerosV:{ *:[v2f64] })  =>  (EXTRACT_SUBREG:{ *:[v2f64] } (VMOVAPDZrrkz:{ *:[v8f64] } (COPY_TO_REGCLASS:{ *:[v8i1] } VK2WM:{ *:[v2i1] }:$mask, VK8WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8f64] } (IMPLICIT_DEF:{ *:[v8f64] }), VR128X:{ *:[v2f64] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 132791 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /* 132794 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 132798 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132803 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 132805 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 132808 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 132812 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132817 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 132820 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 132824 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/11,
     /* 132827 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 132832 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 132837 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 132842 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s1,
     /* 132845 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 132849 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132854 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 132858 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK8WMRegClassID),
     /* 132863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s64,
     /* 132866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVAPDZrrkz),
     /* 132870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132875 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 132878 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 132881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 132883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 132886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 132888 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 132895 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 132900 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 132905 */     // GIR_Coverage, 19776,
     /* 132905 */     GIR_EraseRootFromParent_Done,
     /* 132906 */   // Label 2904: @132906
     /* 132906 */   GIM_Try, /*On fail goto*//*Label 2905*/ GIMT_Encode4(133055), // Rule ID 19778 //
     /* 132911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 132914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 132918 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2WMRegClassID),
     /* 132922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 132926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 132930 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 132936 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 132938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 132940 */     // (vselect:{ *:[v2i64] } VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2i64] }:$src1, immAllZerosV:{ *:[v2i64] })  =>  (EXTRACT_SUBREG:{ *:[v2i64] } (VMOVDQA64Zrrkz:{ *:[v8i64] } (COPY_TO_REGCLASS:{ *:[v8i1] } VK2WM:{ *:[v2i1] }:$mask, VK8WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 132940 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /* 132943 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 132947 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132952 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 132954 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 132957 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 132961 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132966 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 132969 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 132973 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/11,
     /* 132976 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 132981 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 132986 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 132991 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s1,
     /* 132994 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 132998 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133003 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 133007 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK8WMRegClassID),
     /* 133012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s64,
     /* 133015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Zrrkz),
     /* 133019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133024 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 133027 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 133030 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 133032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 133035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 133037 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 133044 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 133049 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 133054 */     // GIR_Coverage, 19778,
     /* 133054 */     GIR_EraseRootFromParent_Done,
     /* 133055 */   // Label 2905: @133055
     /* 133055 */   GIM_Try, /*On fail goto*//*Label 2906*/ GIMT_Encode4(133092), // Rule ID 4490 //
     /* 133060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 133063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2WMRegClassID),
     /* 133071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133079 */     // (vselect:{ *:[v2f64] } VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src0)  =>  (VMOVAPDZ128rrk:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src0, VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2f64] }:$src1)
     /* 133079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPDZ128rrk),
     /* 133082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 133084 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 133086 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 133088 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 133090 */     GIR_RootConstrainSelectedInstOperands,
     /* 133091 */     // GIR_Coverage, 4490,
     /* 133091 */     GIR_EraseRootFromParent_Done,
     /* 133092 */   // Label 2906: @133092
     /* 133092 */   GIM_Try, /*On fail goto*//*Label 2907*/ GIMT_Encode4(133129), // Rule ID 4544 //
     /* 133097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 133100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2WMRegClassID),
     /* 133108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133116 */     // (vselect:{ *:[v2i64] } VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src0)  =>  (VMOVDQA64Z128rrk:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src0, VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2i64] }:$src1)
     /* 133116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z128rrk),
     /* 133119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 133121 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 133123 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 133125 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 133127 */     GIR_RootConstrainSelectedInstOperands,
     /* 133128 */     // GIR_Coverage, 4544,
     /* 133128 */     GIR_EraseRootFromParent_Done,
     /* 133129 */   // Label 2907: @133129
     /* 133129 */   GIM_Try, /*On fail goto*//*Label 2908*/ GIMT_Encode4(133322), // Rule ID 19775 //
     /* 133134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 133137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 133141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2WMRegClassID),
     /* 133145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133153 */     // (vselect:{ *:[v2f64] } VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src0)  =>  (EXTRACT_SUBREG:{ *:[v2f64] } (VMOVAPDZrrk:{ *:[v8f64] } (INSERT_SUBREG:{ *:[v8f64] } (IMPLICIT_DEF:{ *:[v8f64] }), VR128X:{ *:[v2f64] }:$src0, sub_xmm:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v8i1] } VK2WM:{ *:[v2i1] }:$mask, VK8WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8f64] } (IMPLICIT_DEF:{ *:[v8f64] }), VR128X:{ *:[v2f64] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 133153 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v8s64,
     /* 133156 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 133160 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133165 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 133167 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /* 133170 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 133174 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133179 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 133182 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 133186 */     GIR_AddImm8, /*InsnID*/5, /*Imm*/11,
     /* 133189 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 133194 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 133199 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 133204 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s1,
     /* 133207 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 133211 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133216 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 133220 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VK8WMRegClassID),
     /* 133225 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 133228 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 133232 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133237 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 133239 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 133242 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 133246 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133251 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 133254 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src0
     /* 133258 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 133261 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 133266 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 133271 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 133276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s64,
     /* 133279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVAPDZrrk),
     /* 133283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133288 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 133291 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 133294 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /* 133297 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 133299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 133302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 133304 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 133311 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 133316 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 133321 */     // GIR_Coverage, 19775,
     /* 133321 */     GIR_EraseRootFromParent_Done,
     /* 133322 */   // Label 2908: @133322
     /* 133322 */   GIM_Try, /*On fail goto*//*Label 2909*/ GIMT_Encode4(133515), // Rule ID 19777 //
     /* 133327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 133330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 133334 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2WMRegClassID),
     /* 133338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133346 */     // (vselect:{ *:[v2i64] } VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src0)  =>  (EXTRACT_SUBREG:{ *:[v2i64] } (VMOVDQA64Zrrk:{ *:[v8i64] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src0, sub_xmm:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v8i1] } VK2WM:{ *:[v2i1] }:$mask, VK8WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 133346 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v8s64,
     /* 133349 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 133353 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133358 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 133360 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /* 133363 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 133367 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133372 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 133375 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 133379 */     GIR_AddImm8, /*InsnID*/5, /*Imm*/11,
     /* 133382 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 133387 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 133392 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 133397 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s1,
     /* 133400 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 133404 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133409 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 133413 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VK8WMRegClassID),
     /* 133418 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 133421 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 133425 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133430 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 133432 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 133435 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 133439 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133444 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 133447 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src0
     /* 133451 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 133454 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 133459 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 133464 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 133469 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s64,
     /* 133472 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Zrrk),
     /* 133476 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133481 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 133484 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 133487 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /* 133490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 133492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 133495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 133497 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 133504 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 133509 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 133514 */     // GIR_Coverage, 19777,
     /* 133514 */     GIR_EraseRootFromParent_Done,
     /* 133515 */   // Label 2909: @133515
     /* 133515 */   GIM_Reject,
     /* 133516 */ // Label 2901: @133516
     /* 133516 */ GIM_Reject,
     /* 133517 */ // Label 2889: @133517
     /* 133517 */ GIM_Try, /*On fail goto*//*Label 2910*/ GIMT_Encode4(134380),
     /* 133522 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s1,
     /* 133525 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 133528 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 133531 */   GIM_Try, /*On fail goto*//*Label 2911*/ GIMT_Encode4(133576), // Rule ID 4470 //
     /* 133536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 133539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4WMRegClassID),
     /* 133547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 133555 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 133561 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 133563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 133565 */     // (vselect:{ *:[v4f32] } VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4f32] }:$src, immAllZerosV:{ *:[v4f32] })  =>  (VMOVAPSZ128rrkz:{ *:[v4f32] } VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4f32] }:$src)
     /* 133565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZ128rrkz),
     /* 133568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 133570 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 133572 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 133574 */     GIR_RootConstrainSelectedInstOperands,
     /* 133575 */     // GIR_Coverage, 4470,
     /* 133575 */     GIR_EraseRootFromParent_Done,
     /* 133576 */   // Label 2911: @133576
     /* 133576 */   GIM_Try, /*On fail goto*//*Label 2912*/ GIMT_Encode4(133621), // Rule ID 4528 //
     /* 133581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 133584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133588 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4WMRegClassID),
     /* 133592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 133600 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 133606 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 133608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 133610 */     // (vselect:{ *:[v4i32] } VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4i32] }:$src, immAllZerosV:{ *:[v4i32] })  =>  (VMOVDQA32Z128rrkz:{ *:[v4i32] } VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4i32] }:$src)
     /* 133610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA32Z128rrkz),
     /* 133613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 133615 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 133617 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 133619 */     GIR_RootConstrainSelectedInstOperands,
     /* 133620 */     // GIR_Coverage, 4528,
     /* 133620 */     GIR_EraseRootFromParent_Done,
     /* 133621 */   // Label 2912: @133621
     /* 133621 */   GIM_Try, /*On fail goto*//*Label 2913*/ GIMT_Encode4(133770), // Rule ID 19768 //
     /* 133626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 133629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 133633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4WMRegClassID),
     /* 133637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 133645 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 133651 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 133653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 133655 */     // (vselect:{ *:[v4f32] } VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4f32] }:$src1, immAllZerosV:{ *:[v4f32] })  =>  (EXTRACT_SUBREG:{ *:[v4f32] } (VMOVAPSZrrkz:{ *:[v16f32] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK4WM:{ *:[v4i1] }:$mask, VK16WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v16f32] } (IMPLICIT_DEF:{ *:[v16f32] }), VR128X:{ *:[v4f32] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 133655 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v16s32,
     /* 133658 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 133662 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133667 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 133669 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 133672 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 133676 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133681 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 133684 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 133688 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/11,
     /* 133691 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 133696 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 133701 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 133706 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /* 133709 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 133713 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133718 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 133722 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16WMRegClassID),
     /* 133727 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s32,
     /* 133730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZrrkz),
     /* 133734 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133739 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 133742 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 133745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 133747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 133750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 133752 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 133759 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 133764 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 133769 */     // GIR_Coverage, 19768,
     /* 133769 */     GIR_EraseRootFromParent_Done,
     /* 133770 */   // Label 2913: @133770
     /* 133770 */   GIM_Try, /*On fail goto*//*Label 2914*/ GIMT_Encode4(133919), // Rule ID 19770 //
     /* 133775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 133778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 133782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4WMRegClassID),
     /* 133786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 133794 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 133800 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 133802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 133804 */     // (vselect:{ *:[v4i32] } VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4i32] }:$src1, immAllZerosV:{ *:[v4i32] })  =>  (EXTRACT_SUBREG:{ *:[v4i32] } (VMOVDQA32Zrrkz:{ *:[v16i32] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK4WM:{ *:[v4i1] }:$mask, VK16WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR128X:{ *:[v4i32] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 133804 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v16s32,
     /* 133807 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 133811 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 133818 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 133821 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 133825 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133830 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 133833 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 133837 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/11,
     /* 133840 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 133845 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 133850 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 133855 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /* 133858 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 133862 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133867 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 133871 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16WMRegClassID),
     /* 133876 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s32,
     /* 133879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQA32Zrrkz),
     /* 133883 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133888 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 133891 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 133894 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 133896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 133899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 133901 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 133908 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 133913 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 133918 */     // GIR_Coverage, 19770,
     /* 133918 */     GIR_EraseRootFromParent_Done,
     /* 133919 */   // Label 2914: @133919
     /* 133919 */   GIM_Try, /*On fail goto*//*Label 2915*/ GIMT_Encode4(133956), // Rule ID 4472 //
     /* 133924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 133927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4WMRegClassID),
     /* 133935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133943 */     // (vselect:{ *:[v4f32] } VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src0)  =>  (VMOVAPSZ128rrk:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src0, VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4f32] }:$src1)
     /* 133943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZ128rrk),
     /* 133946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 133948 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 133950 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 133952 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 133954 */     GIR_RootConstrainSelectedInstOperands,
     /* 133955 */     // GIR_Coverage, 4472,
     /* 133955 */     GIR_EraseRootFromParent_Done,
     /* 133956 */   // Label 2915: @133956
     /* 133956 */   GIM_Try, /*On fail goto*//*Label 2916*/ GIMT_Encode4(133993), // Rule ID 4529 //
     /* 133961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 133964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4WMRegClassID),
     /* 133972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133980 */     // (vselect:{ *:[v4i32] } VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src0)  =>  (VMOVDQA32Z128rrk:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src0, VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4i32] }:$src1)
     /* 133980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA32Z128rrk),
     /* 133983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 133985 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 133987 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 133989 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 133991 */     GIR_RootConstrainSelectedInstOperands,
     /* 133992 */     // GIR_Coverage, 4529,
     /* 133992 */     GIR_EraseRootFromParent_Done,
     /* 133993 */   // Label 2916: @133993
     /* 133993 */   GIM_Try, /*On fail goto*//*Label 2917*/ GIMT_Encode4(134186), // Rule ID 19767 //
     /* 133998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 134001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 134005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4WMRegClassID),
     /* 134009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 134013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 134017 */     // (vselect:{ *:[v4f32] } VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src0)  =>  (EXTRACT_SUBREG:{ *:[v4f32] } (VMOVAPSZrrk:{ *:[v16f32] } (INSERT_SUBREG:{ *:[v16f32] } (IMPLICIT_DEF:{ *:[v16f32] }), VR128X:{ *:[v4f32] }:$src0, sub_xmm:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK4WM:{ *:[v4i1] }:$mask, VK16WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v16f32] } (IMPLICIT_DEF:{ *:[v16f32] }), VR128X:{ *:[v4f32] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 134017 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v16s32,
     /* 134020 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 134024 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134029 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 134031 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v16s32,
     /* 134034 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 134038 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134043 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 134046 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 134050 */     GIR_AddImm8, /*InsnID*/5, /*Imm*/11,
     /* 134053 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 134058 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 134063 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 134068 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v16s1,
     /* 134071 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 134075 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134080 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 134084 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VK16WMRegClassID),
     /* 134089 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 134092 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 134096 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134101 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 134103 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s32,
     /* 134106 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 134110 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134115 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 134118 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src0
     /* 134122 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 134125 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 134130 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 134135 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 134140 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s32,
     /* 134143 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZrrk),
     /* 134147 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134152 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 134155 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 134158 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /* 134161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 134163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 134166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 134168 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 134175 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 134180 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 134185 */     // GIR_Coverage, 19767,
     /* 134185 */     GIR_EraseRootFromParent_Done,
     /* 134186 */   // Label 2917: @134186
     /* 134186 */   GIM_Try, /*On fail goto*//*Label 2918*/ GIMT_Encode4(134379), // Rule ID 19769 //
     /* 134191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 134194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 134198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4WMRegClassID),
     /* 134202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 134206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 134210 */     // (vselect:{ *:[v4i32] } VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src0)  =>  (EXTRACT_SUBREG:{ *:[v4i32] } (VMOVDQA32Zrrk:{ *:[v16i32] } (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR128X:{ *:[v4i32] }:$src0, sub_xmm:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK4WM:{ *:[v4i1] }:$mask, VK16WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR128X:{ *:[v4i32] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 134210 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v16s32,
     /* 134213 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 134217 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134222 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 134224 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v16s32,
     /* 134227 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 134231 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134236 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 134239 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 134243 */     GIR_AddImm8, /*InsnID*/5, /*Imm*/11,
     /* 134246 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 134251 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 134256 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 134261 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v16s1,
     /* 134264 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 134268 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134273 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 134277 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VK16WMRegClassID),
     /* 134282 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 134285 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 134289 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 134296 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s32,
     /* 134299 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 134303 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134308 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 134311 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src0
     /* 134315 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 134318 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 134323 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 134328 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 134333 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s32,
     /* 134336 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQA32Zrrk),
     /* 134340 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134345 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 134348 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 134351 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /* 134354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 134356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 134359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 134361 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 134368 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 134373 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 134378 */     // GIR_Coverage, 19769,
     /* 134378 */     GIR_EraseRootFromParent_Done,
     /* 134379 */   // Label 2918: @134379
     /* 134379 */   GIM_Reject,
     /* 134380 */ // Label 2910: @134380
     /* 134380 */ GIM_Reject,
     /* 134381 */ // Label 2890: @134381
     /* 134381 */ GIM_Try, /*On fail goto*//*Label 2919*/ GIMT_Encode4(135160),
     /* 134386 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s1,
     /* 134389 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 134392 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /* 134395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 134399 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4WMRegClassID),
     /* 134403 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 134407 */   GIM_Try, /*On fail goto*//*Label 2920*/ GIMT_Encode4(134440), // Rule ID 4483 //
     /* 134412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 134415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 134419 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 134425 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 134427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 134429 */     // (vselect:{ *:[v4f64] } VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4f64] }:$src, immAllZerosV:{ *:[v4f64] })  =>  (VMOVAPDZ256rrkz:{ *:[v4f64] } VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4f64] }:$src)
     /* 134429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPDZ256rrkz),
     /* 134432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 134434 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 134436 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 134438 */     GIR_RootConstrainSelectedInstOperands,
     /* 134439 */     // GIR_Coverage, 4483,
     /* 134439 */     GIR_EraseRootFromParent_Done,
     /* 134440 */   // Label 2920: @134440
     /* 134440 */   GIM_Try, /*On fail goto*//*Label 2921*/ GIMT_Encode4(134473), // Rule ID 4537 //
     /* 134445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 134448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 134452 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 134458 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 134460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 134462 */     // (vselect:{ *:[v4i64] } VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4i64] }:$src, immAllZerosV:{ *:[v4i64] })  =>  (VMOVDQA64Z256rrkz:{ *:[v4i64] } VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4i64] }:$src)
     /* 134462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z256rrkz),
     /* 134465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 134467 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 134469 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 134471 */     GIR_RootConstrainSelectedInstOperands,
     /* 134472 */     // GIR_Coverage, 4537,
     /* 134472 */     GIR_EraseRootFromParent_Done,
     /* 134473 */   // Label 2921: @134473
     /* 134473 */   GIM_Try, /*On fail goto*//*Label 2922*/ GIMT_Encode4(134610), // Rule ID 19780 //
     /* 134478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 134481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 134485 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 134491 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 134493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 134495 */     // (vselect:{ *:[v4f64] } VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4f64] }:$src1, immAllZerosV:{ *:[v4f64] })  =>  (EXTRACT_SUBREG:{ *:[v4f64] } (VMOVAPDZrrkz:{ *:[v8f64] } (COPY_TO_REGCLASS:{ *:[v8i1] } VK4WM:{ *:[v4i1] }:$mask, VK8WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8f64] } (IMPLICIT_DEF:{ *:[v8f64] }), VR256X:{ *:[v4f64] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 134495 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /* 134498 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 134502 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134507 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 134509 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 134512 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 134516 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134521 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 134524 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 134528 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/12,
     /* 134531 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 134536 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 134541 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 134546 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s1,
     /* 134549 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 134553 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134558 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 134562 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK8WMRegClassID),
     /* 134567 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s64,
     /* 134570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVAPDZrrkz),
     /* 134574 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134579 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 134582 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 134585 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 134587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 134590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 134592 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 134599 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 134604 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 134609 */     // GIR_Coverage, 19780,
     /* 134609 */     GIR_EraseRootFromParent_Done,
     /* 134610 */   // Label 2922: @134610
     /* 134610 */   GIM_Try, /*On fail goto*//*Label 2923*/ GIMT_Encode4(134747), // Rule ID 19782 //
     /* 134615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 134618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 134622 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 134628 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 134630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 134632 */     // (vselect:{ *:[v4i64] } VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4i64] }:$src1, immAllZerosV:{ *:[v4i64] })  =>  (EXTRACT_SUBREG:{ *:[v4i64] } (VMOVDQA64Zrrkz:{ *:[v8i64] } (COPY_TO_REGCLASS:{ *:[v8i1] } VK4WM:{ *:[v4i1] }:$mask, VK8WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 134632 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /* 134635 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 134639 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 134646 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 134649 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 134653 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134658 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 134661 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 134665 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/12,
     /* 134668 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 134673 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 134678 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 134683 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s1,
     /* 134686 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 134690 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134695 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 134699 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK8WMRegClassID),
     /* 134704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s64,
     /* 134707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Zrrkz),
     /* 134711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134716 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 134719 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 134722 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 134724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 134727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 134729 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 134736 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 134741 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 134746 */     // GIR_Coverage, 19782,
     /* 134746 */     GIR_EraseRootFromParent_Done,
     /* 134747 */   // Label 2923: @134747
     /* 134747 */   GIM_Try, /*On fail goto*//*Label 2924*/ GIMT_Encode4(134772), // Rule ID 4485 //
     /* 134752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 134755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 134759 */     // (vselect:{ *:[v4f64] } VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src0)  =>  (VMOVAPDZ256rrk:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src0, VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4f64] }:$src1)
     /* 134759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPDZ256rrk),
     /* 134762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 134764 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 134766 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 134768 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 134770 */     GIR_RootConstrainSelectedInstOperands,
     /* 134771 */     // GIR_Coverage, 4485,
     /* 134771 */     GIR_EraseRootFromParent_Done,
     /* 134772 */   // Label 2924: @134772
     /* 134772 */   GIM_Try, /*On fail goto*//*Label 2925*/ GIMT_Encode4(134797), // Rule ID 4539 //
     /* 134777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 134780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 134784 */     // (vselect:{ *:[v4i64] } VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src0)  =>  (VMOVDQA64Z256rrk:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src0, VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4i64] }:$src1)
     /* 134784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z256rrk),
     /* 134787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 134789 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 134791 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 134793 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 134795 */     GIR_RootConstrainSelectedInstOperands,
     /* 134796 */     // GIR_Coverage, 4539,
     /* 134796 */     GIR_EraseRootFromParent_Done,
     /* 134797 */   // Label 2925: @134797
     /* 134797 */   GIM_Try, /*On fail goto*//*Label 2926*/ GIMT_Encode4(134978), // Rule ID 19779 //
     /* 134802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 134805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 134809 */     // (vselect:{ *:[v4f64] } VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src0)  =>  (EXTRACT_SUBREG:{ *:[v4f64] } (VMOVAPDZrrk:{ *:[v8f64] } (INSERT_SUBREG:{ *:[v8f64] } (IMPLICIT_DEF:{ *:[v8f64] }), VR256X:{ *:[v4f64] }:$src0, sub_ymm:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v8i1] } VK4WM:{ *:[v4i1] }:$mask, VK8WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8f64] } (IMPLICIT_DEF:{ *:[v8f64] }), VR256X:{ *:[v4f64] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 134809 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v8s64,
     /* 134812 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 134816 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134821 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 134823 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /* 134826 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 134830 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134835 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 134838 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 134842 */     GIR_AddImm8, /*InsnID*/5, /*Imm*/12,
     /* 134845 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 134850 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 134855 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 134860 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s1,
     /* 134863 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 134867 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134872 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 134876 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VK8WMRegClassID),
     /* 134881 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 134884 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 134888 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 134895 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 134898 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 134902 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134907 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 134910 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src0
     /* 134914 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 134917 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 134922 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 134927 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 134932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s64,
     /* 134935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVAPDZrrk),
     /* 134939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134944 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 134947 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 134950 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /* 134953 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 134955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 134958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 134960 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 134967 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 134972 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 134977 */     // GIR_Coverage, 19779,
     /* 134977 */     GIR_EraseRootFromParent_Done,
     /* 134978 */   // Label 2926: @134978
     /* 134978 */   GIM_Try, /*On fail goto*//*Label 2927*/ GIMT_Encode4(135159), // Rule ID 19781 //
     /* 134983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 134986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 134990 */     // (vselect:{ *:[v4i64] } VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src0)  =>  (EXTRACT_SUBREG:{ *:[v4i64] } (VMOVDQA64Zrrk:{ *:[v8i64] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src0, sub_ymm:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v8i1] } VK4WM:{ *:[v4i1] }:$mask, VK8WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 134990 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v8s64,
     /* 134993 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 134997 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 135004 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /* 135007 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 135011 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135016 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 135019 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 135023 */     GIR_AddImm8, /*InsnID*/5, /*Imm*/12,
     /* 135026 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 135031 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 135036 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 135041 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s1,
     /* 135044 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 135048 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135053 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 135057 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VK8WMRegClassID),
     /* 135062 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 135065 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 135069 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135074 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 135076 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 135079 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 135083 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135088 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 135091 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src0
     /* 135095 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 135098 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 135103 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 135108 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 135113 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s64,
     /* 135116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Zrrk),
     /* 135120 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135125 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 135128 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 135131 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /* 135134 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 135136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 135139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 135141 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 135148 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 135153 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 135158 */     // GIR_Coverage, 19781,
     /* 135158 */     GIR_EraseRootFromParent_Done,
     /* 135159 */   // Label 2927: @135159
     /* 135159 */   GIM_Reject,
     /* 135160 */ // Label 2919: @135160
     /* 135160 */ GIM_Reject,
     /* 135161 */ // Label 2891: @135161
     /* 135161 */ GIM_Try, /*On fail goto*//*Label 2928*/ GIMT_Encode4(136318),
     /* 135166 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s1,
     /* 135169 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 135172 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 135175 */   GIM_Try, /*On fail goto*//*Label 2929*/ GIMT_Encode4(135254), // Rule ID 19866 //
     /* 135180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 135183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 135191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 135195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 135199 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 135202 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 135206 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 135210 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /* 135214 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 135218 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 135224 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /* 135226 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 135228 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 135235 */     // (vselect:{ *:[v8f16] } VK8WM:{ *:[v8i1] }:$mask, (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>, immAllZerosV:{ *:[v8f16] })  =>  (VMOVDQU16Z128rmkz:{ *:[v8f16] } VK8WM:{ *:[v8i1] }:$mask, addr:{ *:[iPTR] }:$src)
     /* 135235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Z128rmkz),
     /* 135238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 135240 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 135242 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 135246 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 135252 */     GIR_RootConstrainSelectedInstOperands,
     /* 135253 */     // GIR_Coverage, 19866,
     /* 135253 */     GIR_EraseRootFromParent_Done,
     /* 135254 */   // Label 2929: @135254
     /* 135254 */   GIM_Try, /*On fail goto*//*Label 2930*/ GIMT_Encode4(135329), // Rule ID 19868 //
     /* 135259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 135262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 135270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 135274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 135278 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 135281 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 135285 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 135289 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 135293 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 135299 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /* 135301 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 135303 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 135310 */     // (vselect:{ *:[v8f16] } VK8WM:{ *:[v8i1] }:$mask, (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>, immAllZerosV:{ *:[v8f16] })  =>  (VMOVDQU16Z128rmkz:{ *:[v8f16] } VK8WM:{ *:[v8i1] }:$mask, addr:{ *:[iPTR] }:$src)
     /* 135310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Z128rmkz),
     /* 135313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 135315 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 135317 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 135321 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 135327 */     GIR_RootConstrainSelectedInstOperands,
     /* 135328 */     // GIR_Coverage, 19868,
     /* 135328 */     GIR_EraseRootFromParent_Done,
     /* 135329 */   // Label 2930: @135329
     /* 135329 */   GIM_Try, /*On fail goto*//*Label 2931*/ GIMT_Encode4(135401), // Rule ID 19865 //
     /* 135334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 135337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135341 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 135345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 135349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 135353 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 135356 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 135360 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 135364 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /* 135368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 135374 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 135381 */     // (vselect:{ *:[v8f16] } VK8WM:{ *:[v8i1] }:$mask, (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>, VR128X:{ *:[v8f16] }:$src0)  =>  (VMOVDQU16Z128rmk:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src0, VK8WM:{ *:[v8i1] }:$mask, addr:{ *:[iPTR] }:$src)
     /* 135381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Z128rmk),
     /* 135384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 135386 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 135388 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 135390 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 135394 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 135399 */     GIR_RootConstrainSelectedInstOperands,
     /* 135400 */     // GIR_Coverage, 19865,
     /* 135400 */     GIR_EraseRootFromParent_Done,
     /* 135401 */   // Label 2931: @135401
     /* 135401 */   GIM_Try, /*On fail goto*//*Label 2932*/ GIMT_Encode4(135469), // Rule ID 19867 //
     /* 135406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 135409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 135417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 135421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 135425 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 135428 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 135432 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 135436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 135442 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 135449 */     // (vselect:{ *:[v8f16] } VK8WM:{ *:[v8i1] }:$mask, (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8f16] }:$src0)  =>  (VMOVDQU16Z128rmk:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src0, VK8WM:{ *:[v8i1] }:$mask, addr:{ *:[iPTR] }:$src)
     /* 135449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Z128rmk),
     /* 135452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 135454 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 135456 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 135458 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 135462 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 135467 */     GIR_RootConstrainSelectedInstOperands,
     /* 135468 */     // GIR_Coverage, 19867,
     /* 135468 */     GIR_EraseRootFromParent_Done,
     /* 135469 */   // Label 2932: @135469
     /* 135469 */   GIM_Try, /*On fail goto*//*Label 2933*/ GIMT_Encode4(135514), // Rule ID 4570 //
     /* 135474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 135477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 135485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 135493 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 135499 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 135501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 135503 */     // (vselect:{ *:[v8i16] } VK8WM:{ *:[v8i1] }:$mask, VR128X:{ *:[v8i16] }:$src, immAllZerosV:{ *:[v8i16] })  =>  (VMOVDQU16Z128rrkz:{ *:[v8i16] } VK8WM:{ *:[v8i1] }:$mask, VR128X:{ *:[v8i16] }:$src)
     /* 135503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Z128rrkz),
     /* 135506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 135508 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 135510 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 135512 */     GIR_RootConstrainSelectedInstOperands,
     /* 135513 */     // GIR_Coverage, 4570,
     /* 135513 */     GIR_EraseRootFromParent_Done,
     /* 135514 */   // Label 2933: @135514
     /* 135514 */   GIM_Try, /*On fail goto*//*Label 2934*/ GIMT_Encode4(135663), // Rule ID 19788 //
     /* 135519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEVEX512_NoVLX),
     /* 135522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 135526 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 135530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 135538 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 135544 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 135546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 135548 */     // (vselect:{ *:[v8i16] } VK8WM:{ *:[v8i1] }:$mask, VR128X:{ *:[v8i16] }:$src1, immAllZerosV:{ *:[v8i16] })  =>  (EXTRACT_SUBREG:{ *:[v8i16] } (VMOVDQU16Zrrkz:{ *:[v32i16] } (COPY_TO_REGCLASS:{ *:[v32i1] } VK8WM:{ *:[v8i1] }:$mask, VK32WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v32i16] } (IMPLICIT_DEF:{ *:[v32i16] }), VR128X:{ *:[v8i16] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 135548 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v32s16,
     /* 135551 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 135555 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 135562 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v32s16,
     /* 135565 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 135569 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135574 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 135577 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 135581 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/11,
     /* 135584 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 135589 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 135594 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 135599 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v32s1,
     /* 135602 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 135606 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135611 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 135615 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK32WMRegClassID),
     /* 135620 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v32s16,
     /* 135623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Zrrkz),
     /* 135627 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135632 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 135635 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 135638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 135640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 135643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 135645 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 135652 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 135657 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 135662 */     // GIR_Coverage, 19788,
     /* 135662 */     GIR_EraseRootFromParent_Done,
     /* 135663 */   // Label 2934: @135663
     /* 135663 */   GIM_Try, /*On fail goto*//*Label 2935*/ GIMT_Encode4(135812), // Rule ID 19792 //
     /* 135668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEVEX512_NoVLX),
     /* 135671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 135675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 135679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 135687 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 135693 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 135695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 135697 */     // (vselect:{ *:[v8f16] } VK8WM:{ *:[v8i1] }:$mask, VR128X:{ *:[v8f16] }:$src1, immAllZerosV:{ *:[v8f16] })  =>  (EXTRACT_SUBREG:{ *:[v8f16] } (VMOVDQU16Zrrkz:{ *:[v32f16] } (COPY_TO_REGCLASS:{ *:[v32i1] } VK8WM:{ *:[v8i1] }:$mask, VK32WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v32f16] } (IMPLICIT_DEF:{ *:[v32f16] }), VR128X:{ *:[v8f16] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 135697 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v32s16,
     /* 135700 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 135704 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 135711 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v32s16,
     /* 135714 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 135718 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135723 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 135726 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 135730 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/11,
     /* 135733 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 135738 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 135743 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 135748 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v32s1,
     /* 135751 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 135755 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135760 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 135764 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK32WMRegClassID),
     /* 135769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v32s16,
     /* 135772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Zrrkz),
     /* 135776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135781 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 135784 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 135787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 135789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 135792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 135794 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 135801 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 135806 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 135811 */     // GIR_Coverage, 19792,
     /* 135811 */     GIR_EraseRootFromParent_Done,
     /* 135812 */   // Label 2935: @135812
     /* 135812 */   GIM_Try, /*On fail goto*//*Label 2936*/ GIMT_Encode4(135857), // Rule ID 19864 //
     /* 135817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 135820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 135828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 135836 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 135842 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 135844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 135846 */     // (vselect:{ *:[v8f16] } VK8WM:{ *:[v8i1] }:$mask, VR128X:{ *:[v8f16] }:$src1, immAllZerosV:{ *:[v8f16] })  =>  (VMOVDQU16Z128rrkz:{ *:[v8f16] } VK8WM:{ *:[v8i1] }:$mask, VR128X:{ *:[v8f16] }:$src1)
     /* 135846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Z128rrkz),
     /* 135849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 135851 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 135853 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 135855 */     GIR_RootConstrainSelectedInstOperands,
     /* 135856 */     // GIR_Coverage, 19864,
     /* 135856 */     GIR_EraseRootFromParent_Done,
     /* 135857 */   // Label 2936: @135857
     /* 135857 */   GIM_Try, /*On fail goto*//*Label 2937*/ GIMT_Encode4(135894), // Rule ID 4571 //
     /* 135862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 135865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 135873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135881 */     // (vselect:{ *:[v8i16] } VK8WM:{ *:[v8i1] }:$mask, VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src0)  =>  (VMOVDQU16Z128rrk:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src0, VK8WM:{ *:[v8i1] }:$mask, VR128X:{ *:[v8i16] }:$src1)
     /* 135881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Z128rrk),
     /* 135884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 135886 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 135888 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 135890 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 135892 */     GIR_RootConstrainSelectedInstOperands,
     /* 135893 */     // GIR_Coverage, 4571,
     /* 135893 */     GIR_EraseRootFromParent_Done,
     /* 135894 */   // Label 2937: @135894
     /* 135894 */   GIM_Try, /*On fail goto*//*Label 2938*/ GIMT_Encode4(136087), // Rule ID 19787 //
     /* 135899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEVEX512_NoVLX),
     /* 135902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 135906 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 135910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135918 */     // (vselect:{ *:[v8i16] } VK8WM:{ *:[v8i1] }:$mask, VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src0)  =>  (EXTRACT_SUBREG:{ *:[v8i16] } (VMOVDQU16Zrrk:{ *:[v32i16] } (INSERT_SUBREG:{ *:[v32i16] } (IMPLICIT_DEF:{ *:[v32i16] }), VR128X:{ *:[v8i16] }:$src0, sub_xmm:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v32i1] } VK8WM:{ *:[v8i1] }:$mask, VK32WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v32i16] } (IMPLICIT_DEF:{ *:[v32i16] }), VR128X:{ *:[v8i16] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 135918 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v32s16,
     /* 135921 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 135925 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135930 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 135932 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v32s16,
     /* 135935 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 135939 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135944 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 135947 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 135951 */     GIR_AddImm8, /*InsnID*/5, /*Imm*/11,
     /* 135954 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 135959 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 135964 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 135969 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v32s1,
     /* 135972 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 135976 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135981 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 135985 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VK32WMRegClassID),
     /* 135990 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v32s16,
     /* 135993 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 135997 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 136004 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v32s16,
     /* 136007 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 136011 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136016 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 136019 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src0
     /* 136023 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 136026 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 136031 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 136036 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 136041 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v32s16,
     /* 136044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Zrrk),
     /* 136048 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136053 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 136056 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 136059 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /* 136062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 136064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 136067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 136069 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 136076 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 136081 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 136086 */     // GIR_Coverage, 19787,
     /* 136086 */     GIR_EraseRootFromParent_Done,
     /* 136087 */   // Label 2938: @136087
     /* 136087 */   GIM_Try, /*On fail goto*//*Label 2939*/ GIMT_Encode4(136280), // Rule ID 19791 //
     /* 136092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEVEX512_NoVLX),
     /* 136095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 136099 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 136103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 136107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 136111 */     // (vselect:{ *:[v8f16] } VK8WM:{ *:[v8i1] }:$mask, VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src0)  =>  (EXTRACT_SUBREG:{ *:[v8f16] } (VMOVDQU16Zrrk:{ *:[v32f16] } (INSERT_SUBREG:{ *:[v32f16] } (IMPLICIT_DEF:{ *:[v32f16] }), VR128X:{ *:[v8f16] }:$src0, sub_xmm:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v32i1] } VK8WM:{ *:[v8i1] }:$mask, VK32WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v32f16] } (IMPLICIT_DEF:{ *:[v32f16] }), VR128X:{ *:[v8f16] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 136111 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v32s16,
     /* 136114 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 136118 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 136125 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v32s16,
     /* 136128 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 136132 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136137 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 136140 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 136144 */     GIR_AddImm8, /*InsnID*/5, /*Imm*/11,
     /* 136147 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 136152 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 136157 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 136162 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v32s1,
     /* 136165 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 136169 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136174 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 136178 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VK32WMRegClassID),
     /* 136183 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v32s16,
     /* 136186 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 136190 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136195 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 136197 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v32s16,
     /* 136200 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 136204 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136209 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 136212 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src0
     /* 136216 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 136219 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 136224 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 136229 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 136234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v32s16,
     /* 136237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Zrrk),
     /* 136241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136246 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 136249 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 136252 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /* 136255 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 136257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 136260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 136262 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 136269 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 136274 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 136279 */     // GIR_Coverage, 19791,
     /* 136279 */     GIR_EraseRootFromParent_Done,
     /* 136280 */   // Label 2939: @136280
     /* 136280 */   GIM_Try, /*On fail goto*//*Label 2940*/ GIMT_Encode4(136317), // Rule ID 19863 //
     /* 136285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 136288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 136292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 136296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 136300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 136304 */     // (vselect:{ *:[v8f16] } VK8WM:{ *:[v8i1] }:$mask, VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src0)  =>  (VMOVDQU16Z128rrk:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src0, VK8WM:{ *:[v8i1] }:$mask, VR128X:{ *:[v8f16] }:$src1)
     /* 136304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Z128rrk),
     /* 136307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 136309 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 136311 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 136313 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 136315 */     GIR_RootConstrainSelectedInstOperands,
     /* 136316 */     // GIR_Coverage, 19863,
     /* 136316 */     GIR_EraseRootFromParent_Done,
     /* 136317 */   // Label 2940: @136317
     /* 136317 */   GIM_Reject,
     /* 136318 */ // Label 2928: @136318
     /* 136318 */ GIM_Reject,
     /* 136319 */ // Label 2892: @136319
     /* 136319 */ GIM_Try, /*On fail goto*//*Label 2941*/ GIMT_Encode4(137098),
     /* 136324 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s1,
     /* 136327 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 136330 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 136333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 136337 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 136341 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 136345 */   GIM_Try, /*On fail goto*//*Label 2942*/ GIMT_Encode4(136378), // Rule ID 4465 //
     /* 136350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 136353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 136357 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 136363 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 136365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 136367 */     // (vselect:{ *:[v8f32] } VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8f32] }:$src, immAllZerosV:{ *:[v8f32] })  =>  (VMOVAPSZ256rrkz:{ *:[v8f32] } VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8f32] }:$src)
     /* 136367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZ256rrkz),
     /* 136370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 136372 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 136374 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 136376 */     GIR_RootConstrainSelectedInstOperands,
     /* 136377 */     // GIR_Coverage, 4465,
     /* 136377 */     GIR_EraseRootFromParent_Done,
     /* 136378 */   // Label 2942: @136378
     /* 136378 */   GIM_Try, /*On fail goto*//*Label 2943*/ GIMT_Encode4(136411), // Rule ID 4524 //
     /* 136383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 136386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 136390 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 136396 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 136398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 136400 */     // (vselect:{ *:[v8i32] } VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8i32] }:$src, immAllZerosV:{ *:[v8i32] })  =>  (VMOVDQA32Z256rrkz:{ *:[v8i32] } VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8i32] }:$src)
     /* 136400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA32Z256rrkz),
     /* 136403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 136405 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 136407 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 136409 */     GIR_RootConstrainSelectedInstOperands,
     /* 136410 */     // GIR_Coverage, 4524,
     /* 136410 */     GIR_EraseRootFromParent_Done,
     /* 136411 */   // Label 2943: @136411
     /* 136411 */   GIM_Try, /*On fail goto*//*Label 2944*/ GIMT_Encode4(136548), // Rule ID 19772 //
     /* 136416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 136419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 136423 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 136429 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 136431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 136433 */     // (vselect:{ *:[v8f32] } VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8f32] }:$src1, immAllZerosV:{ *:[v8f32] })  =>  (EXTRACT_SUBREG:{ *:[v8f32] } (VMOVAPSZrrkz:{ *:[v16f32] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK8WM:{ *:[v8i1] }:$mask, VK16WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v16f32] } (IMPLICIT_DEF:{ *:[v16f32] }), VR256X:{ *:[v8f32] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 136433 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v16s32,
     /* 136436 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 136440 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 136447 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 136450 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 136454 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136459 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 136462 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 136466 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/12,
     /* 136469 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 136474 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 136479 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 136484 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /* 136487 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 136491 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136496 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 136500 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16WMRegClassID),
     /* 136505 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s32,
     /* 136508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZrrkz),
     /* 136512 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136517 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 136520 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 136523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 136525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 136528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 136530 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 136537 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 136542 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 136547 */     // GIR_Coverage, 19772,
     /* 136547 */     GIR_EraseRootFromParent_Done,
     /* 136548 */   // Label 2944: @136548
     /* 136548 */   GIM_Try, /*On fail goto*//*Label 2945*/ GIMT_Encode4(136685), // Rule ID 19774 //
     /* 136553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 136556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 136560 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 136566 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 136568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 136570 */     // (vselect:{ *:[v8i32] } VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8i32] }:$src1, immAllZerosV:{ *:[v8i32] })  =>  (EXTRACT_SUBREG:{ *:[v8i32] } (VMOVDQA32Zrrkz:{ *:[v16i32] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK8WM:{ *:[v8i1] }:$mask, VK16WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR256X:{ *:[v8i32] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 136570 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v16s32,
     /* 136573 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 136577 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136582 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 136584 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 136587 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 136591 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136596 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 136599 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 136603 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/12,
     /* 136606 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 136611 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 136616 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 136621 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /* 136624 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 136628 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136633 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 136637 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16WMRegClassID),
     /* 136642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s32,
     /* 136645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQA32Zrrkz),
     /* 136649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136654 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 136657 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 136660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 136662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 136665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 136667 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 136674 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 136679 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 136684 */     // GIR_Coverage, 19774,
     /* 136684 */     GIR_EraseRootFromParent_Done,
     /* 136685 */   // Label 2945: @136685
     /* 136685 */   GIM_Try, /*On fail goto*//*Label 2946*/ GIMT_Encode4(136710), // Rule ID 4467 //
     /* 136690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 136693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 136697 */     // (vselect:{ *:[v8f32] } VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src0)  =>  (VMOVAPSZ256rrk:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src0, VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8f32] }:$src1)
     /* 136697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZ256rrk),
     /* 136700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 136702 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 136704 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 136706 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 136708 */     GIR_RootConstrainSelectedInstOperands,
     /* 136709 */     // GIR_Coverage, 4467,
     /* 136709 */     GIR_EraseRootFromParent_Done,
     /* 136710 */   // Label 2946: @136710
     /* 136710 */   GIM_Try, /*On fail goto*//*Label 2947*/ GIMT_Encode4(136735), // Rule ID 4525 //
     /* 136715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 136718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 136722 */     // (vselect:{ *:[v8i32] } VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src0)  =>  (VMOVDQA32Z256rrk:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src0, VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8i32] }:$src1)
     /* 136722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA32Z256rrk),
     /* 136725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 136727 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 136729 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 136731 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 136733 */     GIR_RootConstrainSelectedInstOperands,
     /* 136734 */     // GIR_Coverage, 4525,
     /* 136734 */     GIR_EraseRootFromParent_Done,
     /* 136735 */   // Label 2947: @136735
     /* 136735 */   GIM_Try, /*On fail goto*//*Label 2948*/ GIMT_Encode4(136916), // Rule ID 19771 //
     /* 136740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 136743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 136747 */     // (vselect:{ *:[v8f32] } VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src0)  =>  (EXTRACT_SUBREG:{ *:[v8f32] } (VMOVAPSZrrk:{ *:[v16f32] } (INSERT_SUBREG:{ *:[v16f32] } (IMPLICIT_DEF:{ *:[v16f32] }), VR256X:{ *:[v8f32] }:$src0, sub_ymm:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK8WM:{ *:[v8i1] }:$mask, VK16WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v16f32] } (IMPLICIT_DEF:{ *:[v16f32] }), VR256X:{ *:[v8f32] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 136747 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v16s32,
     /* 136750 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 136754 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136759 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 136761 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v16s32,
     /* 136764 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 136768 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136773 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 136776 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 136780 */     GIR_AddImm8, /*InsnID*/5, /*Imm*/12,
     /* 136783 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 136788 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 136793 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 136798 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v16s1,
     /* 136801 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 136805 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136810 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 136814 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VK16WMRegClassID),
     /* 136819 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 136822 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 136826 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 136833 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s32,
     /* 136836 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 136840 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136845 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 136848 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src0
     /* 136852 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 136855 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 136860 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 136865 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 136870 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s32,
     /* 136873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZrrk),
     /* 136877 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136882 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 136885 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 136888 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /* 136891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 136893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 136896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 136898 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 136905 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 136910 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 136915 */     // GIR_Coverage, 19771,
     /* 136915 */     GIR_EraseRootFromParent_Done,
     /* 136916 */   // Label 2948: @136916
     /* 136916 */   GIM_Try, /*On fail goto*//*Label 2949*/ GIMT_Encode4(137097), // Rule ID 19773 //
     /* 136921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 136924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 136928 */     // (vselect:{ *:[v8i32] } VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src0)  =>  (EXTRACT_SUBREG:{ *:[v8i32] } (VMOVDQA32Zrrk:{ *:[v16i32] } (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR256X:{ *:[v8i32] }:$src0, sub_ymm:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK8WM:{ *:[v8i1] }:$mask, VK16WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR256X:{ *:[v8i32] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 136928 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v16s32,
     /* 136931 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 136935 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 136942 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v16s32,
     /* 136945 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 136949 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136954 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 136957 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 136961 */     GIR_AddImm8, /*InsnID*/5, /*Imm*/12,
     /* 136964 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 136969 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 136974 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 136979 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v16s1,
     /* 136982 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 136986 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136991 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 136995 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VK16WMRegClassID),
     /* 137000 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 137003 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 137007 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 137012 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 137014 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s32,
     /* 137017 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 137021 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 137026 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 137029 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src0
     /* 137033 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 137036 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 137041 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 137046 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 137051 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s32,
     /* 137054 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQA32Zrrk),
     /* 137058 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 137063 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 137066 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 137069 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /* 137072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 137074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 137077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 137079 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 137086 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 137091 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 137096 */     // GIR_Coverage, 19773,
     /* 137096 */     GIR_EraseRootFromParent_Done,
     /* 137097 */   // Label 2949: @137097
     /* 137097 */   GIM_Reject,
     /* 137098 */ // Label 2941: @137098
     /* 137098 */ GIM_Reject,
     /* 137099 */ // Label 2893: @137099
     /* 137099 */ GIM_Try, /*On fail goto*//*Label 2950*/ GIMT_Encode4(137479),
     /* 137104 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s1,
     /* 137107 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /* 137110 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s64,
     /* 137113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 137117 */   GIM_Try, /*On fail goto*//*Label 2951*/ GIMT_Encode4(137186), // Rule ID 19765 //
     /* 137122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 137126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 137130 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s1,
     /* 137134 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s1,
     /* 137138 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /* 137143 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 137147 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 137153 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /* 137155 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 137159 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 137165 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/3,
     /* 137167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 137171 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 137173 */     // (vselect:{ *:[v8i64] } (xor:{ *:[v8i1] } VK8:{ *:[v8i1] }:$mask, immAllOnesV:{ *:[v8i1] }), immAllZerosV:{ *:[v8i64] }, VR512:{ *:[v8i64] }:$src)  =>  (VMOVDQA64Zrrkz:{ *:[v8i64] } VK8:{ *:[v8i1] }:$mask, VR512:{ *:[v8i64] }:$src)
     /* 137173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Zrrkz),
     /* 137176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 137178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // mask
     /* 137182 */     GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 137184 */     GIR_RootConstrainSelectedInstOperands,
     /* 137185 */     // GIR_Coverage, 19765,
     /* 137185 */     GIR_EraseRootFromParent_Done,
     /* 137186 */   // Label 2951: @137186
     /* 137186 */   GIM_Try, /*On fail goto*//*Label 2952*/ GIMT_Encode4(137233), // Rule ID 3598 //
     /* 137191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 137194 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 137198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 137202 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 137208 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /* 137210 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 137214 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 137220 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /* 137222 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 137224 */     // (vselect:{ *:[v8i64] } VK8WM:{ *:[v8i1] }:$mask, immAllOnesV:{ *:[v8i64] }, immAllZerosV:{ *:[v8i64] })  =>  (AVX512_512_SEXT_MASK_64:{ *:[v8i64] } VK8WM:{ *:[v8i1] }:$mask)
     /* 137224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AVX512_512_SEXT_MASK_64),
     /* 137227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 137229 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 137231 */     GIR_RootConstrainSelectedInstOperands,
     /* 137232 */     // GIR_Coverage, 3598,
     /* 137232 */     GIR_EraseRootFromParent_Done,
     /* 137233 */   // Label 2952: @137233
     /* 137233 */   GIM_Try, /*On fail goto*//*Label 2953*/ GIMT_Encode4(137330), // Rule ID 19763 //
     /* 137238 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 137242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 137246 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 137252 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 137254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 137258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 137260 */     // (vselect:{ *:[v8i64] } VK8WM:{ *:[v8i1] }:$mask, immAllZerosV:{ *:[v8i64] }, VR512:{ *:[v8i64] }:$src)  =>  (VMOVDQA64Zrrkz:{ *:[v8i64] } (COPY_TO_REGCLASS:{ *:[v8i1] } (KNOTWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK8:{ *:[v8i1] }:$mask, VK16:{ *:[i32] })), VK8:{ *:[i32] }), VR512:{ *:[v8i64] }:$src)
     /* 137260 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /* 137263 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 137267 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 137272 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 137276 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /* 137281 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /* 137284 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(X86::KNOTWkk),
     /* 137288 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 137293 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 137296 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 137298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s1,
     /* 137301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 137305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 137310 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 137313 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::VK8RegClassID),
     /* 137318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Zrrkz),
     /* 137321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 137323 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 137326 */     GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 137328 */     GIR_RootConstrainSelectedInstOperands,
     /* 137329 */     // GIR_Coverage, 19763,
     /* 137329 */     GIR_EraseRootFromParent_Done,
     /* 137330 */   // Label 2953: @137330
     /* 137330 */   GIM_Try, /*On fail goto*//*Label 2954*/ GIMT_Encode4(137371), // Rule ID 4478 //
     /* 137335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 137338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 137342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 137346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 137350 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 137356 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 137358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 137360 */     // (vselect:{ *:[v8f64] } VK8WM:{ *:[v8i1] }:$mask, VR512:{ *:[v8f64] }:$src, immAllZerosV:{ *:[v8f64] })  =>  (VMOVAPDZrrkz:{ *:[v8f64] } VK8WM:{ *:[v8i1] }:$mask, VR512:{ *:[v8f64] }:$src)
     /* 137360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPDZrrkz),
     /* 137363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 137365 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 137367 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 137369 */     GIR_RootConstrainSelectedInstOperands,
     /* 137370 */     // GIR_Coverage, 4478,
     /* 137370 */     GIR_EraseRootFromParent_Done,
     /* 137371 */   // Label 2954: @137371
     /* 137371 */   GIM_Try, /*On fail goto*//*Label 2955*/ GIMT_Encode4(137412), // Rule ID 4532 //
     /* 137376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 137379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 137383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 137387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 137391 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 137397 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 137399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 137401 */     // (vselect:{ *:[v8i64] } VK8WM:{ *:[v8i1] }:$mask, VR512:{ *:[v8i64] }:$src, immAllZerosV:{ *:[v8i64] })  =>  (VMOVDQA64Zrrkz:{ *:[v8i64] } VK8WM:{ *:[v8i1] }:$mask, VR512:{ *:[v8i64] }:$src)
     /* 137401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Zrrkz),
     /* 137404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 137406 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 137408 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 137410 */     GIR_RootConstrainSelectedInstOperands,
     /* 137411 */     // GIR_Coverage, 4532,
     /* 137411 */     GIR_EraseRootFromParent_Done,
     /* 137412 */   // Label 2955: @137412
     /* 137412 */   GIM_Try, /*On fail goto*//*Label 2956*/ GIMT_Encode4(137445), // Rule ID 4480 //
     /* 137417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 137420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 137424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 137428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 137432 */     // (vselect:{ *:[v8f64] } VK8WM:{ *:[v8i1] }:$mask, VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src0)  =>  (VMOVAPDZrrk:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src0, VK8WM:{ *:[v8i1] }:$mask, VR512:{ *:[v8f64] }:$src1)
     /* 137432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPDZrrk),
     /* 137435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 137437 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 137439 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 137441 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 137443 */     GIR_RootConstrainSelectedInstOperands,
     /* 137444 */     // GIR_Coverage, 4480,
     /* 137444 */     GIR_EraseRootFromParent_Done,
     /* 137445 */   // Label 2956: @137445
     /* 137445 */   GIM_Try, /*On fail goto*//*Label 2957*/ GIMT_Encode4(137478), // Rule ID 4534 //
     /* 137450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 137453 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 137457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 137461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 137465 */     // (vselect:{ *:[v8i64] } VK8WM:{ *:[v8i1] }:$mask, VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src0)  =>  (VMOVDQA64Zrrk:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src0, VK8WM:{ *:[v8i1] }:$mask, VR512:{ *:[v8i64] }:$src1)
     /* 137465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Zrrk),
     /* 137468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 137470 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 137472 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 137474 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 137476 */     GIR_RootConstrainSelectedInstOperands,
     /* 137477 */     // GIR_Coverage, 4534,
     /* 137477 */     GIR_EraseRootFromParent_Done,
     /* 137478 */   // Label 2957: @137478
     /* 137478 */   GIM_Reject,
     /* 137479 */ // Label 2950: @137479
     /* 137479 */ GIM_Reject,
     /* 137480 */ // Label 2894: @137480
     /* 137480 */ GIM_Try, /*On fail goto*//*Label 2958*/ GIMT_Encode4(137919),
     /* 137485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s1,
     /* 137488 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 137491 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 137494 */   GIM_Try, /*On fail goto*//*Label 2959*/ GIMT_Encode4(137539), // Rule ID 4558 //
     /* 137499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 137502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 137506 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16WMRegClassID),
     /* 137510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 137514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 137518 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 137524 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 137526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 137528 */     // (vselect:{ *:[v16i8] } VK16WM:{ *:[v16i1] }:$mask, VR128X:{ *:[v16i8] }:$src, immAllZerosV:{ *:[v16i8] })  =>  (VMOVDQU8Z128rrkz:{ *:[v16i8] } VK16WM:{ *:[v16i1] }:$mask, VR128X:{ *:[v16i8] }:$src)
     /* 137528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU8Z128rrkz),
     /* 137531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 137533 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 137535 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 137537 */     GIR_RootConstrainSelectedInstOperands,
     /* 137538 */     // GIR_Coverage, 4558,
     /* 137538 */     GIR_EraseRootFromParent_Done,
     /* 137539 */   // Label 2959: @137539
     /* 137539 */   GIM_Try, /*On fail goto*//*Label 2960*/ GIMT_Encode4(137688), // Rule ID 19784 //
     /* 137544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEVEX512_NoVLX),
     /* 137547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 137551 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16WMRegClassID),
     /* 137555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 137559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 137563 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 137569 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 137571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 137573 */     // (vselect:{ *:[v16i8] } VK16WM:{ *:[v16i1] }:$mask, VR128X:{ *:[v16i8] }:$src1, immAllZerosV:{ *:[v16i8] })  =>  (EXTRACT_SUBREG:{ *:[v16i8] } (VMOVDQU8Zrrkz:{ *:[v64i8] } (COPY_TO_REGCLASS:{ *:[v64i1] } VK16WM:{ *:[v16i1] }:$mask, VK64WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v64i8] } (IMPLICIT_DEF:{ *:[v64i8] }), VR128X:{ *:[v16i8] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 137573 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v64s8,
     /* 137576 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 137580 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 137585 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 137587 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v64s8,
     /* 137590 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 137594 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 137599 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 137602 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 137606 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/11,
     /* 137609 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 137614 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 137619 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 137624 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v64s1,
     /* 137627 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 137631 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 137636 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 137640 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK64WMRegClassID),
     /* 137645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 137648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQU8Zrrkz),
     /* 137652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 137657 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 137660 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 137663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 137665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 137668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 137670 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 137677 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 137682 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 137687 */     // GIR_Coverage, 19784,
     /* 137687 */     GIR_EraseRootFromParent_Done,
     /* 137688 */   // Label 2960: @137688
     /* 137688 */   GIM_Try, /*On fail goto*//*Label 2961*/ GIMT_Encode4(137725), // Rule ID 4559 //
     /* 137693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 137696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 137700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16WMRegClassID),
     /* 137704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 137708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 137712 */     // (vselect:{ *:[v16i8] } VK16WM:{ *:[v16i1] }:$mask, VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src0)  =>  (VMOVDQU8Z128rrk:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src0, VK16WM:{ *:[v16i1] }:$mask, VR128X:{ *:[v16i8] }:$src1)
     /* 137712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU8Z128rrk),
     /* 137715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 137717 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 137719 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 137721 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 137723 */     GIR_RootConstrainSelectedInstOperands,
     /* 137724 */     // GIR_Coverage, 4559,
     /* 137724 */     GIR_EraseRootFromParent_Done,
     /* 137725 */   // Label 2961: @137725
     /* 137725 */   GIM_Try, /*On fail goto*//*Label 2962*/ GIMT_Encode4(137918), // Rule ID 19783 //
     /* 137730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEVEX512_NoVLX),
     /* 137733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 137737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16WMRegClassID),
     /* 137741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 137745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 137749 */     // (vselect:{ *:[v16i8] } VK16WM:{ *:[v16i1] }:$mask, VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src0)  =>  (EXTRACT_SUBREG:{ *:[v16i8] } (VMOVDQU8Zrrk:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v64i8] } (IMPLICIT_DEF:{ *:[v64i8] }), VR128X:{ *:[v16i8] }:$src0, sub_xmm:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v64i1] } VK16WM:{ *:[v16i1] }:$mask, VK64WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v64i8] } (IMPLICIT_DEF:{ *:[v64i8] }), VR128X:{ *:[v16i8] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 137749 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v64s8,
     /* 137752 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 137756 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 137761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 137763 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v64s8,
     /* 137766 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 137770 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 137775 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 137778 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 137782 */     GIR_AddImm8, /*InsnID*/5, /*Imm*/11,
     /* 137785 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 137790 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 137795 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 137800 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v64s1,
     /* 137803 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 137807 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 137812 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 137816 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VK64WMRegClassID),
     /* 137821 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v64s8,
     /* 137824 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 137828 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 137833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 137835 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v64s8,
     /* 137838 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 137842 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 137847 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 137850 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src0
     /* 137854 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 137857 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 137862 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 137867 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 137872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 137875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQU8Zrrk),
     /* 137879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 137884 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 137887 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 137890 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /* 137893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 137895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 137898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 137900 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 137907 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 137912 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 137917 */     // GIR_Coverage, 19783,
     /* 137917 */     GIR_EraseRootFromParent_Done,
     /* 137918 */   // Label 2962: @137918
     /* 137918 */   GIM_Reject,
     /* 137919 */ // Label 2958: @137919
     /* 137919 */ GIM_Reject,
     /* 137920 */ // Label 2895: @137920
     /* 137920 */ GIM_Try, /*On fail goto*//*Label 2963*/ GIMT_Encode4(138989),
     /* 137925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s1,
     /* 137928 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 137931 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /* 137934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 137938 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16WMRegClassID),
     /* 137942 */   GIM_Try, /*On fail goto*//*Label 2964*/ GIMT_Encode4(138013), // Rule ID 19856 //
     /* 137947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 137950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 137954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 137958 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 137961 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 137965 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 137969 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /* 137973 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 137977 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 137983 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /* 137985 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 137987 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 137994 */     // (vselect:{ *:[v16f16] } VK16WM:{ *:[v16i1] }:$mask, (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>, immAllZerosV:{ *:[v16f16] })  =>  (VMOVDQU16Z256rmkz:{ *:[v16f16] } VK16WM:{ *:[v16i1] }:$mask, addr:{ *:[iPTR] }:$src)
     /* 137994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Z256rmkz),
     /* 137997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 137999 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 138001 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 138005 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 138011 */     GIR_RootConstrainSelectedInstOperands,
     /* 138012 */     // GIR_Coverage, 19856,
     /* 138012 */     GIR_EraseRootFromParent_Done,
     /* 138013 */   // Label 2964: @138013
     /* 138013 */   GIM_Try, /*On fail goto*//*Label 2965*/ GIMT_Encode4(138080), // Rule ID 19858 //
     /* 138018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 138021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 138025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 138029 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 138032 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 138036 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 138040 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 138044 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 138050 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /* 138052 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 138054 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 138061 */     // (vselect:{ *:[v16f16] } VK16WM:{ *:[v16i1] }:$mask, (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>, immAllZerosV:{ *:[v16f16] })  =>  (VMOVDQU16Z256rmkz:{ *:[v16f16] } VK16WM:{ *:[v16i1] }:$mask, addr:{ *:[iPTR] }:$src)
     /* 138061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Z256rmkz),
     /* 138064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 138066 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 138068 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 138072 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 138078 */     GIR_RootConstrainSelectedInstOperands,
     /* 138079 */     // GIR_Coverage, 19858,
     /* 138079 */     GIR_EraseRootFromParent_Done,
     /* 138080 */   // Label 2965: @138080
     /* 138080 */   GIM_Try, /*On fail goto*//*Label 2966*/ GIMT_Encode4(138144), // Rule ID 19855 //
     /* 138085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 138088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 138092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 138096 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 138099 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 138103 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 138107 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /* 138111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 138115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 138117 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 138124 */     // (vselect:{ *:[v16f16] } VK16WM:{ *:[v16i1] }:$mask, (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>, VR256X:{ *:[v16f16] }:$src0)  =>  (VMOVDQU16Z256rmk:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src0, VK16WM:{ *:[v16i1] }:$mask, addr:{ *:[iPTR] }:$src)
     /* 138124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Z256rmk),
     /* 138127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 138129 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 138131 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 138133 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 138137 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 138142 */     GIR_RootConstrainSelectedInstOperands,
     /* 138143 */     // GIR_Coverage, 19855,
     /* 138143 */     GIR_EraseRootFromParent_Done,
     /* 138144 */   // Label 2966: @138144
     /* 138144 */   GIM_Try, /*On fail goto*//*Label 2967*/ GIMT_Encode4(138204), // Rule ID 19857 //
     /* 138149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 138152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 138156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 138160 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 138163 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 138167 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 138171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 138175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 138177 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 138184 */     // (vselect:{ *:[v16f16] } VK16WM:{ *:[v16i1] }:$mask, (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16f16] }:$src0)  =>  (VMOVDQU16Z256rmk:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src0, VK16WM:{ *:[v16i1] }:$mask, addr:{ *:[iPTR] }:$src)
     /* 138184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Z256rmk),
     /* 138187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 138189 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 138191 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 138193 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 138197 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 138202 */     GIR_RootConstrainSelectedInstOperands,
     /* 138203 */     // GIR_Coverage, 19857,
     /* 138203 */     GIR_EraseRootFromParent_Done,
     /* 138204 */   // Label 2967: @138204
     /* 138204 */   GIM_Try, /*On fail goto*//*Label 2968*/ GIMT_Encode4(138241), // Rule ID 4566 //
     /* 138209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 138212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 138216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 138220 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 138226 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 138228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 138230 */     // (vselect:{ *:[v16i16] } VK16WM:{ *:[v16i1] }:$mask, VR256X:{ *:[v16i16] }:$src, immAllZerosV:{ *:[v16i16] })  =>  (VMOVDQU16Z256rrkz:{ *:[v16i16] } VK16WM:{ *:[v16i1] }:$mask, VR256X:{ *:[v16i16] }:$src)
     /* 138230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Z256rrkz),
     /* 138233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 138235 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 138237 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 138239 */     GIR_RootConstrainSelectedInstOperands,
     /* 138240 */     // GIR_Coverage, 4566,
     /* 138240 */     GIR_EraseRootFromParent_Done,
     /* 138241 */   // Label 2968: @138241
     /* 138241 */   GIM_Try, /*On fail goto*//*Label 2969*/ GIMT_Encode4(138382), // Rule ID 19790 //
     /* 138246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEVEX512_NoVLX),
     /* 138249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 138253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 138257 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 138263 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 138265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 138267 */     // (vselect:{ *:[v16i16] } VK16WM:{ *:[v16i1] }:$mask, VR256X:{ *:[v16i16] }:$src1, immAllZerosV:{ *:[v16i16] })  =>  (EXTRACT_SUBREG:{ *:[v16i16] } (VMOVDQU16Zrrkz:{ *:[v32i16] } (COPY_TO_REGCLASS:{ *:[v32i1] } VK16WM:{ *:[v16i1] }:$mask, VK32WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v32i16] } (IMPLICIT_DEF:{ *:[v32i16] }), VR256X:{ *:[v16i16] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 138267 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v32s16,
     /* 138270 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 138274 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138279 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 138281 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v32s16,
     /* 138284 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 138288 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138293 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 138296 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 138300 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/12,
     /* 138303 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 138308 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 138313 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 138318 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v32s1,
     /* 138321 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 138325 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138330 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 138334 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK32WMRegClassID),
     /* 138339 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v32s16,
     /* 138342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Zrrkz),
     /* 138346 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138351 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 138354 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 138357 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 138359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 138362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 138364 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 138371 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 138376 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 138381 */     // GIR_Coverage, 19790,
     /* 138381 */     GIR_EraseRootFromParent_Done,
     /* 138382 */   // Label 2969: @138382
     /* 138382 */   GIM_Try, /*On fail goto*//*Label 2970*/ GIMT_Encode4(138523), // Rule ID 19794 //
     /* 138387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEVEX512_NoVLX),
     /* 138390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 138394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 138398 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 138404 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 138406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 138408 */     // (vselect:{ *:[v16f16] } VK16WM:{ *:[v16i1] }:$mask, VR256X:{ *:[v16f16] }:$src1, immAllZerosV:{ *:[v16f16] })  =>  (EXTRACT_SUBREG:{ *:[v16f16] } (VMOVDQU16Zrrkz:{ *:[v32f16] } (COPY_TO_REGCLASS:{ *:[v32i1] } VK16WM:{ *:[v16i1] }:$mask, VK32WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v32f16] } (IMPLICIT_DEF:{ *:[v32f16] }), VR256X:{ *:[v16f16] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 138408 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v32s16,
     /* 138411 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 138415 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138420 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 138422 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v32s16,
     /* 138425 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 138429 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138434 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 138437 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 138441 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/12,
     /* 138444 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 138449 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 138454 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 138459 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v32s1,
     /* 138462 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 138466 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138471 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 138475 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK32WMRegClassID),
     /* 138480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v32s16,
     /* 138483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Zrrkz),
     /* 138487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138492 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 138495 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 138498 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 138500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 138503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 138505 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 138512 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 138517 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 138522 */     // GIR_Coverage, 19794,
     /* 138522 */     GIR_EraseRootFromParent_Done,
     /* 138523 */   // Label 2970: @138523
     /* 138523 */   GIM_Try, /*On fail goto*//*Label 2971*/ GIMT_Encode4(138560), // Rule ID 19854 //
     /* 138528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 138531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 138535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 138539 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 138545 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 138547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 138549 */     // (vselect:{ *:[v16f16] } VK16WM:{ *:[v16i1] }:$mask, VR256X:{ *:[v16f16] }:$src1, immAllZerosV:{ *:[v16f16] })  =>  (VMOVDQU16Z256rrkz:{ *:[v16f16] } VK16WM:{ *:[v16i1] }:$mask, VR256X:{ *:[v16f16] }:$src1)
     /* 138549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Z256rrkz),
     /* 138552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 138554 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 138556 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 138558 */     GIR_RootConstrainSelectedInstOperands,
     /* 138559 */     // GIR_Coverage, 19854,
     /* 138559 */     GIR_EraseRootFromParent_Done,
     /* 138560 */   // Label 2971: @138560
     /* 138560 */   GIM_Try, /*On fail goto*//*Label 2972*/ GIMT_Encode4(138589), // Rule ID 4567 //
     /* 138565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 138568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 138572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 138576 */     // (vselect:{ *:[v16i16] } VK16WM:{ *:[v16i1] }:$mask, VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src0)  =>  (VMOVDQU16Z256rrk:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src0, VK16WM:{ *:[v16i1] }:$mask, VR256X:{ *:[v16i16] }:$src1)
     /* 138576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Z256rrk),
     /* 138579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 138581 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 138583 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 138585 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 138587 */     GIR_RootConstrainSelectedInstOperands,
     /* 138588 */     // GIR_Coverage, 4567,
     /* 138588 */     GIR_EraseRootFromParent_Done,
     /* 138589 */   // Label 2972: @138589
     /* 138589 */   GIM_Try, /*On fail goto*//*Label 2973*/ GIMT_Encode4(138774), // Rule ID 19789 //
     /* 138594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEVEX512_NoVLX),
     /* 138597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 138601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 138605 */     // (vselect:{ *:[v16i16] } VK16WM:{ *:[v16i1] }:$mask, VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src0)  =>  (EXTRACT_SUBREG:{ *:[v16i16] } (VMOVDQU16Zrrk:{ *:[v32i16] } (INSERT_SUBREG:{ *:[v32i16] } (IMPLICIT_DEF:{ *:[v32i16] }), VR256X:{ *:[v16i16] }:$src0, sub_ymm:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v32i1] } VK16WM:{ *:[v16i1] }:$mask, VK32WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v32i16] } (IMPLICIT_DEF:{ *:[v32i16] }), VR256X:{ *:[v16i16] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 138605 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v32s16,
     /* 138608 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 138612 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138617 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 138619 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v32s16,
     /* 138622 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 138626 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138631 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 138634 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 138638 */     GIR_AddImm8, /*InsnID*/5, /*Imm*/12,
     /* 138641 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 138646 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 138651 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 138656 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v32s1,
     /* 138659 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 138663 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138668 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 138672 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VK32WMRegClassID),
     /* 138677 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v32s16,
     /* 138680 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 138684 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 138691 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v32s16,
     /* 138694 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 138698 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138703 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 138706 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src0
     /* 138710 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 138713 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 138718 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 138723 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 138728 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v32s16,
     /* 138731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Zrrk),
     /* 138735 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138740 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 138743 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 138746 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /* 138749 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 138751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 138754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 138756 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 138763 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 138768 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 138773 */     // GIR_Coverage, 19789,
     /* 138773 */     GIR_EraseRootFromParent_Done,
     /* 138774 */   // Label 2973: @138774
     /* 138774 */   GIM_Try, /*On fail goto*//*Label 2974*/ GIMT_Encode4(138959), // Rule ID 19793 //
     /* 138779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEVEX512_NoVLX),
     /* 138782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 138786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 138790 */     // (vselect:{ *:[v16f16] } VK16WM:{ *:[v16i1] }:$mask, VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src0)  =>  (EXTRACT_SUBREG:{ *:[v16f16] } (VMOVDQU16Zrrk:{ *:[v32f16] } (INSERT_SUBREG:{ *:[v32f16] } (IMPLICIT_DEF:{ *:[v32f16] }), VR256X:{ *:[v16f16] }:$src0, sub_ymm:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v32i1] } VK16WM:{ *:[v16i1] }:$mask, VK32WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v32f16] } (IMPLICIT_DEF:{ *:[v32f16] }), VR256X:{ *:[v16f16] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 138790 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v32s16,
     /* 138793 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 138797 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138802 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 138804 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v32s16,
     /* 138807 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 138811 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138816 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 138819 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 138823 */     GIR_AddImm8, /*InsnID*/5, /*Imm*/12,
     /* 138826 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 138831 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 138836 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 138841 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v32s1,
     /* 138844 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 138848 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138853 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 138857 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VK32WMRegClassID),
     /* 138862 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v32s16,
     /* 138865 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 138869 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138874 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 138876 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v32s16,
     /* 138879 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 138883 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138888 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 138891 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src0
     /* 138895 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 138898 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 138903 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 138908 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 138913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v32s16,
     /* 138916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Zrrk),
     /* 138920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138925 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 138928 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 138931 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /* 138934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 138936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 138939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 138941 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 138948 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 138953 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 138958 */     // GIR_Coverage, 19793,
     /* 138958 */     GIR_EraseRootFromParent_Done,
     /* 138959 */   // Label 2974: @138959
     /* 138959 */   GIM_Try, /*On fail goto*//*Label 2975*/ GIMT_Encode4(138988), // Rule ID 19853 //
     /* 138964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 138967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 138971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 138975 */     // (vselect:{ *:[v16f16] } VK16WM:{ *:[v16i1] }:$mask, VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src0)  =>  (VMOVDQU16Z256rrk:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src0, VK16WM:{ *:[v16i1] }:$mask, VR256X:{ *:[v16f16] }:$src1)
     /* 138975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Z256rrk),
     /* 138978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 138980 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 138982 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 138984 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 138986 */     GIR_RootConstrainSelectedInstOperands,
     /* 138987 */     // GIR_Coverage, 19853,
     /* 138987 */     GIR_EraseRootFromParent_Done,
     /* 138988 */   // Label 2975: @138988
     /* 138988 */   GIM_Reject,
     /* 138989 */ // Label 2963: @138989
     /* 138989 */ GIM_Reject,
     /* 138990 */ // Label 2896: @138990
     /* 138990 */ GIM_Try, /*On fail goto*//*Label 2976*/ GIMT_Encode4(139330),
     /* 138995 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s1,
     /* 138998 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 139001 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s32,
     /* 139004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 139008 */   GIM_Try, /*On fail goto*//*Label 2977*/ GIMT_Encode4(139077), // Rule ID 19766 //
     /* 139013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 139017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 139021 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s1,
     /* 139025 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s1,
     /* 139029 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 139034 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 139038 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 139044 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /* 139046 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 139050 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 139056 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/3,
     /* 139058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 139062 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 139064 */     // (vselect:{ *:[v16i32] } (xor:{ *:[v16i1] } VK16:{ *:[v16i1] }:$mask, immAllOnesV:{ *:[v16i1] }), immAllZerosV:{ *:[v16i32] }, VR512:{ *:[v16i32] }:$src)  =>  (VMOVDQA32Zrrkz:{ *:[v16i32] } VK16WM:{ *:[v16i1] }:$mask, VR512:{ *:[v16i32] }:$src)
     /* 139064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA32Zrrkz),
     /* 139067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 139069 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // mask
     /* 139073 */     GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 139075 */     GIR_RootConstrainSelectedInstOperands,
     /* 139076 */     // GIR_Coverage, 19766,
     /* 139076 */     GIR_EraseRootFromParent_Done,
     /* 139077 */   // Label 2977: @139077
     /* 139077 */   GIM_Try, /*On fail goto*//*Label 2978*/ GIMT_Encode4(139124), // Rule ID 3597 //
     /* 139082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 139085 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16WMRegClassID),
     /* 139089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 139093 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 139099 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /* 139101 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 139105 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 139111 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /* 139113 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 139115 */     // (vselect:{ *:[v16i32] } VK16WM:{ *:[v16i1] }:$mask, immAllOnesV:{ *:[v16i32] }, immAllZerosV:{ *:[v16i32] })  =>  (AVX512_512_SEXT_MASK_32:{ *:[v16i32] } VK16WM:{ *:[v16i1] }:$mask)
     /* 139115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AVX512_512_SEXT_MASK_32),
     /* 139118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 139120 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 139122 */     GIR_RootConstrainSelectedInstOperands,
     /* 139123 */     // GIR_Coverage, 3597,
     /* 139123 */     GIR_EraseRootFromParent_Done,
     /* 139124 */   // Label 2978: @139124
     /* 139124 */   GIM_Try, /*On fail goto*//*Label 2979*/ GIMT_Encode4(139181), // Rule ID 19764 //
     /* 139129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16WMRegClassID),
     /* 139133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 139137 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 139143 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 139145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 139149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 139151 */     // (vselect:{ *:[v16i32] } VK16WM:{ *:[v16i1] }:$mask, immAllZerosV:{ *:[v16i32] }, VR512:{ *:[v16i32] }:$src)  =>  (VMOVDQA32Zrrkz:{ *:[v16i32] } (KNOTWkk:{ *:[v16i1] } VK16WM:{ *:[v16i1] }:$mask), VR512:{ *:[v16i32] }:$src)
     /* 139151 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /* 139154 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KNOTWkk),
     /* 139158 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 139163 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 139167 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 139169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA32Zrrkz),
     /* 139172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 139174 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 139177 */     GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 139179 */     GIR_RootConstrainSelectedInstOperands,
     /* 139180 */     // GIR_Coverage, 19764,
     /* 139180 */     GIR_EraseRootFromParent_Done,
     /* 139181 */   // Label 2979: @139181
     /* 139181 */   GIM_Try, /*On fail goto*//*Label 2980*/ GIMT_Encode4(139222), // Rule ID 4460 //
     /* 139186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 139189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16WMRegClassID),
     /* 139193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 139197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 139201 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 139207 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 139209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 139211 */     // (vselect:{ *:[v16f32] } VK16WM:{ *:[v16i1] }:$mask, VR512:{ *:[v16f32] }:$src, immAllZerosV:{ *:[v16f32] })  =>  (VMOVAPSZrrkz:{ *:[v16f32] } VK16WM:{ *:[v16i1] }:$mask, VR512:{ *:[v16f32] }:$src)
     /* 139211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZrrkz),
     /* 139214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 139216 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 139218 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 139220 */     GIR_RootConstrainSelectedInstOperands,
     /* 139221 */     // GIR_Coverage, 4460,
     /* 139221 */     GIR_EraseRootFromParent_Done,
     /* 139222 */   // Label 2980: @139222
     /* 139222 */   GIM_Try, /*On fail goto*//*Label 2981*/ GIMT_Encode4(139263), // Rule ID 4520 //
     /* 139227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 139230 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16WMRegClassID),
     /* 139234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 139238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 139242 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 139248 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 139250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 139252 */     // (vselect:{ *:[v16i32] } VK16WM:{ *:[v16i1] }:$mask, VR512:{ *:[v16i32] }:$src, immAllZerosV:{ *:[v16i32] })  =>  (VMOVDQA32Zrrkz:{ *:[v16i32] } VK16WM:{ *:[v16i1] }:$mask, VR512:{ *:[v16i32] }:$src)
     /* 139252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA32Zrrkz),
     /* 139255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 139257 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 139259 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 139261 */     GIR_RootConstrainSelectedInstOperands,
     /* 139262 */     // GIR_Coverage, 4520,
     /* 139262 */     GIR_EraseRootFromParent_Done,
     /* 139263 */   // Label 2981: @139263
     /* 139263 */   GIM_Try, /*On fail goto*//*Label 2982*/ GIMT_Encode4(139296), // Rule ID 4462 //
     /* 139268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 139271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16WMRegClassID),
     /* 139275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 139279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 139283 */     // (vselect:{ *:[v16f32] } VK16WM:{ *:[v16i1] }:$mask, VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src0)  =>  (VMOVAPSZrrk:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src0, VK16WM:{ *:[v16i1] }:$mask, VR512:{ *:[v16f32] }:$src1)
     /* 139283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZrrk),
     /* 139286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 139288 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 139290 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 139292 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 139294 */     GIR_RootConstrainSelectedInstOperands,
     /* 139295 */     // GIR_Coverage, 4462,
     /* 139295 */     GIR_EraseRootFromParent_Done,
     /* 139296 */   // Label 2982: @139296
     /* 139296 */   GIM_Try, /*On fail goto*//*Label 2983*/ GIMT_Encode4(139329), // Rule ID 4521 //
     /* 139301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 139304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16WMRegClassID),
     /* 139308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 139312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 139316 */     // (vselect:{ *:[v16i32] } VK16WM:{ *:[v16i1] }:$mask, VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src0)  =>  (VMOVDQA32Zrrk:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src0, VK16WM:{ *:[v16i1] }:$mask, VR512:{ *:[v16i32] }:$src1)
     /* 139316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA32Zrrk),
     /* 139319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 139321 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 139323 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 139325 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 139327 */     GIR_RootConstrainSelectedInstOperands,
     /* 139328 */     // GIR_Coverage, 4521,
     /* 139328 */     GIR_EraseRootFromParent_Done,
     /* 139329 */   // Label 2983: @139329
     /* 139329 */   GIM_Reject,
     /* 139330 */ // Label 2976: @139330
     /* 139330 */ GIM_Reject,
     /* 139331 */ // Label 2897: @139331
     /* 139331 */ GIM_Try, /*On fail goto*//*Label 2984*/ GIMT_Encode4(139734),
     /* 139336 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s1,
     /* 139339 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s8,
     /* 139342 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v32s8,
     /* 139345 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 139349 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32WMRegClassID),
     /* 139353 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 139357 */   GIM_Try, /*On fail goto*//*Label 2985*/ GIMT_Encode4(139390), // Rule ID 4554 //
     /* 139362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 139365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 139369 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 139375 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 139377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 139379 */     // (vselect:{ *:[v32i8] } VK32WM:{ *:[v32i1] }:$mask, VR256X:{ *:[v32i8] }:$src, immAllZerosV:{ *:[v32i8] })  =>  (VMOVDQU8Z256rrkz:{ *:[v32i8] } VK32WM:{ *:[v32i1] }:$mask, VR256X:{ *:[v32i8] }:$src)
     /* 139379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU8Z256rrkz),
     /* 139382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 139384 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 139386 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 139388 */     GIR_RootConstrainSelectedInstOperands,
     /* 139389 */     // GIR_Coverage, 4554,
     /* 139389 */     GIR_EraseRootFromParent_Done,
     /* 139390 */   // Label 2985: @139390
     /* 139390 */   GIM_Try, /*On fail goto*//*Label 2986*/ GIMT_Encode4(139527), // Rule ID 19786 //
     /* 139395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEVEX512_NoVLX),
     /* 139398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 139402 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 139408 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 139410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 139412 */     // (vselect:{ *:[v32i8] } VK32WM:{ *:[v32i1] }:$mask, VR256X:{ *:[v32i8] }:$src1, immAllZerosV:{ *:[v32i8] })  =>  (EXTRACT_SUBREG:{ *:[v32i8] } (VMOVDQU8Zrrkz:{ *:[v64i8] } (COPY_TO_REGCLASS:{ *:[v64i1] } VK32WM:{ *:[v32i1] }:$mask, VK64WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v64i8] } (IMPLICIT_DEF:{ *:[v64i8] }), VR256X:{ *:[v32i8] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 139412 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v64s8,
     /* 139415 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 139419 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 139424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 139426 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v64s8,
     /* 139429 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 139433 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 139438 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 139441 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 139445 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/12,
     /* 139448 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 139453 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 139458 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 139463 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v64s1,
     /* 139466 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 139470 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 139475 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 139479 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK64WMRegClassID),
     /* 139484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 139487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQU8Zrrkz),
     /* 139491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 139496 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 139499 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 139502 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 139504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 139507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 139509 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 139516 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 139521 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 139526 */     // GIR_Coverage, 19786,
     /* 139526 */     GIR_EraseRootFromParent_Done,
     /* 139527 */   // Label 2986: @139527
     /* 139527 */   GIM_Try, /*On fail goto*//*Label 2987*/ GIMT_Encode4(139552), // Rule ID 4555 //
     /* 139532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 139535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 139539 */     // (vselect:{ *:[v32i8] } VK32WM:{ *:[v32i1] }:$mask, VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src0)  =>  (VMOVDQU8Z256rrk:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src0, VK32WM:{ *:[v32i1] }:$mask, VR256X:{ *:[v32i8] }:$src1)
     /* 139539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU8Z256rrk),
     /* 139542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 139544 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 139546 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 139548 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 139550 */     GIR_RootConstrainSelectedInstOperands,
     /* 139551 */     // GIR_Coverage, 4555,
     /* 139551 */     GIR_EraseRootFromParent_Done,
     /* 139552 */   // Label 2987: @139552
     /* 139552 */   GIM_Try, /*On fail goto*//*Label 2988*/ GIMT_Encode4(139733), // Rule ID 19785 //
     /* 139557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEVEX512_NoVLX),
     /* 139560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 139564 */     // (vselect:{ *:[v32i8] } VK32WM:{ *:[v32i1] }:$mask, VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src0)  =>  (EXTRACT_SUBREG:{ *:[v32i8] } (VMOVDQU8Zrrk:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v64i8] } (IMPLICIT_DEF:{ *:[v64i8] }), VR256X:{ *:[v32i8] }:$src0, sub_ymm:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v64i1] } VK32WM:{ *:[v32i1] }:$mask, VK64WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v64i8] } (IMPLICIT_DEF:{ *:[v64i8] }), VR256X:{ *:[v32i8] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 139564 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v64s8,
     /* 139567 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 139571 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 139576 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 139578 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v64s8,
     /* 139581 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 139585 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 139590 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 139593 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 139597 */     GIR_AddImm8, /*InsnID*/5, /*Imm*/12,
     /* 139600 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 139605 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 139610 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 139615 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v64s1,
     /* 139618 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 139622 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 139627 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 139631 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VK64WMRegClassID),
     /* 139636 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v64s8,
     /* 139639 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 139643 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 139648 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 139650 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v64s8,
     /* 139653 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 139657 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 139662 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 139665 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src0
     /* 139669 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 139672 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 139677 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 139682 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 139687 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 139690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQU8Zrrk),
     /* 139694 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 139699 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 139702 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 139705 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /* 139708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 139710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 139713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 139715 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 139722 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 139727 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 139732 */     // GIR_Coverage, 19785,
     /* 139732 */     GIR_EraseRootFromParent_Done,
     /* 139733 */   // Label 2988: @139733
     /* 139733 */   GIM_Reject,
     /* 139734 */ // Label 2984: @139734
     /* 139734 */ GIM_Reject,
     /* 139735 */ // Label 2898: @139735
     /* 139735 */ GIM_Try, /*On fail goto*//*Label 2989*/ GIMT_Encode4(140152),
     /* 139740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s1,
     /* 139743 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 139746 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v32s16,
     /* 139749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 139753 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32WMRegClassID),
     /* 139757 */   GIM_Try, /*On fail goto*//*Label 2990*/ GIMT_Encode4(139828), // Rule ID 19846 //
     /* 139762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 139765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 139769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 139773 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 139776 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 139780 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 139784 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /* 139788 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 139792 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 139798 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /* 139800 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 139802 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 139809 */     // (vselect:{ *:[v32f16] } VK32WM:{ *:[v32i1] }:$mask, (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>, immAllZerosV:{ *:[v32f16] })  =>  (VMOVDQU16Zrmkz:{ *:[v32f16] } VK32WM:{ *:[v32i1] }:$mask, addr:{ *:[iPTR] }:$src)
     /* 139809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Zrmkz),
     /* 139812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 139814 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 139816 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 139820 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 139826 */     GIR_RootConstrainSelectedInstOperands,
     /* 139827 */     // GIR_Coverage, 19846,
     /* 139827 */     GIR_EraseRootFromParent_Done,
     /* 139828 */   // Label 2990: @139828
     /* 139828 */   GIM_Try, /*On fail goto*//*Label 2991*/ GIMT_Encode4(139895), // Rule ID 19848 //
     /* 139833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 139836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 139840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 139844 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 139847 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 139851 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 139855 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 139859 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 139865 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /* 139867 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 139869 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 139876 */     // (vselect:{ *:[v32f16] } VK32WM:{ *:[v32i1] }:$mask, (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>, immAllZerosV:{ *:[v32f16] })  =>  (VMOVDQU16Zrmkz:{ *:[v32f16] } VK32WM:{ *:[v32i1] }:$mask, addr:{ *:[iPTR] }:$src)
     /* 139876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Zrmkz),
     /* 139879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 139881 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 139883 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 139887 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 139893 */     GIR_RootConstrainSelectedInstOperands,
     /* 139894 */     // GIR_Coverage, 19848,
     /* 139894 */     GIR_EraseRootFromParent_Done,
     /* 139895 */   // Label 2991: @139895
     /* 139895 */   GIM_Try, /*On fail goto*//*Label 2992*/ GIMT_Encode4(139959), // Rule ID 19845 //
     /* 139900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 139903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 139907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 139911 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 139914 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 139918 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 139922 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /* 139926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 139930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 139932 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 139939 */     // (vselect:{ *:[v32f16] } VK32WM:{ *:[v32i1] }:$mask, (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>, VR512:{ *:[v32f16] }:$src0)  =>  (VMOVDQU16Zrmk:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src0, VK32WM:{ *:[v32i1] }:$mask, addr:{ *:[iPTR] }:$src)
     /* 139939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Zrmk),
     /* 139942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 139944 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 139946 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 139948 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 139952 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 139957 */     GIR_RootConstrainSelectedInstOperands,
     /* 139958 */     // GIR_Coverage, 19845,
     /* 139958 */     GIR_EraseRootFromParent_Done,
     /* 139959 */   // Label 2992: @139959
     /* 139959 */   GIM_Try, /*On fail goto*//*Label 2993*/ GIMT_Encode4(140019), // Rule ID 19847 //
     /* 139964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 139967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 139971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 139975 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 139978 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 139982 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 139986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 139990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 139992 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 139999 */     // (vselect:{ *:[v32f16] } VK32WM:{ *:[v32i1] }:$mask, (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32f16] }:$src0)  =>  (VMOVDQU16Zrmk:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src0, VK32WM:{ *:[v32i1] }:$mask, addr:{ *:[iPTR] }:$src)
     /* 139999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Zrmk),
     /* 140002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 140004 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 140006 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 140008 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 140012 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 140017 */     GIR_RootConstrainSelectedInstOperands,
     /* 140018 */     // GIR_Coverage, 19847,
     /* 140018 */     GIR_EraseRootFromParent_Done,
     /* 140019 */   // Label 2993: @140019
     /* 140019 */   GIM_Try, /*On fail goto*//*Label 2994*/ GIMT_Encode4(140056), // Rule ID 4562 //
     /* 140024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 140027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 140031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 140035 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 140041 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 140043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 140045 */     // (vselect:{ *:[v32i16] } VK32WM:{ *:[v32i1] }:$mask, VR512:{ *:[v32i16] }:$src, immAllZerosV:{ *:[v32i16] })  =>  (VMOVDQU16Zrrkz:{ *:[v32i16] } VK32WM:{ *:[v32i1] }:$mask, VR512:{ *:[v32i16] }:$src)
     /* 140045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Zrrkz),
     /* 140048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 140050 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 140052 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 140054 */     GIR_RootConstrainSelectedInstOperands,
     /* 140055 */     // GIR_Coverage, 4562,
     /* 140055 */     GIR_EraseRootFromParent_Done,
     /* 140056 */   // Label 2994: @140056
     /* 140056 */   GIM_Try, /*On fail goto*//*Label 2995*/ GIMT_Encode4(140093), // Rule ID 19844 //
     /* 140061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 140064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 140068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 140072 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 140078 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 140080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 140082 */     // (vselect:{ *:[v32f16] } VK32WM:{ *:[v32i1] }:$mask, VR512:{ *:[v32f16] }:$src1, immAllZerosV:{ *:[v32f16] })  =>  (VMOVDQU16Zrrkz:{ *:[v32f16] } VK32WM:{ *:[v32i1] }:$mask, VR512:{ *:[v32f16] }:$src1)
     /* 140082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Zrrkz),
     /* 140085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 140087 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 140089 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 140091 */     GIR_RootConstrainSelectedInstOperands,
     /* 140092 */     // GIR_Coverage, 19844,
     /* 140092 */     GIR_EraseRootFromParent_Done,
     /* 140093 */   // Label 2995: @140093
     /* 140093 */   GIM_Try, /*On fail goto*//*Label 2996*/ GIMT_Encode4(140122), // Rule ID 4563 //
     /* 140098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 140101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 140105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 140109 */     // (vselect:{ *:[v32i16] } VK32WM:{ *:[v32i1] }:$mask, VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src0)  =>  (VMOVDQU16Zrrk:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src0, VK32WM:{ *:[v32i1] }:$mask, VR512:{ *:[v32i16] }:$src1)
     /* 140109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Zrrk),
     /* 140112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 140114 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 140116 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 140118 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 140120 */     GIR_RootConstrainSelectedInstOperands,
     /* 140121 */     // GIR_Coverage, 4563,
     /* 140121 */     GIR_EraseRootFromParent_Done,
     /* 140122 */   // Label 2996: @140122
     /* 140122 */   GIM_Try, /*On fail goto*//*Label 2997*/ GIMT_Encode4(140151), // Rule ID 19843 //
     /* 140127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 140130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 140134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 140138 */     // (vselect:{ *:[v32f16] } VK32WM:{ *:[v32i1] }:$mask, VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src0)  =>  (VMOVDQU16Zrrk:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src0, VK32WM:{ *:[v32i1] }:$mask, VR512:{ *:[v32f16] }:$src1)
     /* 140138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Zrrk),
     /* 140141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 140143 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 140145 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 140147 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 140149 */     GIR_RootConstrainSelectedInstOperands,
     /* 140150 */     // GIR_Coverage, 19843,
     /* 140150 */     GIR_EraseRootFromParent_Done,
     /* 140151 */   // Label 2997: @140151
     /* 140151 */   GIM_Reject,
     /* 140152 */ // Label 2989: @140152
     /* 140152 */ GIM_Reject,
     /* 140153 */ // Label 2899: @140153
     /* 140153 */ GIM_Try, /*On fail goto*//*Label 2998*/ GIMT_Encode4(140238),
     /* 140158 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s1,
     /* 140161 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s8,
     /* 140164 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v64s8,
     /* 140167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 140171 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64WMRegClassID),
     /* 140175 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 140179 */   GIM_Try, /*On fail goto*//*Label 2999*/ GIMT_Encode4(140212), // Rule ID 4550 //
     /* 140184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 140187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 140191 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 140197 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 140199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 140201 */     // (vselect:{ *:[v64i8] } VK64WM:{ *:[v64i1] }:$mask, VR512:{ *:[v64i8] }:$src, immAllZerosV:{ *:[v64i8] })  =>  (VMOVDQU8Zrrkz:{ *:[v64i8] } VK64WM:{ *:[v64i1] }:$mask, VR512:{ *:[v64i8] }:$src)
     /* 140201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU8Zrrkz),
     /* 140204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 140206 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 140208 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 140210 */     GIR_RootConstrainSelectedInstOperands,
     /* 140211 */     // GIR_Coverage, 4550,
     /* 140211 */     GIR_EraseRootFromParent_Done,
     /* 140212 */   // Label 2999: @140212
     /* 140212 */   GIM_Try, /*On fail goto*//*Label 3000*/ GIMT_Encode4(140237), // Rule ID 4551 //
     /* 140217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 140220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 140224 */     // (vselect:{ *:[v64i8] } VK64WM:{ *:[v64i1] }:$mask, VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src0)  =>  (VMOVDQU8Zrrk:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src0, VK64WM:{ *:[v64i1] }:$mask, VR512:{ *:[v64i8] }:$src1)
     /* 140224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU8Zrrk),
     /* 140227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 140229 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 140231 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 140233 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 140235 */     GIR_RootConstrainSelectedInstOperands,
     /* 140236 */     // GIR_Coverage, 4551,
     /* 140236 */     GIR_EraseRootFromParent_Done,
     /* 140237 */   // Label 3000: @140237
     /* 140237 */   GIM_Reject,
     /* 140238 */ // Label 2998: @140238
     /* 140238 */ GIM_Reject,
     /* 140239 */ // Label 2900: @140239
     /* 140239 */ GIM_Reject,
     /* 140240 */ // Label 35: @140240
     /* 140240 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(13), GIMT_Encode2(23), /*)*//*default:*//*Label 3004*/ GIMT_Encode4(141104),
     /* 140251 */ /*GILLT_v8s16*//*Label 3001*/ GIMT_Encode4(140291), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 140271 */ /*GILLT_v16s16*//*Label 3002*/ GIMT_Encode4(140633), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 140287 */ /*GILLT_v32s16*//*Label 3003*/ GIMT_Encode4(140948),
     /* 140291 */ // Label 3001: @140291
     /* 140291 */ GIM_Try, /*On fail goto*//*Label 3005*/ GIMT_Encode4(140632),
     /* 140296 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 140299 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 140302 */   GIM_Try, /*On fail goto*//*Label 3006*/ GIMT_Encode4(140364), // Rule ID 23453 //
     /* 140307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 140310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 140314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 140318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 140322 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 140325 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 140329 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 140333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 140337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 140339 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 140346 */     // (mulhu:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1)  =>  (VPMULHUWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 140346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHUWrm),
     /* 140349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 140351 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 140353 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 140357 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 140362 */     GIR_RootConstrainSelectedInstOperands,
     /* 140363 */     // GIR_Coverage, 23453,
     /* 140363 */     GIR_EraseRootFromParent_Done,
     /* 140364 */   // Label 3006: @140364
     /* 140364 */   GIM_Try, /*On fail goto*//*Label 3007*/ GIMT_Encode4(140426), // Rule ID 23843 //
     /* 140369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 140372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 140376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 140380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 140384 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 140387 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 140391 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 140395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 140399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 140401 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 140408 */     // (mulhu:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8i16] }:$src1)  =>  (VPMULHUWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 140408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHUWZ128rm),
     /* 140411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 140413 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 140415 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 140419 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 140424 */     GIR_RootConstrainSelectedInstOperands,
     /* 140425 */     // GIR_Coverage, 23843,
     /* 140425 */     GIR_EraseRootFromParent_Done,
     /* 140426 */   // Label 3007: @140426
     /* 140426 */   GIM_Try, /*On fail goto*//*Label 3008*/ GIMT_Encode4(140488), // Rule ID 2576 //
     /* 140431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 140434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 140438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 140442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 140446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 140450 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 140453 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 140457 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 140461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 140463 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 140470 */     // (mulhu:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULHUWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 140470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHUWrm),
     /* 140473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 140475 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 140477 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 140481 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 140486 */     GIR_RootConstrainSelectedInstOperands,
     /* 140487 */     // GIR_Coverage, 2576,
     /* 140487 */     GIR_EraseRootFromParent_Done,
     /* 140488 */   // Label 3008: @140488
     /* 140488 */   GIM_Try, /*On fail goto*//*Label 3009*/ GIMT_Encode4(140550), // Rule ID 5061 //
     /* 140493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 140496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 140500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 140504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 140508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 140512 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 140515 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 140519 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 140523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 140525 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 140532 */     // (mulhu:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULHUWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 140532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHUWZ128rm),
     /* 140535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 140537 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 140539 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 140543 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 140548 */     GIR_RootConstrainSelectedInstOperands,
     /* 140549 */     // GIR_Coverage, 5061,
     /* 140549 */     GIR_EraseRootFromParent_Done,
     /* 140550 */   // Label 3009: @140550
     /* 140550 */   GIM_Try, /*On fail goto*//*Label 3010*/ GIMT_Encode4(140577), // Rule ID 2575 //
     /* 140555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 140558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 140562 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 140566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 140570 */     // (mulhu:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPMULHUWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 140570 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULHUWrr),
     /* 140575 */     GIR_RootConstrainSelectedInstOperands,
     /* 140576 */     // GIR_Coverage, 2575,
     /* 140576 */     GIR_Done,
     /* 140577 */   // Label 3010: @140577
     /* 140577 */   GIM_Try, /*On fail goto*//*Label 3011*/ GIMT_Encode4(140604), // Rule ID 2577 //
     /* 140582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 140585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 140589 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 140593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 140597 */     // (mulhu:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PMULHUWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 140597 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PMULHUWrr),
     /* 140602 */     GIR_RootConstrainSelectedInstOperands,
     /* 140603 */     // GIR_Coverage, 2577,
     /* 140603 */     GIR_Done,
     /* 140604 */   // Label 3011: @140604
     /* 140604 */   GIM_Try, /*On fail goto*//*Label 3012*/ GIMT_Encode4(140631), // Rule ID 5058 //
     /* 140609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 140612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 140616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 140620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 140624 */     // (mulhu:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)  =>  (VPMULHUWZ128rr:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)
     /* 140624 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULHUWZ128rr),
     /* 140629 */     GIR_RootConstrainSelectedInstOperands,
     /* 140630 */     // GIR_Coverage, 5058,
     /* 140630 */     GIR_Done,
     /* 140631 */   // Label 3012: @140631
     /* 140631 */   GIM_Reject,
     /* 140632 */ // Label 3005: @140632
     /* 140632 */ GIM_Reject,
     /* 140633 */ // Label 3002: @140633
     /* 140633 */ GIM_Try, /*On fail goto*//*Label 3013*/ GIMT_Encode4(140947),
     /* 140638 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 140641 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 140644 */   GIM_Try, /*On fail goto*//*Label 3014*/ GIMT_Encode4(140706), // Rule ID 23455 //
     /* 140649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 140652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 140656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 140660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 140664 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 140667 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 140671 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 140675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 140679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 140681 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 140688 */     // (mulhu:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v16i16] }:$src1)  =>  (VPMULHUWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 140688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHUWYrm),
     /* 140691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 140693 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 140695 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 140699 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 140704 */     GIR_RootConstrainSelectedInstOperands,
     /* 140705 */     // GIR_Coverage, 23455,
     /* 140705 */     GIR_EraseRootFromParent_Done,
     /* 140706 */   // Label 3014: @140706
     /* 140706 */   GIM_Try, /*On fail goto*//*Label 3015*/ GIMT_Encode4(140768), // Rule ID 23840 //
     /* 140711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 140714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 140718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 140722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 140726 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 140729 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 140733 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 140737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 140741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 140743 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 140750 */     // (mulhu:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16i16] }:$src1)  =>  (VPMULHUWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 140750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHUWZ256rm),
     /* 140753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 140755 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 140757 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 140761 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 140766 */     GIR_RootConstrainSelectedInstOperands,
     /* 140767 */     // GIR_Coverage, 23840,
     /* 140767 */     GIR_EraseRootFromParent_Done,
     /* 140768 */   // Label 3015: @140768
     /* 140768 */   GIM_Try, /*On fail goto*//*Label 3016*/ GIMT_Encode4(140830), // Rule ID 2580 //
     /* 140773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 140776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 140780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 140784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 140788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 140792 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 140795 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 140799 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 140803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 140805 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 140812 */     // (mulhu:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULHUWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 140812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHUWYrm),
     /* 140815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 140817 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 140819 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 140823 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 140828 */     GIR_RootConstrainSelectedInstOperands,
     /* 140829 */     // GIR_Coverage, 2580,
     /* 140829 */     GIR_EraseRootFromParent_Done,
     /* 140830 */   // Label 3016: @140830
     /* 140830 */   GIM_Try, /*On fail goto*//*Label 3017*/ GIMT_Encode4(140892), // Rule ID 5055 //
     /* 140835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 140838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 140842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 140846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 140850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 140854 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 140857 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 140861 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 140865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 140867 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 140874 */     // (mulhu:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULHUWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 140874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHUWZ256rm),
     /* 140877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 140879 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 140881 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 140885 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 140890 */     GIR_RootConstrainSelectedInstOperands,
     /* 140891 */     // GIR_Coverage, 5055,
     /* 140891 */     GIR_EraseRootFromParent_Done,
     /* 140892 */   // Label 3017: @140892
     /* 140892 */   GIM_Try, /*On fail goto*//*Label 3018*/ GIMT_Encode4(140919), // Rule ID 2579 //
     /* 140897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 140900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 140904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 140908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 140912 */     // (mulhu:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPMULHUWYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /* 140912 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULHUWYrr),
     /* 140917 */     GIR_RootConstrainSelectedInstOperands,
     /* 140918 */     // GIR_Coverage, 2579,
     /* 140918 */     GIR_Done,
     /* 140919 */   // Label 3018: @140919
     /* 140919 */   GIM_Try, /*On fail goto*//*Label 3019*/ GIMT_Encode4(140946), // Rule ID 5052 //
     /* 140924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 140927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 140931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 140935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 140939 */     // (mulhu:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)  =>  (VPMULHUWZ256rr:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)
     /* 140939 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULHUWZ256rr),
     /* 140944 */     GIR_RootConstrainSelectedInstOperands,
     /* 140945 */     // GIR_Coverage, 5052,
     /* 140945 */     GIR_Done,
     /* 140946 */   // Label 3019: @140946
     /* 140946 */   GIM_Reject,
     /* 140947 */ // Label 3013: @140947
     /* 140947 */ GIM_Reject,
     /* 140948 */ // Label 3003: @140948
     /* 140948 */ GIM_Try, /*On fail goto*//*Label 3020*/ GIMT_Encode4(141103),
     /* 140953 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 140956 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 140959 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 140963 */   GIM_Try, /*On fail goto*//*Label 3021*/ GIMT_Encode4(141021), // Rule ID 23837 //
     /* 140968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 140971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 140975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 140979 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 140982 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 140986 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 140990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 140994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 140996 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 141003 */     // (mulhu:{ *:[v32i16] } (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32i16] }:$src1)  =>  (VPMULHUWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 141003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHUWZrm),
     /* 141006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 141008 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 141010 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 141014 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 141019 */     GIR_RootConstrainSelectedInstOperands,
     /* 141020 */     // GIR_Coverage, 23837,
     /* 141020 */     GIR_EraseRootFromParent_Done,
     /* 141021 */   // Label 3021: @141021
     /* 141021 */   GIM_Try, /*On fail goto*//*Label 3022*/ GIMT_Encode4(141079), // Rule ID 5049 //
     /* 141026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 141029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 141033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 141037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 141041 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 141044 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 141048 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 141052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 141054 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 141061 */     // (mulhu:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULHUWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 141061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHUWZrm),
     /* 141064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 141066 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 141068 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 141072 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 141077 */     GIR_RootConstrainSelectedInstOperands,
     /* 141078 */     // GIR_Coverage, 5049,
     /* 141078 */     GIR_EraseRootFromParent_Done,
     /* 141079 */   // Label 3022: @141079
     /* 141079 */   GIM_Try, /*On fail goto*//*Label 3023*/ GIMT_Encode4(141102), // Rule ID 5046 //
     /* 141084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 141087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 141091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 141095 */     // (mulhu:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)  =>  (VPMULHUWZrr:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)
     /* 141095 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULHUWZrr),
     /* 141100 */     GIR_RootConstrainSelectedInstOperands,
     /* 141101 */     // GIR_Coverage, 5046,
     /* 141101 */     GIR_Done,
     /* 141102 */   // Label 3023: @141102
     /* 141102 */   GIM_Reject,
     /* 141103 */ // Label 3020: @141103
     /* 141103 */ GIM_Reject,
     /* 141104 */ // Label 3004: @141104
     /* 141104 */ GIM_Reject,
     /* 141105 */ // Label 36: @141105
     /* 141105 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(13), GIMT_Encode2(23), /*)*//*default:*//*Label 3027*/ GIMT_Encode4(141969),
     /* 141116 */ /*GILLT_v8s16*//*Label 3024*/ GIMT_Encode4(141156), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 141136 */ /*GILLT_v16s16*//*Label 3025*/ GIMT_Encode4(141498), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 141152 */ /*GILLT_v32s16*//*Label 3026*/ GIMT_Encode4(141813),
     /* 141156 */ // Label 3024: @141156
     /* 141156 */ GIM_Try, /*On fail goto*//*Label 3028*/ GIMT_Encode4(141497),
     /* 141161 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 141164 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 141167 */   GIM_Try, /*On fail goto*//*Label 3029*/ GIMT_Encode4(141229), // Rule ID 23456 //
     /* 141172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 141175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 141179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 141183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 141187 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 141190 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 141194 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 141198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 141202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 141204 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 141211 */     // (mulhs:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1)  =>  (VPMULHWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 141211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHWrm),
     /* 141214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 141216 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 141218 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 141222 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 141227 */     GIR_RootConstrainSelectedInstOperands,
     /* 141228 */     // GIR_Coverage, 23456,
     /* 141228 */     GIR_EraseRootFromParent_Done,
     /* 141229 */   // Label 3029: @141229
     /* 141229 */   GIM_Try, /*On fail goto*//*Label 3030*/ GIMT_Encode4(141291), // Rule ID 23834 //
     /* 141234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 141237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 141241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 141245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 141249 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 141252 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 141256 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 141260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 141264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 141266 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 141273 */     // (mulhs:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8i16] }:$src1)  =>  (VPMULHWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 141273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHWZ128rm),
     /* 141276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 141278 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 141280 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 141284 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 141289 */     GIR_RootConstrainSelectedInstOperands,
     /* 141290 */     // GIR_Coverage, 23834,
     /* 141290 */     GIR_EraseRootFromParent_Done,
     /* 141291 */   // Label 3030: @141291
     /* 141291 */   GIM_Try, /*On fail goto*//*Label 3031*/ GIMT_Encode4(141353), // Rule ID 2582 //
     /* 141296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 141299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 141303 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 141307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 141311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 141315 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 141318 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 141322 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 141326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 141328 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 141335 */     // (mulhs:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULHWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 141335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHWrm),
     /* 141338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 141340 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 141342 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 141346 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 141351 */     GIR_RootConstrainSelectedInstOperands,
     /* 141352 */     // GIR_Coverage, 2582,
     /* 141352 */     GIR_EraseRootFromParent_Done,
     /* 141353 */   // Label 3031: @141353
     /* 141353 */   GIM_Try, /*On fail goto*//*Label 3032*/ GIMT_Encode4(141415), // Rule ID 5043 //
     /* 141358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 141361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 141365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 141369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 141373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 141377 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 141380 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 141384 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 141388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 141390 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 141397 */     // (mulhs:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULHWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 141397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHWZ128rm),
     /* 141400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 141402 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 141404 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 141408 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 141413 */     GIR_RootConstrainSelectedInstOperands,
     /* 141414 */     // GIR_Coverage, 5043,
     /* 141414 */     GIR_EraseRootFromParent_Done,
     /* 141415 */   // Label 3032: @141415
     /* 141415 */   GIM_Try, /*On fail goto*//*Label 3033*/ GIMT_Encode4(141442), // Rule ID 2581 //
     /* 141420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 141423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 141427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 141431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 141435 */     // (mulhs:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPMULHWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 141435 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULHWrr),
     /* 141440 */     GIR_RootConstrainSelectedInstOperands,
     /* 141441 */     // GIR_Coverage, 2581,
     /* 141441 */     GIR_Done,
     /* 141442 */   // Label 3033: @141442
     /* 141442 */   GIM_Try, /*On fail goto*//*Label 3034*/ GIMT_Encode4(141469), // Rule ID 2583 //
     /* 141447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 141450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 141454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 141458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 141462 */     // (mulhs:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PMULHWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 141462 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PMULHWrr),
     /* 141467 */     GIR_RootConstrainSelectedInstOperands,
     /* 141468 */     // GIR_Coverage, 2583,
     /* 141468 */     GIR_Done,
     /* 141469 */   // Label 3034: @141469
     /* 141469 */   GIM_Try, /*On fail goto*//*Label 3035*/ GIMT_Encode4(141496), // Rule ID 5040 //
     /* 141474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 141477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 141481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 141485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 141489 */     // (mulhs:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)  =>  (VPMULHWZ128rr:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)
     /* 141489 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULHWZ128rr),
     /* 141494 */     GIR_RootConstrainSelectedInstOperands,
     /* 141495 */     // GIR_Coverage, 5040,
     /* 141495 */     GIR_Done,
     /* 141496 */   // Label 3035: @141496
     /* 141496 */   GIM_Reject,
     /* 141497 */ // Label 3028: @141497
     /* 141497 */ GIM_Reject,
     /* 141498 */ // Label 3025: @141498
     /* 141498 */ GIM_Try, /*On fail goto*//*Label 3036*/ GIMT_Encode4(141812),
     /* 141503 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 141506 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 141509 */   GIM_Try, /*On fail goto*//*Label 3037*/ GIMT_Encode4(141571), // Rule ID 23458 //
     /* 141514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 141517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 141521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 141525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 141529 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 141532 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 141536 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 141540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 141544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 141546 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 141553 */     // (mulhs:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v16i16] }:$src1)  =>  (VPMULHWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 141553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHWYrm),
     /* 141556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 141558 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 141560 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 141564 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 141569 */     GIR_RootConstrainSelectedInstOperands,
     /* 141570 */     // GIR_Coverage, 23458,
     /* 141570 */     GIR_EraseRootFromParent_Done,
     /* 141571 */   // Label 3037: @141571
     /* 141571 */   GIM_Try, /*On fail goto*//*Label 3038*/ GIMT_Encode4(141633), // Rule ID 23831 //
     /* 141576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 141579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 141583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 141587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 141591 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 141594 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 141598 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 141602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 141606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 141608 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 141615 */     // (mulhs:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16i16] }:$src1)  =>  (VPMULHWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 141615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHWZ256rm),
     /* 141618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 141620 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 141622 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 141626 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 141631 */     GIR_RootConstrainSelectedInstOperands,
     /* 141632 */     // GIR_Coverage, 23831,
     /* 141632 */     GIR_EraseRootFromParent_Done,
     /* 141633 */   // Label 3038: @141633
     /* 141633 */   GIM_Try, /*On fail goto*//*Label 3039*/ GIMT_Encode4(141695), // Rule ID 2586 //
     /* 141638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 141641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 141645 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 141649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 141653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 141657 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 141660 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 141664 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 141668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 141670 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 141677 */     // (mulhs:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULHWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 141677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHWYrm),
     /* 141680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 141682 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 141684 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 141688 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 141693 */     GIR_RootConstrainSelectedInstOperands,
     /* 141694 */     // GIR_Coverage, 2586,
     /* 141694 */     GIR_EraseRootFromParent_Done,
     /* 141695 */   // Label 3039: @141695
     /* 141695 */   GIM_Try, /*On fail goto*//*Label 3040*/ GIMT_Encode4(141757), // Rule ID 5037 //
     /* 141700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 141703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 141707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 141711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 141715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 141719 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 141722 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 141726 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 141730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 141732 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 141739 */     // (mulhs:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULHWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 141739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHWZ256rm),
     /* 141742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 141744 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 141746 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 141750 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 141755 */     GIR_RootConstrainSelectedInstOperands,
     /* 141756 */     // GIR_Coverage, 5037,
     /* 141756 */     GIR_EraseRootFromParent_Done,
     /* 141757 */   // Label 3040: @141757
     /* 141757 */   GIM_Try, /*On fail goto*//*Label 3041*/ GIMT_Encode4(141784), // Rule ID 2585 //
     /* 141762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 141765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 141769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 141773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 141777 */     // (mulhs:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPMULHWYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /* 141777 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULHWYrr),
     /* 141782 */     GIR_RootConstrainSelectedInstOperands,
     /* 141783 */     // GIR_Coverage, 2585,
     /* 141783 */     GIR_Done,
     /* 141784 */   // Label 3041: @141784
     /* 141784 */   GIM_Try, /*On fail goto*//*Label 3042*/ GIMT_Encode4(141811), // Rule ID 5034 //
     /* 141789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 141792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 141796 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 141800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 141804 */     // (mulhs:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)  =>  (VPMULHWZ256rr:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)
     /* 141804 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULHWZ256rr),
     /* 141809 */     GIR_RootConstrainSelectedInstOperands,
     /* 141810 */     // GIR_Coverage, 5034,
     /* 141810 */     GIR_Done,
     /* 141811 */   // Label 3042: @141811
     /* 141811 */   GIM_Reject,
     /* 141812 */ // Label 3036: @141812
     /* 141812 */ GIM_Reject,
     /* 141813 */ // Label 3026: @141813
     /* 141813 */ GIM_Try, /*On fail goto*//*Label 3043*/ GIMT_Encode4(141968),
     /* 141818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 141821 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 141824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 141828 */   GIM_Try, /*On fail goto*//*Label 3044*/ GIMT_Encode4(141886), // Rule ID 23828 //
     /* 141833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 141836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 141840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 141844 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 141847 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 141851 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 141855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 141859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 141861 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 141868 */     // (mulhs:{ *:[v32i16] } (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32i16] }:$src1)  =>  (VPMULHWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 141868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHWZrm),
     /* 141871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 141873 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 141875 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 141879 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 141884 */     GIR_RootConstrainSelectedInstOperands,
     /* 141885 */     // GIR_Coverage, 23828,
     /* 141885 */     GIR_EraseRootFromParent_Done,
     /* 141886 */   // Label 3044: @141886
     /* 141886 */   GIM_Try, /*On fail goto*//*Label 3045*/ GIMT_Encode4(141944), // Rule ID 5031 //
     /* 141891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 141894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 141898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 141902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 141906 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 141909 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 141913 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 141917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 141919 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 141926 */     // (mulhs:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULHWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 141926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHWZrm),
     /* 141929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 141931 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 141933 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 141937 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 141942 */     GIR_RootConstrainSelectedInstOperands,
     /* 141943 */     // GIR_Coverage, 5031,
     /* 141943 */     GIR_EraseRootFromParent_Done,
     /* 141944 */   // Label 3045: @141944
     /* 141944 */   GIM_Try, /*On fail goto*//*Label 3046*/ GIMT_Encode4(141967), // Rule ID 5028 //
     /* 141949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 141952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 141956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 141960 */     // (mulhs:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)  =>  (VPMULHWZrr:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)
     /* 141960 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULHWZrr),
     /* 141965 */     GIR_RootConstrainSelectedInstOperands,
     /* 141966 */     // GIR_Coverage, 5028,
     /* 141966 */     GIR_Done,
     /* 141967 */   // Label 3046: @141967
     /* 141967 */   GIM_Reject,
     /* 141968 */ // Label 3043: @141968
     /* 141968 */ GIM_Reject,
     /* 141969 */ // Label 3027: @141969
     /* 141969 */ GIM_Reject,
     /* 141970 */ // Label 37: @141970
     /* 141970 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(13), GIMT_Encode2(25), /*)*//*default:*//*Label 3053*/ GIMT_Encode4(143655),
     /* 141981 */ /*GILLT_v8s16*//*Label 3047*/ GIMT_Encode4(142029), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 141997 */ /*GILLT_v16s8*//*Label 3048*/ GIMT_Encode4(142371),
     /* 142001 */ /*GILLT_v16s16*//*Label 3049*/ GIMT_Encode4(142713), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 142013 */ /*GILLT_v32s8*//*Label 3050*/ GIMT_Encode4(143028),
     /* 142017 */ /*GILLT_v32s16*//*Label 3051*/ GIMT_Encode4(143343), GIMT_Encode4(0),
     /* 142025 */ /*GILLT_v64s8*//*Label 3052*/ GIMT_Encode4(143499),
     /* 142029 */ // Label 3047: @142029
     /* 142029 */ GIM_Try, /*On fail goto*//*Label 3054*/ GIMT_Encode4(142370),
     /* 142034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 142037 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 142040 */   GIM_Try, /*On fail goto*//*Label 3055*/ GIMT_Encode4(142102), // Rule ID 23447 //
     /* 142045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 142048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 142052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 142056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 142060 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 142063 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 142067 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 142071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 142075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 142077 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 142084 */     // (uaddsat:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1)  =>  (VPADDUSWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 142084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSWrm),
     /* 142087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 142089 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 142091 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 142095 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 142100 */     GIR_RootConstrainSelectedInstOperands,
     /* 142101 */     // GIR_Coverage, 23447,
     /* 142101 */     GIR_EraseRootFromParent_Done,
     /* 142102 */   // Label 3055: @142102
     /* 142102 */   GIM_Try, /*On fail goto*//*Label 3056*/ GIMT_Encode4(142164), // Rule ID 23771 //
     /* 142107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 142110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 142114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 142118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 142122 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 142125 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 142129 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 142133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 142137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 142139 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 142146 */     // (uaddsat:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8i16] }:$src1)  =>  (VPADDUSWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 142146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSWZ128rm),
     /* 142149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 142151 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 142153 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 142157 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 142162 */     GIR_RootConstrainSelectedInstOperands,
     /* 142163 */     // GIR_Coverage, 23771,
     /* 142163 */     GIR_EraseRootFromParent_Done,
     /* 142164 */   // Label 3056: @142164
     /* 142164 */   GIM_Try, /*On fail goto*//*Label 3057*/ GIMT_Encode4(142226), // Rule ID 2564 //
     /* 142169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 142172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 142176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 142180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 142184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 142188 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 142191 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 142195 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 142199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 142201 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 142208 */     // (uaddsat:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDUSWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 142208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSWrm),
     /* 142211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 142213 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 142215 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 142219 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 142224 */     GIR_RootConstrainSelectedInstOperands,
     /* 142225 */     // GIR_Coverage, 2564,
     /* 142225 */     GIR_EraseRootFromParent_Done,
     /* 142226 */   // Label 3057: @142226
     /* 142226 */   GIM_Try, /*On fail goto*//*Label 3058*/ GIMT_Encode4(142288), // Rule ID 4899 //
     /* 142231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 142234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 142238 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 142242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 142246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 142250 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 142253 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 142257 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 142261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 142263 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 142270 */     // (uaddsat:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDUSWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 142270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSWZ128rm),
     /* 142273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 142275 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 142277 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 142281 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 142286 */     GIR_RootConstrainSelectedInstOperands,
     /* 142287 */     // GIR_Coverage, 4899,
     /* 142287 */     GIR_EraseRootFromParent_Done,
     /* 142288 */   // Label 3058: @142288
     /* 142288 */   GIM_Try, /*On fail goto*//*Label 3059*/ GIMT_Encode4(142315), // Rule ID 2563 //
     /* 142293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 142296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 142300 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 142304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 142308 */     // (uaddsat:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPADDUSWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 142308 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDUSWrr),
     /* 142313 */     GIR_RootConstrainSelectedInstOperands,
     /* 142314 */     // GIR_Coverage, 2563,
     /* 142314 */     GIR_Done,
     /* 142315 */   // Label 3059: @142315
     /* 142315 */   GIM_Try, /*On fail goto*//*Label 3060*/ GIMT_Encode4(142342), // Rule ID 2565 //
     /* 142320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 142323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 142327 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 142331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 142335 */     // (uaddsat:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PADDUSWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 142335 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PADDUSWrr),
     /* 142340 */     GIR_RootConstrainSelectedInstOperands,
     /* 142341 */     // GIR_Coverage, 2565,
     /* 142341 */     GIR_Done,
     /* 142342 */   // Label 3060: @142342
     /* 142342 */   GIM_Try, /*On fail goto*//*Label 3061*/ GIMT_Encode4(142369), // Rule ID 4896 //
     /* 142347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 142350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 142354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 142358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 142362 */     // (uaddsat:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)  =>  (VPADDUSWZ128rr:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)
     /* 142362 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDUSWZ128rr),
     /* 142367 */     GIR_RootConstrainSelectedInstOperands,
     /* 142368 */     // GIR_Coverage, 4896,
     /* 142368 */     GIR_Done,
     /* 142369 */   // Label 3061: @142369
     /* 142369 */   GIM_Reject,
     /* 142370 */ // Label 3054: @142370
     /* 142370 */ GIM_Reject,
     /* 142371 */ // Label 3048: @142371
     /* 142371 */ GIM_Try, /*On fail goto*//*Label 3062*/ GIMT_Encode4(142712),
     /* 142376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 142379 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 142382 */   GIM_Try, /*On fail goto*//*Label 3063*/ GIMT_Encode4(142444), // Rule ID 23444 //
     /* 142387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 142390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 142394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 142398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 142402 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 142405 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 142409 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 142413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 142417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 142419 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 142426 */     // (uaddsat:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v16i8] }:$src1)  =>  (VPADDUSBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 142426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSBrm),
     /* 142429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 142431 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 142433 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 142437 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 142442 */     GIR_RootConstrainSelectedInstOperands,
     /* 142443 */     // GIR_Coverage, 23444,
     /* 142443 */     GIR_EraseRootFromParent_Done,
     /* 142444 */   // Label 3063: @142444
     /* 142444 */   GIM_Try, /*On fail goto*//*Label 3064*/ GIMT_Encode4(142506), // Rule ID 23780 //
     /* 142449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 142452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 142456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 142460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 142464 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 142467 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 142471 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 142475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 142479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 142481 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 142488 */     // (uaddsat:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v16i8] }:$src1)  =>  (VPADDUSBZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 142488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSBZ128rm),
     /* 142491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 142493 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 142495 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 142499 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 142504 */     GIR_RootConstrainSelectedInstOperands,
     /* 142505 */     // GIR_Coverage, 23780,
     /* 142505 */     GIR_EraseRootFromParent_Done,
     /* 142506 */   // Label 3064: @142506
     /* 142506 */   GIM_Try, /*On fail goto*//*Label 3065*/ GIMT_Encode4(142568), // Rule ID 2558 //
     /* 142511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 142514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 142518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 142522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 142526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 142530 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 142533 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 142537 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 142541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 142543 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 142550 */     // (uaddsat:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDUSBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 142550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSBrm),
     /* 142553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 142555 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 142557 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 142561 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 142566 */     GIR_RootConstrainSelectedInstOperands,
     /* 142567 */     // GIR_Coverage, 2558,
     /* 142567 */     GIR_EraseRootFromParent_Done,
     /* 142568 */   // Label 3065: @142568
     /* 142568 */   GIM_Try, /*On fail goto*//*Label 3066*/ GIMT_Encode4(142630), // Rule ID 4917 //
     /* 142573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 142576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 142580 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 142584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 142588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 142592 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 142595 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 142599 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 142603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 142605 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 142612 */     // (uaddsat:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDUSBZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 142612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSBZ128rm),
     /* 142615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 142617 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 142619 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 142623 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 142628 */     GIR_RootConstrainSelectedInstOperands,
     /* 142629 */     // GIR_Coverage, 4917,
     /* 142629 */     GIR_EraseRootFromParent_Done,
     /* 142630 */   // Label 3066: @142630
     /* 142630 */   GIM_Try, /*On fail goto*//*Label 3067*/ GIMT_Encode4(142657), // Rule ID 2557 //
     /* 142635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 142638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 142642 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 142646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 142650 */     // (uaddsat:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (VPADDUSBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /* 142650 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDUSBrr),
     /* 142655 */     GIR_RootConstrainSelectedInstOperands,
     /* 142656 */     // GIR_Coverage, 2557,
     /* 142656 */     GIR_Done,
     /* 142657 */   // Label 3067: @142657
     /* 142657 */   GIM_Try, /*On fail goto*//*Label 3068*/ GIMT_Encode4(142684), // Rule ID 2559 //
     /* 142662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 142665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 142669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 142673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 142677 */     // (uaddsat:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (PADDUSBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /* 142677 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PADDUSBrr),
     /* 142682 */     GIR_RootConstrainSelectedInstOperands,
     /* 142683 */     // GIR_Coverage, 2559,
     /* 142683 */     GIR_Done,
     /* 142684 */   // Label 3068: @142684
     /* 142684 */   GIM_Try, /*On fail goto*//*Label 3069*/ GIMT_Encode4(142711), // Rule ID 4914 //
     /* 142689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 142692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 142696 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 142700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 142704 */     // (uaddsat:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)  =>  (VPADDUSBZ128rr:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)
     /* 142704 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDUSBZ128rr),
     /* 142709 */     GIR_RootConstrainSelectedInstOperands,
     /* 142710 */     // GIR_Coverage, 4914,
     /* 142710 */     GIR_Done,
     /* 142711 */   // Label 3069: @142711
     /* 142711 */   GIM_Reject,
     /* 142712 */ // Label 3062: @142712
     /* 142712 */ GIM_Reject,
     /* 142713 */ // Label 3049: @142713
     /* 142713 */ GIM_Try, /*On fail goto*//*Label 3070*/ GIMT_Encode4(143027),
     /* 142718 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 142721 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 142724 */   GIM_Try, /*On fail goto*//*Label 3071*/ GIMT_Encode4(142786), // Rule ID 23449 //
     /* 142729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 142732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 142736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 142740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 142744 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 142747 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 142751 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 142755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 142759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 142761 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 142768 */     // (uaddsat:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v16i16] }:$src1)  =>  (VPADDUSWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 142768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSWYrm),
     /* 142771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 142773 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 142775 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 142779 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 142784 */     GIR_RootConstrainSelectedInstOperands,
     /* 142785 */     // GIR_Coverage, 23449,
     /* 142785 */     GIR_EraseRootFromParent_Done,
     /* 142786 */   // Label 3071: @142786
     /* 142786 */   GIM_Try, /*On fail goto*//*Label 3072*/ GIMT_Encode4(142848), // Rule ID 23768 //
     /* 142791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 142794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 142798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 142802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 142806 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 142809 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 142813 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 142817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 142821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 142823 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 142830 */     // (uaddsat:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16i16] }:$src1)  =>  (VPADDUSWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 142830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSWZ256rm),
     /* 142833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 142835 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 142837 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 142841 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 142846 */     GIR_RootConstrainSelectedInstOperands,
     /* 142847 */     // GIR_Coverage, 23768,
     /* 142847 */     GIR_EraseRootFromParent_Done,
     /* 142848 */   // Label 3072: @142848
     /* 142848 */   GIM_Try, /*On fail goto*//*Label 3073*/ GIMT_Encode4(142910), // Rule ID 2568 //
     /* 142853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 142856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 142860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 142864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 142868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 142872 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 142875 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 142879 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 142883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 142885 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 142892 */     // (uaddsat:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDUSWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 142892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSWYrm),
     /* 142895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 142897 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 142899 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 142903 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 142908 */     GIR_RootConstrainSelectedInstOperands,
     /* 142909 */     // GIR_Coverage, 2568,
     /* 142909 */     GIR_EraseRootFromParent_Done,
     /* 142910 */   // Label 3073: @142910
     /* 142910 */   GIM_Try, /*On fail goto*//*Label 3074*/ GIMT_Encode4(142972), // Rule ID 4893 //
     /* 142915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 142918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 142922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 142926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 142930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 142934 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 142937 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 142941 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 142945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 142947 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 142954 */     // (uaddsat:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDUSWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 142954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSWZ256rm),
     /* 142957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 142959 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 142961 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 142965 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 142970 */     GIR_RootConstrainSelectedInstOperands,
     /* 142971 */     // GIR_Coverage, 4893,
     /* 142971 */     GIR_EraseRootFromParent_Done,
     /* 142972 */   // Label 3074: @142972
     /* 142972 */   GIM_Try, /*On fail goto*//*Label 3075*/ GIMT_Encode4(142999), // Rule ID 2567 //
     /* 142977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 142980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 142984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 142988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 142992 */     // (uaddsat:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPADDUSWYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /* 142992 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDUSWYrr),
     /* 142997 */     GIR_RootConstrainSelectedInstOperands,
     /* 142998 */     // GIR_Coverage, 2567,
     /* 142998 */     GIR_Done,
     /* 142999 */   // Label 3075: @142999
     /* 142999 */   GIM_Try, /*On fail goto*//*Label 3076*/ GIMT_Encode4(143026), // Rule ID 4890 //
     /* 143004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 143007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 143011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 143015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 143019 */     // (uaddsat:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)  =>  (VPADDUSWZ256rr:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)
     /* 143019 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDUSWZ256rr),
     /* 143024 */     GIR_RootConstrainSelectedInstOperands,
     /* 143025 */     // GIR_Coverage, 4890,
     /* 143025 */     GIR_Done,
     /* 143026 */   // Label 3076: @143026
     /* 143026 */   GIM_Reject,
     /* 143027 */ // Label 3070: @143027
     /* 143027 */ GIM_Reject,
     /* 143028 */ // Label 3050: @143028
     /* 143028 */ GIM_Try, /*On fail goto*//*Label 3077*/ GIMT_Encode4(143342),
     /* 143033 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /* 143036 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s8,
     /* 143039 */   GIM_Try, /*On fail goto*//*Label 3078*/ GIMT_Encode4(143101), // Rule ID 23446 //
     /* 143044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 143047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 143051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 143055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 143059 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 143062 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 143066 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 143070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 143074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 143076 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 143083 */     // (uaddsat:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v32i8] }:$src1)  =>  (VPADDUSBYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 143083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSBYrm),
     /* 143086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 143088 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 143090 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 143094 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 143099 */     GIR_RootConstrainSelectedInstOperands,
     /* 143100 */     // GIR_Coverage, 23446,
     /* 143100 */     GIR_EraseRootFromParent_Done,
     /* 143101 */   // Label 3078: @143101
     /* 143101 */   GIM_Try, /*On fail goto*//*Label 3079*/ GIMT_Encode4(143163), // Rule ID 23777 //
     /* 143106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 143109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 143113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 143117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 143121 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 143124 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 143128 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 143132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 143136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 143138 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 143145 */     // (uaddsat:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v32i8] }:$src1)  =>  (VPADDUSBZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 143145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSBZ256rm),
     /* 143148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 143150 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 143152 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 143156 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 143161 */     GIR_RootConstrainSelectedInstOperands,
     /* 143162 */     // GIR_Coverage, 23777,
     /* 143162 */     GIR_EraseRootFromParent_Done,
     /* 143163 */   // Label 3079: @143163
     /* 143163 */   GIM_Try, /*On fail goto*//*Label 3080*/ GIMT_Encode4(143225), // Rule ID 2562 //
     /* 143168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 143171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 143175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 143179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 143183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 143187 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 143190 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 143194 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 143198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 143200 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 143207 */     // (uaddsat:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDUSBYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 143207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSBYrm),
     /* 143210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 143212 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 143214 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 143218 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 143223 */     GIR_RootConstrainSelectedInstOperands,
     /* 143224 */     // GIR_Coverage, 2562,
     /* 143224 */     GIR_EraseRootFromParent_Done,
     /* 143225 */   // Label 3080: @143225
     /* 143225 */   GIM_Try, /*On fail goto*//*Label 3081*/ GIMT_Encode4(143287), // Rule ID 4911 //
     /* 143230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 143233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 143237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 143241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 143245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 143249 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 143252 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 143256 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 143260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 143262 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 143269 */     // (uaddsat:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDUSBZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 143269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSBZ256rm),
     /* 143272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 143274 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 143276 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 143280 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 143285 */     GIR_RootConstrainSelectedInstOperands,
     /* 143286 */     // GIR_Coverage, 4911,
     /* 143286 */     GIR_EraseRootFromParent_Done,
     /* 143287 */   // Label 3081: @143287
     /* 143287 */   GIM_Try, /*On fail goto*//*Label 3082*/ GIMT_Encode4(143314), // Rule ID 2561 //
     /* 143292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 143295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 143299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 143303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 143307 */     // (uaddsat:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)  =>  (VPADDUSBYrr:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)
     /* 143307 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDUSBYrr),
     /* 143312 */     GIR_RootConstrainSelectedInstOperands,
     /* 143313 */     // GIR_Coverage, 2561,
     /* 143313 */     GIR_Done,
     /* 143314 */   // Label 3082: @143314
     /* 143314 */   GIM_Try, /*On fail goto*//*Label 3083*/ GIMT_Encode4(143341), // Rule ID 4908 //
     /* 143319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 143322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 143326 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 143330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 143334 */     // (uaddsat:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)  =>  (VPADDUSBZ256rr:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)
     /* 143334 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDUSBZ256rr),
     /* 143339 */     GIR_RootConstrainSelectedInstOperands,
     /* 143340 */     // GIR_Coverage, 4908,
     /* 143340 */     GIR_Done,
     /* 143341 */   // Label 3083: @143341
     /* 143341 */   GIM_Reject,
     /* 143342 */ // Label 3077: @143342
     /* 143342 */ GIM_Reject,
     /* 143343 */ // Label 3051: @143343
     /* 143343 */ GIM_Try, /*On fail goto*//*Label 3084*/ GIMT_Encode4(143498),
     /* 143348 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 143351 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 143354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 143358 */   GIM_Try, /*On fail goto*//*Label 3085*/ GIMT_Encode4(143416), // Rule ID 23765 //
     /* 143363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 143366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 143370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 143374 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 143377 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 143381 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 143385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 143389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 143391 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 143398 */     // (uaddsat:{ *:[v32i16] } (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32i16] }:$src1)  =>  (VPADDUSWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 143398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSWZrm),
     /* 143401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 143403 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 143405 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 143409 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 143414 */     GIR_RootConstrainSelectedInstOperands,
     /* 143415 */     // GIR_Coverage, 23765,
     /* 143415 */     GIR_EraseRootFromParent_Done,
     /* 143416 */   // Label 3085: @143416
     /* 143416 */   GIM_Try, /*On fail goto*//*Label 3086*/ GIMT_Encode4(143474), // Rule ID 4887 //
     /* 143421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 143424 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 143428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 143432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 143436 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 143439 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 143443 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 143447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 143449 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 143456 */     // (uaddsat:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDUSWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 143456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSWZrm),
     /* 143459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 143461 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 143463 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 143467 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 143472 */     GIR_RootConstrainSelectedInstOperands,
     /* 143473 */     // GIR_Coverage, 4887,
     /* 143473 */     GIR_EraseRootFromParent_Done,
     /* 143474 */   // Label 3086: @143474
     /* 143474 */   GIM_Try, /*On fail goto*//*Label 3087*/ GIMT_Encode4(143497), // Rule ID 4884 //
     /* 143479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 143482 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 143486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 143490 */     // (uaddsat:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)  =>  (VPADDUSWZrr:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)
     /* 143490 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDUSWZrr),
     /* 143495 */     GIR_RootConstrainSelectedInstOperands,
     /* 143496 */     // GIR_Coverage, 4884,
     /* 143496 */     GIR_Done,
     /* 143497 */   // Label 3087: @143497
     /* 143497 */   GIM_Reject,
     /* 143498 */ // Label 3084: @143498
     /* 143498 */ GIM_Reject,
     /* 143499 */ // Label 3052: @143499
     /* 143499 */ GIM_Try, /*On fail goto*//*Label 3088*/ GIMT_Encode4(143654),
     /* 143504 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /* 143507 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s8,
     /* 143510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 143514 */   GIM_Try, /*On fail goto*//*Label 3089*/ GIMT_Encode4(143572), // Rule ID 23774 //
     /* 143519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 143522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 143526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 143530 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 143533 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 143537 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 143541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 143545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 143547 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 143554 */     // (uaddsat:{ *:[v64i8] } (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v64i8] }:$src1)  =>  (VPADDUSBZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 143554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSBZrm),
     /* 143557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 143559 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 143561 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 143565 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 143570 */     GIR_RootConstrainSelectedInstOperands,
     /* 143571 */     // GIR_Coverage, 23774,
     /* 143571 */     GIR_EraseRootFromParent_Done,
     /* 143572 */   // Label 3089: @143572
     /* 143572 */   GIM_Try, /*On fail goto*//*Label 3090*/ GIMT_Encode4(143630), // Rule ID 4905 //
     /* 143577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 143580 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 143584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 143588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 143592 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 143595 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 143599 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 143603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 143605 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 143612 */     // (uaddsat:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDUSBZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 143612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSBZrm),
     /* 143615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 143617 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 143619 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 143623 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 143628 */     GIR_RootConstrainSelectedInstOperands,
     /* 143629 */     // GIR_Coverage, 4905,
     /* 143629 */     GIR_EraseRootFromParent_Done,
     /* 143630 */   // Label 3090: @143630
     /* 143630 */   GIM_Try, /*On fail goto*//*Label 3091*/ GIMT_Encode4(143653), // Rule ID 4902 //
     /* 143635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 143638 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 143642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 143646 */     // (uaddsat:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)  =>  (VPADDUSBZrr:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)
     /* 143646 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDUSBZrr),
     /* 143651 */     GIR_RootConstrainSelectedInstOperands,
     /* 143652 */     // GIR_Coverage, 4902,
     /* 143652 */     GIR_Done,
     /* 143653 */   // Label 3091: @143653
     /* 143653 */   GIM_Reject,
     /* 143654 */ // Label 3088: @143654
     /* 143654 */ GIM_Reject,
     /* 143655 */ // Label 3053: @143655
     /* 143655 */ GIM_Reject,
     /* 143656 */ // Label 38: @143656
     /* 143656 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(13), GIMT_Encode2(25), /*)*//*default:*//*Label 3098*/ GIMT_Encode4(145341),
     /* 143667 */ /*GILLT_v8s16*//*Label 3092*/ GIMT_Encode4(143715), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 143683 */ /*GILLT_v16s8*//*Label 3093*/ GIMT_Encode4(144057),
     /* 143687 */ /*GILLT_v16s16*//*Label 3094*/ GIMT_Encode4(144399), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 143699 */ /*GILLT_v32s8*//*Label 3095*/ GIMT_Encode4(144714),
     /* 143703 */ /*GILLT_v32s16*//*Label 3096*/ GIMT_Encode4(145029), GIMT_Encode4(0),
     /* 143711 */ /*GILLT_v64s8*//*Label 3097*/ GIMT_Encode4(145185),
     /* 143715 */ // Label 3092: @143715
     /* 143715 */ GIM_Try, /*On fail goto*//*Label 3099*/ GIMT_Encode4(144056),
     /* 143720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 143723 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 143726 */   GIM_Try, /*On fail goto*//*Label 3100*/ GIMT_Encode4(143788), // Rule ID 23441 //
     /* 143731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 143734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 143738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 143742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 143746 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 143749 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 143753 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 143757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 143761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 143763 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 143770 */     // (saddsat:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1)  =>  (VPADDSWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 143770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSWrm),
     /* 143773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 143775 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 143777 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 143781 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 143786 */     GIR_RootConstrainSelectedInstOperands,
     /* 143787 */     // GIR_Coverage, 23441,
     /* 143787 */     GIR_EraseRootFromParent_Done,
     /* 143788 */   // Label 3100: @143788
     /* 143788 */   GIM_Try, /*On fail goto*//*Label 3101*/ GIMT_Encode4(143850), // Rule ID 23753 //
     /* 143793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 143796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 143800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 143804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 143808 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 143811 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 143815 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 143819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 143823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 143825 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 143832 */     // (saddsat:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8i16] }:$src1)  =>  (VPADDSWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 143832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSWZ128rm),
     /* 143835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 143837 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 143839 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 143843 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 143848 */     GIR_RootConstrainSelectedInstOperands,
     /* 143849 */     // GIR_Coverage, 23753,
     /* 143849 */     GIR_EraseRootFromParent_Done,
     /* 143850 */   // Label 3101: @143850
     /* 143850 */   GIM_Try, /*On fail goto*//*Label 3102*/ GIMT_Encode4(143912), // Rule ID 2552 //
     /* 143855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 143858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 143862 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 143866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 143870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 143874 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 143877 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 143881 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 143885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 143887 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 143894 */     // (saddsat:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDSWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 143894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSWrm),
     /* 143897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 143899 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 143901 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 143905 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 143910 */     GIR_RootConstrainSelectedInstOperands,
     /* 143911 */     // GIR_Coverage, 2552,
     /* 143911 */     GIR_EraseRootFromParent_Done,
     /* 143912 */   // Label 3102: @143912
     /* 143912 */   GIM_Try, /*On fail goto*//*Label 3103*/ GIMT_Encode4(143974), // Rule ID 4827 //
     /* 143917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 143920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 143924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 143928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 143932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 143936 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 143939 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 143943 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 143947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 143949 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 143956 */     // (saddsat:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDSWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 143956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSWZ128rm),
     /* 143959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 143961 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 143963 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 143967 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 143972 */     GIR_RootConstrainSelectedInstOperands,
     /* 143973 */     // GIR_Coverage, 4827,
     /* 143973 */     GIR_EraseRootFromParent_Done,
     /* 143974 */   // Label 3103: @143974
     /* 143974 */   GIM_Try, /*On fail goto*//*Label 3104*/ GIMT_Encode4(144001), // Rule ID 2551 //
     /* 143979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 143982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 143986 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 143990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 143994 */     // (saddsat:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPADDSWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 143994 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDSWrr),
     /* 143999 */     GIR_RootConstrainSelectedInstOperands,
     /* 144000 */     // GIR_Coverage, 2551,
     /* 144000 */     GIR_Done,
     /* 144001 */   // Label 3104: @144001
     /* 144001 */   GIM_Try, /*On fail goto*//*Label 3105*/ GIMT_Encode4(144028), // Rule ID 2553 //
     /* 144006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 144009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 144013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 144017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 144021 */     // (saddsat:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PADDSWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 144021 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PADDSWrr),
     /* 144026 */     GIR_RootConstrainSelectedInstOperands,
     /* 144027 */     // GIR_Coverage, 2553,
     /* 144027 */     GIR_Done,
     /* 144028 */   // Label 3105: @144028
     /* 144028 */   GIM_Try, /*On fail goto*//*Label 3106*/ GIMT_Encode4(144055), // Rule ID 4824 //
     /* 144033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 144036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 144040 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 144044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 144048 */     // (saddsat:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)  =>  (VPADDSWZ128rr:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)
     /* 144048 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDSWZ128rr),
     /* 144053 */     GIR_RootConstrainSelectedInstOperands,
     /* 144054 */     // GIR_Coverage, 4824,
     /* 144054 */     GIR_Done,
     /* 144055 */   // Label 3106: @144055
     /* 144055 */   GIM_Reject,
     /* 144056 */ // Label 3099: @144056
     /* 144056 */ GIM_Reject,
     /* 144057 */ // Label 3093: @144057
     /* 144057 */ GIM_Try, /*On fail goto*//*Label 3107*/ GIMT_Encode4(144398),
     /* 144062 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 144065 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 144068 */   GIM_Try, /*On fail goto*//*Label 3108*/ GIMT_Encode4(144130), // Rule ID 23438 //
     /* 144073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 144076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 144080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 144084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 144088 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 144091 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 144095 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 144099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 144103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 144105 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 144112 */     // (saddsat:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v16i8] }:$src1)  =>  (VPADDSBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 144112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSBrm),
     /* 144115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 144117 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 144119 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 144123 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 144128 */     GIR_RootConstrainSelectedInstOperands,
     /* 144129 */     // GIR_Coverage, 23438,
     /* 144129 */     GIR_EraseRootFromParent_Done,
     /* 144130 */   // Label 3108: @144130
     /* 144130 */   GIM_Try, /*On fail goto*//*Label 3109*/ GIMT_Encode4(144192), // Rule ID 23762 //
     /* 144135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 144138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 144142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 144146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 144150 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 144153 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 144157 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 144161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 144165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 144167 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 144174 */     // (saddsat:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v16i8] }:$src1)  =>  (VPADDSBZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 144174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSBZ128rm),
     /* 144177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 144179 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 144181 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 144185 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 144190 */     GIR_RootConstrainSelectedInstOperands,
     /* 144191 */     // GIR_Coverage, 23762,
     /* 144191 */     GIR_EraseRootFromParent_Done,
     /* 144192 */   // Label 3109: @144192
     /* 144192 */   GIM_Try, /*On fail goto*//*Label 3110*/ GIMT_Encode4(144254), // Rule ID 2546 //
     /* 144197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 144200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 144204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 144208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 144212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 144216 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 144219 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 144223 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 144227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 144229 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 144236 */     // (saddsat:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDSBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 144236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSBrm),
     /* 144239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 144241 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 144243 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 144247 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 144252 */     GIR_RootConstrainSelectedInstOperands,
     /* 144253 */     // GIR_Coverage, 2546,
     /* 144253 */     GIR_EraseRootFromParent_Done,
     /* 144254 */   // Label 3110: @144254
     /* 144254 */   GIM_Try, /*On fail goto*//*Label 3111*/ GIMT_Encode4(144316), // Rule ID 4845 //
     /* 144259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 144262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 144266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 144270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 144274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 144278 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 144281 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 144285 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 144289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 144291 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 144298 */     // (saddsat:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDSBZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 144298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSBZ128rm),
     /* 144301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 144303 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 144305 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 144309 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 144314 */     GIR_RootConstrainSelectedInstOperands,
     /* 144315 */     // GIR_Coverage, 4845,
     /* 144315 */     GIR_EraseRootFromParent_Done,
     /* 144316 */   // Label 3111: @144316
     /* 144316 */   GIM_Try, /*On fail goto*//*Label 3112*/ GIMT_Encode4(144343), // Rule ID 2545 //
     /* 144321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 144324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 144328 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 144332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 144336 */     // (saddsat:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (VPADDSBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /* 144336 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDSBrr),
     /* 144341 */     GIR_RootConstrainSelectedInstOperands,
     /* 144342 */     // GIR_Coverage, 2545,
     /* 144342 */     GIR_Done,
     /* 144343 */   // Label 3112: @144343
     /* 144343 */   GIM_Try, /*On fail goto*//*Label 3113*/ GIMT_Encode4(144370), // Rule ID 2547 //
     /* 144348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 144351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 144355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 144359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 144363 */     // (saddsat:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (PADDSBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /* 144363 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PADDSBrr),
     /* 144368 */     GIR_RootConstrainSelectedInstOperands,
     /* 144369 */     // GIR_Coverage, 2547,
     /* 144369 */     GIR_Done,
     /* 144370 */   // Label 3113: @144370
     /* 144370 */   GIM_Try, /*On fail goto*//*Label 3114*/ GIMT_Encode4(144397), // Rule ID 4842 //
     /* 144375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 144378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 144382 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 144386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 144390 */     // (saddsat:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)  =>  (VPADDSBZ128rr:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)
     /* 144390 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDSBZ128rr),
     /* 144395 */     GIR_RootConstrainSelectedInstOperands,
     /* 144396 */     // GIR_Coverage, 4842,
     /* 144396 */     GIR_Done,
     /* 144397 */   // Label 3114: @144397
     /* 144397 */   GIM_Reject,
     /* 144398 */ // Label 3107: @144398
     /* 144398 */ GIM_Reject,
     /* 144399 */ // Label 3094: @144399
     /* 144399 */ GIM_Try, /*On fail goto*//*Label 3115*/ GIMT_Encode4(144713),
     /* 144404 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 144407 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 144410 */   GIM_Try, /*On fail goto*//*Label 3116*/ GIMT_Encode4(144472), // Rule ID 23443 //
     /* 144415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 144418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 144422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 144426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 144430 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 144433 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 144437 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 144441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 144445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 144447 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 144454 */     // (saddsat:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v16i16] }:$src1)  =>  (VPADDSWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 144454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSWYrm),
     /* 144457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 144459 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 144461 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 144465 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 144470 */     GIR_RootConstrainSelectedInstOperands,
     /* 144471 */     // GIR_Coverage, 23443,
     /* 144471 */     GIR_EraseRootFromParent_Done,
     /* 144472 */   // Label 3116: @144472
     /* 144472 */   GIM_Try, /*On fail goto*//*Label 3117*/ GIMT_Encode4(144534), // Rule ID 23750 //
     /* 144477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 144480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 144484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 144488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 144492 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 144495 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 144499 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 144503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 144507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 144509 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 144516 */     // (saddsat:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16i16] }:$src1)  =>  (VPADDSWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 144516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSWZ256rm),
     /* 144519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 144521 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 144523 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 144527 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 144532 */     GIR_RootConstrainSelectedInstOperands,
     /* 144533 */     // GIR_Coverage, 23750,
     /* 144533 */     GIR_EraseRootFromParent_Done,
     /* 144534 */   // Label 3117: @144534
     /* 144534 */   GIM_Try, /*On fail goto*//*Label 3118*/ GIMT_Encode4(144596), // Rule ID 2556 //
     /* 144539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 144542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 144546 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 144550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 144554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 144558 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 144561 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 144565 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 144569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 144571 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 144578 */     // (saddsat:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDSWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 144578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSWYrm),
     /* 144581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 144583 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 144585 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 144589 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 144594 */     GIR_RootConstrainSelectedInstOperands,
     /* 144595 */     // GIR_Coverage, 2556,
     /* 144595 */     GIR_EraseRootFromParent_Done,
     /* 144596 */   // Label 3118: @144596
     /* 144596 */   GIM_Try, /*On fail goto*//*Label 3119*/ GIMT_Encode4(144658), // Rule ID 4821 //
     /* 144601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 144604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 144608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 144612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 144616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 144620 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 144623 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 144627 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 144631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 144633 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 144640 */     // (saddsat:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDSWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 144640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSWZ256rm),
     /* 144643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 144645 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 144647 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 144651 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 144656 */     GIR_RootConstrainSelectedInstOperands,
     /* 144657 */     // GIR_Coverage, 4821,
     /* 144657 */     GIR_EraseRootFromParent_Done,
     /* 144658 */   // Label 3119: @144658
     /* 144658 */   GIM_Try, /*On fail goto*//*Label 3120*/ GIMT_Encode4(144685), // Rule ID 2555 //
     /* 144663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 144666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 144670 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 144674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 144678 */     // (saddsat:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPADDSWYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /* 144678 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDSWYrr),
     /* 144683 */     GIR_RootConstrainSelectedInstOperands,
     /* 144684 */     // GIR_Coverage, 2555,
     /* 144684 */     GIR_Done,
     /* 144685 */   // Label 3120: @144685
     /* 144685 */   GIM_Try, /*On fail goto*//*Label 3121*/ GIMT_Encode4(144712), // Rule ID 4818 //
     /* 144690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 144693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 144697 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 144701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 144705 */     // (saddsat:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)  =>  (VPADDSWZ256rr:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)
     /* 144705 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDSWZ256rr),
     /* 144710 */     GIR_RootConstrainSelectedInstOperands,
     /* 144711 */     // GIR_Coverage, 4818,
     /* 144711 */     GIR_Done,
     /* 144712 */   // Label 3121: @144712
     /* 144712 */   GIM_Reject,
     /* 144713 */ // Label 3115: @144713
     /* 144713 */ GIM_Reject,
     /* 144714 */ // Label 3095: @144714
     /* 144714 */ GIM_Try, /*On fail goto*//*Label 3122*/ GIMT_Encode4(145028),
     /* 144719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /* 144722 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s8,
     /* 144725 */   GIM_Try, /*On fail goto*//*Label 3123*/ GIMT_Encode4(144787), // Rule ID 23440 //
     /* 144730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 144733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 144737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 144741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 144745 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 144748 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 144752 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 144756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 144760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 144762 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 144769 */     // (saddsat:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v32i8] }:$src1)  =>  (VPADDSBYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 144769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSBYrm),
     /* 144772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 144774 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 144776 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 144780 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 144785 */     GIR_RootConstrainSelectedInstOperands,
     /* 144786 */     // GIR_Coverage, 23440,
     /* 144786 */     GIR_EraseRootFromParent_Done,
     /* 144787 */   // Label 3123: @144787
     /* 144787 */   GIM_Try, /*On fail goto*//*Label 3124*/ GIMT_Encode4(144849), // Rule ID 23759 //
     /* 144792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 144795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 144799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 144803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 144807 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 144810 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 144814 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 144818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 144822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 144824 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 144831 */     // (saddsat:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v32i8] }:$src1)  =>  (VPADDSBZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 144831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSBZ256rm),
     /* 144834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 144836 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 144838 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 144842 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 144847 */     GIR_RootConstrainSelectedInstOperands,
     /* 144848 */     // GIR_Coverage, 23759,
     /* 144848 */     GIR_EraseRootFromParent_Done,
     /* 144849 */   // Label 3124: @144849
     /* 144849 */   GIM_Try, /*On fail goto*//*Label 3125*/ GIMT_Encode4(144911), // Rule ID 2550 //
     /* 144854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 144857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 144861 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 144865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 144869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 144873 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 144876 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 144880 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 144884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 144886 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 144893 */     // (saddsat:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDSBYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 144893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSBYrm),
     /* 144896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 144898 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 144900 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 144904 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 144909 */     GIR_RootConstrainSelectedInstOperands,
     /* 144910 */     // GIR_Coverage, 2550,
     /* 144910 */     GIR_EraseRootFromParent_Done,
     /* 144911 */   // Label 3125: @144911
     /* 144911 */   GIM_Try, /*On fail goto*//*Label 3126*/ GIMT_Encode4(144973), // Rule ID 4839 //
     /* 144916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 144919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 144923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 144927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 144931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 144935 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 144938 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 144942 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 144946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 144948 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 144955 */     // (saddsat:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDSBZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 144955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSBZ256rm),
     /* 144958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 144960 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 144962 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 144966 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 144971 */     GIR_RootConstrainSelectedInstOperands,
     /* 144972 */     // GIR_Coverage, 4839,
     /* 144972 */     GIR_EraseRootFromParent_Done,
     /* 144973 */   // Label 3126: @144973
     /* 144973 */   GIM_Try, /*On fail goto*//*Label 3127*/ GIMT_Encode4(145000), // Rule ID 2549 //
     /* 144978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 144981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 144985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 144989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 144993 */     // (saddsat:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)  =>  (VPADDSBYrr:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)
     /* 144993 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDSBYrr),
     /* 144998 */     GIR_RootConstrainSelectedInstOperands,
     /* 144999 */     // GIR_Coverage, 2549,
     /* 144999 */     GIR_Done,
     /* 145000 */   // Label 3127: @145000
     /* 145000 */   GIM_Try, /*On fail goto*//*Label 3128*/ GIMT_Encode4(145027), // Rule ID 4836 //
     /* 145005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 145008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 145012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 145016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 145020 */     // (saddsat:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)  =>  (VPADDSBZ256rr:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)
     /* 145020 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDSBZ256rr),
     /* 145025 */     GIR_RootConstrainSelectedInstOperands,
     /* 145026 */     // GIR_Coverage, 4836,
     /* 145026 */     GIR_Done,
     /* 145027 */   // Label 3128: @145027
     /* 145027 */   GIM_Reject,
     /* 145028 */ // Label 3122: @145028
     /* 145028 */ GIM_Reject,
     /* 145029 */ // Label 3096: @145029
     /* 145029 */ GIM_Try, /*On fail goto*//*Label 3129*/ GIMT_Encode4(145184),
     /* 145034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 145037 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 145040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 145044 */   GIM_Try, /*On fail goto*//*Label 3130*/ GIMT_Encode4(145102), // Rule ID 23747 //
     /* 145049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 145052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 145056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 145060 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 145063 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 145067 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 145071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 145075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 145077 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 145084 */     // (saddsat:{ *:[v32i16] } (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32i16] }:$src1)  =>  (VPADDSWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 145084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSWZrm),
     /* 145087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 145089 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 145091 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 145095 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 145100 */     GIR_RootConstrainSelectedInstOperands,
     /* 145101 */     // GIR_Coverage, 23747,
     /* 145101 */     GIR_EraseRootFromParent_Done,
     /* 145102 */   // Label 3130: @145102
     /* 145102 */   GIM_Try, /*On fail goto*//*Label 3131*/ GIMT_Encode4(145160), // Rule ID 4815 //
     /* 145107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 145110 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 145114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 145118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 145122 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 145125 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 145129 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 145133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 145135 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 145142 */     // (saddsat:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDSWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 145142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSWZrm),
     /* 145145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 145147 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 145149 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 145153 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 145158 */     GIR_RootConstrainSelectedInstOperands,
     /* 145159 */     // GIR_Coverage, 4815,
     /* 145159 */     GIR_EraseRootFromParent_Done,
     /* 145160 */   // Label 3131: @145160
     /* 145160 */   GIM_Try, /*On fail goto*//*Label 3132*/ GIMT_Encode4(145183), // Rule ID 4812 //
     /* 145165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 145168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 145172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 145176 */     // (saddsat:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)  =>  (VPADDSWZrr:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)
     /* 145176 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDSWZrr),
     /* 145181 */     GIR_RootConstrainSelectedInstOperands,
     /* 145182 */     // GIR_Coverage, 4812,
     /* 145182 */     GIR_Done,
     /* 145183 */   // Label 3132: @145183
     /* 145183 */   GIM_Reject,
     /* 145184 */ // Label 3129: @145184
     /* 145184 */ GIM_Reject,
     /* 145185 */ // Label 3097: @145185
     /* 145185 */ GIM_Try, /*On fail goto*//*Label 3133*/ GIMT_Encode4(145340),
     /* 145190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /* 145193 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s8,
     /* 145196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 145200 */   GIM_Try, /*On fail goto*//*Label 3134*/ GIMT_Encode4(145258), // Rule ID 23756 //
     /* 145205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 145208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 145212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 145216 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 145219 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 145223 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 145227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 145231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 145233 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 145240 */     // (saddsat:{ *:[v64i8] } (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v64i8] }:$src1)  =>  (VPADDSBZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 145240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSBZrm),
     /* 145243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 145245 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 145247 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 145251 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 145256 */     GIR_RootConstrainSelectedInstOperands,
     /* 145257 */     // GIR_Coverage, 23756,
     /* 145257 */     GIR_EraseRootFromParent_Done,
     /* 145258 */   // Label 3134: @145258
     /* 145258 */   GIM_Try, /*On fail goto*//*Label 3135*/ GIMT_Encode4(145316), // Rule ID 4833 //
     /* 145263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 145266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 145270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 145274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 145278 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 145281 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 145285 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 145289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 145291 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 145298 */     // (saddsat:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDSBZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 145298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSBZrm),
     /* 145301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 145303 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 145305 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 145309 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 145314 */     GIR_RootConstrainSelectedInstOperands,
     /* 145315 */     // GIR_Coverage, 4833,
     /* 145315 */     GIR_EraseRootFromParent_Done,
     /* 145316 */   // Label 3135: @145316
     /* 145316 */   GIM_Try, /*On fail goto*//*Label 3136*/ GIMT_Encode4(145339), // Rule ID 4830 //
     /* 145321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 145324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 145328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 145332 */     // (saddsat:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)  =>  (VPADDSBZrr:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)
     /* 145332 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDSBZrr),
     /* 145337 */     GIR_RootConstrainSelectedInstOperands,
     /* 145338 */     // GIR_Coverage, 4830,
     /* 145338 */     GIR_Done,
     /* 145339 */   // Label 3136: @145339
     /* 145339 */   GIM_Reject,
     /* 145340 */ // Label 3133: @145340
     /* 145340 */ GIM_Reject,
     /* 145341 */ // Label 3098: @145341
     /* 145341 */ GIM_Reject,
     /* 145342 */ // Label 39: @145342
     /* 145342 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(13), GIMT_Encode2(25), /*)*//*default:*//*Label 3143*/ GIMT_Encode4(146407),
     /* 145353 */ /*GILLT_v8s16*//*Label 3137*/ GIMT_Encode4(145401), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 145369 */ /*GILLT_v16s8*//*Label 3138*/ GIMT_Encode4(145619),
     /* 145373 */ /*GILLT_v16s16*//*Label 3139*/ GIMT_Encode4(145837), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 145385 */ /*GILLT_v32s8*//*Label 3140*/ GIMT_Encode4(146028),
     /* 145389 */ /*GILLT_v32s16*//*Label 3141*/ GIMT_Encode4(146219), GIMT_Encode4(0),
     /* 145397 */ /*GILLT_v64s8*//*Label 3142*/ GIMT_Encode4(146313),
     /* 145401 */ // Label 3137: @145401
     /* 145401 */ GIM_Try, /*On fail goto*//*Label 3144*/ GIMT_Encode4(145618),
     /* 145406 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 145409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 145412 */   GIM_Try, /*On fail goto*//*Label 3145*/ GIMT_Encode4(145474), // Rule ID 2630 //
     /* 145417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 145420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 145424 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 145428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 145432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 145436 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 145439 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 145443 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 145447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 145449 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 145456 */     // (usubsat:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBUSWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 145456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBUSWrm),
     /* 145459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 145461 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 145463 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 145467 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 145472 */     GIR_RootConstrainSelectedInstOperands,
     /* 145473 */     // GIR_Coverage, 2630,
     /* 145473 */     GIR_EraseRootFromParent_Done,
     /* 145474 */   // Label 3145: @145474
     /* 145474 */   GIM_Try, /*On fail goto*//*Label 3146*/ GIMT_Encode4(145536), // Rule ID 4935 //
     /* 145479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 145482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 145486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 145490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 145494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 145498 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 145501 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 145505 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 145509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 145511 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 145518 */     // (usubsat:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBUSWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 145518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBUSWZ128rm),
     /* 145521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 145523 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 145525 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 145529 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 145534 */     GIR_RootConstrainSelectedInstOperands,
     /* 145535 */     // GIR_Coverage, 4935,
     /* 145535 */     GIR_EraseRootFromParent_Done,
     /* 145536 */   // Label 3146: @145536
     /* 145536 */   GIM_Try, /*On fail goto*//*Label 3147*/ GIMT_Encode4(145563), // Rule ID 2629 //
     /* 145541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 145544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 145548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 145552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 145556 */     // (usubsat:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPSUBUSWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 145556 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBUSWrr),
     /* 145561 */     GIR_RootConstrainSelectedInstOperands,
     /* 145562 */     // GIR_Coverage, 2629,
     /* 145562 */     GIR_Done,
     /* 145563 */   // Label 3147: @145563
     /* 145563 */   GIM_Try, /*On fail goto*//*Label 3148*/ GIMT_Encode4(145590), // Rule ID 2631 //
     /* 145568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 145571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 145575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 145579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 145583 */     // (usubsat:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PSUBUSWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 145583 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PSUBUSWrr),
     /* 145588 */     GIR_RootConstrainSelectedInstOperands,
     /* 145589 */     // GIR_Coverage, 2631,
     /* 145589 */     GIR_Done,
     /* 145590 */   // Label 3148: @145590
     /* 145590 */   GIM_Try, /*On fail goto*//*Label 3149*/ GIMT_Encode4(145617), // Rule ID 4932 //
     /* 145595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 145598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 145602 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 145606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 145610 */     // (usubsat:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)  =>  (VPSUBUSWZ128rr:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)
     /* 145610 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBUSWZ128rr),
     /* 145615 */     GIR_RootConstrainSelectedInstOperands,
     /* 145616 */     // GIR_Coverage, 4932,
     /* 145616 */     GIR_Done,
     /* 145617 */   // Label 3149: @145617
     /* 145617 */   GIM_Reject,
     /* 145618 */ // Label 3144: @145618
     /* 145618 */ GIM_Reject,
     /* 145619 */ // Label 3138: @145619
     /* 145619 */ GIM_Try, /*On fail goto*//*Label 3150*/ GIMT_Encode4(145836),
     /* 145624 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 145627 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 145630 */   GIM_Try, /*On fail goto*//*Label 3151*/ GIMT_Encode4(145692), // Rule ID 2624 //
     /* 145635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 145638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 145642 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 145646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 145650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 145654 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 145657 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 145661 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 145665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 145667 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 145674 */     // (usubsat:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBUSBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 145674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBUSBrm),
     /* 145677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 145679 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 145681 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 145685 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 145690 */     GIR_RootConstrainSelectedInstOperands,
     /* 145691 */     // GIR_Coverage, 2624,
     /* 145691 */     GIR_EraseRootFromParent_Done,
     /* 145692 */   // Label 3151: @145692
     /* 145692 */   GIM_Try, /*On fail goto*//*Label 3152*/ GIMT_Encode4(145754), // Rule ID 4953 //
     /* 145697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 145700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 145704 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 145708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 145712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 145716 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 145719 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 145723 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 145727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 145729 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 145736 */     // (usubsat:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBUSBZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 145736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBUSBZ128rm),
     /* 145739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 145741 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 145743 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 145747 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 145752 */     GIR_RootConstrainSelectedInstOperands,
     /* 145753 */     // GIR_Coverage, 4953,
     /* 145753 */     GIR_EraseRootFromParent_Done,
     /* 145754 */   // Label 3152: @145754
     /* 145754 */   GIM_Try, /*On fail goto*//*Label 3153*/ GIMT_Encode4(145781), // Rule ID 2623 //
     /* 145759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 145762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 145766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 145770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 145774 */     // (usubsat:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (VPSUBUSBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /* 145774 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBUSBrr),
     /* 145779 */     GIR_RootConstrainSelectedInstOperands,
     /* 145780 */     // GIR_Coverage, 2623,
     /* 145780 */     GIR_Done,
     /* 145781 */   // Label 3153: @145781
     /* 145781 */   GIM_Try, /*On fail goto*//*Label 3154*/ GIMT_Encode4(145808), // Rule ID 2625 //
     /* 145786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 145789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 145793 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 145797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 145801 */     // (usubsat:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (PSUBUSBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /* 145801 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PSUBUSBrr),
     /* 145806 */     GIR_RootConstrainSelectedInstOperands,
     /* 145807 */     // GIR_Coverage, 2625,
     /* 145807 */     GIR_Done,
     /* 145808 */   // Label 3154: @145808
     /* 145808 */   GIM_Try, /*On fail goto*//*Label 3155*/ GIMT_Encode4(145835), // Rule ID 4950 //
     /* 145813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 145816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 145820 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 145824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 145828 */     // (usubsat:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)  =>  (VPSUBUSBZ128rr:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)
     /* 145828 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBUSBZ128rr),
     /* 145833 */     GIR_RootConstrainSelectedInstOperands,
     /* 145834 */     // GIR_Coverage, 4950,
     /* 145834 */     GIR_Done,
     /* 145835 */   // Label 3155: @145835
     /* 145835 */   GIM_Reject,
     /* 145836 */ // Label 3150: @145836
     /* 145836 */ GIM_Reject,
     /* 145837 */ // Label 3139: @145837
     /* 145837 */ GIM_Try, /*On fail goto*//*Label 3156*/ GIMT_Encode4(146027),
     /* 145842 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 145845 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 145848 */   GIM_Try, /*On fail goto*//*Label 3157*/ GIMT_Encode4(145910), // Rule ID 2634 //
     /* 145853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 145856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 145860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 145864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 145868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 145872 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 145875 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 145879 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 145883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 145885 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 145892 */     // (usubsat:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBUSWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 145892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBUSWYrm),
     /* 145895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 145897 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 145899 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 145903 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 145908 */     GIR_RootConstrainSelectedInstOperands,
     /* 145909 */     // GIR_Coverage, 2634,
     /* 145909 */     GIR_EraseRootFromParent_Done,
     /* 145910 */   // Label 3157: @145910
     /* 145910 */   GIM_Try, /*On fail goto*//*Label 3158*/ GIMT_Encode4(145972), // Rule ID 4929 //
     /* 145915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 145918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 145922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 145926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 145930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 145934 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 145937 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 145941 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 145945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 145947 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 145954 */     // (usubsat:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBUSWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 145954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBUSWZ256rm),
     /* 145957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 145959 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 145961 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 145965 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 145970 */     GIR_RootConstrainSelectedInstOperands,
     /* 145971 */     // GIR_Coverage, 4929,
     /* 145971 */     GIR_EraseRootFromParent_Done,
     /* 145972 */   // Label 3158: @145972
     /* 145972 */   GIM_Try, /*On fail goto*//*Label 3159*/ GIMT_Encode4(145999), // Rule ID 2633 //
     /* 145977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 145980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 145984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 145988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 145992 */     // (usubsat:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPSUBUSWYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /* 145992 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBUSWYrr),
     /* 145997 */     GIR_RootConstrainSelectedInstOperands,
     /* 145998 */     // GIR_Coverage, 2633,
     /* 145998 */     GIR_Done,
     /* 145999 */   // Label 3159: @145999
     /* 145999 */   GIM_Try, /*On fail goto*//*Label 3160*/ GIMT_Encode4(146026), // Rule ID 4926 //
     /* 146004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 146007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 146011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 146015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 146019 */     // (usubsat:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)  =>  (VPSUBUSWZ256rr:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)
     /* 146019 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBUSWZ256rr),
     /* 146024 */     GIR_RootConstrainSelectedInstOperands,
     /* 146025 */     // GIR_Coverage, 4926,
     /* 146025 */     GIR_Done,
     /* 146026 */   // Label 3160: @146026
     /* 146026 */   GIM_Reject,
     /* 146027 */ // Label 3156: @146027
     /* 146027 */ GIM_Reject,
     /* 146028 */ // Label 3140: @146028
     /* 146028 */ GIM_Try, /*On fail goto*//*Label 3161*/ GIMT_Encode4(146218),
     /* 146033 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /* 146036 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s8,
     /* 146039 */   GIM_Try, /*On fail goto*//*Label 3162*/ GIMT_Encode4(146101), // Rule ID 2628 //
     /* 146044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 146047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 146051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 146055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 146059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 146063 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 146066 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 146070 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 146074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 146076 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 146083 */     // (usubsat:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBUSBYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 146083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBUSBYrm),
     /* 146086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 146088 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 146090 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 146094 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 146099 */     GIR_RootConstrainSelectedInstOperands,
     /* 146100 */     // GIR_Coverage, 2628,
     /* 146100 */     GIR_EraseRootFromParent_Done,
     /* 146101 */   // Label 3162: @146101
     /* 146101 */   GIM_Try, /*On fail goto*//*Label 3163*/ GIMT_Encode4(146163), // Rule ID 4947 //
     /* 146106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 146109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 146113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 146117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 146121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 146125 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 146128 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 146132 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 146136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 146138 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 146145 */     // (usubsat:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBUSBZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 146145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBUSBZ256rm),
     /* 146148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 146150 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 146152 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 146156 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 146161 */     GIR_RootConstrainSelectedInstOperands,
     /* 146162 */     // GIR_Coverage, 4947,
     /* 146162 */     GIR_EraseRootFromParent_Done,
     /* 146163 */   // Label 3163: @146163
     /* 146163 */   GIM_Try, /*On fail goto*//*Label 3164*/ GIMT_Encode4(146190), // Rule ID 2627 //
     /* 146168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 146171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 146175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 146179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 146183 */     // (usubsat:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)  =>  (VPSUBUSBYrr:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)
     /* 146183 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBUSBYrr),
     /* 146188 */     GIR_RootConstrainSelectedInstOperands,
     /* 146189 */     // GIR_Coverage, 2627,
     /* 146189 */     GIR_Done,
     /* 146190 */   // Label 3164: @146190
     /* 146190 */   GIM_Try, /*On fail goto*//*Label 3165*/ GIMT_Encode4(146217), // Rule ID 4944 //
     /* 146195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 146198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 146202 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 146206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 146210 */     // (usubsat:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)  =>  (VPSUBUSBZ256rr:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)
     /* 146210 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBUSBZ256rr),
     /* 146215 */     GIR_RootConstrainSelectedInstOperands,
     /* 146216 */     // GIR_Coverage, 4944,
     /* 146216 */     GIR_Done,
     /* 146217 */   // Label 3165: @146217
     /* 146217 */   GIM_Reject,
     /* 146218 */ // Label 3161: @146218
     /* 146218 */ GIM_Reject,
     /* 146219 */ // Label 3141: @146219
     /* 146219 */ GIM_Try, /*On fail goto*//*Label 3166*/ GIMT_Encode4(146312),
     /* 146224 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 146227 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 146230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 146234 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 146238 */   GIM_Try, /*On fail goto*//*Label 3167*/ GIMT_Encode4(146292), // Rule ID 4923 //
     /* 146243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 146246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 146250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 146254 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 146257 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 146261 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 146265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 146267 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 146274 */     // (usubsat:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBUSWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 146274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBUSWZrm),
     /* 146277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 146279 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 146281 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 146285 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 146290 */     GIR_RootConstrainSelectedInstOperands,
     /* 146291 */     // GIR_Coverage, 4923,
     /* 146291 */     GIR_EraseRootFromParent_Done,
     /* 146292 */   // Label 3167: @146292
     /* 146292 */   GIM_Try, /*On fail goto*//*Label 3168*/ GIMT_Encode4(146311), // Rule ID 4920 //
     /* 146297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 146300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 146304 */     // (usubsat:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)  =>  (VPSUBUSWZrr:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)
     /* 146304 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBUSWZrr),
     /* 146309 */     GIR_RootConstrainSelectedInstOperands,
     /* 146310 */     // GIR_Coverage, 4920,
     /* 146310 */     GIR_Done,
     /* 146311 */   // Label 3168: @146311
     /* 146311 */   GIM_Reject,
     /* 146312 */ // Label 3166: @146312
     /* 146312 */ GIM_Reject,
     /* 146313 */ // Label 3142: @146313
     /* 146313 */ GIM_Try, /*On fail goto*//*Label 3169*/ GIMT_Encode4(146406),
     /* 146318 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /* 146321 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s8,
     /* 146324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 146328 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 146332 */   GIM_Try, /*On fail goto*//*Label 3170*/ GIMT_Encode4(146386), // Rule ID 4941 //
     /* 146337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 146340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 146344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 146348 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 146351 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 146355 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 146359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 146361 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 146368 */     // (usubsat:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBUSBZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 146368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBUSBZrm),
     /* 146371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 146373 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 146375 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 146379 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 146384 */     GIR_RootConstrainSelectedInstOperands,
     /* 146385 */     // GIR_Coverage, 4941,
     /* 146385 */     GIR_EraseRootFromParent_Done,
     /* 146386 */   // Label 3170: @146386
     /* 146386 */   GIM_Try, /*On fail goto*//*Label 3171*/ GIMT_Encode4(146405), // Rule ID 4938 //
     /* 146391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 146394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 146398 */     // (usubsat:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)  =>  (VPSUBUSBZrr:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)
     /* 146398 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBUSBZrr),
     /* 146403 */     GIR_RootConstrainSelectedInstOperands,
     /* 146404 */     // GIR_Coverage, 4938,
     /* 146404 */     GIR_Done,
     /* 146405 */   // Label 3171: @146405
     /* 146405 */   GIM_Reject,
     /* 146406 */ // Label 3169: @146406
     /* 146406 */ GIM_Reject,
     /* 146407 */ // Label 3143: @146407
     /* 146407 */ GIM_Reject,
     /* 146408 */ // Label 40: @146408
     /* 146408 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(13), GIMT_Encode2(25), /*)*//*default:*//*Label 3178*/ GIMT_Encode4(147473),
     /* 146419 */ /*GILLT_v8s16*//*Label 3172*/ GIMT_Encode4(146467), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 146435 */ /*GILLT_v16s8*//*Label 3173*/ GIMT_Encode4(146685),
     /* 146439 */ /*GILLT_v16s16*//*Label 3174*/ GIMT_Encode4(146903), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 146451 */ /*GILLT_v32s8*//*Label 3175*/ GIMT_Encode4(147094),
     /* 146455 */ /*GILLT_v32s16*//*Label 3176*/ GIMT_Encode4(147285), GIMT_Encode4(0),
     /* 146463 */ /*GILLT_v64s8*//*Label 3177*/ GIMT_Encode4(147379),
     /* 146467 */ // Label 3172: @146467
     /* 146467 */ GIM_Try, /*On fail goto*//*Label 3179*/ GIMT_Encode4(146684),
     /* 146472 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 146475 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 146478 */   GIM_Try, /*On fail goto*//*Label 3180*/ GIMT_Encode4(146540), // Rule ID 2618 //
     /* 146483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 146486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 146490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 146494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 146498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 146502 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 146505 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 146509 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 146513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 146515 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 146522 */     // (ssubsat:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBSWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 146522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBSWrm),
     /* 146525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 146527 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 146529 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 146533 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 146538 */     GIR_RootConstrainSelectedInstOperands,
     /* 146539 */     // GIR_Coverage, 2618,
     /* 146539 */     GIR_EraseRootFromParent_Done,
     /* 146540 */   // Label 3180: @146540
     /* 146540 */   GIM_Try, /*On fail goto*//*Label 3181*/ GIMT_Encode4(146602), // Rule ID 4863 //
     /* 146545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 146548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 146552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 146556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 146560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 146564 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 146567 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 146571 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 146575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 146577 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 146584 */     // (ssubsat:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBSWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 146584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBSWZ128rm),
     /* 146587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 146589 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 146591 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 146595 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 146600 */     GIR_RootConstrainSelectedInstOperands,
     /* 146601 */     // GIR_Coverage, 4863,
     /* 146601 */     GIR_EraseRootFromParent_Done,
     /* 146602 */   // Label 3181: @146602
     /* 146602 */   GIM_Try, /*On fail goto*//*Label 3182*/ GIMT_Encode4(146629), // Rule ID 2617 //
     /* 146607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 146610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 146614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 146618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 146622 */     // (ssubsat:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPSUBSWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 146622 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBSWrr),
     /* 146627 */     GIR_RootConstrainSelectedInstOperands,
     /* 146628 */     // GIR_Coverage, 2617,
     /* 146628 */     GIR_Done,
     /* 146629 */   // Label 3182: @146629
     /* 146629 */   GIM_Try, /*On fail goto*//*Label 3183*/ GIMT_Encode4(146656), // Rule ID 2619 //
     /* 146634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 146637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 146641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 146645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 146649 */     // (ssubsat:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PSUBSWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 146649 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PSUBSWrr),
     /* 146654 */     GIR_RootConstrainSelectedInstOperands,
     /* 146655 */     // GIR_Coverage, 2619,
     /* 146655 */     GIR_Done,
     /* 146656 */   // Label 3183: @146656
     /* 146656 */   GIM_Try, /*On fail goto*//*Label 3184*/ GIMT_Encode4(146683), // Rule ID 4860 //
     /* 146661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 146664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 146668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 146672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 146676 */     // (ssubsat:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)  =>  (VPSUBSWZ128rr:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)
     /* 146676 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBSWZ128rr),
     /* 146681 */     GIR_RootConstrainSelectedInstOperands,
     /* 146682 */     // GIR_Coverage, 4860,
     /* 146682 */     GIR_Done,
     /* 146683 */   // Label 3184: @146683
     /* 146683 */   GIM_Reject,
     /* 146684 */ // Label 3179: @146684
     /* 146684 */ GIM_Reject,
     /* 146685 */ // Label 3173: @146685
     /* 146685 */ GIM_Try, /*On fail goto*//*Label 3185*/ GIMT_Encode4(146902),
     /* 146690 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 146693 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 146696 */   GIM_Try, /*On fail goto*//*Label 3186*/ GIMT_Encode4(146758), // Rule ID 2612 //
     /* 146701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 146704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 146708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 146712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 146716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 146720 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 146723 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 146727 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 146731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 146733 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 146740 */     // (ssubsat:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBSBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 146740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBSBrm),
     /* 146743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 146745 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 146747 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 146751 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 146756 */     GIR_RootConstrainSelectedInstOperands,
     /* 146757 */     // GIR_Coverage, 2612,
     /* 146757 */     GIR_EraseRootFromParent_Done,
     /* 146758 */   // Label 3186: @146758
     /* 146758 */   GIM_Try, /*On fail goto*//*Label 3187*/ GIMT_Encode4(146820), // Rule ID 4881 //
     /* 146763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 146766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 146770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 146774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 146778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 146782 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 146785 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 146789 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 146793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 146795 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 146802 */     // (ssubsat:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBSBZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 146802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBSBZ128rm),
     /* 146805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 146807 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 146809 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 146813 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 146818 */     GIR_RootConstrainSelectedInstOperands,
     /* 146819 */     // GIR_Coverage, 4881,
     /* 146819 */     GIR_EraseRootFromParent_Done,
     /* 146820 */   // Label 3187: @146820
     /* 146820 */   GIM_Try, /*On fail goto*//*Label 3188*/ GIMT_Encode4(146847), // Rule ID 2611 //
     /* 146825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 146828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 146832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 146836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 146840 */     // (ssubsat:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (VPSUBSBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /* 146840 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBSBrr),
     /* 146845 */     GIR_RootConstrainSelectedInstOperands,
     /* 146846 */     // GIR_Coverage, 2611,
     /* 146846 */     GIR_Done,
     /* 146847 */   // Label 3188: @146847
     /* 146847 */   GIM_Try, /*On fail goto*//*Label 3189*/ GIMT_Encode4(146874), // Rule ID 2613 //
     /* 146852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 146855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 146859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 146863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 146867 */     // (ssubsat:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (PSUBSBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /* 146867 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PSUBSBrr),
     /* 146872 */     GIR_RootConstrainSelectedInstOperands,
     /* 146873 */     // GIR_Coverage, 2613,
     /* 146873 */     GIR_Done,
     /* 146874 */   // Label 3189: @146874
     /* 146874 */   GIM_Try, /*On fail goto*//*Label 3190*/ GIMT_Encode4(146901), // Rule ID 4878 //
     /* 146879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 146882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 146886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 146890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 146894 */     // (ssubsat:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)  =>  (VPSUBSBZ128rr:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)
     /* 146894 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBSBZ128rr),
     /* 146899 */     GIR_RootConstrainSelectedInstOperands,
     /* 146900 */     // GIR_Coverage, 4878,
     /* 146900 */     GIR_Done,
     /* 146901 */   // Label 3190: @146901
     /* 146901 */   GIM_Reject,
     /* 146902 */ // Label 3185: @146902
     /* 146902 */ GIM_Reject,
     /* 146903 */ // Label 3174: @146903
     /* 146903 */ GIM_Try, /*On fail goto*//*Label 3191*/ GIMT_Encode4(147093),
     /* 146908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 146911 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 146914 */   GIM_Try, /*On fail goto*//*Label 3192*/ GIMT_Encode4(146976), // Rule ID 2622 //
     /* 146919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 146922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 146926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 146930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 146934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 146938 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 146941 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 146945 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 146949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 146951 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 146958 */     // (ssubsat:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBSWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 146958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBSWYrm),
     /* 146961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 146963 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 146965 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 146969 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 146974 */     GIR_RootConstrainSelectedInstOperands,
     /* 146975 */     // GIR_Coverage, 2622,
     /* 146975 */     GIR_EraseRootFromParent_Done,
     /* 146976 */   // Label 3192: @146976
     /* 146976 */   GIM_Try, /*On fail goto*//*Label 3193*/ GIMT_Encode4(147038), // Rule ID 4857 //
     /* 146981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 146984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 146988 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 146992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 146996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 147000 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 147003 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 147007 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 147011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 147013 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 147020 */     // (ssubsat:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBSWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 147020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBSWZ256rm),
     /* 147023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 147025 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 147027 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 147031 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 147036 */     GIR_RootConstrainSelectedInstOperands,
     /* 147037 */     // GIR_Coverage, 4857,
     /* 147037 */     GIR_EraseRootFromParent_Done,
     /* 147038 */   // Label 3193: @147038
     /* 147038 */   GIM_Try, /*On fail goto*//*Label 3194*/ GIMT_Encode4(147065), // Rule ID 2621 //
     /* 147043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 147046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 147050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 147054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 147058 */     // (ssubsat:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPSUBSWYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /* 147058 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBSWYrr),
     /* 147063 */     GIR_RootConstrainSelectedInstOperands,
     /* 147064 */     // GIR_Coverage, 2621,
     /* 147064 */     GIR_Done,
     /* 147065 */   // Label 3194: @147065
     /* 147065 */   GIM_Try, /*On fail goto*//*Label 3195*/ GIMT_Encode4(147092), // Rule ID 4854 //
     /* 147070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 147073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 147077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 147081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 147085 */     // (ssubsat:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)  =>  (VPSUBSWZ256rr:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)
     /* 147085 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBSWZ256rr),
     /* 147090 */     GIR_RootConstrainSelectedInstOperands,
     /* 147091 */     // GIR_Coverage, 4854,
     /* 147091 */     GIR_Done,
     /* 147092 */   // Label 3195: @147092
     /* 147092 */   GIM_Reject,
     /* 147093 */ // Label 3191: @147093
     /* 147093 */ GIM_Reject,
     /* 147094 */ // Label 3175: @147094
     /* 147094 */ GIM_Try, /*On fail goto*//*Label 3196*/ GIMT_Encode4(147284),
     /* 147099 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /* 147102 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s8,
     /* 147105 */   GIM_Try, /*On fail goto*//*Label 3197*/ GIMT_Encode4(147167), // Rule ID 2616 //
     /* 147110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 147113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 147117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 147121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 147125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 147129 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 147132 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 147136 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 147140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 147142 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 147149 */     // (ssubsat:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBSBYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 147149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBSBYrm),
     /* 147152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 147154 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 147156 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 147160 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 147165 */     GIR_RootConstrainSelectedInstOperands,
     /* 147166 */     // GIR_Coverage, 2616,
     /* 147166 */     GIR_EraseRootFromParent_Done,
     /* 147167 */   // Label 3197: @147167
     /* 147167 */   GIM_Try, /*On fail goto*//*Label 3198*/ GIMT_Encode4(147229), // Rule ID 4875 //
     /* 147172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 147175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 147179 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 147183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 147187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 147191 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 147194 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 147198 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 147202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 147204 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 147211 */     // (ssubsat:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBSBZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 147211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBSBZ256rm),
     /* 147214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 147216 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 147218 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 147222 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 147227 */     GIR_RootConstrainSelectedInstOperands,
     /* 147228 */     // GIR_Coverage, 4875,
     /* 147228 */     GIR_EraseRootFromParent_Done,
     /* 147229 */   // Label 3198: @147229
     /* 147229 */   GIM_Try, /*On fail goto*//*Label 3199*/ GIMT_Encode4(147256), // Rule ID 2615 //
     /* 147234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 147237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 147241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 147245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 147249 */     // (ssubsat:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)  =>  (VPSUBSBYrr:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)
     /* 147249 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBSBYrr),
     /* 147254 */     GIR_RootConstrainSelectedInstOperands,
     /* 147255 */     // GIR_Coverage, 2615,
     /* 147255 */     GIR_Done,
     /* 147256 */   // Label 3199: @147256
     /* 147256 */   GIM_Try, /*On fail goto*//*Label 3200*/ GIMT_Encode4(147283), // Rule ID 4872 //
     /* 147261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 147264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 147268 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 147272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 147276 */     // (ssubsat:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)  =>  (VPSUBSBZ256rr:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)
     /* 147276 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBSBZ256rr),
     /* 147281 */     GIR_RootConstrainSelectedInstOperands,
     /* 147282 */     // GIR_Coverage, 4872,
     /* 147282 */     GIR_Done,
     /* 147283 */   // Label 3200: @147283
     /* 147283 */   GIM_Reject,
     /* 147284 */ // Label 3196: @147284
     /* 147284 */ GIM_Reject,
     /* 147285 */ // Label 3176: @147285
     /* 147285 */ GIM_Try, /*On fail goto*//*Label 3201*/ GIMT_Encode4(147378),
     /* 147290 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 147293 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 147296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 147300 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 147304 */   GIM_Try, /*On fail goto*//*Label 3202*/ GIMT_Encode4(147358), // Rule ID 4851 //
     /* 147309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 147312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 147316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 147320 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 147323 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 147327 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 147331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 147333 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 147340 */     // (ssubsat:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBSWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 147340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBSWZrm),
     /* 147343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 147345 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 147347 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 147351 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 147356 */     GIR_RootConstrainSelectedInstOperands,
     /* 147357 */     // GIR_Coverage, 4851,
     /* 147357 */     GIR_EraseRootFromParent_Done,
     /* 147358 */   // Label 3202: @147358
     /* 147358 */   GIM_Try, /*On fail goto*//*Label 3203*/ GIMT_Encode4(147377), // Rule ID 4848 //
     /* 147363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 147366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 147370 */     // (ssubsat:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)  =>  (VPSUBSWZrr:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)
     /* 147370 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBSWZrr),
     /* 147375 */     GIR_RootConstrainSelectedInstOperands,
     /* 147376 */     // GIR_Coverage, 4848,
     /* 147376 */     GIR_Done,
     /* 147377 */   // Label 3203: @147377
     /* 147377 */   GIM_Reject,
     /* 147378 */ // Label 3201: @147378
     /* 147378 */ GIM_Reject,
     /* 147379 */ // Label 3177: @147379
     /* 147379 */ GIM_Try, /*On fail goto*//*Label 3204*/ GIMT_Encode4(147472),
     /* 147384 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /* 147387 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s8,
     /* 147390 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 147394 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 147398 */   GIM_Try, /*On fail goto*//*Label 3205*/ GIMT_Encode4(147452), // Rule ID 4869 //
     /* 147403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 147406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 147410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 147414 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 147417 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 147421 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 147425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 147427 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 147434 */     // (ssubsat:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBSBZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 147434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBSBZrm),
     /* 147437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 147439 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 147441 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 147445 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 147450 */     GIR_RootConstrainSelectedInstOperands,
     /* 147451 */     // GIR_Coverage, 4869,
     /* 147451 */     GIR_EraseRootFromParent_Done,
     /* 147452 */   // Label 3205: @147452
     /* 147452 */   GIM_Try, /*On fail goto*//*Label 3206*/ GIMT_Encode4(147471), // Rule ID 4866 //
     /* 147457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 147460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 147464 */     // (ssubsat:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)  =>  (VPSUBSBZrr:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)
     /* 147464 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBSBZrr),
     /* 147469 */     GIR_RootConstrainSelectedInstOperands,
     /* 147470 */     // GIR_Coverage, 4866,
     /* 147470 */     GIR_Done,
     /* 147471 */   // Label 3206: @147471
     /* 147471 */   GIM_Reject,
     /* 147472 */ // Label 3204: @147472
     /* 147472 */ GIM_Reject,
     /* 147473 */ // Label 3178: @147473
     /* 147473 */ GIM_Reject,
     /* 147474 */ // Label 41: @147474
     /* 147474 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(23), /*)*//*default:*//*Label 3220*/ GIMT_Encode4(152623),
     /* 147485 */ /*GILLT_s16*//*Label 3207*/ GIMT_Encode4(147569),
     /* 147489 */ /*GILLT_s32*//*Label 3208*/ GIMT_Encode4(147729),
     /* 147493 */ /*GILLT_s64*//*Label 3209*/ GIMT_Encode4(148866),
     /* 147497 */ /*GILLT_s80*//*Label 3210*/ GIMT_Encode4(150147), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 147509 */ /*GILLT_v2s64*//*Label 3211*/ GIMT_Encode4(150469), GIMT_Encode4(0),
     /* 147517 */ /*GILLT_v4s32*//*Label 3212*/ GIMT_Encode4(150823),
     /* 147521 */ /*GILLT_v4s64*//*Label 3213*/ GIMT_Encode4(151177), GIMT_Encode4(0),
     /* 147529 */ /*GILLT_v8s16*//*Label 3214*/ GIMT_Encode4(151500),
     /* 147533 */ /*GILLT_v8s32*//*Label 3215*/ GIMT_Encode4(151660),
     /* 147537 */ /*GILLT_v8s64*//*Label 3216*/ GIMT_Encode4(151983), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 147549 */ /*GILLT_v16s16*//*Label 3217*/ GIMT_Encode4(152143),
     /* 147553 */ /*GILLT_v16s32*//*Label 3218*/ GIMT_Encode4(152303), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 147565 */ /*GILLT_v32s16*//*Label 3219*/ GIMT_Encode4(152463),
     /* 147569 */ // Label 3207: @147569
     /* 147569 */ GIM_Try, /*On fail goto*//*Label 3221*/ GIMT_Encode4(147728),
     /* 147574 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 147577 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 147580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 147584 */   GIM_Try, /*On fail goto*//*Label 3222*/ GIMT_Encode4(147642), // Rule ID 24247 //
     /* 147589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 147592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 147596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 147600 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 147603 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 147607 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 147611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 147615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 147617 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 147624 */     // (fadd:{ *:[f16] } (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR16X:{ *:[f16] }:$src1)  =>  (VADDSHZrm:{ *:[f16] } FR16X:{ *:[f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 147624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSHZrm),
     /* 147627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 147629 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 147631 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 147635 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 147640 */     GIR_RootConstrainSelectedInstOperands,
     /* 147641 */     // GIR_Coverage, 24247,
     /* 147641 */     GIR_EraseRootFromParent_Done,
     /* 147642 */   // Label 3222: @147642
     /* 147642 */   GIM_Try, /*On fail goto*//*Label 3223*/ GIMT_Encode4(147700), // Rule ID 5954 //
     /* 147647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 147650 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 147654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 147658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 147662 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 147665 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 147669 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 147673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 147675 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 147682 */     // (fadd:{ *:[f16] } FR16X:{ *:[f16] }:$src1, (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDSHZrm:{ *:[f16] } FR16X:{ *:[f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 147682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSHZrm),
     /* 147685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 147687 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 147689 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 147693 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 147698 */     GIR_RootConstrainSelectedInstOperands,
     /* 147699 */     // GIR_Coverage, 5954,
     /* 147699 */     GIR_EraseRootFromParent_Done,
     /* 147700 */   // Label 3223: @147700
     /* 147700 */   GIM_Try, /*On fail goto*//*Label 3224*/ GIMT_Encode4(147727), // Rule ID 5952 //
     /* 147705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 147708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 147712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 147716 */     // (fadd:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2)  =>  (VADDSHZrr:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2)
     /* 147716 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDSHZrr),
     /* 147721 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 147725 */     GIR_RootConstrainSelectedInstOperands,
     /* 147726 */     // GIR_Coverage, 5952,
     /* 147726 */     GIR_Done,
     /* 147727 */   // Label 3224: @147727
     /* 147727 */   GIM_Reject,
     /* 147728 */ // Label 3221: @147728
     /* 147728 */ GIM_Reject,
     /* 147729 */ // Label 3208: @147729
     /* 147729 */ GIM_Try, /*On fail goto*//*Label 3225*/ GIMT_Encode4(148865),
     /* 147734 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 147737 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 147740 */   GIM_Try, /*On fail goto*//*Label 3226*/ GIMT_Encode4(147822), // Rule ID 26015 //
     /* 147745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 147748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 147752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 147756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 147760 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 147764 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 147768 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 147772 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 147775 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 147779 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 147786 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 147790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 147794 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 147796 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 147803 */     // (fadd:{ *:[f32] } (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>), FR32:{ *:[f32] }:$src1)  =>  (ADDSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 147803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADDSSrm),
     /* 147806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 147808 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 147810 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 147814 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 147820 */     GIR_RootConstrainSelectedInstOperands,
     /* 147821 */     // GIR_Coverage, 26015,
     /* 147821 */     GIR_EraseRootFromParent_Done,
     /* 147822 */   // Label 3226: @147822
     /* 147822 */   GIM_Try, /*On fail goto*//*Label 3227*/ GIMT_Encode4(147904), // Rule ID 26016 //
     /* 147827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 147830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 147834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 147838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 147842 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 147846 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 147850 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 147854 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 147857 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 147861 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 147868 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 147872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 147876 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 147878 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 147885 */     // (fadd:{ *:[f32] } (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>), FR32:{ *:[f32] }:$src1)  =>  (VADDSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 147885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSSrm),
     /* 147888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 147890 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 147892 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 147896 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 147902 */     GIR_RootConstrainSelectedInstOperands,
     /* 147903 */     // GIR_Coverage, 26016,
     /* 147903 */     GIR_EraseRootFromParent_Done,
     /* 147904 */   // Label 3227: @147904
     /* 147904 */   GIM_Try, /*On fail goto*//*Label 3228*/ GIMT_Encode4(147986), // Rule ID 26017 //
     /* 147909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 147912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 147916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 147920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 147924 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 147928 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 147932 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 147936 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 147939 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 147943 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 147950 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 147954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 147958 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 147960 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 147967 */     // (fadd:{ *:[f32] } (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>), FR32X:{ *:[f32] }:$src1)  =>  (VADDSSZrm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 147967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSSZrm),
     /* 147970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 147972 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 147974 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 147978 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 147984 */     GIR_RootConstrainSelectedInstOperands,
     /* 147985 */     // GIR_Coverage, 26017,
     /* 147985 */     GIR_EraseRootFromParent_Done,
     /* 147986 */   // Label 3228: @147986
     /* 147986 */   GIM_Try, /*On fail goto*//*Label 3229*/ GIMT_Encode4(148068), // Rule ID 22466 //
     /* 147991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 147994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 147998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 148002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 148006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 148010 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 148014 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 148018 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 148022 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 148025 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 148029 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 148036 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 148040 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 148042 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 148049 */     // (fadd:{ *:[f32] } FR32:{ *:[f32] }:$src1, (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>))  =>  (ADDSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 148049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADDSSrm),
     /* 148052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 148054 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 148056 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 148060 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 148066 */     GIR_RootConstrainSelectedInstOperands,
     /* 148067 */     // GIR_Coverage, 22466,
     /* 148067 */     GIR_EraseRootFromParent_Done,
     /* 148068 */   // Label 3229: @148068
     /* 148068 */   GIM_Try, /*On fail goto*//*Label 3230*/ GIMT_Encode4(148150), // Rule ID 22467 //
     /* 148073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 148076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 148080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 148084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 148088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 148092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 148096 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 148100 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 148104 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 148107 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 148111 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 148118 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 148122 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 148124 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 148131 */     // (fadd:{ *:[f32] } FR32:{ *:[f32] }:$src1, (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>))  =>  (VADDSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 148131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSSrm),
     /* 148134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 148136 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 148138 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 148142 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 148148 */     GIR_RootConstrainSelectedInstOperands,
     /* 148149 */     // GIR_Coverage, 22467,
     /* 148149 */     GIR_EraseRootFromParent_Done,
     /* 148150 */   // Label 3230: @148150
     /* 148150 */   GIM_Try, /*On fail goto*//*Label 3231*/ GIMT_Encode4(148232), // Rule ID 22468 //
     /* 148155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 148158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 148162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 148166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 148170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 148174 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 148178 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 148182 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 148186 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 148189 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 148193 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 148200 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 148204 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 148206 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 148213 */     // (fadd:{ *:[f32] } FR32X:{ *:[f32] }:$src1, (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>))  =>  (VADDSSZrm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 148213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSSZrm),
     /* 148216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 148218 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 148220 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 148224 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 148230 */     GIR_RootConstrainSelectedInstOperands,
     /* 148231 */     // GIR_Coverage, 22468,
     /* 148231 */     GIR_EraseRootFromParent_Done,
     /* 148232 */   // Label 3231: @148232
     /* 148232 */   GIM_Try, /*On fail goto*//*Label 3232*/ GIMT_Encode4(148297), // Rule ID 23234 //
     /* 148237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 148240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 148244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 148248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 148252 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 148255 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 148259 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 148263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 148267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 148269 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 148276 */     // (fadd:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, RFP32:{ *:[f32] }:$src1)  =>  (ADD_Fp32m:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 148276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp32m),
     /* 148279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 148281 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 148283 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 148287 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 148290 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 148295 */     GIR_RootConstrainSelectedInstOperands,
     /* 148296 */     // GIR_Coverage, 23234,
     /* 148296 */     GIR_EraseRootFromParent_Done,
     /* 148297 */   // Label 3232: @148297
     /* 148297 */   GIM_Try, /*On fail goto*//*Label 3233*/ GIMT_Encode4(148359), // Rule ID 23379 //
     /* 148302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 148305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 148309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 148313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 148317 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 148320 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 148324 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 148328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 148332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 148334 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 148341 */     // (fadd:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32:{ *:[f32] }:$src1)  =>  (VADDSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 148341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSSrm),
     /* 148344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 148346 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 148348 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 148352 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 148357 */     GIR_RootConstrainSelectedInstOperands,
     /* 148358 */     // GIR_Coverage, 23379,
     /* 148358 */     GIR_EraseRootFromParent_Done,
     /* 148359 */   // Label 3233: @148359
     /* 148359 */   GIM_Try, /*On fail goto*//*Label 3234*/ GIMT_Encode4(148421), // Rule ID 23383 //
     /* 148364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 148367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 148371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 148375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 148379 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 148382 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 148386 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 148390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 148394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 148396 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 148403 */     // (fadd:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32:{ *:[f32] }:$src1)  =>  (ADDSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 148403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADDSSrm),
     /* 148406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 148408 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 148410 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 148414 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 148419 */     GIR_RootConstrainSelectedInstOperands,
     /* 148420 */     // GIR_Coverage, 23383,
     /* 148420 */     GIR_EraseRootFromParent_Done,
     /* 148421 */   // Label 3234: @148421
     /* 148421 */   GIM_Try, /*On fail goto*//*Label 3235*/ GIMT_Encode4(148483), // Rule ID 24243 //
     /* 148426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 148429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 148433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 148437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 148441 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 148444 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 148448 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 148452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 148456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 148458 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 148465 */     // (fadd:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32X:{ *:[f32] }:$src1)  =>  (VADDSSZrm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 148465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSSZrm),
     /* 148468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 148470 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 148472 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 148476 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 148481 */     GIR_RootConstrainSelectedInstOperands,
     /* 148482 */     // GIR_Coverage, 24243,
     /* 148482 */     GIR_EraseRootFromParent_Done,
     /* 148483 */   // Label 3235: @148483
     /* 148483 */   GIM_Try, /*On fail goto*//*Label 3236*/ GIMT_Encode4(148548), // Rule ID 910 //
     /* 148488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 148491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 148495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 148499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 148503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 148507 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 148510 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 148514 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 148518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 148520 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 148527 */     // (fadd:{ *:[f32] } RFP32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (ADD_Fp32m:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 148527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp32m),
     /* 148530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 148532 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 148534 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 148538 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 148541 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 148546 */     GIR_RootConstrainSelectedInstOperands,
     /* 148547 */     // GIR_Coverage, 910,
     /* 148547 */     GIR_EraseRootFromParent_Done,
     /* 148548 */   // Label 3236: @148548
     /* 148548 */   GIM_Try, /*On fail goto*//*Label 3237*/ GIMT_Encode4(148610), // Rule ID 2160 //
     /* 148553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 148556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 148560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 148564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 148568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 148572 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 148575 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 148579 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 148583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 148585 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 148592 */     // (fadd:{ *:[f32] } FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 148592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSSrm),
     /* 148595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 148597 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 148599 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 148603 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 148608 */     GIR_RootConstrainSelectedInstOperands,
     /* 148609 */     // GIR_Coverage, 2160,
     /* 148609 */     GIR_EraseRootFromParent_Done,
     /* 148610 */   // Label 3237: @148610
     /* 148610 */   GIM_Try, /*On fail goto*//*Label 3238*/ GIMT_Encode4(148672), // Rule ID 2168 //
     /* 148615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 148618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 148622 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 148626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 148630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 148634 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 148637 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 148641 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 148645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 148647 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 148654 */     // (fadd:{ *:[f32] } FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (ADDSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 148654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADDSSrm),
     /* 148657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 148659 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 148661 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 148665 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 148670 */     GIR_RootConstrainSelectedInstOperands,
     /* 148671 */     // GIR_Coverage, 2168,
     /* 148671 */     GIR_EraseRootFromParent_Done,
     /* 148672 */   // Label 3238: @148672
     /* 148672 */   GIM_Try, /*On fail goto*//*Label 3239*/ GIMT_Encode4(148734), // Rule ID 5916 //
     /* 148677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 148680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 148684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 148688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 148692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 148696 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 148699 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 148703 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 148707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 148709 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 148716 */     // (fadd:{ *:[f32] } FR32X:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDSSZrm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 148716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSSZrm),
     /* 148719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 148721 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 148723 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 148727 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 148732 */     GIR_RootConstrainSelectedInstOperands,
     /* 148733 */     // GIR_Coverage, 5916,
     /* 148733 */     GIR_EraseRootFromParent_Done,
     /* 148734 */   // Label 3239: @148734
     /* 148734 */   GIM_Try, /*On fail goto*//*Label 3240*/ GIMT_Encode4(148771), // Rule ID 886 //
     /* 148739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 148742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 148746 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 148750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 148754 */     // (fadd:{ *:[f32] } RFP32:{ *:[f32] }:$src1, RFP32:{ *:[f32] }:$src2)  =>  (ADD_Fp32:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, RFP32:{ *:[f32] }:$src2)
     /* 148754 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADD_Fp32),
     /* 148759 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 148765 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 148769 */     GIR_RootConstrainSelectedInstOperands,
     /* 148770 */     // GIR_Coverage, 886,
     /* 148770 */     GIR_Done,
     /* 148771 */   // Label 3240: @148771
     /* 148771 */   GIM_Try, /*On fail goto*//*Label 3241*/ GIMT_Encode4(148802), // Rule ID 2158 //
     /* 148776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 148779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 148783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 148787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 148791 */     // (fadd:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)  =>  (VADDSSrr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)
     /* 148791 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDSSrr),
     /* 148796 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 148800 */     GIR_RootConstrainSelectedInstOperands,
     /* 148801 */     // GIR_Coverage, 2158,
     /* 148801 */     GIR_Done,
     /* 148802 */   // Label 3241: @148802
     /* 148802 */   GIM_Try, /*On fail goto*//*Label 3242*/ GIMT_Encode4(148833), // Rule ID 2166 //
     /* 148807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 148810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 148814 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 148818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 148822 */     // (fadd:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)  =>  (ADDSSrr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)
     /* 148822 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADDSSrr),
     /* 148827 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 148831 */     GIR_RootConstrainSelectedInstOperands,
     /* 148832 */     // GIR_Coverage, 2166,
     /* 148832 */     GIR_Done,
     /* 148833 */   // Label 3242: @148833
     /* 148833 */   GIM_Try, /*On fail goto*//*Label 3243*/ GIMT_Encode4(148864), // Rule ID 5914 //
     /* 148838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 148841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 148845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 148849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 148853 */     // (fadd:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2)  =>  (VADDSSZrr:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2)
     /* 148853 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDSSZrr),
     /* 148858 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 148862 */     GIR_RootConstrainSelectedInstOperands,
     /* 148863 */     // GIR_Coverage, 5914,
     /* 148863 */     GIR_Done,
     /* 148864 */   // Label 3243: @148864
     /* 148864 */   GIM_Reject,
     /* 148865 */ // Label 3225: @148865
     /* 148865 */ GIM_Reject,
     /* 148866 */ // Label 3209: @148866
     /* 148866 */ GIM_Try, /*On fail goto*//*Label 3244*/ GIMT_Encode4(150146),
     /* 148871 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 148874 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 148877 */   GIM_Try, /*On fail goto*//*Label 3245*/ GIMT_Encode4(148959), // Rule ID 26018 //
     /* 148882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 148885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 148889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 148893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 148897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 148901 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 148905 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 148909 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 148912 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 148916 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 148923 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 148927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 148931 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 148933 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 148940 */     // (fadd:{ *:[f64] } (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>), FR64:{ *:[f64] }:$src1)  =>  (ADDSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 148940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADDSDrm),
     /* 148943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 148945 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 148947 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 148951 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 148957 */     GIR_RootConstrainSelectedInstOperands,
     /* 148958 */     // GIR_Coverage, 26018,
     /* 148958 */     GIR_EraseRootFromParent_Done,
     /* 148959 */   // Label 3245: @148959
     /* 148959 */   GIM_Try, /*On fail goto*//*Label 3246*/ GIMT_Encode4(149041), // Rule ID 26019 //
     /* 148964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 148967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 148971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 148975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 148979 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 148983 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 148987 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 148991 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 148994 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 148998 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 149005 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 149009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 149013 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 149015 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 149022 */     // (fadd:{ *:[f64] } (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>), FR64:{ *:[f64] }:$src1)  =>  (VADDSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 149022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSDrm),
     /* 149025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149027 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 149029 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 149033 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 149039 */     GIR_RootConstrainSelectedInstOperands,
     /* 149040 */     // GIR_Coverage, 26019,
     /* 149040 */     GIR_EraseRootFromParent_Done,
     /* 149041 */   // Label 3246: @149041
     /* 149041 */   GIM_Try, /*On fail goto*//*Label 3247*/ GIMT_Encode4(149123), // Rule ID 26020 //
     /* 149046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 149049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 149053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 149057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 149061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 149065 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 149069 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 149073 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 149076 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 149080 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 149087 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 149091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 149095 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 149097 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 149104 */     // (fadd:{ *:[f64] } (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>), FR64X:{ *:[f64] }:$src1)  =>  (VADDSDZrm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 149104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSDZrm),
     /* 149107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149109 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 149111 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 149115 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 149121 */     GIR_RootConstrainSelectedInstOperands,
     /* 149122 */     // GIR_Coverage, 26020,
     /* 149122 */     GIR_EraseRootFromParent_Done,
     /* 149123 */   // Label 3247: @149123
     /* 149123 */   GIM_Try, /*On fail goto*//*Label 3248*/ GIMT_Encode4(149205), // Rule ID 22469 //
     /* 149128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 149131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 149135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 149139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 149143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 149147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 149151 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 149155 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 149159 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 149162 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 149166 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 149173 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 149177 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 149179 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 149186 */     // (fadd:{ *:[f64] } FR64:{ *:[f64] }:$src1, (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>))  =>  (ADDSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 149186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADDSDrm),
     /* 149189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149191 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 149193 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 149197 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 149203 */     GIR_RootConstrainSelectedInstOperands,
     /* 149204 */     // GIR_Coverage, 22469,
     /* 149204 */     GIR_EraseRootFromParent_Done,
     /* 149205 */   // Label 3248: @149205
     /* 149205 */   GIM_Try, /*On fail goto*//*Label 3249*/ GIMT_Encode4(149287), // Rule ID 22470 //
     /* 149210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 149213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 149217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 149221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 149225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 149229 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 149233 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 149237 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 149241 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 149244 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 149248 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 149255 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 149259 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 149261 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 149268 */     // (fadd:{ *:[f64] } FR64:{ *:[f64] }:$src1, (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>))  =>  (VADDSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 149268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSDrm),
     /* 149271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149273 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 149275 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 149279 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 149285 */     GIR_RootConstrainSelectedInstOperands,
     /* 149286 */     // GIR_Coverage, 22470,
     /* 149286 */     GIR_EraseRootFromParent_Done,
     /* 149287 */   // Label 3249: @149287
     /* 149287 */   GIM_Try, /*On fail goto*//*Label 3250*/ GIMT_Encode4(149369), // Rule ID 22471 //
     /* 149292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 149295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 149299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 149303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 149307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 149311 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 149315 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 149319 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 149323 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 149326 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 149330 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 149337 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 149341 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 149343 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 149350 */     // (fadd:{ *:[f64] } FR64X:{ *:[f64] }:$src1, (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>))  =>  (VADDSDZrm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 149350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSDZrm),
     /* 149353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149355 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 149357 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 149361 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 149367 */     GIR_RootConstrainSelectedInstOperands,
     /* 149368 */     // GIR_Coverage, 22471,
     /* 149368 */     GIR_EraseRootFromParent_Done,
     /* 149369 */   // Label 3250: @149369
     /* 149369 */   GIM_Try, /*On fail goto*//*Label 3251*/ GIMT_Encode4(149434), // Rule ID 23236 //
     /* 149374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 149377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 149381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 149385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 149389 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 149392 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 149396 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 149400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 149404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 149406 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 149413 */     // (fadd:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, RFP64:{ *:[f64] }:$src1)  =>  (ADD_Fp64m:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 149413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp64m),
     /* 149416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149418 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 149420 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 149424 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 149427 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 149432 */     GIR_RootConstrainSelectedInstOperands,
     /* 149433 */     // GIR_Coverage, 23236,
     /* 149433 */     GIR_EraseRootFromParent_Done,
     /* 149434 */   // Label 3251: @149434
     /* 149434 */   GIM_Try, /*On fail goto*//*Label 3252*/ GIMT_Encode4(149506), // Rule ID 23238 //
     /* 149439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 149442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 149446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 149450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 149454 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 149457 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 149461 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 149468 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 149472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 149476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 149478 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 149485 */     // (fadd:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>, RFP64:{ *:[f64] }:$src1)  =>  (ADD_Fp64m32:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 149485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp64m32),
     /* 149488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149490 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 149492 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 149496 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 149499 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 149504 */     GIR_RootConstrainSelectedInstOperands,
     /* 149505 */     // GIR_Coverage, 23238,
     /* 149505 */     GIR_EraseRootFromParent_Done,
     /* 149506 */   // Label 3252: @149506
     /* 149506 */   GIM_Try, /*On fail goto*//*Label 3253*/ GIMT_Encode4(149568), // Rule ID 23381 //
     /* 149511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 149514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 149518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 149522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 149526 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 149529 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 149533 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 149537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 149541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 149543 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 149550 */     // (fadd:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64:{ *:[f64] }:$src1)  =>  (VADDSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 149550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSDrm),
     /* 149553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149555 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 149557 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 149561 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 149566 */     GIR_RootConstrainSelectedInstOperands,
     /* 149567 */     // GIR_Coverage, 23381,
     /* 149567 */     GIR_EraseRootFromParent_Done,
     /* 149568 */   // Label 3253: @149568
     /* 149568 */   GIM_Try, /*On fail goto*//*Label 3254*/ GIMT_Encode4(149630), // Rule ID 23385 //
     /* 149573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 149576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 149580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 149584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 149588 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 149591 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 149595 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 149599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 149603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 149605 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 149612 */     // (fadd:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64:{ *:[f64] }:$src1)  =>  (ADDSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 149612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADDSDrm),
     /* 149615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149617 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 149619 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 149623 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 149628 */     GIR_RootConstrainSelectedInstOperands,
     /* 149629 */     // GIR_Coverage, 23385,
     /* 149629 */     GIR_EraseRootFromParent_Done,
     /* 149630 */   // Label 3254: @149630
     /* 149630 */   GIM_Try, /*On fail goto*//*Label 3255*/ GIMT_Encode4(149692), // Rule ID 24245 //
     /* 149635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 149638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 149642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 149646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 149650 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 149653 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 149657 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 149661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 149665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 149667 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 149674 */     // (fadd:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64X:{ *:[f64] }:$src1)  =>  (VADDSDZrm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 149674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSDZrm),
     /* 149677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149679 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 149681 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 149685 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 149690 */     GIR_RootConstrainSelectedInstOperands,
     /* 149691 */     // GIR_Coverage, 24245,
     /* 149691 */     GIR_EraseRootFromParent_Done,
     /* 149692 */   // Label 3255: @149692
     /* 149692 */   GIM_Try, /*On fail goto*//*Label 3256*/ GIMT_Encode4(149757), // Rule ID 912 //
     /* 149697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 149700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 149704 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 149708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 149712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 149716 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 149719 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 149723 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 149727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 149729 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 149736 */     // (fadd:{ *:[f64] } RFP64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (ADD_Fp64m:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 149736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp64m),
     /* 149739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149741 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 149743 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 149747 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 149750 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 149755 */     GIR_RootConstrainSelectedInstOperands,
     /* 149756 */     // GIR_Coverage, 912,
     /* 149756 */     GIR_EraseRootFromParent_Done,
     /* 149757 */   // Label 3256: @149757
     /* 149757 */   GIM_Try, /*On fail goto*//*Label 3257*/ GIMT_Encode4(149829), // Rule ID 914 //
     /* 149762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 149765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 149769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 149773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 149777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 149781 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 149784 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 149788 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 149795 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 149799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 149801 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 149808 */     // (fadd:{ *:[f64] } RFP64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>)  =>  (ADD_Fp64m32:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 149808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp64m32),
     /* 149811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149813 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 149815 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 149819 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 149822 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 149827 */     GIR_RootConstrainSelectedInstOperands,
     /* 149828 */     // GIR_Coverage, 914,
     /* 149828 */     GIR_EraseRootFromParent_Done,
     /* 149829 */   // Label 3257: @149829
     /* 149829 */   GIM_Try, /*On fail goto*//*Label 3258*/ GIMT_Encode4(149891), // Rule ID 2164 //
     /* 149834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 149837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 149841 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 149845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 149849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 149853 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 149856 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 149860 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 149864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 149866 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 149873 */     // (fadd:{ *:[f64] } FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 149873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSDrm),
     /* 149876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149878 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 149880 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 149884 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 149889 */     GIR_RootConstrainSelectedInstOperands,
     /* 149890 */     // GIR_Coverage, 2164,
     /* 149890 */     GIR_EraseRootFromParent_Done,
     /* 149891 */   // Label 3258: @149891
     /* 149891 */   GIM_Try, /*On fail goto*//*Label 3259*/ GIMT_Encode4(149953), // Rule ID 2172 //
     /* 149896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 149899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 149903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 149907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 149911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 149915 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 149918 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 149922 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 149926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 149928 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 149935 */     // (fadd:{ *:[f64] } FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (ADDSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 149935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADDSDrm),
     /* 149938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149940 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 149942 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 149946 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 149951 */     GIR_RootConstrainSelectedInstOperands,
     /* 149952 */     // GIR_Coverage, 2172,
     /* 149952 */     GIR_EraseRootFromParent_Done,
     /* 149953 */   // Label 3259: @149953
     /* 149953 */   GIM_Try, /*On fail goto*//*Label 3260*/ GIMT_Encode4(150015), // Rule ID 5935 //
     /* 149958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 149961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 149965 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 149969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 149973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 149977 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 149980 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 149984 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 149988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 149990 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 149997 */     // (fadd:{ *:[f64] } FR64X:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDSDZrm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 149997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSDZrm),
     /* 150000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150002 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 150004 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 150008 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 150013 */     GIR_RootConstrainSelectedInstOperands,
     /* 150014 */     // GIR_Coverage, 5935,
     /* 150014 */     GIR_EraseRootFromParent_Done,
     /* 150015 */   // Label 3260: @150015
     /* 150015 */   GIM_Try, /*On fail goto*//*Label 3261*/ GIMT_Encode4(150052), // Rule ID 888 //
     /* 150020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 150023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 150027 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 150031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 150035 */     // (fadd:{ *:[f64] } RFP64:{ *:[f64] }:$src1, RFP64:{ *:[f64] }:$src2)  =>  (ADD_Fp64:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, RFP64:{ *:[f64] }:$src2)
     /* 150035 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADD_Fp64),
     /* 150040 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 150046 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 150050 */     GIR_RootConstrainSelectedInstOperands,
     /* 150051 */     // GIR_Coverage, 888,
     /* 150051 */     GIR_Done,
     /* 150052 */   // Label 3261: @150052
     /* 150052 */   GIM_Try, /*On fail goto*//*Label 3262*/ GIMT_Encode4(150083), // Rule ID 2162 //
     /* 150057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 150060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 150064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 150068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 150072 */     // (fadd:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)  =>  (VADDSDrr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)
     /* 150072 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDSDrr),
     /* 150077 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 150081 */     GIR_RootConstrainSelectedInstOperands,
     /* 150082 */     // GIR_Coverage, 2162,
     /* 150082 */     GIR_Done,
     /* 150083 */   // Label 3262: @150083
     /* 150083 */   GIM_Try, /*On fail goto*//*Label 3263*/ GIMT_Encode4(150114), // Rule ID 2170 //
     /* 150088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 150091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 150095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 150099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 150103 */     // (fadd:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)  =>  (ADDSDrr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)
     /* 150103 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADDSDrr),
     /* 150108 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 150112 */     GIR_RootConstrainSelectedInstOperands,
     /* 150113 */     // GIR_Coverage, 2170,
     /* 150113 */     GIR_Done,
     /* 150114 */   // Label 3263: @150114
     /* 150114 */   GIM_Try, /*On fail goto*//*Label 3264*/ GIMT_Encode4(150145), // Rule ID 5933 //
     /* 150119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 150122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 150126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 150130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 150134 */     // (fadd:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2)  =>  (VADDSDZrr:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2)
     /* 150134 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDSDZrr),
     /* 150139 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 150143 */     GIR_RootConstrainSelectedInstOperands,
     /* 150144 */     // GIR_Coverage, 5933,
     /* 150144 */     GIR_Done,
     /* 150145 */   // Label 3264: @150145
     /* 150145 */   GIM_Reject,
     /* 150146 */ // Label 3244: @150146
     /* 150146 */ GIM_Reject,
     /* 150147 */ // Label 3210: @150147
     /* 150147 */ GIM_Try, /*On fail goto*//*Label 3265*/ GIMT_Encode4(150468),
     /* 150152 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s80,
     /* 150155 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s80,
     /* 150158 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 150162 */   GIM_Try, /*On fail goto*//*Label 3266*/ GIMT_Encode4(150230), // Rule ID 23240 //
     /* 150167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 150170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 150174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 150178 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 150181 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 150185 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 150192 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 150196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 150200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 150202 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 150209 */     // (fadd:{ *:[f80] } (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>, RFP80:{ *:[f80] }:$src1)  =>  (ADD_Fp80m32:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 150209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp80m32),
     /* 150212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150214 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 150216 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 150220 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 150223 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 150228 */     GIR_RootConstrainSelectedInstOperands,
     /* 150229 */     // GIR_Coverage, 23240,
     /* 150229 */     GIR_EraseRootFromParent_Done,
     /* 150230 */   // Label 3266: @150230
     /* 150230 */   GIM_Try, /*On fail goto*//*Label 3267*/ GIMT_Encode4(150298), // Rule ID 23242 //
     /* 150235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 150238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 150242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 150246 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 150249 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 150253 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 150260 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 150264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 150268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 150270 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 150277 */     // (fadd:{ *:[f80] } (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf64>>, RFP80:{ *:[f80] }:$src1)  =>  (ADD_Fp80m64:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 150277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp80m64),
     /* 150280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150282 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 150284 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 150288 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 150291 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 150296 */     GIR_RootConstrainSelectedInstOperands,
     /* 150297 */     // GIR_Coverage, 23242,
     /* 150297 */     GIR_EraseRootFromParent_Done,
     /* 150298 */   // Label 3267: @150298
     /* 150298 */   GIM_Try, /*On fail goto*//*Label 3268*/ GIMT_Encode4(150366), // Rule ID 916 //
     /* 150303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 150306 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 150310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 150314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 150318 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 150321 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 150325 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 150332 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 150336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 150338 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 150345 */     // (fadd:{ *:[f80] } RFP80:{ *:[f80] }:$src1, (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>)  =>  (ADD_Fp80m32:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 150345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp80m32),
     /* 150348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150350 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 150352 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 150356 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 150359 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 150364 */     GIR_RootConstrainSelectedInstOperands,
     /* 150365 */     // GIR_Coverage, 916,
     /* 150365 */     GIR_EraseRootFromParent_Done,
     /* 150366 */   // Label 3268: @150366
     /* 150366 */   GIM_Try, /*On fail goto*//*Label 3269*/ GIMT_Encode4(150434), // Rule ID 918 //
     /* 150371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 150374 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 150378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 150382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 150386 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 150389 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 150393 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 150400 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 150404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 150406 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 150413 */     // (fadd:{ *:[f80] } RFP80:{ *:[f80] }:$src1, (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf64>>)  =>  (ADD_Fp80m64:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 150413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp80m64),
     /* 150416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150418 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 150420 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 150424 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 150427 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 150432 */     GIR_RootConstrainSelectedInstOperands,
     /* 150433 */     // GIR_Coverage, 918,
     /* 150433 */     GIR_EraseRootFromParent_Done,
     /* 150434 */   // Label 3269: @150434
     /* 150434 */   GIM_Try, /*On fail goto*//*Label 3270*/ GIMT_Encode4(150467), // Rule ID 890 //
     /* 150439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 150442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 150446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 150450 */     // (fadd:{ *:[f80] } RFP80:{ *:[f80] }:$src1, RFP80:{ *:[f80] }:$src2)  =>  (ADD_Fp80:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, RFP80:{ *:[f80] }:$src2)
     /* 150450 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADD_Fp80),
     /* 150455 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 150461 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 150465 */     GIR_RootConstrainSelectedInstOperands,
     /* 150466 */     // GIR_Coverage, 890,
     /* 150466 */     GIR_Done,
     /* 150467 */   // Label 3270: @150467
     /* 150467 */   GIM_Reject,
     /* 150468 */ // Label 3265: @150468
     /* 150468 */ GIM_Reject,
     /* 150469 */ // Label 3211: @150469
     /* 150469 */ GIM_Try, /*On fail goto*//*Label 3271*/ GIMT_Encode4(150822),
     /* 150474 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 150477 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 150480 */   GIM_Try, /*On fail goto*//*Label 3272*/ GIMT_Encode4(150542), // Rule ID 23369 //
     /* 150485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 150488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 150492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 150496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 150500 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 150503 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 150507 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 150511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 150515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 150517 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 150524 */     // (fadd:{ *:[v2f64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2f64] }:$src1)  =>  (VADDPDrm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 150524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDrm),
     /* 150527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150529 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 150531 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 150535 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 150540 */     GIR_RootConstrainSelectedInstOperands,
     /* 150541 */     // GIR_Coverage, 23369,
     /* 150541 */     GIR_EraseRootFromParent_Done,
     /* 150542 */   // Label 3272: @150542
     /* 150542 */   GIM_Try, /*On fail goto*//*Label 3273*/ GIMT_Encode4(150604), // Rule ID 24293 //
     /* 150547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 150550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 150554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 150558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 150562 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 150565 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 150569 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 150573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 150577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 150579 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 150586 */     // (fadd:{ *:[v2f64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v2f64] }:$src1)  =>  (VADDPDZ128rm:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 150586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDZ128rm),
     /* 150589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150591 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 150593 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 150597 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 150602 */     GIR_RootConstrainSelectedInstOperands,
     /* 150603 */     // GIR_Coverage, 24293,
     /* 150603 */     GIR_EraseRootFromParent_Done,
     /* 150604 */   // Label 3273: @150604
     /* 150604 */   GIM_Try, /*On fail goto*//*Label 3274*/ GIMT_Encode4(150666), // Rule ID 2140 //
     /* 150609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 150612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 150616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 150620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 150624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 150628 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 150631 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 150635 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 150639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 150641 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 150648 */     // (fadd:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPDrm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 150648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDrm),
     /* 150651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150653 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 150655 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 150659 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 150664 */     GIR_RootConstrainSelectedInstOperands,
     /* 150665 */     // GIR_Coverage, 2140,
     /* 150665 */     GIR_EraseRootFromParent_Done,
     /* 150666 */   // Label 3274: @150666
     /* 150666 */   GIM_Try, /*On fail goto*//*Label 3275*/ GIMT_Encode4(150728), // Rule ID 6308 //
     /* 150671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 150674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 150678 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 150682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 150686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 150690 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 150693 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 150697 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 150701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 150703 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 150710 */     // (fadd:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPDZ128rm:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 150710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDZ128rm),
     /* 150713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150715 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 150717 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 150721 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 150726 */     GIR_RootConstrainSelectedInstOperands,
     /* 150727 */     // GIR_Coverage, 6308,
     /* 150727 */     GIR_EraseRootFromParent_Done,
     /* 150728 */   // Label 3275: @150728
     /* 150728 */   GIM_Try, /*On fail goto*//*Label 3276*/ GIMT_Encode4(150759), // Rule ID 2138 //
     /* 150733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 150736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 150740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 150744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 150748 */     // (fadd:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (VADDPDrr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)
     /* 150748 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPDrr),
     /* 150753 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 150757 */     GIR_RootConstrainSelectedInstOperands,
     /* 150758 */     // GIR_Coverage, 2138,
     /* 150758 */     GIR_Done,
     /* 150759 */   // Label 3276: @150759
     /* 150759 */   GIM_Try, /*On fail goto*//*Label 3277*/ GIMT_Encode4(150790), // Rule ID 2154 //
     /* 150764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 150767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 150771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 150775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 150779 */     // (fadd:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (ADDPDrr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)
     /* 150779 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADDPDrr),
     /* 150784 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 150788 */     GIR_RootConstrainSelectedInstOperands,
     /* 150789 */     // GIR_Coverage, 2154,
     /* 150789 */     GIR_Done,
     /* 150790 */   // Label 3277: @150790
     /* 150790 */   GIM_Try, /*On fail goto*//*Label 3278*/ GIMT_Encode4(150821), // Rule ID 6304 //
     /* 150795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 150798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 150802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 150806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 150810 */     // (fadd:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2)  =>  (VADDPDZ128rr:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2)
     /* 150810 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPDZ128rr),
     /* 150815 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 150819 */     GIR_RootConstrainSelectedInstOperands,
     /* 150820 */     // GIR_Coverage, 6304,
     /* 150820 */     GIR_Done,
     /* 150821 */   // Label 3278: @150821
     /* 150821 */   GIM_Reject,
     /* 150822 */ // Label 3271: @150822
     /* 150822 */ GIM_Reject,
     /* 150823 */ // Label 3212: @150823
     /* 150823 */ GIM_Try, /*On fail goto*//*Label 3279*/ GIMT_Encode4(151176),
     /* 150828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 150831 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 150834 */   GIM_Try, /*On fail goto*//*Label 3280*/ GIMT_Encode4(150896), // Rule ID 23367 //
     /* 150839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 150842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 150846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 150850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 150854 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 150857 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 150861 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 150865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 150869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 150871 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 150878 */     // (fadd:{ *:[v4f32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4f32] }:$src1)  =>  (VADDPSrm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 150878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSrm),
     /* 150881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150883 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 150885 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 150889 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 150894 */     GIR_RootConstrainSelectedInstOperands,
     /* 150895 */     // GIR_Coverage, 23367,
     /* 150895 */     GIR_EraseRootFromParent_Done,
     /* 150896 */   // Label 3280: @150896
     /* 150896 */   GIM_Try, /*On fail goto*//*Label 3281*/ GIMT_Encode4(150958), // Rule ID 24277 //
     /* 150901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 150904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 150908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 150912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 150916 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 150919 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 150923 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 150927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 150931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 150933 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 150940 */     // (fadd:{ *:[v4f32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v4f32] }:$src1)  =>  (VADDPSZ128rm:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 150940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSZ128rm),
     /* 150943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150945 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 150947 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 150951 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 150956 */     GIR_RootConstrainSelectedInstOperands,
     /* 150957 */     // GIR_Coverage, 24277,
     /* 150957 */     GIR_EraseRootFromParent_Done,
     /* 150958 */   // Label 3281: @150958
     /* 150958 */   GIM_Try, /*On fail goto*//*Label 3282*/ GIMT_Encode4(151020), // Rule ID 2136 //
     /* 150963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 150966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 150970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 150974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 150978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 150982 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 150985 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 150989 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 150993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 150995 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 151002 */     // (fadd:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPSrm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 151002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSrm),
     /* 151005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 151007 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 151009 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 151013 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 151018 */     GIR_RootConstrainSelectedInstOperands,
     /* 151019 */     // GIR_Coverage, 2136,
     /* 151019 */     GIR_EraseRootFromParent_Done,
     /* 151020 */   // Label 3282: @151020
     /* 151020 */   GIM_Try, /*On fail goto*//*Label 3283*/ GIMT_Encode4(151082), // Rule ID 6284 //
     /* 151025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 151028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 151032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 151036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 151040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 151044 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 151047 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 151051 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 151055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 151057 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 151064 */     // (fadd:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPSZ128rm:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 151064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSZ128rm),
     /* 151067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 151069 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 151071 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 151075 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 151080 */     GIR_RootConstrainSelectedInstOperands,
     /* 151081 */     // GIR_Coverage, 6284,
     /* 151081 */     GIR_EraseRootFromParent_Done,
     /* 151082 */   // Label 3283: @151082
     /* 151082 */   GIM_Try, /*On fail goto*//*Label 3284*/ GIMT_Encode4(151113), // Rule ID 2134 //
     /* 151087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 151090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 151094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 151098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 151102 */     // (fadd:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (VADDPSrr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)
     /* 151102 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPSrr),
     /* 151107 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 151111 */     GIR_RootConstrainSelectedInstOperands,
     /* 151112 */     // GIR_Coverage, 2134,
     /* 151112 */     GIR_Done,
     /* 151113 */   // Label 3284: @151113
     /* 151113 */   GIM_Try, /*On fail goto*//*Label 3285*/ GIMT_Encode4(151144), // Rule ID 2150 //
     /* 151118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 151121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 151125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 151129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 151133 */     // (fadd:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (ADDPSrr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)
     /* 151133 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADDPSrr),
     /* 151138 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 151142 */     GIR_RootConstrainSelectedInstOperands,
     /* 151143 */     // GIR_Coverage, 2150,
     /* 151143 */     GIR_Done,
     /* 151144 */   // Label 3285: @151144
     /* 151144 */   GIM_Try, /*On fail goto*//*Label 3286*/ GIMT_Encode4(151175), // Rule ID 6280 //
     /* 151149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 151152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 151156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 151160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 151164 */     // (fadd:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2)  =>  (VADDPSZ128rr:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2)
     /* 151164 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPSZ128rr),
     /* 151169 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 151173 */     GIR_RootConstrainSelectedInstOperands,
     /* 151174 */     // GIR_Coverage, 6280,
     /* 151174 */     GIR_Done,
     /* 151175 */   // Label 3286: @151175
     /* 151175 */   GIM_Reject,
     /* 151176 */ // Label 3279: @151176
     /* 151176 */ GIM_Reject,
     /* 151177 */ // Label 3213: @151177
     /* 151177 */ GIM_Try, /*On fail goto*//*Label 3287*/ GIMT_Encode4(151499),
     /* 151182 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 151185 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 151188 */   GIM_Try, /*On fail goto*//*Label 3288*/ GIMT_Encode4(151250), // Rule ID 23373 //
     /* 151193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 151196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 151200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 151204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 151208 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 151211 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 151215 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 151219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 151223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 151225 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 151232 */     // (fadd:{ *:[v4f64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4f64] }:$src1)  =>  (VADDPDYrm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 151232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDYrm),
     /* 151235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 151237 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 151239 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 151243 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 151248 */     GIR_RootConstrainSelectedInstOperands,
     /* 151249 */     // GIR_Coverage, 23373,
     /* 151249 */     GIR_EraseRootFromParent_Done,
     /* 151250 */   // Label 3288: @151250
     /* 151250 */   GIM_Try, /*On fail goto*//*Label 3289*/ GIMT_Encode4(151312), // Rule ID 24301 //
     /* 151255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 151258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 151262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 151266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 151270 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 151273 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 151277 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 151281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 151285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 151287 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 151294 */     // (fadd:{ *:[v4f64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v4f64] }:$src1)  =>  (VADDPDZ256rm:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 151294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDZ256rm),
     /* 151297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 151299 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 151301 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 151305 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 151310 */     GIR_RootConstrainSelectedInstOperands,
     /* 151311 */     // GIR_Coverage, 24301,
     /* 151311 */     GIR_EraseRootFromParent_Done,
     /* 151312 */   // Label 3289: @151312
     /* 151312 */   GIM_Try, /*On fail goto*//*Label 3290*/ GIMT_Encode4(151374), // Rule ID 2148 //
     /* 151317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 151320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 151324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 151328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 151332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 151336 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 151339 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 151343 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 151347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 151349 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 151356 */     // (fadd:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPDYrm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 151356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDYrm),
     /* 151359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 151361 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 151363 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 151367 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 151372 */     GIR_RootConstrainSelectedInstOperands,
     /* 151373 */     // GIR_Coverage, 2148,
     /* 151373 */     GIR_EraseRootFromParent_Done,
     /* 151374 */   // Label 3290: @151374
     /* 151374 */   GIM_Try, /*On fail goto*//*Label 3291*/ GIMT_Encode4(151436), // Rule ID 6320 //
     /* 151379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 151382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 151386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 151390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 151394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 151398 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 151401 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 151405 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 151409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 151411 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 151418 */     // (fadd:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPDZ256rm:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 151418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDZ256rm),
     /* 151421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 151423 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 151425 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 151429 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 151434 */     GIR_RootConstrainSelectedInstOperands,
     /* 151435 */     // GIR_Coverage, 6320,
     /* 151435 */     GIR_EraseRootFromParent_Done,
     /* 151436 */   // Label 3291: @151436
     /* 151436 */   GIM_Try, /*On fail goto*//*Label 3292*/ GIMT_Encode4(151467), // Rule ID 2146 //
     /* 151441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 151444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 151448 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 151452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 151456 */     // (fadd:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2)  =>  (VADDPDYrr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2)
     /* 151456 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPDYrr),
     /* 151461 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 151465 */     GIR_RootConstrainSelectedInstOperands,
     /* 151466 */     // GIR_Coverage, 2146,
     /* 151466 */     GIR_Done,
     /* 151467 */   // Label 3292: @151467
     /* 151467 */   GIM_Try, /*On fail goto*//*Label 3293*/ GIMT_Encode4(151498), // Rule ID 6316 //
     /* 151472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 151475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 151479 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 151483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 151487 */     // (fadd:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2)  =>  (VADDPDZ256rr:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2)
     /* 151487 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPDZ256rr),
     /* 151492 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 151496 */     GIR_RootConstrainSelectedInstOperands,
     /* 151497 */     // GIR_Coverage, 6316,
     /* 151497 */     GIR_Done,
     /* 151498 */   // Label 3293: @151498
     /* 151498 */   GIM_Reject,
     /* 151499 */ // Label 3287: @151499
     /* 151499 */ GIM_Reject,
     /* 151500 */ // Label 3214: @151500
     /* 151500 */ GIM_Try, /*On fail goto*//*Label 3294*/ GIMT_Encode4(151659),
     /* 151505 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 151508 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 151511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 151515 */   GIM_Try, /*On fail goto*//*Label 3295*/ GIMT_Encode4(151573), // Rule ID 24317 //
     /* 151520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 151523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 151527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 151531 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 151534 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 151538 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 151542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 151546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 151548 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 151555 */     // (fadd:{ *:[v8f16] } (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8f16] }:$src1)  =>  (VADDPHZ128rm:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 151555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPHZ128rm),
     /* 151558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 151560 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 151562 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 151566 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 151571 */     GIR_RootConstrainSelectedInstOperands,
     /* 151572 */     // GIR_Coverage, 24317,
     /* 151572 */     GIR_EraseRootFromParent_Done,
     /* 151573 */   // Label 3295: @151573
     /* 151573 */   GIM_Try, /*On fail goto*//*Label 3296*/ GIMT_Encode4(151631), // Rule ID 6344 //
     /* 151578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 151581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 151585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 151589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 151593 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 151596 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 151600 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 151604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 151606 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 151613 */     // (fadd:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPHZ128rm:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 151613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPHZ128rm),
     /* 151616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 151618 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 151620 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 151624 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 151629 */     GIR_RootConstrainSelectedInstOperands,
     /* 151630 */     // GIR_Coverage, 6344,
     /* 151630 */     GIR_EraseRootFromParent_Done,
     /* 151631 */   // Label 3296: @151631
     /* 151631 */   GIM_Try, /*On fail goto*//*Label 3297*/ GIMT_Encode4(151658), // Rule ID 6340 //
     /* 151636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 151639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 151643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 151647 */     // (fadd:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2)  =>  (VADDPHZ128rr:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2)
     /* 151647 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPHZ128rr),
     /* 151652 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 151656 */     GIR_RootConstrainSelectedInstOperands,
     /* 151657 */     // GIR_Coverage, 6340,
     /* 151657 */     GIR_Done,
     /* 151658 */   // Label 3297: @151658
     /* 151658 */   GIM_Reject,
     /* 151659 */ // Label 3294: @151659
     /* 151659 */ GIM_Reject,
     /* 151660 */ // Label 3215: @151660
     /* 151660 */ GIM_Try, /*On fail goto*//*Label 3298*/ GIMT_Encode4(151982),
     /* 151665 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 151668 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 151671 */   GIM_Try, /*On fail goto*//*Label 3299*/ GIMT_Encode4(151733), // Rule ID 23371 //
     /* 151676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 151679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 151683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 151687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 151691 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 151694 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 151698 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 151702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 151706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 151708 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 151715 */     // (fadd:{ *:[v8f32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8f32] }:$src1)  =>  (VADDPSYrm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 151715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSYrm),
     /* 151718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 151720 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 151722 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 151726 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 151731 */     GIR_RootConstrainSelectedInstOperands,
     /* 151732 */     // GIR_Coverage, 23371,
     /* 151732 */     GIR_EraseRootFromParent_Done,
     /* 151733 */   // Label 3299: @151733
     /* 151733 */   GIM_Try, /*On fail goto*//*Label 3300*/ GIMT_Encode4(151795), // Rule ID 24285 //
     /* 151738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 151741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 151745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 151749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 151753 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 151756 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 151760 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 151764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 151768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 151770 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 151777 */     // (fadd:{ *:[v8f32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v8f32] }:$src1)  =>  (VADDPSZ256rm:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 151777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSZ256rm),
     /* 151780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 151782 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 151784 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 151788 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 151793 */     GIR_RootConstrainSelectedInstOperands,
     /* 151794 */     // GIR_Coverage, 24285,
     /* 151794 */     GIR_EraseRootFromParent_Done,
     /* 151795 */   // Label 3300: @151795
     /* 151795 */   GIM_Try, /*On fail goto*//*Label 3301*/ GIMT_Encode4(151857), // Rule ID 2144 //
     /* 151800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 151803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 151807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 151811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 151815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 151819 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 151822 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 151826 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 151830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 151832 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 151839 */     // (fadd:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPSYrm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 151839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSYrm),
     /* 151842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 151844 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 151846 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 151850 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 151855 */     GIR_RootConstrainSelectedInstOperands,
     /* 151856 */     // GIR_Coverage, 2144,
     /* 151856 */     GIR_EraseRootFromParent_Done,
     /* 151857 */   // Label 3301: @151857
     /* 151857 */   GIM_Try, /*On fail goto*//*Label 3302*/ GIMT_Encode4(151919), // Rule ID 6296 //
     /* 151862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 151865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 151869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 151873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 151877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 151881 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 151884 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 151888 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 151892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 151894 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 151901 */     // (fadd:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPSZ256rm:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 151901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSZ256rm),
     /* 151904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 151906 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 151908 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 151912 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 151917 */     GIR_RootConstrainSelectedInstOperands,
     /* 151918 */     // GIR_Coverage, 6296,
     /* 151918 */     GIR_EraseRootFromParent_Done,
     /* 151919 */   // Label 3302: @151919
     /* 151919 */   GIM_Try, /*On fail goto*//*Label 3303*/ GIMT_Encode4(151950), // Rule ID 2142 //
     /* 151924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 151927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 151931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 151935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 151939 */     // (fadd:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2)  =>  (VADDPSYrr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2)
     /* 151939 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPSYrr),
     /* 151944 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 151948 */     GIR_RootConstrainSelectedInstOperands,
     /* 151949 */     // GIR_Coverage, 2142,
     /* 151949 */     GIR_Done,
     /* 151950 */   // Label 3303: @151950
     /* 151950 */   GIM_Try, /*On fail goto*//*Label 3304*/ GIMT_Encode4(151981), // Rule ID 6292 //
     /* 151955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 151958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 151962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 151966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 151970 */     // (fadd:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2)  =>  (VADDPSZ256rr:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2)
     /* 151970 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPSZ256rr),
     /* 151975 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 151979 */     GIR_RootConstrainSelectedInstOperands,
     /* 151980 */     // GIR_Coverage, 6292,
     /* 151980 */     GIR_Done,
     /* 151981 */   // Label 3304: @151981
     /* 151981 */   GIM_Reject,
     /* 151982 */ // Label 3298: @151982
     /* 151982 */ GIM_Reject,
     /* 151983 */ // Label 3216: @151983
     /* 151983 */ GIM_Try, /*On fail goto*//*Label 3305*/ GIMT_Encode4(152142),
     /* 151988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 151991 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /* 151994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 151998 */   GIM_Try, /*On fail goto*//*Label 3306*/ GIMT_Encode4(152056), // Rule ID 24269 //
     /* 152003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 152006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 152010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 152014 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 152017 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 152021 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 152025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 152029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 152031 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 152038 */     // (fadd:{ *:[v8f64] } (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v8f64] }:$src1)  =>  (VADDPDZrm:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 152038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDZrm),
     /* 152041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 152043 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 152045 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 152049 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 152054 */     GIR_RootConstrainSelectedInstOperands,
     /* 152055 */     // GIR_Coverage, 24269,
     /* 152055 */     GIR_EraseRootFromParent_Done,
     /* 152056 */   // Label 3306: @152056
     /* 152056 */   GIM_Try, /*On fail goto*//*Label 3307*/ GIMT_Encode4(152114), // Rule ID 6272 //
     /* 152061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 152064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 152068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 152072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 152076 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 152079 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 152083 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 152087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 152089 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 152096 */     // (fadd:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPDZrm:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 152096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDZrm),
     /* 152099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 152101 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 152103 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 152107 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 152112 */     GIR_RootConstrainSelectedInstOperands,
     /* 152113 */     // GIR_Coverage, 6272,
     /* 152113 */     GIR_EraseRootFromParent_Done,
     /* 152114 */   // Label 3307: @152114
     /* 152114 */   GIM_Try, /*On fail goto*//*Label 3308*/ GIMT_Encode4(152141), // Rule ID 6268 //
     /* 152119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 152122 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 152126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 152130 */     // (fadd:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2)  =>  (VADDPDZrr:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2)
     /* 152130 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPDZrr),
     /* 152135 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 152139 */     GIR_RootConstrainSelectedInstOperands,
     /* 152140 */     // GIR_Coverage, 6268,
     /* 152140 */     GIR_Done,
     /* 152141 */   // Label 3308: @152141
     /* 152141 */   GIM_Reject,
     /* 152142 */ // Label 3305: @152142
     /* 152142 */ GIM_Reject,
     /* 152143 */ // Label 3217: @152143
     /* 152143 */ GIM_Try, /*On fail goto*//*Label 3309*/ GIMT_Encode4(152302),
     /* 152148 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 152151 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 152154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 152158 */   GIM_Try, /*On fail goto*//*Label 3310*/ GIMT_Encode4(152216), // Rule ID 24325 //
     /* 152163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 152166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 152170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 152174 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 152177 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 152181 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 152185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 152189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 152191 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 152198 */     // (fadd:{ *:[v16f16] } (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16f16] }:$src1)  =>  (VADDPHZ256rm:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 152198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPHZ256rm),
     /* 152201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 152203 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 152205 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 152209 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 152214 */     GIR_RootConstrainSelectedInstOperands,
     /* 152215 */     // GIR_Coverage, 24325,
     /* 152215 */     GIR_EraseRootFromParent_Done,
     /* 152216 */   // Label 3310: @152216
     /* 152216 */   GIM_Try, /*On fail goto*//*Label 3311*/ GIMT_Encode4(152274), // Rule ID 6356 //
     /* 152221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 152224 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 152228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 152232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 152236 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 152239 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 152243 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 152247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 152249 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 152256 */     // (fadd:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPHZ256rm:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 152256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPHZ256rm),
     /* 152259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 152261 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 152263 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 152267 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 152272 */     GIR_RootConstrainSelectedInstOperands,
     /* 152273 */     // GIR_Coverage, 6356,
     /* 152273 */     GIR_EraseRootFromParent_Done,
     /* 152274 */   // Label 3311: @152274
     /* 152274 */   GIM_Try, /*On fail goto*//*Label 3312*/ GIMT_Encode4(152301), // Rule ID 6352 //
     /* 152279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 152282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 152286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 152290 */     // (fadd:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2)  =>  (VADDPHZ256rr:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2)
     /* 152290 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPHZ256rr),
     /* 152295 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 152299 */     GIR_RootConstrainSelectedInstOperands,
     /* 152300 */     // GIR_Coverage, 6352,
     /* 152300 */     GIR_Done,
     /* 152301 */   // Label 3312: @152301
     /* 152301 */   GIM_Reject,
     /* 152302 */ // Label 3309: @152302
     /* 152302 */ GIM_Reject,
     /* 152303 */ // Label 3218: @152303
     /* 152303 */ GIM_Try, /*On fail goto*//*Label 3313*/ GIMT_Encode4(152462),
     /* 152308 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 152311 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 152314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 152318 */   GIM_Try, /*On fail goto*//*Label 3314*/ GIMT_Encode4(152376), // Rule ID 24261 //
     /* 152323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 152326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 152330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 152334 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 152337 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 152341 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 152345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 152349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 152351 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 152358 */     // (fadd:{ *:[v16f32] } (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v16f32] }:$src1)  =>  (VADDPSZrm:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 152358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSZrm),
     /* 152361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 152363 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 152365 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 152369 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 152374 */     GIR_RootConstrainSelectedInstOperands,
     /* 152375 */     // GIR_Coverage, 24261,
     /* 152375 */     GIR_EraseRootFromParent_Done,
     /* 152376 */   // Label 3314: @152376
     /* 152376 */   GIM_Try, /*On fail goto*//*Label 3315*/ GIMT_Encode4(152434), // Rule ID 6260 //
     /* 152381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 152384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 152388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 152392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 152396 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 152399 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 152403 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 152407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 152409 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 152416 */     // (fadd:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPSZrm:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 152416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSZrm),
     /* 152419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 152421 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 152423 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 152427 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 152432 */     GIR_RootConstrainSelectedInstOperands,
     /* 152433 */     // GIR_Coverage, 6260,
     /* 152433 */     GIR_EraseRootFromParent_Done,
     /* 152434 */   // Label 3315: @152434
     /* 152434 */   GIM_Try, /*On fail goto*//*Label 3316*/ GIMT_Encode4(152461), // Rule ID 6256 //
     /* 152439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 152442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 152446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 152450 */     // (fadd:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2)  =>  (VADDPSZrr:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2)
     /* 152450 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPSZrr),
     /* 152455 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 152459 */     GIR_RootConstrainSelectedInstOperands,
     /* 152460 */     // GIR_Coverage, 6256,
     /* 152460 */     GIR_Done,
     /* 152461 */   // Label 3316: @152461
     /* 152461 */   GIM_Reject,
     /* 152462 */ // Label 3313: @152462
     /* 152462 */ GIM_Reject,
     /* 152463 */ // Label 3219: @152463
     /* 152463 */ GIM_Try, /*On fail goto*//*Label 3317*/ GIMT_Encode4(152622),
     /* 152468 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 152471 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 152474 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 152478 */   GIM_Try, /*On fail goto*//*Label 3318*/ GIMT_Encode4(152536), // Rule ID 24309 //
     /* 152483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 152486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 152490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 152494 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 152497 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 152501 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 152505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 152509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 152511 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 152518 */     // (fadd:{ *:[v32f16] } (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32f16] }:$src1)  =>  (VADDPHZrm:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 152518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPHZrm),
     /* 152521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 152523 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 152525 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 152529 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 152534 */     GIR_RootConstrainSelectedInstOperands,
     /* 152535 */     // GIR_Coverage, 24309,
     /* 152535 */     GIR_EraseRootFromParent_Done,
     /* 152536 */   // Label 3318: @152536
     /* 152536 */   GIM_Try, /*On fail goto*//*Label 3319*/ GIMT_Encode4(152594), // Rule ID 6332 //
     /* 152541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 152544 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 152548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 152552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 152556 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 152559 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 152563 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 152567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 152569 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 152576 */     // (fadd:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPHZrm:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 152576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPHZrm),
     /* 152579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 152581 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 152583 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 152587 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 152592 */     GIR_RootConstrainSelectedInstOperands,
     /* 152593 */     // GIR_Coverage, 6332,
     /* 152593 */     GIR_EraseRootFromParent_Done,
     /* 152594 */   // Label 3319: @152594
     /* 152594 */   GIM_Try, /*On fail goto*//*Label 3320*/ GIMT_Encode4(152621), // Rule ID 6328 //
     /* 152599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 152602 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 152606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 152610 */     // (fadd:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2)  =>  (VADDPHZrr:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2)
     /* 152610 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPHZrr),
     /* 152615 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 152619 */     GIR_RootConstrainSelectedInstOperands,
     /* 152620 */     // GIR_Coverage, 6328,
     /* 152620 */     GIR_Done,
     /* 152621 */   // Label 3320: @152621
     /* 152621 */   GIM_Reject,
     /* 152622 */ // Label 3317: @152622
     /* 152622 */ GIM_Reject,
     /* 152623 */ // Label 3220: @152623
     /* 152623 */ GIM_Reject,
     /* 152624 */ // Label 42: @152624
     /* 152624 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(23), /*)*//*default:*//*Label 3334*/ GIMT_Encode4(156041),
     /* 152635 */ /*GILLT_s16*//*Label 3321*/ GIMT_Encode4(152719),
     /* 152639 */ /*GILLT_s32*//*Label 3322*/ GIMT_Encode4(152817),
     /* 152643 */ /*GILLT_s64*//*Label 3323*/ GIMT_Encode4(153522),
     /* 152647 */ /*GILLT_s80*//*Label 3324*/ GIMT_Encode4(154371), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 152659 */ /*GILLT_v2s64*//*Label 3325*/ GIMT_Encode4(154693), GIMT_Encode4(0),
     /* 152667 */ /*GILLT_v4s32*//*Label 3326*/ GIMT_Encode4(154923),
     /* 152671 */ /*GILLT_v4s64*//*Label 3327*/ GIMT_Encode4(155153), GIMT_Encode4(0),
     /* 152679 */ /*GILLT_v8s16*//*Label 3328*/ GIMT_Encode4(155352),
     /* 152683 */ /*GILLT_v8s32*//*Label 3329*/ GIMT_Encode4(155450),
     /* 152687 */ /*GILLT_v8s64*//*Label 3330*/ GIMT_Encode4(155649), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 152699 */ /*GILLT_v16s16*//*Label 3331*/ GIMT_Encode4(155747),
     /* 152703 */ /*GILLT_v16s32*//*Label 3332*/ GIMT_Encode4(155845), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 152715 */ /*GILLT_v32s16*//*Label 3333*/ GIMT_Encode4(155943),
     /* 152719 */ // Label 3321: @152719
     /* 152719 */ GIM_Try, /*On fail goto*//*Label 3335*/ GIMT_Encode4(152816),
     /* 152724 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 152727 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 152730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 152734 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 152738 */   GIM_Try, /*On fail goto*//*Label 3336*/ GIMT_Encode4(152792), // Rule ID 6068 //
     /* 152743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 152746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 152750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 152754 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 152757 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 152761 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 152765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 152767 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 152774 */     // (fsub:{ *:[f16] } FR16X:{ *:[f16] }:$src1, (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBSHZrm:{ *:[f16] } FR16X:{ *:[f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 152774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBSHZrm),
     /* 152777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 152779 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 152781 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 152785 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 152790 */     GIR_RootConstrainSelectedInstOperands,
     /* 152791 */     // GIR_Coverage, 6068,
     /* 152791 */     GIR_EraseRootFromParent_Done,
     /* 152792 */   // Label 3336: @152792
     /* 152792 */   GIM_Try, /*On fail goto*//*Label 3337*/ GIMT_Encode4(152815), // Rule ID 6066 //
     /* 152797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 152800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 152804 */     // (fsub:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2)  =>  (VSUBSHZrr:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2)
     /* 152804 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBSHZrr),
     /* 152809 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 152813 */     GIR_RootConstrainSelectedInstOperands,
     /* 152814 */     // GIR_Coverage, 6066,
     /* 152814 */     GIR_Done,
     /* 152815 */   // Label 3337: @152815
     /* 152815 */   GIM_Reject,
     /* 152816 */ // Label 3335: @152816
     /* 152816 */ GIM_Reject,
     /* 152817 */ // Label 3322: @152817
     /* 152817 */ GIM_Try, /*On fail goto*//*Label 3338*/ GIMT_Encode4(153521),
     /* 152822 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 152825 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 152828 */   GIM_Try, /*On fail goto*//*Label 3339*/ GIMT_Encode4(152910), // Rule ID 22472 //
     /* 152833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 152836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 152840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 152844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 152848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 152852 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 152856 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 152860 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 152864 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 152867 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 152871 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 152878 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 152882 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 152884 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 152891 */     // (fsub:{ *:[f32] } FR32:{ *:[f32] }:$src1, (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>))  =>  (SUBSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 152891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUBSSrm),
     /* 152894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 152896 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 152898 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 152902 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 152908 */     GIR_RootConstrainSelectedInstOperands,
     /* 152909 */     // GIR_Coverage, 22472,
     /* 152909 */     GIR_EraseRootFromParent_Done,
     /* 152910 */   // Label 3339: @152910
     /* 152910 */   GIM_Try, /*On fail goto*//*Label 3340*/ GIMT_Encode4(152992), // Rule ID 22473 //
     /* 152915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 152918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 152922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 152926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 152930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 152934 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 152938 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 152942 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 152946 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 152949 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 152953 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 152960 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 152964 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 152966 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 152973 */     // (fsub:{ *:[f32] } FR32:{ *:[f32] }:$src1, (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>))  =>  (VSUBSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 152973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBSSrm),
     /* 152976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 152978 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 152980 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 152984 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 152990 */     GIR_RootConstrainSelectedInstOperands,
     /* 152991 */     // GIR_Coverage, 22473,
     /* 152991 */     GIR_EraseRootFromParent_Done,
     /* 152992 */   // Label 3340: @152992
     /* 152992 */   GIM_Try, /*On fail goto*//*Label 3341*/ GIMT_Encode4(153074), // Rule ID 22474 //
     /* 152997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 153000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 153004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 153008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 153012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 153016 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 153020 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 153024 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 153028 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 153031 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 153035 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 153042 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 153046 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 153048 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 153055 */     // (fsub:{ *:[f32] } FR32X:{ *:[f32] }:$src1, (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>))  =>  (VSUBSSZrm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 153055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBSSZrm),
     /* 153058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153060 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 153062 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 153066 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 153072 */     GIR_RootConstrainSelectedInstOperands,
     /* 153073 */     // GIR_Coverage, 22474,
     /* 153073 */     GIR_EraseRootFromParent_Done,
     /* 153074 */   // Label 3341: @153074
     /* 153074 */   GIM_Try, /*On fail goto*//*Label 3342*/ GIMT_Encode4(153139), // Rule ID 954 //
     /* 153079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 153082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 153086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 153090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 153094 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 153097 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 153101 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 153105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 153109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 153111 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 153118 */     // (fsub:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, RFP32:{ *:[f32] }:$src1)  =>  (SUBR_Fp32m:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 153118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUBR_Fp32m),
     /* 153121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153123 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 153125 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 153129 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 153132 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 153137 */     GIR_RootConstrainSelectedInstOperands,
     /* 153138 */     // GIR_Coverage, 954,
     /* 153138 */     GIR_EraseRootFromParent_Done,
     /* 153139 */   // Label 3342: @153139
     /* 153139 */   GIM_Try, /*On fail goto*//*Label 3343*/ GIMT_Encode4(153204), // Rule ID 932 //
     /* 153144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 153147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 153151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 153155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 153159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 153163 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 153166 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 153170 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 153174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 153176 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 153183 */     // (fsub:{ *:[f32] } RFP32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SUB_Fp32m:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 153183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB_Fp32m),
     /* 153186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153188 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 153190 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 153194 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 153197 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 153202 */     GIR_RootConstrainSelectedInstOperands,
     /* 153203 */     // GIR_Coverage, 932,
     /* 153203 */     GIR_EraseRootFromParent_Done,
     /* 153204 */   // Label 3343: @153204
     /* 153204 */   GIM_Try, /*On fail goto*//*Label 3344*/ GIMT_Encode4(153266), // Rule ID 2240 //
     /* 153209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 153212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 153216 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 153220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 153224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 153228 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 153231 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 153235 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 153239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 153241 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 153248 */     // (fsub:{ *:[f32] } FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 153248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBSSrm),
     /* 153251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153253 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 153255 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 153259 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 153264 */     GIR_RootConstrainSelectedInstOperands,
     /* 153265 */     // GIR_Coverage, 2240,
     /* 153265 */     GIR_EraseRootFromParent_Done,
     /* 153266 */   // Label 3344: @153266
     /* 153266 */   GIM_Try, /*On fail goto*//*Label 3345*/ GIMT_Encode4(153328), // Rule ID 2248 //
     /* 153271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 153274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 153278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 153282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 153286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 153290 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 153293 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 153297 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 153301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 153303 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 153310 */     // (fsub:{ *:[f32] } FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SUBSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 153310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUBSSrm),
     /* 153313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153315 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 153317 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 153321 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 153326 */     GIR_RootConstrainSelectedInstOperands,
     /* 153327 */     // GIR_Coverage, 2248,
     /* 153327 */     GIR_EraseRootFromParent_Done,
     /* 153328 */   // Label 3345: @153328
     /* 153328 */   GIM_Try, /*On fail goto*//*Label 3346*/ GIMT_Encode4(153390), // Rule ID 6030 //
     /* 153333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 153336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 153340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 153344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 153348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 153352 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 153355 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 153359 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 153363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 153365 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 153372 */     // (fsub:{ *:[f32] } FR32X:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBSSZrm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 153372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBSSZrm),
     /* 153375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153377 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 153379 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 153383 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 153388 */     GIR_RootConstrainSelectedInstOperands,
     /* 153389 */     // GIR_Coverage, 6030,
     /* 153389 */     GIR_EraseRootFromParent_Done,
     /* 153390 */   // Label 3346: @153390
     /* 153390 */   GIM_Try, /*On fail goto*//*Label 3347*/ GIMT_Encode4(153427), // Rule ID 892 //
     /* 153395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 153398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 153402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 153406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 153410 */     // (fsub:{ *:[f32] } RFP32:{ *:[f32] }:$src1, RFP32:{ *:[f32] }:$src2)  =>  (SUB_Fp32:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, RFP32:{ *:[f32] }:$src2)
     /* 153410 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUB_Fp32),
     /* 153415 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 153421 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 153425 */     GIR_RootConstrainSelectedInstOperands,
     /* 153426 */     // GIR_Coverage, 892,
     /* 153426 */     GIR_Done,
     /* 153427 */   // Label 3347: @153427
     /* 153427 */   GIM_Try, /*On fail goto*//*Label 3348*/ GIMT_Encode4(153458), // Rule ID 2238 //
     /* 153432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 153435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 153439 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 153443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 153447 */     // (fsub:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)  =>  (VSUBSSrr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)
     /* 153447 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBSSrr),
     /* 153452 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 153456 */     GIR_RootConstrainSelectedInstOperands,
     /* 153457 */     // GIR_Coverage, 2238,
     /* 153457 */     GIR_Done,
     /* 153458 */   // Label 3348: @153458
     /* 153458 */   GIM_Try, /*On fail goto*//*Label 3349*/ GIMT_Encode4(153489), // Rule ID 2246 //
     /* 153463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 153466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 153470 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 153474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 153478 */     // (fsub:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)  =>  (SUBSSrr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)
     /* 153478 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUBSSrr),
     /* 153483 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 153487 */     GIR_RootConstrainSelectedInstOperands,
     /* 153488 */     // GIR_Coverage, 2246,
     /* 153488 */     GIR_Done,
     /* 153489 */   // Label 3349: @153489
     /* 153489 */   GIM_Try, /*On fail goto*//*Label 3350*/ GIMT_Encode4(153520), // Rule ID 6028 //
     /* 153494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 153497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 153501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 153505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 153509 */     // (fsub:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2)  =>  (VSUBSSZrr:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2)
     /* 153509 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBSSZrr),
     /* 153514 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 153518 */     GIR_RootConstrainSelectedInstOperands,
     /* 153519 */     // GIR_Coverage, 6028,
     /* 153519 */     GIR_Done,
     /* 153520 */   // Label 3350: @153520
     /* 153520 */   GIM_Reject,
     /* 153521 */ // Label 3338: @153521
     /* 153521 */ GIM_Reject,
     /* 153522 */ // Label 3323: @153522
     /* 153522 */ GIM_Try, /*On fail goto*//*Label 3351*/ GIMT_Encode4(154370),
     /* 153527 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 153530 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 153533 */   GIM_Try, /*On fail goto*//*Label 3352*/ GIMT_Encode4(153615), // Rule ID 22475 //
     /* 153538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 153541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 153545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 153549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 153553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 153557 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 153561 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 153565 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 153569 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 153572 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 153576 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 153583 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 153587 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 153589 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 153596 */     // (fsub:{ *:[f64] } FR64:{ *:[f64] }:$src1, (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>))  =>  (SUBSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 153596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUBSDrm),
     /* 153599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153601 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 153603 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 153607 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 153613 */     GIR_RootConstrainSelectedInstOperands,
     /* 153614 */     // GIR_Coverage, 22475,
     /* 153614 */     GIR_EraseRootFromParent_Done,
     /* 153615 */   // Label 3352: @153615
     /* 153615 */   GIM_Try, /*On fail goto*//*Label 3353*/ GIMT_Encode4(153697), // Rule ID 22476 //
     /* 153620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 153623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 153627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 153631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 153635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 153639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 153643 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 153647 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 153651 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 153654 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 153658 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 153665 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 153669 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 153671 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 153678 */     // (fsub:{ *:[f64] } FR64:{ *:[f64] }:$src1, (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>))  =>  (VSUBSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 153678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBSDrm),
     /* 153681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153683 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 153685 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 153689 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 153695 */     GIR_RootConstrainSelectedInstOperands,
     /* 153696 */     // GIR_Coverage, 22476,
     /* 153696 */     GIR_EraseRootFromParent_Done,
     /* 153697 */   // Label 3353: @153697
     /* 153697 */   GIM_Try, /*On fail goto*//*Label 3354*/ GIMT_Encode4(153779), // Rule ID 22477 //
     /* 153702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 153705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 153709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 153713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 153717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 153721 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 153725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 153729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 153733 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 153736 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 153740 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 153747 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 153751 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 153753 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 153760 */     // (fsub:{ *:[f64] } FR64X:{ *:[f64] }:$src1, (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>))  =>  (VSUBSDZrm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 153760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBSDZrm),
     /* 153763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153765 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 153767 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 153771 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 153777 */     GIR_RootConstrainSelectedInstOperands,
     /* 153778 */     // GIR_Coverage, 22477,
     /* 153778 */     GIR_EraseRootFromParent_Done,
     /* 153779 */   // Label 3354: @153779
     /* 153779 */   GIM_Try, /*On fail goto*//*Label 3355*/ GIMT_Encode4(153844), // Rule ID 956 //
     /* 153784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 153787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 153791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 153795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 153799 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 153802 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 153806 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 153810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 153814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 153816 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 153823 */     // (fsub:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, RFP64:{ *:[f64] }:$src1)  =>  (SUBR_Fp64m:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 153823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUBR_Fp64m),
     /* 153826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153828 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 153830 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 153834 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 153837 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 153842 */     GIR_RootConstrainSelectedInstOperands,
     /* 153843 */     // GIR_Coverage, 956,
     /* 153843 */     GIR_EraseRootFromParent_Done,
     /* 153844 */   // Label 3355: @153844
     /* 153844 */   GIM_Try, /*On fail goto*//*Label 3356*/ GIMT_Encode4(153916), // Rule ID 958 //
     /* 153849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 153852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 153856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 153860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 153864 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 153867 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 153871 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 153878 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 153882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 153886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 153888 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 153895 */     // (fsub:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>, RFP64:{ *:[f64] }:$src1)  =>  (SUBR_Fp64m32:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 153895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUBR_Fp64m32),
     /* 153898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153900 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 153902 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 153906 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 153909 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 153914 */     GIR_RootConstrainSelectedInstOperands,
     /* 153915 */     // GIR_Coverage, 958,
     /* 153915 */     GIR_EraseRootFromParent_Done,
     /* 153916 */   // Label 3356: @153916
     /* 153916 */   GIM_Try, /*On fail goto*//*Label 3357*/ GIMT_Encode4(153981), // Rule ID 934 //
     /* 153921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 153924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 153928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 153932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 153936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 153940 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 153943 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 153947 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 153951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 153953 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 153960 */     // (fsub:{ *:[f64] } RFP64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SUB_Fp64m:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 153960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB_Fp64m),
     /* 153963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153965 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 153967 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 153971 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 153974 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 153979 */     GIR_RootConstrainSelectedInstOperands,
     /* 153980 */     // GIR_Coverage, 934,
     /* 153980 */     GIR_EraseRootFromParent_Done,
     /* 153981 */   // Label 3357: @153981
     /* 153981 */   GIM_Try, /*On fail goto*//*Label 3358*/ GIMT_Encode4(154053), // Rule ID 936 //
     /* 153986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 153989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 153993 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 153997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 154001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 154005 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 154008 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 154012 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 154019 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 154023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 154025 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 154032 */     // (fsub:{ *:[f64] } RFP64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>)  =>  (SUB_Fp64m32:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 154032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB_Fp64m32),
     /* 154035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154037 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 154039 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 154043 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 154046 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 154051 */     GIR_RootConstrainSelectedInstOperands,
     /* 154052 */     // GIR_Coverage, 936,
     /* 154052 */     GIR_EraseRootFromParent_Done,
     /* 154053 */   // Label 3358: @154053
     /* 154053 */   GIM_Try, /*On fail goto*//*Label 3359*/ GIMT_Encode4(154115), // Rule ID 2244 //
     /* 154058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 154061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 154065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 154069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 154073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 154077 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 154080 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 154084 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 154088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 154090 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 154097 */     // (fsub:{ *:[f64] } FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 154097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBSDrm),
     /* 154100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154102 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 154104 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 154108 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 154113 */     GIR_RootConstrainSelectedInstOperands,
     /* 154114 */     // GIR_Coverage, 2244,
     /* 154114 */     GIR_EraseRootFromParent_Done,
     /* 154115 */   // Label 3359: @154115
     /* 154115 */   GIM_Try, /*On fail goto*//*Label 3360*/ GIMT_Encode4(154177), // Rule ID 2252 //
     /* 154120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 154123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 154127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 154131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 154135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 154139 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 154142 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 154146 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 154150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 154152 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 154159 */     // (fsub:{ *:[f64] } FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SUBSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 154159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUBSDrm),
     /* 154162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154164 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 154166 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 154170 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 154175 */     GIR_RootConstrainSelectedInstOperands,
     /* 154176 */     // GIR_Coverage, 2252,
     /* 154176 */     GIR_EraseRootFromParent_Done,
     /* 154177 */   // Label 3360: @154177
     /* 154177 */   GIM_Try, /*On fail goto*//*Label 3361*/ GIMT_Encode4(154239), // Rule ID 6049 //
     /* 154182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 154185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 154189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 154193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 154197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 154201 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 154204 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 154208 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 154212 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 154214 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 154221 */     // (fsub:{ *:[f64] } FR64X:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBSDZrm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 154221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBSDZrm),
     /* 154224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154226 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 154228 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 154232 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 154237 */     GIR_RootConstrainSelectedInstOperands,
     /* 154238 */     // GIR_Coverage, 6049,
     /* 154238 */     GIR_EraseRootFromParent_Done,
     /* 154239 */   // Label 3361: @154239
     /* 154239 */   GIM_Try, /*On fail goto*//*Label 3362*/ GIMT_Encode4(154276), // Rule ID 894 //
     /* 154244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 154247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 154251 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 154255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 154259 */     // (fsub:{ *:[f64] } RFP64:{ *:[f64] }:$src1, RFP64:{ *:[f64] }:$src2)  =>  (SUB_Fp64:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, RFP64:{ *:[f64] }:$src2)
     /* 154259 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUB_Fp64),
     /* 154264 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 154270 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 154274 */     GIR_RootConstrainSelectedInstOperands,
     /* 154275 */     // GIR_Coverage, 894,
     /* 154275 */     GIR_Done,
     /* 154276 */   // Label 3362: @154276
     /* 154276 */   GIM_Try, /*On fail goto*//*Label 3363*/ GIMT_Encode4(154307), // Rule ID 2242 //
     /* 154281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 154284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 154288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 154292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 154296 */     // (fsub:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)  =>  (VSUBSDrr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)
     /* 154296 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBSDrr),
     /* 154301 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 154305 */     GIR_RootConstrainSelectedInstOperands,
     /* 154306 */     // GIR_Coverage, 2242,
     /* 154306 */     GIR_Done,
     /* 154307 */   // Label 3363: @154307
     /* 154307 */   GIM_Try, /*On fail goto*//*Label 3364*/ GIMT_Encode4(154338), // Rule ID 2250 //
     /* 154312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 154315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 154319 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 154323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 154327 */     // (fsub:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)  =>  (SUBSDrr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)
     /* 154327 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUBSDrr),
     /* 154332 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 154336 */     GIR_RootConstrainSelectedInstOperands,
     /* 154337 */     // GIR_Coverage, 2250,
     /* 154337 */     GIR_Done,
     /* 154338 */   // Label 3364: @154338
     /* 154338 */   GIM_Try, /*On fail goto*//*Label 3365*/ GIMT_Encode4(154369), // Rule ID 6047 //
     /* 154343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 154346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 154350 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 154354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 154358 */     // (fsub:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2)  =>  (VSUBSDZrr:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2)
     /* 154358 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBSDZrr),
     /* 154363 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 154367 */     GIR_RootConstrainSelectedInstOperands,
     /* 154368 */     // GIR_Coverage, 6047,
     /* 154368 */     GIR_Done,
     /* 154369 */   // Label 3365: @154369
     /* 154369 */   GIM_Reject,
     /* 154370 */ // Label 3351: @154370
     /* 154370 */ GIM_Reject,
     /* 154371 */ // Label 3324: @154371
     /* 154371 */ GIM_Try, /*On fail goto*//*Label 3366*/ GIMT_Encode4(154692),
     /* 154376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s80,
     /* 154379 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s80,
     /* 154382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 154386 */   GIM_Try, /*On fail goto*//*Label 3367*/ GIMT_Encode4(154454), // Rule ID 960 //
     /* 154391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 154394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 154398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 154402 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 154405 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 154409 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 154416 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 154420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 154424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 154426 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 154433 */     // (fsub:{ *:[f80] } (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>, RFP80:{ *:[f80] }:$src1)  =>  (SUBR_Fp80m32:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 154433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUBR_Fp80m32),
     /* 154436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154438 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 154440 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 154444 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 154447 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 154452 */     GIR_RootConstrainSelectedInstOperands,
     /* 154453 */     // GIR_Coverage, 960,
     /* 154453 */     GIR_EraseRootFromParent_Done,
     /* 154454 */   // Label 3367: @154454
     /* 154454 */   GIM_Try, /*On fail goto*//*Label 3368*/ GIMT_Encode4(154522), // Rule ID 962 //
     /* 154459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 154462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 154466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 154470 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 154473 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 154477 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 154484 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 154488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 154492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 154494 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 154501 */     // (fsub:{ *:[f80] } (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf64>>, RFP80:{ *:[f80] }:$src1)  =>  (SUBR_Fp80m64:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 154501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUBR_Fp80m64),
     /* 154504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154506 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 154508 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 154512 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 154515 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 154520 */     GIR_RootConstrainSelectedInstOperands,
     /* 154521 */     // GIR_Coverage, 962,
     /* 154521 */     GIR_EraseRootFromParent_Done,
     /* 154522 */   // Label 3368: @154522
     /* 154522 */   GIM_Try, /*On fail goto*//*Label 3369*/ GIMT_Encode4(154590), // Rule ID 938 //
     /* 154527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 154530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 154534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 154538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 154542 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 154545 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 154549 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 154556 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 154560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 154562 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 154569 */     // (fsub:{ *:[f80] } RFP80:{ *:[f80] }:$src1, (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>)  =>  (SUB_Fp80m32:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 154569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB_Fp80m32),
     /* 154572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154574 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 154576 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 154580 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 154583 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 154588 */     GIR_RootConstrainSelectedInstOperands,
     /* 154589 */     // GIR_Coverage, 938,
     /* 154589 */     GIR_EraseRootFromParent_Done,
     /* 154590 */   // Label 3369: @154590
     /* 154590 */   GIM_Try, /*On fail goto*//*Label 3370*/ GIMT_Encode4(154658), // Rule ID 940 //
     /* 154595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 154598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 154602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 154606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 154610 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 154613 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 154617 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 154624 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 154628 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 154630 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 154637 */     // (fsub:{ *:[f80] } RFP80:{ *:[f80] }:$src1, (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf64>>)  =>  (SUB_Fp80m64:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 154637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB_Fp80m64),
     /* 154640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154642 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 154644 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 154648 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 154651 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 154656 */     GIR_RootConstrainSelectedInstOperands,
     /* 154657 */     // GIR_Coverage, 940,
     /* 154657 */     GIR_EraseRootFromParent_Done,
     /* 154658 */   // Label 3370: @154658
     /* 154658 */   GIM_Try, /*On fail goto*//*Label 3371*/ GIMT_Encode4(154691), // Rule ID 896 //
     /* 154663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 154666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 154670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 154674 */     // (fsub:{ *:[f80] } RFP80:{ *:[f80] }:$src1, RFP80:{ *:[f80] }:$src2)  =>  (SUB_Fp80:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, RFP80:{ *:[f80] }:$src2)
     /* 154674 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUB_Fp80),
     /* 154679 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 154685 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 154689 */     GIR_RootConstrainSelectedInstOperands,
     /* 154690 */     // GIR_Coverage, 896,
     /* 154690 */     GIR_Done,
     /* 154691 */   // Label 3371: @154691
     /* 154691 */   GIM_Reject,
     /* 154692 */ // Label 3366: @154692
     /* 154692 */ GIM_Reject,
     /* 154693 */ // Label 3325: @154693
     /* 154693 */ GIM_Try, /*On fail goto*//*Label 3372*/ GIMT_Encode4(154922),
     /* 154698 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 154701 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 154704 */   GIM_Try, /*On fail goto*//*Label 3373*/ GIMT_Encode4(154766), // Rule ID 2220 //
     /* 154709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 154712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 154716 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 154720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 154724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 154728 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 154731 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 154735 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 154739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 154741 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 154748 */     // (fsub:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPDrm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 154748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPDrm),
     /* 154751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154753 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 154755 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 154759 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 154764 */     GIR_RootConstrainSelectedInstOperands,
     /* 154765 */     // GIR_Coverage, 2220,
     /* 154765 */     GIR_EraseRootFromParent_Done,
     /* 154766 */   // Label 3373: @154766
     /* 154766 */   GIM_Try, /*On fail goto*//*Label 3374*/ GIMT_Encode4(154828), // Rule ID 6542 //
     /* 154771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 154774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 154778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 154782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 154786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 154790 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 154793 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 154797 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 154801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 154803 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 154810 */     // (fsub:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPDZ128rm:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 154810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPDZ128rm),
     /* 154813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154815 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 154817 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 154821 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 154826 */     GIR_RootConstrainSelectedInstOperands,
     /* 154827 */     // GIR_Coverage, 6542,
     /* 154827 */     GIR_EraseRootFromParent_Done,
     /* 154828 */   // Label 3374: @154828
     /* 154828 */   GIM_Try, /*On fail goto*//*Label 3375*/ GIMT_Encode4(154859), // Rule ID 2218 //
     /* 154833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 154836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 154840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 154844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 154848 */     // (fsub:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (VSUBPDrr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)
     /* 154848 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPDrr),
     /* 154853 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 154857 */     GIR_RootConstrainSelectedInstOperands,
     /* 154858 */     // GIR_Coverage, 2218,
     /* 154858 */     GIR_Done,
     /* 154859 */   // Label 3375: @154859
     /* 154859 */   GIM_Try, /*On fail goto*//*Label 3376*/ GIMT_Encode4(154890), // Rule ID 2234 //
     /* 154864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 154867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 154871 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 154875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 154879 */     // (fsub:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (SUBPDrr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)
     /* 154879 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUBPDrr),
     /* 154884 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 154888 */     GIR_RootConstrainSelectedInstOperands,
     /* 154889 */     // GIR_Coverage, 2234,
     /* 154889 */     GIR_Done,
     /* 154890 */   // Label 3376: @154890
     /* 154890 */   GIM_Try, /*On fail goto*//*Label 3377*/ GIMT_Encode4(154921), // Rule ID 6538 //
     /* 154895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 154898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 154902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 154906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 154910 */     // (fsub:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2)  =>  (VSUBPDZ128rr:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2)
     /* 154910 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPDZ128rr),
     /* 154915 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 154919 */     GIR_RootConstrainSelectedInstOperands,
     /* 154920 */     // GIR_Coverage, 6538,
     /* 154920 */     GIR_Done,
     /* 154921 */   // Label 3377: @154921
     /* 154921 */   GIM_Reject,
     /* 154922 */ // Label 3372: @154922
     /* 154922 */ GIM_Reject,
     /* 154923 */ // Label 3326: @154923
     /* 154923 */ GIM_Try, /*On fail goto*//*Label 3378*/ GIMT_Encode4(155152),
     /* 154928 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 154931 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 154934 */   GIM_Try, /*On fail goto*//*Label 3379*/ GIMT_Encode4(154996), // Rule ID 2216 //
     /* 154939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 154942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 154946 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 154950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 154954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 154958 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 154961 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 154965 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 154969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 154971 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 154978 */     // (fsub:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPSrm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 154978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPSrm),
     /* 154981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154983 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 154985 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 154989 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 154994 */     GIR_RootConstrainSelectedInstOperands,
     /* 154995 */     // GIR_Coverage, 2216,
     /* 154995 */     GIR_EraseRootFromParent_Done,
     /* 154996 */   // Label 3379: @154996
     /* 154996 */   GIM_Try, /*On fail goto*//*Label 3380*/ GIMT_Encode4(155058), // Rule ID 6518 //
     /* 155001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 155004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 155008 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 155012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 155016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 155020 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 155023 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 155027 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 155031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 155033 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 155040 */     // (fsub:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPSZ128rm:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 155040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPSZ128rm),
     /* 155043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155045 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 155047 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 155051 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 155056 */     GIR_RootConstrainSelectedInstOperands,
     /* 155057 */     // GIR_Coverage, 6518,
     /* 155057 */     GIR_EraseRootFromParent_Done,
     /* 155058 */   // Label 3380: @155058
     /* 155058 */   GIM_Try, /*On fail goto*//*Label 3381*/ GIMT_Encode4(155089), // Rule ID 2214 //
     /* 155063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 155066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 155070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 155074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 155078 */     // (fsub:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (VSUBPSrr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)
     /* 155078 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPSrr),
     /* 155083 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 155087 */     GIR_RootConstrainSelectedInstOperands,
     /* 155088 */     // GIR_Coverage, 2214,
     /* 155088 */     GIR_Done,
     /* 155089 */   // Label 3381: @155089
     /* 155089 */   GIM_Try, /*On fail goto*//*Label 3382*/ GIMT_Encode4(155120), // Rule ID 2230 //
     /* 155094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 155097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 155101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 155105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 155109 */     // (fsub:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (SUBPSrr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)
     /* 155109 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUBPSrr),
     /* 155114 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 155118 */     GIR_RootConstrainSelectedInstOperands,
     /* 155119 */     // GIR_Coverage, 2230,
     /* 155119 */     GIR_Done,
     /* 155120 */   // Label 3382: @155120
     /* 155120 */   GIM_Try, /*On fail goto*//*Label 3383*/ GIMT_Encode4(155151), // Rule ID 6514 //
     /* 155125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 155128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 155132 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 155136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 155140 */     // (fsub:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2)  =>  (VSUBPSZ128rr:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2)
     /* 155140 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPSZ128rr),
     /* 155145 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 155149 */     GIR_RootConstrainSelectedInstOperands,
     /* 155150 */     // GIR_Coverage, 6514,
     /* 155150 */     GIR_Done,
     /* 155151 */   // Label 3383: @155151
     /* 155151 */   GIM_Reject,
     /* 155152 */ // Label 3378: @155152
     /* 155152 */ GIM_Reject,
     /* 155153 */ // Label 3327: @155153
     /* 155153 */ GIM_Try, /*On fail goto*//*Label 3384*/ GIMT_Encode4(155351),
     /* 155158 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 155161 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 155164 */   GIM_Try, /*On fail goto*//*Label 3385*/ GIMT_Encode4(155226), // Rule ID 2228 //
     /* 155169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 155172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 155176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 155180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 155184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 155188 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 155191 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 155195 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 155199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 155201 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 155208 */     // (fsub:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPDYrm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 155208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPDYrm),
     /* 155211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155213 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 155215 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 155219 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 155224 */     GIR_RootConstrainSelectedInstOperands,
     /* 155225 */     // GIR_Coverage, 2228,
     /* 155225 */     GIR_EraseRootFromParent_Done,
     /* 155226 */   // Label 3385: @155226
     /* 155226 */   GIM_Try, /*On fail goto*//*Label 3386*/ GIMT_Encode4(155288), // Rule ID 6554 //
     /* 155231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 155234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 155238 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 155242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 155246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 155250 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 155253 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 155257 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 155261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 155263 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 155270 */     // (fsub:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPDZ256rm:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 155270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPDZ256rm),
     /* 155273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155275 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 155277 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 155281 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 155286 */     GIR_RootConstrainSelectedInstOperands,
     /* 155287 */     // GIR_Coverage, 6554,
     /* 155287 */     GIR_EraseRootFromParent_Done,
     /* 155288 */   // Label 3386: @155288
     /* 155288 */   GIM_Try, /*On fail goto*//*Label 3387*/ GIMT_Encode4(155319), // Rule ID 2226 //
     /* 155293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 155296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 155300 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 155304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 155308 */     // (fsub:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2)  =>  (VSUBPDYrr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2)
     /* 155308 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPDYrr),
     /* 155313 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 155317 */     GIR_RootConstrainSelectedInstOperands,
     /* 155318 */     // GIR_Coverage, 2226,
     /* 155318 */     GIR_Done,
     /* 155319 */   // Label 3387: @155319
     /* 155319 */   GIM_Try, /*On fail goto*//*Label 3388*/ GIMT_Encode4(155350), // Rule ID 6550 //
     /* 155324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 155327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 155331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 155335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 155339 */     // (fsub:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2)  =>  (VSUBPDZ256rr:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2)
     /* 155339 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPDZ256rr),
     /* 155344 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 155348 */     GIR_RootConstrainSelectedInstOperands,
     /* 155349 */     // GIR_Coverage, 6550,
     /* 155349 */     GIR_Done,
     /* 155350 */   // Label 3388: @155350
     /* 155350 */   GIM_Reject,
     /* 155351 */ // Label 3384: @155351
     /* 155351 */ GIM_Reject,
     /* 155352 */ // Label 3328: @155352
     /* 155352 */ GIM_Try, /*On fail goto*//*Label 3389*/ GIMT_Encode4(155449),
     /* 155357 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 155360 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 155363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 155367 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 155371 */   GIM_Try, /*On fail goto*//*Label 3390*/ GIMT_Encode4(155425), // Rule ID 6578 //
     /* 155376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 155379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 155383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 155387 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 155390 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 155394 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 155398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 155400 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 155407 */     // (fsub:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPHZ128rm:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 155407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPHZ128rm),
     /* 155410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155412 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 155414 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 155418 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 155423 */     GIR_RootConstrainSelectedInstOperands,
     /* 155424 */     // GIR_Coverage, 6578,
     /* 155424 */     GIR_EraseRootFromParent_Done,
     /* 155425 */   // Label 3390: @155425
     /* 155425 */   GIM_Try, /*On fail goto*//*Label 3391*/ GIMT_Encode4(155448), // Rule ID 6574 //
     /* 155430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 155433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 155437 */     // (fsub:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2)  =>  (VSUBPHZ128rr:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2)
     /* 155437 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPHZ128rr),
     /* 155442 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 155446 */     GIR_RootConstrainSelectedInstOperands,
     /* 155447 */     // GIR_Coverage, 6574,
     /* 155447 */     GIR_Done,
     /* 155448 */   // Label 3391: @155448
     /* 155448 */   GIM_Reject,
     /* 155449 */ // Label 3389: @155449
     /* 155449 */ GIM_Reject,
     /* 155450 */ // Label 3329: @155450
     /* 155450 */ GIM_Try, /*On fail goto*//*Label 3392*/ GIMT_Encode4(155648),
     /* 155455 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 155458 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 155461 */   GIM_Try, /*On fail goto*//*Label 3393*/ GIMT_Encode4(155523), // Rule ID 2224 //
     /* 155466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 155469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 155473 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 155477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 155481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 155485 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 155488 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 155492 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 155496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 155498 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 155505 */     // (fsub:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPSYrm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 155505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPSYrm),
     /* 155508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155510 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 155512 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 155516 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 155521 */     GIR_RootConstrainSelectedInstOperands,
     /* 155522 */     // GIR_Coverage, 2224,
     /* 155522 */     GIR_EraseRootFromParent_Done,
     /* 155523 */   // Label 3393: @155523
     /* 155523 */   GIM_Try, /*On fail goto*//*Label 3394*/ GIMT_Encode4(155585), // Rule ID 6530 //
     /* 155528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 155531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 155535 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 155539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 155543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 155547 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 155550 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 155554 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 155558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 155560 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 155567 */     // (fsub:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPSZ256rm:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 155567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPSZ256rm),
     /* 155570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155572 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 155574 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 155578 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 155583 */     GIR_RootConstrainSelectedInstOperands,
     /* 155584 */     // GIR_Coverage, 6530,
     /* 155584 */     GIR_EraseRootFromParent_Done,
     /* 155585 */   // Label 3394: @155585
     /* 155585 */   GIM_Try, /*On fail goto*//*Label 3395*/ GIMT_Encode4(155616), // Rule ID 2222 //
     /* 155590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 155593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 155597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 155601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 155605 */     // (fsub:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2)  =>  (VSUBPSYrr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2)
     /* 155605 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPSYrr),
     /* 155610 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 155614 */     GIR_RootConstrainSelectedInstOperands,
     /* 155615 */     // GIR_Coverage, 2222,
     /* 155615 */     GIR_Done,
     /* 155616 */   // Label 3395: @155616
     /* 155616 */   GIM_Try, /*On fail goto*//*Label 3396*/ GIMT_Encode4(155647), // Rule ID 6526 //
     /* 155621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 155624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 155628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 155632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 155636 */     // (fsub:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2)  =>  (VSUBPSZ256rr:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2)
     /* 155636 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPSZ256rr),
     /* 155641 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 155645 */     GIR_RootConstrainSelectedInstOperands,
     /* 155646 */     // GIR_Coverage, 6526,
     /* 155646 */     GIR_Done,
     /* 155647 */   // Label 3396: @155647
     /* 155647 */   GIM_Reject,
     /* 155648 */ // Label 3392: @155648
     /* 155648 */ GIM_Reject,
     /* 155649 */ // Label 3330: @155649
     /* 155649 */ GIM_Try, /*On fail goto*//*Label 3397*/ GIMT_Encode4(155746),
     /* 155654 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 155657 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /* 155660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 155664 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 155668 */   GIM_Try, /*On fail goto*//*Label 3398*/ GIMT_Encode4(155722), // Rule ID 6506 //
     /* 155673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 155676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 155680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 155684 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 155687 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 155691 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 155695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 155697 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 155704 */     // (fsub:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPDZrm:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 155704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPDZrm),
     /* 155707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155709 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 155711 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 155715 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 155720 */     GIR_RootConstrainSelectedInstOperands,
     /* 155721 */     // GIR_Coverage, 6506,
     /* 155721 */     GIR_EraseRootFromParent_Done,
     /* 155722 */   // Label 3398: @155722
     /* 155722 */   GIM_Try, /*On fail goto*//*Label 3399*/ GIMT_Encode4(155745), // Rule ID 6502 //
     /* 155727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 155730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 155734 */     // (fsub:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2)  =>  (VSUBPDZrr:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2)
     /* 155734 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPDZrr),
     /* 155739 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 155743 */     GIR_RootConstrainSelectedInstOperands,
     /* 155744 */     // GIR_Coverage, 6502,
     /* 155744 */     GIR_Done,
     /* 155745 */   // Label 3399: @155745
     /* 155745 */   GIM_Reject,
     /* 155746 */ // Label 3397: @155746
     /* 155746 */ GIM_Reject,
     /* 155747 */ // Label 3331: @155747
     /* 155747 */ GIM_Try, /*On fail goto*//*Label 3400*/ GIMT_Encode4(155844),
     /* 155752 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 155755 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 155758 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 155762 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 155766 */   GIM_Try, /*On fail goto*//*Label 3401*/ GIMT_Encode4(155820), // Rule ID 6590 //
     /* 155771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 155774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 155778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 155782 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 155785 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 155789 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 155793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 155795 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 155802 */     // (fsub:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPHZ256rm:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 155802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPHZ256rm),
     /* 155805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155807 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 155809 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 155813 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 155818 */     GIR_RootConstrainSelectedInstOperands,
     /* 155819 */     // GIR_Coverage, 6590,
     /* 155819 */     GIR_EraseRootFromParent_Done,
     /* 155820 */   // Label 3401: @155820
     /* 155820 */   GIM_Try, /*On fail goto*//*Label 3402*/ GIMT_Encode4(155843), // Rule ID 6586 //
     /* 155825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 155828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 155832 */     // (fsub:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2)  =>  (VSUBPHZ256rr:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2)
     /* 155832 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPHZ256rr),
     /* 155837 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 155841 */     GIR_RootConstrainSelectedInstOperands,
     /* 155842 */     // GIR_Coverage, 6586,
     /* 155842 */     GIR_Done,
     /* 155843 */   // Label 3402: @155843
     /* 155843 */   GIM_Reject,
     /* 155844 */ // Label 3400: @155844
     /* 155844 */ GIM_Reject,
     /* 155845 */ // Label 3332: @155845
     /* 155845 */ GIM_Try, /*On fail goto*//*Label 3403*/ GIMT_Encode4(155942),
     /* 155850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 155853 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 155856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 155860 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 155864 */   GIM_Try, /*On fail goto*//*Label 3404*/ GIMT_Encode4(155918), // Rule ID 6494 //
     /* 155869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 155872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 155876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 155880 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 155883 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 155887 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 155891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 155893 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 155900 */     // (fsub:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPSZrm:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 155900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPSZrm),
     /* 155903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155905 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 155907 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 155911 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 155916 */     GIR_RootConstrainSelectedInstOperands,
     /* 155917 */     // GIR_Coverage, 6494,
     /* 155917 */     GIR_EraseRootFromParent_Done,
     /* 155918 */   // Label 3404: @155918
     /* 155918 */   GIM_Try, /*On fail goto*//*Label 3405*/ GIMT_Encode4(155941), // Rule ID 6490 //
     /* 155923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 155926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 155930 */     // (fsub:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2)  =>  (VSUBPSZrr:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2)
     /* 155930 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPSZrr),
     /* 155935 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 155939 */     GIR_RootConstrainSelectedInstOperands,
     /* 155940 */     // GIR_Coverage, 6490,
     /* 155940 */     GIR_Done,
     /* 155941 */   // Label 3405: @155941
     /* 155941 */   GIM_Reject,
     /* 155942 */ // Label 3403: @155942
     /* 155942 */ GIM_Reject,
     /* 155943 */ // Label 3333: @155943
     /* 155943 */ GIM_Try, /*On fail goto*//*Label 3406*/ GIMT_Encode4(156040),
     /* 155948 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 155951 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 155954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 155958 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 155962 */   GIM_Try, /*On fail goto*//*Label 3407*/ GIMT_Encode4(156016), // Rule ID 6566 //
     /* 155967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 155970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 155974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 155978 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 155981 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 155985 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 155989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 155991 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 155998 */     // (fsub:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPHZrm:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 155998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPHZrm),
     /* 156001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 156003 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 156005 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 156009 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 156014 */     GIR_RootConstrainSelectedInstOperands,
     /* 156015 */     // GIR_Coverage, 6566,
     /* 156015 */     GIR_EraseRootFromParent_Done,
     /* 156016 */   // Label 3407: @156016
     /* 156016 */   GIM_Try, /*On fail goto*//*Label 3408*/ GIMT_Encode4(156039), // Rule ID 6562 //
     /* 156021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 156024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 156028 */     // (fsub:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2)  =>  (VSUBPHZrr:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2)
     /* 156028 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPHZrr),
     /* 156033 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 156037 */     GIR_RootConstrainSelectedInstOperands,
     /* 156038 */     // GIR_Coverage, 6562,
     /* 156038 */     GIR_Done,
     /* 156039 */   // Label 3408: @156039
     /* 156039 */   GIM_Reject,
     /* 156040 */ // Label 3406: @156040
     /* 156040 */ GIM_Reject,
     /* 156041 */ // Label 3334: @156041
     /* 156041 */ GIM_Reject,
     /* 156042 */ // Label 43: @156042
     /* 156042 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(23), /*)*//*default:*//*Label 3422*/ GIMT_Encode4(161191),
     /* 156053 */ /*GILLT_s16*//*Label 3409*/ GIMT_Encode4(156137),
     /* 156057 */ /*GILLT_s32*//*Label 3410*/ GIMT_Encode4(156297),
     /* 156061 */ /*GILLT_s64*//*Label 3411*/ GIMT_Encode4(157434),
     /* 156065 */ /*GILLT_s80*//*Label 3412*/ GIMT_Encode4(158715), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 156077 */ /*GILLT_v2s64*//*Label 3413*/ GIMT_Encode4(159037), GIMT_Encode4(0),
     /* 156085 */ /*GILLT_v4s32*//*Label 3414*/ GIMT_Encode4(159391),
     /* 156089 */ /*GILLT_v4s64*//*Label 3415*/ GIMT_Encode4(159745), GIMT_Encode4(0),
     /* 156097 */ /*GILLT_v8s16*//*Label 3416*/ GIMT_Encode4(160068),
     /* 156101 */ /*GILLT_v8s32*//*Label 3417*/ GIMT_Encode4(160228),
     /* 156105 */ /*GILLT_v8s64*//*Label 3418*/ GIMT_Encode4(160551), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 156117 */ /*GILLT_v16s16*//*Label 3419*/ GIMT_Encode4(160711),
     /* 156121 */ /*GILLT_v16s32*//*Label 3420*/ GIMT_Encode4(160871), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 156133 */ /*GILLT_v32s16*//*Label 3421*/ GIMT_Encode4(161031),
     /* 156137 */ // Label 3409: @156137
     /* 156137 */ GIM_Try, /*On fail goto*//*Label 3423*/ GIMT_Encode4(156296),
     /* 156142 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 156145 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 156148 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 156152 */   GIM_Try, /*On fail goto*//*Label 3424*/ GIMT_Encode4(156210), // Rule ID 24253 //
     /* 156157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 156160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 156164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 156168 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 156171 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 156175 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 156179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 156183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 156185 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 156192 */     // (fmul:{ *:[f16] } (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR16X:{ *:[f16] }:$src1)  =>  (VMULSHZrm:{ *:[f16] } FR16X:{ *:[f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 156192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSHZrm),
     /* 156195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 156197 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 156199 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 156203 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 156208 */     GIR_RootConstrainSelectedInstOperands,
     /* 156209 */     // GIR_Coverage, 24253,
     /* 156209 */     GIR_EraseRootFromParent_Done,
     /* 156210 */   // Label 3424: @156210
     /* 156210 */   GIM_Try, /*On fail goto*//*Label 3425*/ GIMT_Encode4(156268), // Rule ID 6011 //
     /* 156215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 156218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 156222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 156226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 156230 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 156233 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 156237 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 156241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 156243 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 156250 */     // (fmul:{ *:[f16] } FR16X:{ *:[f16] }:$src1, (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULSHZrm:{ *:[f16] } FR16X:{ *:[f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 156250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSHZrm),
     /* 156253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 156255 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 156257 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 156261 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 156266 */     GIR_RootConstrainSelectedInstOperands,
     /* 156267 */     // GIR_Coverage, 6011,
     /* 156267 */     GIR_EraseRootFromParent_Done,
     /* 156268 */   // Label 3425: @156268
     /* 156268 */   GIM_Try, /*On fail goto*//*Label 3426*/ GIMT_Encode4(156295), // Rule ID 6009 //
     /* 156273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 156276 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 156280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 156284 */     // (fmul:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2)  =>  (VMULSHZrr:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2)
     /* 156284 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULSHZrr),
     /* 156289 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 156293 */     GIR_RootConstrainSelectedInstOperands,
     /* 156294 */     // GIR_Coverage, 6009,
     /* 156294 */     GIR_Done,
     /* 156295 */   // Label 3426: @156295
     /* 156295 */   GIM_Reject,
     /* 156296 */ // Label 3423: @156296
     /* 156296 */ GIM_Reject,
     /* 156297 */ // Label 3410: @156297
     /* 156297 */ GIM_Try, /*On fail goto*//*Label 3427*/ GIMT_Encode4(157433),
     /* 156302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 156305 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 156308 */   GIM_Try, /*On fail goto*//*Label 3428*/ GIMT_Encode4(156390), // Rule ID 26021 //
     /* 156313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 156316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 156320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 156324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 156328 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 156332 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 156336 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 156340 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 156343 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 156347 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 156354 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 156358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 156362 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 156364 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 156371 */     // (fmul:{ *:[f32] } (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>), FR32:{ *:[f32] }:$src1)  =>  (MULSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 156371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MULSSrm),
     /* 156374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 156376 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 156378 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 156382 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 156388 */     GIR_RootConstrainSelectedInstOperands,
     /* 156389 */     // GIR_Coverage, 26021,
     /* 156389 */     GIR_EraseRootFromParent_Done,
     /* 156390 */   // Label 3428: @156390
     /* 156390 */   GIM_Try, /*On fail goto*//*Label 3429*/ GIMT_Encode4(156472), // Rule ID 26022 //
     /* 156395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 156398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 156402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 156406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 156410 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 156414 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 156418 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 156422 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 156425 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 156429 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 156436 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 156440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 156444 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 156446 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 156453 */     // (fmul:{ *:[f32] } (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>), FR32:{ *:[f32] }:$src1)  =>  (VMULSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 156453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSSrm),
     /* 156456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 156458 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 156460 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 156464 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 156470 */     GIR_RootConstrainSelectedInstOperands,
     /* 156471 */     // GIR_Coverage, 26022,
     /* 156471 */     GIR_EraseRootFromParent_Done,
     /* 156472 */   // Label 3429: @156472
     /* 156472 */   GIM_Try, /*On fail goto*//*Label 3430*/ GIMT_Encode4(156554), // Rule ID 26023 //
     /* 156477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 156480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 156484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 156488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 156492 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 156496 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 156500 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 156504 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 156507 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 156511 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 156518 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 156522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 156526 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 156528 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 156535 */     // (fmul:{ *:[f32] } (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>), FR32X:{ *:[f32] }:$src1)  =>  (VMULSSZrm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 156535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSSZrm),
     /* 156538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 156540 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 156542 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 156546 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 156552 */     GIR_RootConstrainSelectedInstOperands,
     /* 156553 */     // GIR_Coverage, 26023,
     /* 156553 */     GIR_EraseRootFromParent_Done,
     /* 156554 */   // Label 3430: @156554
     /* 156554 */   GIM_Try, /*On fail goto*//*Label 3431*/ GIMT_Encode4(156636), // Rule ID 22478 //
     /* 156559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 156562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 156566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 156570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 156574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 156578 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 156582 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 156586 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 156590 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 156593 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 156597 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 156604 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 156608 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 156610 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 156617 */     // (fmul:{ *:[f32] } FR32:{ *:[f32] }:$src1, (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>))  =>  (MULSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 156617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MULSSrm),
     /* 156620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 156622 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 156624 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 156628 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 156634 */     GIR_RootConstrainSelectedInstOperands,
     /* 156635 */     // GIR_Coverage, 22478,
     /* 156635 */     GIR_EraseRootFromParent_Done,
     /* 156636 */   // Label 3431: @156636
     /* 156636 */   GIM_Try, /*On fail goto*//*Label 3432*/ GIMT_Encode4(156718), // Rule ID 22479 //
     /* 156641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 156644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 156648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 156652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 156656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 156660 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 156664 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 156668 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 156672 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 156675 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 156679 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 156686 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 156690 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 156692 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 156699 */     // (fmul:{ *:[f32] } FR32:{ *:[f32] }:$src1, (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>))  =>  (VMULSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 156699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSSrm),
     /* 156702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 156704 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 156706 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 156710 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 156716 */     GIR_RootConstrainSelectedInstOperands,
     /* 156717 */     // GIR_Coverage, 22479,
     /* 156717 */     GIR_EraseRootFromParent_Done,
     /* 156718 */   // Label 3432: @156718
     /* 156718 */   GIM_Try, /*On fail goto*//*Label 3433*/ GIMT_Encode4(156800), // Rule ID 22480 //
     /* 156723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 156726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 156730 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 156734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 156738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 156742 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 156746 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 156750 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 156754 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 156757 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 156761 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 156768 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 156772 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 156774 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 156781 */     // (fmul:{ *:[f32] } FR32X:{ *:[f32] }:$src1, (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>))  =>  (VMULSSZrm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 156781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSSZrm),
     /* 156784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 156786 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 156788 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 156792 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 156798 */     GIR_RootConstrainSelectedInstOperands,
     /* 156799 */     // GIR_Coverage, 22480,
     /* 156799 */     GIR_EraseRootFromParent_Done,
     /* 156800 */   // Label 3433: @156800
     /* 156800 */   GIM_Try, /*On fail goto*//*Label 3434*/ GIMT_Encode4(156865), // Rule ID 23256 //
     /* 156805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 156808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 156812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 156816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 156820 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 156823 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 156827 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 156831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 156835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 156837 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 156844 */     // (fmul:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, RFP32:{ *:[f32] }:$src1)  =>  (MUL_Fp32m:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 156844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp32m),
     /* 156847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 156849 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 156851 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 156855 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 156858 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 156863 */     GIR_RootConstrainSelectedInstOperands,
     /* 156864 */     // GIR_Coverage, 23256,
     /* 156864 */     GIR_EraseRootFromParent_Done,
     /* 156865 */   // Label 3434: @156865
     /* 156865 */   GIM_Try, /*On fail goto*//*Label 3435*/ GIMT_Encode4(156927), // Rule ID 23399 //
     /* 156870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 156873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 156877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 156881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 156885 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 156888 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 156892 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 156896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 156900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 156902 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 156909 */     // (fmul:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32:{ *:[f32] }:$src1)  =>  (VMULSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 156909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSSrm),
     /* 156912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 156914 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 156916 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 156920 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 156925 */     GIR_RootConstrainSelectedInstOperands,
     /* 156926 */     // GIR_Coverage, 23399,
     /* 156926 */     GIR_EraseRootFromParent_Done,
     /* 156927 */   // Label 3435: @156927
     /* 156927 */   GIM_Try, /*On fail goto*//*Label 3436*/ GIMT_Encode4(156989), // Rule ID 23403 //
     /* 156932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 156935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 156939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 156943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 156947 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 156950 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 156954 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 156958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 156962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 156964 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 156971 */     // (fmul:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32:{ *:[f32] }:$src1)  =>  (MULSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 156971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MULSSrm),
     /* 156974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 156976 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 156978 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 156982 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 156987 */     GIR_RootConstrainSelectedInstOperands,
     /* 156988 */     // GIR_Coverage, 23403,
     /* 156988 */     GIR_EraseRootFromParent_Done,
     /* 156989 */   // Label 3436: @156989
     /* 156989 */   GIM_Try, /*On fail goto*//*Label 3437*/ GIMT_Encode4(157051), // Rule ID 24249 //
     /* 156994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 156997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 157001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 157005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 157009 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 157012 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 157016 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 157020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 157024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 157026 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 157033 */     // (fmul:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32X:{ *:[f32] }:$src1)  =>  (VMULSSZrm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 157033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSSZrm),
     /* 157036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157038 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 157040 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 157044 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 157049 */     GIR_RootConstrainSelectedInstOperands,
     /* 157050 */     // GIR_Coverage, 24249,
     /* 157050 */     GIR_EraseRootFromParent_Done,
     /* 157051 */   // Label 3437: @157051
     /* 157051 */   GIM_Try, /*On fail goto*//*Label 3438*/ GIMT_Encode4(157116), // Rule ID 976 //
     /* 157056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 157059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 157063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 157067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 157071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 157075 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 157078 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 157082 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 157086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 157088 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 157095 */     // (fmul:{ *:[f32] } RFP32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (MUL_Fp32m:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 157095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp32m),
     /* 157098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157100 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 157102 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 157106 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 157109 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 157114 */     GIR_RootConstrainSelectedInstOperands,
     /* 157115 */     // GIR_Coverage, 976,
     /* 157115 */     GIR_EraseRootFromParent_Done,
     /* 157116 */   // Label 3438: @157116
     /* 157116 */   GIM_Try, /*On fail goto*//*Label 3439*/ GIMT_Encode4(157178), // Rule ID 2200 //
     /* 157121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 157124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 157128 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 157132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 157136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 157140 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 157143 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 157147 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 157151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 157153 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 157160 */     // (fmul:{ *:[f32] } FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 157160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSSrm),
     /* 157163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157165 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 157167 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 157171 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 157176 */     GIR_RootConstrainSelectedInstOperands,
     /* 157177 */     // GIR_Coverage, 2200,
     /* 157177 */     GIR_EraseRootFromParent_Done,
     /* 157178 */   // Label 3439: @157178
     /* 157178 */   GIM_Try, /*On fail goto*//*Label 3440*/ GIMT_Encode4(157240), // Rule ID 2208 //
     /* 157183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 157186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 157190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 157194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 157198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 157202 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 157205 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 157209 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 157213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 157215 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 157222 */     // (fmul:{ *:[f32] } FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (MULSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 157222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MULSSrm),
     /* 157225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157227 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 157229 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 157233 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 157238 */     GIR_RootConstrainSelectedInstOperands,
     /* 157239 */     // GIR_Coverage, 2208,
     /* 157239 */     GIR_EraseRootFromParent_Done,
     /* 157240 */   // Label 3440: @157240
     /* 157240 */   GIM_Try, /*On fail goto*//*Label 3441*/ GIMT_Encode4(157302), // Rule ID 5973 //
     /* 157245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 157248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 157252 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 157256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 157260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 157264 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 157267 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 157271 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 157275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 157277 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 157284 */     // (fmul:{ *:[f32] } FR32X:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULSSZrm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 157284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSSZrm),
     /* 157287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157289 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 157291 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 157295 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 157300 */     GIR_RootConstrainSelectedInstOperands,
     /* 157301 */     // GIR_Coverage, 5973,
     /* 157301 */     GIR_EraseRootFromParent_Done,
     /* 157302 */   // Label 3441: @157302
     /* 157302 */   GIM_Try, /*On fail goto*//*Label 3442*/ GIMT_Encode4(157339), // Rule ID 898 //
     /* 157307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 157310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 157314 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 157318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 157322 */     // (fmul:{ *:[f32] } RFP32:{ *:[f32] }:$src1, RFP32:{ *:[f32] }:$src2)  =>  (MUL_Fp32:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, RFP32:{ *:[f32] }:$src2)
     /* 157322 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MUL_Fp32),
     /* 157327 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 157333 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 157337 */     GIR_RootConstrainSelectedInstOperands,
     /* 157338 */     // GIR_Coverage, 898,
     /* 157338 */     GIR_Done,
     /* 157339 */   // Label 3442: @157339
     /* 157339 */   GIM_Try, /*On fail goto*//*Label 3443*/ GIMT_Encode4(157370), // Rule ID 2198 //
     /* 157344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 157347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 157351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 157355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 157359 */     // (fmul:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)  =>  (VMULSSrr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)
     /* 157359 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULSSrr),
     /* 157364 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 157368 */     GIR_RootConstrainSelectedInstOperands,
     /* 157369 */     // GIR_Coverage, 2198,
     /* 157369 */     GIR_Done,
     /* 157370 */   // Label 3443: @157370
     /* 157370 */   GIM_Try, /*On fail goto*//*Label 3444*/ GIMT_Encode4(157401), // Rule ID 2206 //
     /* 157375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 157378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 157382 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 157386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 157390 */     // (fmul:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)  =>  (MULSSrr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)
     /* 157390 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MULSSrr),
     /* 157395 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 157399 */     GIR_RootConstrainSelectedInstOperands,
     /* 157400 */     // GIR_Coverage, 2206,
     /* 157400 */     GIR_Done,
     /* 157401 */   // Label 3444: @157401
     /* 157401 */   GIM_Try, /*On fail goto*//*Label 3445*/ GIMT_Encode4(157432), // Rule ID 5971 //
     /* 157406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 157409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 157413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 157417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 157421 */     // (fmul:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2)  =>  (VMULSSZrr:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2)
     /* 157421 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULSSZrr),
     /* 157426 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 157430 */     GIR_RootConstrainSelectedInstOperands,
     /* 157431 */     // GIR_Coverage, 5971,
     /* 157431 */     GIR_Done,
     /* 157432 */   // Label 3445: @157432
     /* 157432 */   GIM_Reject,
     /* 157433 */ // Label 3427: @157433
     /* 157433 */ GIM_Reject,
     /* 157434 */ // Label 3411: @157434
     /* 157434 */ GIM_Try, /*On fail goto*//*Label 3446*/ GIMT_Encode4(158714),
     /* 157439 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 157442 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 157445 */   GIM_Try, /*On fail goto*//*Label 3447*/ GIMT_Encode4(157527), // Rule ID 26024 //
     /* 157450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 157453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 157457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 157461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 157465 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 157469 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 157473 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 157477 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 157480 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 157484 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 157491 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 157495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 157499 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 157501 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 157508 */     // (fmul:{ *:[f64] } (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>), FR64:{ *:[f64] }:$src1)  =>  (MULSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 157508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MULSDrm),
     /* 157511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157513 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 157515 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 157519 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 157525 */     GIR_RootConstrainSelectedInstOperands,
     /* 157526 */     // GIR_Coverage, 26024,
     /* 157526 */     GIR_EraseRootFromParent_Done,
     /* 157527 */   // Label 3447: @157527
     /* 157527 */   GIM_Try, /*On fail goto*//*Label 3448*/ GIMT_Encode4(157609), // Rule ID 26025 //
     /* 157532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 157535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 157539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 157543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 157547 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 157551 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 157555 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 157559 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 157562 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 157566 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 157573 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 157577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 157581 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 157583 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 157590 */     // (fmul:{ *:[f64] } (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>), FR64:{ *:[f64] }:$src1)  =>  (VMULSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 157590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSDrm),
     /* 157593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157595 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 157597 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 157601 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 157607 */     GIR_RootConstrainSelectedInstOperands,
     /* 157608 */     // GIR_Coverage, 26025,
     /* 157608 */     GIR_EraseRootFromParent_Done,
     /* 157609 */   // Label 3448: @157609
     /* 157609 */   GIM_Try, /*On fail goto*//*Label 3449*/ GIMT_Encode4(157691), // Rule ID 26026 //
     /* 157614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 157617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 157621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 157625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 157629 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 157633 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 157637 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 157641 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 157644 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 157648 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 157655 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 157659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 157663 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 157665 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 157672 */     // (fmul:{ *:[f64] } (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>), FR64X:{ *:[f64] }:$src1)  =>  (VMULSDZrm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 157672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSDZrm),
     /* 157675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157677 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 157679 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 157683 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 157689 */     GIR_RootConstrainSelectedInstOperands,
     /* 157690 */     // GIR_Coverage, 26026,
     /* 157690 */     GIR_EraseRootFromParent_Done,
     /* 157691 */   // Label 3449: @157691
     /* 157691 */   GIM_Try, /*On fail goto*//*Label 3450*/ GIMT_Encode4(157773), // Rule ID 22481 //
     /* 157696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 157699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 157703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 157707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 157711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 157715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 157719 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 157723 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 157727 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 157730 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 157734 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 157741 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 157745 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 157747 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 157754 */     // (fmul:{ *:[f64] } FR64:{ *:[f64] }:$src1, (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>))  =>  (MULSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 157754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MULSDrm),
     /* 157757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157759 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 157761 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 157765 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 157771 */     GIR_RootConstrainSelectedInstOperands,
     /* 157772 */     // GIR_Coverage, 22481,
     /* 157772 */     GIR_EraseRootFromParent_Done,
     /* 157773 */   // Label 3450: @157773
     /* 157773 */   GIM_Try, /*On fail goto*//*Label 3451*/ GIMT_Encode4(157855), // Rule ID 22482 //
     /* 157778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 157781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 157785 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 157789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 157793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 157797 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 157801 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 157805 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 157809 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 157812 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 157816 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 157823 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 157827 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 157829 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 157836 */     // (fmul:{ *:[f64] } FR64:{ *:[f64] }:$src1, (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>))  =>  (VMULSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 157836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSDrm),
     /* 157839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157841 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 157843 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 157847 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 157853 */     GIR_RootConstrainSelectedInstOperands,
     /* 157854 */     // GIR_Coverage, 22482,
     /* 157854 */     GIR_EraseRootFromParent_Done,
     /* 157855 */   // Label 3451: @157855
     /* 157855 */   GIM_Try, /*On fail goto*//*Label 3452*/ GIMT_Encode4(157937), // Rule ID 22483 //
     /* 157860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 157863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 157867 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 157871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 157875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 157879 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 157883 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 157887 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 157891 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 157894 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 157898 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 157905 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 157909 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 157911 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 157918 */     // (fmul:{ *:[f64] } FR64X:{ *:[f64] }:$src1, (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>))  =>  (VMULSDZrm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 157918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSDZrm),
     /* 157921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157923 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 157925 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 157929 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 157935 */     GIR_RootConstrainSelectedInstOperands,
     /* 157936 */     // GIR_Coverage, 22483,
     /* 157936 */     GIR_EraseRootFromParent_Done,
     /* 157937 */   // Label 3452: @157937
     /* 157937 */   GIM_Try, /*On fail goto*//*Label 3453*/ GIMT_Encode4(158002), // Rule ID 23258 //
     /* 157942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 157945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 157949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 157953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 157957 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 157960 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 157964 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 157968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 157972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 157974 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 157981 */     // (fmul:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, RFP64:{ *:[f64] }:$src1)  =>  (MUL_Fp64m:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 157981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp64m),
     /* 157984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157986 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 157988 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 157992 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 157995 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 158000 */     GIR_RootConstrainSelectedInstOperands,
     /* 158001 */     // GIR_Coverage, 23258,
     /* 158001 */     GIR_EraseRootFromParent_Done,
     /* 158002 */   // Label 3453: @158002
     /* 158002 */   GIM_Try, /*On fail goto*//*Label 3454*/ GIMT_Encode4(158074), // Rule ID 23260 //
     /* 158007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 158010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 158014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 158018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 158022 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 158025 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 158029 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 158036 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 158040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 158044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 158046 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 158053 */     // (fmul:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>, RFP64:{ *:[f64] }:$src1)  =>  (MUL_Fp64m32:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 158053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp64m32),
     /* 158056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 158058 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 158060 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 158064 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 158067 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 158072 */     GIR_RootConstrainSelectedInstOperands,
     /* 158073 */     // GIR_Coverage, 23260,
     /* 158073 */     GIR_EraseRootFromParent_Done,
     /* 158074 */   // Label 3454: @158074
     /* 158074 */   GIM_Try, /*On fail goto*//*Label 3455*/ GIMT_Encode4(158136), // Rule ID 23401 //
     /* 158079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 158082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 158086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 158090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 158094 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 158097 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 158101 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 158105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 158109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 158111 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 158118 */     // (fmul:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64:{ *:[f64] }:$src1)  =>  (VMULSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 158118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSDrm),
     /* 158121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 158123 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 158125 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 158129 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 158134 */     GIR_RootConstrainSelectedInstOperands,
     /* 158135 */     // GIR_Coverage, 23401,
     /* 158135 */     GIR_EraseRootFromParent_Done,
     /* 158136 */   // Label 3455: @158136
     /* 158136 */   GIM_Try, /*On fail goto*//*Label 3456*/ GIMT_Encode4(158198), // Rule ID 23405 //
     /* 158141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 158144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 158148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 158152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 158156 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 158159 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 158163 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 158167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 158171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 158173 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 158180 */     // (fmul:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64:{ *:[f64] }:$src1)  =>  (MULSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 158180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MULSDrm),
     /* 158183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 158185 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 158187 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 158191 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 158196 */     GIR_RootConstrainSelectedInstOperands,
     /* 158197 */     // GIR_Coverage, 23405,
     /* 158197 */     GIR_EraseRootFromParent_Done,
     /* 158198 */   // Label 3456: @158198
     /* 158198 */   GIM_Try, /*On fail goto*//*Label 3457*/ GIMT_Encode4(158260), // Rule ID 24251 //
     /* 158203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 158206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 158210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 158214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 158218 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 158221 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 158225 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 158229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 158233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 158235 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 158242 */     // (fmul:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64X:{ *:[f64] }:$src1)  =>  (VMULSDZrm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 158242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSDZrm),
     /* 158245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 158247 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 158249 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 158253 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 158258 */     GIR_RootConstrainSelectedInstOperands,
     /* 158259 */     // GIR_Coverage, 24251,
     /* 158259 */     GIR_EraseRootFromParent_Done,
     /* 158260 */   // Label 3457: @158260
     /* 158260 */   GIM_Try, /*On fail goto*//*Label 3458*/ GIMT_Encode4(158325), // Rule ID 978 //
     /* 158265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 158268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 158272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 158276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 158280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 158284 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 158287 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 158291 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 158295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 158297 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 158304 */     // (fmul:{ *:[f64] } RFP64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (MUL_Fp64m:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 158304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp64m),
     /* 158307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 158309 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 158311 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 158315 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 158318 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 158323 */     GIR_RootConstrainSelectedInstOperands,
     /* 158324 */     // GIR_Coverage, 978,
     /* 158324 */     GIR_EraseRootFromParent_Done,
     /* 158325 */   // Label 3458: @158325
     /* 158325 */   GIM_Try, /*On fail goto*//*Label 3459*/ GIMT_Encode4(158397), // Rule ID 980 //
     /* 158330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 158333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 158337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 158341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 158345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 158349 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 158352 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 158356 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 158363 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 158367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 158369 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 158376 */     // (fmul:{ *:[f64] } RFP64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>)  =>  (MUL_Fp64m32:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 158376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp64m32),
     /* 158379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 158381 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 158383 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 158387 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 158390 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 158395 */     GIR_RootConstrainSelectedInstOperands,
     /* 158396 */     // GIR_Coverage, 980,
     /* 158396 */     GIR_EraseRootFromParent_Done,
     /* 158397 */   // Label 3459: @158397
     /* 158397 */   GIM_Try, /*On fail goto*//*Label 3460*/ GIMT_Encode4(158459), // Rule ID 2204 //
     /* 158402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 158405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 158409 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 158413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 158417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 158421 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 158424 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 158428 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 158432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 158434 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 158441 */     // (fmul:{ *:[f64] } FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 158441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSDrm),
     /* 158444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 158446 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 158448 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 158452 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 158457 */     GIR_RootConstrainSelectedInstOperands,
     /* 158458 */     // GIR_Coverage, 2204,
     /* 158458 */     GIR_EraseRootFromParent_Done,
     /* 158459 */   // Label 3460: @158459
     /* 158459 */   GIM_Try, /*On fail goto*//*Label 3461*/ GIMT_Encode4(158521), // Rule ID 2212 //
     /* 158464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 158467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 158471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 158475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 158479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 158483 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 158486 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 158490 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 158494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 158496 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 158503 */     // (fmul:{ *:[f64] } FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (MULSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 158503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MULSDrm),
     /* 158506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 158508 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 158510 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 158514 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 158519 */     GIR_RootConstrainSelectedInstOperands,
     /* 158520 */     // GIR_Coverage, 2212,
     /* 158520 */     GIR_EraseRootFromParent_Done,
     /* 158521 */   // Label 3461: @158521
     /* 158521 */   GIM_Try, /*On fail goto*//*Label 3462*/ GIMT_Encode4(158583), // Rule ID 5992 //
     /* 158526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 158529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 158533 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 158537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 158541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 158545 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 158548 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 158552 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 158556 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 158558 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 158565 */     // (fmul:{ *:[f64] } FR64X:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULSDZrm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 158565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSDZrm),
     /* 158568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 158570 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 158572 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 158576 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 158581 */     GIR_RootConstrainSelectedInstOperands,
     /* 158582 */     // GIR_Coverage, 5992,
     /* 158582 */     GIR_EraseRootFromParent_Done,
     /* 158583 */   // Label 3462: @158583
     /* 158583 */   GIM_Try, /*On fail goto*//*Label 3463*/ GIMT_Encode4(158620), // Rule ID 900 //
     /* 158588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 158591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 158595 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 158599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 158603 */     // (fmul:{ *:[f64] } RFP64:{ *:[f64] }:$src1, RFP64:{ *:[f64] }:$src2)  =>  (MUL_Fp64:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, RFP64:{ *:[f64] }:$src2)
     /* 158603 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MUL_Fp64),
     /* 158608 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 158614 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 158618 */     GIR_RootConstrainSelectedInstOperands,
     /* 158619 */     // GIR_Coverage, 900,
     /* 158619 */     GIR_Done,
     /* 158620 */   // Label 3463: @158620
     /* 158620 */   GIM_Try, /*On fail goto*//*Label 3464*/ GIMT_Encode4(158651), // Rule ID 2202 //
     /* 158625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 158628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 158632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 158636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 158640 */     // (fmul:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)  =>  (VMULSDrr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)
     /* 158640 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULSDrr),
     /* 158645 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 158649 */     GIR_RootConstrainSelectedInstOperands,
     /* 158650 */     // GIR_Coverage, 2202,
     /* 158650 */     GIR_Done,
     /* 158651 */   // Label 3464: @158651
     /* 158651 */   GIM_Try, /*On fail goto*//*Label 3465*/ GIMT_Encode4(158682), // Rule ID 2210 //
     /* 158656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 158659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 158663 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 158667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 158671 */     // (fmul:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)  =>  (MULSDrr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)
     /* 158671 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MULSDrr),
     /* 158676 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 158680 */     GIR_RootConstrainSelectedInstOperands,
     /* 158681 */     // GIR_Coverage, 2210,
     /* 158681 */     GIR_Done,
     /* 158682 */   // Label 3465: @158682
     /* 158682 */   GIM_Try, /*On fail goto*//*Label 3466*/ GIMT_Encode4(158713), // Rule ID 5990 //
     /* 158687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 158690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 158694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 158698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 158702 */     // (fmul:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2)  =>  (VMULSDZrr:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2)
     /* 158702 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULSDZrr),
     /* 158707 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 158711 */     GIR_RootConstrainSelectedInstOperands,
     /* 158712 */     // GIR_Coverage, 5990,
     /* 158712 */     GIR_Done,
     /* 158713 */   // Label 3466: @158713
     /* 158713 */   GIM_Reject,
     /* 158714 */ // Label 3446: @158714
     /* 158714 */ GIM_Reject,
     /* 158715 */ // Label 3412: @158715
     /* 158715 */ GIM_Try, /*On fail goto*//*Label 3467*/ GIMT_Encode4(159036),
     /* 158720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s80,
     /* 158723 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s80,
     /* 158726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 158730 */   GIM_Try, /*On fail goto*//*Label 3468*/ GIMT_Encode4(158798), // Rule ID 23262 //
     /* 158735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 158738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 158742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 158746 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 158749 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 158753 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 158760 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 158764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 158768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 158770 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 158777 */     // (fmul:{ *:[f80] } (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>, RFP80:{ *:[f80] }:$src1)  =>  (MUL_Fp80m32:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 158777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp80m32),
     /* 158780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 158782 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 158784 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 158788 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 158791 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 158796 */     GIR_RootConstrainSelectedInstOperands,
     /* 158797 */     // GIR_Coverage, 23262,
     /* 158797 */     GIR_EraseRootFromParent_Done,
     /* 158798 */   // Label 3468: @158798
     /* 158798 */   GIM_Try, /*On fail goto*//*Label 3469*/ GIMT_Encode4(158866), // Rule ID 23264 //
     /* 158803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 158806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 158810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 158814 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 158817 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 158821 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 158828 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 158832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 158836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 158838 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 158845 */     // (fmul:{ *:[f80] } (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf64>>, RFP80:{ *:[f80] }:$src1)  =>  (MUL_Fp80m64:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 158845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp80m64),
     /* 158848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 158850 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 158852 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 158856 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 158859 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 158864 */     GIR_RootConstrainSelectedInstOperands,
     /* 158865 */     // GIR_Coverage, 23264,
     /* 158865 */     GIR_EraseRootFromParent_Done,
     /* 158866 */   // Label 3469: @158866
     /* 158866 */   GIM_Try, /*On fail goto*//*Label 3470*/ GIMT_Encode4(158934), // Rule ID 982 //
     /* 158871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 158874 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 158878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 158882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 158886 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 158889 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 158893 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 158900 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 158904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 158906 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 158913 */     // (fmul:{ *:[f80] } RFP80:{ *:[f80] }:$src1, (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>)  =>  (MUL_Fp80m32:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 158913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp80m32),
     /* 158916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 158918 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 158920 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 158924 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 158927 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 158932 */     GIR_RootConstrainSelectedInstOperands,
     /* 158933 */     // GIR_Coverage, 982,
     /* 158933 */     GIR_EraseRootFromParent_Done,
     /* 158934 */   // Label 3470: @158934
     /* 158934 */   GIM_Try, /*On fail goto*//*Label 3471*/ GIMT_Encode4(159002), // Rule ID 984 //
     /* 158939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 158942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 158946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 158950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 158954 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 158957 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 158961 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 158968 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 158972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 158974 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 158981 */     // (fmul:{ *:[f80] } RFP80:{ *:[f80] }:$src1, (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf64>>)  =>  (MUL_Fp80m64:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 158981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp80m64),
     /* 158984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 158986 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 158988 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 158992 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 158995 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 159000 */     GIR_RootConstrainSelectedInstOperands,
     /* 159001 */     // GIR_Coverage, 984,
     /* 159001 */     GIR_EraseRootFromParent_Done,
     /* 159002 */   // Label 3471: @159002
     /* 159002 */   GIM_Try, /*On fail goto*//*Label 3472*/ GIMT_Encode4(159035), // Rule ID 902 //
     /* 159007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 159010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 159014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 159018 */     // (fmul:{ *:[f80] } RFP80:{ *:[f80] }:$src1, RFP80:{ *:[f80] }:$src2)  =>  (MUL_Fp80:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, RFP80:{ *:[f80] }:$src2)
     /* 159018 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MUL_Fp80),
     /* 159023 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 159029 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 159033 */     GIR_RootConstrainSelectedInstOperands,
     /* 159034 */     // GIR_Coverage, 902,
     /* 159034 */     GIR_Done,
     /* 159035 */   // Label 3472: @159035
     /* 159035 */   GIM_Reject,
     /* 159036 */ // Label 3467: @159036
     /* 159036 */ GIM_Reject,
     /* 159037 */ // Label 3413: @159037
     /* 159037 */ GIM_Try, /*On fail goto*//*Label 3473*/ GIMT_Encode4(159390),
     /* 159042 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 159045 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 159048 */   GIM_Try, /*On fail goto*//*Label 3474*/ GIMT_Encode4(159110), // Rule ID 23389 //
     /* 159053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 159056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 159060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 159064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 159068 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 159071 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 159075 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 159079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 159083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159085 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 159092 */     // (fmul:{ *:[v2f64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2f64] }:$src1)  =>  (VMULPDrm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 159092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDrm),
     /* 159095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159097 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 159099 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 159103 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 159108 */     GIR_RootConstrainSelectedInstOperands,
     /* 159109 */     // GIR_Coverage, 23389,
     /* 159109 */     GIR_EraseRootFromParent_Done,
     /* 159110 */   // Label 3474: @159110
     /* 159110 */   GIM_Try, /*On fail goto*//*Label 3475*/ GIMT_Encode4(159172), // Rule ID 24365 //
     /* 159115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 159118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 159122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 159126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 159130 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 159133 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 159137 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 159141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 159145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159147 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 159154 */     // (fmul:{ *:[v2f64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v2f64] }:$src1)  =>  (VMULPDZ128rm:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 159154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDZ128rm),
     /* 159157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159159 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 159161 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 159165 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 159170 */     GIR_RootConstrainSelectedInstOperands,
     /* 159171 */     // GIR_Coverage, 24365,
     /* 159171 */     GIR_EraseRootFromParent_Done,
     /* 159172 */   // Label 3475: @159172
     /* 159172 */   GIM_Try, /*On fail goto*//*Label 3476*/ GIMT_Encode4(159234), // Rule ID 2180 //
     /* 159177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 159180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 159184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 159188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 159192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 159196 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 159199 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 159203 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 159207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159209 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 159216 */     // (fmul:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPDrm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 159216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDrm),
     /* 159219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159221 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 159223 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 159227 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 159232 */     GIR_RootConstrainSelectedInstOperands,
     /* 159233 */     // GIR_Coverage, 2180,
     /* 159233 */     GIR_EraseRootFromParent_Done,
     /* 159234 */   // Label 3476: @159234
     /* 159234 */   GIM_Try, /*On fail goto*//*Label 3477*/ GIMT_Encode4(159296), // Rule ID 6425 //
     /* 159239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 159242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 159246 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 159250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 159254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 159258 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 159261 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 159265 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 159269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159271 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 159278 */     // (fmul:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPDZ128rm:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 159278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDZ128rm),
     /* 159281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159283 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 159285 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 159289 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 159294 */     GIR_RootConstrainSelectedInstOperands,
     /* 159295 */     // GIR_Coverage, 6425,
     /* 159295 */     GIR_EraseRootFromParent_Done,
     /* 159296 */   // Label 3477: @159296
     /* 159296 */   GIM_Try, /*On fail goto*//*Label 3478*/ GIMT_Encode4(159327), // Rule ID 2178 //
     /* 159301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 159304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 159308 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 159312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 159316 */     // (fmul:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (VMULPDrr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)
     /* 159316 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPDrr),
     /* 159321 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 159325 */     GIR_RootConstrainSelectedInstOperands,
     /* 159326 */     // GIR_Coverage, 2178,
     /* 159326 */     GIR_Done,
     /* 159327 */   // Label 3478: @159327
     /* 159327 */   GIM_Try, /*On fail goto*//*Label 3479*/ GIMT_Encode4(159358), // Rule ID 2194 //
     /* 159332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 159335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 159339 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 159343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 159347 */     // (fmul:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (MULPDrr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)
     /* 159347 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MULPDrr),
     /* 159352 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 159356 */     GIR_RootConstrainSelectedInstOperands,
     /* 159357 */     // GIR_Coverage, 2194,
     /* 159357 */     GIR_Done,
     /* 159358 */   // Label 3479: @159358
     /* 159358 */   GIM_Try, /*On fail goto*//*Label 3480*/ GIMT_Encode4(159389), // Rule ID 6421 //
     /* 159363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 159366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 159370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 159374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 159378 */     // (fmul:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2)  =>  (VMULPDZ128rr:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2)
     /* 159378 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPDZ128rr),
     /* 159383 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 159387 */     GIR_RootConstrainSelectedInstOperands,
     /* 159388 */     // GIR_Coverage, 6421,
     /* 159388 */     GIR_Done,
     /* 159389 */   // Label 3480: @159389
     /* 159389 */   GIM_Reject,
     /* 159390 */ // Label 3473: @159390
     /* 159390 */ GIM_Reject,
     /* 159391 */ // Label 3414: @159391
     /* 159391 */ GIM_Try, /*On fail goto*//*Label 3481*/ GIMT_Encode4(159744),
     /* 159396 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 159399 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 159402 */   GIM_Try, /*On fail goto*//*Label 3482*/ GIMT_Encode4(159464), // Rule ID 23387 //
     /* 159407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 159410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 159414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 159418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 159422 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 159425 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 159429 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 159433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 159437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159439 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 159446 */     // (fmul:{ *:[v4f32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4f32] }:$src1)  =>  (VMULPSrm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 159446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSrm),
     /* 159449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159451 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 159453 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 159457 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 159462 */     GIR_RootConstrainSelectedInstOperands,
     /* 159463 */     // GIR_Coverage, 23387,
     /* 159463 */     GIR_EraseRootFromParent_Done,
     /* 159464 */   // Label 3482: @159464
     /* 159464 */   GIM_Try, /*On fail goto*//*Label 3483*/ GIMT_Encode4(159526), // Rule ID 24349 //
     /* 159469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 159472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 159476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 159480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 159484 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 159487 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 159491 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 159495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 159499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159501 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 159508 */     // (fmul:{ *:[v4f32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v4f32] }:$src1)  =>  (VMULPSZ128rm:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 159508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSZ128rm),
     /* 159511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159513 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 159515 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 159519 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 159524 */     GIR_RootConstrainSelectedInstOperands,
     /* 159525 */     // GIR_Coverage, 24349,
     /* 159525 */     GIR_EraseRootFromParent_Done,
     /* 159526 */   // Label 3483: @159526
     /* 159526 */   GIM_Try, /*On fail goto*//*Label 3484*/ GIMT_Encode4(159588), // Rule ID 2176 //
     /* 159531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 159534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 159538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 159542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 159546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 159550 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 159553 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 159557 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 159561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159563 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 159570 */     // (fmul:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPSrm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 159570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSrm),
     /* 159573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159575 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 159577 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 159581 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 159586 */     GIR_RootConstrainSelectedInstOperands,
     /* 159587 */     // GIR_Coverage, 2176,
     /* 159587 */     GIR_EraseRootFromParent_Done,
     /* 159588 */   // Label 3484: @159588
     /* 159588 */   GIM_Try, /*On fail goto*//*Label 3485*/ GIMT_Encode4(159650), // Rule ID 6401 //
     /* 159593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 159596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 159600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 159604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 159608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 159612 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 159615 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 159619 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 159623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159625 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 159632 */     // (fmul:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPSZ128rm:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 159632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSZ128rm),
     /* 159635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159637 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 159639 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 159643 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 159648 */     GIR_RootConstrainSelectedInstOperands,
     /* 159649 */     // GIR_Coverage, 6401,
     /* 159649 */     GIR_EraseRootFromParent_Done,
     /* 159650 */   // Label 3485: @159650
     /* 159650 */   GIM_Try, /*On fail goto*//*Label 3486*/ GIMT_Encode4(159681), // Rule ID 2174 //
     /* 159655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 159658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 159662 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 159666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 159670 */     // (fmul:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (VMULPSrr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)
     /* 159670 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPSrr),
     /* 159675 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 159679 */     GIR_RootConstrainSelectedInstOperands,
     /* 159680 */     // GIR_Coverage, 2174,
     /* 159680 */     GIR_Done,
     /* 159681 */   // Label 3486: @159681
     /* 159681 */   GIM_Try, /*On fail goto*//*Label 3487*/ GIMT_Encode4(159712), // Rule ID 2190 //
     /* 159686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 159689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 159693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 159697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 159701 */     // (fmul:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (MULPSrr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)
     /* 159701 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MULPSrr),
     /* 159706 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 159710 */     GIR_RootConstrainSelectedInstOperands,
     /* 159711 */     // GIR_Coverage, 2190,
     /* 159711 */     GIR_Done,
     /* 159712 */   // Label 3487: @159712
     /* 159712 */   GIM_Try, /*On fail goto*//*Label 3488*/ GIMT_Encode4(159743), // Rule ID 6397 //
     /* 159717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 159720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 159724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 159728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 159732 */     // (fmul:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2)  =>  (VMULPSZ128rr:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2)
     /* 159732 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPSZ128rr),
     /* 159737 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 159741 */     GIR_RootConstrainSelectedInstOperands,
     /* 159742 */     // GIR_Coverage, 6397,
     /* 159742 */     GIR_Done,
     /* 159743 */   // Label 3488: @159743
     /* 159743 */   GIM_Reject,
     /* 159744 */ // Label 3481: @159744
     /* 159744 */ GIM_Reject,
     /* 159745 */ // Label 3415: @159745
     /* 159745 */ GIM_Try, /*On fail goto*//*Label 3489*/ GIMT_Encode4(160067),
     /* 159750 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 159753 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 159756 */   GIM_Try, /*On fail goto*//*Label 3490*/ GIMT_Encode4(159818), // Rule ID 23393 //
     /* 159761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 159764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 159768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 159772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 159776 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 159779 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 159783 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 159787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 159791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159793 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 159800 */     // (fmul:{ *:[v4f64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4f64] }:$src1)  =>  (VMULPDYrm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 159800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDYrm),
     /* 159803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159805 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 159807 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 159811 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 159816 */     GIR_RootConstrainSelectedInstOperands,
     /* 159817 */     // GIR_Coverage, 23393,
     /* 159817 */     GIR_EraseRootFromParent_Done,
     /* 159818 */   // Label 3490: @159818
     /* 159818 */   GIM_Try, /*On fail goto*//*Label 3491*/ GIMT_Encode4(159880), // Rule ID 24373 //
     /* 159823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 159826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 159830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 159834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 159838 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 159841 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 159845 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 159849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 159853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159855 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 159862 */     // (fmul:{ *:[v4f64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v4f64] }:$src1)  =>  (VMULPDZ256rm:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 159862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDZ256rm),
     /* 159865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159867 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 159869 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 159873 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 159878 */     GIR_RootConstrainSelectedInstOperands,
     /* 159879 */     // GIR_Coverage, 24373,
     /* 159879 */     GIR_EraseRootFromParent_Done,
     /* 159880 */   // Label 3491: @159880
     /* 159880 */   GIM_Try, /*On fail goto*//*Label 3492*/ GIMT_Encode4(159942), // Rule ID 2188 //
     /* 159885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 159888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 159892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 159896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 159900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 159904 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 159907 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 159911 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 159915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159917 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 159924 */     // (fmul:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPDYrm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 159924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDYrm),
     /* 159927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159929 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 159931 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 159935 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 159940 */     GIR_RootConstrainSelectedInstOperands,
     /* 159941 */     // GIR_Coverage, 2188,
     /* 159941 */     GIR_EraseRootFromParent_Done,
     /* 159942 */   // Label 3492: @159942
     /* 159942 */   GIM_Try, /*On fail goto*//*Label 3493*/ GIMT_Encode4(160004), // Rule ID 6437 //
     /* 159947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 159950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 159954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 159958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 159962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 159966 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 159969 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 159973 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 159977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159979 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 159986 */     // (fmul:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPDZ256rm:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 159986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDZ256rm),
     /* 159989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159991 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 159993 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 159997 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 160002 */     GIR_RootConstrainSelectedInstOperands,
     /* 160003 */     // GIR_Coverage, 6437,
     /* 160003 */     GIR_EraseRootFromParent_Done,
     /* 160004 */   // Label 3493: @160004
     /* 160004 */   GIM_Try, /*On fail goto*//*Label 3494*/ GIMT_Encode4(160035), // Rule ID 2186 //
     /* 160009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 160012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 160016 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 160020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 160024 */     // (fmul:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2)  =>  (VMULPDYrr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2)
     /* 160024 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPDYrr),
     /* 160029 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 160033 */     GIR_RootConstrainSelectedInstOperands,
     /* 160034 */     // GIR_Coverage, 2186,
     /* 160034 */     GIR_Done,
     /* 160035 */   // Label 3494: @160035
     /* 160035 */   GIM_Try, /*On fail goto*//*Label 3495*/ GIMT_Encode4(160066), // Rule ID 6433 //
     /* 160040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 160043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 160047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 160051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 160055 */     // (fmul:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2)  =>  (VMULPDZ256rr:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2)
     /* 160055 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPDZ256rr),
     /* 160060 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 160064 */     GIR_RootConstrainSelectedInstOperands,
     /* 160065 */     // GIR_Coverage, 6433,
     /* 160065 */     GIR_Done,
     /* 160066 */   // Label 3495: @160066
     /* 160066 */   GIM_Reject,
     /* 160067 */ // Label 3489: @160067
     /* 160067 */ GIM_Reject,
     /* 160068 */ // Label 3416: @160068
     /* 160068 */ GIM_Try, /*On fail goto*//*Label 3496*/ GIMT_Encode4(160227),
     /* 160073 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 160076 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 160079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 160083 */   GIM_Try, /*On fail goto*//*Label 3497*/ GIMT_Encode4(160141), // Rule ID 24389 //
     /* 160088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 160091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 160095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 160099 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 160102 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 160106 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 160110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 160114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 160116 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 160123 */     // (fmul:{ *:[v8f16] } (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8f16] }:$src1)  =>  (VMULPHZ128rm:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 160123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPHZ128rm),
     /* 160126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 160128 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 160130 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 160134 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 160139 */     GIR_RootConstrainSelectedInstOperands,
     /* 160140 */     // GIR_Coverage, 24389,
     /* 160140 */     GIR_EraseRootFromParent_Done,
     /* 160141 */   // Label 3497: @160141
     /* 160141 */   GIM_Try, /*On fail goto*//*Label 3498*/ GIMT_Encode4(160199), // Rule ID 6461 //
     /* 160146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 160149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 160153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 160157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 160161 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 160164 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 160168 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 160172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 160174 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 160181 */     // (fmul:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPHZ128rm:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 160181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPHZ128rm),
     /* 160184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 160186 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 160188 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 160192 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 160197 */     GIR_RootConstrainSelectedInstOperands,
     /* 160198 */     // GIR_Coverage, 6461,
     /* 160198 */     GIR_EraseRootFromParent_Done,
     /* 160199 */   // Label 3498: @160199
     /* 160199 */   GIM_Try, /*On fail goto*//*Label 3499*/ GIMT_Encode4(160226), // Rule ID 6457 //
     /* 160204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 160207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 160211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 160215 */     // (fmul:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2)  =>  (VMULPHZ128rr:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2)
     /* 160215 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPHZ128rr),
     /* 160220 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 160224 */     GIR_RootConstrainSelectedInstOperands,
     /* 160225 */     // GIR_Coverage, 6457,
     /* 160225 */     GIR_Done,
     /* 160226 */   // Label 3499: @160226
     /* 160226 */   GIM_Reject,
     /* 160227 */ // Label 3496: @160227
     /* 160227 */ GIM_Reject,
     /* 160228 */ // Label 3417: @160228
     /* 160228 */ GIM_Try, /*On fail goto*//*Label 3500*/ GIMT_Encode4(160550),
     /* 160233 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 160236 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 160239 */   GIM_Try, /*On fail goto*//*Label 3501*/ GIMT_Encode4(160301), // Rule ID 23391 //
     /* 160244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 160247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 160251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 160255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 160259 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 160262 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 160266 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 160270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 160274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 160276 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 160283 */     // (fmul:{ *:[v8f32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8f32] }:$src1)  =>  (VMULPSYrm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 160283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSYrm),
     /* 160286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 160288 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 160290 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 160294 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 160299 */     GIR_RootConstrainSelectedInstOperands,
     /* 160300 */     // GIR_Coverage, 23391,
     /* 160300 */     GIR_EraseRootFromParent_Done,
     /* 160301 */   // Label 3501: @160301
     /* 160301 */   GIM_Try, /*On fail goto*//*Label 3502*/ GIMT_Encode4(160363), // Rule ID 24357 //
     /* 160306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 160309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 160313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 160317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 160321 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 160324 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 160328 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 160332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 160336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 160338 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 160345 */     // (fmul:{ *:[v8f32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v8f32] }:$src1)  =>  (VMULPSZ256rm:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 160345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSZ256rm),
     /* 160348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 160350 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 160352 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 160356 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 160361 */     GIR_RootConstrainSelectedInstOperands,
     /* 160362 */     // GIR_Coverage, 24357,
     /* 160362 */     GIR_EraseRootFromParent_Done,
     /* 160363 */   // Label 3502: @160363
     /* 160363 */   GIM_Try, /*On fail goto*//*Label 3503*/ GIMT_Encode4(160425), // Rule ID 2184 //
     /* 160368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 160371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 160375 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 160379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 160383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 160387 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 160390 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 160394 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 160398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 160400 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 160407 */     // (fmul:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPSYrm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 160407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSYrm),
     /* 160410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 160412 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 160414 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 160418 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 160423 */     GIR_RootConstrainSelectedInstOperands,
     /* 160424 */     // GIR_Coverage, 2184,
     /* 160424 */     GIR_EraseRootFromParent_Done,
     /* 160425 */   // Label 3503: @160425
     /* 160425 */   GIM_Try, /*On fail goto*//*Label 3504*/ GIMT_Encode4(160487), // Rule ID 6413 //
     /* 160430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 160433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 160437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 160441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 160445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 160449 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 160452 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 160456 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 160460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 160462 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 160469 */     // (fmul:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPSZ256rm:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 160469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSZ256rm),
     /* 160472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 160474 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 160476 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 160480 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 160485 */     GIR_RootConstrainSelectedInstOperands,
     /* 160486 */     // GIR_Coverage, 6413,
     /* 160486 */     GIR_EraseRootFromParent_Done,
     /* 160487 */   // Label 3504: @160487
     /* 160487 */   GIM_Try, /*On fail goto*//*Label 3505*/ GIMT_Encode4(160518), // Rule ID 2182 //
     /* 160492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 160495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 160499 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 160503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 160507 */     // (fmul:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2)  =>  (VMULPSYrr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2)
     /* 160507 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPSYrr),
     /* 160512 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 160516 */     GIR_RootConstrainSelectedInstOperands,
     /* 160517 */     // GIR_Coverage, 2182,
     /* 160517 */     GIR_Done,
     /* 160518 */   // Label 3505: @160518
     /* 160518 */   GIM_Try, /*On fail goto*//*Label 3506*/ GIMT_Encode4(160549), // Rule ID 6409 //
     /* 160523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 160526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 160530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 160534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 160538 */     // (fmul:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2)  =>  (VMULPSZ256rr:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2)
     /* 160538 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPSZ256rr),
     /* 160543 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 160547 */     GIR_RootConstrainSelectedInstOperands,
     /* 160548 */     // GIR_Coverage, 6409,
     /* 160548 */     GIR_Done,
     /* 160549 */   // Label 3506: @160549
     /* 160549 */   GIM_Reject,
     /* 160550 */ // Label 3500: @160550
     /* 160550 */ GIM_Reject,
     /* 160551 */ // Label 3418: @160551
     /* 160551 */ GIM_Try, /*On fail goto*//*Label 3507*/ GIMT_Encode4(160710),
     /* 160556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 160559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /* 160562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 160566 */   GIM_Try, /*On fail goto*//*Label 3508*/ GIMT_Encode4(160624), // Rule ID 24341 //
     /* 160571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 160574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 160578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 160582 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 160585 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 160589 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 160593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 160597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 160599 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 160606 */     // (fmul:{ *:[v8f64] } (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v8f64] }:$src1)  =>  (VMULPDZrm:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 160606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDZrm),
     /* 160609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 160611 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 160613 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 160617 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 160622 */     GIR_RootConstrainSelectedInstOperands,
     /* 160623 */     // GIR_Coverage, 24341,
     /* 160623 */     GIR_EraseRootFromParent_Done,
     /* 160624 */   // Label 3508: @160624
     /* 160624 */   GIM_Try, /*On fail goto*//*Label 3509*/ GIMT_Encode4(160682), // Rule ID 6389 //
     /* 160629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 160632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 160636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 160640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 160644 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 160647 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 160651 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 160655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 160657 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 160664 */     // (fmul:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPDZrm:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 160664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDZrm),
     /* 160667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 160669 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 160671 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 160675 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 160680 */     GIR_RootConstrainSelectedInstOperands,
     /* 160681 */     // GIR_Coverage, 6389,
     /* 160681 */     GIR_EraseRootFromParent_Done,
     /* 160682 */   // Label 3509: @160682
     /* 160682 */   GIM_Try, /*On fail goto*//*Label 3510*/ GIMT_Encode4(160709), // Rule ID 6385 //
     /* 160687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 160690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 160694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 160698 */     // (fmul:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2)  =>  (VMULPDZrr:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2)
     /* 160698 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPDZrr),
     /* 160703 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 160707 */     GIR_RootConstrainSelectedInstOperands,
     /* 160708 */     // GIR_Coverage, 6385,
     /* 160708 */     GIR_Done,
     /* 160709 */   // Label 3510: @160709
     /* 160709 */   GIM_Reject,
     /* 160710 */ // Label 3507: @160710
     /* 160710 */ GIM_Reject,
     /* 160711 */ // Label 3419: @160711
     /* 160711 */ GIM_Try, /*On fail goto*//*Label 3511*/ GIMT_Encode4(160870),
     /* 160716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 160719 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 160722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 160726 */   GIM_Try, /*On fail goto*//*Label 3512*/ GIMT_Encode4(160784), // Rule ID 24397 //
     /* 160731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 160734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 160738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 160742 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 160745 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 160749 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 160753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 160757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 160759 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 160766 */     // (fmul:{ *:[v16f16] } (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16f16] }:$src1)  =>  (VMULPHZ256rm:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 160766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPHZ256rm),
     /* 160769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 160771 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 160773 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 160777 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 160782 */     GIR_RootConstrainSelectedInstOperands,
     /* 160783 */     // GIR_Coverage, 24397,
     /* 160783 */     GIR_EraseRootFromParent_Done,
     /* 160784 */   // Label 3512: @160784
     /* 160784 */   GIM_Try, /*On fail goto*//*Label 3513*/ GIMT_Encode4(160842), // Rule ID 6473 //
     /* 160789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 160792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 160796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 160800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 160804 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 160807 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 160811 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 160815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 160817 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 160824 */     // (fmul:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPHZ256rm:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 160824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPHZ256rm),
     /* 160827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 160829 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 160831 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 160835 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 160840 */     GIR_RootConstrainSelectedInstOperands,
     /* 160841 */     // GIR_Coverage, 6473,
     /* 160841 */     GIR_EraseRootFromParent_Done,
     /* 160842 */   // Label 3513: @160842
     /* 160842 */   GIM_Try, /*On fail goto*//*Label 3514*/ GIMT_Encode4(160869), // Rule ID 6469 //
     /* 160847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 160850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 160854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 160858 */     // (fmul:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2)  =>  (VMULPHZ256rr:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2)
     /* 160858 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPHZ256rr),
     /* 160863 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 160867 */     GIR_RootConstrainSelectedInstOperands,
     /* 160868 */     // GIR_Coverage, 6469,
     /* 160868 */     GIR_Done,
     /* 160869 */   // Label 3514: @160869
     /* 160869 */   GIM_Reject,
     /* 160870 */ // Label 3511: @160870
     /* 160870 */ GIM_Reject,
     /* 160871 */ // Label 3420: @160871
     /* 160871 */ GIM_Try, /*On fail goto*//*Label 3515*/ GIMT_Encode4(161030),
     /* 160876 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 160879 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 160882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 160886 */   GIM_Try, /*On fail goto*//*Label 3516*/ GIMT_Encode4(160944), // Rule ID 24333 //
     /* 160891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 160894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 160898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 160902 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 160905 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 160909 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 160913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 160917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 160919 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 160926 */     // (fmul:{ *:[v16f32] } (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v16f32] }:$src1)  =>  (VMULPSZrm:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 160926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSZrm),
     /* 160929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 160931 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 160933 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 160937 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 160942 */     GIR_RootConstrainSelectedInstOperands,
     /* 160943 */     // GIR_Coverage, 24333,
     /* 160943 */     GIR_EraseRootFromParent_Done,
     /* 160944 */   // Label 3516: @160944
     /* 160944 */   GIM_Try, /*On fail goto*//*Label 3517*/ GIMT_Encode4(161002), // Rule ID 6377 //
     /* 160949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 160952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 160956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 160960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 160964 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 160967 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 160971 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 160975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 160977 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 160984 */     // (fmul:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPSZrm:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 160984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSZrm),
     /* 160987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 160989 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 160991 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 160995 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 161000 */     GIR_RootConstrainSelectedInstOperands,
     /* 161001 */     // GIR_Coverage, 6377,
     /* 161001 */     GIR_EraseRootFromParent_Done,
     /* 161002 */   // Label 3517: @161002
     /* 161002 */   GIM_Try, /*On fail goto*//*Label 3518*/ GIMT_Encode4(161029), // Rule ID 6373 //
     /* 161007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 161010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 161014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 161018 */     // (fmul:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2)  =>  (VMULPSZrr:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2)
     /* 161018 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPSZrr),
     /* 161023 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 161027 */     GIR_RootConstrainSelectedInstOperands,
     /* 161028 */     // GIR_Coverage, 6373,
     /* 161028 */     GIR_Done,
     /* 161029 */   // Label 3518: @161029
     /* 161029 */   GIM_Reject,
     /* 161030 */ // Label 3515: @161030
     /* 161030 */ GIM_Reject,
     /* 161031 */ // Label 3421: @161031
     /* 161031 */ GIM_Try, /*On fail goto*//*Label 3519*/ GIMT_Encode4(161190),
     /* 161036 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 161039 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 161042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 161046 */   GIM_Try, /*On fail goto*//*Label 3520*/ GIMT_Encode4(161104), // Rule ID 24381 //
     /* 161051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 161054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 161058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 161062 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 161065 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 161069 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 161073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 161077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 161079 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 161086 */     // (fmul:{ *:[v32f16] } (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32f16] }:$src1)  =>  (VMULPHZrm:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 161086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPHZrm),
     /* 161089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161091 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 161093 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 161097 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 161102 */     GIR_RootConstrainSelectedInstOperands,
     /* 161103 */     // GIR_Coverage, 24381,
     /* 161103 */     GIR_EraseRootFromParent_Done,
     /* 161104 */   // Label 3520: @161104
     /* 161104 */   GIM_Try, /*On fail goto*//*Label 3521*/ GIMT_Encode4(161162), // Rule ID 6449 //
     /* 161109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 161112 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 161116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 161120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 161124 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 161127 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 161131 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 161135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 161137 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 161144 */     // (fmul:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPHZrm:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 161144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPHZrm),
     /* 161147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161149 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 161151 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 161155 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 161160 */     GIR_RootConstrainSelectedInstOperands,
     /* 161161 */     // GIR_Coverage, 6449,
     /* 161161 */     GIR_EraseRootFromParent_Done,
     /* 161162 */   // Label 3521: @161162
     /* 161162 */   GIM_Try, /*On fail goto*//*Label 3522*/ GIMT_Encode4(161189), // Rule ID 6445 //
     /* 161167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 161170 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 161174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 161178 */     // (fmul:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2)  =>  (VMULPHZrr:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2)
     /* 161178 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPHZrr),
     /* 161183 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 161187 */     GIR_RootConstrainSelectedInstOperands,
     /* 161188 */     // GIR_Coverage, 6445,
     /* 161188 */     GIR_Done,
     /* 161189 */   // Label 3522: @161189
     /* 161189 */   GIM_Reject,
     /* 161190 */ // Label 3519: @161190
     /* 161190 */ GIM_Reject,
     /* 161191 */ // Label 3422: @161191
     /* 161191 */ GIM_Reject,
     /* 161192 */ // Label 44: @161192
     /* 161192 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(23), /*)*//*default:*//*Label 3535*/ GIMT_Encode4(167179),
     /* 161203 */ /*GILLT_s16*//*Label 3523*/ GIMT_Encode4(161287),
     /* 161207 */ /*GILLT_s32*//*Label 3524*/ GIMT_Encode4(161532),
     /* 161211 */ /*GILLT_s64*//*Label 3525*/ GIMT_Encode4(162269), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 161227 */ /*GILLT_v2s64*//*Label 3526*/ GIMT_Encode4(163006), GIMT_Encode4(0),
     /* 161235 */ /*GILLT_v4s32*//*Label 3527*/ GIMT_Encode4(163743),
     /* 161239 */ /*GILLT_v4s64*//*Label 3528*/ GIMT_Encode4(164480), GIMT_Encode4(0),
     /* 161247 */ /*GILLT_v8s16*//*Label 3529*/ GIMT_Encode4(165217),
     /* 161251 */ /*GILLT_v8s32*//*Label 3530*/ GIMT_Encode4(165462),
     /* 161255 */ /*GILLT_v8s64*//*Label 3531*/ GIMT_Encode4(166199), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 161267 */ /*GILLT_v16s16*//*Label 3532*/ GIMT_Encode4(166444),
     /* 161271 */ /*GILLT_v16s32*//*Label 3533*/ GIMT_Encode4(166689), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 161283 */ /*GILLT_v32s16*//*Label 3534*/ GIMT_Encode4(166934),
     /* 161287 */ // Label 3523: @161287
     /* 161287 */ GIM_Try, /*On fail goto*//*Label 3536*/ GIMT_Encode4(161531),
     /* 161292 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 161295 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 161298 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 161301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 161305 */   GIM_Try, /*On fail goto*//*Label 3537*/ GIMT_Encode4(161369), // Rule ID 10157 //
     /* 161310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 161313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 161317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 161321 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 161324 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 161328 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 161332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 161336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 161340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 161342 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 161349 */     // (fma:{ *:[f16] } (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2)  =>  (VFMADD132SHZm:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 161349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132SHZm),
     /* 161352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161354 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 161356 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 161358 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 161362 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 161367 */     GIR_RootConstrainSelectedInstOperands,
     /* 161368 */     // GIR_Coverage, 10157,
     /* 161368 */     GIR_EraseRootFromParent_Done,
     /* 161369 */   // Label 3537: @161369
     /* 161369 */   GIM_Try, /*On fail goto*//*Label 3538*/ GIMT_Encode4(161433), // Rule ID 10155 //
     /* 161374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 161377 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 161381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 161385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 161389 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 161392 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 161396 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 161400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 161404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 161406 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 161413 */     // (fma:{ *:[f16] } FR16X:{ *:[f16] }:$src2, (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR16X:{ *:[f16] }:$src1)  =>  (VFMADD231SHZm:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 161413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231SHZm),
     /* 161416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161418 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 161420 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 161422 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 161426 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 161431 */     GIR_RootConstrainSelectedInstOperands,
     /* 161432 */     // GIR_Coverage, 10155,
     /* 161432 */     GIR_EraseRootFromParent_Done,
     /* 161433 */   // Label 3538: @161433
     /* 161433 */   GIM_Try, /*On fail goto*//*Label 3539*/ GIMT_Encode4(161497), // Rule ID 10152 //
     /* 161438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 161441 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 161445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 161449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 161457 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 161460 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 161464 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 161468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 161470 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 161477 */     // (fma:{ *:[f16] } FR16X:{ *:[f16] }:$src2, FR16X:{ *:[f16] }:$src1, (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213SHZm:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 161477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SHZm),
     /* 161480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161482 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 161484 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 161486 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 161490 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 161495 */     GIR_RootConstrainSelectedInstOperands,
     /* 161496 */     // GIR_Coverage, 10152,
     /* 161496 */     GIR_EraseRootFromParent_Done,
     /* 161497 */   // Label 3539: @161497
     /* 161497 */   GIM_Try, /*On fail goto*//*Label 3540*/ GIMT_Encode4(161530), // Rule ID 10150 //
     /* 161502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 161505 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 161509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 161513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 161517 */     // (fma:{ *:[f16] } FR16X:{ *:[f16] }:$src2, FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src3)  =>  (VFMADD213SHZr:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2, FR16X:{ *:[f16] }:$src3)
     /* 161517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SHZr),
     /* 161520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161522 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 161524 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 161526 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 161528 */     GIR_RootConstrainSelectedInstOperands,
     /* 161529 */     // GIR_Coverage, 10150,
     /* 161529 */     GIR_EraseRootFromParent_Done,
     /* 161530 */   // Label 3540: @161530
     /* 161530 */   GIM_Reject,
     /* 161531 */ // Label 3536: @161531
     /* 161531 */ GIM_Reject,
     /* 161532 */ // Label 3524: @161532
     /* 161532 */ GIM_Try, /*On fail goto*//*Label 3541*/ GIMT_Encode4(162268),
     /* 161537 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 161540 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 161543 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 161546 */   GIM_Try, /*On fail goto*//*Label 3542*/ GIMT_Encode4(161614), // Rule ID 1303 //
     /* 161551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoAVX512_NoFMA4),
     /* 161554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 161562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 161566 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 161569 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 161573 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 161577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 161587 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 161594 */     // (fma:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)  =>  (VFMADD132SSm:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 161594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132SSm),
     /* 161597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161599 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 161601 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 161603 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 161607 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 161612 */     GIR_RootConstrainSelectedInstOperands,
     /* 161613 */     // GIR_Coverage, 1303,
     /* 161613 */     GIR_EraseRootFromParent_Done,
     /* 161614 */   // Label 3542: @161614
     /* 161614 */   GIM_Try, /*On fail goto*//*Label 3543*/ GIMT_Encode4(161682), // Rule ID 10139 //
     /* 161619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 161622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 161626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 161630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 161634 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 161637 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 161641 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 161645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 161649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 161653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 161655 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 161662 */     // (fma:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2)  =>  (VFMADD132SSZm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 161662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132SSZm),
     /* 161665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161667 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 161669 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 161671 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 161675 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 161680 */     GIR_RootConstrainSelectedInstOperands,
     /* 161681 */     // GIR_Coverage, 10139,
     /* 161681 */     GIR_EraseRootFromParent_Done,
     /* 161682 */   // Label 3543: @161682
     /* 161682 */   GIM_Try, /*On fail goto*//*Label 3544*/ GIMT_Encode4(161750), // Rule ID 23278 //
     /* 161687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoAVX512),
     /* 161690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 161698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 161702 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 161705 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 161709 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 161713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 161723 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 161730 */     // (fma:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src3)  =>  (VFMADDSS4mr:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2, FR32:{ *:[f32] }:$src3)
     /* 161730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDSS4mr),
     /* 161733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161735 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 161737 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 161741 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 161743 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 161748 */     GIR_RootConstrainSelectedInstOperands,
     /* 161749 */     // GIR_Coverage, 23278,
     /* 161749 */     GIR_EraseRootFromParent_Done,
     /* 161750 */   // Label 3544: @161750
     /* 161750 */   GIM_Try, /*On fail goto*//*Label 3545*/ GIMT_Encode4(161818), // Rule ID 1301 //
     /* 161755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoAVX512_NoFMA4),
     /* 161758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161762 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 161770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 161774 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 161777 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 161781 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 161785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 161791 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 161798 */     // (fma:{ *:[f32] } FR32:{ *:[f32] }:$src2, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32:{ *:[f32] }:$src1)  =>  (VFMADD231SSm:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 161798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231SSm),
     /* 161801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161803 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 161805 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 161807 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 161811 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 161816 */     GIR_RootConstrainSelectedInstOperands,
     /* 161817 */     // GIR_Coverage, 1301,
     /* 161817 */     GIR_EraseRootFromParent_Done,
     /* 161818 */   // Label 3545: @161818
     /* 161818 */   GIM_Try, /*On fail goto*//*Label 3546*/ GIMT_Encode4(161886), // Rule ID 1365 //
     /* 161823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoAVX512),
     /* 161826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 161838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 161842 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 161845 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 161849 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 161853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 161859 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 161866 */     // (fma:{ *:[f32] } FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32:{ *:[f32] }:$src3)  =>  (VFMADDSS4mr:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2, FR32:{ *:[f32] }:$src3)
     /* 161866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDSS4mr),
     /* 161869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161871 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 161873 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 161877 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 161879 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 161884 */     GIR_RootConstrainSelectedInstOperands,
     /* 161885 */     // GIR_Coverage, 1365,
     /* 161885 */     GIR_EraseRootFromParent_Done,
     /* 161886 */   // Label 3546: @161886
     /* 161886 */   GIM_Try, /*On fail goto*//*Label 3547*/ GIMT_Encode4(161954), // Rule ID 10137 //
     /* 161891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 161894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 161898 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 161902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 161906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 161910 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 161913 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 161917 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 161921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 161925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 161927 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 161934 */     // (fma:{ *:[f32] } FR32X:{ *:[f32] }:$src2, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32X:{ *:[f32] }:$src1)  =>  (VFMADD231SSZm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 161934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231SSZm),
     /* 161937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161939 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 161941 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 161943 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 161947 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 161952 */     GIR_RootConstrainSelectedInstOperands,
     /* 161953 */     // GIR_Coverage, 10137,
     /* 161953 */     GIR_EraseRootFromParent_Done,
     /* 161954 */   // Label 3547: @161954
     /* 161954 */   GIM_Try, /*On fail goto*//*Label 3548*/ GIMT_Encode4(162022), // Rule ID 1299 //
     /* 161959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoAVX512_NoFMA4),
     /* 161962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161966 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 161982 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 161985 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 161989 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 161993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 161995 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 162002 */     // (fma:{ *:[f32] } FR32:{ *:[f32] }:$src2, FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213SSm:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 162002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SSm),
     /* 162005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 162007 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 162009 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 162011 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 162015 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 162020 */     GIR_RootConstrainSelectedInstOperands,
     /* 162021 */     // GIR_Coverage, 1299,
     /* 162021 */     GIR_EraseRootFromParent_Done,
     /* 162022 */   // Label 3548: @162022
     /* 162022 */   GIM_Try, /*On fail goto*//*Label 3549*/ GIMT_Encode4(162090), // Rule ID 1363 //
     /* 162027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoAVX512),
     /* 162030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 162034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 162038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 162042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 162046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 162050 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 162053 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 162057 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 162061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162063 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 162070 */     // (fma:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADDSS4rm:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 162070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDSS4rm),
     /* 162073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 162075 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 162077 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 162079 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 162083 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 162088 */     GIR_RootConstrainSelectedInstOperands,
     /* 162089 */     // GIR_Coverage, 1363,
     /* 162089 */     GIR_EraseRootFromParent_Done,
     /* 162090 */   // Label 3549: @162090
     /* 162090 */   GIM_Try, /*On fail goto*//*Label 3550*/ GIMT_Encode4(162158), // Rule ID 10134 //
     /* 162095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 162098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 162102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 162106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 162110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 162114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 162118 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 162121 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 162125 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 162129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162131 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 162138 */     // (fma:{ *:[f32] } FR32X:{ *:[f32] }:$src2, FR32X:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213SSZm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 162138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SSZm),
     /* 162141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 162143 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 162145 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 162147 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 162151 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 162156 */     GIR_RootConstrainSelectedInstOperands,
     /* 162157 */     // GIR_Coverage, 10134,
     /* 162157 */     GIR_EraseRootFromParent_Done,
     /* 162158 */   // Label 3550: @162158
     /* 162158 */   GIM_Try, /*On fail goto*//*Label 3551*/ GIMT_Encode4(162195), // Rule ID 1297 //
     /* 162163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoAVX512_NoFMA4),
     /* 162166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 162170 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 162174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 162178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 162182 */     // (fma:{ *:[f32] } FR32:{ *:[f32] }:$src2, FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src3)  =>  (VFMADD213SSr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2, FR32:{ *:[f32] }:$src3)
     /* 162182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SSr),
     /* 162185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 162187 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 162189 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 162191 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 162193 */     GIR_RootConstrainSelectedInstOperands,
     /* 162194 */     // GIR_Coverage, 1297,
     /* 162194 */     GIR_EraseRootFromParent_Done,
     /* 162195 */   // Label 3551: @162195
     /* 162195 */   GIM_Try, /*On fail goto*//*Label 3552*/ GIMT_Encode4(162230), // Rule ID 1361 //
     /* 162200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoAVX512),
     /* 162203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 162207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 162211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 162215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 162219 */     // (fma:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2, FR32:{ *:[f32] }:$src3)  =>  (VFMADDSS4rr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2, FR32:{ *:[f32] }:$src3)
     /* 162219 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VFMADDSS4rr),
     /* 162224 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 162228 */     GIR_RootConstrainSelectedInstOperands,
     /* 162229 */     // GIR_Coverage, 1361,
     /* 162229 */     GIR_Done,
     /* 162230 */   // Label 3552: @162230
     /* 162230 */   GIM_Try, /*On fail goto*//*Label 3553*/ GIMT_Encode4(162267), // Rule ID 10132 //
     /* 162235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 162238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 162242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 162246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 162250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 162254 */     // (fma:{ *:[f32] } FR32X:{ *:[f32] }:$src2, FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src3)  =>  (VFMADD213SSZr:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2, FR32X:{ *:[f32] }:$src3)
     /* 162254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SSZr),
     /* 162257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 162259 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 162261 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 162263 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 162265 */     GIR_RootConstrainSelectedInstOperands,
     /* 162266 */     // GIR_Coverage, 10132,
     /* 162266 */     GIR_EraseRootFromParent_Done,
     /* 162267 */   // Label 3553: @162267
     /* 162267 */   GIM_Reject,
     /* 162268 */ // Label 3541: @162268
     /* 162268 */ GIM_Reject,
     /* 162269 */ // Label 3525: @162269
     /* 162269 */ GIM_Try, /*On fail goto*//*Label 3554*/ GIMT_Encode4(163005),
     /* 162274 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 162277 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 162280 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 162283 */   GIM_Try, /*On fail goto*//*Label 3555*/ GIMT_Encode4(162351), // Rule ID 1311 //
     /* 162288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoAVX512_NoFMA4),
     /* 162291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 162299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 162303 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 162306 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 162310 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 162314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162324 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 162331 */     // (fma:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)  =>  (VFMADD132SDm:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 162331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132SDm),
     /* 162334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 162336 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 162338 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 162340 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 162344 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 162349 */     GIR_RootConstrainSelectedInstOperands,
     /* 162350 */     // GIR_Coverage, 1311,
     /* 162350 */     GIR_EraseRootFromParent_Done,
     /* 162351 */   // Label 3555: @162351
     /* 162351 */   GIM_Try, /*On fail goto*//*Label 3556*/ GIMT_Encode4(162419), // Rule ID 10148 //
     /* 162356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 162359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 162363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 162367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 162371 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 162374 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 162378 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 162382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 162386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 162390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162392 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 162399 */     // (fma:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2)  =>  (VFMADD132SDZm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 162399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132SDZm),
     /* 162402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 162404 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 162406 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 162408 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 162412 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 162417 */     GIR_RootConstrainSelectedInstOperands,
     /* 162418 */     // GIR_Coverage, 10148,
     /* 162418 */     GIR_EraseRootFromParent_Done,
     /* 162419 */   // Label 3556: @162419
     /* 162419 */   GIM_Try, /*On fail goto*//*Label 3557*/ GIMT_Encode4(162487), // Rule ID 23306 //
     /* 162424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoAVX512),
     /* 162427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 162435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 162439 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 162442 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 162446 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 162450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162460 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 162467 */     // (fma:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src3)  =>  (VFMADDSD4mr:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2, FR64:{ *:[f64] }:$src3)
     /* 162467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDSD4mr),
     /* 162470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 162472 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 162474 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 162478 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 162480 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 162485 */     GIR_RootConstrainSelectedInstOperands,
     /* 162486 */     // GIR_Coverage, 23306,
     /* 162486 */     GIR_EraseRootFromParent_Done,
     /* 162487 */   // Label 3557: @162487
     /* 162487 */   GIM_Try, /*On fail goto*//*Label 3558*/ GIMT_Encode4(162555), // Rule ID 1309 //
     /* 162492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoAVX512_NoFMA4),
     /* 162495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162499 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 162507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 162511 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 162514 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 162518 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 162522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162528 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 162535 */     // (fma:{ *:[f64] } FR64:{ *:[f64] }:$src2, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64:{ *:[f64] }:$src1)  =>  (VFMADD231SDm:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 162535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231SDm),
     /* 162538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 162540 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 162542 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 162544 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 162548 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 162553 */     GIR_RootConstrainSelectedInstOperands,
     /* 162554 */     // GIR_Coverage, 1309,
     /* 162554 */     GIR_EraseRootFromParent_Done,
     /* 162555 */   // Label 3558: @162555
     /* 162555 */   GIM_Try, /*On fail goto*//*Label 3559*/ GIMT_Encode4(162623), // Rule ID 1449 //
     /* 162560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoAVX512),
     /* 162563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 162575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 162579 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 162582 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 162586 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 162590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162596 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 162603 */     // (fma:{ *:[f64] } FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64:{ *:[f64] }:$src3)  =>  (VFMADDSD4mr:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2, FR64:{ *:[f64] }:$src3)
     /* 162603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDSD4mr),
     /* 162606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 162608 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 162610 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 162614 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 162616 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 162621 */     GIR_RootConstrainSelectedInstOperands,
     /* 162622 */     // GIR_Coverage, 1449,
     /* 162622 */     GIR_EraseRootFromParent_Done,
     /* 162623 */   // Label 3559: @162623
     /* 162623 */   GIM_Try, /*On fail goto*//*Label 3560*/ GIMT_Encode4(162691), // Rule ID 10146 //
     /* 162628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 162631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 162635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 162639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 162643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 162647 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 162650 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 162654 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 162658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 162662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162664 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 162671 */     // (fma:{ *:[f64] } FR64X:{ *:[f64] }:$src2, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64X:{ *:[f64] }:$src1)  =>  (VFMADD231SDZm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 162671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231SDZm),
     /* 162674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 162676 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 162678 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 162680 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 162684 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 162689 */     GIR_RootConstrainSelectedInstOperands,
     /* 162690 */     // GIR_Coverage, 10146,
     /* 162690 */     GIR_EraseRootFromParent_Done,
     /* 162691 */   // Label 3560: @162691
     /* 162691 */   GIM_Try, /*On fail goto*//*Label 3561*/ GIMT_Encode4(162759), // Rule ID 1307 //
     /* 162696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoAVX512_NoFMA4),
     /* 162699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 162715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 162719 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 162722 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 162726 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 162730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162732 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 162739 */     // (fma:{ *:[f64] } FR64:{ *:[f64] }:$src2, FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213SDm:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 162739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SDm),
     /* 162742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 162744 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 162746 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 162748 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 162752 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 162757 */     GIR_RootConstrainSelectedInstOperands,
     /* 162758 */     // GIR_Coverage, 1307,
     /* 162758 */     GIR_EraseRootFromParent_Done,
     /* 162759 */   // Label 3561: @162759
     /* 162759 */   GIM_Try, /*On fail goto*//*Label 3562*/ GIMT_Encode4(162827), // Rule ID 1447 //
     /* 162764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoAVX512),
     /* 162767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 162783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 162787 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 162790 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 162794 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 162798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162800 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 162807 */     // (fma:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADDSD4rm:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 162807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDSD4rm),
     /* 162810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 162812 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 162814 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 162816 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 162820 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 162825 */     GIR_RootConstrainSelectedInstOperands,
     /* 162826 */     // GIR_Coverage, 1447,
     /* 162826 */     GIR_EraseRootFromParent_Done,
     /* 162827 */   // Label 3562: @162827
     /* 162827 */   GIM_Try, /*On fail goto*//*Label 3563*/ GIMT_Encode4(162895), // Rule ID 10143 //
     /* 162832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 162835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 162839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 162843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 162847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 162851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 162855 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 162858 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 162862 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 162866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162868 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 162875 */     // (fma:{ *:[f64] } FR64X:{ *:[f64] }:$src2, FR64X:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213SDZm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 162875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SDZm),
     /* 162878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 162880 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 162882 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 162884 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 162888 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 162893 */     GIR_RootConstrainSelectedInstOperands,
     /* 162894 */     // GIR_Coverage, 10143,
     /* 162894 */     GIR_EraseRootFromParent_Done,
     /* 162895 */   // Label 3563: @162895
     /* 162895 */   GIM_Try, /*On fail goto*//*Label 3564*/ GIMT_Encode4(162932), // Rule ID 1305 //
     /* 162900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoAVX512_NoFMA4),
     /* 162903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162907 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162919 */     // (fma:{ *:[f64] } FR64:{ *:[f64] }:$src2, FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src3)  =>  (VFMADD213SDr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2, FR64:{ *:[f64] }:$src3)
     /* 162919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SDr),
     /* 162922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 162924 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 162926 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 162928 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 162930 */     GIR_RootConstrainSelectedInstOperands,
     /* 162931 */     // GIR_Coverage, 1305,
     /* 162931 */     GIR_EraseRootFromParent_Done,
     /* 162932 */   // Label 3564: @162932
     /* 162932 */   GIM_Try, /*On fail goto*//*Label 3565*/ GIMT_Encode4(162967), // Rule ID 1445 //
     /* 162937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoAVX512),
     /* 162940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162956 */     // (fma:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2, FR64:{ *:[f64] }:$src3)  =>  (VFMADDSD4rr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2, FR64:{ *:[f64] }:$src3)
     /* 162956 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VFMADDSD4rr),
     /* 162961 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 162965 */     GIR_RootConstrainSelectedInstOperands,
     /* 162966 */     // GIR_Coverage, 1445,
     /* 162966 */     GIR_Done,
     /* 162967 */   // Label 3565: @162967
     /* 162967 */   GIM_Try, /*On fail goto*//*Label 3566*/ GIMT_Encode4(163004), // Rule ID 10141 //
     /* 162972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 162975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 162979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 162983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 162987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 162991 */     // (fma:{ *:[f64] } FR64X:{ *:[f64] }:$src2, FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src3)  =>  (VFMADD213SDZr:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2, FR64X:{ *:[f64] }:$src3)
     /* 162991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SDZr),
     /* 162994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 162996 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 162998 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 163000 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 163002 */     GIR_RootConstrainSelectedInstOperands,
     /* 163003 */     // GIR_Coverage, 10141,
     /* 163003 */     GIR_EraseRootFromParent_Done,
     /* 163004 */   // Label 3566: @163004
     /* 163004 */   GIM_Reject,
     /* 163005 */ // Label 3554: @163005
     /* 163005 */ GIM_Reject,
     /* 163006 */ // Label 3526: @163006
     /* 163006 */ GIM_Try, /*On fail goto*//*Label 3567*/ GIMT_Encode4(163742),
     /* 163011 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 163014 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 163017 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 163020 */   GIM_Try, /*On fail goto*//*Label 3568*/ GIMT_Encode4(163088), // Rule ID 1191 //
     /* 163025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 163028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 163036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 163040 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 163043 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 163047 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 163051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163061 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 163068 */     // (fma:{ *:[v2f64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (VFMADD132PDm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 163068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PDm),
     /* 163071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 163073 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 163075 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 163077 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 163081 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 163086 */     GIR_RootConstrainSelectedInstOperands,
     /* 163087 */     // GIR_Coverage, 1191,
     /* 163087 */     GIR_EraseRootFromParent_Done,
     /* 163088 */   // Label 3568: @163088
     /* 163088 */   GIM_Try, /*On fail goto*//*Label 3569*/ GIMT_Encode4(163156), // Rule ID 9680 //
     /* 163093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 163096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 163100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 163104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 163108 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 163111 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 163115 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 163119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 163123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 163127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163129 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 163136 */     // (fma:{ *:[v2f64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2)  =>  (VFMADD132PDZ128m:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 163136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PDZ128m),
     /* 163139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 163141 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 163143 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 163145 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 163149 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 163154 */     GIR_RootConstrainSelectedInstOperands,
     /* 163155 */     // GIR_Coverage, 9680,
     /* 163155 */     GIR_EraseRootFromParent_Done,
     /* 163156 */   // Label 3569: @163156
     /* 163156 */   GIM_Try, /*On fail goto*//*Label 3570*/ GIMT_Encode4(163224), // Rule ID 23314 //
     /* 163161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 163164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 163172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 163176 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 163179 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 163183 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 163187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163197 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 163204 */     // (fma:{ *:[v2f64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src3)  =>  (VFMADDPD4mr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v2f64] }:$src3)
     /* 163204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPD4mr),
     /* 163207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 163209 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 163211 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 163215 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 163217 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 163222 */     GIR_RootConstrainSelectedInstOperands,
     /* 163223 */     // GIR_Coverage, 23314,
     /* 163223 */     GIR_EraseRootFromParent_Done,
     /* 163224 */   // Label 3570: @163224
     /* 163224 */   GIM_Try, /*On fail goto*//*Label 3571*/ GIMT_Encode4(163292), // Rule ID 1189 //
     /* 163229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 163232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163236 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 163244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 163248 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 163251 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 163255 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 163259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163265 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 163272 */     // (fma:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src2, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2f64] }:$src1)  =>  (VFMADD231PDm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 163272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PDm),
     /* 163275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 163277 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 163279 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 163281 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 163285 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 163290 */     GIR_RootConstrainSelectedInstOperands,
     /* 163291 */     // GIR_Coverage, 1189,
     /* 163291 */     GIR_EraseRootFromParent_Done,
     /* 163292 */   // Label 3571: @163292
     /* 163292 */   GIM_Try, /*On fail goto*//*Label 3572*/ GIMT_Encode4(163360), // Rule ID 1473 //
     /* 163297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 163300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 163312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 163316 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 163319 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 163323 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 163327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163333 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 163340 */     // (fma:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2f64] }:$src3)  =>  (VFMADDPD4mr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v2f64] }:$src3)
     /* 163340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPD4mr),
     /* 163343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 163345 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 163347 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 163351 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 163353 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 163358 */     GIR_RootConstrainSelectedInstOperands,
     /* 163359 */     // GIR_Coverage, 1473,
     /* 163359 */     GIR_EraseRootFromParent_Done,
     /* 163360 */   // Label 3572: @163360
     /* 163360 */   GIM_Try, /*On fail goto*//*Label 3573*/ GIMT_Encode4(163428), // Rule ID 9140 //
     /* 163365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 163368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 163372 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 163376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 163380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 163384 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 163387 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 163391 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 163395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 163399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163401 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 163408 */     // (fma:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src2, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v2f64] }:$src1)  =>  (VFMADD231PDZ128m:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 163408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PDZ128m),
     /* 163411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 163413 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 163415 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 163417 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 163421 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 163426 */     GIR_RootConstrainSelectedInstOperands,
     /* 163427 */     // GIR_Coverage, 9140,
     /* 163427 */     GIR_EraseRootFromParent_Done,
     /* 163428 */   // Label 3573: @163428
     /* 163428 */   GIM_Try, /*On fail goto*//*Label 3574*/ GIMT_Encode4(163496), // Rule ID 1187 //
     /* 163433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 163436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 163456 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 163459 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 163463 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 163467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163469 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 163476 */     // (fma:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src2, VR128:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PDm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 163476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDm),
     /* 163479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 163481 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 163483 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 163485 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 163489 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 163494 */     GIR_RootConstrainSelectedInstOperands,
     /* 163495 */     // GIR_Coverage, 1187,
     /* 163495 */     GIR_EraseRootFromParent_Done,
     /* 163496 */   // Label 3574: @163496
     /* 163496 */   GIM_Try, /*On fail goto*//*Label 3575*/ GIMT_Encode4(163564), // Rule ID 1471 //
     /* 163501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 163504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 163524 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 163527 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 163531 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 163535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163537 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 163544 */     // (fma:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADDPD4rm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 163544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPD4rm),
     /* 163547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 163549 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 163551 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 163553 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 163557 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 163562 */     GIR_RootConstrainSelectedInstOperands,
     /* 163563 */     // GIR_Coverage, 1471,
     /* 163563 */     GIR_EraseRootFromParent_Done,
     /* 163564 */   // Label 3575: @163564
     /* 163564 */   GIM_Try, /*On fail goto*//*Label 3576*/ GIMT_Encode4(163632), // Rule ID 8513 //
     /* 163569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 163572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 163576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 163580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 163584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 163592 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 163595 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 163599 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 163603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163605 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 163612 */     // (fma:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src2, VR128X:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PDZ128m:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 163612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDZ128m),
     /* 163615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 163617 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 163619 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 163621 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 163625 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 163630 */     GIR_RootConstrainSelectedInstOperands,
     /* 163631 */     // GIR_Coverage, 8513,
     /* 163631 */     GIR_EraseRootFromParent_Done,
     /* 163632 */   // Label 3576: @163632
     /* 163632 */   GIM_Try, /*On fail goto*//*Label 3577*/ GIMT_Encode4(163669), // Rule ID 1185 //
     /* 163637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 163640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163656 */     // (fma:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src2, VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src3)  =>  (VFMADD213PDr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, VR128:{ *:[v2f64] }:$src3)
     /* 163656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDr),
     /* 163659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 163661 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 163663 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 163665 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 163667 */     GIR_RootConstrainSelectedInstOperands,
     /* 163668 */     // GIR_Coverage, 1185,
     /* 163668 */     GIR_EraseRootFromParent_Done,
     /* 163669 */   // Label 3577: @163669
     /* 163669 */   GIM_Try, /*On fail goto*//*Label 3578*/ GIMT_Encode4(163704), // Rule ID 1469 //
     /* 163674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 163677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163693 */     // (fma:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, VR128:{ *:[v2f64] }:$src3)  =>  (VFMADDPD4rr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, VR128:{ *:[v2f64] }:$src3)
     /* 163693 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VFMADDPD4rr),
     /* 163698 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 163702 */     GIR_RootConstrainSelectedInstOperands,
     /* 163703 */     // GIR_Coverage, 1469,
     /* 163703 */     GIR_Done,
     /* 163704 */   // Label 3578: @163704
     /* 163704 */   GIM_Try, /*On fail goto*//*Label 3579*/ GIMT_Encode4(163741), // Rule ID 8509 //
     /* 163709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 163712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 163716 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 163720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 163724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 163728 */     // (fma:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src2, VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src3)  =>  (VFMADD213PDZ128r:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2, VR128X:{ *:[v2f64] }:$src3)
     /* 163728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDZ128r),
     /* 163731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 163733 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 163735 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 163737 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 163739 */     GIR_RootConstrainSelectedInstOperands,
     /* 163740 */     // GIR_Coverage, 8509,
     /* 163740 */     GIR_EraseRootFromParent_Done,
     /* 163741 */   // Label 3579: @163741
     /* 163741 */   GIM_Reject,
     /* 163742 */ // Label 3567: @163742
     /* 163742 */ GIM_Reject,
     /* 163743 */ // Label 3527: @163743
     /* 163743 */ GIM_Try, /*On fail goto*//*Label 3580*/ GIMT_Encode4(164479),
     /* 163748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 163751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 163754 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 163757 */   GIM_Try, /*On fail goto*//*Label 3581*/ GIMT_Encode4(163825), // Rule ID 1143 //
     /* 163762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 163765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 163773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 163777 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 163780 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 163784 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 163788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163798 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 163805 */     // (fma:{ *:[v4f32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (VFMADD132PSm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 163805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PSm),
     /* 163808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 163810 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 163812 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 163814 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 163818 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 163823 */     GIR_RootConstrainSelectedInstOperands,
     /* 163824 */     // GIR_Coverage, 1143,
     /* 163824 */     GIR_EraseRootFromParent_Done,
     /* 163825 */   // Label 3581: @163825
     /* 163825 */   GIM_Try, /*On fail goto*//*Label 3582*/ GIMT_Encode4(163893), // Rule ID 9648 //
     /* 163830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 163833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 163837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 163841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 163845 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 163848 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 163852 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 163856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 163860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 163864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163866 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 163873 */     // (fma:{ *:[v4f32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2)  =>  (VFMADD132PSZ128m:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 163873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PSZ128m),
     /* 163876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 163878 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 163880 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 163882 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 163886 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 163891 */     GIR_RootConstrainSelectedInstOperands,
     /* 163892 */     // GIR_Coverage, 9648,
     /* 163892 */     GIR_EraseRootFromParent_Done,
     /* 163893 */   // Label 3582: @163893
     /* 163893 */   GIM_Try, /*On fail goto*//*Label 3583*/ GIMT_Encode4(163961), // Rule ID 23286 //
     /* 163898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 163901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 163909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 163913 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 163916 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 163920 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 163924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163934 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 163941 */     // (fma:{ *:[v4f32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src3)  =>  (VFMADDPS4mr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v4f32] }:$src3)
     /* 163941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPS4mr),
     /* 163944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 163946 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 163948 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 163952 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 163954 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 163959 */     GIR_RootConstrainSelectedInstOperands,
     /* 163960 */     // GIR_Coverage, 23286,
     /* 163960 */     GIR_EraseRootFromParent_Done,
     /* 163961 */   // Label 3583: @163961
     /* 163961 */   GIM_Try, /*On fail goto*//*Label 3584*/ GIMT_Encode4(164029), // Rule ID 1141 //
     /* 163966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 163969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163973 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 163981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 163985 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 163988 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 163992 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 163996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 164000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164002 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 164009 */     // (fma:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src2, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4f32] }:$src1)  =>  (VFMADD231PSm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 164009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PSm),
     /* 164012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164014 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 164016 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 164018 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 164022 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 164027 */     GIR_RootConstrainSelectedInstOperands,
     /* 164028 */     // GIR_Coverage, 1141,
     /* 164028 */     GIR_EraseRootFromParent_Done,
     /* 164029 */   // Label 3584: @164029
     /* 164029 */   GIM_Try, /*On fail goto*//*Label 3585*/ GIMT_Encode4(164097), // Rule ID 1389 //
     /* 164034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 164037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 164041 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 164045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 164049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 164053 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 164056 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 164060 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 164064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 164068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164070 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 164077 */     // (fma:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4f32] }:$src3)  =>  (VFMADDPS4mr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v4f32] }:$src3)
     /* 164077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPS4mr),
     /* 164080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164082 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 164084 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 164088 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 164090 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 164095 */     GIR_RootConstrainSelectedInstOperands,
     /* 164096 */     // GIR_Coverage, 1389,
     /* 164096 */     GIR_EraseRootFromParent_Done,
     /* 164097 */   // Label 3585: @164097
     /* 164097 */   GIM_Try, /*On fail goto*//*Label 3586*/ GIMT_Encode4(164165), // Rule ID 9108 //
     /* 164102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 164105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 164109 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 164113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 164117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 164121 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 164124 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 164128 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 164132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 164136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164138 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 164145 */     // (fma:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src2, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v4f32] }:$src1)  =>  (VFMADD231PSZ128m:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 164145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PSZ128m),
     /* 164148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164150 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 164152 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 164154 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 164158 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 164163 */     GIR_RootConstrainSelectedInstOperands,
     /* 164164 */     // GIR_Coverage, 9108,
     /* 164164 */     GIR_EraseRootFromParent_Done,
     /* 164165 */   // Label 3586: @164165
     /* 164165 */   GIM_Try, /*On fail goto*//*Label 3587*/ GIMT_Encode4(164233), // Rule ID 1139 //
     /* 164170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 164173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 164177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 164181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 164185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 164189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 164193 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 164196 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 164200 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 164204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164206 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 164213 */     // (fma:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src2, VR128:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PSm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 164213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSm),
     /* 164216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164218 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 164220 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 164222 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 164226 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 164231 */     GIR_RootConstrainSelectedInstOperands,
     /* 164232 */     // GIR_Coverage, 1139,
     /* 164232 */     GIR_EraseRootFromParent_Done,
     /* 164233 */   // Label 3587: @164233
     /* 164233 */   GIM_Try, /*On fail goto*//*Label 3588*/ GIMT_Encode4(164301), // Rule ID 1387 //
     /* 164238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 164241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 164245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 164249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 164253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 164257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 164261 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 164264 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 164268 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 164272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164274 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 164281 */     // (fma:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADDPS4rm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 164281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPS4rm),
     /* 164284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164286 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 164288 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 164290 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 164294 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 164299 */     GIR_RootConstrainSelectedInstOperands,
     /* 164300 */     // GIR_Coverage, 1387,
     /* 164300 */     GIR_EraseRootFromParent_Done,
     /* 164301 */   // Label 3588: @164301
     /* 164301 */   GIM_Try, /*On fail goto*//*Label 3589*/ GIMT_Encode4(164369), // Rule ID 8474 //
     /* 164306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 164309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 164313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 164317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 164321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 164325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 164329 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 164332 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 164336 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 164340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164342 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 164349 */     // (fma:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src2, VR128X:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PSZ128m:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 164349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSZ128m),
     /* 164352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164354 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 164356 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 164358 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 164362 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 164367 */     GIR_RootConstrainSelectedInstOperands,
     /* 164368 */     // GIR_Coverage, 8474,
     /* 164368 */     GIR_EraseRootFromParent_Done,
     /* 164369 */   // Label 3589: @164369
     /* 164369 */   GIM_Try, /*On fail goto*//*Label 3590*/ GIMT_Encode4(164406), // Rule ID 1137 //
     /* 164374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 164377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 164381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 164385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 164389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 164393 */     // (fma:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src2, VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src3)  =>  (VFMADD213PSr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, VR128:{ *:[v4f32] }:$src3)
     /* 164393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSr),
     /* 164396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164398 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 164400 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 164402 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 164404 */     GIR_RootConstrainSelectedInstOperands,
     /* 164405 */     // GIR_Coverage, 1137,
     /* 164405 */     GIR_EraseRootFromParent_Done,
     /* 164406 */   // Label 3590: @164406
     /* 164406 */   GIM_Try, /*On fail goto*//*Label 3591*/ GIMT_Encode4(164441), // Rule ID 1385 //
     /* 164411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 164414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 164418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 164422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 164426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 164430 */     // (fma:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, VR128:{ *:[v4f32] }:$src3)  =>  (VFMADDPS4rr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, VR128:{ *:[v4f32] }:$src3)
     /* 164430 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VFMADDPS4rr),
     /* 164435 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 164439 */     GIR_RootConstrainSelectedInstOperands,
     /* 164440 */     // GIR_Coverage, 1385,
     /* 164440 */     GIR_Done,
     /* 164441 */   // Label 3591: @164441
     /* 164441 */   GIM_Try, /*On fail goto*//*Label 3592*/ GIMT_Encode4(164478), // Rule ID 8470 //
     /* 164446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 164449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 164453 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 164457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 164461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 164465 */     // (fma:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src2, VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src3)  =>  (VFMADD213PSZ128r:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2, VR128X:{ *:[v4f32] }:$src3)
     /* 164465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSZ128r),
     /* 164468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164470 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 164472 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 164474 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 164476 */     GIR_RootConstrainSelectedInstOperands,
     /* 164477 */     // GIR_Coverage, 8470,
     /* 164477 */     GIR_EraseRootFromParent_Done,
     /* 164478 */   // Label 3592: @164478
     /* 164478 */   GIM_Reject,
     /* 164479 */ // Label 3580: @164479
     /* 164479 */ GIM_Reject,
     /* 164480 */ // Label 3528: @164480
     /* 164480 */ GIM_Try, /*On fail goto*//*Label 3593*/ GIMT_Encode4(165216),
     /* 164485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 164488 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 164491 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /* 164494 */   GIM_Try, /*On fail goto*//*Label 3594*/ GIMT_Encode4(164562), // Rule ID 1199 //
     /* 164499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 164502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 164510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 164514 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 164517 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 164521 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 164525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164535 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 164542 */     // (fma:{ *:[v4f64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2)  =>  (VFMADD132PDYm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 164542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PDYm),
     /* 164545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164547 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 164549 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 164551 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 164555 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 164560 */     GIR_RootConstrainSelectedInstOperands,
     /* 164561 */     // GIR_Coverage, 1199,
     /* 164561 */     GIR_EraseRootFromParent_Done,
     /* 164562 */   // Label 3594: @164562
     /* 164562 */   GIM_Try, /*On fail goto*//*Label 3595*/ GIMT_Encode4(164630), // Rule ID 9670 //
     /* 164567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 164570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 164574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 164578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 164582 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 164585 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 164589 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 164593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 164597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 164601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164603 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 164610 */     // (fma:{ *:[v4f64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2)  =>  (VFMADD132PDZ256m:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 164610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PDZ256m),
     /* 164613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164615 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 164617 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 164619 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 164623 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 164628 */     GIR_RootConstrainSelectedInstOperands,
     /* 164629 */     // GIR_Coverage, 9670,
     /* 164629 */     GIR_EraseRootFromParent_Done,
     /* 164630 */   // Label 3595: @164630
     /* 164630 */   GIM_Try, /*On fail goto*//*Label 3596*/ GIMT_Encode4(164698), // Rule ID 23316 //
     /* 164635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 164638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 164646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 164650 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 164653 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 164657 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 164661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164671 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 164678 */     // (fma:{ *:[v4f64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src3)  =>  (VFMADDPD4Ymr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2, VR256:{ *:[v4f64] }:$src3)
     /* 164678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPD4Ymr),
     /* 164681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164683 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 164685 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 164689 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 164691 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 164696 */     GIR_RootConstrainSelectedInstOperands,
     /* 164697 */     // GIR_Coverage, 23316,
     /* 164697 */     GIR_EraseRootFromParent_Done,
     /* 164698 */   // Label 3596: @164698
     /* 164698 */   GIM_Try, /*On fail goto*//*Label 3597*/ GIMT_Encode4(164766), // Rule ID 1197 //
     /* 164703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 164706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 164718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 164722 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 164725 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 164729 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 164733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164739 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 164746 */     // (fma:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src2, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4f64] }:$src1)  =>  (VFMADD231PDYm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 164746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PDYm),
     /* 164749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164751 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 164753 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 164755 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 164759 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 164764 */     GIR_RootConstrainSelectedInstOperands,
     /* 164765 */     // GIR_Coverage, 1197,
     /* 164765 */     GIR_EraseRootFromParent_Done,
     /* 164766 */   // Label 3597: @164766
     /* 164766 */   GIM_Try, /*On fail goto*//*Label 3598*/ GIMT_Encode4(164834), // Rule ID 1479 //
     /* 164771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 164774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 164786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 164790 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 164793 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 164797 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 164801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164807 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 164814 */     // (fma:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4f64] }:$src3)  =>  (VFMADDPD4Ymr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2, VR256:{ *:[v4f64] }:$src3)
     /* 164814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPD4Ymr),
     /* 164817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164819 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 164821 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 164825 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 164827 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 164832 */     GIR_RootConstrainSelectedInstOperands,
     /* 164833 */     // GIR_Coverage, 1479,
     /* 164833 */     GIR_EraseRootFromParent_Done,
     /* 164834 */   // Label 3598: @164834
     /* 164834 */   GIM_Try, /*On fail goto*//*Label 3599*/ GIMT_Encode4(164902), // Rule ID 9130 //
     /* 164839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 164842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 164846 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 164850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 164854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 164858 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 164861 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 164865 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 164869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 164873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164875 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 164882 */     // (fma:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src2, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v4f64] }:$src1)  =>  (VFMADD231PDZ256m:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 164882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PDZ256m),
     /* 164885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164887 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 164889 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 164891 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 164895 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 164900 */     GIR_RootConstrainSelectedInstOperands,
     /* 164901 */     // GIR_Coverage, 9130,
     /* 164901 */     GIR_EraseRootFromParent_Done,
     /* 164902 */   // Label 3599: @164902
     /* 164902 */   GIM_Try, /*On fail goto*//*Label 3600*/ GIMT_Encode4(164970), // Rule ID 1195 //
     /* 164907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 164910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164914 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 164926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 164930 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 164933 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 164937 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 164941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164943 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 164950 */     // (fma:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src2, VR256:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PDYm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 164950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDYm),
     /* 164953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164955 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 164957 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 164959 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 164963 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 164968 */     GIR_RootConstrainSelectedInstOperands,
     /* 164969 */     // GIR_Coverage, 1195,
     /* 164969 */     GIR_EraseRootFromParent_Done,
     /* 164970 */   // Label 3600: @164970
     /* 164970 */   GIM_Try, /*On fail goto*//*Label 3601*/ GIMT_Encode4(165038), // Rule ID 1477 //
     /* 164975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 164978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 164994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 164998 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 165001 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 165005 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 165009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 165011 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 165018 */     // (fma:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADDPD4Yrm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 165018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPD4Yrm),
     /* 165021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 165023 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 165025 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 165027 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 165031 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 165036 */     GIR_RootConstrainSelectedInstOperands,
     /* 165037 */     // GIR_Coverage, 1477,
     /* 165037 */     GIR_EraseRootFromParent_Done,
     /* 165038 */   // Label 3601: @165038
     /* 165038 */   GIM_Try, /*On fail goto*//*Label 3602*/ GIMT_Encode4(165106), // Rule ID 8501 //
     /* 165043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 165046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 165050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 165054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 165058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 165062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 165066 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 165069 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 165073 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 165077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 165079 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 165086 */     // (fma:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src2, VR256X:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PDZ256m:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 165086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDZ256m),
     /* 165089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 165091 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 165093 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 165095 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 165099 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 165104 */     GIR_RootConstrainSelectedInstOperands,
     /* 165105 */     // GIR_Coverage, 8501,
     /* 165105 */     GIR_EraseRootFromParent_Done,
     /* 165106 */   // Label 3602: @165106
     /* 165106 */   GIM_Try, /*On fail goto*//*Label 3603*/ GIMT_Encode4(165143), // Rule ID 1193 //
     /* 165111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 165114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165130 */     // (fma:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src2, VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src3)  =>  (VFMADD213PDYr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2, VR256:{ *:[v4f64] }:$src3)
     /* 165130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDYr),
     /* 165133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 165135 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 165137 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 165139 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 165141 */     GIR_RootConstrainSelectedInstOperands,
     /* 165142 */     // GIR_Coverage, 1193,
     /* 165142 */     GIR_EraseRootFromParent_Done,
     /* 165143 */   // Label 3603: @165143
     /* 165143 */   GIM_Try, /*On fail goto*//*Label 3604*/ GIMT_Encode4(165178), // Rule ID 1475 //
     /* 165148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 165151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165155 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165167 */     // (fma:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2, VR256:{ *:[v4f64] }:$src3)  =>  (VFMADDPD4Yrr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2, VR256:{ *:[v4f64] }:$src3)
     /* 165167 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VFMADDPD4Yrr),
     /* 165172 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 165176 */     GIR_RootConstrainSelectedInstOperands,
     /* 165177 */     // GIR_Coverage, 1475,
     /* 165177 */     GIR_Done,
     /* 165178 */   // Label 3604: @165178
     /* 165178 */   GIM_Try, /*On fail goto*//*Label 3605*/ GIMT_Encode4(165215), // Rule ID 8497 //
     /* 165183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 165186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 165190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 165194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 165198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 165202 */     // (fma:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src2, VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src3)  =>  (VFMADD213PDZ256r:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2, VR256X:{ *:[v4f64] }:$src3)
     /* 165202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDZ256r),
     /* 165205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 165207 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 165209 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 165211 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 165213 */     GIR_RootConstrainSelectedInstOperands,
     /* 165214 */     // GIR_Coverage, 8497,
     /* 165214 */     GIR_EraseRootFromParent_Done,
     /* 165215 */   // Label 3605: @165215
     /* 165215 */   GIM_Reject,
     /* 165216 */ // Label 3593: @165216
     /* 165216 */ GIM_Reject,
     /* 165217 */ // Label 3529: @165217
     /* 165217 */ GIM_Try, /*On fail goto*//*Label 3606*/ GIMT_Encode4(165461),
     /* 165222 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 165225 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 165228 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 165231 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 165235 */   GIM_Try, /*On fail goto*//*Label 3607*/ GIMT_Encode4(165299), // Rule ID 9616 //
     /* 165240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 165243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 165247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 165251 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 165254 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 165258 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 165262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 165266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 165270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 165272 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 165279 */     // (fma:{ *:[v8f16] } (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2)  =>  (VFMADD132PHZ128m:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 165279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PHZ128m),
     /* 165282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 165284 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 165286 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 165288 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 165292 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 165297 */     GIR_RootConstrainSelectedInstOperands,
     /* 165298 */     // GIR_Coverage, 9616,
     /* 165298 */     GIR_EraseRootFromParent_Done,
     /* 165299 */   // Label 3607: @165299
     /* 165299 */   GIM_Try, /*On fail goto*//*Label 3608*/ GIMT_Encode4(165363), // Rule ID 9076 //
     /* 165304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 165307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 165311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 165315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 165319 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 165322 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 165326 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 165330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 165334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 165336 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 165343 */     // (fma:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src2, (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8f16] }:$src1)  =>  (VFMADD231PHZ128m:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 165343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PHZ128m),
     /* 165346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 165348 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 165350 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 165352 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 165356 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 165361 */     GIR_RootConstrainSelectedInstOperands,
     /* 165362 */     // GIR_Coverage, 9076,
     /* 165362 */     GIR_EraseRootFromParent_Done,
     /* 165363 */   // Label 3608: @165363
     /* 165363 */   GIM_Try, /*On fail goto*//*Label 3609*/ GIMT_Encode4(165427), // Rule ID 8435 //
     /* 165368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 165371 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 165375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 165379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 165383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 165387 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 165390 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 165394 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 165398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 165400 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 165407 */     // (fma:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src2, VR128X:{ *:[v8f16] }:$src1, (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PHZ128m:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 165407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PHZ128m),
     /* 165410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 165412 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 165414 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 165416 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 165420 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 165425 */     GIR_RootConstrainSelectedInstOperands,
     /* 165426 */     // GIR_Coverage, 8435,
     /* 165426 */     GIR_EraseRootFromParent_Done,
     /* 165427 */   // Label 3609: @165427
     /* 165427 */   GIM_Try, /*On fail goto*//*Label 3610*/ GIMT_Encode4(165460), // Rule ID 8431 //
     /* 165432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 165435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 165439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 165443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 165447 */     // (fma:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src2, VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src3)  =>  (VFMADD213PHZ128r:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2, VR128X:{ *:[v8f16] }:$src3)
     /* 165447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PHZ128r),
     /* 165450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 165452 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 165454 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 165456 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 165458 */     GIR_RootConstrainSelectedInstOperands,
     /* 165459 */     // GIR_Coverage, 8431,
     /* 165459 */     GIR_EraseRootFromParent_Done,
     /* 165460 */   // Label 3610: @165460
     /* 165460 */   GIM_Reject,
     /* 165461 */ // Label 3606: @165461
     /* 165461 */ GIM_Reject,
     /* 165462 */ // Label 3530: @165462
     /* 165462 */ GIM_Try, /*On fail goto*//*Label 3611*/ GIMT_Encode4(166198),
     /* 165467 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 165470 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 165473 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 165476 */   GIM_Try, /*On fail goto*//*Label 3612*/ GIMT_Encode4(165544), // Rule ID 1151 //
     /* 165481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 165484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 165492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 165496 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 165499 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 165503 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 165507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 165517 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 165524 */     // (fma:{ *:[v8f32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2)  =>  (VFMADD132PSYm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 165524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PSYm),
     /* 165527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 165529 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 165531 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 165533 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 165537 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 165542 */     GIR_RootConstrainSelectedInstOperands,
     /* 165543 */     // GIR_Coverage, 1151,
     /* 165543 */     GIR_EraseRootFromParent_Done,
     /* 165544 */   // Label 3612: @165544
     /* 165544 */   GIM_Try, /*On fail goto*//*Label 3613*/ GIMT_Encode4(165612), // Rule ID 9638 //
     /* 165549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 165552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 165556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 165560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 165564 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 165567 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 165571 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 165575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 165579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 165583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 165585 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 165592 */     // (fma:{ *:[v8f32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2)  =>  (VFMADD132PSZ256m:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 165592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PSZ256m),
     /* 165595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 165597 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 165599 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 165601 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 165605 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 165610 */     GIR_RootConstrainSelectedInstOperands,
     /* 165611 */     // GIR_Coverage, 9638,
     /* 165611 */     GIR_EraseRootFromParent_Done,
     /* 165612 */   // Label 3613: @165612
     /* 165612 */   GIM_Try, /*On fail goto*//*Label 3614*/ GIMT_Encode4(165680), // Rule ID 23288 //
     /* 165617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 165620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 165628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 165632 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 165635 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 165639 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 165643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 165653 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 165660 */     // (fma:{ *:[v8f32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src3)  =>  (VFMADDPS4Ymr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2, VR256:{ *:[v8f32] }:$src3)
     /* 165660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPS4Ymr),
     /* 165663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 165665 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 165667 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 165671 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 165673 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 165678 */     GIR_RootConstrainSelectedInstOperands,
     /* 165679 */     // GIR_Coverage, 23288,
     /* 165679 */     GIR_EraseRootFromParent_Done,
     /* 165680 */   // Label 3614: @165680
     /* 165680 */   GIM_Try, /*On fail goto*//*Label 3615*/ GIMT_Encode4(165748), // Rule ID 1149 //
     /* 165685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 165688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 165700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 165704 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 165707 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 165711 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 165715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 165721 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 165728 */     // (fma:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src2, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8f32] }:$src1)  =>  (VFMADD231PSYm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 165728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PSYm),
     /* 165731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 165733 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 165735 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 165737 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 165741 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 165746 */     GIR_RootConstrainSelectedInstOperands,
     /* 165747 */     // GIR_Coverage, 1149,
     /* 165747 */     GIR_EraseRootFromParent_Done,
     /* 165748 */   // Label 3615: @165748
     /* 165748 */   GIM_Try, /*On fail goto*//*Label 3616*/ GIMT_Encode4(165816), // Rule ID 1395 //
     /* 165753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 165756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 165768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 165772 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 165775 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 165779 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 165783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 165789 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 165796 */     // (fma:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8f32] }:$src3)  =>  (VFMADDPS4Ymr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2, VR256:{ *:[v8f32] }:$src3)
     /* 165796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPS4Ymr),
     /* 165799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 165801 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 165803 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 165807 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 165809 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 165814 */     GIR_RootConstrainSelectedInstOperands,
     /* 165815 */     // GIR_Coverage, 1395,
     /* 165815 */     GIR_EraseRootFromParent_Done,
     /* 165816 */   // Label 3616: @165816
     /* 165816 */   GIM_Try, /*On fail goto*//*Label 3617*/ GIMT_Encode4(165884), // Rule ID 9098 //
     /* 165821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 165824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 165828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 165832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 165836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 165840 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 165843 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 165847 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 165851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 165855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 165857 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 165864 */     // (fma:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src2, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v8f32] }:$src1)  =>  (VFMADD231PSZ256m:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 165864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PSZ256m),
     /* 165867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 165869 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 165871 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 165873 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 165877 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 165882 */     GIR_RootConstrainSelectedInstOperands,
     /* 165883 */     // GIR_Coverage, 9098,
     /* 165883 */     GIR_EraseRootFromParent_Done,
     /* 165884 */   // Label 3617: @165884
     /* 165884 */   GIM_Try, /*On fail goto*//*Label 3618*/ GIMT_Encode4(165952), // Rule ID 1147 //
     /* 165889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 165892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 165908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 165912 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 165915 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 165919 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 165923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 165925 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 165932 */     // (fma:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src2, VR256:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PSYm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 165932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSYm),
     /* 165935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 165937 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 165939 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 165941 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 165945 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 165950 */     GIR_RootConstrainSelectedInstOperands,
     /* 165951 */     // GIR_Coverage, 1147,
     /* 165951 */     GIR_EraseRootFromParent_Done,
     /* 165952 */   // Label 3618: @165952
     /* 165952 */   GIM_Try, /*On fail goto*//*Label 3619*/ GIMT_Encode4(166020), // Rule ID 1393 //
     /* 165957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 165960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165964 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 165976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 165980 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 165983 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 165987 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 165991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 165993 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 166000 */     // (fma:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADDPS4Yrm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 166000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPS4Yrm),
     /* 166003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 166005 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 166007 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 166009 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 166013 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 166018 */     GIR_RootConstrainSelectedInstOperands,
     /* 166019 */     // GIR_Coverage, 1393,
     /* 166019 */     GIR_EraseRootFromParent_Done,
     /* 166020 */   // Label 3619: @166020
     /* 166020 */   GIM_Try, /*On fail goto*//*Label 3620*/ GIMT_Encode4(166088), // Rule ID 8462 //
     /* 166025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 166028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 166032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 166036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 166040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 166044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 166048 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 166051 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 166055 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 166059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166061 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 166068 */     // (fma:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src2, VR256X:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PSZ256m:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 166068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSZ256m),
     /* 166071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 166073 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 166075 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 166077 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 166081 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 166086 */     GIR_RootConstrainSelectedInstOperands,
     /* 166087 */     // GIR_Coverage, 8462,
     /* 166087 */     GIR_EraseRootFromParent_Done,
     /* 166088 */   // Label 3620: @166088
     /* 166088 */   GIM_Try, /*On fail goto*//*Label 3621*/ GIMT_Encode4(166125), // Rule ID 1145 //
     /* 166093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 166096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 166100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 166104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 166108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 166112 */     // (fma:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src2, VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src3)  =>  (VFMADD213PSYr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2, VR256:{ *:[v8f32] }:$src3)
     /* 166112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSYr),
     /* 166115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 166117 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 166119 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 166121 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 166123 */     GIR_RootConstrainSelectedInstOperands,
     /* 166124 */     // GIR_Coverage, 1145,
     /* 166124 */     GIR_EraseRootFromParent_Done,
     /* 166125 */   // Label 3621: @166125
     /* 166125 */   GIM_Try, /*On fail goto*//*Label 3622*/ GIMT_Encode4(166160), // Rule ID 1391 //
     /* 166130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 166133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 166137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 166141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 166145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 166149 */     // (fma:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2, VR256:{ *:[v8f32] }:$src3)  =>  (VFMADDPS4Yrr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2, VR256:{ *:[v8f32] }:$src3)
     /* 166149 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VFMADDPS4Yrr),
     /* 166154 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 166158 */     GIR_RootConstrainSelectedInstOperands,
     /* 166159 */     // GIR_Coverage, 1391,
     /* 166159 */     GIR_Done,
     /* 166160 */   // Label 3622: @166160
     /* 166160 */   GIM_Try, /*On fail goto*//*Label 3623*/ GIMT_Encode4(166197), // Rule ID 8458 //
     /* 166165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 166168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 166172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 166176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 166180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 166184 */     // (fma:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src2, VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src3)  =>  (VFMADD213PSZ256r:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2, VR256X:{ *:[v8f32] }:$src3)
     /* 166184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSZ256r),
     /* 166187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 166189 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 166191 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 166193 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 166195 */     GIR_RootConstrainSelectedInstOperands,
     /* 166196 */     // GIR_Coverage, 8458,
     /* 166196 */     GIR_EraseRootFromParent_Done,
     /* 166197 */   // Label 3623: @166197
     /* 166197 */   GIM_Reject,
     /* 166198 */ // Label 3611: @166198
     /* 166198 */ GIM_Reject,
     /* 166199 */ // Label 3531: @166199
     /* 166199 */ GIM_Try, /*On fail goto*//*Label 3624*/ GIMT_Encode4(166443),
     /* 166204 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 166207 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /* 166210 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s64,
     /* 166213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166217 */   GIM_Try, /*On fail goto*//*Label 3625*/ GIMT_Encode4(166281), // Rule ID 9658 //
     /* 166222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 166225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 166229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 166233 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 166236 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 166240 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 166244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166252 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166254 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 166261 */     // (fma:{ *:[v8f64] } (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2)  =>  (VFMADD132PDZm:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 166261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PDZm),
     /* 166264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 166266 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 166268 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 166270 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 166274 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 166279 */     GIR_RootConstrainSelectedInstOperands,
     /* 166280 */     // GIR_Coverage, 9658,
     /* 166280 */     GIR_EraseRootFromParent_Done,
     /* 166281 */   // Label 3625: @166281
     /* 166281 */   GIM_Try, /*On fail goto*//*Label 3626*/ GIMT_Encode4(166345), // Rule ID 9118 //
     /* 166286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 166289 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 166297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 166301 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 166304 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 166308 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 166312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166318 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 166325 */     // (fma:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src2, (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v8f64] }:$src1)  =>  (VFMADD231PDZm:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 166325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PDZm),
     /* 166328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 166330 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 166332 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 166334 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 166338 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 166343 */     GIR_RootConstrainSelectedInstOperands,
     /* 166344 */     // GIR_Coverage, 9118,
     /* 166344 */     GIR_EraseRootFromParent_Done,
     /* 166345 */   // Label 3626: @166345
     /* 166345 */   GIM_Try, /*On fail goto*//*Label 3627*/ GIMT_Encode4(166409), // Rule ID 8486 //
     /* 166350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 166353 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 166365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 166369 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 166372 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 166376 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 166380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166382 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 166389 */     // (fma:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src2, VR512:{ *:[v8f64] }:$src1, (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PDZm:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 166389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDZm),
     /* 166392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 166394 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 166396 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 166398 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 166402 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 166407 */     GIR_RootConstrainSelectedInstOperands,
     /* 166408 */     // GIR_Coverage, 8486,
     /* 166408 */     GIR_EraseRootFromParent_Done,
     /* 166409 */   // Label 3627: @166409
     /* 166409 */   GIM_Try, /*On fail goto*//*Label 3628*/ GIMT_Encode4(166442), // Rule ID 8482 //
     /* 166414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 166417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166429 */     // (fma:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src2, VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src3)  =>  (VFMADD213PDZr:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2, VR512:{ *:[v8f64] }:$src3)
     /* 166429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDZr),
     /* 166432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 166434 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 166436 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 166438 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 166440 */     GIR_RootConstrainSelectedInstOperands,
     /* 166441 */     // GIR_Coverage, 8482,
     /* 166441 */     GIR_EraseRootFromParent_Done,
     /* 166442 */   // Label 3628: @166442
     /* 166442 */   GIM_Reject,
     /* 166443 */ // Label 3624: @166443
     /* 166443 */ GIM_Reject,
     /* 166444 */ // Label 3532: @166444
     /* 166444 */ GIM_Try, /*On fail goto*//*Label 3629*/ GIMT_Encode4(166688),
     /* 166449 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 166452 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 166455 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /* 166458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 166462 */   GIM_Try, /*On fail goto*//*Label 3630*/ GIMT_Encode4(166526), // Rule ID 9606 //
     /* 166467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 166470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 166474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 166478 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 166481 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 166485 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 166489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 166493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 166497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166499 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 166506 */     // (fma:{ *:[v16f16] } (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2)  =>  (VFMADD132PHZ256m:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 166506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PHZ256m),
     /* 166509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 166511 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 166513 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 166515 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 166519 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 166524 */     GIR_RootConstrainSelectedInstOperands,
     /* 166525 */     // GIR_Coverage, 9606,
     /* 166525 */     GIR_EraseRootFromParent_Done,
     /* 166526 */   // Label 3630: @166526
     /* 166526 */   GIM_Try, /*On fail goto*//*Label 3631*/ GIMT_Encode4(166590), // Rule ID 9066 //
     /* 166531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 166534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 166538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 166542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 166546 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 166549 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 166553 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 166557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 166561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166563 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 166570 */     // (fma:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src2, (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16f16] }:$src1)  =>  (VFMADD231PHZ256m:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 166570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PHZ256m),
     /* 166573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 166575 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 166577 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 166579 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 166583 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 166588 */     GIR_RootConstrainSelectedInstOperands,
     /* 166589 */     // GIR_Coverage, 9066,
     /* 166589 */     GIR_EraseRootFromParent_Done,
     /* 166590 */   // Label 3631: @166590
     /* 166590 */   GIM_Try, /*On fail goto*//*Label 3632*/ GIMT_Encode4(166654), // Rule ID 8423 //
     /* 166595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 166598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 166602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 166606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 166610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 166614 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 166617 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 166621 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 166625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166627 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 166634 */     // (fma:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src2, VR256X:{ *:[v16f16] }:$src1, (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PHZ256m:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 166634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PHZ256m),
     /* 166637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 166639 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 166641 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 166643 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 166647 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 166652 */     GIR_RootConstrainSelectedInstOperands,
     /* 166653 */     // GIR_Coverage, 8423,
     /* 166653 */     GIR_EraseRootFromParent_Done,
     /* 166654 */   // Label 3632: @166654
     /* 166654 */   GIM_Try, /*On fail goto*//*Label 3633*/ GIMT_Encode4(166687), // Rule ID 8419 //
     /* 166659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 166662 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 166666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 166670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 166674 */     // (fma:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src2, VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src3)  =>  (VFMADD213PHZ256r:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2, VR256X:{ *:[v16f16] }:$src3)
     /* 166674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PHZ256r),
     /* 166677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 166679 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 166681 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 166683 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 166685 */     GIR_RootConstrainSelectedInstOperands,
     /* 166686 */     // GIR_Coverage, 8419,
     /* 166686 */     GIR_EraseRootFromParent_Done,
     /* 166687 */   // Label 3633: @166687
     /* 166687 */   GIM_Reject,
     /* 166688 */ // Label 3629: @166688
     /* 166688 */ GIM_Reject,
     /* 166689 */ // Label 3533: @166689
     /* 166689 */ GIM_Try, /*On fail goto*//*Label 3634*/ GIMT_Encode4(166933),
     /* 166694 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 166697 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 166700 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s32,
     /* 166703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166707 */   GIM_Try, /*On fail goto*//*Label 3635*/ GIMT_Encode4(166771), // Rule ID 9626 //
     /* 166712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 166715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 166719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 166723 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 166726 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 166730 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 166734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166744 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 166751 */     // (fma:{ *:[v16f32] } (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2)  =>  (VFMADD132PSZm:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 166751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PSZm),
     /* 166754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 166756 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 166758 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 166760 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 166764 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 166769 */     GIR_RootConstrainSelectedInstOperands,
     /* 166770 */     // GIR_Coverage, 9626,
     /* 166770 */     GIR_EraseRootFromParent_Done,
     /* 166771 */   // Label 3635: @166771
     /* 166771 */   GIM_Try, /*On fail goto*//*Label 3636*/ GIMT_Encode4(166835), // Rule ID 9086 //
     /* 166776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 166779 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 166787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 166791 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 166794 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 166798 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 166802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166806 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166808 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 166815 */     // (fma:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src2, (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v16f32] }:$src1)  =>  (VFMADD231PSZm:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 166815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PSZm),
     /* 166818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 166820 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 166822 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 166824 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 166828 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 166833 */     GIR_RootConstrainSelectedInstOperands,
     /* 166834 */     // GIR_Coverage, 9086,
     /* 166834 */     GIR_EraseRootFromParent_Done,
     /* 166835 */   // Label 3636: @166835
     /* 166835 */   GIM_Try, /*On fail goto*//*Label 3637*/ GIMT_Encode4(166899), // Rule ID 8447 //
     /* 166840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 166843 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 166855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 166859 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 166862 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 166866 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 166870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166872 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 166879 */     // (fma:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src2, VR512:{ *:[v16f32] }:$src1, (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PSZm:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 166879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSZm),
     /* 166882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 166884 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 166886 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 166888 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 166892 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 166897 */     GIR_RootConstrainSelectedInstOperands,
     /* 166898 */     // GIR_Coverage, 8447,
     /* 166898 */     GIR_EraseRootFromParent_Done,
     /* 166899 */   // Label 3637: @166899
     /* 166899 */   GIM_Try, /*On fail goto*//*Label 3638*/ GIMT_Encode4(166932), // Rule ID 8443 //
     /* 166904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 166907 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166919 */     // (fma:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src2, VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src3)  =>  (VFMADD213PSZr:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2, VR512:{ *:[v16f32] }:$src3)
     /* 166919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSZr),
     /* 166922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 166924 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 166926 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 166928 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 166930 */     GIR_RootConstrainSelectedInstOperands,
     /* 166931 */     // GIR_Coverage, 8443,
     /* 166931 */     GIR_EraseRootFromParent_Done,
     /* 166932 */   // Label 3638: @166932
     /* 166932 */   GIM_Reject,
     /* 166933 */ // Label 3634: @166933
     /* 166933 */ GIM_Reject,
     /* 166934 */ // Label 3534: @166934
     /* 166934 */ GIM_Try, /*On fail goto*//*Label 3639*/ GIMT_Encode4(167178),
     /* 166939 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 166942 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 166945 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v32s16,
     /* 166948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166952 */   GIM_Try, /*On fail goto*//*Label 3640*/ GIMT_Encode4(167016), // Rule ID 9594 //
     /* 166957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 166960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 166964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 166968 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 166971 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 166975 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 166979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166989 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 166996 */     // (fma:{ *:[v32f16] } (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2)  =>  (VFMADD132PHZm:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 166996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PHZm),
     /* 166999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167001 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 167003 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 167005 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 167009 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 167014 */     GIR_RootConstrainSelectedInstOperands,
     /* 167015 */     // GIR_Coverage, 9594,
     /* 167015 */     GIR_EraseRootFromParent_Done,
     /* 167016 */   // Label 3640: @167016
     /* 167016 */   GIM_Try, /*On fail goto*//*Label 3641*/ GIMT_Encode4(167080), // Rule ID 9054 //
     /* 167021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 167024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 167028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 167032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 167036 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 167039 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 167043 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 167047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 167051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167053 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 167060 */     // (fma:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src2, (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32f16] }:$src1)  =>  (VFMADD231PHZm:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 167060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PHZm),
     /* 167063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167065 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 167067 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 167069 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 167073 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 167078 */     GIR_RootConstrainSelectedInstOperands,
     /* 167079 */     // GIR_Coverage, 9054,
     /* 167079 */     GIR_EraseRootFromParent_Done,
     /* 167080 */   // Label 3641: @167080
     /* 167080 */   GIM_Try, /*On fail goto*//*Label 3642*/ GIMT_Encode4(167144), // Rule ID 8408 //
     /* 167085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 167088 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 167092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 167096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 167100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 167104 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 167107 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 167111 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 167115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167117 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 167124 */     // (fma:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src2, VR512:{ *:[v32f16] }:$src1, (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PHZm:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 167124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PHZm),
     /* 167127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167129 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 167131 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 167133 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 167137 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 167142 */     GIR_RootConstrainSelectedInstOperands,
     /* 167143 */     // GIR_Coverage, 8408,
     /* 167143 */     GIR_EraseRootFromParent_Done,
     /* 167144 */   // Label 3642: @167144
     /* 167144 */   GIM_Try, /*On fail goto*//*Label 3643*/ GIMT_Encode4(167177), // Rule ID 8404 //
     /* 167149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 167152 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 167156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 167160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 167164 */     // (fma:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src2, VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src3)  =>  (VFMADD213PHZr:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2, VR512:{ *:[v32f16] }:$src3)
     /* 167164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PHZr),
     /* 167167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167169 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 167171 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 167173 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 167175 */     GIR_RootConstrainSelectedInstOperands,
     /* 167176 */     // GIR_Coverage, 8404,
     /* 167176 */     GIR_EraseRootFromParent_Done,
     /* 167177 */   // Label 3643: @167177
     /* 167177 */   GIM_Reject,
     /* 167178 */ // Label 3639: @167178
     /* 167178 */ GIM_Reject,
     /* 167179 */ // Label 3535: @167179
     /* 167179 */ GIM_Reject,
     /* 167180 */ // Label 45: @167180
     /* 167180 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(23), /*)*//*default:*//*Label 3657*/ GIMT_Encode4(170597),
     /* 167191 */ /*GILLT_s16*//*Label 3644*/ GIMT_Encode4(167275),
     /* 167195 */ /*GILLT_s32*//*Label 3645*/ GIMT_Encode4(167373),
     /* 167199 */ /*GILLT_s64*//*Label 3646*/ GIMT_Encode4(168078),
     /* 167203 */ /*GILLT_s80*//*Label 3647*/ GIMT_Encode4(168927), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 167215 */ /*GILLT_v2s64*//*Label 3648*/ GIMT_Encode4(169249), GIMT_Encode4(0),
     /* 167223 */ /*GILLT_v4s32*//*Label 3649*/ GIMT_Encode4(169479),
     /* 167227 */ /*GILLT_v4s64*//*Label 3650*/ GIMT_Encode4(169709), GIMT_Encode4(0),
     /* 167235 */ /*GILLT_v8s16*//*Label 3651*/ GIMT_Encode4(169908),
     /* 167239 */ /*GILLT_v8s32*//*Label 3652*/ GIMT_Encode4(170006),
     /* 167243 */ /*GILLT_v8s64*//*Label 3653*/ GIMT_Encode4(170205), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 167255 */ /*GILLT_v16s16*//*Label 3654*/ GIMT_Encode4(170303),
     /* 167259 */ /*GILLT_v16s32*//*Label 3655*/ GIMT_Encode4(170401), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 167271 */ /*GILLT_v32s16*//*Label 3656*/ GIMT_Encode4(170499),
     /* 167275 */ // Label 3644: @167275
     /* 167275 */ GIM_Try, /*On fail goto*//*Label 3658*/ GIMT_Encode4(167372),
     /* 167280 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 167283 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 167286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 167290 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 167294 */   GIM_Try, /*On fail goto*//*Label 3659*/ GIMT_Encode4(167348), // Rule ID 6125 //
     /* 167299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 167302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 167306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 167310 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 167313 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 167317 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 167321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167323 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 167330 */     // (fdiv:{ *:[f16] } FR16X:{ *:[f16] }:$src1, (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVSHZrm:{ *:[f16] } FR16X:{ *:[f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 167330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVSHZrm),
     /* 167333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167335 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 167337 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 167341 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 167346 */     GIR_RootConstrainSelectedInstOperands,
     /* 167347 */     // GIR_Coverage, 6125,
     /* 167347 */     GIR_EraseRootFromParent_Done,
     /* 167348 */   // Label 3659: @167348
     /* 167348 */   GIM_Try, /*On fail goto*//*Label 3660*/ GIMT_Encode4(167371), // Rule ID 6123 //
     /* 167353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 167356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 167360 */     // (fdiv:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2)  =>  (VDIVSHZrr:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2)
     /* 167360 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVSHZrr),
     /* 167365 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 167369 */     GIR_RootConstrainSelectedInstOperands,
     /* 167370 */     // GIR_Coverage, 6123,
     /* 167370 */     GIR_Done,
     /* 167371 */   // Label 3660: @167371
     /* 167371 */   GIM_Reject,
     /* 167372 */ // Label 3658: @167372
     /* 167372 */ GIM_Reject,
     /* 167373 */ // Label 3645: @167373
     /* 167373 */ GIM_Try, /*On fail goto*//*Label 3661*/ GIMT_Encode4(168077),
     /* 167378 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 167381 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 167384 */   GIM_Try, /*On fail goto*//*Label 3662*/ GIMT_Encode4(167466), // Rule ID 22484 //
     /* 167389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 167392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 167396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 167400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 167404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 167408 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 167412 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 167416 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 167420 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 167423 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 167427 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 167434 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 167438 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 167440 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 167447 */     // (fdiv:{ *:[f32] } FR32:{ *:[f32] }:$src1, (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>))  =>  (DIVSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 167447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIVSSrm),
     /* 167450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167452 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 167454 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 167458 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 167464 */     GIR_RootConstrainSelectedInstOperands,
     /* 167465 */     // GIR_Coverage, 22484,
     /* 167465 */     GIR_EraseRootFromParent_Done,
     /* 167466 */   // Label 3662: @167466
     /* 167466 */   GIM_Try, /*On fail goto*//*Label 3663*/ GIMT_Encode4(167548), // Rule ID 22485 //
     /* 167471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 167474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 167478 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 167482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 167486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 167490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 167494 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 167498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 167502 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 167505 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 167509 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 167516 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 167520 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 167522 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 167529 */     // (fdiv:{ *:[f32] } FR32:{ *:[f32] }:$src1, (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>))  =>  (VDIVSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 167529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVSSrm),
     /* 167532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167534 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 167536 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 167540 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 167546 */     GIR_RootConstrainSelectedInstOperands,
     /* 167547 */     // GIR_Coverage, 22485,
     /* 167547 */     GIR_EraseRootFromParent_Done,
     /* 167548 */   // Label 3663: @167548
     /* 167548 */   GIM_Try, /*On fail goto*//*Label 3664*/ GIMT_Encode4(167630), // Rule ID 22486 //
     /* 167553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 167556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 167560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 167564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 167568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 167572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 167576 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 167580 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 167584 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 167587 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 167591 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 167598 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 167602 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 167604 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 167611 */     // (fdiv:{ *:[f32] } FR32X:{ *:[f32] }:$src1, (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>))  =>  (VDIVSSZrm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 167611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVSSZrm),
     /* 167614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167616 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 167618 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 167622 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 167628 */     GIR_RootConstrainSelectedInstOperands,
     /* 167629 */     // GIR_Coverage, 22486,
     /* 167629 */     GIR_EraseRootFromParent_Done,
     /* 167630 */   // Label 3664: @167630
     /* 167630 */   GIM_Try, /*On fail goto*//*Label 3665*/ GIMT_Encode4(167695), // Rule ID 1020 //
     /* 167635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 167638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 167642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 167646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 167650 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 167653 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 167657 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 167661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 167665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167667 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 167674 */     // (fdiv:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, RFP32:{ *:[f32] }:$src1)  =>  (DIVR_Fp32m:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 167674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIVR_Fp32m),
     /* 167677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167679 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 167681 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 167685 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 167688 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 167693 */     GIR_RootConstrainSelectedInstOperands,
     /* 167694 */     // GIR_Coverage, 1020,
     /* 167694 */     GIR_EraseRootFromParent_Done,
     /* 167695 */   // Label 3665: @167695
     /* 167695 */   GIM_Try, /*On fail goto*//*Label 3666*/ GIMT_Encode4(167760), // Rule ID 998 //
     /* 167700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 167703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 167707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 167711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 167715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 167719 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 167722 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 167726 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 167730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167732 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 167739 */     // (fdiv:{ *:[f32] } RFP32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (DIV_Fp32m:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 167739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIV_Fp32m),
     /* 167742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167744 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 167746 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 167750 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 167753 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 167758 */     GIR_RootConstrainSelectedInstOperands,
     /* 167759 */     // GIR_Coverage, 998,
     /* 167759 */     GIR_EraseRootFromParent_Done,
     /* 167760 */   // Label 3666: @167760
     /* 167760 */   GIM_Try, /*On fail goto*//*Label 3667*/ GIMT_Encode4(167822), // Rule ID 2280 //
     /* 167765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 167768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 167772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 167776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 167780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 167784 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 167787 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 167791 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 167795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167797 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 167804 */     // (fdiv:{ *:[f32] } FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 167804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVSSrm),
     /* 167807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167809 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 167811 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 167815 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 167820 */     GIR_RootConstrainSelectedInstOperands,
     /* 167821 */     // GIR_Coverage, 2280,
     /* 167821 */     GIR_EraseRootFromParent_Done,
     /* 167822 */   // Label 3667: @167822
     /* 167822 */   GIM_Try, /*On fail goto*//*Label 3668*/ GIMT_Encode4(167884), // Rule ID 2288 //
     /* 167827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 167830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 167834 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 167838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 167842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 167846 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 167849 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 167853 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 167857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167859 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 167866 */     // (fdiv:{ *:[f32] } FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (DIVSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 167866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIVSSrm),
     /* 167869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167871 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 167873 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 167877 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 167882 */     GIR_RootConstrainSelectedInstOperands,
     /* 167883 */     // GIR_Coverage, 2288,
     /* 167883 */     GIR_EraseRootFromParent_Done,
     /* 167884 */   // Label 3668: @167884
     /* 167884 */   GIM_Try, /*On fail goto*//*Label 3669*/ GIMT_Encode4(167946), // Rule ID 6087 //
     /* 167889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 167892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 167896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 167900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 167904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 167908 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 167911 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 167915 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 167919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167921 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 167928 */     // (fdiv:{ *:[f32] } FR32X:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVSSZrm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 167928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVSSZrm),
     /* 167931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167933 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 167935 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 167939 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 167944 */     GIR_RootConstrainSelectedInstOperands,
     /* 167945 */     // GIR_Coverage, 6087,
     /* 167945 */     GIR_EraseRootFromParent_Done,
     /* 167946 */   // Label 3669: @167946
     /* 167946 */   GIM_Try, /*On fail goto*//*Label 3670*/ GIMT_Encode4(167983), // Rule ID 904 //
     /* 167951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 167954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 167958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 167962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 167966 */     // (fdiv:{ *:[f32] } RFP32:{ *:[f32] }:$src1, RFP32:{ *:[f32] }:$src2)  =>  (DIV_Fp32:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, RFP32:{ *:[f32] }:$src2)
     /* 167966 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::DIV_Fp32),
     /* 167971 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 167977 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 167981 */     GIR_RootConstrainSelectedInstOperands,
     /* 167982 */     // GIR_Coverage, 904,
     /* 167982 */     GIR_Done,
     /* 167983 */   // Label 3670: @167983
     /* 167983 */   GIM_Try, /*On fail goto*//*Label 3671*/ GIMT_Encode4(168014), // Rule ID 2278 //
     /* 167988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 167991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 167995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 167999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 168003 */     // (fdiv:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)  =>  (VDIVSSrr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)
     /* 168003 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVSSrr),
     /* 168008 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 168012 */     GIR_RootConstrainSelectedInstOperands,
     /* 168013 */     // GIR_Coverage, 2278,
     /* 168013 */     GIR_Done,
     /* 168014 */   // Label 3671: @168014
     /* 168014 */   GIM_Try, /*On fail goto*//*Label 3672*/ GIMT_Encode4(168045), // Rule ID 2286 //
     /* 168019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 168022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 168026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 168030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 168034 */     // (fdiv:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)  =>  (DIVSSrr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)
     /* 168034 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::DIVSSrr),
     /* 168039 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 168043 */     GIR_RootConstrainSelectedInstOperands,
     /* 168044 */     // GIR_Coverage, 2286,
     /* 168044 */     GIR_Done,
     /* 168045 */   // Label 3672: @168045
     /* 168045 */   GIM_Try, /*On fail goto*//*Label 3673*/ GIMT_Encode4(168076), // Rule ID 6085 //
     /* 168050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 168053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 168057 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 168061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 168065 */     // (fdiv:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2)  =>  (VDIVSSZrr:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2)
     /* 168065 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVSSZrr),
     /* 168070 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 168074 */     GIR_RootConstrainSelectedInstOperands,
     /* 168075 */     // GIR_Coverage, 6085,
     /* 168075 */     GIR_Done,
     /* 168076 */   // Label 3673: @168076
     /* 168076 */   GIM_Reject,
     /* 168077 */ // Label 3661: @168077
     /* 168077 */ GIM_Reject,
     /* 168078 */ // Label 3646: @168078
     /* 168078 */ GIM_Try, /*On fail goto*//*Label 3674*/ GIMT_Encode4(168926),
     /* 168083 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 168086 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 168089 */   GIM_Try, /*On fail goto*//*Label 3675*/ GIMT_Encode4(168171), // Rule ID 22487 //
     /* 168094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 168097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 168101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 168105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 168109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 168113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 168117 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 168121 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 168125 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 168128 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 168132 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 168139 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 168143 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 168145 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 168152 */     // (fdiv:{ *:[f64] } FR64:{ *:[f64] }:$src1, (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>))  =>  (DIVSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 168152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIVSDrm),
     /* 168155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168157 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 168159 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 168163 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 168169 */     GIR_RootConstrainSelectedInstOperands,
     /* 168170 */     // GIR_Coverage, 22487,
     /* 168170 */     GIR_EraseRootFromParent_Done,
     /* 168171 */   // Label 3675: @168171
     /* 168171 */   GIM_Try, /*On fail goto*//*Label 3676*/ GIMT_Encode4(168253), // Rule ID 22488 //
     /* 168176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 168179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 168183 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 168187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 168191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 168195 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 168199 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 168203 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 168207 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 168210 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 168214 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 168221 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 168225 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 168227 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 168234 */     // (fdiv:{ *:[f64] } FR64:{ *:[f64] }:$src1, (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>))  =>  (VDIVSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 168234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVSDrm),
     /* 168237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168239 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 168241 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 168245 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 168251 */     GIR_RootConstrainSelectedInstOperands,
     /* 168252 */     // GIR_Coverage, 22488,
     /* 168252 */     GIR_EraseRootFromParent_Done,
     /* 168253 */   // Label 3676: @168253
     /* 168253 */   GIM_Try, /*On fail goto*//*Label 3677*/ GIMT_Encode4(168335), // Rule ID 22489 //
     /* 168258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 168261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 168265 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 168269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 168273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 168277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 168281 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 168285 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 168289 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 168292 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 168296 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 168303 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 168307 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 168309 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 168316 */     // (fdiv:{ *:[f64] } FR64X:{ *:[f64] }:$src1, (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>>))  =>  (VDIVSDZrm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 168316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVSDZrm),
     /* 168319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168321 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 168323 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 168327 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 168333 */     GIR_RootConstrainSelectedInstOperands,
     /* 168334 */     // GIR_Coverage, 22489,
     /* 168334 */     GIR_EraseRootFromParent_Done,
     /* 168335 */   // Label 3677: @168335
     /* 168335 */   GIM_Try, /*On fail goto*//*Label 3678*/ GIMT_Encode4(168400), // Rule ID 1022 //
     /* 168340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 168343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 168347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 168351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 168355 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 168358 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 168362 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 168366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 168370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 168372 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 168379 */     // (fdiv:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, RFP64:{ *:[f64] }:$src1)  =>  (DIVR_Fp64m:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 168379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIVR_Fp64m),
     /* 168382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168384 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 168386 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 168390 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 168393 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 168398 */     GIR_RootConstrainSelectedInstOperands,
     /* 168399 */     // GIR_Coverage, 1022,
     /* 168399 */     GIR_EraseRootFromParent_Done,
     /* 168400 */   // Label 3678: @168400
     /* 168400 */   GIM_Try, /*On fail goto*//*Label 3679*/ GIMT_Encode4(168472), // Rule ID 1024 //
     /* 168405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 168408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 168412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 168416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 168420 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 168423 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 168427 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 168434 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 168438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 168442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 168444 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 168451 */     // (fdiv:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>, RFP64:{ *:[f64] }:$src1)  =>  (DIVR_Fp64m32:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 168451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIVR_Fp64m32),
     /* 168454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168456 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 168458 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 168462 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 168465 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 168470 */     GIR_RootConstrainSelectedInstOperands,
     /* 168471 */     // GIR_Coverage, 1024,
     /* 168471 */     GIR_EraseRootFromParent_Done,
     /* 168472 */   // Label 3679: @168472
     /* 168472 */   GIM_Try, /*On fail goto*//*Label 3680*/ GIMT_Encode4(168537), // Rule ID 1000 //
     /* 168477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 168480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 168484 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 168488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 168492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 168496 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 168499 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 168503 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 168507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 168509 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 168516 */     // (fdiv:{ *:[f64] } RFP64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (DIV_Fp64m:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 168516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIV_Fp64m),
     /* 168519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168521 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 168523 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 168527 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 168530 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 168535 */     GIR_RootConstrainSelectedInstOperands,
     /* 168536 */     // GIR_Coverage, 1000,
     /* 168536 */     GIR_EraseRootFromParent_Done,
     /* 168537 */   // Label 3680: @168537
     /* 168537 */   GIM_Try, /*On fail goto*//*Label 3681*/ GIMT_Encode4(168609), // Rule ID 1002 //
     /* 168542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 168545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 168549 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 168553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 168557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 168561 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 168564 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 168568 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 168575 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 168579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 168581 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 168588 */     // (fdiv:{ *:[f64] } RFP64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>)  =>  (DIV_Fp64m32:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 168588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIV_Fp64m32),
     /* 168591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168593 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 168595 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 168599 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 168602 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 168607 */     GIR_RootConstrainSelectedInstOperands,
     /* 168608 */     // GIR_Coverage, 1002,
     /* 168608 */     GIR_EraseRootFromParent_Done,
     /* 168609 */   // Label 3681: @168609
     /* 168609 */   GIM_Try, /*On fail goto*//*Label 3682*/ GIMT_Encode4(168671), // Rule ID 2284 //
     /* 168614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 168617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 168621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 168625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 168629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 168633 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 168636 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 168640 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 168644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 168646 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 168653 */     // (fdiv:{ *:[f64] } FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 168653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVSDrm),
     /* 168656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168658 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 168660 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 168664 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 168669 */     GIR_RootConstrainSelectedInstOperands,
     /* 168670 */     // GIR_Coverage, 2284,
     /* 168670 */     GIR_EraseRootFromParent_Done,
     /* 168671 */   // Label 3682: @168671
     /* 168671 */   GIM_Try, /*On fail goto*//*Label 3683*/ GIMT_Encode4(168733), // Rule ID 2292 //
     /* 168676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 168679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 168683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 168687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 168691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 168695 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 168698 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 168702 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 168706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 168708 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 168715 */     // (fdiv:{ *:[f64] } FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (DIVSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 168715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIVSDrm),
     /* 168718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168720 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 168722 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 168726 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 168731 */     GIR_RootConstrainSelectedInstOperands,
     /* 168732 */     // GIR_Coverage, 2292,
     /* 168732 */     GIR_EraseRootFromParent_Done,
     /* 168733 */   // Label 3683: @168733
     /* 168733 */   GIM_Try, /*On fail goto*//*Label 3684*/ GIMT_Encode4(168795), // Rule ID 6106 //
     /* 168738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 168741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 168745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 168749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 168753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 168757 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 168760 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 168764 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 168768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 168770 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 168777 */     // (fdiv:{ *:[f64] } FR64X:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVSDZrm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 168777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVSDZrm),
     /* 168780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168782 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 168784 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 168788 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 168793 */     GIR_RootConstrainSelectedInstOperands,
     /* 168794 */     // GIR_Coverage, 6106,
     /* 168794 */     GIR_EraseRootFromParent_Done,
     /* 168795 */   // Label 3684: @168795
     /* 168795 */   GIM_Try, /*On fail goto*//*Label 3685*/ GIMT_Encode4(168832), // Rule ID 906 //
     /* 168800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 168803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 168807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 168811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 168815 */     // (fdiv:{ *:[f64] } RFP64:{ *:[f64] }:$src1, RFP64:{ *:[f64] }:$src2)  =>  (DIV_Fp64:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, RFP64:{ *:[f64] }:$src2)
     /* 168815 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::DIV_Fp64),
     /* 168820 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 168826 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 168830 */     GIR_RootConstrainSelectedInstOperands,
     /* 168831 */     // GIR_Coverage, 906,
     /* 168831 */     GIR_Done,
     /* 168832 */   // Label 3685: @168832
     /* 168832 */   GIM_Try, /*On fail goto*//*Label 3686*/ GIMT_Encode4(168863), // Rule ID 2282 //
     /* 168837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 168840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 168844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 168848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 168852 */     // (fdiv:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)  =>  (VDIVSDrr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)
     /* 168852 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVSDrr),
     /* 168857 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 168861 */     GIR_RootConstrainSelectedInstOperands,
     /* 168862 */     // GIR_Coverage, 2282,
     /* 168862 */     GIR_Done,
     /* 168863 */   // Label 3686: @168863
     /* 168863 */   GIM_Try, /*On fail goto*//*Label 3687*/ GIMT_Encode4(168894), // Rule ID 2290 //
     /* 168868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 168871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 168875 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 168879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 168883 */     // (fdiv:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)  =>  (DIVSDrr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)
     /* 168883 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::DIVSDrr),
     /* 168888 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 168892 */     GIR_RootConstrainSelectedInstOperands,
     /* 168893 */     // GIR_Coverage, 2290,
     /* 168893 */     GIR_Done,
     /* 168894 */   // Label 3687: @168894
     /* 168894 */   GIM_Try, /*On fail goto*//*Label 3688*/ GIMT_Encode4(168925), // Rule ID 6104 //
     /* 168899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 168902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 168906 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 168910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 168914 */     // (fdiv:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2)  =>  (VDIVSDZrr:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2)
     /* 168914 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVSDZrr),
     /* 168919 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 168923 */     GIR_RootConstrainSelectedInstOperands,
     /* 168924 */     // GIR_Coverage, 6104,
     /* 168924 */     GIR_Done,
     /* 168925 */   // Label 3688: @168925
     /* 168925 */   GIM_Reject,
     /* 168926 */ // Label 3674: @168926
     /* 168926 */ GIM_Reject,
     /* 168927 */ // Label 3647: @168927
     /* 168927 */ GIM_Try, /*On fail goto*//*Label 3689*/ GIMT_Encode4(169248),
     /* 168932 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s80,
     /* 168935 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s80,
     /* 168938 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 168942 */   GIM_Try, /*On fail goto*//*Label 3690*/ GIMT_Encode4(169010), // Rule ID 1026 //
     /* 168947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 168950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 168954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 168958 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 168961 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 168965 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 168972 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 168976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 168980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 168982 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 168989 */     // (fdiv:{ *:[f80] } (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>, RFP80:{ *:[f80] }:$src1)  =>  (DIVR_Fp80m32:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 168989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIVR_Fp80m32),
     /* 168992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168994 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 168996 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 169000 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 169003 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 169008 */     GIR_RootConstrainSelectedInstOperands,
     /* 169009 */     // GIR_Coverage, 1026,
     /* 169009 */     GIR_EraseRootFromParent_Done,
     /* 169010 */   // Label 3690: @169010
     /* 169010 */   GIM_Try, /*On fail goto*//*Label 3691*/ GIMT_Encode4(169078), // Rule ID 1028 //
     /* 169015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 169018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 169022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 169026 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 169029 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 169033 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 169040 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 169044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 169048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 169050 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 169057 */     // (fdiv:{ *:[f80] } (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf64>>, RFP80:{ *:[f80] }:$src1)  =>  (DIVR_Fp80m64:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 169057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIVR_Fp80m64),
     /* 169060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 169062 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 169064 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 169068 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 169071 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 169076 */     GIR_RootConstrainSelectedInstOperands,
     /* 169077 */     // GIR_Coverage, 1028,
     /* 169077 */     GIR_EraseRootFromParent_Done,
     /* 169078 */   // Label 3691: @169078
     /* 169078 */   GIM_Try, /*On fail goto*//*Label 3692*/ GIMT_Encode4(169146), // Rule ID 1004 //
     /* 169083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 169086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 169090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 169094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 169098 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 169101 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 169105 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 169112 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 169116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 169118 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 169125 */     // (fdiv:{ *:[f80] } RFP80:{ *:[f80] }:$src1, (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>)  =>  (DIV_Fp80m32:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 169125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIV_Fp80m32),
     /* 169128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 169130 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 169132 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 169136 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 169139 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 169144 */     GIR_RootConstrainSelectedInstOperands,
     /* 169145 */     // GIR_Coverage, 1004,
     /* 169145 */     GIR_EraseRootFromParent_Done,
     /* 169146 */   // Label 3692: @169146
     /* 169146 */   GIM_Try, /*On fail goto*//*Label 3693*/ GIMT_Encode4(169214), // Rule ID 1006 //
     /* 169151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 169154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 169158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 169162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 169166 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 169169 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 169173 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 169180 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 169184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 169186 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 169193 */     // (fdiv:{ *:[f80] } RFP80:{ *:[f80] }:$src1, (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf64>>)  =>  (DIV_Fp80m64:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 169193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIV_Fp80m64),
     /* 169196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 169198 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 169200 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 169204 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 169207 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 169212 */     GIR_RootConstrainSelectedInstOperands,
     /* 169213 */     // GIR_Coverage, 1006,
     /* 169213 */     GIR_EraseRootFromParent_Done,
     /* 169214 */   // Label 3693: @169214
     /* 169214 */   GIM_Try, /*On fail goto*//*Label 3694*/ GIMT_Encode4(169247), // Rule ID 908 //
     /* 169219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 169222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 169226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 169230 */     // (fdiv:{ *:[f80] } RFP80:{ *:[f80] }:$src1, RFP80:{ *:[f80] }:$src2)  =>  (DIV_Fp80:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, RFP80:{ *:[f80] }:$src2)
     /* 169230 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::DIV_Fp80),
     /* 169235 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 169241 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 169245 */     GIR_RootConstrainSelectedInstOperands,
     /* 169246 */     // GIR_Coverage, 908,
     /* 169246 */     GIR_Done,
     /* 169247 */   // Label 3694: @169247
     /* 169247 */   GIM_Reject,
     /* 169248 */ // Label 3689: @169248
     /* 169248 */ GIM_Reject,
     /* 169249 */ // Label 3648: @169249
     /* 169249 */ GIM_Try, /*On fail goto*//*Label 3695*/ GIMT_Encode4(169478),
     /* 169254 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 169257 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 169260 */   GIM_Try, /*On fail goto*//*Label 3696*/ GIMT_Encode4(169322), // Rule ID 2260 //
     /* 169265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 169268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 169272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 169276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 169280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 169284 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 169287 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 169291 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 169295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 169297 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 169304 */     // (fdiv:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPDrm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 169304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPDrm),
     /* 169307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 169309 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 169311 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 169315 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 169320 */     GIR_RootConstrainSelectedInstOperands,
     /* 169321 */     // GIR_Coverage, 2260,
     /* 169321 */     GIR_EraseRootFromParent_Done,
     /* 169322 */   // Label 3696: @169322
     /* 169322 */   GIM_Try, /*On fail goto*//*Label 3697*/ GIMT_Encode4(169384), // Rule ID 6659 //
     /* 169327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 169330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 169334 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 169338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 169342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 169346 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 169349 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 169353 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 169357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 169359 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 169366 */     // (fdiv:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPDZ128rm:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 169366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPDZ128rm),
     /* 169369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 169371 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 169373 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 169377 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 169382 */     GIR_RootConstrainSelectedInstOperands,
     /* 169383 */     // GIR_Coverage, 6659,
     /* 169383 */     GIR_EraseRootFromParent_Done,
     /* 169384 */   // Label 3697: @169384
     /* 169384 */   GIM_Try, /*On fail goto*//*Label 3698*/ GIMT_Encode4(169415), // Rule ID 2258 //
     /* 169389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 169392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 169396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 169400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 169404 */     // (fdiv:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (VDIVPDrr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)
     /* 169404 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPDrr),
     /* 169409 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 169413 */     GIR_RootConstrainSelectedInstOperands,
     /* 169414 */     // GIR_Coverage, 2258,
     /* 169414 */     GIR_Done,
     /* 169415 */   // Label 3698: @169415
     /* 169415 */   GIM_Try, /*On fail goto*//*Label 3699*/ GIMT_Encode4(169446), // Rule ID 2274 //
     /* 169420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 169423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 169427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 169431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 169435 */     // (fdiv:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (DIVPDrr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)
     /* 169435 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::DIVPDrr),
     /* 169440 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 169444 */     GIR_RootConstrainSelectedInstOperands,
     /* 169445 */     // GIR_Coverage, 2274,
     /* 169445 */     GIR_Done,
     /* 169446 */   // Label 3699: @169446
     /* 169446 */   GIM_Try, /*On fail goto*//*Label 3700*/ GIMT_Encode4(169477), // Rule ID 6655 //
     /* 169451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 169454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 169458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 169462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 169466 */     // (fdiv:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2)  =>  (VDIVPDZ128rr:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2)
     /* 169466 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPDZ128rr),
     /* 169471 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 169475 */     GIR_RootConstrainSelectedInstOperands,
     /* 169476 */     // GIR_Coverage, 6655,
     /* 169476 */     GIR_Done,
     /* 169477 */   // Label 3700: @169477
     /* 169477 */   GIM_Reject,
     /* 169478 */ // Label 3695: @169478
     /* 169478 */ GIM_Reject,
     /* 169479 */ // Label 3649: @169479
     /* 169479 */ GIM_Try, /*On fail goto*//*Label 3701*/ GIMT_Encode4(169708),
     /* 169484 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 169487 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 169490 */   GIM_Try, /*On fail goto*//*Label 3702*/ GIMT_Encode4(169552), // Rule ID 2256 //
     /* 169495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 169498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 169502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 169506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 169510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 169514 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 169517 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 169521 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 169525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 169527 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 169534 */     // (fdiv:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPSrm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 169534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPSrm),
     /* 169537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 169539 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 169541 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 169545 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 169550 */     GIR_RootConstrainSelectedInstOperands,
     /* 169551 */     // GIR_Coverage, 2256,
     /* 169551 */     GIR_EraseRootFromParent_Done,
     /* 169552 */   // Label 3702: @169552
     /* 169552 */   GIM_Try, /*On fail goto*//*Label 3703*/ GIMT_Encode4(169614), // Rule ID 6635 //
     /* 169557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 169560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 169564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 169568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 169572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 169576 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 169579 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 169583 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 169587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 169589 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 169596 */     // (fdiv:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPSZ128rm:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 169596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPSZ128rm),
     /* 169599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 169601 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 169603 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 169607 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 169612 */     GIR_RootConstrainSelectedInstOperands,
     /* 169613 */     // GIR_Coverage, 6635,
     /* 169613 */     GIR_EraseRootFromParent_Done,
     /* 169614 */   // Label 3703: @169614
     /* 169614 */   GIM_Try, /*On fail goto*//*Label 3704*/ GIMT_Encode4(169645), // Rule ID 2254 //
     /* 169619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 169622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 169626 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 169630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 169634 */     // (fdiv:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (VDIVPSrr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)
     /* 169634 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPSrr),
     /* 169639 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 169643 */     GIR_RootConstrainSelectedInstOperands,
     /* 169644 */     // GIR_Coverage, 2254,
     /* 169644 */     GIR_Done,
     /* 169645 */   // Label 3704: @169645
     /* 169645 */   GIM_Try, /*On fail goto*//*Label 3705*/ GIMT_Encode4(169676), // Rule ID 2270 //
     /* 169650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 169653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 169657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 169661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 169665 */     // (fdiv:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (DIVPSrr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)
     /* 169665 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::DIVPSrr),
     /* 169670 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 169674 */     GIR_RootConstrainSelectedInstOperands,
     /* 169675 */     // GIR_Coverage, 2270,
     /* 169675 */     GIR_Done,
     /* 169676 */   // Label 3705: @169676
     /* 169676 */   GIM_Try, /*On fail goto*//*Label 3706*/ GIMT_Encode4(169707), // Rule ID 6631 //
     /* 169681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 169684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 169688 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 169692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 169696 */     // (fdiv:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2)  =>  (VDIVPSZ128rr:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2)
     /* 169696 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPSZ128rr),
     /* 169701 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 169705 */     GIR_RootConstrainSelectedInstOperands,
     /* 169706 */     // GIR_Coverage, 6631,
     /* 169706 */     GIR_Done,
     /* 169707 */   // Label 3706: @169707
     /* 169707 */   GIM_Reject,
     /* 169708 */ // Label 3701: @169708
     /* 169708 */ GIM_Reject,
     /* 169709 */ // Label 3650: @169709
     /* 169709 */ GIM_Try, /*On fail goto*//*Label 3707*/ GIMT_Encode4(169907),
     /* 169714 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 169717 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 169720 */   GIM_Try, /*On fail goto*//*Label 3708*/ GIMT_Encode4(169782), // Rule ID 2268 //
     /* 169725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 169728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 169732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 169736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 169740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 169744 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 169747 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 169751 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 169755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 169757 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 169764 */     // (fdiv:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPDYrm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 169764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPDYrm),
     /* 169767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 169769 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 169771 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 169775 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 169780 */     GIR_RootConstrainSelectedInstOperands,
     /* 169781 */     // GIR_Coverage, 2268,
     /* 169781 */     GIR_EraseRootFromParent_Done,
     /* 169782 */   // Label 3708: @169782
     /* 169782 */   GIM_Try, /*On fail goto*//*Label 3709*/ GIMT_Encode4(169844), // Rule ID 6671 //
     /* 169787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 169790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 169794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 169798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 169802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 169806 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 169809 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 169813 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 169817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 169819 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 169826 */     // (fdiv:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPDZ256rm:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 169826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPDZ256rm),
     /* 169829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 169831 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 169833 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 169837 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 169842 */     GIR_RootConstrainSelectedInstOperands,
     /* 169843 */     // GIR_Coverage, 6671,
     /* 169843 */     GIR_EraseRootFromParent_Done,
     /* 169844 */   // Label 3709: @169844
     /* 169844 */   GIM_Try, /*On fail goto*//*Label 3710*/ GIMT_Encode4(169875), // Rule ID 2266 //
     /* 169849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 169852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 169856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 169860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 169864 */     // (fdiv:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2)  =>  (VDIVPDYrr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2)
     /* 169864 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPDYrr),
     /* 169869 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 169873 */     GIR_RootConstrainSelectedInstOperands,
     /* 169874 */     // GIR_Coverage, 2266,
     /* 169874 */     GIR_Done,
     /* 169875 */   // Label 3710: @169875
     /* 169875 */   GIM_Try, /*On fail goto*//*Label 3711*/ GIMT_Encode4(169906), // Rule ID 6667 //
     /* 169880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 169883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 169887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 169891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 169895 */     // (fdiv:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2)  =>  (VDIVPDZ256rr:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2)
     /* 169895 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPDZ256rr),
     /* 169900 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 169904 */     GIR_RootConstrainSelectedInstOperands,
     /* 169905 */     // GIR_Coverage, 6667,
     /* 169905 */     GIR_Done,
     /* 169906 */   // Label 3711: @169906
     /* 169906 */   GIM_Reject,
     /* 169907 */ // Label 3707: @169907
     /* 169907 */ GIM_Reject,
     /* 169908 */ // Label 3651: @169908
     /* 169908 */ GIM_Try, /*On fail goto*//*Label 3712*/ GIMT_Encode4(170005),
     /* 169913 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 169916 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 169919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 169923 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 169927 */   GIM_Try, /*On fail goto*//*Label 3713*/ GIMT_Encode4(169981), // Rule ID 6695 //
     /* 169932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 169935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 169939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 169943 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 169946 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 169950 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 169954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 169956 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 169963 */     // (fdiv:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPHZ128rm:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 169963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPHZ128rm),
     /* 169966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 169968 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 169970 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 169974 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 169979 */     GIR_RootConstrainSelectedInstOperands,
     /* 169980 */     // GIR_Coverage, 6695,
     /* 169980 */     GIR_EraseRootFromParent_Done,
     /* 169981 */   // Label 3713: @169981
     /* 169981 */   GIM_Try, /*On fail goto*//*Label 3714*/ GIMT_Encode4(170004), // Rule ID 6691 //
     /* 169986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 169989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 169993 */     // (fdiv:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2)  =>  (VDIVPHZ128rr:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2)
     /* 169993 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPHZ128rr),
     /* 169998 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 170002 */     GIR_RootConstrainSelectedInstOperands,
     /* 170003 */     // GIR_Coverage, 6691,
     /* 170003 */     GIR_Done,
     /* 170004 */   // Label 3714: @170004
     /* 170004 */   GIM_Reject,
     /* 170005 */ // Label 3712: @170005
     /* 170005 */ GIM_Reject,
     /* 170006 */ // Label 3652: @170006
     /* 170006 */ GIM_Try, /*On fail goto*//*Label 3715*/ GIMT_Encode4(170204),
     /* 170011 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 170014 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 170017 */   GIM_Try, /*On fail goto*//*Label 3716*/ GIMT_Encode4(170079), // Rule ID 2264 //
     /* 170022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 170025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 170029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 170033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 170037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 170041 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 170044 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 170048 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 170052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 170054 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 170061 */     // (fdiv:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPSYrm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 170061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPSYrm),
     /* 170064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 170066 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 170068 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 170072 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 170077 */     GIR_RootConstrainSelectedInstOperands,
     /* 170078 */     // GIR_Coverage, 2264,
     /* 170078 */     GIR_EraseRootFromParent_Done,
     /* 170079 */   // Label 3716: @170079
     /* 170079 */   GIM_Try, /*On fail goto*//*Label 3717*/ GIMT_Encode4(170141), // Rule ID 6647 //
     /* 170084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 170087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 170091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 170095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 170099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 170103 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 170106 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 170110 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 170114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 170116 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 170123 */     // (fdiv:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPSZ256rm:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 170123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPSZ256rm),
     /* 170126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 170128 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 170130 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 170134 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 170139 */     GIR_RootConstrainSelectedInstOperands,
     /* 170140 */     // GIR_Coverage, 6647,
     /* 170140 */     GIR_EraseRootFromParent_Done,
     /* 170141 */   // Label 3717: @170141
     /* 170141 */   GIM_Try, /*On fail goto*//*Label 3718*/ GIMT_Encode4(170172), // Rule ID 2262 //
     /* 170146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 170149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 170153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 170157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 170161 */     // (fdiv:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2)  =>  (VDIVPSYrr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2)
     /* 170161 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPSYrr),
     /* 170166 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 170170 */     GIR_RootConstrainSelectedInstOperands,
     /* 170171 */     // GIR_Coverage, 2262,
     /* 170171 */     GIR_Done,
     /* 170172 */   // Label 3718: @170172
     /* 170172 */   GIM_Try, /*On fail goto*//*Label 3719*/ GIMT_Encode4(170203), // Rule ID 6643 //
     /* 170177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 170180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 170184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 170188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 170192 */     // (fdiv:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2)  =>  (VDIVPSZ256rr:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2)
     /* 170192 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPSZ256rr),
     /* 170197 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 170201 */     GIR_RootConstrainSelectedInstOperands,
     /* 170202 */     // GIR_Coverage, 6643,
     /* 170202 */     GIR_Done,
     /* 170203 */   // Label 3719: @170203
     /* 170203 */   GIM_Reject,
     /* 170204 */ // Label 3715: @170204
     /* 170204 */ GIM_Reject,
     /* 170205 */ // Label 3653: @170205
     /* 170205 */ GIM_Try, /*On fail goto*//*Label 3720*/ GIMT_Encode4(170302),
     /* 170210 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 170213 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /* 170216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 170220 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 170224 */   GIM_Try, /*On fail goto*//*Label 3721*/ GIMT_Encode4(170278), // Rule ID 6623 //
     /* 170229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 170232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 170236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 170240 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 170243 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 170247 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 170251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 170253 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 170260 */     // (fdiv:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPDZrm:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 170260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPDZrm),
     /* 170263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 170265 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 170267 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 170271 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 170276 */     GIR_RootConstrainSelectedInstOperands,
     /* 170277 */     // GIR_Coverage, 6623,
     /* 170277 */     GIR_EraseRootFromParent_Done,
     /* 170278 */   // Label 3721: @170278
     /* 170278 */   GIM_Try, /*On fail goto*//*Label 3722*/ GIMT_Encode4(170301), // Rule ID 6619 //
     /* 170283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 170286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 170290 */     // (fdiv:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2)  =>  (VDIVPDZrr:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2)
     /* 170290 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPDZrr),
     /* 170295 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 170299 */     GIR_RootConstrainSelectedInstOperands,
     /* 170300 */     // GIR_Coverage, 6619,
     /* 170300 */     GIR_Done,
     /* 170301 */   // Label 3722: @170301
     /* 170301 */   GIM_Reject,
     /* 170302 */ // Label 3720: @170302
     /* 170302 */ GIM_Reject,
     /* 170303 */ // Label 3654: @170303
     /* 170303 */ GIM_Try, /*On fail goto*//*Label 3723*/ GIMT_Encode4(170400),
     /* 170308 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 170311 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 170314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 170318 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 170322 */   GIM_Try, /*On fail goto*//*Label 3724*/ GIMT_Encode4(170376), // Rule ID 6707 //
     /* 170327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 170330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 170334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 170338 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 170341 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 170345 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 170349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 170351 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 170358 */     // (fdiv:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPHZ256rm:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 170358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPHZ256rm),
     /* 170361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 170363 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 170365 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 170369 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 170374 */     GIR_RootConstrainSelectedInstOperands,
     /* 170375 */     // GIR_Coverage, 6707,
     /* 170375 */     GIR_EraseRootFromParent_Done,
     /* 170376 */   // Label 3724: @170376
     /* 170376 */   GIM_Try, /*On fail goto*//*Label 3725*/ GIMT_Encode4(170399), // Rule ID 6703 //
     /* 170381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 170384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 170388 */     // (fdiv:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2)  =>  (VDIVPHZ256rr:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2)
     /* 170388 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPHZ256rr),
     /* 170393 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 170397 */     GIR_RootConstrainSelectedInstOperands,
     /* 170398 */     // GIR_Coverage, 6703,
     /* 170398 */     GIR_Done,
     /* 170399 */   // Label 3725: @170399
     /* 170399 */   GIM_Reject,
     /* 170400 */ // Label 3723: @170400
     /* 170400 */ GIM_Reject,
     /* 170401 */ // Label 3655: @170401
     /* 170401 */ GIM_Try, /*On fail goto*//*Label 3726*/ GIMT_Encode4(170498),
     /* 170406 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 170409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 170412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 170416 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 170420 */   GIM_Try, /*On fail goto*//*Label 3727*/ GIMT_Encode4(170474), // Rule ID 6611 //
     /* 170425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 170428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 170432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 170436 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 170439 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 170443 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 170447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 170449 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 170456 */     // (fdiv:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPSZrm:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 170456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPSZrm),
     /* 170459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 170461 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 170463 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 170467 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 170472 */     GIR_RootConstrainSelectedInstOperands,
     /* 170473 */     // GIR_Coverage, 6611,
     /* 170473 */     GIR_EraseRootFromParent_Done,
     /* 170474 */   // Label 3727: @170474
     /* 170474 */   GIM_Try, /*On fail goto*//*Label 3728*/ GIMT_Encode4(170497), // Rule ID 6607 //
     /* 170479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 170482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 170486 */     // (fdiv:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2)  =>  (VDIVPSZrr:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2)
     /* 170486 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPSZrr),
     /* 170491 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 170495 */     GIR_RootConstrainSelectedInstOperands,
     /* 170496 */     // GIR_Coverage, 6607,
     /* 170496 */     GIR_Done,
     /* 170497 */   // Label 3728: @170497
     /* 170497 */   GIM_Reject,
     /* 170498 */ // Label 3726: @170498
     /* 170498 */ GIM_Reject,
     /* 170499 */ // Label 3656: @170499
     /* 170499 */ GIM_Try, /*On fail goto*//*Label 3729*/ GIMT_Encode4(170596),
     /* 170504 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 170507 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 170510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 170514 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 170518 */   GIM_Try, /*On fail goto*//*Label 3730*/ GIMT_Encode4(170572), // Rule ID 6683 //
     /* 170523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 170526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 170530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 170534 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 170537 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 170541 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 170545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 170547 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 170554 */     // (fdiv:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPHZrm:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 170554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPHZrm),
     /* 170557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 170559 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 170561 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 170565 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 170570 */     GIR_RootConstrainSelectedInstOperands,
     /* 170571 */     // GIR_Coverage, 6683,
     /* 170571 */     GIR_EraseRootFromParent_Done,
     /* 170572 */   // Label 3730: @170572
     /* 170572 */   GIM_Try, /*On fail goto*//*Label 3731*/ GIMT_Encode4(170595), // Rule ID 6679 //
     /* 170577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 170580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 170584 */     // (fdiv:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2)  =>  (VDIVPHZrr:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2)
     /* 170584 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPHZrr),
     /* 170589 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 170593 */     GIR_RootConstrainSelectedInstOperands,
     /* 170594 */     // GIR_Coverage, 6679,
     /* 170594 */     GIR_Done,
     /* 170595 */   // Label 3731: @170595
     /* 170595 */   GIM_Reject,
     /* 170596 */ // Label 3729: @170596
     /* 170596 */ GIM_Reject,
     /* 170597 */ // Label 3657: @170597
     /* 170597 */ GIM_Reject,
     /* 170598 */ // Label 46: @170598
     /* 170598 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(6), /*)*//*default:*//*Label 3735*/ GIMT_Encode4(170720),
     /* 170609 */ /*GILLT_s32*//*Label 3732*/ GIMT_Encode4(170621),
     /* 170613 */ /*GILLT_s64*//*Label 3733*/ GIMT_Encode4(170654),
     /* 170617 */ /*GILLT_s80*//*Label 3734*/ GIMT_Encode4(170687),
     /* 170621 */ // Label 3732: @170621
     /* 170621 */ GIM_Try, /*On fail goto*//*Label 3736*/ GIMT_Encode4(170653), // Rule ID 1041 //
     /* 170626 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 170629 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 170632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 170636 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 170640 */   // (fneg:{ *:[f32] } RFP32:{ *:[f32] }:$src)  =>  (CHS_Fp32:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src)
     /* 170640 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CHS_Fp32),
     /* 170645 */   GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 170651 */   GIR_RootConstrainSelectedInstOperands,
     /* 170652 */   // GIR_Coverage, 1041,
     /* 170652 */   GIR_Done,
     /* 170653 */ // Label 3736: @170653
     /* 170653 */ GIM_Reject,
     /* 170654 */ // Label 3733: @170654
     /* 170654 */ GIM_Try, /*On fail goto*//*Label 3737*/ GIMT_Encode4(170686), // Rule ID 1042 //
     /* 170659 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 170662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 170665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 170669 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 170673 */   // (fneg:{ *:[f64] } RFP64:{ *:[f64] }:$src)  =>  (CHS_Fp64:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src)
     /* 170673 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CHS_Fp64),
     /* 170678 */   GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 170684 */   GIR_RootConstrainSelectedInstOperands,
     /* 170685 */   // GIR_Coverage, 1042,
     /* 170685 */   GIR_Done,
     /* 170686 */ // Label 3737: @170686
     /* 170686 */ GIM_Reject,
     /* 170687 */ // Label 3734: @170687
     /* 170687 */ GIM_Try, /*On fail goto*//*Label 3738*/ GIMT_Encode4(170719), // Rule ID 1043 //
     /* 170692 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 170695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s80,
     /* 170698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 170702 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 170706 */   // (fneg:{ *:[f80] } RFP80:{ *:[f80] }:$src)  =>  (CHS_Fp80:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src)
     /* 170706 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CHS_Fp80),
     /* 170711 */   GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 170717 */   GIR_RootConstrainSelectedInstOperands,
     /* 170718 */   // GIR_Coverage, 1043,
     /* 170718 */   GIR_Done,
     /* 170719 */ // Label 3738: @170719
     /* 170719 */ GIM_Reject,
     /* 170720 */ // Label 3735: @170720
     /* 170720 */ GIM_Reject,
     /* 170721 */ // Label 47: @170721
     /* 170721 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(20), /*)*//*default:*//*Label 3746*/ GIMT_Encode4(171652),
     /* 170732 */ /*GILLT_s32*//*Label 3739*/ GIMT_Encode4(170800),
     /* 170736 */ /*GILLT_s64*//*Label 3740*/ GIMT_Encode4(170921),
     /* 170740 */ /*GILLT_s80*//*Label 3741*/ GIMT_Encode4(171404), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 170764 */ /*GILLT_v4s64*//*Label 3742*/ GIMT_Encode4(171465), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 170776 */ /*GILLT_v8s32*//*Label 3743*/ GIMT_Encode4(171529),
     /* 170780 */ /*GILLT_v8s64*//*Label 3744*/ GIMT_Encode4(171560), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 170796 */ /*GILLT_v16s32*//*Label 3745*/ GIMT_Encode4(171621),
     /* 170800 */ // Label 3739: @170800
     /* 170800 */ GIM_Try, /*On fail goto*//*Label 3747*/ GIMT_Encode4(170920),
     /* 170805 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 170808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 170812 */   GIM_Try, /*On fail goto*//*Label 3748*/ GIMT_Encode4(170881), // Rule ID 21203 //
     /* 170817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_OptForSize),
     /* 170820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 170824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 170828 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 170831 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 170835 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 170839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 170841 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 170848 */     // (fpextend:{ *:[f32] } (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSH2SSZrm:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), addr:{ *:[iPTR] }:$src)
     /* 170848 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 170851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 170855 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 170860 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 170862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSH2SSZrm),
     /* 170865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 170867 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 170870 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 170874 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 170879 */     GIR_RootConstrainSelectedInstOperands,
     /* 170880 */     // GIR_Coverage, 21203,
     /* 170880 */     GIR_EraseRootFromParent_Done,
     /* 170881 */   // Label 3748: @170881
     /* 170881 */   GIM_Try, /*On fail goto*//*Label 3749*/ GIMT_Encode4(170919), // Rule ID 21201 //
     /* 170886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 170889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 170893 */     // (fpextend:{ *:[f32] } FR16X:{ *:[f16] }:$src)  =>  (VCVTSH2SSZrr:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), FR16X:{ *:[f16] }:$src)
     /* 170893 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 170896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 170900 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 170905 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 170907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSH2SSZrr),
     /* 170910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 170912 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 170915 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 170917 */     GIR_RootConstrainSelectedInstOperands,
     /* 170918 */     // GIR_Coverage, 21201,
     /* 170918 */     GIR_EraseRootFromParent_Done,
     /* 170919 */   // Label 3749: @170919
     /* 170919 */   GIM_Reject,
     /* 170920 */ // Label 3747: @170920
     /* 170920 */ GIM_Reject,
     /* 170921 */ // Label 3740: @170921
     /* 170921 */ GIM_Try, /*On fail goto*//*Label 3750*/ GIMT_Encode4(170980), // Rule ID 1893 //
     /* 170926 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_OptForSize_UseSSE2),
     /* 170929 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 170932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 170936 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 170940 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 170944 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 170947 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 170951 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 170955 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 170957 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 170964 */   // (fpextend:{ *:[f64] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CVTSS2SDrm:{ *:[f64] } addr:{ *:[iPTR] }:$src)
     /* 170964 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CVTSS2SDrm),
     /* 170967 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 170969 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 170973 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 170978 */   GIR_RootConstrainSelectedInstOperands,
     /* 170979 */   // GIR_Coverage, 1893,
     /* 170979 */   GIR_EraseRootFromParent_Done,
     /* 170980 */ // Label 3750: @170980
     /* 170980 */ GIM_Try, /*On fail goto*//*Label 3751*/ GIMT_Encode4(171056), // Rule ID 18001 //
     /* 170985 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_OptForSize_UseAVX),
     /* 170988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 170991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 170995 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 170999 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 171003 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 171006 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 171010 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 171014 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 171016 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 171023 */   // (fpextend:{ *:[f64] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSS2SDrm:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), addr:{ *:[iPTR] }:$src)
     /* 171023 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 171026 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 171030 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 171035 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 171037 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSS2SDrm),
     /* 171040 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 171042 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 171045 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 171049 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 171054 */   GIR_RootConstrainSelectedInstOperands,
     /* 171055 */   // GIR_Coverage, 18001,
     /* 171055 */   GIR_EraseRootFromParent_Done,
     /* 171056 */ // Label 3751: @171056
     /* 171056 */ GIM_Try, /*On fail goto*//*Label 3752*/ GIMT_Encode4(171132), // Rule ID 21197 //
     /* 171061 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_OptForSize),
     /* 171064 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 171067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 171071 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 171075 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 171079 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 171082 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 171086 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 171090 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 171092 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 171099 */   // (fpextend:{ *:[f64] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSS2SDZrm:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), addr:{ *:[iPTR] }:$src)
     /* 171099 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 171102 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 171106 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 171111 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 171113 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSS2SDZrm),
     /* 171116 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 171118 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 171121 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 171125 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 171130 */   GIR_RootConstrainSelectedInstOperands,
     /* 171131 */   // GIR_Coverage, 21197,
     /* 171131 */   GIR_EraseRootFromParent_Done,
     /* 171132 */ // Label 3752: @171132
     /* 171132 */ GIM_Try, /*On fail goto*//*Label 3753*/ GIMT_Encode4(171208), // Rule ID 21207 //
     /* 171137 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_OptForSize),
     /* 171140 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 171143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 171147 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 171151 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 171155 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 171158 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 171162 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 171166 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 171168 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 171175 */   // (fpextend:{ *:[f64] } (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSH2SDZrm:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), addr:{ *:[iPTR] }:$src)
     /* 171175 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 171178 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 171182 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 171187 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 171189 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSH2SDZrm),
     /* 171192 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 171194 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 171197 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 171201 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 171206 */   GIR_RootConstrainSelectedInstOperands,
     /* 171207 */   // GIR_Coverage, 21207,
     /* 171207 */   GIR_EraseRootFromParent_Done,
     /* 171208 */ // Label 3753: @171208
     /* 171208 */ GIM_Try, /*On fail goto*//*Label 3754*/ GIMT_Encode4(171238), // Rule ID 1891 //
     /* 171213 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 171216 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 171219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 171223 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 171227 */   // (fpextend:{ *:[f64] } FR32:{ *:[f32] }:$src)  =>  (CVTSS2SDrr:{ *:[f64] } FR32:{ *:[f32] }:$src)
     /* 171227 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CVTSS2SDrr),
     /* 171232 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 171236 */   GIR_RootConstrainSelectedInstOperands,
     /* 171237 */   // GIR_Coverage, 1891,
     /* 171237 */   GIR_Done,
     /* 171238 */ // Label 3754: @171238
     /* 171238 */ GIM_Try, /*On fail goto*//*Label 3755*/ GIMT_Encode4(171268), // Rule ID 17726 //
     /* 171243 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 171246 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 171249 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 171253 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 171257 */   // (fpextend:{ *:[f64] } RFP32:{ *:[f32] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[f64] } RFP32:{ *:[f32] }:$src, RFP64:{ *:[i32] })
     /* 171257 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 171262 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::RFP64RegClassID),
     /* 171267 */   // GIR_Coverage, 17726,
     /* 171267 */   GIR_Done,
     /* 171268 */ // Label 3755: @171268
     /* 171268 */ GIM_Try, /*On fail goto*//*Label 3756*/ GIMT_Encode4(171313), // Rule ID 17999 //
     /* 171273 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 171276 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 171279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 171283 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 171287 */   // (fpextend:{ *:[f64] } FR32:{ *:[f32] }:$src)  =>  (VCVTSS2SDrr:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), FR32:{ *:[f32] }:$src)
     /* 171287 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 171290 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 171294 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 171299 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 171301 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSS2SDrr),
     /* 171304 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 171306 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 171309 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 171311 */   GIR_RootConstrainSelectedInstOperands,
     /* 171312 */   // GIR_Coverage, 17999,
     /* 171312 */   GIR_EraseRootFromParent_Done,
     /* 171313 */ // Label 3756: @171313
     /* 171313 */ GIM_Try, /*On fail goto*//*Label 3757*/ GIMT_Encode4(171358), // Rule ID 21195 //
     /* 171318 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 171321 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 171324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 171328 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 171332 */   // (fpextend:{ *:[f64] } FR32X:{ *:[f32] }:$src)  =>  (VCVTSS2SDZrr:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), FR32X:{ *:[f32] }:$src)
     /* 171332 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 171335 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 171339 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 171344 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 171346 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSS2SDZrr),
     /* 171349 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 171351 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 171354 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 171356 */   GIR_RootConstrainSelectedInstOperands,
     /* 171357 */   // GIR_Coverage, 21195,
     /* 171357 */   GIR_EraseRootFromParent_Done,
     /* 171358 */ // Label 3757: @171358
     /* 171358 */ GIM_Try, /*On fail goto*//*Label 3758*/ GIMT_Encode4(171403), // Rule ID 21205 //
     /* 171363 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 171366 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 171369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 171373 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 171377 */   // (fpextend:{ *:[f64] } FR16X:{ *:[f16] }:$src)  =>  (VCVTSH2SDZrr:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), FR16X:{ *:[f16] }:$src)
     /* 171377 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 171380 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 171384 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 171389 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 171391 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSH2SDZrr),
     /* 171394 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 171396 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 171399 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 171401 */   GIR_RootConstrainSelectedInstOperands,
     /* 171402 */   // GIR_Coverage, 21205,
     /* 171402 */   GIR_EraseRootFromParent_Done,
     /* 171403 */ // Label 3758: @171403
     /* 171403 */ GIM_Reject,
     /* 171404 */ // Label 3741: @171404
     /* 171404 */ GIM_Try, /*On fail goto*//*Label 3759*/ GIMT_Encode4(171434), // Rule ID 17728 //
     /* 171409 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 171412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 171415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 171419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 171423 */   // (fpextend:{ *:[f80] } RFP32:{ *:[f32] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[f80] } RFP32:{ *:[f32] }:$src, RFP80:{ *:[i32] })
     /* 171423 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 171428 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::RFP80RegClassID),
     /* 171433 */   // GIR_Coverage, 17728,
     /* 171433 */   GIR_Done,
     /* 171434 */ // Label 3759: @171434
     /* 171434 */ GIM_Try, /*On fail goto*//*Label 3760*/ GIMT_Encode4(171464), // Rule ID 17730 //
     /* 171439 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 171442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 171445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 171449 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 171453 */   // (fpextend:{ *:[f80] } RFP64:{ *:[f64] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[f80] } RFP64:{ *:[f64] }:$src, RFP80:{ *:[i32] })
     /* 171453 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 171458 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::RFP80RegClassID),
     /* 171463 */   // GIR_Coverage, 17730,
     /* 171463 */   GIR_Done,
     /* 171464 */ // Label 3760: @171464
     /* 171464 */ GIM_Reject,
     /* 171465 */ // Label 3742: @171465
     /* 171465 */ GIM_Try, /*On fail goto*//*Label 3761*/ GIMT_Encode4(171528),
     /* 171470 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 171473 */   GIM_Try, /*On fail goto*//*Label 3762*/ GIMT_Encode4(171500), // Rule ID 1934 //
     /* 171478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 171481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 171485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 171489 */     // (fpextend:{ *:[v4f64] } VR128:{ *:[v4f32] }:$src)  =>  (VCVTPS2PDYrr:{ *:[v4f64] } VR128:{ *:[v4f32] }:$src)
     /* 171489 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPS2PDYrr),
     /* 171494 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 171498 */     GIR_RootConstrainSelectedInstOperands,
     /* 171499 */     // GIR_Coverage, 1934,
     /* 171499 */     GIR_Done,
     /* 171500 */   // Label 3762: @171500
     /* 171500 */   GIM_Try, /*On fail goto*//*Label 3763*/ GIMT_Encode4(171527), // Rule ID 10574 //
     /* 171505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 171508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 171512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 171516 */     // (fpextend:{ *:[v4f64] } VR128X:{ *:[v4f32] }:$src)  =>  (VCVTPS2PDZ256rr:{ *:[v4f64] } VR128X:{ *:[v4f32] }:$src)
     /* 171516 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPS2PDZ256rr),
     /* 171521 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 171525 */     GIR_RootConstrainSelectedInstOperands,
     /* 171526 */     // GIR_Coverage, 10574,
     /* 171526 */     GIR_Done,
     /* 171527 */   // Label 3763: @171527
     /* 171527 */   GIM_Reject,
     /* 171528 */ // Label 3761: @171528
     /* 171528 */ GIM_Reject,
     /* 171529 */ // Label 3743: @171529
     /* 171529 */ GIM_Try, /*On fail goto*//*Label 3764*/ GIMT_Encode4(171559), // Rule ID 10637 //
     /* 171534 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 171537 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 171540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 171544 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 171548 */   // (fpextend:{ *:[v8f32] } VR128X:{ *:[v8f16] }:$src)  =>  (VCVTPH2PSXZ256rr:{ *:[v8f32] } VR128X:{ *:[v8f16] }:$src)
     /* 171548 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPH2PSXZ256rr),
     /* 171553 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 171557 */   GIR_RootConstrainSelectedInstOperands,
     /* 171558 */   // GIR_Coverage, 10637,
     /* 171558 */   GIR_Done,
     /* 171559 */ // Label 3764: @171559
     /* 171559 */ GIM_Reject,
     /* 171560 */ // Label 3744: @171560
     /* 171560 */ GIM_Try, /*On fail goto*//*Label 3765*/ GIMT_Encode4(171590), // Rule ID 10549 //
     /* 171565 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 171568 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 171571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 171575 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 171579 */   // (fpextend:{ *:[v8f64] } VR256X:{ *:[v8f32] }:$src)  =>  (VCVTPS2PDZrr:{ *:[v8f64] } VR256X:{ *:[v8f32] }:$src)
     /* 171579 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPS2PDZrr),
     /* 171584 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 171588 */   GIR_RootConstrainSelectedInstOperands,
     /* 171589 */   // GIR_Coverage, 10549,
     /* 171589 */   GIR_Done,
     /* 171590 */ // Label 3765: @171590
     /* 171590 */ GIM_Try, /*On fail goto*//*Label 3766*/ GIMT_Encode4(171620), // Rule ID 10663 //
     /* 171595 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 171598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 171601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 171605 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 171609 */   // (fpextend:{ *:[v8f64] } VR128X:{ *:[v8f16] }:$src)  =>  (VCVTPH2PDZrr:{ *:[v8f64] } VR128X:{ *:[v8f16] }:$src)
     /* 171609 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPH2PDZrr),
     /* 171614 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 171618 */   GIR_RootConstrainSelectedInstOperands,
     /* 171619 */   // GIR_Coverage, 10663,
     /* 171619 */   GIR_Done,
     /* 171620 */ // Label 3766: @171620
     /* 171620 */ GIM_Reject,
     /* 171621 */ // Label 3745: @171621
     /* 171621 */ GIM_Try, /*On fail goto*//*Label 3767*/ GIMT_Encode4(171651), // Rule ID 10612 //
     /* 171626 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 171629 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 171632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 171636 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 171640 */   // (fpextend:{ *:[v16f32] } VR256X:{ *:[v16f16] }:$src)  =>  (VCVTPH2PSXZrr:{ *:[v16f32] } VR256X:{ *:[v16f16] }:$src)
     /* 171640 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPH2PSXZrr),
     /* 171645 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 171649 */   GIR_RootConstrainSelectedInstOperands,
     /* 171650 */   // GIR_Coverage, 10612,
     /* 171650 */   GIR_Done,
     /* 171651 */ // Label 3767: @171651
     /* 171651 */ GIM_Reject,
     /* 171652 */ // Label 3746: @171652
     /* 171652 */ GIM_Reject,
     /* 171653 */ // Label 48: @171653
     /* 171653 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 3771*/ GIMT_Encode4(172038),
     /* 171664 */ /*GILLT_s16*//*Label 3768*/ GIMT_Encode4(171676),
     /* 171668 */ /*GILLT_s32*//*Label 3769*/ GIMT_Encode4(171767),
     /* 171672 */ /*GILLT_s64*//*Label 3770*/ GIMT_Encode4(172007),
     /* 171676 */ // Label 3768: @171676
     /* 171676 */ GIM_Try, /*On fail goto*//*Label 3772*/ GIMT_Encode4(171721), // Rule ID 21209 //
     /* 171681 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 171684 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 171687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 171691 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 171695 */   // (fpround:{ *:[f16] } FR32X:{ *:[f32] }:$src)  =>  (VCVTSS2SHZrr:{ *:[f16] } (IMPLICIT_DEF:{ *:[f16] }), FR32X:{ *:[f32] }:$src)
     /* 171695 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 171698 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 171702 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 171707 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 171709 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSS2SHZrr),
     /* 171712 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 171714 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 171717 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 171719 */   GIR_RootConstrainSelectedInstOperands,
     /* 171720 */   // GIR_Coverage, 21209,
     /* 171720 */   GIR_EraseRootFromParent_Done,
     /* 171721 */ // Label 3772: @171721
     /* 171721 */ GIM_Try, /*On fail goto*//*Label 3773*/ GIMT_Encode4(171766), // Rule ID 21211 //
     /* 171726 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 171729 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 171732 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 171736 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 171740 */   // (fpround:{ *:[f16] } FR64X:{ *:[f64] }:$src)  =>  (VCVTSD2SHZrr:{ *:[f16] } (IMPLICIT_DEF:{ *:[f16] }), FR64X:{ *:[f64] }:$src)
     /* 171740 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 171743 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 171747 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 171752 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 171754 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSD2SHZrr),
     /* 171757 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 171759 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 171762 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 171764 */   GIR_RootConstrainSelectedInstOperands,
     /* 171765 */   // GIR_Coverage, 21211,
     /* 171765 */   GIR_EraseRootFromParent_Done,
     /* 171766 */ // Label 3773: @171766
     /* 171766 */ GIM_Reject,
     /* 171767 */ // Label 3769: @171767
     /* 171767 */ GIM_Try, /*On fail goto*//*Label 3774*/ GIMT_Encode4(171826), // Rule ID 1881 //
     /* 171772 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_OptForSize_UseSSE2),
     /* 171775 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 171778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 171782 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 171786 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 171790 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 171793 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 171797 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 171801 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 171803 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 171810 */   // (fpround:{ *:[f32] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CVTSD2SSrm:{ *:[f32] } addr:{ *:[iPTR] }:$src)
     /* 171810 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CVTSD2SSrm),
     /* 171813 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 171815 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 171819 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 171824 */   GIR_RootConstrainSelectedInstOperands,
     /* 171825 */   // GIR_Coverage, 1881,
     /* 171825 */   GIR_EraseRootFromParent_Done,
     /* 171826 */ // Label 3774: @171826
     /* 171826 */ GIM_Try, /*On fail goto*//*Label 3775*/ GIMT_Encode4(171856), // Rule ID 1879 //
     /* 171831 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 171834 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 171837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 171841 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 171845 */   // (fpround:{ *:[f32] } FR64:{ *:[f64] }:$src)  =>  (CVTSD2SSrr:{ *:[f32] } FR64:{ *:[f64] }:$src)
     /* 171845 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CVTSD2SSrr),
     /* 171850 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 171854 */   GIR_RootConstrainSelectedInstOperands,
     /* 171855 */   // GIR_Coverage, 1879,
     /* 171855 */   GIR_Done,
     /* 171856 */ // Label 3775: @171856
     /* 171856 */ GIM_Try, /*On fail goto*//*Label 3776*/ GIMT_Encode4(171886), // Rule ID 17732 //
     /* 171861 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 171864 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 171867 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 171871 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 171875 */   // (fpround:{ *:[f32] } RFP64:{ *:[f64] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[f32] } RFP64:{ *:[f64] }:$src, RFP32:{ *:[i32] })
     /* 171875 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 171880 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::RFP32RegClassID),
     /* 171885 */   // GIR_Coverage, 17732,
     /* 171885 */   GIR_Done,
     /* 171886 */ // Label 3776: @171886
     /* 171886 */ GIM_Try, /*On fail goto*//*Label 3777*/ GIMT_Encode4(171916), // Rule ID 17734 //
     /* 171891 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 171894 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s80,
     /* 171897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 171901 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 171905 */   // (fpround:{ *:[f32] } RFP80:{ *:[f80] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[f32] } RFP80:{ *:[f80] }:$src, RFP32:{ *:[i32] })
     /* 171905 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 171910 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::RFP32RegClassID),
     /* 171915 */   // GIR_Coverage, 17734,
     /* 171915 */   GIR_Done,
     /* 171916 */ // Label 3777: @171916
     /* 171916 */ GIM_Try, /*On fail goto*//*Label 3778*/ GIMT_Encode4(171961), // Rule ID 17997 //
     /* 171921 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 171924 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 171927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 171931 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 171935 */   // (fpround:{ *:[f32] } FR64:{ *:[f64] }:$src)  =>  (VCVTSD2SSrr:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), FR64:{ *:[f64] }:$src)
     /* 171935 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 171938 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 171942 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 171947 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 171949 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSD2SSrr),
     /* 171952 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 171954 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 171957 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 171959 */   GIR_RootConstrainSelectedInstOperands,
     /* 171960 */   // GIR_Coverage, 17997,
     /* 171960 */   GIR_EraseRootFromParent_Done,
     /* 171961 */ // Label 3778: @171961
     /* 171961 */ GIM_Try, /*On fail goto*//*Label 3779*/ GIMT_Encode4(172006), // Rule ID 21199 //
     /* 171966 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 171969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 171972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 171976 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 171980 */   // (fpround:{ *:[f32] } FR64X:{ *:[f64] }:$src)  =>  (VCVTSD2SSZrr:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), FR64X:{ *:[f64] }:$src)
     /* 171980 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 171983 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 171987 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 171992 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 171994 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSD2SSZrr),
     /* 171997 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 171999 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 172002 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 172004 */   GIR_RootConstrainSelectedInstOperands,
     /* 172005 */   // GIR_Coverage, 21199,
     /* 172005 */   GIR_EraseRootFromParent_Done,
     /* 172006 */ // Label 3779: @172006
     /* 172006 */ GIM_Reject,
     /* 172007 */ // Label 3770: @172007
     /* 172007 */ GIM_Try, /*On fail goto*//*Label 3780*/ GIMT_Encode4(172037), // Rule ID 17736 //
     /* 172012 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 172015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s80,
     /* 172018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 172022 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 172026 */   // (fpround:{ *:[f64] } RFP80:{ *:[f80] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[f64] } RFP80:{ *:[f80] }:$src, RFP64:{ *:[i32] })
     /* 172026 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 172031 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::RFP64RegClassID),
     /* 172036 */   // GIR_Coverage, 17736,
     /* 172036 */   GIR_Done,
     /* 172037 */ // Label 3780: @172037
     /* 172037 */ GIM_Reject,
     /* 172038 */ // Label 3771: @172038
     /* 172038 */ GIM_Reject,
     /* 172039 */ // Label 49: @172039
     /* 172039 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(11), /*)*//*default:*//*Label 3784*/ GIMT_Encode4(173419),
     /* 172050 */ /*GILLT_s32*//*Label 3781*/ GIMT_Encode4(172082),
     /* 172054 */ /*GILLT_s64*//*Label 3782*/ GIMT_Encode4(172706), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 172078 */ /*GILLT_v4s32*//*Label 3783*/ GIMT_Encode4(173330),
     /* 172082 */ // Label 3781: @172082
     /* 172082 */ GIM_Try, /*On fail goto*//*Label 3785*/ GIMT_Encode4(172141), // Rule ID 1741 //
     /* 172087 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 172090 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 172093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 172097 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 172101 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 172105 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 172108 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 172112 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 172116 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 172118 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 172125 */   // (fp_to_sint:{ *:[i32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSS2SIrm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 172125 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSS2SIrm),
     /* 172128 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 172130 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 172134 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 172139 */   GIR_RootConstrainSelectedInstOperands,
     /* 172140 */   // GIR_Coverage, 1741,
     /* 172140 */   GIR_EraseRootFromParent_Done,
     /* 172141 */ // Label 3785: @172141
     /* 172141 */ GIM_Try, /*On fail goto*//*Label 3786*/ GIMT_Encode4(172200), // Rule ID 1749 //
     /* 172146 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 172149 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 172152 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 172156 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 172160 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 172164 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 172167 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 172171 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 172175 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 172177 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 172184 */   // (fp_to_sint:{ *:[i32] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSD2SIrm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 172184 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSD2SIrm),
     /* 172187 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 172189 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 172193 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 172198 */   GIR_RootConstrainSelectedInstOperands,
     /* 172199 */   // GIR_Coverage, 1749,
     /* 172199 */   GIR_EraseRootFromParent_Done,
     /* 172200 */ // Label 3786: @172200
     /* 172200 */ GIM_Try, /*On fail goto*//*Label 3787*/ GIMT_Encode4(172259), // Rule ID 1765 //
     /* 172205 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 172208 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 172211 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 172215 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 172219 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 172223 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 172226 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 172230 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 172234 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 172236 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 172243 */   // (fp_to_sint:{ *:[i32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CVTTSS2SIrm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 172243 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CVTTSS2SIrm),
     /* 172246 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 172248 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 172252 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 172257 */   GIR_RootConstrainSelectedInstOperands,
     /* 172258 */   // GIR_Coverage, 1765,
     /* 172258 */   GIR_EraseRootFromParent_Done,
     /* 172259 */ // Label 3787: @172259
     /* 172259 */ GIM_Try, /*On fail goto*//*Label 3788*/ GIMT_Encode4(172318), // Rule ID 1773 //
     /* 172264 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 172267 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 172270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 172274 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 172278 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 172282 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 172285 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 172289 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 172293 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 172295 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 172302 */   // (fp_to_sint:{ *:[i32] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CVTTSD2SIrm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 172302 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CVTTSD2SIrm),
     /* 172305 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 172307 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 172311 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 172316 */   GIR_RootConstrainSelectedInstOperands,
     /* 172317 */   // GIR_Coverage, 1773,
     /* 172317 */   GIR_EraseRootFromParent_Done,
     /* 172318 */ // Label 3788: @172318
     /* 172318 */ GIM_Try, /*On fail goto*//*Label 3789*/ GIMT_Encode4(172377), // Rule ID 10362 //
     /* 172323 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 172326 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 172329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 172333 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 172337 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 172341 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 172344 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 172348 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 172352 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 172354 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 172361 */   // (fp_to_sint:{ *:[i32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSS2SIZrm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 172361 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSS2SIZrm),
     /* 172364 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 172366 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 172370 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 172375 */   GIR_RootConstrainSelectedInstOperands,
     /* 172376 */   // GIR_Coverage, 10362,
     /* 172376 */   GIR_EraseRootFromParent_Done,
     /* 172377 */ // Label 3789: @172377
     /* 172377 */ GIM_Try, /*On fail goto*//*Label 3790*/ GIMT_Encode4(172436), // Rule ID 10380 //
     /* 172382 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 172385 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 172388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 172392 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 172396 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 172400 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 172403 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 172407 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 172411 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 172413 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 172420 */   // (fp_to_sint:{ *:[i32] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSD2SIZrm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 172420 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSD2SIZrm),
     /* 172423 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 172425 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 172429 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 172434 */   GIR_RootConstrainSelectedInstOperands,
     /* 172435 */   // GIR_Coverage, 10380,
     /* 172435 */   GIR_EraseRootFromParent_Done,
     /* 172436 */ // Label 3790: @172436
     /* 172436 */ GIM_Try, /*On fail goto*//*Label 3791*/ GIMT_Encode4(172495), // Rule ID 15170 //
     /* 172441 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 172444 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 172447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 172451 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 172455 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 172459 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 172462 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 172466 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 172470 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 172472 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 172479 */   // (fp_to_sint:{ *:[i32] } (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSH2SIZrm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 172479 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSH2SIZrm),
     /* 172482 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 172484 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 172488 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 172493 */   GIR_RootConstrainSelectedInstOperands,
     /* 172494 */   // GIR_Coverage, 15170,
     /* 172494 */   GIR_EraseRootFromParent_Done,
     /* 172495 */ // Label 3791: @172495
     /* 172495 */ GIM_Try, /*On fail goto*//*Label 3792*/ GIMT_Encode4(172525), // Rule ID 1739 //
     /* 172500 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 172503 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 172506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 172510 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 172514 */   // (fp_to_sint:{ *:[i32] } FR32:{ *:[f32] }:$src)  =>  (VCVTTSS2SIrr:{ *:[i32] } FR32:{ *:[f32] }:$src)
     /* 172514 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSS2SIrr),
     /* 172519 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 172523 */   GIR_RootConstrainSelectedInstOperands,
     /* 172524 */   // GIR_Coverage, 1739,
     /* 172524 */   GIR_Done,
     /* 172525 */ // Label 3792: @172525
     /* 172525 */ GIM_Try, /*On fail goto*//*Label 3793*/ GIMT_Encode4(172555), // Rule ID 1747 //
     /* 172530 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 172533 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 172536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 172540 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 172544 */   // (fp_to_sint:{ *:[i32] } FR64:{ *:[f64] }:$src)  =>  (VCVTTSD2SIrr:{ *:[i32] } FR64:{ *:[f64] }:$src)
     /* 172544 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSD2SIrr),
     /* 172549 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 172553 */   GIR_RootConstrainSelectedInstOperands,
     /* 172554 */   // GIR_Coverage, 1747,
     /* 172554 */   GIR_Done,
     /* 172555 */ // Label 3793: @172555
     /* 172555 */ GIM_Try, /*On fail goto*//*Label 3794*/ GIMT_Encode4(172585), // Rule ID 1763 //
     /* 172560 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 172563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 172566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 172570 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 172574 */   // (fp_to_sint:{ *:[i32] } FR32:{ *:[f32] }:$src)  =>  (CVTTSS2SIrr:{ *:[i32] } FR32:{ *:[f32] }:$src)
     /* 172574 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CVTTSS2SIrr),
     /* 172579 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 172583 */   GIR_RootConstrainSelectedInstOperands,
     /* 172584 */   // GIR_Coverage, 1763,
     /* 172584 */   GIR_Done,
     /* 172585 */ // Label 3794: @172585
     /* 172585 */ GIM_Try, /*On fail goto*//*Label 3795*/ GIMT_Encode4(172615), // Rule ID 1771 //
     /* 172590 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 172593 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 172596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 172600 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 172604 */   // (fp_to_sint:{ *:[i32] } FR64:{ *:[f64] }:$src)  =>  (CVTTSD2SIrr:{ *:[i32] } FR64:{ *:[f64] }:$src)
     /* 172604 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CVTTSD2SIrr),
     /* 172609 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 172613 */   GIR_RootConstrainSelectedInstOperands,
     /* 172614 */   // GIR_Coverage, 1771,
     /* 172614 */   GIR_Done,
     /* 172615 */ // Label 3795: @172615
     /* 172615 */ GIM_Try, /*On fail goto*//*Label 3796*/ GIMT_Encode4(172645), // Rule ID 10360 //
     /* 172620 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 172623 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 172626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 172630 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 172634 */   // (fp_to_sint:{ *:[i32] } FR32X:{ *:[f32] }:$src)  =>  (VCVTTSS2SIZrr:{ *:[i32] } FR32X:{ *:[f32] }:$src)
     /* 172634 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSS2SIZrr),
     /* 172639 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 172643 */   GIR_RootConstrainSelectedInstOperands,
     /* 172644 */   // GIR_Coverage, 10360,
     /* 172644 */   GIR_Done,
     /* 172645 */ // Label 3796: @172645
     /* 172645 */ GIM_Try, /*On fail goto*//*Label 3797*/ GIMT_Encode4(172675), // Rule ID 10378 //
     /* 172650 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 172653 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 172656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 172660 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 172664 */   // (fp_to_sint:{ *:[i32] } FR64X:{ *:[f64] }:$src)  =>  (VCVTTSD2SIZrr:{ *:[i32] } FR64X:{ *:[f64] }:$src)
     /* 172664 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSD2SIZrr),
     /* 172669 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 172673 */   GIR_RootConstrainSelectedInstOperands,
     /* 172674 */   // GIR_Coverage, 10378,
     /* 172674 */   GIR_Done,
     /* 172675 */ // Label 3797: @172675
     /* 172675 */ GIM_Try, /*On fail goto*//*Label 3798*/ GIMT_Encode4(172705), // Rule ID 15168 //
     /* 172680 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 172683 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 172686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 172690 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 172694 */   // (fp_to_sint:{ *:[i32] } FR16X:{ *:[f16] }:$src)  =>  (VCVTTSH2SIZrr:{ *:[i32] } FR16X:{ *:[f16] }:$src)
     /* 172694 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSH2SIZrr),
     /* 172699 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 172703 */   GIR_RootConstrainSelectedInstOperands,
     /* 172704 */   // GIR_Coverage, 15168,
     /* 172704 */   GIR_Done,
     /* 172705 */ // Label 3798: @172705
     /* 172705 */ GIM_Reject,
     /* 172706 */ // Label 3782: @172706
     /* 172706 */ GIM_Try, /*On fail goto*//*Label 3799*/ GIMT_Encode4(172765), // Rule ID 1745 //
     /* 172711 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 172714 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 172717 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 172721 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 172725 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 172729 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 172732 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 172736 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 172740 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 172742 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 172749 */   // (fp_to_sint:{ *:[i64] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSS2SI64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /* 172749 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSS2SI64rm),
     /* 172752 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 172754 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 172758 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 172763 */   GIR_RootConstrainSelectedInstOperands,
     /* 172764 */   // GIR_Coverage, 1745,
     /* 172764 */   GIR_EraseRootFromParent_Done,
     /* 172765 */ // Label 3799: @172765
     /* 172765 */ GIM_Try, /*On fail goto*//*Label 3800*/ GIMT_Encode4(172824), // Rule ID 1753 //
     /* 172770 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 172773 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 172776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 172780 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 172784 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 172788 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 172791 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 172795 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 172799 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 172801 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 172808 */   // (fp_to_sint:{ *:[i64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSD2SI64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /* 172808 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSD2SI64rm),
     /* 172811 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 172813 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 172817 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 172822 */   GIR_RootConstrainSelectedInstOperands,
     /* 172823 */   // GIR_Coverage, 1753,
     /* 172823 */   GIR_EraseRootFromParent_Done,
     /* 172824 */ // Label 3800: @172824
     /* 172824 */ GIM_Try, /*On fail goto*//*Label 3801*/ GIMT_Encode4(172883), // Rule ID 1769 //
     /* 172829 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 172832 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 172835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 172839 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 172843 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 172847 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 172850 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 172854 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 172858 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 172860 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 172867 */   // (fp_to_sint:{ *:[i64] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CVTTSS2SI64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /* 172867 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CVTTSS2SI64rm),
     /* 172870 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 172872 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 172876 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 172881 */   GIR_RootConstrainSelectedInstOperands,
     /* 172882 */   // GIR_Coverage, 1769,
     /* 172882 */   GIR_EraseRootFromParent_Done,
     /* 172883 */ // Label 3801: @172883
     /* 172883 */ GIM_Try, /*On fail goto*//*Label 3802*/ GIMT_Encode4(172942), // Rule ID 1777 //
     /* 172888 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 172891 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 172894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 172898 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 172902 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 172906 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 172909 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 172913 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 172917 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 172919 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 172926 */   // (fp_to_sint:{ *:[i64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CVTTSD2SI64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /* 172926 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CVTTSD2SI64rm),
     /* 172929 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 172931 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 172935 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 172940 */   GIR_RootConstrainSelectedInstOperands,
     /* 172941 */   // GIR_Coverage, 1777,
     /* 172941 */   GIR_EraseRootFromParent_Done,
     /* 172942 */ // Label 3802: @172942
     /* 172942 */ GIM_Try, /*On fail goto*//*Label 3803*/ GIMT_Encode4(173001), // Rule ID 10371 //
     /* 172947 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 172950 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 172953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 172957 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 172961 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 172965 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 172968 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 172972 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 172976 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 172978 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 172985 */   // (fp_to_sint:{ *:[i64] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSS2SI64Zrm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /* 172985 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSS2SI64Zrm),
     /* 172988 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 172990 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 172994 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 172999 */   GIR_RootConstrainSelectedInstOperands,
     /* 173000 */   // GIR_Coverage, 10371,
     /* 173000 */   GIR_EraseRootFromParent_Done,
     /* 173001 */ // Label 3803: @173001
     /* 173001 */ GIM_Try, /*On fail goto*//*Label 3804*/ GIMT_Encode4(173060), // Rule ID 10389 //
     /* 173006 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 173009 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 173012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 173016 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 173020 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 173024 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 173027 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 173031 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 173035 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 173037 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 173044 */   // (fp_to_sint:{ *:[i64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSD2SI64Zrm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /* 173044 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSD2SI64Zrm),
     /* 173047 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 173049 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 173053 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 173058 */   GIR_RootConstrainSelectedInstOperands,
     /* 173059 */   // GIR_Coverage, 10389,
     /* 173059 */   GIR_EraseRootFromParent_Done,
     /* 173060 */ // Label 3804: @173060
     /* 173060 */ GIM_Try, /*On fail goto*//*Label 3805*/ GIMT_Encode4(173119), // Rule ID 15179 //
     /* 173065 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 173068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 173071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 173075 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 173079 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 173083 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 173086 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 173090 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 173094 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 173096 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 173103 */   // (fp_to_sint:{ *:[i64] } (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSH2SI64Zrm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /* 173103 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSH2SI64Zrm),
     /* 173106 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 173108 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 173112 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 173117 */   GIR_RootConstrainSelectedInstOperands,
     /* 173118 */   // GIR_Coverage, 15179,
     /* 173118 */   GIR_EraseRootFromParent_Done,
     /* 173119 */ // Label 3805: @173119
     /* 173119 */ GIM_Try, /*On fail goto*//*Label 3806*/ GIMT_Encode4(173149), // Rule ID 1743 //
     /* 173124 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 173127 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 173130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 173134 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 173138 */   // (fp_to_sint:{ *:[i64] } FR32:{ *:[f32] }:$src)  =>  (VCVTTSS2SI64rr:{ *:[i64] } FR32:{ *:[f32] }:$src)
     /* 173138 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSS2SI64rr),
     /* 173143 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 173147 */   GIR_RootConstrainSelectedInstOperands,
     /* 173148 */   // GIR_Coverage, 1743,
     /* 173148 */   GIR_Done,
     /* 173149 */ // Label 3806: @173149
     /* 173149 */ GIM_Try, /*On fail goto*//*Label 3807*/ GIMT_Encode4(173179), // Rule ID 1751 //
     /* 173154 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 173157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 173160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 173164 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 173168 */   // (fp_to_sint:{ *:[i64] } FR64:{ *:[f64] }:$src)  =>  (VCVTTSD2SI64rr:{ *:[i64] } FR64:{ *:[f64] }:$src)
     /* 173168 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSD2SI64rr),
     /* 173173 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 173177 */   GIR_RootConstrainSelectedInstOperands,
     /* 173178 */   // GIR_Coverage, 1751,
     /* 173178 */   GIR_Done,
     /* 173179 */ // Label 3807: @173179
     /* 173179 */ GIM_Try, /*On fail goto*//*Label 3808*/ GIMT_Encode4(173209), // Rule ID 1767 //
     /* 173184 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 173187 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 173190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 173194 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 173198 */   // (fp_to_sint:{ *:[i64] } FR32:{ *:[f32] }:$src)  =>  (CVTTSS2SI64rr:{ *:[i64] } FR32:{ *:[f32] }:$src)
     /* 173198 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CVTTSS2SI64rr),
     /* 173203 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 173207 */   GIR_RootConstrainSelectedInstOperands,
     /* 173208 */   // GIR_Coverage, 1767,
     /* 173208 */   GIR_Done,
     /* 173209 */ // Label 3808: @173209
     /* 173209 */ GIM_Try, /*On fail goto*//*Label 3809*/ GIMT_Encode4(173239), // Rule ID 1775 //
     /* 173214 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 173217 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 173220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 173224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 173228 */   // (fp_to_sint:{ *:[i64] } FR64:{ *:[f64] }:$src)  =>  (CVTTSD2SI64rr:{ *:[i64] } FR64:{ *:[f64] }:$src)
     /* 173228 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CVTTSD2SI64rr),
     /* 173233 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 173237 */   GIR_RootConstrainSelectedInstOperands,
     /* 173238 */   // GIR_Coverage, 1775,
     /* 173238 */   GIR_Done,
     /* 173239 */ // Label 3809: @173239
     /* 173239 */ GIM_Try, /*On fail goto*//*Label 3810*/ GIMT_Encode4(173269), // Rule ID 10369 //
     /* 173244 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 173247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 173250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 173254 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 173258 */   // (fp_to_sint:{ *:[i64] } FR32X:{ *:[f32] }:$src)  =>  (VCVTTSS2SI64Zrr:{ *:[i64] } FR32X:{ *:[f32] }:$src)
     /* 173258 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSS2SI64Zrr),
     /* 173263 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 173267 */   GIR_RootConstrainSelectedInstOperands,
     /* 173268 */   // GIR_Coverage, 10369,
     /* 173268 */   GIR_Done,
     /* 173269 */ // Label 3810: @173269
     /* 173269 */ GIM_Try, /*On fail goto*//*Label 3811*/ GIMT_Encode4(173299), // Rule ID 10387 //
     /* 173274 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 173277 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 173280 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 173284 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 173288 */   // (fp_to_sint:{ *:[i64] } FR64X:{ *:[f64] }:$src)  =>  (VCVTTSD2SI64Zrr:{ *:[i64] } FR64X:{ *:[f64] }:$src)
     /* 173288 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSD2SI64Zrr),
     /* 173293 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 173297 */   GIR_RootConstrainSelectedInstOperands,
     /* 173298 */   // GIR_Coverage, 10387,
     /* 173298 */   GIR_Done,
     /* 173299 */ // Label 3811: @173299
     /* 173299 */ GIM_Try, /*On fail goto*//*Label 3812*/ GIMT_Encode4(173329), // Rule ID 15177 //
     /* 173304 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 173307 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 173310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 173314 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 173318 */   // (fp_to_sint:{ *:[i64] } FR16X:{ *:[f16] }:$src)  =>  (VCVTTSH2SI64Zrr:{ *:[i64] } FR16X:{ *:[f16] }:$src)
     /* 173318 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSH2SI64Zrr),
     /* 173323 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 173327 */   GIR_RootConstrainSelectedInstOperands,
     /* 173328 */   // GIR_Coverage, 15177,
     /* 173328 */   GIR_Done,
     /* 173329 */ // Label 3812: @173329
     /* 173329 */ GIM_Reject,
     /* 173330 */ // Label 3783: @173330
     /* 173330 */ GIM_Try, /*On fail goto*//*Label 3813*/ GIMT_Encode4(173418),
     /* 173335 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 173338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 173342 */   GIM_Try, /*On fail goto*//*Label 3814*/ GIMT_Encode4(173394), // Rule ID 18053 //
     /* 173347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 173350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 173354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 173358 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 173361 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 173365 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 173369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 173371 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 173378 */     // (fp_to_sint:{ *:[v4i32] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTPD2DQYrm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /* 173378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTPD2DQYrm),
     /* 173381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 173383 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 173387 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 173392 */     GIR_RootConstrainSelectedInstOperands,
     /* 173393 */     // GIR_Coverage, 18053,
     /* 173393 */     GIR_EraseRootFromParent_Done,
     /* 173394 */   // Label 3814: @173394
     /* 173394 */   GIM_Try, /*On fail goto*//*Label 3815*/ GIMT_Encode4(173417), // Rule ID 18051 //
     /* 173399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 173402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 173406 */     // (fp_to_sint:{ *:[v4i32] } VR256:{ *:[v4f64] }:$src)  =>  (VCVTTPD2DQYrr:{ *:[v4i32] } VR256:{ *:[v4f64] }:$src)
     /* 173406 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTPD2DQYrr),
     /* 173411 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 173415 */     GIR_RootConstrainSelectedInstOperands,
     /* 173416 */     // GIR_Coverage, 18051,
     /* 173416 */     GIR_Done,
     /* 173417 */   // Label 3815: @173417
     /* 173417 */   GIM_Reject,
     /* 173418 */ // Label 3813: @173418
     /* 173418 */ GIM_Reject,
     /* 173419 */ // Label 3784: @173419
     /* 173419 */ GIM_Reject,
     /* 173420 */ // Label 50: @173420
     /* 173420 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3818*/ GIMT_Encode4(173975),
     /* 173431 */ /*GILLT_s32*//*Label 3816*/ GIMT_Encode4(173439),
     /* 173435 */ /*GILLT_s64*//*Label 3817*/ GIMT_Encode4(173707),
     /* 173439 */ // Label 3816: @173439
     /* 173439 */ GIM_Try, /*On fail goto*//*Label 3819*/ GIMT_Encode4(173498), // Rule ID 10398 //
     /* 173444 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 173447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 173450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 173454 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 173458 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 173462 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 173465 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 173469 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 173473 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 173475 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 173482 */   // (fp_to_uint:{ *:[i32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSS2USIZrm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 173482 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSS2USIZrm),
     /* 173485 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 173487 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 173491 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 173496 */   GIR_RootConstrainSelectedInstOperands,
     /* 173497 */   // GIR_Coverage, 10398,
     /* 173497 */   GIR_EraseRootFromParent_Done,
     /* 173498 */ // Label 3819: @173498
     /* 173498 */ GIM_Try, /*On fail goto*//*Label 3820*/ GIMT_Encode4(173557), // Rule ID 10416 //
     /* 173503 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 173506 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 173509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 173513 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 173517 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 173521 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 173524 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 173528 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 173532 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 173534 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 173541 */   // (fp_to_uint:{ *:[i32] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSD2USIZrm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 173541 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSD2USIZrm),
     /* 173544 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 173546 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 173550 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 173555 */   GIR_RootConstrainSelectedInstOperands,
     /* 173556 */   // GIR_Coverage, 10416,
     /* 173556 */   GIR_EraseRootFromParent_Done,
     /* 173557 */ // Label 3820: @173557
     /* 173557 */ GIM_Try, /*On fail goto*//*Label 3821*/ GIMT_Encode4(173616), // Rule ID 15188 //
     /* 173562 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 173565 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 173568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 173572 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 173576 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 173580 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 173583 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 173587 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 173591 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 173593 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 173600 */   // (fp_to_uint:{ *:[i32] } (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSH2USIZrm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 173600 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSH2USIZrm),
     /* 173603 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 173605 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 173609 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 173614 */   GIR_RootConstrainSelectedInstOperands,
     /* 173615 */   // GIR_Coverage, 15188,
     /* 173615 */   GIR_EraseRootFromParent_Done,
     /* 173616 */ // Label 3821: @173616
     /* 173616 */ GIM_Try, /*On fail goto*//*Label 3822*/ GIMT_Encode4(173646), // Rule ID 10396 //
     /* 173621 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 173624 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 173627 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 173631 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 173635 */   // (fp_to_uint:{ *:[i32] } FR32X:{ *:[f32] }:$src)  =>  (VCVTTSS2USIZrr:{ *:[i32] } FR32X:{ *:[f32] }:$src)
     /* 173635 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSS2USIZrr),
     /* 173640 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 173644 */   GIR_RootConstrainSelectedInstOperands,
     /* 173645 */   // GIR_Coverage, 10396,
     /* 173645 */   GIR_Done,
     /* 173646 */ // Label 3822: @173646
     /* 173646 */ GIM_Try, /*On fail goto*//*Label 3823*/ GIMT_Encode4(173676), // Rule ID 10414 //
     /* 173651 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 173654 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 173657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 173661 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 173665 */   // (fp_to_uint:{ *:[i32] } FR64X:{ *:[f64] }:$src)  =>  (VCVTTSD2USIZrr:{ *:[i32] } FR64X:{ *:[f64] }:$src)
     /* 173665 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSD2USIZrr),
     /* 173670 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 173674 */   GIR_RootConstrainSelectedInstOperands,
     /* 173675 */   // GIR_Coverage, 10414,
     /* 173675 */   GIR_Done,
     /* 173676 */ // Label 3823: @173676
     /* 173676 */ GIM_Try, /*On fail goto*//*Label 3824*/ GIMT_Encode4(173706), // Rule ID 15186 //
     /* 173681 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 173684 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 173687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 173691 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 173695 */   // (fp_to_uint:{ *:[i32] } FR16X:{ *:[f16] }:$src)  =>  (VCVTTSH2USIZrr:{ *:[i32] } FR16X:{ *:[f16] }:$src)
     /* 173695 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSH2USIZrr),
     /* 173700 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 173704 */   GIR_RootConstrainSelectedInstOperands,
     /* 173705 */   // GIR_Coverage, 15186,
     /* 173705 */   GIR_Done,
     /* 173706 */ // Label 3824: @173706
     /* 173706 */ GIM_Reject,
     /* 173707 */ // Label 3817: @173707
     /* 173707 */ GIM_Try, /*On fail goto*//*Label 3825*/ GIMT_Encode4(173766), // Rule ID 10407 //
     /* 173712 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 173715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 173718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 173722 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 173726 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 173730 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 173733 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 173737 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 173741 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 173743 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 173750 */   // (fp_to_uint:{ *:[i64] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSS2USI64Zrm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /* 173750 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSS2USI64Zrm),
     /* 173753 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 173755 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 173759 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 173764 */   GIR_RootConstrainSelectedInstOperands,
     /* 173765 */   // GIR_Coverage, 10407,
     /* 173765 */   GIR_EraseRootFromParent_Done,
     /* 173766 */ // Label 3825: @173766
     /* 173766 */ GIM_Try, /*On fail goto*//*Label 3826*/ GIMT_Encode4(173825), // Rule ID 10425 //
     /* 173771 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 173774 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 173777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 173781 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 173785 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 173789 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 173792 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 173796 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 173800 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 173802 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 173809 */   // (fp_to_uint:{ *:[i64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSD2USI64Zrm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /* 173809 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSD2USI64Zrm),
     /* 173812 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 173814 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 173818 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 173823 */   GIR_RootConstrainSelectedInstOperands,
     /* 173824 */   // GIR_Coverage, 10425,
     /* 173824 */   GIR_EraseRootFromParent_Done,
     /* 173825 */ // Label 3826: @173825
     /* 173825 */ GIM_Try, /*On fail goto*//*Label 3827*/ GIMT_Encode4(173884), // Rule ID 15197 //
     /* 173830 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 173833 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 173836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 173840 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 173844 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 173848 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 173851 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 173855 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 173859 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 173861 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 173868 */   // (fp_to_uint:{ *:[i64] } (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSH2USI64Zrm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /* 173868 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSH2USI64Zrm),
     /* 173871 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 173873 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 173877 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 173882 */   GIR_RootConstrainSelectedInstOperands,
     /* 173883 */   // GIR_Coverage, 15197,
     /* 173883 */   GIR_EraseRootFromParent_Done,
     /* 173884 */ // Label 3827: @173884
     /* 173884 */ GIM_Try, /*On fail goto*//*Label 3828*/ GIMT_Encode4(173914), // Rule ID 10405 //
     /* 173889 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 173892 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 173895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 173899 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 173903 */   // (fp_to_uint:{ *:[i64] } FR32X:{ *:[f32] }:$src)  =>  (VCVTTSS2USI64Zrr:{ *:[i64] } FR32X:{ *:[f32] }:$src)
     /* 173903 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSS2USI64Zrr),
     /* 173908 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 173912 */   GIR_RootConstrainSelectedInstOperands,
     /* 173913 */   // GIR_Coverage, 10405,
     /* 173913 */   GIR_Done,
     /* 173914 */ // Label 3828: @173914
     /* 173914 */ GIM_Try, /*On fail goto*//*Label 3829*/ GIMT_Encode4(173944), // Rule ID 10423 //
     /* 173919 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 173922 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 173925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 173929 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 173933 */   // (fp_to_uint:{ *:[i64] } FR64X:{ *:[f64] }:$src)  =>  (VCVTTSD2USI64Zrr:{ *:[i64] } FR64X:{ *:[f64] }:$src)
     /* 173933 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSD2USI64Zrr),
     /* 173938 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 173942 */   GIR_RootConstrainSelectedInstOperands,
     /* 173943 */   // GIR_Coverage, 10423,
     /* 173943 */   GIR_Done,
     /* 173944 */ // Label 3829: @173944
     /* 173944 */ GIM_Try, /*On fail goto*//*Label 3830*/ GIMT_Encode4(173974), // Rule ID 15195 //
     /* 173949 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 173952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 173955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 173959 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 173963 */   // (fp_to_uint:{ *:[i64] } FR16X:{ *:[f16] }:$src)  =>  (VCVTTSH2USI64Zrr:{ *:[i64] } FR16X:{ *:[f16] }:$src)
     /* 173963 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSH2USI64Zrr),
     /* 173968 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 173972 */   GIR_RootConstrainSelectedInstOperands,
     /* 173973 */   // GIR_Coverage, 15195,
     /* 173973 */   GIR_Done,
     /* 173974 */ // Label 3830: @173974
     /* 173974 */ GIM_Reject,
     /* 173975 */ // Label 3818: @173975
     /* 173975 */ GIM_Reject,
     /* 173976 */ // Label 51: @173976
     /* 173976 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(23), /*)*//*default:*//*Label 3843*/ GIMT_Encode4(177351),
     /* 173987 */ /*GILLT_s16*//*Label 3831*/ GIMT_Encode4(174071),
     /* 173991 */ /*GILLT_s32*//*Label 3832*/ GIMT_Encode4(174314),
     /* 173995 */ /*GILLT_s64*//*Label 3833*/ GIMT_Encode4(174977), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 174011 */ /*GILLT_v2s64*//*Label 3834*/ GIMT_Encode4(175636), GIMT_Encode4(0),
     /* 174019 */ /*GILLT_v4s32*//*Label 3835*/ GIMT_Encode4(175725),
     /* 174023 */ /*GILLT_v4s64*//*Label 3836*/ GIMT_Encode4(176023), GIMT_Encode4(0),
     /* 174031 */ /*GILLT_v8s16*//*Label 3837*/ GIMT_Encode4(176283),
     /* 174035 */ /*GILLT_v8s32*//*Label 3838*/ GIMT_Encode4(176551),
     /* 174039 */ /*GILLT_v8s64*//*Label 3839*/ GIMT_Encode4(176819), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 174051 */ /*GILLT_v16s16*//*Label 3840*/ GIMT_Encode4(176994),
     /* 174055 */ /*GILLT_v16s32*//*Label 3841*/ GIMT_Encode4(177173), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 174067 */ /*GILLT_v32s16*//*Label 3842*/ GIMT_Encode4(177262),
     /* 174071 */ // Label 3831: @174071
     /* 174071 */ GIM_Try, /*On fail goto*//*Label 3844*/ GIMT_Encode4(174147), // Rule ID 22178 //
     /* 174076 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 174079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 174082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 174086 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 174090 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 174094 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 174097 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 174101 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 174105 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 174107 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 174114 */   // (sint_to_fp:{ *:[f16] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSI642SHZrm:{ *:[f16] } (IMPLICIT_DEF:{ *:[f16] }), addr:{ *:[iPTR] }:$src)
     /* 174114 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 174117 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 174121 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 174126 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 174128 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI642SHZrm),
     /* 174131 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 174133 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 174136 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 174140 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 174145 */   GIR_RootConstrainSelectedInstOperands,
     /* 174146 */   // GIR_Coverage, 22178,
     /* 174146 */   GIR_EraseRootFromParent_Done,
     /* 174147 */ // Label 3844: @174147
     /* 174147 */ GIM_Try, /*On fail goto*//*Label 3845*/ GIMT_Encode4(174223), // Rule ID 22176 //
     /* 174152 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 174155 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 174158 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 174162 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 174166 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 174170 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 174173 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 174177 */   GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 174181 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 174183 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 174190 */   // (sint_to_fp:{ *:[f16] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (VCVTSI2SHZrm:{ *:[f16] } (IMPLICIT_DEF:{ *:[f16] }), addr:{ *:[iPTR] }:$src)
     /* 174190 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 174193 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 174197 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 174202 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 174204 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI2SHZrm),
     /* 174207 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 174209 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 174212 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 174216 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 174221 */   GIR_RootConstrainSelectedInstOperands,
     /* 174222 */   // GIR_Coverage, 22176,
     /* 174222 */   GIR_EraseRootFromParent_Done,
     /* 174223 */ // Label 3845: @174223
     /* 174223 */ GIM_Try, /*On fail goto*//*Label 3846*/ GIMT_Encode4(174268), // Rule ID 22180 //
     /* 174228 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 174231 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 174234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 174238 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 174242 */   // (sint_to_fp:{ *:[f16] } GR32:{ *:[i32] }:$src)  =>  (VCVTSI2SHZrr:{ *:[f16] } (IMPLICIT_DEF:{ *:[f16] }), GR32:{ *:[i32] }:$src)
     /* 174242 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 174245 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 174249 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 174254 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 174256 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI2SHZrr),
     /* 174259 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 174261 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 174264 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 174266 */   GIR_RootConstrainSelectedInstOperands,
     /* 174267 */   // GIR_Coverage, 22180,
     /* 174267 */   GIR_EraseRootFromParent_Done,
     /* 174268 */ // Label 3846: @174268
     /* 174268 */ GIM_Try, /*On fail goto*//*Label 3847*/ GIMT_Encode4(174313), // Rule ID 22182 //
     /* 174273 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 174276 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 174279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 174283 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 174287 */   // (sint_to_fp:{ *:[f16] } GR64:{ *:[i64] }:$src)  =>  (VCVTSI642SHZrr:{ *:[f16] } (IMPLICIT_DEF:{ *:[f16] }), GR64:{ *:[i64] }:$src)
     /* 174287 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 174290 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 174294 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 174299 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 174301 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI642SHZrr),
     /* 174304 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 174306 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 174309 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 174311 */   GIR_RootConstrainSelectedInstOperands,
     /* 174312 */   // GIR_Coverage, 22182,
     /* 174312 */   GIR_EraseRootFromParent_Done,
     /* 174313 */ // Label 3847: @174313
     /* 174313 */ GIM_Reject,
     /* 174314 */ // Label 3832: @174314
     /* 174314 */ GIM_Try, /*On fail goto*//*Label 3848*/ GIMT_Encode4(174373), // Rule ID 1793 //
     /* 174319 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 174322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 174325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 174329 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 174333 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 174337 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 174340 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 174344 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 174348 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 174350 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 174357 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CVTSI642SSrm:{ *:[f32] } addr:{ *:[iPTR] }:$src)
     /* 174357 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CVTSI642SSrm),
     /* 174360 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 174362 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 174366 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 174371 */   GIR_RootConstrainSelectedInstOperands,
     /* 174372 */   // GIR_Coverage, 1793,
     /* 174372 */   GIR_EraseRootFromParent_Done,
     /* 174373 */ // Label 3848: @174373
     /* 174373 */ GIM_Try, /*On fail goto*//*Label 3849*/ GIMT_Encode4(174449), // Rule ID 17975 //
     /* 174378 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 174381 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 174384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 174388 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 174392 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 174396 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 174399 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 174403 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 174407 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 174409 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 174416 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSI642SSrm:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), addr:{ *:[iPTR] }:$src)
     /* 174416 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 174419 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 174423 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 174428 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 174430 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI642SSrm),
     /* 174433 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 174435 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 174438 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 174442 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 174447 */   GIR_RootConstrainSelectedInstOperands,
     /* 174448 */   // GIR_Coverage, 17975,
     /* 174448 */   GIR_EraseRootFromParent_Done,
     /* 174449 */ // Label 3849: @174449
     /* 174449 */ GIM_Try, /*On fail goto*//*Label 3850*/ GIMT_Encode4(174525), // Rule ID 21129 //
     /* 174454 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 174457 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 174460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 174464 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 174468 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 174472 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 174475 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 174479 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 174483 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 174485 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 174492 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSI642SSZrm:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), addr:{ *:[iPTR] }:$src)
     /* 174492 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 174495 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 174499 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 174504 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 174506 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI642SSZrm),
     /* 174509 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 174511 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 174514 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 174518 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 174523 */   GIR_RootConstrainSelectedInstOperands,
     /* 174524 */   // GIR_Coverage, 21129,
     /* 174524 */   GIR_EraseRootFromParent_Done,
     /* 174525 */ // Label 3850: @174525
     /* 174525 */ GIM_Try, /*On fail goto*//*Label 3851*/ GIMT_Encode4(174584), // Rule ID 1789 //
     /* 174530 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 174533 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 174536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 174540 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 174544 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 174548 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 174551 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 174555 */   GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 174559 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 174561 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 174568 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (CVTSI2SSrm:{ *:[f32] } addr:{ *:[iPTR] }:$src)
     /* 174568 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CVTSI2SSrm),
     /* 174571 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 174573 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 174577 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 174582 */   GIR_RootConstrainSelectedInstOperands,
     /* 174583 */   // GIR_Coverage, 1789,
     /* 174583 */   GIR_EraseRootFromParent_Done,
     /* 174584 */ // Label 3851: @174584
     /* 174584 */ GIM_Try, /*On fail goto*//*Label 3852*/ GIMT_Encode4(174660), // Rule ID 17973 //
     /* 174589 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 174592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 174595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 174599 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 174603 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 174607 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 174610 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 174614 */   GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 174618 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 174620 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 174627 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (VCVTSI2SSrm:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), addr:{ *:[iPTR] }:$src)
     /* 174627 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 174630 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 174634 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 174639 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 174641 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI2SSrm),
     /* 174644 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 174646 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 174649 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 174653 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 174658 */   GIR_RootConstrainSelectedInstOperands,
     /* 174659 */   // GIR_Coverage, 17973,
     /* 174659 */   GIR_EraseRootFromParent_Done,
     /* 174660 */ // Label 3852: @174660
     /* 174660 */ GIM_Try, /*On fail goto*//*Label 3853*/ GIMT_Encode4(174736), // Rule ID 21127 //
     /* 174665 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 174668 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 174671 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 174675 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 174679 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 174683 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 174686 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 174690 */   GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 174694 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 174696 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 174703 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (VCVTSI2SSZrm:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), addr:{ *:[iPTR] }:$src)
     /* 174703 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 174706 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 174710 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 174715 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 174717 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI2SSZrm),
     /* 174720 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 174722 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 174725 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 174729 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 174734 */   GIR_RootConstrainSelectedInstOperands,
     /* 174735 */   // GIR_Coverage, 21127,
     /* 174735 */   GIR_EraseRootFromParent_Done,
     /* 174736 */ // Label 3853: @174736
     /* 174736 */ GIM_Try, /*On fail goto*//*Label 3854*/ GIMT_Encode4(174766), // Rule ID 1787 //
     /* 174741 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 174744 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 174747 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 174751 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 174755 */   // (sint_to_fp:{ *:[f32] } GR32:{ *:[i32] }:$src)  =>  (CVTSI2SSrr:{ *:[f32] } GR32:{ *:[i32] }:$src)
     /* 174755 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CVTSI2SSrr),
     /* 174760 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 174764 */   GIR_RootConstrainSelectedInstOperands,
     /* 174765 */   // GIR_Coverage, 1787,
     /* 174765 */   GIR_Done,
     /* 174766 */ // Label 3854: @174766
     /* 174766 */ GIM_Try, /*On fail goto*//*Label 3855*/ GIMT_Encode4(174796), // Rule ID 1791 //
     /* 174771 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 174774 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 174777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 174781 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 174785 */   // (sint_to_fp:{ *:[f32] } GR64:{ *:[i64] }:$src)  =>  (CVTSI642SSrr:{ *:[f32] } GR64:{ *:[i64] }:$src)
     /* 174785 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CVTSI642SSrr),
     /* 174790 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 174794 */   GIR_RootConstrainSelectedInstOperands,
     /* 174795 */   // GIR_Coverage, 1791,
     /* 174795 */   GIR_Done,
     /* 174796 */ // Label 3855: @174796
     /* 174796 */ GIM_Try, /*On fail goto*//*Label 3856*/ GIMT_Encode4(174841), // Rule ID 17981 //
     /* 174801 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 174804 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 174807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 174811 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 174815 */   // (sint_to_fp:{ *:[f32] } GR32:{ *:[i32] }:$src)  =>  (VCVTSI2SSrr:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), GR32:{ *:[i32] }:$src)
     /* 174815 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 174818 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 174822 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 174827 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 174829 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI2SSrr),
     /* 174832 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 174834 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 174837 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 174839 */   GIR_RootConstrainSelectedInstOperands,
     /* 174840 */   // GIR_Coverage, 17981,
     /* 174840 */   GIR_EraseRootFromParent_Done,
     /* 174841 */ // Label 3856: @174841
     /* 174841 */ GIM_Try, /*On fail goto*//*Label 3857*/ GIMT_Encode4(174886), // Rule ID 17983 //
     /* 174846 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 174849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 174852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 174856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 174860 */   // (sint_to_fp:{ *:[f32] } GR64:{ *:[i64] }:$src)  =>  (VCVTSI642SSrr:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), GR64:{ *:[i64] }:$src)
     /* 174860 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 174863 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 174867 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 174872 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 174874 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI642SSrr),
     /* 174877 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 174879 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 174882 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 174884 */   GIR_RootConstrainSelectedInstOperands,
     /* 174885 */   // GIR_Coverage, 17983,
     /* 174885 */   GIR_EraseRootFromParent_Done,
     /* 174886 */ // Label 3857: @174886
     /* 174886 */ GIM_Try, /*On fail goto*//*Label 3858*/ GIMT_Encode4(174931), // Rule ID 21135 //
     /* 174891 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 174894 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 174897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 174901 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 174905 */   // (sint_to_fp:{ *:[f32] } GR32:{ *:[i32] }:$src)  =>  (VCVTSI2SSZrr:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), GR32:{ *:[i32] }:$src)
     /* 174905 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 174908 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 174912 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 174917 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 174919 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI2SSZrr),
     /* 174922 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 174924 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 174927 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 174929 */   GIR_RootConstrainSelectedInstOperands,
     /* 174930 */   // GIR_Coverage, 21135,
     /* 174930 */   GIR_EraseRootFromParent_Done,
     /* 174931 */ // Label 3858: @174931
     /* 174931 */ GIM_Try, /*On fail goto*//*Label 3859*/ GIMT_Encode4(174976), // Rule ID 21137 //
     /* 174936 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 174939 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 174942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 174946 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 174950 */   // (sint_to_fp:{ *:[f32] } GR64:{ *:[i64] }:$src)  =>  (VCVTSI642SSZrr:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), GR64:{ *:[i64] }:$src)
     /* 174950 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 174953 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 174957 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 174962 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 174964 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI642SSZrr),
     /* 174967 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 174969 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 174972 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 174974 */   GIR_RootConstrainSelectedInstOperands,
     /* 174975 */   // GIR_Coverage, 21137,
     /* 174975 */   GIR_EraseRootFromParent_Done,
     /* 174976 */ // Label 3859: @174976
     /* 174976 */ GIM_Reject,
     /* 174977 */ // Label 3833: @174977
     /* 174977 */ GIM_Try, /*On fail goto*//*Label 3860*/ GIMT_Encode4(175036), // Rule ID 1801 //
     /* 174982 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 174985 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 174988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 174992 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 174996 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 175000 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 175003 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 175007 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 175011 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 175013 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 175020 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CVTSI642SDrm:{ *:[f64] } addr:{ *:[iPTR] }:$src)
     /* 175020 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CVTSI642SDrm),
     /* 175023 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 175025 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 175029 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 175034 */   GIR_RootConstrainSelectedInstOperands,
     /* 175035 */   // GIR_Coverage, 1801,
     /* 175035 */   GIR_EraseRootFromParent_Done,
     /* 175036 */ // Label 3860: @175036
     /* 175036 */ GIM_Try, /*On fail goto*//*Label 3861*/ GIMT_Encode4(175112), // Rule ID 17979 //
     /* 175041 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 175044 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 175047 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 175051 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 175055 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 175059 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 175062 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 175066 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 175070 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 175072 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 175079 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSI642SDrm:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), addr:{ *:[iPTR] }:$src)
     /* 175079 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 175082 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 175086 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 175091 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 175093 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI642SDrm),
     /* 175096 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 175098 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 175101 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 175105 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 175110 */   GIR_RootConstrainSelectedInstOperands,
     /* 175111 */   // GIR_Coverage, 17979,
     /* 175111 */   GIR_EraseRootFromParent_Done,
     /* 175112 */ // Label 3861: @175112
     /* 175112 */ GIM_Try, /*On fail goto*//*Label 3862*/ GIMT_Encode4(175188), // Rule ID 21133 //
     /* 175117 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 175120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 175123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 175127 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 175131 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 175135 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 175138 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 175142 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 175146 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 175148 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 175155 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSI642SDZrm:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), addr:{ *:[iPTR] }:$src)
     /* 175155 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 175158 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 175162 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 175167 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 175169 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI642SDZrm),
     /* 175172 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 175174 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 175177 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 175181 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 175186 */   GIR_RootConstrainSelectedInstOperands,
     /* 175187 */   // GIR_Coverage, 21133,
     /* 175187 */   GIR_EraseRootFromParent_Done,
     /* 175188 */ // Label 3862: @175188
     /* 175188 */ GIM_Try, /*On fail goto*//*Label 3863*/ GIMT_Encode4(175247), // Rule ID 1797 //
     /* 175193 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 175196 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 175199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 175203 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 175207 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 175211 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 175214 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 175218 */   GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 175222 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 175224 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 175231 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (CVTSI2SDrm:{ *:[f64] } addr:{ *:[iPTR] }:$src)
     /* 175231 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CVTSI2SDrm),
     /* 175234 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 175236 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 175240 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 175245 */   GIR_RootConstrainSelectedInstOperands,
     /* 175246 */   // GIR_Coverage, 1797,
     /* 175246 */   GIR_EraseRootFromParent_Done,
     /* 175247 */ // Label 3863: @175247
     /* 175247 */ GIM_Try, /*On fail goto*//*Label 3864*/ GIMT_Encode4(175323), // Rule ID 17977 //
     /* 175252 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 175255 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 175258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 175262 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 175266 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 175270 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 175273 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 175277 */   GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 175281 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 175283 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 175290 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (VCVTSI2SDrm:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), addr:{ *:[iPTR] }:$src)
     /* 175290 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 175293 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 175297 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 175302 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 175304 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI2SDrm),
     /* 175307 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 175309 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 175312 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 175316 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 175321 */   GIR_RootConstrainSelectedInstOperands,
     /* 175322 */   // GIR_Coverage, 17977,
     /* 175322 */   GIR_EraseRootFromParent_Done,
     /* 175323 */ // Label 3864: @175323
     /* 175323 */ GIM_Try, /*On fail goto*//*Label 3865*/ GIMT_Encode4(175399), // Rule ID 21131 //
     /* 175328 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 175331 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 175334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 175338 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 175342 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 175346 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 175349 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 175353 */   GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 175357 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 175359 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 175366 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (VCVTSI2SDZrm:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), addr:{ *:[iPTR] }:$src)
     /* 175366 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 175369 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 175373 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 175378 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 175380 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI2SDZrm),
     /* 175383 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 175385 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 175388 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 175392 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 175397 */   GIR_RootConstrainSelectedInstOperands,
     /* 175398 */   // GIR_Coverage, 21131,
     /* 175398 */   GIR_EraseRootFromParent_Done,
     /* 175399 */ // Label 3865: @175399
     /* 175399 */ GIM_Try, /*On fail goto*//*Label 3866*/ GIMT_Encode4(175425), // Rule ID 1795 //
     /* 175404 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 175407 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 175410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 175414 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 175418 */   // (sint_to_fp:{ *:[f64] } GR32:{ *:[i32] }:$src)  =>  (CVTSI2SDrr:{ *:[f64] } GR32:{ *:[i32] }:$src)
     /* 175418 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CVTSI2SDrr),
     /* 175423 */   GIR_RootConstrainSelectedInstOperands,
     /* 175424 */   // GIR_Coverage, 1795,
     /* 175424 */   GIR_Done,
     /* 175425 */ // Label 3866: @175425
     /* 175425 */ GIM_Try, /*On fail goto*//*Label 3867*/ GIMT_Encode4(175455), // Rule ID 1799 //
     /* 175430 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 175433 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 175436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 175440 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 175444 */   // (sint_to_fp:{ *:[f64] } GR64:{ *:[i64] }:$src)  =>  (CVTSI642SDrr:{ *:[f64] } GR64:{ *:[i64] }:$src)
     /* 175444 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CVTSI642SDrr),
     /* 175449 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 175453 */   GIR_RootConstrainSelectedInstOperands,
     /* 175454 */   // GIR_Coverage, 1799,
     /* 175454 */   GIR_Done,
     /* 175455 */ // Label 3867: @175455
     /* 175455 */ GIM_Try, /*On fail goto*//*Label 3868*/ GIMT_Encode4(175500), // Rule ID 17985 //
     /* 175460 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 175463 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 175466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 175470 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 175474 */   // (sint_to_fp:{ *:[f64] } GR32:{ *:[i32] }:$src)  =>  (VCVTSI2SDrr:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), GR32:{ *:[i32] }:$src)
     /* 175474 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 175477 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 175481 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 175486 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 175488 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI2SDrr),
     /* 175491 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 175493 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 175496 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 175498 */   GIR_RootConstrainSelectedInstOperands,
     /* 175499 */   // GIR_Coverage, 17985,
     /* 175499 */   GIR_EraseRootFromParent_Done,
     /* 175500 */ // Label 3868: @175500
     /* 175500 */ GIM_Try, /*On fail goto*//*Label 3869*/ GIMT_Encode4(175545), // Rule ID 17987 //
     /* 175505 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 175508 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 175511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 175515 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 175519 */   // (sint_to_fp:{ *:[f64] } GR64:{ *:[i64] }:$src)  =>  (VCVTSI642SDrr:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), GR64:{ *:[i64] }:$src)
     /* 175519 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 175522 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 175526 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 175531 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 175533 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI642SDrr),
     /* 175536 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 175538 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 175541 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 175543 */   GIR_RootConstrainSelectedInstOperands,
     /* 175544 */   // GIR_Coverage, 17987,
     /* 175544 */   GIR_EraseRootFromParent_Done,
     /* 175545 */ // Label 3869: @175545
     /* 175545 */ GIM_Try, /*On fail goto*//*Label 3870*/ GIMT_Encode4(175590), // Rule ID 21139 //
     /* 175550 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 175553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 175556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 175560 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 175564 */   // (sint_to_fp:{ *:[f64] } GR32:{ *:[i32] }:$src)  =>  (VCVTSI2SDZrr:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), GR32:{ *:[i32] }:$src)
     /* 175564 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 175567 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 175571 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 175576 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 175578 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI2SDZrr),
     /* 175581 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 175583 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 175586 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 175588 */   GIR_RootConstrainSelectedInstOperands,
     /* 175589 */   // GIR_Coverage, 21139,
     /* 175589 */   GIR_EraseRootFromParent_Done,
     /* 175590 */ // Label 3870: @175590
     /* 175590 */ GIM_Try, /*On fail goto*//*Label 3871*/ GIMT_Encode4(175635), // Rule ID 21141 //
     /* 175595 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 175598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 175601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 175605 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 175609 */   // (sint_to_fp:{ *:[f64] } GR64:{ *:[i64] }:$src)  =>  (VCVTSI642SDZrr:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), GR64:{ *:[i64] }:$src)
     /* 175609 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 175612 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 175616 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 175621 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 175623 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI642SDZrr),
     /* 175626 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 175628 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 175631 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 175633 */   GIR_RootConstrainSelectedInstOperands,
     /* 175634 */   // GIR_Coverage, 21141,
     /* 175634 */   GIR_EraseRootFromParent_Done,
     /* 175635 */ // Label 3871: @175635
     /* 175635 */ GIM_Reject,
     /* 175636 */ // Label 3834: @175636
     /* 175636 */ GIM_Try, /*On fail goto*//*Label 3872*/ GIMT_Encode4(175724),
     /* 175641 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 175644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 175648 */   GIM_Try, /*On fail goto*//*Label 3873*/ GIMT_Encode4(175700), // Rule ID 11378 //
     /* 175653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 175656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 175660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 175664 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 175667 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 175671 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 175675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 175677 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 175684 */     // (sint_to_fp:{ *:[v2f64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTQQ2PDZ128rm:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)
     /* 175684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTQQ2PDZ128rm),
     /* 175687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 175689 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 175693 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 175698 */     GIR_RootConstrainSelectedInstOperands,
     /* 175699 */     // GIR_Coverage, 11378,
     /* 175699 */     GIR_EraseRootFromParent_Done,
     /* 175700 */   // Label 3873: @175700
     /* 175700 */   GIM_Try, /*On fail goto*//*Label 3874*/ GIMT_Encode4(175723), // Rule ID 11374 //
     /* 175705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 175708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 175712 */     // (sint_to_fp:{ *:[v2f64] } VR128X:{ *:[v2i64] }:$src)  =>  (VCVTQQ2PDZ128rr:{ *:[v2f64] } VR128X:{ *:[v2i64] }:$src)
     /* 175712 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTQQ2PDZ128rr),
     /* 175717 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 175721 */     GIR_RootConstrainSelectedInstOperands,
     /* 175722 */     // GIR_Coverage, 11374,
     /* 175722 */     GIR_Done,
     /* 175723 */   // Label 3874: @175723
     /* 175723 */   GIM_Reject,
     /* 175724 */ // Label 3872: @175724
     /* 175724 */ GIM_Reject,
     /* 175725 */ // Label 3835: @175725
     /* 175725 */ GIM_Try, /*On fail goto*//*Label 3875*/ GIMT_Encode4(175784), // Rule ID 1869 //
     /* 175730 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 175733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 175736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 175740 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 175744 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 175748 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 175751 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 175755 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 175759 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 175761 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 175768 */   // (sint_to_fp:{ *:[v4f32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTDQ2PSrm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /* 175768 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PSrm),
     /* 175771 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 175773 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 175777 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 175782 */   GIR_RootConstrainSelectedInstOperands,
     /* 175783 */   // GIR_Coverage, 1869,
     /* 175783 */   GIR_EraseRootFromParent_Done,
     /* 175784 */ // Label 3875: @175784
     /* 175784 */ GIM_Try, /*On fail goto*//*Label 3876*/ GIMT_Encode4(175843), // Rule ID 10754 //
     /* 175789 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 175792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 175795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 175799 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 175803 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 175807 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 175810 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 175814 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 175818 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 175820 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 175827 */   // (sint_to_fp:{ *:[v4f32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTDQ2PSZ128rm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /* 175827 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PSZ128rm),
     /* 175830 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 175832 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 175836 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 175841 */   GIR_RootConstrainSelectedInstOperands,
     /* 175842 */   // GIR_Coverage, 10754,
     /* 175842 */   GIR_EraseRootFromParent_Done,
     /* 175843 */ // Label 3876: @175843
     /* 175843 */ GIM_Try, /*On fail goto*//*Label 3877*/ GIMT_Encode4(175902), // Rule ID 11510 //
     /* 175848 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 175851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 175854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 175858 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 175862 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 175866 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 175869 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 175873 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 175877 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 175879 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 175886 */   // (sint_to_fp:{ *:[v4f32] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTQQ2PSZ256rm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /* 175886 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTQQ2PSZ256rm),
     /* 175889 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 175891 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 175895 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 175900 */   GIR_RootConstrainSelectedInstOperands,
     /* 175901 */   // GIR_Coverage, 11510,
     /* 175901 */   GIR_EraseRootFromParent_Done,
     /* 175902 */ // Label 3877: @175902
     /* 175902 */ GIM_Try, /*On fail goto*//*Label 3878*/ GIMT_Encode4(175932), // Rule ID 1867 //
     /* 175907 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 175910 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 175913 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 175917 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 175921 */   // (sint_to_fp:{ *:[v4f32] } VR128:{ *:[v4i32] }:$src)  =>  (VCVTDQ2PSrr:{ *:[v4f32] } VR128:{ *:[v4i32] }:$src)
     /* 175921 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PSrr),
     /* 175926 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 175930 */   GIR_RootConstrainSelectedInstOperands,
     /* 175931 */   // GIR_Coverage, 1867,
     /* 175931 */   GIR_Done,
     /* 175932 */ // Label 3878: @175932
     /* 175932 */ GIM_Try, /*On fail goto*//*Label 3879*/ GIMT_Encode4(175962), // Rule ID 1875 //
     /* 175937 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 175940 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 175943 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 175947 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 175951 */   // (sint_to_fp:{ *:[v4f32] } VR128:{ *:[v4i32] }:$src)  =>  (CVTDQ2PSrr:{ *:[v4f32] } VR128:{ *:[v4i32] }:$src)
     /* 175951 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CVTDQ2PSrr),
     /* 175956 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 175960 */   GIR_RootConstrainSelectedInstOperands,
     /* 175961 */   // GIR_Coverage, 1875,
     /* 175961 */   GIR_Done,
     /* 175962 */ // Label 3879: @175962
     /* 175962 */ GIM_Try, /*On fail goto*//*Label 3880*/ GIMT_Encode4(175992), // Rule ID 10750 //
     /* 175967 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 175970 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 175973 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 175977 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 175981 */   // (sint_to_fp:{ *:[v4f32] } VR128X:{ *:[v4i32] }:$src)  =>  (VCVTDQ2PSZ128rr:{ *:[v4f32] } VR128X:{ *:[v4i32] }:$src)
     /* 175981 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PSZ128rr),
     /* 175986 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 175990 */   GIR_RootConstrainSelectedInstOperands,
     /* 175991 */   // GIR_Coverage, 10750,
     /* 175991 */   GIR_Done,
     /* 175992 */ // Label 3880: @175992
     /* 175992 */ GIM_Try, /*On fail goto*//*Label 3881*/ GIMT_Encode4(176022), // Rule ID 11506 //
     /* 175997 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 176000 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 176003 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 176007 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 176011 */   // (sint_to_fp:{ *:[v4f32] } VR256X:{ *:[v4i64] }:$src)  =>  (VCVTQQ2PSZ256rr:{ *:[v4f32] } VR256X:{ *:[v4i64] }:$src)
     /* 176011 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTQQ2PSZ256rr),
     /* 176016 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 176020 */   GIR_RootConstrainSelectedInstOperands,
     /* 176021 */   // GIR_Coverage, 11506,
     /* 176021 */   GIR_Done,
     /* 176022 */ // Label 3881: @176022
     /* 176022 */ GIM_Reject,
     /* 176023 */ // Label 3836: @176023
     /* 176023 */ GIM_Try, /*On fail goto*//*Label 3882*/ GIMT_Encode4(176082), // Rule ID 1944 //
     /* 176028 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 176031 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 176034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 176038 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 176042 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 176046 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 176049 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 176053 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 176057 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 176059 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 176066 */   // (sint_to_fp:{ *:[v4f64] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTDQ2PDYrm:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)
     /* 176066 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PDYrm),
     /* 176069 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 176071 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 176075 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 176080 */   GIR_RootConstrainSelectedInstOperands,
     /* 176081 */   // GIR_Coverage, 1944,
     /* 176081 */   GIR_EraseRootFromParent_Done,
     /* 176082 */ // Label 3882: @176082
     /* 176082 */ GIM_Try, /*On fail goto*//*Label 3883*/ GIMT_Encode4(176141), // Rule ID 10727 //
     /* 176087 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 176090 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 176093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 176097 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 176101 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 176105 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 176108 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 176112 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 176116 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 176118 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 176125 */   // (sint_to_fp:{ *:[v4f64] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTDQ2PDZ256rm:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)
     /* 176125 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PDZ256rm),
     /* 176128 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 176130 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 176134 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 176139 */   GIR_RootConstrainSelectedInstOperands,
     /* 176140 */   // GIR_Coverage, 10727,
     /* 176140 */   GIR_EraseRootFromParent_Done,
     /* 176141 */ // Label 3883: @176141
     /* 176141 */ GIM_Try, /*On fail goto*//*Label 3884*/ GIMT_Encode4(176200), // Rule ID 11390 //
     /* 176146 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 176149 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 176152 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 176156 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 176160 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 176164 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 176167 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 176171 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 176175 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 176177 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 176184 */   // (sint_to_fp:{ *:[v4f64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTQQ2PDZ256rm:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)
     /* 176184 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTQQ2PDZ256rm),
     /* 176187 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 176189 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 176193 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 176198 */   GIR_RootConstrainSelectedInstOperands,
     /* 176199 */   // GIR_Coverage, 11390,
     /* 176199 */   GIR_EraseRootFromParent_Done,
     /* 176200 */ // Label 3884: @176200
     /* 176200 */ GIM_Try, /*On fail goto*//*Label 3885*/ GIMT_Encode4(176226), // Rule ID 1946 //
     /* 176205 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 176208 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 176211 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 176215 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 176219 */   // (sint_to_fp:{ *:[v4f64] } VR128:{ *:[v4i32] }:$src)  =>  (VCVTDQ2PDYrr:{ *:[v4f64] } VR128:{ *:[v4i32] }:$src)
     /* 176219 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PDYrr),
     /* 176224 */   GIR_RootConstrainSelectedInstOperands,
     /* 176225 */   // GIR_Coverage, 1946,
     /* 176225 */   GIR_Done,
     /* 176226 */ // Label 3885: @176226
     /* 176226 */ GIM_Try, /*On fail goto*//*Label 3886*/ GIMT_Encode4(176252), // Rule ID 10723 //
     /* 176231 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 176234 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 176237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 176241 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 176245 */   // (sint_to_fp:{ *:[v4f64] } VR128X:{ *:[v4i32] }:$src)  =>  (VCVTDQ2PDZ256rr:{ *:[v4f64] } VR128X:{ *:[v4i32] }:$src)
     /* 176245 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PDZ256rr),
     /* 176250 */   GIR_RootConstrainSelectedInstOperands,
     /* 176251 */   // GIR_Coverage, 10723,
     /* 176251 */   GIR_Done,
     /* 176252 */ // Label 3886: @176252
     /* 176252 */ GIM_Try, /*On fail goto*//*Label 3887*/ GIMT_Encode4(176282), // Rule ID 11386 //
     /* 176257 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 176260 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 176263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 176267 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 176271 */   // (sint_to_fp:{ *:[v4f64] } VR256X:{ *:[v4i64] }:$src)  =>  (VCVTQQ2PDZ256rr:{ *:[v4f64] } VR256X:{ *:[v4i64] }:$src)
     /* 176271 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTQQ2PDZ256rr),
     /* 176276 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 176280 */   GIR_RootConstrainSelectedInstOperands,
     /* 176281 */   // GIR_Coverage, 11386,
     /* 176281 */   GIR_Done,
     /* 176282 */ // Label 3887: @176282
     /* 176282 */ GIM_Reject,
     /* 176283 */ // Label 3837: @176283
     /* 176283 */ GIM_Try, /*On fail goto*//*Label 3888*/ GIMT_Encode4(176342), // Rule ID 11456 //
     /* 176288 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 176291 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 176294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 176298 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 176302 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 176306 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 176309 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 176313 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 176317 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 176319 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 176326 */   // (sint_to_fp:{ *:[v8f16] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTDQ2PHZ256rm:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)
     /* 176326 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PHZ256rm),
     /* 176329 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 176331 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 176335 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 176340 */   GIR_RootConstrainSelectedInstOperands,
     /* 176341 */   // GIR_Coverage, 11456,
     /* 176341 */   GIR_EraseRootFromParent_Done,
     /* 176342 */ // Label 3888: @176342
     /* 176342 */ GIM_Try, /*On fail goto*//*Label 3889*/ GIMT_Encode4(176401), // Rule ID 14822 //
     /* 176347 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 176350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 176353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 176357 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 176361 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 176365 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 176368 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 176372 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 176376 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 176378 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 176385 */   // (sint_to_fp:{ *:[v8f16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTW2PHZ128rm:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)
     /* 176385 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTW2PHZ128rm),
     /* 176388 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 176390 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 176394 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 176399 */   GIR_RootConstrainSelectedInstOperands,
     /* 176400 */   // GIR_Coverage, 14822,
     /* 176400 */   GIR_EraseRootFromParent_Done,
     /* 176401 */ // Label 3889: @176401
     /* 176401 */ GIM_Try, /*On fail goto*//*Label 3890*/ GIMT_Encode4(176460), // Rule ID 15122 //
     /* 176406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 176409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 176412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 176416 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 176420 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 176424 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 176427 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 176431 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 176435 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 176437 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 176444 */   // (sint_to_fp:{ *:[v8f16] } (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTQQ2PHZrm:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)
     /* 176444 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTQQ2PHZrm),
     /* 176447 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 176449 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 176453 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 176458 */   GIR_RootConstrainSelectedInstOperands,
     /* 176459 */   // GIR_Coverage, 15122,
     /* 176459 */   GIR_EraseRootFromParent_Done,
     /* 176460 */ // Label 3890: @176460
     /* 176460 */ GIM_Try, /*On fail goto*//*Label 3891*/ GIMT_Encode4(176490), // Rule ID 11452 //
     /* 176465 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 176468 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 176471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 176475 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 176479 */   // (sint_to_fp:{ *:[v8f16] } VR256X:{ *:[v8i32] }:$src)  =>  (VCVTDQ2PHZ256rr:{ *:[v8f16] } VR256X:{ *:[v8i32] }:$src)
     /* 176479 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PHZ256rr),
     /* 176484 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 176488 */   GIR_RootConstrainSelectedInstOperands,
     /* 176489 */   // GIR_Coverage, 11452,
     /* 176489 */   GIR_Done,
     /* 176490 */ // Label 3891: @176490
     /* 176490 */ GIM_Try, /*On fail goto*//*Label 3892*/ GIMT_Encode4(176520), // Rule ID 14818 //
     /* 176495 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 176498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 176501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 176505 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 176509 */   // (sint_to_fp:{ *:[v8f16] } VR128X:{ *:[v8i16] }:$src)  =>  (VCVTW2PHZ128rr:{ *:[v8f16] } VR128X:{ *:[v8i16] }:$src)
     /* 176509 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTW2PHZ128rr),
     /* 176514 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 176518 */   GIR_RootConstrainSelectedInstOperands,
     /* 176519 */   // GIR_Coverage, 14818,
     /* 176519 */   GIR_Done,
     /* 176520 */ // Label 3892: @176520
     /* 176520 */ GIM_Try, /*On fail goto*//*Label 3893*/ GIMT_Encode4(176550), // Rule ID 15118 //
     /* 176525 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 176528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 176531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 176535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 176539 */   // (sint_to_fp:{ *:[v8f16] } VR512:{ *:[v8i64] }:$src)  =>  (VCVTQQ2PHZrr:{ *:[v8f16] } VR512:{ *:[v8i64] }:$src)
     /* 176539 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTQQ2PHZrr),
     /* 176544 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 176548 */   GIR_RootConstrainSelectedInstOperands,
     /* 176549 */   // GIR_Coverage, 15118,
     /* 176549 */   GIR_Done,
     /* 176550 */ // Label 3893: @176550
     /* 176550 */ GIM_Reject,
     /* 176551 */ // Label 3838: @176551
     /* 176551 */ GIM_Try, /*On fail goto*//*Label 3894*/ GIMT_Encode4(176610), // Rule ID 1873 //
     /* 176556 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 176559 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 176562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 176566 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 176570 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 176574 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 176577 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 176581 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 176585 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 176587 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 176594 */   // (sint_to_fp:{ *:[v8f32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTDQ2PSYrm:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /* 176594 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PSYrm),
     /* 176597 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 176599 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 176603 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 176608 */   GIR_RootConstrainSelectedInstOperands,
     /* 176609 */   // GIR_Coverage, 1873,
     /* 176609 */   GIR_EraseRootFromParent_Done,
     /* 176610 */ // Label 3894: @176610
     /* 176610 */ GIM_Try, /*On fail goto*//*Label 3895*/ GIMT_Encode4(176669), // Rule ID 10766 //
     /* 176615 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 176618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 176621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 176625 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 176629 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 176633 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 176636 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 176640 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 176644 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 176646 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 176653 */   // (sint_to_fp:{ *:[v8f32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTDQ2PSZ256rm:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /* 176653 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PSZ256rm),
     /* 176656 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 176658 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 176662 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 176667 */   GIR_RootConstrainSelectedInstOperands,
     /* 176668 */   // GIR_Coverage, 10766,
     /* 176668 */   GIR_EraseRootFromParent_Done,
     /* 176669 */ // Label 3895: @176669
     /* 176669 */ GIM_Try, /*On fail goto*//*Label 3896*/ GIMT_Encode4(176728), // Rule ID 11495 //
     /* 176674 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /* 176677 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 176680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 176684 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 176688 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 176692 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 176695 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 176699 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 176703 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 176705 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 176712 */   // (sint_to_fp:{ *:[v8f32] } (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTQQ2PSZrm:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /* 176712 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTQQ2PSZrm),
     /* 176715 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 176717 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 176721 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 176726 */   GIR_RootConstrainSelectedInstOperands,
     /* 176727 */   // GIR_Coverage, 11495,
     /* 176727 */   GIR_EraseRootFromParent_Done,
     /* 176728 */ // Label 3896: @176728
     /* 176728 */ GIM_Try, /*On fail goto*//*Label 3897*/ GIMT_Encode4(176758), // Rule ID 1871 //
     /* 176733 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 176736 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 176739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 176743 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 176747 */   // (sint_to_fp:{ *:[v8f32] } VR256:{ *:[v8i32] }:$src)  =>  (VCVTDQ2PSYrr:{ *:[v8f32] } VR256:{ *:[v8i32] }:$src)
     /* 176747 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PSYrr),
     /* 176752 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 176756 */   GIR_RootConstrainSelectedInstOperands,
     /* 176757 */   // GIR_Coverage, 1871,
     /* 176757 */   GIR_Done,
     /* 176758 */ // Label 3897: @176758
     /* 176758 */ GIM_Try, /*On fail goto*//*Label 3898*/ GIMT_Encode4(176788), // Rule ID 10762 //
     /* 176763 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 176766 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 176769 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 176773 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 176777 */   // (sint_to_fp:{ *:[v8f32] } VR256X:{ *:[v8i32] }:$src)  =>  (VCVTDQ2PSZ256rr:{ *:[v8f32] } VR256X:{ *:[v8i32] }:$src)
     /* 176777 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PSZ256rr),
     /* 176782 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 176786 */   GIR_RootConstrainSelectedInstOperands,
     /* 176787 */   // GIR_Coverage, 10762,
     /* 176787 */   GIR_Done,
     /* 176788 */ // Label 3898: @176788
     /* 176788 */ GIM_Try, /*On fail goto*//*Label 3899*/ GIMT_Encode4(176818), // Rule ID 11491 //
     /* 176793 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /* 176796 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 176799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 176803 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 176807 */   // (sint_to_fp:{ *:[v8f32] } VR512:{ *:[v8i64] }:$src)  =>  (VCVTQQ2PSZrr:{ *:[v8f32] } VR512:{ *:[v8i64] }:$src)
     /* 176807 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTQQ2PSZrr),
     /* 176812 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 176816 */   GIR_RootConstrainSelectedInstOperands,
     /* 176817 */   // GIR_Coverage, 11491,
     /* 176817 */   GIR_Done,
     /* 176818 */ // Label 3899: @176818
     /* 176818 */ GIM_Reject,
     /* 176819 */ // Label 3839: @176819
     /* 176819 */ GIM_Try, /*On fail goto*//*Label 3900*/ GIMT_Encode4(176878), // Rule ID 10703 //
     /* 176824 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 176827 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 176830 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 176834 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 176838 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 176842 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 176845 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 176849 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 176853 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 176855 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 176862 */   // (sint_to_fp:{ *:[v8f64] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTDQ2PDZrm:{ *:[v8f64] } addr:{ *:[iPTR] }:$src)
     /* 176862 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PDZrm),
     /* 176865 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 176867 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 176871 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 176876 */   GIR_RootConstrainSelectedInstOperands,
     /* 176877 */   // GIR_Coverage, 10703,
     /* 176877 */   GIR_EraseRootFromParent_Done,
     /* 176878 */ // Label 3900: @176878
     /* 176878 */ GIM_Try, /*On fail goto*//*Label 3901*/ GIMT_Encode4(176937), // Rule ID 11363 //
     /* 176883 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /* 176886 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 176889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 176893 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 176897 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 176901 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 176904 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 176908 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 176912 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 176914 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 176921 */   // (sint_to_fp:{ *:[v8f64] } (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTQQ2PDZrm:{ *:[v8f64] } addr:{ *:[iPTR] }:$src)
     /* 176921 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTQQ2PDZrm),
     /* 176924 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 176926 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 176930 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 176935 */   GIR_RootConstrainSelectedInstOperands,
     /* 176936 */   // GIR_Coverage, 11363,
     /* 176936 */   GIR_EraseRootFromParent_Done,
     /* 176937 */ // Label 3901: @176937
     /* 176937 */ GIM_Try, /*On fail goto*//*Label 3902*/ GIMT_Encode4(176963), // Rule ID 10699 //
     /* 176942 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 176945 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 176948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 176952 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 176956 */   // (sint_to_fp:{ *:[v8f64] } VR256X:{ *:[v8i32] }:$src)  =>  (VCVTDQ2PDZrr:{ *:[v8f64] } VR256X:{ *:[v8i32] }:$src)
     /* 176956 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PDZrr),
     /* 176961 */   GIR_RootConstrainSelectedInstOperands,
     /* 176962 */   // GIR_Coverage, 10699,
     /* 176962 */   GIR_Done,
     /* 176963 */ // Label 3902: @176963
     /* 176963 */ GIM_Try, /*On fail goto*//*Label 3903*/ GIMT_Encode4(176993), // Rule ID 11359 //
     /* 176968 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /* 176971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 176974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 176978 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 176982 */   // (sint_to_fp:{ *:[v8f64] } VR512:{ *:[v8i64] }:$src)  =>  (VCVTQQ2PDZrr:{ *:[v8f64] } VR512:{ *:[v8i64] }:$src)
     /* 176982 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTQQ2PDZrr),
     /* 176987 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 176991 */   GIR_RootConstrainSelectedInstOperands,
     /* 176992 */   // GIR_Coverage, 11359,
     /* 176992 */   GIR_Done,
     /* 176993 */ // Label 3903: @176993
     /* 176993 */ GIM_Reject,
     /* 176994 */ // Label 3840: @176994
     /* 176994 */ GIM_Try, /*On fail goto*//*Label 3904*/ GIMT_Encode4(177053), // Rule ID 11441 //
     /* 176999 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 177002 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 177005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 177009 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 177013 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 177017 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 177020 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 177024 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 177028 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 177030 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 177037 */   // (sint_to_fp:{ *:[v16f16] } (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTDQ2PHZrm:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)
     /* 177037 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PHZrm),
     /* 177040 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 177042 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 177046 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 177051 */   GIR_RootConstrainSelectedInstOperands,
     /* 177052 */   // GIR_Coverage, 11441,
     /* 177052 */   GIR_EraseRootFromParent_Done,
     /* 177053 */ // Label 3904: @177053
     /* 177053 */ GIM_Try, /*On fail goto*//*Label 3905*/ GIMT_Encode4(177112), // Rule ID 14834 //
     /* 177058 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 177061 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 177064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 177068 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 177072 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 177076 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 177079 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 177083 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 177087 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 177089 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 177096 */   // (sint_to_fp:{ *:[v16f16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTW2PHZ256rm:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)
     /* 177096 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTW2PHZ256rm),
     /* 177099 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 177101 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 177105 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 177110 */   GIR_RootConstrainSelectedInstOperands,
     /* 177111 */   // GIR_Coverage, 14834,
     /* 177111 */   GIR_EraseRootFromParent_Done,
     /* 177112 */ // Label 3905: @177112
     /* 177112 */ GIM_Try, /*On fail goto*//*Label 3906*/ GIMT_Encode4(177142), // Rule ID 11437 //
     /* 177117 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 177120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 177123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 177127 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 177131 */   // (sint_to_fp:{ *:[v16f16] } VR512:{ *:[v16i32] }:$src)  =>  (VCVTDQ2PHZrr:{ *:[v16f16] } VR512:{ *:[v16i32] }:$src)
     /* 177131 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PHZrr),
     /* 177136 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 177140 */   GIR_RootConstrainSelectedInstOperands,
     /* 177141 */   // GIR_Coverage, 11437,
     /* 177141 */   GIR_Done,
     /* 177142 */ // Label 3906: @177142
     /* 177142 */ GIM_Try, /*On fail goto*//*Label 3907*/ GIMT_Encode4(177172), // Rule ID 14830 //
     /* 177147 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 177150 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 177153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 177157 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 177161 */   // (sint_to_fp:{ *:[v16f16] } VR256X:{ *:[v16i16] }:$src)  =>  (VCVTW2PHZ256rr:{ *:[v16f16] } VR256X:{ *:[v16i16] }:$src)
     /* 177161 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTW2PHZ256rr),
     /* 177166 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 177170 */   GIR_RootConstrainSelectedInstOperands,
     /* 177171 */   // GIR_Coverage, 14830,
     /* 177171 */   GIR_Done,
     /* 177172 */ // Label 3907: @177172
     /* 177172 */ GIM_Reject,
     /* 177173 */ // Label 3841: @177173
     /* 177173 */ GIM_Try, /*On fail goto*//*Label 3908*/ GIMT_Encode4(177261),
     /* 177178 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 177181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 177185 */   GIM_Try, /*On fail goto*//*Label 3909*/ GIMT_Encode4(177237), // Rule ID 10739 //
     /* 177190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 177193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 177197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 177201 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 177204 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 177208 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 177212 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 177214 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 177221 */     // (sint_to_fp:{ *:[v16f32] } (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTDQ2PSZrm:{ *:[v16f32] } addr:{ *:[iPTR] }:$src)
     /* 177221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PSZrm),
     /* 177224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 177226 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 177230 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 177235 */     GIR_RootConstrainSelectedInstOperands,
     /* 177236 */     // GIR_Coverage, 10739,
     /* 177236 */     GIR_EraseRootFromParent_Done,
     /* 177237 */   // Label 3909: @177237
     /* 177237 */   GIM_Try, /*On fail goto*//*Label 3910*/ GIMT_Encode4(177260), // Rule ID 10735 //
     /* 177242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 177245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 177249 */     // (sint_to_fp:{ *:[v16f32] } VR512:{ *:[v16i32] }:$src)  =>  (VCVTDQ2PSZrr:{ *:[v16f32] } VR512:{ *:[v16i32] }:$src)
     /* 177249 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PSZrr),
     /* 177254 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 177258 */     GIR_RootConstrainSelectedInstOperands,
     /* 177259 */     // GIR_Coverage, 10735,
     /* 177259 */     GIR_Done,
     /* 177260 */   // Label 3910: @177260
     /* 177260 */   GIM_Reject,
     /* 177261 */ // Label 3908: @177261
     /* 177261 */ GIM_Reject,
     /* 177262 */ // Label 3842: @177262
     /* 177262 */ GIM_Try, /*On fail goto*//*Label 3911*/ GIMT_Encode4(177350),
     /* 177267 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 177270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 177274 */   GIM_Try, /*On fail goto*//*Label 3912*/ GIMT_Encode4(177326), // Rule ID 14807 //
     /* 177279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 177282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 177286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 177290 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 177293 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 177297 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 177301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 177303 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 177310 */     // (sint_to_fp:{ *:[v32f16] } (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTW2PHZrm:{ *:[v32f16] } addr:{ *:[iPTR] }:$src)
     /* 177310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTW2PHZrm),
     /* 177313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 177315 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 177319 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 177324 */     GIR_RootConstrainSelectedInstOperands,
     /* 177325 */     // GIR_Coverage, 14807,
     /* 177325 */     GIR_EraseRootFromParent_Done,
     /* 177326 */   // Label 3912: @177326
     /* 177326 */   GIM_Try, /*On fail goto*//*Label 3913*/ GIMT_Encode4(177349), // Rule ID 14803 //
     /* 177331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 177334 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 177338 */     // (sint_to_fp:{ *:[v32f16] } VR512:{ *:[v32i16] }:$src)  =>  (VCVTW2PHZrr:{ *:[v32f16] } VR512:{ *:[v32i16] }:$src)
     /* 177338 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTW2PHZrr),
     /* 177343 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 177347 */     GIR_RootConstrainSelectedInstOperands,
     /* 177348 */     // GIR_Coverage, 14803,
     /* 177348 */     GIR_Done,
     /* 177349 */   // Label 3913: @177349
     /* 177349 */   GIM_Reject,
     /* 177350 */ // Label 3911: @177350
     /* 177350 */ GIM_Reject,
     /* 177351 */ // Label 3843: @177351
     /* 177351 */ GIM_Reject,
     /* 177352 */ // Label 52: @177352
     /* 177352 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(23), /*)*//*default:*//*Label 3926*/ GIMT_Encode4(179598),
     /* 177363 */ /*GILLT_s16*//*Label 3914*/ GIMT_Encode4(177447),
     /* 177367 */ /*GILLT_s32*//*Label 3915*/ GIMT_Encode4(177690),
     /* 177371 */ /*GILLT_s64*//*Label 3916*/ GIMT_Encode4(177933), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 177387 */ /*GILLT_v2s64*//*Label 3917*/ GIMT_Encode4(178176), GIMT_Encode4(0),
     /* 177395 */ /*GILLT_v4s32*//*Label 3918*/ GIMT_Encode4(178265),
     /* 177399 */ /*GILLT_v4s64*//*Label 3919*/ GIMT_Encode4(178444), GIMT_Encode4(0),
     /* 177407 */ /*GILLT_v8s16*//*Label 3920*/ GIMT_Encode4(178619),
     /* 177411 */ /*GILLT_v8s32*//*Label 3921*/ GIMT_Encode4(178887),
     /* 177415 */ /*GILLT_v8s64*//*Label 3922*/ GIMT_Encode4(179066), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 177427 */ /*GILLT_v16s16*//*Label 3923*/ GIMT_Encode4(179241),
     /* 177431 */ /*GILLT_v16s32*//*Label 3924*/ GIMT_Encode4(179420), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 177443 */ /*GILLT_v32s16*//*Label 3925*/ GIMT_Encode4(179509),
     /* 177447 */ // Label 3914: @177447
     /* 177447 */ GIM_Try, /*On fail goto*//*Label 3927*/ GIMT_Encode4(177523), // Rule ID 22186 //
     /* 177452 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 177455 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 177458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 177462 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 177466 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 177470 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 177473 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 177477 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 177481 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 177483 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 177490 */   // (uint_to_fp:{ *:[f16] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUSI642SHZrm:{ *:[f16] } (IMPLICIT_DEF:{ *:[f16] }), addr:{ *:[iPTR] }:$src)
     /* 177490 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 177493 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 177497 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 177502 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 177504 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUSI642SHZrm),
     /* 177507 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 177509 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 177512 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 177516 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 177521 */   GIR_RootConstrainSelectedInstOperands,
     /* 177522 */   // GIR_Coverage, 22186,
     /* 177522 */   GIR_EraseRootFromParent_Done,
     /* 177523 */ // Label 3927: @177523
     /* 177523 */ GIM_Try, /*On fail goto*//*Label 3928*/ GIMT_Encode4(177599), // Rule ID 22184 //
     /* 177528 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 177531 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 177534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 177538 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 177542 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 177546 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 177549 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 177553 */   GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 177557 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 177559 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 177566 */   // (uint_to_fp:{ *:[f16] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (VCVTUSI2SHZrm:{ *:[f16] } (IMPLICIT_DEF:{ *:[f16] }), addr:{ *:[iPTR] }:$src)
     /* 177566 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 177569 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 177573 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 177578 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 177580 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUSI2SHZrm),
     /* 177583 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 177585 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 177588 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 177592 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 177597 */   GIR_RootConstrainSelectedInstOperands,
     /* 177598 */   // GIR_Coverage, 22184,
     /* 177598 */   GIR_EraseRootFromParent_Done,
     /* 177599 */ // Label 3928: @177599
     /* 177599 */ GIM_Try, /*On fail goto*//*Label 3929*/ GIMT_Encode4(177644), // Rule ID 22188 //
     /* 177604 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 177607 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 177610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 177614 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 177618 */   // (uint_to_fp:{ *:[f16] } GR32:{ *:[i32] }:$src)  =>  (VCVTUSI2SHZrr:{ *:[f16] } (IMPLICIT_DEF:{ *:[f16] }), GR32:{ *:[i32] }:$src)
     /* 177618 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 177621 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 177625 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 177630 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 177632 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUSI2SHZrr),
     /* 177635 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 177637 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 177640 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 177642 */   GIR_RootConstrainSelectedInstOperands,
     /* 177643 */   // GIR_Coverage, 22188,
     /* 177643 */   GIR_EraseRootFromParent_Done,
     /* 177644 */ // Label 3929: @177644
     /* 177644 */ GIM_Try, /*On fail goto*//*Label 3930*/ GIMT_Encode4(177689), // Rule ID 22190 //
     /* 177649 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 177652 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 177655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 177659 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 177663 */   // (uint_to_fp:{ *:[f16] } GR64:{ *:[i64] }:$src)  =>  (VCVTUSI642SHZrr:{ *:[f16] } (IMPLICIT_DEF:{ *:[f16] }), GR64:{ *:[i64] }:$src)
     /* 177663 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 177666 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 177670 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 177675 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 177677 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUSI642SHZrr),
     /* 177680 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 177682 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 177685 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 177687 */   GIR_RootConstrainSelectedInstOperands,
     /* 177688 */   // GIR_Coverage, 22190,
     /* 177688 */   GIR_EraseRootFromParent_Done,
     /* 177689 */ // Label 3930: @177689
     /* 177689 */ GIM_Reject,
     /* 177690 */ // Label 3915: @177690
     /* 177690 */ GIM_Try, /*On fail goto*//*Label 3931*/ GIMT_Encode4(177766), // Rule ID 21145 //
     /* 177695 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 177698 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 177701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 177705 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 177709 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 177713 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 177716 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 177720 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 177724 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 177726 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 177733 */   // (uint_to_fp:{ *:[f32] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUSI642SSZrm:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), addr:{ *:[iPTR] }:$src)
     /* 177733 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 177736 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 177740 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 177745 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 177747 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUSI642SSZrm),
     /* 177750 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 177752 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 177755 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 177759 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 177764 */   GIR_RootConstrainSelectedInstOperands,
     /* 177765 */   // GIR_Coverage, 21145,
     /* 177765 */   GIR_EraseRootFromParent_Done,
     /* 177766 */ // Label 3931: @177766
     /* 177766 */ GIM_Try, /*On fail goto*//*Label 3932*/ GIMT_Encode4(177842), // Rule ID 21143 //
     /* 177771 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 177774 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 177777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 177781 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 177785 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 177789 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 177792 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 177796 */   GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 177800 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 177802 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 177809 */   // (uint_to_fp:{ *:[f32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (VCVTUSI2SSZrm:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), addr:{ *:[iPTR] }:$src)
     /* 177809 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 177812 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 177816 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 177821 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 177823 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUSI2SSZrm),
     /* 177826 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 177828 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 177831 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 177835 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 177840 */   GIR_RootConstrainSelectedInstOperands,
     /* 177841 */   // GIR_Coverage, 21143,
     /* 177841 */   GIR_EraseRootFromParent_Done,
     /* 177842 */ // Label 3932: @177842
     /* 177842 */ GIM_Try, /*On fail goto*//*Label 3933*/ GIMT_Encode4(177887), // Rule ID 21151 //
     /* 177847 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 177850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 177853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 177857 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 177861 */   // (uint_to_fp:{ *:[f32] } GR32:{ *:[i32] }:$src)  =>  (VCVTUSI2SSZrr:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), GR32:{ *:[i32] }:$src)
     /* 177861 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 177864 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 177868 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 177873 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 177875 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUSI2SSZrr),
     /* 177878 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 177880 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 177883 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 177885 */   GIR_RootConstrainSelectedInstOperands,
     /* 177886 */   // GIR_Coverage, 21151,
     /* 177886 */   GIR_EraseRootFromParent_Done,
     /* 177887 */ // Label 3933: @177887
     /* 177887 */ GIM_Try, /*On fail goto*//*Label 3934*/ GIMT_Encode4(177932), // Rule ID 21153 //
     /* 177892 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 177895 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 177898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 177902 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 177906 */   // (uint_to_fp:{ *:[f32] } GR64:{ *:[i64] }:$src)  =>  (VCVTUSI642SSZrr:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), GR64:{ *:[i64] }:$src)
     /* 177906 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 177909 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 177913 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 177918 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 177920 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUSI642SSZrr),
     /* 177923 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 177925 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 177928 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 177930 */   GIR_RootConstrainSelectedInstOperands,
     /* 177931 */   // GIR_Coverage, 21153,
     /* 177931 */   GIR_EraseRootFromParent_Done,
     /* 177932 */ // Label 3934: @177932
     /* 177932 */ GIM_Reject,
     /* 177933 */ // Label 3916: @177933
     /* 177933 */ GIM_Try, /*On fail goto*//*Label 3935*/ GIMT_Encode4(178009), // Rule ID 21149 //
     /* 177938 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 177941 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 177944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 177948 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 177952 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 177956 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 177959 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 177963 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 177967 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 177969 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 177976 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUSI642SDZrm:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), addr:{ *:[iPTR] }:$src)
     /* 177976 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 177979 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 177983 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 177988 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 177990 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUSI642SDZrm),
     /* 177993 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 177995 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 177998 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 178002 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 178007 */   GIR_RootConstrainSelectedInstOperands,
     /* 178008 */   // GIR_Coverage, 21149,
     /* 178008 */   GIR_EraseRootFromParent_Done,
     /* 178009 */ // Label 3935: @178009
     /* 178009 */ GIM_Try, /*On fail goto*//*Label 3936*/ GIMT_Encode4(178085), // Rule ID 21147 //
     /* 178014 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 178017 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 178020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 178024 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 178028 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 178032 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 178035 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 178039 */   GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 178043 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 178045 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 178052 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (VCVTUSI2SDZrm:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), addr:{ *:[iPTR] }:$src)
     /* 178052 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 178055 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 178059 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 178064 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 178066 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUSI2SDZrm),
     /* 178069 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 178071 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 178074 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 178078 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 178083 */   GIR_RootConstrainSelectedInstOperands,
     /* 178084 */   // GIR_Coverage, 21147,
     /* 178084 */   GIR_EraseRootFromParent_Done,
     /* 178085 */ // Label 3936: @178085
     /* 178085 */ GIM_Try, /*On fail goto*//*Label 3937*/ GIMT_Encode4(178130), // Rule ID 21155 //
     /* 178090 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 178093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 178096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 178100 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 178104 */   // (uint_to_fp:{ *:[f64] } GR32:{ *:[i32] }:$src)  =>  (VCVTUSI2SDZrr:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), GR32:{ *:[i32] }:$src)
     /* 178104 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 178107 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 178111 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 178116 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 178118 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUSI2SDZrr),
     /* 178121 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 178123 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 178126 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 178128 */   GIR_RootConstrainSelectedInstOperands,
     /* 178129 */   // GIR_Coverage, 21155,
     /* 178129 */   GIR_EraseRootFromParent_Done,
     /* 178130 */ // Label 3937: @178130
     /* 178130 */ GIM_Try, /*On fail goto*//*Label 3938*/ GIMT_Encode4(178175), // Rule ID 21157 //
     /* 178135 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 178138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 178141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 178145 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 178149 */   // (uint_to_fp:{ *:[f64] } GR64:{ *:[i64] }:$src)  =>  (VCVTUSI642SDZrr:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), GR64:{ *:[i64] }:$src)
     /* 178149 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 178152 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 178156 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 178161 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 178163 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUSI642SDZrr),
     /* 178166 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 178168 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 178171 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 178173 */   GIR_RootConstrainSelectedInstOperands,
     /* 178174 */   // GIR_Coverage, 21157,
     /* 178174 */   GIR_EraseRootFromParent_Done,
     /* 178175 */ // Label 3938: @178175
     /* 178175 */ GIM_Reject,
     /* 178176 */ // Label 3917: @178176
     /* 178176 */ GIM_Try, /*On fail goto*//*Label 3939*/ GIMT_Encode4(178264),
     /* 178181 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 178184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 178188 */   GIM_Try, /*On fail goto*//*Label 3940*/ GIMT_Encode4(178240), // Rule ID 11417 //
     /* 178193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 178196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 178200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 178204 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 178207 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 178211 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 178215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 178217 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 178224 */     // (uint_to_fp:{ *:[v2f64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUQQ2PDZ128rm:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)
     /* 178224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUQQ2PDZ128rm),
     /* 178227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 178229 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 178233 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 178238 */     GIR_RootConstrainSelectedInstOperands,
     /* 178239 */     // GIR_Coverage, 11417,
     /* 178239 */     GIR_EraseRootFromParent_Done,
     /* 178240 */   // Label 3940: @178240
     /* 178240 */   GIM_Try, /*On fail goto*//*Label 3941*/ GIMT_Encode4(178263), // Rule ID 11413 //
     /* 178245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 178248 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 178252 */     // (uint_to_fp:{ *:[v2f64] } VR128X:{ *:[v2i64] }:$src)  =>  (VCVTUQQ2PDZ128rr:{ *:[v2f64] } VR128X:{ *:[v2i64] }:$src)
     /* 178252 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTUQQ2PDZ128rr),
     /* 178257 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 178261 */     GIR_RootConstrainSelectedInstOperands,
     /* 178262 */     // GIR_Coverage, 11413,
     /* 178262 */     GIR_Done,
     /* 178263 */   // Label 3941: @178263
     /* 178263 */   GIM_Reject,
     /* 178264 */ // Label 3939: @178264
     /* 178264 */ GIM_Reject,
     /* 178265 */ // Label 3918: @178265
     /* 178265 */ GIM_Try, /*On fail goto*//*Label 3942*/ GIMT_Encode4(178324), // Rule ID 10961 //
     /* 178270 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 178273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 178276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 178280 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 178284 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 178288 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 178291 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 178295 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 178299 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 178301 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 178308 */   // (uint_to_fp:{ *:[v4f32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUDQ2PSZ128rm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /* 178308 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUDQ2PSZ128rm),
     /* 178311 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 178313 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 178317 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 178322 */   GIR_RootConstrainSelectedInstOperands,
     /* 178323 */   // GIR_Coverage, 10961,
     /* 178323 */   GIR_EraseRootFromParent_Done,
     /* 178324 */ // Label 3942: @178324
     /* 178324 */ GIM_Try, /*On fail goto*//*Label 3943*/ GIMT_Encode4(178383), // Rule ID 11537 //
     /* 178329 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 178332 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 178335 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 178339 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 178343 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 178347 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 178350 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 178354 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 178358 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 178360 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 178367 */   // (uint_to_fp:{ *:[v4f32] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUQQ2PSZ256rm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /* 178367 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUQQ2PSZ256rm),
     /* 178370 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 178372 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 178376 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 178381 */   GIR_RootConstrainSelectedInstOperands,
     /* 178382 */   // GIR_Coverage, 11537,
     /* 178382 */   GIR_EraseRootFromParent_Done,
     /* 178383 */ // Label 3943: @178383
     /* 178383 */ GIM_Try, /*On fail goto*//*Label 3944*/ GIMT_Encode4(178413), // Rule ID 10957 //
     /* 178388 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 178391 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 178394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 178398 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 178402 */   // (uint_to_fp:{ *:[v4f32] } VR128X:{ *:[v4i32] }:$src)  =>  (VCVTUDQ2PSZ128rr:{ *:[v4f32] } VR128X:{ *:[v4i32] }:$src)
     /* 178402 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTUDQ2PSZ128rr),
     /* 178407 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 178411 */   GIR_RootConstrainSelectedInstOperands,
     /* 178412 */   // GIR_Coverage, 10957,
     /* 178412 */   GIR_Done,
     /* 178413 */ // Label 3944: @178413
     /* 178413 */ GIM_Try, /*On fail goto*//*Label 3945*/ GIMT_Encode4(178443), // Rule ID 11533 //
     /* 178418 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 178421 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 178424 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 178428 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 178432 */   // (uint_to_fp:{ *:[v4f32] } VR256X:{ *:[v4i64] }:$src)  =>  (VCVTUQQ2PSZ256rr:{ *:[v4f32] } VR256X:{ *:[v4i64] }:$src)
     /* 178432 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTUQQ2PSZ256rr),
     /* 178437 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 178441 */   GIR_RootConstrainSelectedInstOperands,
     /* 178442 */   // GIR_Coverage, 11533,
     /* 178442 */   GIR_Done,
     /* 178443 */ // Label 3945: @178443
     /* 178443 */ GIM_Reject,
     /* 178444 */ // Label 3919: @178444
     /* 178444 */ GIM_Try, /*On fail goto*//*Label 3946*/ GIMT_Encode4(178503), // Rule ID 10934 //
     /* 178449 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 178452 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 178455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 178459 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 178463 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 178467 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 178470 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 178474 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 178478 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 178480 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 178487 */   // (uint_to_fp:{ *:[v4f64] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUDQ2PDZ256rm:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)
     /* 178487 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUDQ2PDZ256rm),
     /* 178490 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 178492 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 178496 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 178501 */   GIR_RootConstrainSelectedInstOperands,
     /* 178502 */   // GIR_Coverage, 10934,
     /* 178502 */   GIR_EraseRootFromParent_Done,
     /* 178503 */ // Label 3946: @178503
     /* 178503 */ GIM_Try, /*On fail goto*//*Label 3947*/ GIMT_Encode4(178562), // Rule ID 11429 //
     /* 178508 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 178511 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 178514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 178518 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 178522 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 178526 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 178529 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 178533 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 178537 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 178539 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 178546 */   // (uint_to_fp:{ *:[v4f64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUQQ2PDZ256rm:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)
     /* 178546 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUQQ2PDZ256rm),
     /* 178549 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 178551 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 178555 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 178560 */   GIR_RootConstrainSelectedInstOperands,
     /* 178561 */   // GIR_Coverage, 11429,
     /* 178561 */   GIR_EraseRootFromParent_Done,
     /* 178562 */ // Label 3947: @178562
     /* 178562 */ GIM_Try, /*On fail goto*//*Label 3948*/ GIMT_Encode4(178588), // Rule ID 10930 //
     /* 178567 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 178570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 178573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 178577 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 178581 */   // (uint_to_fp:{ *:[v4f64] } VR128X:{ *:[v4i32] }:$src)  =>  (VCVTUDQ2PDZ256rr:{ *:[v4f64] } VR128X:{ *:[v4i32] }:$src)
     /* 178581 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTUDQ2PDZ256rr),
     /* 178586 */   GIR_RootConstrainSelectedInstOperands,
     /* 178587 */   // GIR_Coverage, 10930,
     /* 178587 */   GIR_Done,
     /* 178588 */ // Label 3948: @178588
     /* 178588 */ GIM_Try, /*On fail goto*//*Label 3949*/ GIMT_Encode4(178618), // Rule ID 11425 //
     /* 178593 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 178596 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 178599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 178603 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 178607 */   // (uint_to_fp:{ *:[v4f64] } VR256X:{ *:[v4i64] }:$src)  =>  (VCVTUQQ2PDZ256rr:{ *:[v4f64] } VR256X:{ *:[v4i64] }:$src)
     /* 178607 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTUQQ2PDZ256rr),
     /* 178612 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 178616 */   GIR_RootConstrainSelectedInstOperands,
     /* 178617 */   // GIR_Coverage, 11425,
     /* 178617 */   GIR_Done,
     /* 178618 */ // Label 3949: @178618
     /* 178618 */ GIM_Reject,
     /* 178619 */ // Label 3920: @178619
     /* 178619 */ GIM_Try, /*On fail goto*//*Label 3950*/ GIMT_Encode4(178678), // Rule ID 11483 //
     /* 178624 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 178627 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 178630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 178634 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 178638 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 178642 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 178645 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 178649 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 178653 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 178655 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 178662 */   // (uint_to_fp:{ *:[v8f16] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUDQ2PHZ256rm:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)
     /* 178662 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUDQ2PHZ256rm),
     /* 178665 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 178667 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 178671 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 178676 */   GIR_RootConstrainSelectedInstOperands,
     /* 178677 */   // GIR_Coverage, 11483,
     /* 178677 */   GIR_EraseRootFromParent_Done,
     /* 178678 */ // Label 3950: @178678
     /* 178678 */ GIM_Try, /*On fail goto*//*Label 3951*/ GIMT_Encode4(178737), // Rule ID 14675 //
     /* 178683 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 178686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 178689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 178693 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 178697 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 178701 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 178704 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 178708 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 178712 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 178714 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 178721 */   // (uint_to_fp:{ *:[v8f16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUW2PHZ128rm:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)
     /* 178721 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUW2PHZ128rm),
     /* 178724 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 178726 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 178730 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 178735 */   GIR_RootConstrainSelectedInstOperands,
     /* 178736 */   // GIR_Coverage, 14675,
     /* 178736 */   GIR_EraseRootFromParent_Done,
     /* 178737 */ // Label 3951: @178737
     /* 178737 */ GIM_Try, /*On fail goto*//*Label 3952*/ GIMT_Encode4(178796), // Rule ID 15137 //
     /* 178742 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 178745 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 178748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 178752 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 178756 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 178760 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 178763 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 178767 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 178771 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 178773 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 178780 */   // (uint_to_fp:{ *:[v8f16] } (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUQQ2PHZrm:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)
     /* 178780 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUQQ2PHZrm),
     /* 178783 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 178785 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 178789 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 178794 */   GIR_RootConstrainSelectedInstOperands,
     /* 178795 */   // GIR_Coverage, 15137,
     /* 178795 */   GIR_EraseRootFromParent_Done,
     /* 178796 */ // Label 3952: @178796
     /* 178796 */ GIM_Try, /*On fail goto*//*Label 3953*/ GIMT_Encode4(178826), // Rule ID 11479 //
     /* 178801 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 178804 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 178807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 178811 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 178815 */   // (uint_to_fp:{ *:[v8f16] } VR256X:{ *:[v8i32] }:$src)  =>  (VCVTUDQ2PHZ256rr:{ *:[v8f16] } VR256X:{ *:[v8i32] }:$src)
     /* 178815 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTUDQ2PHZ256rr),
     /* 178820 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 178824 */   GIR_RootConstrainSelectedInstOperands,
     /* 178825 */   // GIR_Coverage, 11479,
     /* 178825 */   GIR_Done,
     /* 178826 */ // Label 3953: @178826
     /* 178826 */ GIM_Try, /*On fail goto*//*Label 3954*/ GIMT_Encode4(178856), // Rule ID 14671 //
     /* 178831 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 178834 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 178837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 178841 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 178845 */   // (uint_to_fp:{ *:[v8f16] } VR128X:{ *:[v8i16] }:$src)  =>  (VCVTUW2PHZ128rr:{ *:[v8f16] } VR128X:{ *:[v8i16] }:$src)
     /* 178845 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTUW2PHZ128rr),
     /* 178850 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 178854 */   GIR_RootConstrainSelectedInstOperands,
     /* 178855 */   // GIR_Coverage, 14671,
     /* 178855 */   GIR_Done,
     /* 178856 */ // Label 3954: @178856
     /* 178856 */ GIM_Try, /*On fail goto*//*Label 3955*/ GIMT_Encode4(178886), // Rule ID 15133 //
     /* 178861 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 178864 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 178867 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 178871 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 178875 */   // (uint_to_fp:{ *:[v8f16] } VR512:{ *:[v8i64] }:$src)  =>  (VCVTUQQ2PHZrr:{ *:[v8f16] } VR512:{ *:[v8i64] }:$src)
     /* 178875 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTUQQ2PHZrr),
     /* 178880 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 178884 */   GIR_RootConstrainSelectedInstOperands,
     /* 178885 */   // GIR_Coverage, 15133,
     /* 178885 */   GIR_Done,
     /* 178886 */ // Label 3955: @178886
     /* 178886 */ GIM_Reject,
     /* 178887 */ // Label 3921: @178887
     /* 178887 */ GIM_Try, /*On fail goto*//*Label 3956*/ GIMT_Encode4(178946), // Rule ID 10973 //
     /* 178892 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 178895 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 178898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 178902 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 178906 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 178910 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 178913 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 178917 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 178921 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 178923 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 178930 */   // (uint_to_fp:{ *:[v8f32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUDQ2PSZ256rm:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /* 178930 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUDQ2PSZ256rm),
     /* 178933 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 178935 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 178939 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 178944 */   GIR_RootConstrainSelectedInstOperands,
     /* 178945 */   // GIR_Coverage, 10973,
     /* 178945 */   GIR_EraseRootFromParent_Done,
     /* 178946 */ // Label 3956: @178946
     /* 178946 */ GIM_Try, /*On fail goto*//*Label 3957*/ GIMT_Encode4(179005), // Rule ID 11522 //
     /* 178951 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /* 178954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 178957 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 178961 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 178965 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 178969 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 178972 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 178976 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 178980 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 178982 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 178989 */   // (uint_to_fp:{ *:[v8f32] } (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUQQ2PSZrm:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /* 178989 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUQQ2PSZrm),
     /* 178992 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 178994 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 178998 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 179003 */   GIR_RootConstrainSelectedInstOperands,
     /* 179004 */   // GIR_Coverage, 11522,
     /* 179004 */   GIR_EraseRootFromParent_Done,
     /* 179005 */ // Label 3957: @179005
     /* 179005 */ GIM_Try, /*On fail goto*//*Label 3958*/ GIMT_Encode4(179035), // Rule ID 10969 //
     /* 179010 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 179013 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 179016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 179020 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 179024 */   // (uint_to_fp:{ *:[v8f32] } VR256X:{ *:[v8i32] }:$src)  =>  (VCVTUDQ2PSZ256rr:{ *:[v8f32] } VR256X:{ *:[v8i32] }:$src)
     /* 179024 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTUDQ2PSZ256rr),
     /* 179029 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 179033 */   GIR_RootConstrainSelectedInstOperands,
     /* 179034 */   // GIR_Coverage, 10969,
     /* 179034 */   GIR_Done,
     /* 179035 */ // Label 3958: @179035
     /* 179035 */ GIM_Try, /*On fail goto*//*Label 3959*/ GIMT_Encode4(179065), // Rule ID 11518 //
     /* 179040 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /* 179043 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 179046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 179050 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 179054 */   // (uint_to_fp:{ *:[v8f32] } VR512:{ *:[v8i64] }:$src)  =>  (VCVTUQQ2PSZrr:{ *:[v8f32] } VR512:{ *:[v8i64] }:$src)
     /* 179054 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTUQQ2PSZrr),
     /* 179059 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 179063 */   GIR_RootConstrainSelectedInstOperands,
     /* 179064 */   // GIR_Coverage, 11518,
     /* 179064 */   GIR_Done,
     /* 179065 */ // Label 3959: @179065
     /* 179065 */ GIM_Reject,
     /* 179066 */ // Label 3922: @179066
     /* 179066 */ GIM_Try, /*On fail goto*//*Label 3960*/ GIMT_Encode4(179125), // Rule ID 10910 //
     /* 179071 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 179074 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 179077 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 179081 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 179085 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 179089 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 179092 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 179096 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 179100 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 179102 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 179109 */   // (uint_to_fp:{ *:[v8f64] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUDQ2PDZrm:{ *:[v8f64] } addr:{ *:[iPTR] }:$src)
     /* 179109 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUDQ2PDZrm),
     /* 179112 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 179114 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 179118 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 179123 */   GIR_RootConstrainSelectedInstOperands,
     /* 179124 */   // GIR_Coverage, 10910,
     /* 179124 */   GIR_EraseRootFromParent_Done,
     /* 179125 */ // Label 3960: @179125
     /* 179125 */ GIM_Try, /*On fail goto*//*Label 3961*/ GIMT_Encode4(179184), // Rule ID 11402 //
     /* 179130 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /* 179133 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 179136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 179140 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 179144 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 179148 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 179151 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 179155 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 179159 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 179161 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 179168 */   // (uint_to_fp:{ *:[v8f64] } (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUQQ2PDZrm:{ *:[v8f64] } addr:{ *:[iPTR] }:$src)
     /* 179168 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUQQ2PDZrm),
     /* 179171 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 179173 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 179177 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 179182 */   GIR_RootConstrainSelectedInstOperands,
     /* 179183 */   // GIR_Coverage, 11402,
     /* 179183 */   GIR_EraseRootFromParent_Done,
     /* 179184 */ // Label 3961: @179184
     /* 179184 */ GIM_Try, /*On fail goto*//*Label 3962*/ GIMT_Encode4(179210), // Rule ID 10906 //
     /* 179189 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 179192 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 179195 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 179199 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 179203 */   // (uint_to_fp:{ *:[v8f64] } VR256X:{ *:[v8i32] }:$src)  =>  (VCVTUDQ2PDZrr:{ *:[v8f64] } VR256X:{ *:[v8i32] }:$src)
     /* 179203 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTUDQ2PDZrr),
     /* 179208 */   GIR_RootConstrainSelectedInstOperands,
     /* 179209 */   // GIR_Coverage, 10906,
     /* 179209 */   GIR_Done,
     /* 179210 */ // Label 3962: @179210
     /* 179210 */ GIM_Try, /*On fail goto*//*Label 3963*/ GIMT_Encode4(179240), // Rule ID 11398 //
     /* 179215 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /* 179218 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 179221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 179225 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 179229 */   // (uint_to_fp:{ *:[v8f64] } VR512:{ *:[v8i64] }:$src)  =>  (VCVTUQQ2PDZrr:{ *:[v8f64] } VR512:{ *:[v8i64] }:$src)
     /* 179229 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTUQQ2PDZrr),
     /* 179234 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 179238 */   GIR_RootConstrainSelectedInstOperands,
     /* 179239 */   // GIR_Coverage, 11398,
     /* 179239 */   GIR_Done,
     /* 179240 */ // Label 3963: @179240
     /* 179240 */ GIM_Reject,
     /* 179241 */ // Label 3923: @179241
     /* 179241 */ GIM_Try, /*On fail goto*//*Label 3964*/ GIMT_Encode4(179300), // Rule ID 11468 //
     /* 179246 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 179249 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 179252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 179256 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 179260 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 179264 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 179267 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 179271 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 179275 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 179277 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 179284 */   // (uint_to_fp:{ *:[v16f16] } (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUDQ2PHZrm:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)
     /* 179284 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUDQ2PHZrm),
     /* 179287 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 179289 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 179293 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 179298 */   GIR_RootConstrainSelectedInstOperands,
     /* 179299 */   // GIR_Coverage, 11468,
     /* 179299 */   GIR_EraseRootFromParent_Done,
     /* 179300 */ // Label 3964: @179300
     /* 179300 */ GIM_Try, /*On fail goto*//*Label 3965*/ GIMT_Encode4(179359), // Rule ID 14687 //
     /* 179305 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 179308 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 179311 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 179315 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 179319 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 179323 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 179326 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 179330 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 179334 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 179336 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 179343 */   // (uint_to_fp:{ *:[v16f16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUW2PHZ256rm:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)
     /* 179343 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUW2PHZ256rm),
     /* 179346 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 179348 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 179352 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 179357 */   GIR_RootConstrainSelectedInstOperands,
     /* 179358 */   // GIR_Coverage, 14687,
     /* 179358 */   GIR_EraseRootFromParent_Done,
     /* 179359 */ // Label 3965: @179359
     /* 179359 */ GIM_Try, /*On fail goto*//*Label 3966*/ GIMT_Encode4(179389), // Rule ID 11464 //
     /* 179364 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 179367 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 179370 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 179374 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 179378 */   // (uint_to_fp:{ *:[v16f16] } VR512:{ *:[v16i32] }:$src)  =>  (VCVTUDQ2PHZrr:{ *:[v16f16] } VR512:{ *:[v16i32] }:$src)
     /* 179378 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTUDQ2PHZrr),
     /* 179383 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 179387 */   GIR_RootConstrainSelectedInstOperands,
     /* 179388 */   // GIR_Coverage, 11464,
     /* 179388 */   GIR_Done,
     /* 179389 */ // Label 3966: @179389
     /* 179389 */ GIM_Try, /*On fail goto*//*Label 3967*/ GIMT_Encode4(179419), // Rule ID 14683 //
     /* 179394 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 179397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 179400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 179404 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 179408 */   // (uint_to_fp:{ *:[v16f16] } VR256X:{ *:[v16i16] }:$src)  =>  (VCVTUW2PHZ256rr:{ *:[v16f16] } VR256X:{ *:[v16i16] }:$src)
     /* 179408 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTUW2PHZ256rr),
     /* 179413 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 179417 */   GIR_RootConstrainSelectedInstOperands,
     /* 179418 */   // GIR_Coverage, 14683,
     /* 179418 */   GIR_Done,
     /* 179419 */ // Label 3967: @179419
     /* 179419 */ GIM_Reject,
     /* 179420 */ // Label 3924: @179420
     /* 179420 */ GIM_Try, /*On fail goto*//*Label 3968*/ GIMT_Encode4(179508),
     /* 179425 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 179428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 179432 */   GIM_Try, /*On fail goto*//*Label 3969*/ GIMT_Encode4(179484), // Rule ID 10946 //
     /* 179437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 179440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 179444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 179448 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 179451 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 179455 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 179459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 179461 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 179468 */     // (uint_to_fp:{ *:[v16f32] } (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUDQ2PSZrm:{ *:[v16f32] } addr:{ *:[iPTR] }:$src)
     /* 179468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUDQ2PSZrm),
     /* 179471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 179473 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 179477 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 179482 */     GIR_RootConstrainSelectedInstOperands,
     /* 179483 */     // GIR_Coverage, 10946,
     /* 179483 */     GIR_EraseRootFromParent_Done,
     /* 179484 */   // Label 3969: @179484
     /* 179484 */   GIM_Try, /*On fail goto*//*Label 3970*/ GIMT_Encode4(179507), // Rule ID 10942 //
     /* 179489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 179492 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 179496 */     // (uint_to_fp:{ *:[v16f32] } VR512:{ *:[v16i32] }:$src)  =>  (VCVTUDQ2PSZrr:{ *:[v16f32] } VR512:{ *:[v16i32] }:$src)
     /* 179496 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTUDQ2PSZrr),
     /* 179501 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 179505 */     GIR_RootConstrainSelectedInstOperands,
     /* 179506 */     // GIR_Coverage, 10942,
     /* 179506 */     GIR_Done,
     /* 179507 */   // Label 3970: @179507
     /* 179507 */   GIM_Reject,
     /* 179508 */ // Label 3968: @179508
     /* 179508 */ GIM_Reject,
     /* 179509 */ // Label 3925: @179509
     /* 179509 */ GIM_Try, /*On fail goto*//*Label 3971*/ GIMT_Encode4(179597),
     /* 179514 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 179517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 179521 */   GIM_Try, /*On fail goto*//*Label 3972*/ GIMT_Encode4(179573), // Rule ID 14660 //
     /* 179526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 179529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 179533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 179537 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 179540 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 179544 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 179548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 179550 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 179557 */     // (uint_to_fp:{ *:[v32f16] } (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUW2PHZrm:{ *:[v32f16] } addr:{ *:[iPTR] }:$src)
     /* 179557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUW2PHZrm),
     /* 179560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 179562 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 179566 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 179571 */     GIR_RootConstrainSelectedInstOperands,
     /* 179572 */     // GIR_Coverage, 14660,
     /* 179572 */     GIR_EraseRootFromParent_Done,
     /* 179573 */   // Label 3972: @179573
     /* 179573 */   GIM_Try, /*On fail goto*//*Label 3973*/ GIMT_Encode4(179596), // Rule ID 14656 //
     /* 179578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 179581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 179585 */     // (uint_to_fp:{ *:[v32f16] } VR512:{ *:[v32i16] }:$src)  =>  (VCVTUW2PHZrr:{ *:[v32f16] } VR512:{ *:[v32i16] }:$src)
     /* 179585 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTUW2PHZrr),
     /* 179590 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 179594 */     GIR_RootConstrainSelectedInstOperands,
     /* 179595 */     // GIR_Coverage, 14656,
     /* 179595 */     GIR_Done,
     /* 179596 */   // Label 3973: @179596
     /* 179596 */   GIM_Reject,
     /* 179597 */ // Label 3971: @179597
     /* 179597 */ GIM_Reject,
     /* 179598 */ // Label 3926: @179598
     /* 179598 */ GIM_Reject,
     /* 179599 */ // Label 53: @179599
     /* 179599 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(6), /*)*//*default:*//*Label 3977*/ GIMT_Encode4(179721),
     /* 179610 */ /*GILLT_s32*//*Label 3974*/ GIMT_Encode4(179622),
     /* 179614 */ /*GILLT_s64*//*Label 3975*/ GIMT_Encode4(179655),
     /* 179618 */ /*GILLT_s80*//*Label 3976*/ GIMT_Encode4(179688),
     /* 179622 */ // Label 3974: @179622
     /* 179622 */ GIM_Try, /*On fail goto*//*Label 3978*/ GIMT_Encode4(179654), // Rule ID 1044 //
     /* 179627 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 179630 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 179633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 179637 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 179641 */   // (fabs:{ *:[f32] } RFP32:{ *:[f32] }:$src)  =>  (ABS_Fp32:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src)
     /* 179641 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ABS_Fp32),
     /* 179646 */   GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 179652 */   GIR_RootConstrainSelectedInstOperands,
     /* 179653 */   // GIR_Coverage, 1044,
     /* 179653 */   GIR_Done,
     /* 179654 */ // Label 3978: @179654
     /* 179654 */ GIM_Reject,
     /* 179655 */ // Label 3975: @179655
     /* 179655 */ GIM_Try, /*On fail goto*//*Label 3979*/ GIMT_Encode4(179687), // Rule ID 1045 //
     /* 179660 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 179663 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 179666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 179670 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 179674 */   // (fabs:{ *:[f64] } RFP64:{ *:[f64] }:$src)  =>  (ABS_Fp64:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src)
     /* 179674 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ABS_Fp64),
     /* 179679 */   GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 179685 */   GIR_RootConstrainSelectedInstOperands,
     /* 179686 */   // GIR_Coverage, 1045,
     /* 179686 */   GIR_Done,
     /* 179687 */ // Label 3979: @179687
     /* 179687 */ GIM_Reject,
     /* 179688 */ // Label 3976: @179688
     /* 179688 */ GIM_Try, /*On fail goto*//*Label 3980*/ GIMT_Encode4(179720), // Rule ID 1046 //
     /* 179693 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 179696 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s80,
     /* 179699 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 179703 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 179707 */   // (fabs:{ *:[f80] } RFP80:{ *:[f80] }:$src)  =>  (ABS_Fp80:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src)
     /* 179707 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ABS_Fp80),
     /* 179712 */   GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 179718 */   GIR_RootConstrainSelectedInstOperands,
     /* 179719 */   // GIR_Coverage, 1046,
     /* 179719 */   GIR_Done,
     /* 179720 */ // Label 3980: @179720
     /* 179720 */ GIM_Reject,
     /* 179721 */ // Label 3977: @179721
     /* 179721 */ GIM_Reject,
     /* 179722 */ // Label 54: @179722
     /* 179722 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(25), /*)*//*default:*//*Label 3993*/ GIMT_Encode4(183042),
     /* 179733 */ /*GILLT_v2s64*//*Label 3981*/ GIMT_Encode4(179801), GIMT_Encode4(0),
     /* 179741 */ /*GILLT_v4s32*//*Label 3982*/ GIMT_Encode4(180130),
     /* 179745 */ /*GILLT_v4s64*//*Label 3983*/ GIMT_Encode4(180472), GIMT_Encode4(0),
     /* 179753 */ /*GILLT_v8s16*//*Label 3984*/ GIMT_Encode4(180789),
     /* 179757 */ /*GILLT_v8s32*//*Label 3985*/ GIMT_Encode4(181131),
     /* 179761 */ /*GILLT_v8s64*//*Label 3986*/ GIMT_Encode4(181446), GIMT_Encode4(0),
     /* 179769 */ /*GILLT_v16s8*//*Label 3987*/ GIMT_Encode4(181602),
     /* 179773 */ /*GILLT_v16s16*//*Label 3988*/ GIMT_Encode4(181944),
     /* 179777 */ /*GILLT_v16s32*//*Label 3989*/ GIMT_Encode4(182259), GIMT_Encode4(0),
     /* 179785 */ /*GILLT_v32s8*//*Label 3990*/ GIMT_Encode4(182415),
     /* 179789 */ /*GILLT_v32s16*//*Label 3991*/ GIMT_Encode4(182730), GIMT_Encode4(0),
     /* 179797 */ /*GILLT_v64s8*//*Label 3992*/ GIMT_Encode4(182886),
     /* 179801 */ // Label 3981: @179801
     /* 179801 */ GIM_Try, /*On fail goto*//*Label 3994*/ GIMT_Encode4(180129),
     /* 179806 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 179809 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 179812 */   GIM_Try, /*On fail goto*//*Label 3995*/ GIMT_Encode4(179874), // Rule ID 24074 //
     /* 179817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 179820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 179824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 179828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 179832 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 179835 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 179839 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 179843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 179847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 179849 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 179856 */     // (smin:{ *:[v2i64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v2i64] }:$src1)  =>  (VPMINSQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 179856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSQZ128rm),
     /* 179859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 179861 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 179863 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 179867 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 179872 */     GIR_RootConstrainSelectedInstOperands,
     /* 179873 */     // GIR_Coverage, 24074,
     /* 179873 */     GIR_EraseRootFromParent_Done,
     /* 179874 */   // Label 3995: @179874
     /* 179874 */   GIM_Try, /*On fail goto*//*Label 3996*/ GIMT_Encode4(179936), // Rule ID 5589 //
     /* 179879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 179882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 179886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 179890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 179894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 179898 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 179901 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 179905 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 179909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 179911 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 179918 */     // (smin:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINSQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 179918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSQZ128rm),
     /* 179921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 179923 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 179925 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 179929 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 179934 */     GIR_RootConstrainSelectedInstOperands,
     /* 179935 */     // GIR_Coverage, 5589,
     /* 179935 */     GIR_EraseRootFromParent_Done,
     /* 179936 */   // Label 3996: @179936
     /* 179936 */   GIM_Try, /*On fail goto*//*Label 3997*/ GIMT_Encode4(179963), // Rule ID 5586 //
     /* 179941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 179944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 179948 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 179952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 179956 */     // (smin:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (VPMINSQZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)
     /* 179956 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINSQZ128rr),
     /* 179961 */     GIR_RootConstrainSelectedInstOperands,
     /* 179962 */     // GIR_Coverage, 5586,
     /* 179962 */     GIR_Done,
     /* 179963 */   // Label 3997: @179963
     /* 179963 */   GIM_Try, /*On fail goto*//*Label 3998*/ GIMT_Encode4(180128), // Rule ID 20013 //
     /* 179968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 179971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 179975 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 179979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 179983 */     // (smin:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (EXTRACT_SUBREG:{ *:[v2i64] } (VPMINSQZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src1, sub_xmm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src2, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 179983 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /* 179986 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 179990 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 179995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 179997 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /* 180000 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 180004 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 180009 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 180012 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 180016 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/11,
     /* 180019 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 180024 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 180029 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 180034 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 180037 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 180041 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 180046 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 180048 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 180051 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 180055 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 180060 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 180063 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 180067 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 180070 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 180075 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 180080 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 180085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 180088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMINSQZrr),
     /* 180092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 180097 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 180100 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 180103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 180105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 180108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 180110 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 180117 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 180122 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 180127 */     // GIR_Coverage, 20013,
     /* 180127 */     GIR_EraseRootFromParent_Done,
     /* 180128 */   // Label 3998: @180128
     /* 180128 */   GIM_Reject,
     /* 180129 */ // Label 3994: @180129
     /* 180129 */ GIM_Reject,
     /* 180130 */ // Label 3982: @180130
     /* 180130 */ GIM_Try, /*On fail goto*//*Label 3999*/ GIMT_Encode4(180471),
     /* 180135 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 180138 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 180141 */   GIM_Try, /*On fail goto*//*Label 4000*/ GIMT_Encode4(180203), // Rule ID 23498 //
     /* 180146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 180149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 180153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 180157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 180161 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 180164 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 180168 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 180172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 180176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 180178 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 180185 */     // (smin:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src1)  =>  (VPMINSDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 180185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSDrm),
     /* 180188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 180190 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 180192 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 180196 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 180201 */     GIR_RootConstrainSelectedInstOperands,
     /* 180202 */     // GIR_Coverage, 23498,
     /* 180202 */     GIR_EraseRootFromParent_Done,
     /* 180203 */   // Label 4000: @180203
     /* 180203 */   GIM_Try, /*On fail goto*//*Label 4001*/ GIMT_Encode4(180265), // Rule ID 24056 //
     /* 180208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 180211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 180215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 180219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 180223 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 180226 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 180230 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 180234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 180238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 180240 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 180247 */     // (smin:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v4i32] }:$src1)  =>  (VPMINSDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 180247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSDZ128rm),
     /* 180250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 180252 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 180254 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 180258 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 180263 */     GIR_RootConstrainSelectedInstOperands,
     /* 180264 */     // GIR_Coverage, 24056,
     /* 180264 */     GIR_EraseRootFromParent_Done,
     /* 180265 */   // Label 4001: @180265
     /* 180265 */   GIM_Try, /*On fail goto*//*Label 4002*/ GIMT_Encode4(180327), // Rule ID 3185 //
     /* 180270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 180273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 180277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 180281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 180285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 180289 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 180292 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 180296 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 180300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 180302 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 180309 */     // (smin:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINSDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 180309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSDrm),
     /* 180312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 180314 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 180316 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 180320 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 180325 */     GIR_RootConstrainSelectedInstOperands,
     /* 180326 */     // GIR_Coverage, 3185,
     /* 180326 */     GIR_EraseRootFromParent_Done,
     /* 180327 */   // Label 4002: @180327
     /* 180327 */   GIM_Try, /*On fail goto*//*Label 4003*/ GIMT_Encode4(180389), // Rule ID 5562 //
     /* 180332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 180335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 180339 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 180343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 180347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 180351 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 180354 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 180358 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 180362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 180364 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 180371 */     // (smin:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINSDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 180371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSDZ128rm),
     /* 180374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 180376 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 180378 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 180382 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 180387 */     GIR_RootConstrainSelectedInstOperands,
     /* 180388 */     // GIR_Coverage, 5562,
     /* 180388 */     GIR_EraseRootFromParent_Done,
     /* 180389 */   // Label 4003: @180389
     /* 180389 */   GIM_Try, /*On fail goto*//*Label 4004*/ GIMT_Encode4(180416), // Rule ID 3184 //
     /* 180394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 180397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 180401 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 180405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 180409 */     // (smin:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (VPMINSDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /* 180409 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINSDrr),
     /* 180414 */     GIR_RootConstrainSelectedInstOperands,
     /* 180415 */     // GIR_Coverage, 3184,
     /* 180415 */     GIR_Done,
     /* 180416 */   // Label 4004: @180416
     /* 180416 */   GIM_Try, /*On fail goto*//*Label 4005*/ GIMT_Encode4(180443), // Rule ID 3222 //
     /* 180421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE41),
     /* 180424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 180428 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 180432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 180436 */     // (smin:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (PMINSDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /* 180436 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PMINSDrr),
     /* 180441 */     GIR_RootConstrainSelectedInstOperands,
     /* 180442 */     // GIR_Coverage, 3222,
     /* 180442 */     GIR_Done,
     /* 180443 */   // Label 4005: @180443
     /* 180443 */   GIM_Try, /*On fail goto*//*Label 4006*/ GIMT_Encode4(180470), // Rule ID 5559 //
     /* 180448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 180451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 180455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 180459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 180463 */     // (smin:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)  =>  (VPMINSDZ128rr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)
     /* 180463 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINSDZ128rr),
     /* 180468 */     GIR_RootConstrainSelectedInstOperands,
     /* 180469 */     // GIR_Coverage, 5559,
     /* 180469 */     GIR_Done,
     /* 180470 */   // Label 4006: @180470
     /* 180470 */   GIM_Reject,
     /* 180471 */ // Label 3999: @180471
     /* 180471 */ GIM_Reject,
     /* 180472 */ // Label 3983: @180472
     /* 180472 */ GIM_Try, /*On fail goto*//*Label 4007*/ GIMT_Encode4(180788),
     /* 180477 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 180480 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 180483 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 180487 */   GIM_Try, /*On fail goto*//*Label 4008*/ GIMT_Encode4(180545), // Rule ID 24068 //
     /* 180492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 180495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 180499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 180503 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 180506 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 180510 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 180514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 180518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 180520 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 180527 */     // (smin:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v4i64] }:$src1)  =>  (VPMINSQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 180527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSQZ256rm),
     /* 180530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 180532 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 180534 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 180538 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 180543 */     GIR_RootConstrainSelectedInstOperands,
     /* 180544 */     // GIR_Coverage, 24068,
     /* 180544 */     GIR_EraseRootFromParent_Done,
     /* 180545 */   // Label 4008: @180545
     /* 180545 */   GIM_Try, /*On fail goto*//*Label 4009*/ GIMT_Encode4(180603), // Rule ID 5580 //
     /* 180550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 180553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 180557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 180561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 180565 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 180568 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 180572 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 180576 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 180578 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 180585 */     // (smin:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINSQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 180585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSQZ256rm),
     /* 180588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 180590 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 180592 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 180596 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 180601 */     GIR_RootConstrainSelectedInstOperands,
     /* 180602 */     // GIR_Coverage, 5580,
     /* 180602 */     GIR_EraseRootFromParent_Done,
     /* 180603 */   // Label 4009: @180603
     /* 180603 */   GIM_Try, /*On fail goto*//*Label 4010*/ GIMT_Encode4(180626), // Rule ID 5577 //
     /* 180608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 180611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 180615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 180619 */     // (smin:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (VPMINSQZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)
     /* 180619 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINSQZ256rr),
     /* 180624 */     GIR_RootConstrainSelectedInstOperands,
     /* 180625 */     // GIR_Coverage, 5577,
     /* 180625 */     GIR_Done,
     /* 180626 */   // Label 4010: @180626
     /* 180626 */   GIM_Try, /*On fail goto*//*Label 4011*/ GIMT_Encode4(180787), // Rule ID 20011 //
     /* 180631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 180634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 180638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 180642 */     // (smin:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (EXTRACT_SUBREG:{ *:[v4i64] } (VPMINSQZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src1, sub_ymm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src2, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 180642 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /* 180645 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 180649 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 180654 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 180656 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /* 180659 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 180663 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 180668 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 180671 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 180675 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/12,
     /* 180678 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 180683 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 180688 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 180693 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 180696 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 180700 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 180705 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 180707 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 180710 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 180714 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 180719 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 180722 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 180726 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 180729 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 180734 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 180739 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 180744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 180747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMINSQZrr),
     /* 180751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 180756 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 180759 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 180762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 180764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 180767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 180769 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 180776 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 180781 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 180786 */     // GIR_Coverage, 20011,
     /* 180786 */     GIR_EraseRootFromParent_Done,
     /* 180787 */   // Label 4011: @180787
     /* 180787 */   GIM_Reject,
     /* 180788 */ // Label 4007: @180788
     /* 180788 */ GIM_Reject,
     /* 180789 */ // Label 3984: @180789
     /* 180789 */ GIM_Try, /*On fail goto*//*Label 4012*/ GIMT_Encode4(181130),
     /* 180794 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 180797 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 180800 */   GIM_Try, /*On fail goto*//*Label 4013*/ GIMT_Encode4(180862), // Rule ID 23462 //
     /* 180805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 180808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 180812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 180816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 180820 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 180823 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 180827 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 180831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 180835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 180837 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 180844 */     // (smin:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1)  =>  (VPMINSWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 180844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSWrm),
     /* 180847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 180849 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 180851 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 180855 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 180860 */     GIR_RootConstrainSelectedInstOperands,
     /* 180861 */     // GIR_Coverage, 23462,
     /* 180861 */     GIR_EraseRootFromParent_Done,
     /* 180862 */   // Label 4013: @180862
     /* 180862 */   GIM_Try, /*On fail goto*//*Label 4014*/ GIMT_Encode4(180924), // Rule ID 24041 //
     /* 180867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 180870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 180874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 180878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 180882 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 180885 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 180889 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 180893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 180897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 180899 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 180906 */     // (smin:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8i16] }:$src1)  =>  (VPMINSWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 180906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSWZ128rm),
     /* 180909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 180911 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 180913 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 180917 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 180922 */     GIR_RootConstrainSelectedInstOperands,
     /* 180923 */     // GIR_Coverage, 24041,
     /* 180923 */     GIR_EraseRootFromParent_Done,
     /* 180924 */   // Label 4014: @180924
     /* 180924 */   GIM_Try, /*On fail goto*//*Label 4015*/ GIMT_Encode4(180986), // Rule ID 2642 //
     /* 180929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 180932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 180936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 180940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 180944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 180948 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 180951 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 180955 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 180959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 180961 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 180968 */     // (smin:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINSWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 180968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSWrm),
     /* 180971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 180973 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 180975 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 180979 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 180984 */     GIR_RootConstrainSelectedInstOperands,
     /* 180985 */     // GIR_Coverage, 2642,
     /* 180985 */     GIR_EraseRootFromParent_Done,
     /* 180986 */   // Label 4015: @180986
     /* 180986 */   GIM_Try, /*On fail goto*//*Label 4016*/ GIMT_Encode4(181048), // Rule ID 5538 //
     /* 180991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 180994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 180998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 181002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 181006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 181010 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 181013 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 181017 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 181021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 181023 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 181030 */     // (smin:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINSWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 181030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSWZ128rm),
     /* 181033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 181035 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 181037 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 181041 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 181046 */     GIR_RootConstrainSelectedInstOperands,
     /* 181047 */     // GIR_Coverage, 5538,
     /* 181047 */     GIR_EraseRootFromParent_Done,
     /* 181048 */   // Label 4016: @181048
     /* 181048 */   GIM_Try, /*On fail goto*//*Label 4017*/ GIMT_Encode4(181075), // Rule ID 2641 //
     /* 181053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 181056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 181060 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 181064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 181068 */     // (smin:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPMINSWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 181068 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINSWrr),
     /* 181073 */     GIR_RootConstrainSelectedInstOperands,
     /* 181074 */     // GIR_Coverage, 2641,
     /* 181074 */     GIR_Done,
     /* 181075 */   // Label 4017: @181075
     /* 181075 */   GIM_Try, /*On fail goto*//*Label 4018*/ GIMT_Encode4(181102), // Rule ID 2643 //
     /* 181080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 181083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 181087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 181091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 181095 */     // (smin:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PMINSWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 181095 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PMINSWrr),
     /* 181100 */     GIR_RootConstrainSelectedInstOperands,
     /* 181101 */     // GIR_Coverage, 2643,
     /* 181101 */     GIR_Done,
     /* 181102 */   // Label 4018: @181102
     /* 181102 */   GIM_Try, /*On fail goto*//*Label 4019*/ GIMT_Encode4(181129), // Rule ID 5535 //
     /* 181107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 181110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 181114 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 181118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 181122 */     // (smin:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)  =>  (VPMINSWZ128rr:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)
     /* 181122 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINSWZ128rr),
     /* 181127 */     GIR_RootConstrainSelectedInstOperands,
     /* 181128 */     // GIR_Coverage, 5535,
     /* 181128 */     GIR_Done,
     /* 181129 */   // Label 4019: @181129
     /* 181129 */   GIM_Reject,
     /* 181130 */ // Label 4012: @181130
     /* 181130 */ GIM_Reject,
     /* 181131 */ // Label 3985: @181131
     /* 181131 */ GIM_Try, /*On fail goto*//*Label 4020*/ GIMT_Encode4(181445),
     /* 181136 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 181139 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 181142 */   GIM_Try, /*On fail goto*//*Label 4021*/ GIMT_Encode4(181204), // Rule ID 23507 //
     /* 181147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 181150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 181154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 181158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 181162 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 181165 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 181169 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 181173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 181177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 181179 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 181186 */     // (smin:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8i32] }:$src1)  =>  (VPMINSDYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 181186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSDYrm),
     /* 181189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 181191 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 181193 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 181197 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 181202 */     GIR_RootConstrainSelectedInstOperands,
     /* 181203 */     // GIR_Coverage, 23507,
     /* 181203 */     GIR_EraseRootFromParent_Done,
     /* 181204 */   // Label 4021: @181204
     /* 181204 */   GIM_Try, /*On fail goto*//*Label 4022*/ GIMT_Encode4(181266), // Rule ID 24050 //
     /* 181209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 181212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 181216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 181220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 181224 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 181227 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 181231 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 181235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 181239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 181241 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 181248 */     // (smin:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v8i32] }:$src1)  =>  (VPMINSDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 181248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSDZ256rm),
     /* 181251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 181253 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 181255 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 181259 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 181264 */     GIR_RootConstrainSelectedInstOperands,
     /* 181265 */     // GIR_Coverage, 24050,
     /* 181265 */     GIR_EraseRootFromParent_Done,
     /* 181266 */   // Label 4022: @181266
     /* 181266 */   GIM_Try, /*On fail goto*//*Label 4023*/ GIMT_Encode4(181328), // Rule ID 3203 //
     /* 181271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 181274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 181278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 181282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 181286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 181290 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 181293 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 181297 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 181301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 181303 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 181310 */     // (smin:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINSDYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 181310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSDYrm),
     /* 181313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 181315 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 181317 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 181321 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 181326 */     GIR_RootConstrainSelectedInstOperands,
     /* 181327 */     // GIR_Coverage, 3203,
     /* 181327 */     GIR_EraseRootFromParent_Done,
     /* 181328 */   // Label 4023: @181328
     /* 181328 */   GIM_Try, /*On fail goto*//*Label 4024*/ GIMT_Encode4(181390), // Rule ID 5553 //
     /* 181333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 181336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 181340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 181344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 181348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 181352 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 181355 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 181359 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 181363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 181365 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 181372 */     // (smin:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINSDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 181372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSDZ256rm),
     /* 181375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 181377 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 181379 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 181383 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 181388 */     GIR_RootConstrainSelectedInstOperands,
     /* 181389 */     // GIR_Coverage, 5553,
     /* 181389 */     GIR_EraseRootFromParent_Done,
     /* 181390 */   // Label 4024: @181390
     /* 181390 */   GIM_Try, /*On fail goto*//*Label 4025*/ GIMT_Encode4(181417), // Rule ID 3202 //
     /* 181395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 181398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 181402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 181406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 181410 */     // (smin:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)  =>  (VPMINSDYrr:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)
     /* 181410 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINSDYrr),
     /* 181415 */     GIR_RootConstrainSelectedInstOperands,
     /* 181416 */     // GIR_Coverage, 3202,
     /* 181416 */     GIR_Done,
     /* 181417 */   // Label 4025: @181417
     /* 181417 */   GIM_Try, /*On fail goto*//*Label 4026*/ GIMT_Encode4(181444), // Rule ID 5550 //
     /* 181422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 181425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 181429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 181433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 181437 */     // (smin:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)  =>  (VPMINSDZ256rr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)
     /* 181437 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINSDZ256rr),
     /* 181442 */     GIR_RootConstrainSelectedInstOperands,
     /* 181443 */     // GIR_Coverage, 5550,
     /* 181443 */     GIR_Done,
     /* 181444 */   // Label 4026: @181444
     /* 181444 */   GIM_Reject,
     /* 181445 */ // Label 4020: @181445
     /* 181445 */ GIM_Reject,
     /* 181446 */ // Label 3986: @181446
     /* 181446 */ GIM_Try, /*On fail goto*//*Label 4027*/ GIMT_Encode4(181601),
     /* 181451 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 181454 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /* 181457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 181461 */   GIM_Try, /*On fail goto*//*Label 4028*/ GIMT_Encode4(181519), // Rule ID 24062 //
     /* 181466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 181469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 181473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 181477 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 181480 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 181484 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 181488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 181492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 181494 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 181501 */     // (smin:{ *:[v8i64] } (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v8i64] }:$src1)  =>  (VPMINSQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 181501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSQZrm),
     /* 181504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 181506 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 181508 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 181512 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 181517 */     GIR_RootConstrainSelectedInstOperands,
     /* 181518 */     // GIR_Coverage, 24062,
     /* 181518 */     GIR_EraseRootFromParent_Done,
     /* 181519 */   // Label 4028: @181519
     /* 181519 */   GIM_Try, /*On fail goto*//*Label 4029*/ GIMT_Encode4(181577), // Rule ID 5571 //
     /* 181524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 181527 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 181531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 181535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 181539 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 181542 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 181546 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 181550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 181552 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 181559 */     // (smin:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINSQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 181559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSQZrm),
     /* 181562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 181564 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 181566 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 181570 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 181575 */     GIR_RootConstrainSelectedInstOperands,
     /* 181576 */     // GIR_Coverage, 5571,
     /* 181576 */     GIR_EraseRootFromParent_Done,
     /* 181577 */   // Label 4029: @181577
     /* 181577 */   GIM_Try, /*On fail goto*//*Label 4030*/ GIMT_Encode4(181600), // Rule ID 5568 //
     /* 181582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 181585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 181589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 181593 */     // (smin:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)  =>  (VPMINSQZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)
     /* 181593 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINSQZrr),
     /* 181598 */     GIR_RootConstrainSelectedInstOperands,
     /* 181599 */     // GIR_Coverage, 5568,
     /* 181599 */     GIR_Done,
     /* 181600 */   // Label 4030: @181600
     /* 181600 */   GIM_Reject,
     /* 181601 */ // Label 4027: @181601
     /* 181601 */ GIM_Reject,
     /* 181602 */ // Label 3987: @181602
     /* 181602 */ GIM_Try, /*On fail goto*//*Label 4031*/ GIMT_Encode4(181943),
     /* 181607 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 181610 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 181613 */   GIM_Try, /*On fail goto*//*Label 4032*/ GIMT_Encode4(181675), // Rule ID 23503 //
     /* 181618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 181621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 181625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 181629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 181633 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 181636 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 181640 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 181644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 181648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 181650 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 181657 */     // (smin:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v16i8] }:$src1)  =>  (VPMINSBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 181657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSBrm),
     /* 181660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 181662 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 181664 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 181668 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 181673 */     GIR_RootConstrainSelectedInstOperands,
     /* 181674 */     // GIR_Coverage, 23503,
     /* 181674 */     GIR_EraseRootFromParent_Done,
     /* 181675 */   // Label 4032: @181675
     /* 181675 */   GIM_Try, /*On fail goto*//*Label 4033*/ GIMT_Encode4(181737), // Rule ID 24032 //
     /* 181680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 181683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 181687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 181691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 181695 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 181698 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 181702 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 181706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 181710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 181712 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 181719 */     // (smin:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v16i8] }:$src1)  =>  (VPMINSBZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 181719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSBZ128rm),
     /* 181722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 181724 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 181726 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 181730 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 181735 */     GIR_RootConstrainSelectedInstOperands,
     /* 181736 */     // GIR_Coverage, 24032,
     /* 181736 */     GIR_EraseRootFromParent_Done,
     /* 181737 */   // Label 4033: @181737
     /* 181737 */   GIM_Try, /*On fail goto*//*Label 4034*/ GIMT_Encode4(181799), // Rule ID 3195 //
     /* 181742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 181745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 181749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 181753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 181757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 181761 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 181764 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 181768 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 181772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 181774 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 181781 */     // (smin:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINSBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 181781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSBrm),
     /* 181784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 181786 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 181788 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 181792 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 181797 */     GIR_RootConstrainSelectedInstOperands,
     /* 181798 */     // GIR_Coverage, 3195,
     /* 181798 */     GIR_EraseRootFromParent_Done,
     /* 181799 */   // Label 4034: @181799
     /* 181799 */   GIM_Try, /*On fail goto*//*Label 4035*/ GIMT_Encode4(181861), // Rule ID 5520 //
     /* 181804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 181807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 181811 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 181815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 181819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 181823 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 181826 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 181830 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 181834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 181836 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 181843 */     // (smin:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINSBZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 181843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSBZ128rm),
     /* 181846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 181848 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 181850 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 181854 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 181859 */     GIR_RootConstrainSelectedInstOperands,
     /* 181860 */     // GIR_Coverage, 5520,
     /* 181860 */     GIR_EraseRootFromParent_Done,
     /* 181861 */   // Label 4035: @181861
     /* 181861 */   GIM_Try, /*On fail goto*//*Label 4036*/ GIMT_Encode4(181888), // Rule ID 3194 //
     /* 181866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 181869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 181873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 181877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 181881 */     // (smin:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (VPMINSBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /* 181881 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINSBrr),
     /* 181886 */     GIR_RootConstrainSelectedInstOperands,
     /* 181887 */     // GIR_Coverage, 3194,
     /* 181887 */     GIR_Done,
     /* 181888 */   // Label 4036: @181888
     /* 181888 */   GIM_Try, /*On fail goto*//*Label 4037*/ GIMT_Encode4(181915), // Rule ID 3220 //
     /* 181893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE41),
     /* 181896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 181900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 181904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 181908 */     // (smin:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (PMINSBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /* 181908 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PMINSBrr),
     /* 181913 */     GIR_RootConstrainSelectedInstOperands,
     /* 181914 */     // GIR_Coverage, 3220,
     /* 181914 */     GIR_Done,
     /* 181915 */   // Label 4037: @181915
     /* 181915 */   GIM_Try, /*On fail goto*//*Label 4038*/ GIMT_Encode4(181942), // Rule ID 5517 //
     /* 181920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 181923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 181927 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 181931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 181935 */     // (smin:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)  =>  (VPMINSBZ128rr:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)
     /* 181935 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINSBZ128rr),
     /* 181940 */     GIR_RootConstrainSelectedInstOperands,
     /* 181941 */     // GIR_Coverage, 5517,
     /* 181941 */     GIR_Done,
     /* 181942 */   // Label 4038: @181942
     /* 181942 */   GIM_Reject,
     /* 181943 */ // Label 4031: @181943
     /* 181943 */ GIM_Reject,
     /* 181944 */ // Label 3988: @181944
     /* 181944 */ GIM_Try, /*On fail goto*//*Label 4039*/ GIMT_Encode4(182258),
     /* 181949 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 181952 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 181955 */   GIM_Try, /*On fail goto*//*Label 4040*/ GIMT_Encode4(182017), // Rule ID 23464 //
     /* 181960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 181963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 181967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 181971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 181975 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 181978 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 181982 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 181986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 181990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 181992 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 181999 */     // (smin:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v16i16] }:$src1)  =>  (VPMINSWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 181999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSWYrm),
     /* 182002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 182004 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 182006 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 182010 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 182015 */     GIR_RootConstrainSelectedInstOperands,
     /* 182016 */     // GIR_Coverage, 23464,
     /* 182016 */     GIR_EraseRootFromParent_Done,
     /* 182017 */   // Label 4040: @182017
     /* 182017 */   GIM_Try, /*On fail goto*//*Label 4041*/ GIMT_Encode4(182079), // Rule ID 24038 //
     /* 182022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 182025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 182029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 182033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 182037 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 182040 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 182044 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 182048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 182052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 182054 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 182061 */     // (smin:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16i16] }:$src1)  =>  (VPMINSWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 182061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSWZ256rm),
     /* 182064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 182066 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 182068 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 182072 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 182077 */     GIR_RootConstrainSelectedInstOperands,
     /* 182078 */     // GIR_Coverage, 24038,
     /* 182078 */     GIR_EraseRootFromParent_Done,
     /* 182079 */   // Label 4041: @182079
     /* 182079 */   GIM_Try, /*On fail goto*//*Label 4042*/ GIMT_Encode4(182141), // Rule ID 2646 //
     /* 182084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 182087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 182091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 182095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 182099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 182103 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 182106 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 182110 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 182114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 182116 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 182123 */     // (smin:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINSWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 182123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSWYrm),
     /* 182126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 182128 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 182130 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 182134 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 182139 */     GIR_RootConstrainSelectedInstOperands,
     /* 182140 */     // GIR_Coverage, 2646,
     /* 182140 */     GIR_EraseRootFromParent_Done,
     /* 182141 */   // Label 4042: @182141
     /* 182141 */   GIM_Try, /*On fail goto*//*Label 4043*/ GIMT_Encode4(182203), // Rule ID 5532 //
     /* 182146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 182149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 182153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 182157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 182161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 182165 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 182168 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 182172 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 182176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 182178 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 182185 */     // (smin:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINSWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 182185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSWZ256rm),
     /* 182188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 182190 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 182192 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 182196 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 182201 */     GIR_RootConstrainSelectedInstOperands,
     /* 182202 */     // GIR_Coverage, 5532,
     /* 182202 */     GIR_EraseRootFromParent_Done,
     /* 182203 */   // Label 4043: @182203
     /* 182203 */   GIM_Try, /*On fail goto*//*Label 4044*/ GIMT_Encode4(182230), // Rule ID 2645 //
     /* 182208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 182211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 182215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 182219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 182223 */     // (smin:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPMINSWYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /* 182223 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINSWYrr),
     /* 182228 */     GIR_RootConstrainSelectedInstOperands,
     /* 182229 */     // GIR_Coverage, 2645,
     /* 182229 */     GIR_Done,
     /* 182230 */   // Label 4044: @182230
     /* 182230 */   GIM_Try, /*On fail goto*//*Label 4045*/ GIMT_Encode4(182257), // Rule ID 5529 //
     /* 182235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 182238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 182242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 182246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 182250 */     // (smin:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)  =>  (VPMINSWZ256rr:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)
     /* 182250 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINSWZ256rr),
     /* 182255 */     GIR_RootConstrainSelectedInstOperands,
     /* 182256 */     // GIR_Coverage, 5529,
     /* 182256 */     GIR_Done,
     /* 182257 */   // Label 4045: @182257
     /* 182257 */   GIM_Reject,
     /* 182258 */ // Label 4039: @182258
     /* 182258 */ GIM_Reject,
     /* 182259 */ // Label 3989: @182259
     /* 182259 */ GIM_Try, /*On fail goto*//*Label 4046*/ GIMT_Encode4(182414),
     /* 182264 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 182267 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 182270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 182274 */   GIM_Try, /*On fail goto*//*Label 4047*/ GIMT_Encode4(182332), // Rule ID 24044 //
     /* 182279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 182282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 182286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 182290 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 182293 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 182297 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 182301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 182305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 182307 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 182314 */     // (smin:{ *:[v16i32] } (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v16i32] }:$src1)  =>  (VPMINSDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 182314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSDZrm),
     /* 182317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 182319 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 182321 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 182325 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 182330 */     GIR_RootConstrainSelectedInstOperands,
     /* 182331 */     // GIR_Coverage, 24044,
     /* 182331 */     GIR_EraseRootFromParent_Done,
     /* 182332 */   // Label 4047: @182332
     /* 182332 */   GIM_Try, /*On fail goto*//*Label 4048*/ GIMT_Encode4(182390), // Rule ID 5544 //
     /* 182337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 182340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 182344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 182348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 182352 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 182355 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 182359 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 182363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 182365 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 182372 */     // (smin:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINSDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 182372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSDZrm),
     /* 182375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 182377 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 182379 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 182383 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 182388 */     GIR_RootConstrainSelectedInstOperands,
     /* 182389 */     // GIR_Coverage, 5544,
     /* 182389 */     GIR_EraseRootFromParent_Done,
     /* 182390 */   // Label 4048: @182390
     /* 182390 */   GIM_Try, /*On fail goto*//*Label 4049*/ GIMT_Encode4(182413), // Rule ID 5541 //
     /* 182395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 182398 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 182402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 182406 */     // (smin:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)  =>  (VPMINSDZrr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)
     /* 182406 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINSDZrr),
     /* 182411 */     GIR_RootConstrainSelectedInstOperands,
     /* 182412 */     // GIR_Coverage, 5541,
     /* 182412 */     GIR_Done,
     /* 182413 */   // Label 4049: @182413
     /* 182413 */   GIM_Reject,
     /* 182414 */ // Label 4046: @182414
     /* 182414 */ GIM_Reject,
     /* 182415 */ // Label 3990: @182415
     /* 182415 */ GIM_Try, /*On fail goto*//*Label 4050*/ GIMT_Encode4(182729),
     /* 182420 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /* 182423 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s8,
     /* 182426 */   GIM_Try, /*On fail goto*//*Label 4051*/ GIMT_Encode4(182488), // Rule ID 23512 //
     /* 182431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 182434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 182438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 182442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 182446 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 182449 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 182453 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 182457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 182461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 182463 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 182470 */     // (smin:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v32i8] }:$src1)  =>  (VPMINSBYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 182470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSBYrm),
     /* 182473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 182475 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 182477 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 182481 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 182486 */     GIR_RootConstrainSelectedInstOperands,
     /* 182487 */     // GIR_Coverage, 23512,
     /* 182487 */     GIR_EraseRootFromParent_Done,
     /* 182488 */   // Label 4051: @182488
     /* 182488 */   GIM_Try, /*On fail goto*//*Label 4052*/ GIMT_Encode4(182550), // Rule ID 24029 //
     /* 182493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 182496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 182500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 182504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 182508 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 182511 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 182515 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 182519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 182523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 182525 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 182532 */     // (smin:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v32i8] }:$src1)  =>  (VPMINSBZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 182532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSBZ256rm),
     /* 182535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 182537 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 182539 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 182543 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 182548 */     GIR_RootConstrainSelectedInstOperands,
     /* 182549 */     // GIR_Coverage, 24029,
     /* 182549 */     GIR_EraseRootFromParent_Done,
     /* 182550 */   // Label 4052: @182550
     /* 182550 */   GIM_Try, /*On fail goto*//*Label 4053*/ GIMT_Encode4(182612), // Rule ID 3213 //
     /* 182555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 182558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 182562 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 182566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 182570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 182574 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 182577 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 182581 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 182585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 182587 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 182594 */     // (smin:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINSBYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 182594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSBYrm),
     /* 182597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 182599 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 182601 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 182605 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 182610 */     GIR_RootConstrainSelectedInstOperands,
     /* 182611 */     // GIR_Coverage, 3213,
     /* 182611 */     GIR_EraseRootFromParent_Done,
     /* 182612 */   // Label 4053: @182612
     /* 182612 */   GIM_Try, /*On fail goto*//*Label 4054*/ GIMT_Encode4(182674), // Rule ID 5514 //
     /* 182617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 182620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 182624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 182628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 182632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 182636 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 182639 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 182643 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 182647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 182649 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 182656 */     // (smin:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINSBZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 182656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSBZ256rm),
     /* 182659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 182661 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 182663 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 182667 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 182672 */     GIR_RootConstrainSelectedInstOperands,
     /* 182673 */     // GIR_Coverage, 5514,
     /* 182673 */     GIR_EraseRootFromParent_Done,
     /* 182674 */   // Label 4054: @182674
     /* 182674 */   GIM_Try, /*On fail goto*//*Label 4055*/ GIMT_Encode4(182701), // Rule ID 3212 //
     /* 182679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 182682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 182686 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 182690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 182694 */     // (smin:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)  =>  (VPMINSBYrr:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)
     /* 182694 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINSBYrr),
     /* 182699 */     GIR_RootConstrainSelectedInstOperands,
     /* 182700 */     // GIR_Coverage, 3212,
     /* 182700 */     GIR_Done,
     /* 182701 */   // Label 4055: @182701
     /* 182701 */   GIM_Try, /*On fail goto*//*Label 4056*/ GIMT_Encode4(182728), // Rule ID 5511 //
     /* 182706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 182709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 182713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 182717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 182721 */     // (smin:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)  =>  (VPMINSBZ256rr:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)
     /* 182721 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINSBZ256rr),
     /* 182726 */     GIR_RootConstrainSelectedInstOperands,
     /* 182727 */     // GIR_Coverage, 5511,
     /* 182727 */     GIR_Done,
     /* 182728 */   // Label 4056: @182728
     /* 182728 */   GIM_Reject,
     /* 182729 */ // Label 4050: @182729
     /* 182729 */ GIM_Reject,
     /* 182730 */ // Label 3991: @182730
     /* 182730 */ GIM_Try, /*On fail goto*//*Label 4057*/ GIMT_Encode4(182885),
     /* 182735 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 182738 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 182741 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 182745 */   GIM_Try, /*On fail goto*//*Label 4058*/ GIMT_Encode4(182803), // Rule ID 24035 //
     /* 182750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 182753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 182757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 182761 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 182764 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 182768 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 182772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 182776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 182778 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 182785 */     // (smin:{ *:[v32i16] } (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32i16] }:$src1)  =>  (VPMINSWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 182785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSWZrm),
     /* 182788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 182790 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 182792 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 182796 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 182801 */     GIR_RootConstrainSelectedInstOperands,
     /* 182802 */     // GIR_Coverage, 24035,
     /* 182802 */     GIR_EraseRootFromParent_Done,
     /* 182803 */   // Label 4058: @182803
     /* 182803 */   GIM_Try, /*On fail goto*//*Label 4059*/ GIMT_Encode4(182861), // Rule ID 5526 //
     /* 182808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 182811 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 182815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 182819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 182823 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 182826 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 182830 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 182834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 182836 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 182843 */     // (smin:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINSWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 182843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSWZrm),
     /* 182846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 182848 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 182850 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 182854 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 182859 */     GIR_RootConstrainSelectedInstOperands,
     /* 182860 */     // GIR_Coverage, 5526,
     /* 182860 */     GIR_EraseRootFromParent_Done,
     /* 182861 */   // Label 4059: @182861
     /* 182861 */   GIM_Try, /*On fail goto*//*Label 4060*/ GIMT_Encode4(182884), // Rule ID 5523 //
     /* 182866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 182869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 182873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 182877 */     // (smin:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)  =>  (VPMINSWZrr:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)
     /* 182877 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINSWZrr),
     /* 182882 */     GIR_RootConstrainSelectedInstOperands,
     /* 182883 */     // GIR_Coverage, 5523,
     /* 182883 */     GIR_Done,
     /* 182884 */   // Label 4060: @182884
     /* 182884 */   GIM_Reject,
     /* 182885 */ // Label 4057: @182885
     /* 182885 */ GIM_Reject,
     /* 182886 */ // Label 3992: @182886
     /* 182886 */ GIM_Try, /*On fail goto*//*Label 4061*/ GIMT_Encode4(183041),
     /* 182891 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /* 182894 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s8,
     /* 182897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 182901 */   GIM_Try, /*On fail goto*//*Label 4062*/ GIMT_Encode4(182959), // Rule ID 24026 //
     /* 182906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 182909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 182913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 182917 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 182920 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 182924 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 182928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 182932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 182934 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 182941 */     // (smin:{ *:[v64i8] } (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v64i8] }:$src1)  =>  (VPMINSBZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 182941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSBZrm),
     /* 182944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 182946 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 182948 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 182952 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 182957 */     GIR_RootConstrainSelectedInstOperands,
     /* 182958 */     // GIR_Coverage, 24026,
     /* 182958 */     GIR_EraseRootFromParent_Done,
     /* 182959 */   // Label 4062: @182959
     /* 182959 */   GIM_Try, /*On fail goto*//*Label 4063*/ GIMT_Encode4(183017), // Rule ID 5508 //
     /* 182964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 182967 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 182971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 182975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 182979 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 182982 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 182986 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 182990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 182992 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 182999 */     // (smin:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINSBZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 182999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSBZrm),
     /* 183002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 183004 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 183006 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 183010 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 183015 */     GIR_RootConstrainSelectedInstOperands,
     /* 183016 */     // GIR_Coverage, 5508,
     /* 183016 */     GIR_EraseRootFromParent_Done,
     /* 183017 */   // Label 4063: @183017
     /* 183017 */   GIM_Try, /*On fail goto*//*Label 4064*/ GIMT_Encode4(183040), // Rule ID 5505 //
     /* 183022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 183025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 183029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 183033 */     // (smin:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)  =>  (VPMINSBZrr:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)
     /* 183033 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINSBZrr),
     /* 183038 */     GIR_RootConstrainSelectedInstOperands,
     /* 183039 */     // GIR_Coverage, 5505,
     /* 183039 */     GIR_Done,
     /* 183040 */   // Label 4064: @183040
     /* 183040 */   GIM_Reject,
     /* 183041 */ // Label 4061: @183041
     /* 183041 */ GIM_Reject,
     /* 183042 */ // Label 3993: @183042
     /* 183042 */ GIM_Reject,
     /* 183043 */ // Label 55: @183043
     /* 183043 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(25), /*)*//*default:*//*Label 4077*/ GIMT_Encode4(186363),
     /* 183054 */ /*GILLT_v2s64*//*Label 4065*/ GIMT_Encode4(183122), GIMT_Encode4(0),
     /* 183062 */ /*GILLT_v4s32*//*Label 4066*/ GIMT_Encode4(183451),
     /* 183066 */ /*GILLT_v4s64*//*Label 4067*/ GIMT_Encode4(183793), GIMT_Encode4(0),
     /* 183074 */ /*GILLT_v8s16*//*Label 4068*/ GIMT_Encode4(184110),
     /* 183078 */ /*GILLT_v8s32*//*Label 4069*/ GIMT_Encode4(184452),
     /* 183082 */ /*GILLT_v8s64*//*Label 4070*/ GIMT_Encode4(184767), GIMT_Encode4(0),
     /* 183090 */ /*GILLT_v16s8*//*Label 4071*/ GIMT_Encode4(184923),
     /* 183094 */ /*GILLT_v16s16*//*Label 4072*/ GIMT_Encode4(185265),
     /* 183098 */ /*GILLT_v16s32*//*Label 4073*/ GIMT_Encode4(185580), GIMT_Encode4(0),
     /* 183106 */ /*GILLT_v32s8*//*Label 4074*/ GIMT_Encode4(185736),
     /* 183110 */ /*GILLT_v32s16*//*Label 4075*/ GIMT_Encode4(186051), GIMT_Encode4(0),
     /* 183118 */ /*GILLT_v64s8*//*Label 4076*/ GIMT_Encode4(186207),
     /* 183122 */ // Label 4065: @183122
     /* 183122 */ GIM_Try, /*On fail goto*//*Label 4078*/ GIMT_Encode4(183450),
     /* 183127 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 183130 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 183133 */   GIM_Try, /*On fail goto*//*Label 4079*/ GIMT_Encode4(183195), // Rule ID 23966 //
     /* 183138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 183141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 183145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 183149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 183153 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 183156 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 183160 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 183164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 183168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 183170 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 183177 */     // (smax:{ *:[v2i64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v2i64] }:$src1)  =>  (VPMAXSQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 183177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSQZ128rm),
     /* 183180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 183182 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 183184 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 183188 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 183193 */     GIR_RootConstrainSelectedInstOperands,
     /* 183194 */     // GIR_Coverage, 23966,
     /* 183194 */     GIR_EraseRootFromParent_Done,
     /* 183195 */   // Label 4079: @183195
     /* 183195 */   GIM_Try, /*On fail goto*//*Label 4080*/ GIMT_Encode4(183257), // Rule ID 5409 //
     /* 183200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 183203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 183207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 183211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 183215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 183219 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 183222 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 183226 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 183230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 183232 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 183239 */     // (smax:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXSQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 183239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSQZ128rm),
     /* 183242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 183244 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 183246 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 183250 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 183255 */     GIR_RootConstrainSelectedInstOperands,
     /* 183256 */     // GIR_Coverage, 5409,
     /* 183256 */     GIR_EraseRootFromParent_Done,
     /* 183257 */   // Label 4080: @183257
     /* 183257 */   GIM_Try, /*On fail goto*//*Label 4081*/ GIMT_Encode4(183284), // Rule ID 5406 //
     /* 183262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 183265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 183269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 183273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 183277 */     // (smax:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (VPMAXSQZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)
     /* 183277 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXSQZ128rr),
     /* 183282 */     GIR_RootConstrainSelectedInstOperands,
     /* 183283 */     // GIR_Coverage, 5406,
     /* 183283 */     GIR_Done,
     /* 183284 */   // Label 4081: @183284
     /* 183284 */   GIM_Try, /*On fail goto*//*Label 4082*/ GIMT_Encode4(183449), // Rule ID 20009 //
     /* 183289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 183292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 183296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 183300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 183304 */     // (smax:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (EXTRACT_SUBREG:{ *:[v2i64] } (VPMAXSQZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src1, sub_xmm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src2, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 183304 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /* 183307 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 183311 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 183316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 183318 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /* 183321 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 183325 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 183330 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 183333 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 183337 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/11,
     /* 183340 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 183345 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 183350 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 183355 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 183358 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 183362 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 183367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 183369 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 183372 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 183376 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 183381 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 183384 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 183388 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 183391 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 183396 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 183401 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 183406 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 183409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMAXSQZrr),
     /* 183413 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 183418 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 183421 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 183424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 183426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 183429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 183431 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 183438 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 183443 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 183448 */     // GIR_Coverage, 20009,
     /* 183448 */     GIR_EraseRootFromParent_Done,
     /* 183449 */   // Label 4082: @183449
     /* 183449 */   GIM_Reject,
     /* 183450 */ // Label 4078: @183450
     /* 183450 */ GIM_Reject,
     /* 183451 */ // Label 4066: @183451
     /* 183451 */ GIM_Try, /*On fail goto*//*Label 4083*/ GIMT_Encode4(183792),
     /* 183456 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 183459 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 183462 */   GIM_Try, /*On fail goto*//*Label 4084*/ GIMT_Encode4(183524), // Rule ID 23500 //
     /* 183467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 183470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 183474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 183478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 183482 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 183485 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 183489 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 183493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 183497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 183499 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 183506 */     // (smax:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src1)  =>  (VPMAXSDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 183506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSDrm),
     /* 183509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 183511 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 183513 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 183517 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 183522 */     GIR_RootConstrainSelectedInstOperands,
     /* 183523 */     // GIR_Coverage, 23500,
     /* 183523 */     GIR_EraseRootFromParent_Done,
     /* 183524 */   // Label 4084: @183524
     /* 183524 */   GIM_Try, /*On fail goto*//*Label 4085*/ GIMT_Encode4(183586), // Rule ID 23948 //
     /* 183529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 183532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 183536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 183540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 183544 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 183547 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 183551 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 183555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 183559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 183561 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 183568 */     // (smax:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v4i32] }:$src1)  =>  (VPMAXSDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 183568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSDZ128rm),
     /* 183571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 183573 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 183575 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 183579 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 183584 */     GIR_RootConstrainSelectedInstOperands,
     /* 183585 */     // GIR_Coverage, 23948,
     /* 183585 */     GIR_EraseRootFromParent_Done,
     /* 183586 */   // Label 4085: @183586
     /* 183586 */   GIM_Try, /*On fail goto*//*Label 4086*/ GIMT_Encode4(183648), // Rule ID 3189 //
     /* 183591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 183594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 183598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 183602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 183606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 183610 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 183613 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 183617 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 183621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 183623 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 183630 */     // (smax:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXSDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 183630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSDrm),
     /* 183633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 183635 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 183637 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 183641 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 183646 */     GIR_RootConstrainSelectedInstOperands,
     /* 183647 */     // GIR_Coverage, 3189,
     /* 183647 */     GIR_EraseRootFromParent_Done,
     /* 183648 */   // Label 4086: @183648
     /* 183648 */   GIM_Try, /*On fail goto*//*Label 4087*/ GIMT_Encode4(183710), // Rule ID 5382 //
     /* 183653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 183656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 183660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 183664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 183668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 183672 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 183675 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 183679 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 183683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 183685 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 183692 */     // (smax:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXSDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 183692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSDZ128rm),
     /* 183695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 183697 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 183699 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 183703 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 183708 */     GIR_RootConstrainSelectedInstOperands,
     /* 183709 */     // GIR_Coverage, 5382,
     /* 183709 */     GIR_EraseRootFromParent_Done,
     /* 183710 */   // Label 4087: @183710
     /* 183710 */   GIM_Try, /*On fail goto*//*Label 4088*/ GIMT_Encode4(183737), // Rule ID 3188 //
     /* 183715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 183718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 183722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 183726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 183730 */     // (smax:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (VPMAXSDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /* 183730 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXSDrr),
     /* 183735 */     GIR_RootConstrainSelectedInstOperands,
     /* 183736 */     // GIR_Coverage, 3188,
     /* 183736 */     GIR_Done,
     /* 183737 */   // Label 4088: @183737
     /* 183737 */   GIM_Try, /*On fail goto*//*Label 4089*/ GIMT_Encode4(183764), // Rule ID 3230 //
     /* 183742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE41),
     /* 183745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 183749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 183753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 183757 */     // (smax:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (PMAXSDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /* 183757 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PMAXSDrr),
     /* 183762 */     GIR_RootConstrainSelectedInstOperands,
     /* 183763 */     // GIR_Coverage, 3230,
     /* 183763 */     GIR_Done,
     /* 183764 */   // Label 4089: @183764
     /* 183764 */   GIM_Try, /*On fail goto*//*Label 4090*/ GIMT_Encode4(183791), // Rule ID 5379 //
     /* 183769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 183772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 183776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 183780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 183784 */     // (smax:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)  =>  (VPMAXSDZ128rr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)
     /* 183784 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXSDZ128rr),
     /* 183789 */     GIR_RootConstrainSelectedInstOperands,
     /* 183790 */     // GIR_Coverage, 5379,
     /* 183790 */     GIR_Done,
     /* 183791 */   // Label 4090: @183791
     /* 183791 */   GIM_Reject,
     /* 183792 */ // Label 4083: @183792
     /* 183792 */ GIM_Reject,
     /* 183793 */ // Label 4067: @183793
     /* 183793 */ GIM_Try, /*On fail goto*//*Label 4091*/ GIMT_Encode4(184109),
     /* 183798 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 183801 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 183804 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 183808 */   GIM_Try, /*On fail goto*//*Label 4092*/ GIMT_Encode4(183866), // Rule ID 23960 //
     /* 183813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 183816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 183820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 183824 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 183827 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 183831 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 183835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 183839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 183841 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 183848 */     // (smax:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v4i64] }:$src1)  =>  (VPMAXSQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 183848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSQZ256rm),
     /* 183851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 183853 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 183855 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 183859 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 183864 */     GIR_RootConstrainSelectedInstOperands,
     /* 183865 */     // GIR_Coverage, 23960,
     /* 183865 */     GIR_EraseRootFromParent_Done,
     /* 183866 */   // Label 4092: @183866
     /* 183866 */   GIM_Try, /*On fail goto*//*Label 4093*/ GIMT_Encode4(183924), // Rule ID 5400 //
     /* 183871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 183874 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 183878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 183882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 183886 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 183889 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 183893 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 183897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 183899 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 183906 */     // (smax:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXSQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 183906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSQZ256rm),
     /* 183909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 183911 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 183913 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 183917 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 183922 */     GIR_RootConstrainSelectedInstOperands,
     /* 183923 */     // GIR_Coverage, 5400,
     /* 183923 */     GIR_EraseRootFromParent_Done,
     /* 183924 */   // Label 4093: @183924
     /* 183924 */   GIM_Try, /*On fail goto*//*Label 4094*/ GIMT_Encode4(183947), // Rule ID 5397 //
     /* 183929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 183932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 183936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 183940 */     // (smax:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (VPMAXSQZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)
     /* 183940 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXSQZ256rr),
     /* 183945 */     GIR_RootConstrainSelectedInstOperands,
     /* 183946 */     // GIR_Coverage, 5397,
     /* 183946 */     GIR_Done,
     /* 183947 */   // Label 4094: @183947
     /* 183947 */   GIM_Try, /*On fail goto*//*Label 4095*/ GIMT_Encode4(184108), // Rule ID 20007 //
     /* 183952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 183955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 183959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 183963 */     // (smax:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (EXTRACT_SUBREG:{ *:[v4i64] } (VPMAXSQZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src1, sub_ymm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src2, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 183963 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /* 183966 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 183970 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 183975 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 183977 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /* 183980 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 183984 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 183989 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 183992 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 183996 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/12,
     /* 183999 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 184004 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 184009 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 184014 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 184017 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 184021 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 184026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 184028 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 184031 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 184035 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 184040 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 184043 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 184047 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 184050 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 184055 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 184060 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 184065 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 184068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMAXSQZrr),
     /* 184072 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 184077 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 184080 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 184083 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 184085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 184088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 184090 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 184097 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 184102 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 184107 */     // GIR_Coverage, 20007,
     /* 184107 */     GIR_EraseRootFromParent_Done,
     /* 184108 */   // Label 4095: @184108
     /* 184108 */   GIM_Reject,
     /* 184109 */ // Label 4091: @184109
     /* 184109 */ GIM_Reject,
     /* 184110 */ // Label 4068: @184110
     /* 184110 */ GIM_Try, /*On fail goto*//*Label 4096*/ GIMT_Encode4(184451),
     /* 184115 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 184118 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 184121 */   GIM_Try, /*On fail goto*//*Label 4097*/ GIMT_Encode4(184183), // Rule ID 23468 //
     /* 184126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 184129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 184133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 184137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 184141 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 184144 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 184148 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 184152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 184156 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 184158 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 184165 */     // (smax:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1)  =>  (VPMAXSWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 184165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSWrm),
     /* 184168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 184170 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 184172 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 184176 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 184181 */     GIR_RootConstrainSelectedInstOperands,
     /* 184182 */     // GIR_Coverage, 23468,
     /* 184182 */     GIR_EraseRootFromParent_Done,
     /* 184183 */   // Label 4097: @184183
     /* 184183 */   GIM_Try, /*On fail goto*//*Label 4098*/ GIMT_Encode4(184245), // Rule ID 23933 //
     /* 184188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 184191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 184195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 184199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 184203 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 184206 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 184210 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 184214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 184218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 184220 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 184227 */     // (smax:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8i16] }:$src1)  =>  (VPMAXSWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 184227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSWZ128rm),
     /* 184230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 184232 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 184234 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 184238 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 184243 */     GIR_RootConstrainSelectedInstOperands,
     /* 184244 */     // GIR_Coverage, 23933,
     /* 184244 */     GIR_EraseRootFromParent_Done,
     /* 184245 */   // Label 4098: @184245
     /* 184245 */   GIM_Try, /*On fail goto*//*Label 4099*/ GIMT_Encode4(184307), // Rule ID 2654 //
     /* 184250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 184253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 184257 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 184261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 184265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 184269 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 184272 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 184276 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 184280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 184282 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 184289 */     // (smax:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXSWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 184289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSWrm),
     /* 184292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 184294 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 184296 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 184300 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 184305 */     GIR_RootConstrainSelectedInstOperands,
     /* 184306 */     // GIR_Coverage, 2654,
     /* 184306 */     GIR_EraseRootFromParent_Done,
     /* 184307 */   // Label 4099: @184307
     /* 184307 */   GIM_Try, /*On fail goto*//*Label 4100*/ GIMT_Encode4(184369), // Rule ID 5358 //
     /* 184312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 184315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 184319 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 184323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 184327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 184331 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 184334 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 184338 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 184342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 184344 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 184351 */     // (smax:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXSWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 184351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSWZ128rm),
     /* 184354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 184356 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 184358 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 184362 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 184367 */     GIR_RootConstrainSelectedInstOperands,
     /* 184368 */     // GIR_Coverage, 5358,
     /* 184368 */     GIR_EraseRootFromParent_Done,
     /* 184369 */   // Label 4100: @184369
     /* 184369 */   GIM_Try, /*On fail goto*//*Label 4101*/ GIMT_Encode4(184396), // Rule ID 2653 //
     /* 184374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 184377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 184381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 184385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 184389 */     // (smax:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPMAXSWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 184389 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXSWrr),
     /* 184394 */     GIR_RootConstrainSelectedInstOperands,
     /* 184395 */     // GIR_Coverage, 2653,
     /* 184395 */     GIR_Done,
     /* 184396 */   // Label 4101: @184396
     /* 184396 */   GIM_Try, /*On fail goto*//*Label 4102*/ GIMT_Encode4(184423), // Rule ID 2655 //
     /* 184401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 184404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 184408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 184412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 184416 */     // (smax:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PMAXSWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 184416 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PMAXSWrr),
     /* 184421 */     GIR_RootConstrainSelectedInstOperands,
     /* 184422 */     // GIR_Coverage, 2655,
     /* 184422 */     GIR_Done,
     /* 184423 */   // Label 4102: @184423
     /* 184423 */   GIM_Try, /*On fail goto*//*Label 4103*/ GIMT_Encode4(184450), // Rule ID 5355 //
     /* 184428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 184431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 184435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 184439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 184443 */     // (smax:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)  =>  (VPMAXSWZ128rr:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)
     /* 184443 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXSWZ128rr),
     /* 184448 */     GIR_RootConstrainSelectedInstOperands,
     /* 184449 */     // GIR_Coverage, 5355,
     /* 184449 */     GIR_Done,
     /* 184450 */   // Label 4103: @184450
     /* 184450 */   GIM_Reject,
     /* 184451 */ // Label 4096: @184451
     /* 184451 */ GIM_Reject,
     /* 184452 */ // Label 4069: @184452
     /* 184452 */ GIM_Try, /*On fail goto*//*Label 4104*/ GIMT_Encode4(184766),
     /* 184457 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 184460 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 184463 */   GIM_Try, /*On fail goto*//*Label 4105*/ GIMT_Encode4(184525), // Rule ID 23509 //
     /* 184468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 184471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 184475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 184479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 184483 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 184486 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 184490 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 184494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 184498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 184500 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 184507 */     // (smax:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8i32] }:$src1)  =>  (VPMAXSDYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 184507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSDYrm),
     /* 184510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 184512 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 184514 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 184518 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 184523 */     GIR_RootConstrainSelectedInstOperands,
     /* 184524 */     // GIR_Coverage, 23509,
     /* 184524 */     GIR_EraseRootFromParent_Done,
     /* 184525 */   // Label 4105: @184525
     /* 184525 */   GIM_Try, /*On fail goto*//*Label 4106*/ GIMT_Encode4(184587), // Rule ID 23942 //
     /* 184530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 184533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 184537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 184541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 184545 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 184548 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 184552 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 184556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 184560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 184562 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 184569 */     // (smax:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v8i32] }:$src1)  =>  (VPMAXSDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 184569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSDZ256rm),
     /* 184572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 184574 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 184576 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 184580 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 184585 */     GIR_RootConstrainSelectedInstOperands,
     /* 184586 */     // GIR_Coverage, 23942,
     /* 184586 */     GIR_EraseRootFromParent_Done,
     /* 184587 */   // Label 4106: @184587
     /* 184587 */   GIM_Try, /*On fail goto*//*Label 4107*/ GIMT_Encode4(184649), // Rule ID 3207 //
     /* 184592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 184595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 184599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 184603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 184607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 184611 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 184614 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 184618 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 184622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 184624 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 184631 */     // (smax:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXSDYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 184631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSDYrm),
     /* 184634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 184636 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 184638 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 184642 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 184647 */     GIR_RootConstrainSelectedInstOperands,
     /* 184648 */     // GIR_Coverage, 3207,
     /* 184648 */     GIR_EraseRootFromParent_Done,
     /* 184649 */   // Label 4107: @184649
     /* 184649 */   GIM_Try, /*On fail goto*//*Label 4108*/ GIMT_Encode4(184711), // Rule ID 5373 //
     /* 184654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 184657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 184661 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 184665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 184669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 184673 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 184676 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 184680 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 184684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 184686 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 184693 */     // (smax:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXSDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 184693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSDZ256rm),
     /* 184696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 184698 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 184700 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 184704 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 184709 */     GIR_RootConstrainSelectedInstOperands,
     /* 184710 */     // GIR_Coverage, 5373,
     /* 184710 */     GIR_EraseRootFromParent_Done,
     /* 184711 */   // Label 4108: @184711
     /* 184711 */   GIM_Try, /*On fail goto*//*Label 4109*/ GIMT_Encode4(184738), // Rule ID 3206 //
     /* 184716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 184719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 184723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 184727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 184731 */     // (smax:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)  =>  (VPMAXSDYrr:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)
     /* 184731 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXSDYrr),
     /* 184736 */     GIR_RootConstrainSelectedInstOperands,
     /* 184737 */     // GIR_Coverage, 3206,
     /* 184737 */     GIR_Done,
     /* 184738 */   // Label 4109: @184738
     /* 184738 */   GIM_Try, /*On fail goto*//*Label 4110*/ GIMT_Encode4(184765), // Rule ID 5370 //
     /* 184743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 184746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 184750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 184754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 184758 */     // (smax:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)  =>  (VPMAXSDZ256rr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)
     /* 184758 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXSDZ256rr),
     /* 184763 */     GIR_RootConstrainSelectedInstOperands,
     /* 184764 */     // GIR_Coverage, 5370,
     /* 184764 */     GIR_Done,
     /* 184765 */   // Label 4110: @184765
     /* 184765 */   GIM_Reject,
     /* 184766 */ // Label 4104: @184766
     /* 184766 */ GIM_Reject,
     /* 184767 */ // Label 4070: @184767
     /* 184767 */ GIM_Try, /*On fail goto*//*Label 4111*/ GIMT_Encode4(184922),
     /* 184772 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 184775 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /* 184778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 184782 */   GIM_Try, /*On fail goto*//*Label 4112*/ GIMT_Encode4(184840), // Rule ID 23954 //
     /* 184787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 184790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 184794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 184798 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 184801 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 184805 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 184809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 184813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 184815 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 184822 */     // (smax:{ *:[v8i64] } (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v8i64] }:$src1)  =>  (VPMAXSQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 184822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSQZrm),
     /* 184825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 184827 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 184829 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 184833 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 184838 */     GIR_RootConstrainSelectedInstOperands,
     /* 184839 */     // GIR_Coverage, 23954,
     /* 184839 */     GIR_EraseRootFromParent_Done,
     /* 184840 */   // Label 4112: @184840
     /* 184840 */   GIM_Try, /*On fail goto*//*Label 4113*/ GIMT_Encode4(184898), // Rule ID 5391 //
     /* 184845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 184848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 184852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 184856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 184860 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 184863 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 184867 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 184871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 184873 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 184880 */     // (smax:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXSQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 184880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSQZrm),
     /* 184883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 184885 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 184887 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 184891 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 184896 */     GIR_RootConstrainSelectedInstOperands,
     /* 184897 */     // GIR_Coverage, 5391,
     /* 184897 */     GIR_EraseRootFromParent_Done,
     /* 184898 */   // Label 4113: @184898
     /* 184898 */   GIM_Try, /*On fail goto*//*Label 4114*/ GIMT_Encode4(184921), // Rule ID 5388 //
     /* 184903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 184906 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 184910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 184914 */     // (smax:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)  =>  (VPMAXSQZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)
     /* 184914 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXSQZrr),
     /* 184919 */     GIR_RootConstrainSelectedInstOperands,
     /* 184920 */     // GIR_Coverage, 5388,
     /* 184920 */     GIR_Done,
     /* 184921 */   // Label 4114: @184921
     /* 184921 */   GIM_Reject,
     /* 184922 */ // Label 4111: @184922
     /* 184922 */ GIM_Reject,
     /* 184923 */ // Label 4071: @184923
     /* 184923 */ GIM_Try, /*On fail goto*//*Label 4115*/ GIMT_Encode4(185264),
     /* 184928 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 184931 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 184934 */   GIM_Try, /*On fail goto*//*Label 4116*/ GIMT_Encode4(184996), // Rule ID 23505 //
     /* 184939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 184942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 184946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 184950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 184954 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 184957 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 184961 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 184965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 184969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 184971 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 184978 */     // (smax:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v16i8] }:$src1)  =>  (VPMAXSBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 184978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSBrm),
     /* 184981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 184983 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 184985 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 184989 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 184994 */     GIR_RootConstrainSelectedInstOperands,
     /* 184995 */     // GIR_Coverage, 23505,
     /* 184995 */     GIR_EraseRootFromParent_Done,
     /* 184996 */   // Label 4116: @184996
     /* 184996 */   GIM_Try, /*On fail goto*//*Label 4117*/ GIMT_Encode4(185058), // Rule ID 23924 //
     /* 185001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 185004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 185008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 185012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 185016 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 185019 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 185023 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 185027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 185031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 185033 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 185040 */     // (smax:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v16i8] }:$src1)  =>  (VPMAXSBZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 185040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSBZ128rm),
     /* 185043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 185045 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 185047 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 185051 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 185056 */     GIR_RootConstrainSelectedInstOperands,
     /* 185057 */     // GIR_Coverage, 23924,
     /* 185057 */     GIR_EraseRootFromParent_Done,
     /* 185058 */   // Label 4117: @185058
     /* 185058 */   GIM_Try, /*On fail goto*//*Label 4118*/ GIMT_Encode4(185120), // Rule ID 3199 //
     /* 185063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 185066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 185070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 185074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 185078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 185082 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 185085 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 185089 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 185093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 185095 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 185102 */     // (smax:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXSBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 185102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSBrm),
     /* 185105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 185107 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 185109 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 185113 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 185118 */     GIR_RootConstrainSelectedInstOperands,
     /* 185119 */     // GIR_Coverage, 3199,
     /* 185119 */     GIR_EraseRootFromParent_Done,
     /* 185120 */   // Label 4118: @185120
     /* 185120 */   GIM_Try, /*On fail goto*//*Label 4119*/ GIMT_Encode4(185182), // Rule ID 5340 //
     /* 185125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 185128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 185132 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 185136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 185140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 185144 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 185147 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 185151 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 185155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 185157 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 185164 */     // (smax:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXSBZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 185164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSBZ128rm),
     /* 185167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 185169 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 185171 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 185175 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 185180 */     GIR_RootConstrainSelectedInstOperands,
     /* 185181 */     // GIR_Coverage, 5340,
     /* 185181 */     GIR_EraseRootFromParent_Done,
     /* 185182 */   // Label 4119: @185182
     /* 185182 */   GIM_Try, /*On fail goto*//*Label 4120*/ GIMT_Encode4(185209), // Rule ID 3198 //
     /* 185187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 185190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 185194 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 185198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 185202 */     // (smax:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (VPMAXSBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /* 185202 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXSBrr),
     /* 185207 */     GIR_RootConstrainSelectedInstOperands,
     /* 185208 */     // GIR_Coverage, 3198,
     /* 185208 */     GIR_Done,
     /* 185209 */   // Label 4120: @185209
     /* 185209 */   GIM_Try, /*On fail goto*//*Label 4121*/ GIMT_Encode4(185236), // Rule ID 3228 //
     /* 185214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE41),
     /* 185217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 185221 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 185225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 185229 */     // (smax:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (PMAXSBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /* 185229 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PMAXSBrr),
     /* 185234 */     GIR_RootConstrainSelectedInstOperands,
     /* 185235 */     // GIR_Coverage, 3228,
     /* 185235 */     GIR_Done,
     /* 185236 */   // Label 4121: @185236
     /* 185236 */   GIM_Try, /*On fail goto*//*Label 4122*/ GIMT_Encode4(185263), // Rule ID 5337 //
     /* 185241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 185244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 185248 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 185252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 185256 */     // (smax:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)  =>  (VPMAXSBZ128rr:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)
     /* 185256 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXSBZ128rr),
     /* 185261 */     GIR_RootConstrainSelectedInstOperands,
     /* 185262 */     // GIR_Coverage, 5337,
     /* 185262 */     GIR_Done,
     /* 185263 */   // Label 4122: @185263
     /* 185263 */   GIM_Reject,
     /* 185264 */ // Label 4115: @185264
     /* 185264 */ GIM_Reject,
     /* 185265 */ // Label 4072: @185265
     /* 185265 */ GIM_Try, /*On fail goto*//*Label 4123*/ GIMT_Encode4(185579),
     /* 185270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 185273 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 185276 */   GIM_Try, /*On fail goto*//*Label 4124*/ GIMT_Encode4(185338), // Rule ID 23470 //
     /* 185281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 185284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 185288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 185292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 185296 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 185299 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 185303 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 185307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 185311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 185313 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 185320 */     // (smax:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v16i16] }:$src1)  =>  (VPMAXSWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 185320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSWYrm),
     /* 185323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 185325 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 185327 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 185331 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 185336 */     GIR_RootConstrainSelectedInstOperands,
     /* 185337 */     // GIR_Coverage, 23470,
     /* 185337 */     GIR_EraseRootFromParent_Done,
     /* 185338 */   // Label 4124: @185338
     /* 185338 */   GIM_Try, /*On fail goto*//*Label 4125*/ GIMT_Encode4(185400), // Rule ID 23930 //
     /* 185343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 185346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 185350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 185354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 185358 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 185361 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 185365 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 185369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 185373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 185375 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 185382 */     // (smax:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16i16] }:$src1)  =>  (VPMAXSWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 185382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSWZ256rm),
     /* 185385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 185387 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 185389 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 185393 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 185398 */     GIR_RootConstrainSelectedInstOperands,
     /* 185399 */     // GIR_Coverage, 23930,
     /* 185399 */     GIR_EraseRootFromParent_Done,
     /* 185400 */   // Label 4125: @185400
     /* 185400 */   GIM_Try, /*On fail goto*//*Label 4126*/ GIMT_Encode4(185462), // Rule ID 2658 //
     /* 185405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 185408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 185412 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 185416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 185420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 185424 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 185427 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 185431 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 185435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 185437 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 185444 */     // (smax:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXSWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 185444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSWYrm),
     /* 185447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 185449 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 185451 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 185455 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 185460 */     GIR_RootConstrainSelectedInstOperands,
     /* 185461 */     // GIR_Coverage, 2658,
     /* 185461 */     GIR_EraseRootFromParent_Done,
     /* 185462 */   // Label 4126: @185462
     /* 185462 */   GIM_Try, /*On fail goto*//*Label 4127*/ GIMT_Encode4(185524), // Rule ID 5352 //
     /* 185467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 185470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 185474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 185478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 185482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 185486 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 185489 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 185493 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 185497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 185499 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 185506 */     // (smax:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXSWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 185506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSWZ256rm),
     /* 185509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 185511 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 185513 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 185517 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 185522 */     GIR_RootConstrainSelectedInstOperands,
     /* 185523 */     // GIR_Coverage, 5352,
     /* 185523 */     GIR_EraseRootFromParent_Done,
     /* 185524 */   // Label 4127: @185524
     /* 185524 */   GIM_Try, /*On fail goto*//*Label 4128*/ GIMT_Encode4(185551), // Rule ID 2657 //
     /* 185529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 185532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 185536 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 185540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 185544 */     // (smax:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPMAXSWYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /* 185544 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXSWYrr),
     /* 185549 */     GIR_RootConstrainSelectedInstOperands,
     /* 185550 */     // GIR_Coverage, 2657,
     /* 185550 */     GIR_Done,
     /* 185551 */   // Label 4128: @185551
     /* 185551 */   GIM_Try, /*On fail goto*//*Label 4129*/ GIMT_Encode4(185578), // Rule ID 5349 //
     /* 185556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 185559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 185563 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 185567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 185571 */     // (smax:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)  =>  (VPMAXSWZ256rr:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)
     /* 185571 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXSWZ256rr),
     /* 185576 */     GIR_RootConstrainSelectedInstOperands,
     /* 185577 */     // GIR_Coverage, 5349,
     /* 185577 */     GIR_Done,
     /* 185578 */   // Label 4129: @185578
     /* 185578 */   GIM_Reject,
     /* 185579 */ // Label 4123: @185579
     /* 185579 */ GIM_Reject,
     /* 185580 */ // Label 4073: @185580
     /* 185580 */ GIM_Try, /*On fail goto*//*Label 4130*/ GIMT_Encode4(185735),
     /* 185585 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 185588 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 185591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 185595 */   GIM_Try, /*On fail goto*//*Label 4131*/ GIMT_Encode4(185653), // Rule ID 23936 //
     /* 185600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 185603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 185607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 185611 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 185614 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 185618 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 185622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 185626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 185628 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 185635 */     // (smax:{ *:[v16i32] } (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v16i32] }:$src1)  =>  (VPMAXSDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 185635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSDZrm),
     /* 185638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 185640 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 185642 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 185646 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 185651 */     GIR_RootConstrainSelectedInstOperands,
     /* 185652 */     // GIR_Coverage, 23936,
     /* 185652 */     GIR_EraseRootFromParent_Done,
     /* 185653 */   // Label 4131: @185653
     /* 185653 */   GIM_Try, /*On fail goto*//*Label 4132*/ GIMT_Encode4(185711), // Rule ID 5364 //
     /* 185658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 185661 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 185665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 185669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 185673 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 185676 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 185680 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 185684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 185686 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 185693 */     // (smax:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXSDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 185693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSDZrm),
     /* 185696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 185698 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 185700 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 185704 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 185709 */     GIR_RootConstrainSelectedInstOperands,
     /* 185710 */     // GIR_Coverage, 5364,
     /* 185710 */     GIR_EraseRootFromParent_Done,
     /* 185711 */   // Label 4132: @185711
     /* 185711 */   GIM_Try, /*On fail goto*//*Label 4133*/ GIMT_Encode4(185734), // Rule ID 5361 //
     /* 185716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 185719 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 185723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 185727 */     // (smax:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)  =>  (VPMAXSDZrr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)
     /* 185727 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXSDZrr),
     /* 185732 */     GIR_RootConstrainSelectedInstOperands,
     /* 185733 */     // GIR_Coverage, 5361,
     /* 185733 */     GIR_Done,
     /* 185734 */   // Label 4133: @185734
     /* 185734 */   GIM_Reject,
     /* 185735 */ // Label 4130: @185735
     /* 185735 */ GIM_Reject,
     /* 185736 */ // Label 4074: @185736
     /* 185736 */ GIM_Try, /*On fail goto*//*Label 4134*/ GIMT_Encode4(186050),
     /* 185741 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /* 185744 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s8,
     /* 185747 */   GIM_Try, /*On fail goto*//*Label 4135*/ GIMT_Encode4(185809), // Rule ID 23514 //
     /* 185752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 185755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 185759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 185763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 185767 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 185770 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 185774 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 185778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 185782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 185784 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 185791 */     // (smax:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v32i8] }:$src1)  =>  (VPMAXSBYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 185791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSBYrm),
     /* 185794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 185796 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 185798 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 185802 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 185807 */     GIR_RootConstrainSelectedInstOperands,
     /* 185808 */     // GIR_Coverage, 23514,
     /* 185808 */     GIR_EraseRootFromParent_Done,
     /* 185809 */   // Label 4135: @185809
     /* 185809 */   GIM_Try, /*On fail goto*//*Label 4136*/ GIMT_Encode4(185871), // Rule ID 23921 //
     /* 185814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 185817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 185821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 185825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 185829 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 185832 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 185836 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 185840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 185844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 185846 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 185853 */     // (smax:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v32i8] }:$src1)  =>  (VPMAXSBZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 185853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSBZ256rm),
     /* 185856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 185858 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 185860 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 185864 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 185869 */     GIR_RootConstrainSelectedInstOperands,
     /* 185870 */     // GIR_Coverage, 23921,
     /* 185870 */     GIR_EraseRootFromParent_Done,
     /* 185871 */   // Label 4136: @185871
     /* 185871 */   GIM_Try, /*On fail goto*//*Label 4137*/ GIMT_Encode4(185933), // Rule ID 3217 //
     /* 185876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 185879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 185883 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 185887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 185891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 185895 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 185898 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 185902 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 185906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 185908 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 185915 */     // (smax:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXSBYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 185915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSBYrm),
     /* 185918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 185920 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 185922 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 185926 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 185931 */     GIR_RootConstrainSelectedInstOperands,
     /* 185932 */     // GIR_Coverage, 3217,
     /* 185932 */     GIR_EraseRootFromParent_Done,
     /* 185933 */   // Label 4137: @185933
     /* 185933 */   GIM_Try, /*On fail goto*//*Label 4138*/ GIMT_Encode4(185995), // Rule ID 5334 //
     /* 185938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 185941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 185945 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 185949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 185953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 185957 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 185960 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 185964 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 185968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 185970 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 185977 */     // (smax:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXSBZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 185977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSBZ256rm),
     /* 185980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 185982 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 185984 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 185988 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 185993 */     GIR_RootConstrainSelectedInstOperands,
     /* 185994 */     // GIR_Coverage, 5334,
     /* 185994 */     GIR_EraseRootFromParent_Done,
     /* 185995 */   // Label 4138: @185995
     /* 185995 */   GIM_Try, /*On fail goto*//*Label 4139*/ GIMT_Encode4(186022), // Rule ID 3216 //
     /* 186000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 186003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 186007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 186011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 186015 */     // (smax:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)  =>  (VPMAXSBYrr:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)
     /* 186015 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXSBYrr),
     /* 186020 */     GIR_RootConstrainSelectedInstOperands,
     /* 186021 */     // GIR_Coverage, 3216,
     /* 186021 */     GIR_Done,
     /* 186022 */   // Label 4139: @186022
     /* 186022 */   GIM_Try, /*On fail goto*//*Label 4140*/ GIMT_Encode4(186049), // Rule ID 5331 //
     /* 186027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 186030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 186034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 186038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 186042 */     // (smax:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)  =>  (VPMAXSBZ256rr:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)
     /* 186042 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXSBZ256rr),
     /* 186047 */     GIR_RootConstrainSelectedInstOperands,
     /* 186048 */     // GIR_Coverage, 5331,
     /* 186048 */     GIR_Done,
     /* 186049 */   // Label 4140: @186049
     /* 186049 */   GIM_Reject,
     /* 186050 */ // Label 4134: @186050
     /* 186050 */ GIM_Reject,
     /* 186051 */ // Label 4075: @186051
     /* 186051 */ GIM_Try, /*On fail goto*//*Label 4141*/ GIMT_Encode4(186206),
     /* 186056 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 186059 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 186062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 186066 */   GIM_Try, /*On fail goto*//*Label 4142*/ GIMT_Encode4(186124), // Rule ID 23927 //
     /* 186071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 186074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 186078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 186082 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 186085 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 186089 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 186093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 186097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 186099 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 186106 */     // (smax:{ *:[v32i16] } (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32i16] }:$src1)  =>  (VPMAXSWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 186106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSWZrm),
     /* 186109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 186111 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 186113 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 186117 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 186122 */     GIR_RootConstrainSelectedInstOperands,
     /* 186123 */     // GIR_Coverage, 23927,
     /* 186123 */     GIR_EraseRootFromParent_Done,
     /* 186124 */   // Label 4142: @186124
     /* 186124 */   GIM_Try, /*On fail goto*//*Label 4143*/ GIMT_Encode4(186182), // Rule ID 5346 //
     /* 186129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 186132 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 186136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 186140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 186144 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 186147 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 186151 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 186155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 186157 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 186164 */     // (smax:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXSWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 186164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSWZrm),
     /* 186167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 186169 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 186171 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 186175 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 186180 */     GIR_RootConstrainSelectedInstOperands,
     /* 186181 */     // GIR_Coverage, 5346,
     /* 186181 */     GIR_EraseRootFromParent_Done,
     /* 186182 */   // Label 4143: @186182
     /* 186182 */   GIM_Try, /*On fail goto*//*Label 4144*/ GIMT_Encode4(186205), // Rule ID 5343 //
     /* 186187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 186190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 186194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 186198 */     // (smax:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)  =>  (VPMAXSWZrr:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)
     /* 186198 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXSWZrr),
     /* 186203 */     GIR_RootConstrainSelectedInstOperands,
     /* 186204 */     // GIR_Coverage, 5343,
     /* 186204 */     GIR_Done,
     /* 186205 */   // Label 4144: @186205
     /* 186205 */   GIM_Reject,
     /* 186206 */ // Label 4141: @186206
     /* 186206 */ GIM_Reject,
     /* 186207 */ // Label 4076: @186207
     /* 186207 */ GIM_Try, /*On fail goto*//*Label 4145*/ GIMT_Encode4(186362),
     /* 186212 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /* 186215 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s8,
     /* 186218 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 186222 */   GIM_Try, /*On fail goto*//*Label 4146*/ GIMT_Encode4(186280), // Rule ID 23918 //
     /* 186227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 186230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 186234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 186238 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 186241 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 186245 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 186249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 186253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 186255 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 186262 */     // (smax:{ *:[v64i8] } (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v64i8] }:$src1)  =>  (VPMAXSBZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 186262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSBZrm),
     /* 186265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 186267 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 186269 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 186273 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 186278 */     GIR_RootConstrainSelectedInstOperands,
     /* 186279 */     // GIR_Coverage, 23918,
     /* 186279 */     GIR_EraseRootFromParent_Done,
     /* 186280 */   // Label 4146: @186280
     /* 186280 */   GIM_Try, /*On fail goto*//*Label 4147*/ GIMT_Encode4(186338), // Rule ID 5328 //
     /* 186285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 186288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 186292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 186296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 186300 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 186303 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 186307 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 186311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 186313 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 186320 */     // (smax:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXSBZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 186320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSBZrm),
     /* 186323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 186325 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 186327 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 186331 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 186336 */     GIR_RootConstrainSelectedInstOperands,
     /* 186337 */     // GIR_Coverage, 5328,
     /* 186337 */     GIR_EraseRootFromParent_Done,
     /* 186338 */   // Label 4147: @186338
     /* 186338 */   GIM_Try, /*On fail goto*//*Label 4148*/ GIMT_Encode4(186361), // Rule ID 5325 //
     /* 186343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 186346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 186350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 186354 */     // (smax:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)  =>  (VPMAXSBZrr:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)
     /* 186354 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXSBZrr),
     /* 186359 */     GIR_RootConstrainSelectedInstOperands,
     /* 186360 */     // GIR_Coverage, 5325,
     /* 186360 */     GIR_Done,
     /* 186361 */   // Label 4148: @186361
     /* 186361 */   GIM_Reject,
     /* 186362 */ // Label 4145: @186362
     /* 186362 */ GIM_Reject,
     /* 186363 */ // Label 4077: @186363
     /* 186363 */ GIM_Reject,
     /* 186364 */ // Label 56: @186364
     /* 186364 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(25), /*)*//*default:*//*Label 4161*/ GIMT_Encode4(189684),
     /* 186375 */ /*GILLT_v2s64*//*Label 4149*/ GIMT_Encode4(186443), GIMT_Encode4(0),
     /* 186383 */ /*GILLT_v4s32*//*Label 4150*/ GIMT_Encode4(186772),
     /* 186387 */ /*GILLT_v4s64*//*Label 4151*/ GIMT_Encode4(187114), GIMT_Encode4(0),
     /* 186395 */ /*GILLT_v8s16*//*Label 4152*/ GIMT_Encode4(187431),
     /* 186399 */ /*GILLT_v8s32*//*Label 4153*/ GIMT_Encode4(187773),
     /* 186403 */ /*GILLT_v8s64*//*Label 4154*/ GIMT_Encode4(188088), GIMT_Encode4(0),
     /* 186411 */ /*GILLT_v16s8*//*Label 4155*/ GIMT_Encode4(188244),
     /* 186415 */ /*GILLT_v16s16*//*Label 4156*/ GIMT_Encode4(188586),
     /* 186419 */ /*GILLT_v16s32*//*Label 4157*/ GIMT_Encode4(188901), GIMT_Encode4(0),
     /* 186427 */ /*GILLT_v32s8*//*Label 4158*/ GIMT_Encode4(189057),
     /* 186431 */ /*GILLT_v32s16*//*Label 4159*/ GIMT_Encode4(189372), GIMT_Encode4(0),
     /* 186439 */ /*GILLT_v64s8*//*Label 4160*/ GIMT_Encode4(189528),
     /* 186443 */ // Label 4149: @186443
     /* 186443 */ GIM_Try, /*On fail goto*//*Label 4162*/ GIMT_Encode4(186771),
     /* 186448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 186451 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 186454 */   GIM_Try, /*On fail goto*//*Label 4163*/ GIMT_Encode4(186516), // Rule ID 24128 //
     /* 186459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 186462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 186466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 186470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 186474 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 186477 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 186481 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 186485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 186489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 186491 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 186498 */     // (umin:{ *:[v2i64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v2i64] }:$src1)  =>  (VPMINUQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 186498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUQZ128rm),
     /* 186501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 186503 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 186505 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 186509 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 186514 */     GIR_RootConstrainSelectedInstOperands,
     /* 186515 */     // GIR_Coverage, 24128,
     /* 186515 */     GIR_EraseRootFromParent_Done,
     /* 186516 */   // Label 4163: @186516
     /* 186516 */   GIM_Try, /*On fail goto*//*Label 4164*/ GIMT_Encode4(186578), // Rule ID 5679 //
     /* 186521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 186524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 186528 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 186532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 186536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 186540 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 186543 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 186547 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 186551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 186553 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 186560 */     // (umin:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINUQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 186560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUQZ128rm),
     /* 186563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 186565 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 186567 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 186571 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 186576 */     GIR_RootConstrainSelectedInstOperands,
     /* 186577 */     // GIR_Coverage, 5679,
     /* 186577 */     GIR_EraseRootFromParent_Done,
     /* 186578 */   // Label 4164: @186578
     /* 186578 */   GIM_Try, /*On fail goto*//*Label 4165*/ GIMT_Encode4(186605), // Rule ID 5676 //
     /* 186583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 186586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 186590 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 186594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 186598 */     // (umin:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (VPMINUQZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)
     /* 186598 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINUQZ128rr),
     /* 186603 */     GIR_RootConstrainSelectedInstOperands,
     /* 186604 */     // GIR_Coverage, 5676,
     /* 186604 */     GIR_Done,
     /* 186605 */   // Label 4165: @186605
     /* 186605 */   GIM_Try, /*On fail goto*//*Label 4166*/ GIMT_Encode4(186770), // Rule ID 20005 //
     /* 186610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 186613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 186617 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 186621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 186625 */     // (umin:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (EXTRACT_SUBREG:{ *:[v2i64] } (VPMINUQZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src1, sub_xmm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src2, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 186625 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /* 186628 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 186632 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 186637 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 186639 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /* 186642 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 186646 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 186651 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 186654 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 186658 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/11,
     /* 186661 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 186666 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 186671 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 186676 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 186679 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 186683 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 186688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 186690 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 186693 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 186697 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 186702 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 186705 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 186709 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 186712 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 186717 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 186722 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 186727 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 186730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMINUQZrr),
     /* 186734 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 186739 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 186742 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 186745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 186747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 186750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 186752 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 186759 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 186764 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 186769 */     // GIR_Coverage, 20005,
     /* 186769 */     GIR_EraseRootFromParent_Done,
     /* 186770 */   // Label 4166: @186770
     /* 186770 */   GIM_Reject,
     /* 186771 */ // Label 4162: @186771
     /* 186771 */ GIM_Reject,
     /* 186772 */ // Label 4150: @186772
     /* 186772 */ GIM_Try, /*On fail goto*//*Label 4167*/ GIMT_Encode4(187113),
     /* 186777 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 186780 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 186783 */   GIM_Try, /*On fail goto*//*Label 4168*/ GIMT_Encode4(186845), // Rule ID 23499 //
     /* 186788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 186791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 186795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 186799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 186803 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 186806 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 186810 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 186814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 186818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 186820 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 186827 */     // (umin:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src1)  =>  (VPMINUDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 186827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUDrm),
     /* 186830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 186832 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 186834 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 186838 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 186843 */     GIR_RootConstrainSelectedInstOperands,
     /* 186844 */     // GIR_Coverage, 23499,
     /* 186844 */     GIR_EraseRootFromParent_Done,
     /* 186845 */   // Label 4168: @186845
     /* 186845 */   GIM_Try, /*On fail goto*//*Label 4169*/ GIMT_Encode4(186907), // Rule ID 24110 //
     /* 186850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 186853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 186857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 186861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 186865 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 186868 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 186872 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 186876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 186880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 186882 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 186889 */     // (umin:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v4i32] }:$src1)  =>  (VPMINUDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 186889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUDZ128rm),
     /* 186892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 186894 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 186896 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 186900 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 186905 */     GIR_RootConstrainSelectedInstOperands,
     /* 186906 */     // GIR_Coverage, 24110,
     /* 186906 */     GIR_EraseRootFromParent_Done,
     /* 186907 */   // Label 4169: @186907
     /* 186907 */   GIM_Try, /*On fail goto*//*Label 4170*/ GIMT_Encode4(186969), // Rule ID 3187 //
     /* 186912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 186915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 186919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 186923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 186927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 186931 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 186934 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 186938 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 186942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 186944 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 186951 */     // (umin:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINUDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 186951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUDrm),
     /* 186954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 186956 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 186958 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 186962 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 186967 */     GIR_RootConstrainSelectedInstOperands,
     /* 186968 */     // GIR_Coverage, 3187,
     /* 186968 */     GIR_EraseRootFromParent_Done,
     /* 186969 */   // Label 4170: @186969
     /* 186969 */   GIM_Try, /*On fail goto*//*Label 4171*/ GIMT_Encode4(187031), // Rule ID 5652 //
     /* 186974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 186977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 186981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 186985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 186989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 186993 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 186996 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 187000 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 187004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 187006 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 187013 */     // (umin:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINUDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 187013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUDZ128rm),
     /* 187016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 187018 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 187020 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 187024 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 187029 */     GIR_RootConstrainSelectedInstOperands,
     /* 187030 */     // GIR_Coverage, 5652,
     /* 187030 */     GIR_EraseRootFromParent_Done,
     /* 187031 */   // Label 4171: @187031
     /* 187031 */   GIM_Try, /*On fail goto*//*Label 4172*/ GIMT_Encode4(187058), // Rule ID 3186 //
     /* 187036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 187039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 187043 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 187047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 187051 */     // (umin:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (VPMINUDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /* 187051 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINUDrr),
     /* 187056 */     GIR_RootConstrainSelectedInstOperands,
     /* 187057 */     // GIR_Coverage, 3186,
     /* 187057 */     GIR_Done,
     /* 187058 */   // Label 4172: @187058
     /* 187058 */   GIM_Try, /*On fail goto*//*Label 4173*/ GIMT_Encode4(187085), // Rule ID 3224 //
     /* 187063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE41),
     /* 187066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 187070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 187074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 187078 */     // (umin:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (PMINUDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /* 187078 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PMINUDrr),
     /* 187083 */     GIR_RootConstrainSelectedInstOperands,
     /* 187084 */     // GIR_Coverage, 3224,
     /* 187084 */     GIR_Done,
     /* 187085 */   // Label 4173: @187085
     /* 187085 */   GIM_Try, /*On fail goto*//*Label 4174*/ GIMT_Encode4(187112), // Rule ID 5649 //
     /* 187090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 187093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 187097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 187101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 187105 */     // (umin:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)  =>  (VPMINUDZ128rr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)
     /* 187105 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINUDZ128rr),
     /* 187110 */     GIR_RootConstrainSelectedInstOperands,
     /* 187111 */     // GIR_Coverage, 5649,
     /* 187111 */     GIR_Done,
     /* 187112 */   // Label 4174: @187112
     /* 187112 */   GIM_Reject,
     /* 187113 */ // Label 4167: @187113
     /* 187113 */ GIM_Reject,
     /* 187114 */ // Label 4151: @187114
     /* 187114 */ GIM_Try, /*On fail goto*//*Label 4175*/ GIMT_Encode4(187430),
     /* 187119 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 187122 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 187125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 187129 */   GIM_Try, /*On fail goto*//*Label 4176*/ GIMT_Encode4(187187), // Rule ID 24122 //
     /* 187134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 187137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 187141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 187145 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 187148 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 187152 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 187156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 187160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 187162 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 187169 */     // (umin:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v4i64] }:$src1)  =>  (VPMINUQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 187169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUQZ256rm),
     /* 187172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 187174 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 187176 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 187180 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 187185 */     GIR_RootConstrainSelectedInstOperands,
     /* 187186 */     // GIR_Coverage, 24122,
     /* 187186 */     GIR_EraseRootFromParent_Done,
     /* 187187 */   // Label 4176: @187187
     /* 187187 */   GIM_Try, /*On fail goto*//*Label 4177*/ GIMT_Encode4(187245), // Rule ID 5670 //
     /* 187192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 187195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 187199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 187203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 187207 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 187210 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 187214 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 187218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 187220 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 187227 */     // (umin:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINUQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 187227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUQZ256rm),
     /* 187230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 187232 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 187234 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 187238 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 187243 */     GIR_RootConstrainSelectedInstOperands,
     /* 187244 */     // GIR_Coverage, 5670,
     /* 187244 */     GIR_EraseRootFromParent_Done,
     /* 187245 */   // Label 4177: @187245
     /* 187245 */   GIM_Try, /*On fail goto*//*Label 4178*/ GIMT_Encode4(187268), // Rule ID 5667 //
     /* 187250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 187253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 187257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 187261 */     // (umin:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (VPMINUQZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)
     /* 187261 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINUQZ256rr),
     /* 187266 */     GIR_RootConstrainSelectedInstOperands,
     /* 187267 */     // GIR_Coverage, 5667,
     /* 187267 */     GIR_Done,
     /* 187268 */   // Label 4178: @187268
     /* 187268 */   GIM_Try, /*On fail goto*//*Label 4179*/ GIMT_Encode4(187429), // Rule ID 20003 //
     /* 187273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 187276 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 187280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 187284 */     // (umin:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (EXTRACT_SUBREG:{ *:[v4i64] } (VPMINUQZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src1, sub_ymm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src2, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 187284 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /* 187287 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 187291 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 187296 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 187298 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /* 187301 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 187305 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 187310 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 187313 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 187317 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/12,
     /* 187320 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 187325 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 187330 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 187335 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 187338 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 187342 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 187347 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 187349 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 187352 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 187356 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 187361 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 187364 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 187368 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 187371 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 187376 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 187381 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 187386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 187389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMINUQZrr),
     /* 187393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 187398 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 187401 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 187404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 187406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 187409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 187411 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 187418 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 187423 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 187428 */     // GIR_Coverage, 20003,
     /* 187428 */     GIR_EraseRootFromParent_Done,
     /* 187429 */   // Label 4179: @187429
     /* 187429 */   GIM_Reject,
     /* 187430 */ // Label 4175: @187430
     /* 187430 */ GIM_Reject,
     /* 187431 */ // Label 4152: @187431
     /* 187431 */ GIM_Try, /*On fail goto*//*Label 4180*/ GIMT_Encode4(187772),
     /* 187436 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 187439 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 187442 */   GIM_Try, /*On fail goto*//*Label 4181*/ GIMT_Encode4(187504), // Rule ID 23504 //
     /* 187447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 187450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 187454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 187458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 187462 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 187465 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 187469 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 187473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 187477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 187479 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 187486 */     // (umin:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1)  =>  (VPMINUWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 187486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUWrm),
     /* 187489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 187491 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 187493 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 187497 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 187502 */     GIR_RootConstrainSelectedInstOperands,
     /* 187503 */     // GIR_Coverage, 23504,
     /* 187503 */     GIR_EraseRootFromParent_Done,
     /* 187504 */   // Label 4181: @187504
     /* 187504 */   GIM_Try, /*On fail goto*//*Label 4182*/ GIMT_Encode4(187566), // Rule ID 24095 //
     /* 187509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 187512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 187516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 187520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 187524 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 187527 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 187531 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 187535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 187539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 187541 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 187548 */     // (umin:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8i16] }:$src1)  =>  (VPMINUWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 187548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUWZ128rm),
     /* 187551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 187553 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 187555 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 187559 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 187564 */     GIR_RootConstrainSelectedInstOperands,
     /* 187565 */     // GIR_Coverage, 24095,
     /* 187565 */     GIR_EraseRootFromParent_Done,
     /* 187566 */   // Label 4182: @187566
     /* 187566 */   GIM_Try, /*On fail goto*//*Label 4183*/ GIMT_Encode4(187628), // Rule ID 3197 //
     /* 187571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 187574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 187578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 187582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 187586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 187590 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 187593 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 187597 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 187601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 187603 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 187610 */     // (umin:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINUWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 187610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUWrm),
     /* 187613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 187615 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 187617 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 187621 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 187626 */     GIR_RootConstrainSelectedInstOperands,
     /* 187627 */     // GIR_Coverage, 3197,
     /* 187627 */     GIR_EraseRootFromParent_Done,
     /* 187628 */   // Label 4183: @187628
     /* 187628 */   GIM_Try, /*On fail goto*//*Label 4184*/ GIMT_Encode4(187690), // Rule ID 5628 //
     /* 187633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 187636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 187640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 187644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 187648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 187652 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 187655 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 187659 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 187663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 187665 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 187672 */     // (umin:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINUWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 187672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUWZ128rm),
     /* 187675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 187677 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 187679 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 187683 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 187688 */     GIR_RootConstrainSelectedInstOperands,
     /* 187689 */     // GIR_Coverage, 5628,
     /* 187689 */     GIR_EraseRootFromParent_Done,
     /* 187690 */   // Label 4184: @187690
     /* 187690 */   GIM_Try, /*On fail goto*//*Label 4185*/ GIMT_Encode4(187717), // Rule ID 3196 //
     /* 187695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 187698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 187702 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 187706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 187710 */     // (umin:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPMINUWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 187710 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINUWrr),
     /* 187715 */     GIR_RootConstrainSelectedInstOperands,
     /* 187716 */     // GIR_Coverage, 3196,
     /* 187716 */     GIR_Done,
     /* 187717 */   // Label 4185: @187717
     /* 187717 */   GIM_Try, /*On fail goto*//*Label 4186*/ GIMT_Encode4(187744), // Rule ID 3226 //
     /* 187722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE41),
     /* 187725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 187729 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 187733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 187737 */     // (umin:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PMINUWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 187737 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PMINUWrr),
     /* 187742 */     GIR_RootConstrainSelectedInstOperands,
     /* 187743 */     // GIR_Coverage, 3226,
     /* 187743 */     GIR_Done,
     /* 187744 */   // Label 4186: @187744
     /* 187744 */   GIM_Try, /*On fail goto*//*Label 4187*/ GIMT_Encode4(187771), // Rule ID 5625 //
     /* 187749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 187752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 187756 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 187760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 187764 */     // (umin:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)  =>  (VPMINUWZ128rr:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)
     /* 187764 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINUWZ128rr),
     /* 187769 */     GIR_RootConstrainSelectedInstOperands,
     /* 187770 */     // GIR_Coverage, 5625,
     /* 187770 */     GIR_Done,
     /* 187771 */   // Label 4187: @187771
     /* 187771 */   GIM_Reject,
     /* 187772 */ // Label 4180: @187772
     /* 187772 */ GIM_Reject,
     /* 187773 */ // Label 4153: @187773
     /* 187773 */ GIM_Try, /*On fail goto*//*Label 4188*/ GIMT_Encode4(188087),
     /* 187778 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 187781 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 187784 */   GIM_Try, /*On fail goto*//*Label 4189*/ GIMT_Encode4(187846), // Rule ID 23508 //
     /* 187789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 187792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 187796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 187800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 187804 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 187807 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 187811 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 187815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 187819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 187821 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 187828 */     // (umin:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8i32] }:$src1)  =>  (VPMINUDYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 187828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUDYrm),
     /* 187831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 187833 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 187835 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 187839 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 187844 */     GIR_RootConstrainSelectedInstOperands,
     /* 187845 */     // GIR_Coverage, 23508,
     /* 187845 */     GIR_EraseRootFromParent_Done,
     /* 187846 */   // Label 4189: @187846
     /* 187846 */   GIM_Try, /*On fail goto*//*Label 4190*/ GIMT_Encode4(187908), // Rule ID 24104 //
     /* 187851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 187854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 187858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 187862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 187866 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 187869 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 187873 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 187877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 187881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 187883 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 187890 */     // (umin:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v8i32] }:$src1)  =>  (VPMINUDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 187890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUDZ256rm),
     /* 187893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 187895 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 187897 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 187901 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 187906 */     GIR_RootConstrainSelectedInstOperands,
     /* 187907 */     // GIR_Coverage, 24104,
     /* 187907 */     GIR_EraseRootFromParent_Done,
     /* 187908 */   // Label 4190: @187908
     /* 187908 */   GIM_Try, /*On fail goto*//*Label 4191*/ GIMT_Encode4(187970), // Rule ID 3205 //
     /* 187913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 187916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 187920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 187924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 187928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 187932 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 187935 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 187939 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 187943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 187945 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 187952 */     // (umin:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINUDYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 187952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUDYrm),
     /* 187955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 187957 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 187959 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 187963 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 187968 */     GIR_RootConstrainSelectedInstOperands,
     /* 187969 */     // GIR_Coverage, 3205,
     /* 187969 */     GIR_EraseRootFromParent_Done,
     /* 187970 */   // Label 4191: @187970
     /* 187970 */   GIM_Try, /*On fail goto*//*Label 4192*/ GIMT_Encode4(188032), // Rule ID 5643 //
     /* 187975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 187978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 187982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 187986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 187990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 187994 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 187997 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 188001 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 188005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 188007 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 188014 */     // (umin:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINUDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 188014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUDZ256rm),
     /* 188017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 188019 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 188021 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 188025 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 188030 */     GIR_RootConstrainSelectedInstOperands,
     /* 188031 */     // GIR_Coverage, 5643,
     /* 188031 */     GIR_EraseRootFromParent_Done,
     /* 188032 */   // Label 4192: @188032
     /* 188032 */   GIM_Try, /*On fail goto*//*Label 4193*/ GIMT_Encode4(188059), // Rule ID 3204 //
     /* 188037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 188040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 188044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 188048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 188052 */     // (umin:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)  =>  (VPMINUDYrr:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)
     /* 188052 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINUDYrr),
     /* 188057 */     GIR_RootConstrainSelectedInstOperands,
     /* 188058 */     // GIR_Coverage, 3204,
     /* 188058 */     GIR_Done,
     /* 188059 */   // Label 4193: @188059
     /* 188059 */   GIM_Try, /*On fail goto*//*Label 4194*/ GIMT_Encode4(188086), // Rule ID 5640 //
     /* 188064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 188067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 188071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 188075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 188079 */     // (umin:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)  =>  (VPMINUDZ256rr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)
     /* 188079 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINUDZ256rr),
     /* 188084 */     GIR_RootConstrainSelectedInstOperands,
     /* 188085 */     // GIR_Coverage, 5640,
     /* 188085 */     GIR_Done,
     /* 188086 */   // Label 4194: @188086
     /* 188086 */   GIM_Reject,
     /* 188087 */ // Label 4188: @188087
     /* 188087 */ GIM_Reject,
     /* 188088 */ // Label 4154: @188088
     /* 188088 */ GIM_Try, /*On fail goto*//*Label 4195*/ GIMT_Encode4(188243),
     /* 188093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 188096 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /* 188099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 188103 */   GIM_Try, /*On fail goto*//*Label 4196*/ GIMT_Encode4(188161), // Rule ID 24116 //
     /* 188108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 188111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 188115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 188119 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 188122 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 188126 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 188130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 188134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 188136 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 188143 */     // (umin:{ *:[v8i64] } (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v8i64] }:$src1)  =>  (VPMINUQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 188143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUQZrm),
     /* 188146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 188148 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 188150 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 188154 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 188159 */     GIR_RootConstrainSelectedInstOperands,
     /* 188160 */     // GIR_Coverage, 24116,
     /* 188160 */     GIR_EraseRootFromParent_Done,
     /* 188161 */   // Label 4196: @188161
     /* 188161 */   GIM_Try, /*On fail goto*//*Label 4197*/ GIMT_Encode4(188219), // Rule ID 5661 //
     /* 188166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 188169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 188173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 188177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 188181 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 188184 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 188188 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 188192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 188194 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 188201 */     // (umin:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINUQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 188201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUQZrm),
     /* 188204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 188206 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 188208 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 188212 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 188217 */     GIR_RootConstrainSelectedInstOperands,
     /* 188218 */     // GIR_Coverage, 5661,
     /* 188218 */     GIR_EraseRootFromParent_Done,
     /* 188219 */   // Label 4197: @188219
     /* 188219 */   GIM_Try, /*On fail goto*//*Label 4198*/ GIMT_Encode4(188242), // Rule ID 5658 //
     /* 188224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 188227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 188231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 188235 */     // (umin:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)  =>  (VPMINUQZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)
     /* 188235 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINUQZrr),
     /* 188240 */     GIR_RootConstrainSelectedInstOperands,
     /* 188241 */     // GIR_Coverage, 5658,
     /* 188241 */     GIR_Done,
     /* 188242 */   // Label 4198: @188242
     /* 188242 */   GIM_Reject,
     /* 188243 */ // Label 4195: @188243
     /* 188243 */ GIM_Reject,
     /* 188244 */ // Label 4155: @188244
     /* 188244 */ GIM_Try, /*On fail goto*//*Label 4199*/ GIMT_Encode4(188585),
     /* 188249 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 188252 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 188255 */   GIM_Try, /*On fail goto*//*Label 4200*/ GIMT_Encode4(188317), // Rule ID 23459 //
     /* 188260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 188263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 188267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 188271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 188275 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 188278 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 188282 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 188286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 188290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 188292 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 188299 */     // (umin:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v16i8] }:$src1)  =>  (VPMINUBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 188299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUBrm),
     /* 188302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 188304 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 188306 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 188310 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 188315 */     GIR_RootConstrainSelectedInstOperands,
     /* 188316 */     // GIR_Coverage, 23459,
     /* 188316 */     GIR_EraseRootFromParent_Done,
     /* 188317 */   // Label 4200: @188317
     /* 188317 */   GIM_Try, /*On fail goto*//*Label 4201*/ GIMT_Encode4(188379), // Rule ID 24086 //
     /* 188322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 188325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 188329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 188333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 188337 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 188340 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 188344 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 188348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 188352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 188354 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 188361 */     // (umin:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v16i8] }:$src1)  =>  (VPMINUBZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 188361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUBZ128rm),
     /* 188364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 188366 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 188368 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 188372 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 188377 */     GIR_RootConstrainSelectedInstOperands,
     /* 188378 */     // GIR_Coverage, 24086,
     /* 188378 */     GIR_EraseRootFromParent_Done,
     /* 188379 */   // Label 4201: @188379
     /* 188379 */   GIM_Try, /*On fail goto*//*Label 4202*/ GIMT_Encode4(188441), // Rule ID 2636 //
     /* 188384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 188387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 188391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 188395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 188399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 188403 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 188406 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 188410 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 188414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 188416 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 188423 */     // (umin:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINUBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 188423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUBrm),
     /* 188426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 188428 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 188430 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 188434 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 188439 */     GIR_RootConstrainSelectedInstOperands,
     /* 188440 */     // GIR_Coverage, 2636,
     /* 188440 */     GIR_EraseRootFromParent_Done,
     /* 188441 */   // Label 4202: @188441
     /* 188441 */   GIM_Try, /*On fail goto*//*Label 4203*/ GIMT_Encode4(188503), // Rule ID 5610 //
     /* 188446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 188449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 188453 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 188457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 188461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 188465 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 188468 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 188472 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 188476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 188478 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 188485 */     // (umin:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINUBZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 188485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUBZ128rm),
     /* 188488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 188490 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 188492 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 188496 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 188501 */     GIR_RootConstrainSelectedInstOperands,
     /* 188502 */     // GIR_Coverage, 5610,
     /* 188502 */     GIR_EraseRootFromParent_Done,
     /* 188503 */   // Label 4203: @188503
     /* 188503 */   GIM_Try, /*On fail goto*//*Label 4204*/ GIMT_Encode4(188530), // Rule ID 2635 //
     /* 188508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 188511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 188515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 188519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 188523 */     // (umin:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (VPMINUBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /* 188523 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINUBrr),
     /* 188528 */     GIR_RootConstrainSelectedInstOperands,
     /* 188529 */     // GIR_Coverage, 2635,
     /* 188529 */     GIR_Done,
     /* 188530 */   // Label 4204: @188530
     /* 188530 */   GIM_Try, /*On fail goto*//*Label 4205*/ GIMT_Encode4(188557), // Rule ID 2637 //
     /* 188535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 188538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 188542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 188546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 188550 */     // (umin:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (PMINUBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /* 188550 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PMINUBrr),
     /* 188555 */     GIR_RootConstrainSelectedInstOperands,
     /* 188556 */     // GIR_Coverage, 2637,
     /* 188556 */     GIR_Done,
     /* 188557 */   // Label 4205: @188557
     /* 188557 */   GIM_Try, /*On fail goto*//*Label 4206*/ GIMT_Encode4(188584), // Rule ID 5607 //
     /* 188562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 188565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 188569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 188573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 188577 */     // (umin:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)  =>  (VPMINUBZ128rr:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)
     /* 188577 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINUBZ128rr),
     /* 188582 */     GIR_RootConstrainSelectedInstOperands,
     /* 188583 */     // GIR_Coverage, 5607,
     /* 188583 */     GIR_Done,
     /* 188584 */   // Label 4206: @188584
     /* 188584 */   GIM_Reject,
     /* 188585 */ // Label 4199: @188585
     /* 188585 */ GIM_Reject,
     /* 188586 */ // Label 4156: @188586
     /* 188586 */ GIM_Try, /*On fail goto*//*Label 4207*/ GIMT_Encode4(188900),
     /* 188591 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 188594 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 188597 */   GIM_Try, /*On fail goto*//*Label 4208*/ GIMT_Encode4(188659), // Rule ID 23513 //
     /* 188602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 188605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 188609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 188613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 188617 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 188620 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 188624 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 188628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 188632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 188634 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 188641 */     // (umin:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v16i16] }:$src1)  =>  (VPMINUWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 188641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUWYrm),
     /* 188644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 188646 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 188648 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 188652 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 188657 */     GIR_RootConstrainSelectedInstOperands,
     /* 188658 */     // GIR_Coverage, 23513,
     /* 188658 */     GIR_EraseRootFromParent_Done,
     /* 188659 */   // Label 4208: @188659
     /* 188659 */   GIM_Try, /*On fail goto*//*Label 4209*/ GIMT_Encode4(188721), // Rule ID 24092 //
     /* 188664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 188667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 188671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 188675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 188679 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 188682 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 188686 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 188690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 188694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 188696 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 188703 */     // (umin:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16i16] }:$src1)  =>  (VPMINUWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 188703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUWZ256rm),
     /* 188706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 188708 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 188710 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 188714 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 188719 */     GIR_RootConstrainSelectedInstOperands,
     /* 188720 */     // GIR_Coverage, 24092,
     /* 188720 */     GIR_EraseRootFromParent_Done,
     /* 188721 */   // Label 4209: @188721
     /* 188721 */   GIM_Try, /*On fail goto*//*Label 4210*/ GIMT_Encode4(188783), // Rule ID 3215 //
     /* 188726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 188729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 188733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 188737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 188741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 188745 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 188748 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 188752 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 188756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 188758 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 188765 */     // (umin:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINUWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 188765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUWYrm),
     /* 188768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 188770 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 188772 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 188776 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 188781 */     GIR_RootConstrainSelectedInstOperands,
     /* 188782 */     // GIR_Coverage, 3215,
     /* 188782 */     GIR_EraseRootFromParent_Done,
     /* 188783 */   // Label 4210: @188783
     /* 188783 */   GIM_Try, /*On fail goto*//*Label 4211*/ GIMT_Encode4(188845), // Rule ID 5622 //
     /* 188788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 188791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 188795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 188799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 188803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 188807 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 188810 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 188814 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 188818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 188820 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 188827 */     // (umin:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINUWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 188827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUWZ256rm),
     /* 188830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 188832 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 188834 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 188838 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 188843 */     GIR_RootConstrainSelectedInstOperands,
     /* 188844 */     // GIR_Coverage, 5622,
     /* 188844 */     GIR_EraseRootFromParent_Done,
     /* 188845 */   // Label 4211: @188845
     /* 188845 */   GIM_Try, /*On fail goto*//*Label 4212*/ GIMT_Encode4(188872), // Rule ID 3214 //
     /* 188850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 188853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 188857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 188861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 188865 */     // (umin:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPMINUWYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /* 188865 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINUWYrr),
     /* 188870 */     GIR_RootConstrainSelectedInstOperands,
     /* 188871 */     // GIR_Coverage, 3214,
     /* 188871 */     GIR_Done,
     /* 188872 */   // Label 4212: @188872
     /* 188872 */   GIM_Try, /*On fail goto*//*Label 4213*/ GIMT_Encode4(188899), // Rule ID 5619 //
     /* 188877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 188880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 188884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 188888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 188892 */     // (umin:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)  =>  (VPMINUWZ256rr:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)
     /* 188892 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINUWZ256rr),
     /* 188897 */     GIR_RootConstrainSelectedInstOperands,
     /* 188898 */     // GIR_Coverage, 5619,
     /* 188898 */     GIR_Done,
     /* 188899 */   // Label 4213: @188899
     /* 188899 */   GIM_Reject,
     /* 188900 */ // Label 4207: @188900
     /* 188900 */ GIM_Reject,
     /* 188901 */ // Label 4157: @188901
     /* 188901 */ GIM_Try, /*On fail goto*//*Label 4214*/ GIMT_Encode4(189056),
     /* 188906 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 188909 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 188912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 188916 */   GIM_Try, /*On fail goto*//*Label 4215*/ GIMT_Encode4(188974), // Rule ID 24098 //
     /* 188921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 188924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 188928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 188932 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 188935 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 188939 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 188943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 188947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 188949 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 188956 */     // (umin:{ *:[v16i32] } (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v16i32] }:$src1)  =>  (VPMINUDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 188956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUDZrm),
     /* 188959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 188961 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 188963 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 188967 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 188972 */     GIR_RootConstrainSelectedInstOperands,
     /* 188973 */     // GIR_Coverage, 24098,
     /* 188973 */     GIR_EraseRootFromParent_Done,
     /* 188974 */   // Label 4215: @188974
     /* 188974 */   GIM_Try, /*On fail goto*//*Label 4216*/ GIMT_Encode4(189032), // Rule ID 5634 //
     /* 188979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 188982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 188986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 188990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 188994 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 188997 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 189001 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 189005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 189007 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 189014 */     // (umin:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINUDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 189014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUDZrm),
     /* 189017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 189019 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 189021 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 189025 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 189030 */     GIR_RootConstrainSelectedInstOperands,
     /* 189031 */     // GIR_Coverage, 5634,
     /* 189031 */     GIR_EraseRootFromParent_Done,
     /* 189032 */   // Label 4216: @189032
     /* 189032 */   GIM_Try, /*On fail goto*//*Label 4217*/ GIMT_Encode4(189055), // Rule ID 5631 //
     /* 189037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 189040 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 189044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 189048 */     // (umin:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)  =>  (VPMINUDZrr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)
     /* 189048 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINUDZrr),
     /* 189053 */     GIR_RootConstrainSelectedInstOperands,
     /* 189054 */     // GIR_Coverage, 5631,
     /* 189054 */     GIR_Done,
     /* 189055 */   // Label 4217: @189055
     /* 189055 */   GIM_Reject,
     /* 189056 */ // Label 4214: @189056
     /* 189056 */ GIM_Reject,
     /* 189057 */ // Label 4158: @189057
     /* 189057 */ GIM_Try, /*On fail goto*//*Label 4218*/ GIMT_Encode4(189371),
     /* 189062 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /* 189065 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s8,
     /* 189068 */   GIM_Try, /*On fail goto*//*Label 4219*/ GIMT_Encode4(189130), // Rule ID 23461 //
     /* 189073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 189076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 189080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 189084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 189088 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 189091 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 189095 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 189099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 189103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 189105 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 189112 */     // (umin:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v32i8] }:$src1)  =>  (VPMINUBYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 189112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUBYrm),
     /* 189115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 189117 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 189119 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 189123 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 189128 */     GIR_RootConstrainSelectedInstOperands,
     /* 189129 */     // GIR_Coverage, 23461,
     /* 189129 */     GIR_EraseRootFromParent_Done,
     /* 189130 */   // Label 4219: @189130
     /* 189130 */   GIM_Try, /*On fail goto*//*Label 4220*/ GIMT_Encode4(189192), // Rule ID 24083 //
     /* 189135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 189138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 189142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 189146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 189150 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 189153 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 189157 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 189161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 189165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 189167 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 189174 */     // (umin:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v32i8] }:$src1)  =>  (VPMINUBZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 189174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUBZ256rm),
     /* 189177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 189179 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 189181 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 189185 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 189190 */     GIR_RootConstrainSelectedInstOperands,
     /* 189191 */     // GIR_Coverage, 24083,
     /* 189191 */     GIR_EraseRootFromParent_Done,
     /* 189192 */   // Label 4220: @189192
     /* 189192 */   GIM_Try, /*On fail goto*//*Label 4221*/ GIMT_Encode4(189254), // Rule ID 2640 //
     /* 189197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 189200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 189204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 189208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 189212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 189216 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 189219 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 189223 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 189227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 189229 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 189236 */     // (umin:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINUBYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 189236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUBYrm),
     /* 189239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 189241 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 189243 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 189247 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 189252 */     GIR_RootConstrainSelectedInstOperands,
     /* 189253 */     // GIR_Coverage, 2640,
     /* 189253 */     GIR_EraseRootFromParent_Done,
     /* 189254 */   // Label 4221: @189254
     /* 189254 */   GIM_Try, /*On fail goto*//*Label 4222*/ GIMT_Encode4(189316), // Rule ID 5604 //
     /* 189259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 189262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 189266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 189270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 189274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 189278 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 189281 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 189285 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 189289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 189291 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 189298 */     // (umin:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINUBZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 189298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUBZ256rm),
     /* 189301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 189303 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 189305 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 189309 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 189314 */     GIR_RootConstrainSelectedInstOperands,
     /* 189315 */     // GIR_Coverage, 5604,
     /* 189315 */     GIR_EraseRootFromParent_Done,
     /* 189316 */   // Label 4222: @189316
     /* 189316 */   GIM_Try, /*On fail goto*//*Label 4223*/ GIMT_Encode4(189343), // Rule ID 2639 //
     /* 189321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 189324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 189328 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 189332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 189336 */     // (umin:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)  =>  (VPMINUBYrr:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)
     /* 189336 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINUBYrr),
     /* 189341 */     GIR_RootConstrainSelectedInstOperands,
     /* 189342 */     // GIR_Coverage, 2639,
     /* 189342 */     GIR_Done,
     /* 189343 */   // Label 4223: @189343
     /* 189343 */   GIM_Try, /*On fail goto*//*Label 4224*/ GIMT_Encode4(189370), // Rule ID 5601 //
     /* 189348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 189351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 189355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 189359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 189363 */     // (umin:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)  =>  (VPMINUBZ256rr:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)
     /* 189363 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINUBZ256rr),
     /* 189368 */     GIR_RootConstrainSelectedInstOperands,
     /* 189369 */     // GIR_Coverage, 5601,
     /* 189369 */     GIR_Done,
     /* 189370 */   // Label 4224: @189370
     /* 189370 */   GIM_Reject,
     /* 189371 */ // Label 4218: @189371
     /* 189371 */ GIM_Reject,
     /* 189372 */ // Label 4159: @189372
     /* 189372 */ GIM_Try, /*On fail goto*//*Label 4225*/ GIMT_Encode4(189527),
     /* 189377 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 189380 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 189383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 189387 */   GIM_Try, /*On fail goto*//*Label 4226*/ GIMT_Encode4(189445), // Rule ID 24089 //
     /* 189392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 189395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 189399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 189403 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 189406 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 189410 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 189414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 189418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 189420 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 189427 */     // (umin:{ *:[v32i16] } (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32i16] }:$src1)  =>  (VPMINUWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 189427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUWZrm),
     /* 189430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 189432 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 189434 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 189438 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 189443 */     GIR_RootConstrainSelectedInstOperands,
     /* 189444 */     // GIR_Coverage, 24089,
     /* 189444 */     GIR_EraseRootFromParent_Done,
     /* 189445 */   // Label 4226: @189445
     /* 189445 */   GIM_Try, /*On fail goto*//*Label 4227*/ GIMT_Encode4(189503), // Rule ID 5616 //
     /* 189450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 189453 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 189457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 189461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 189465 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 189468 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 189472 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 189476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 189478 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 189485 */     // (umin:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINUWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 189485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUWZrm),
     /* 189488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 189490 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 189492 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 189496 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 189501 */     GIR_RootConstrainSelectedInstOperands,
     /* 189502 */     // GIR_Coverage, 5616,
     /* 189502 */     GIR_EraseRootFromParent_Done,
     /* 189503 */   // Label 4227: @189503
     /* 189503 */   GIM_Try, /*On fail goto*//*Label 4228*/ GIMT_Encode4(189526), // Rule ID 5613 //
     /* 189508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 189511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 189515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 189519 */     // (umin:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)  =>  (VPMINUWZrr:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)
     /* 189519 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINUWZrr),
     /* 189524 */     GIR_RootConstrainSelectedInstOperands,
     /* 189525 */     // GIR_Coverage, 5613,
     /* 189525 */     GIR_Done,
     /* 189526 */   // Label 4228: @189526
     /* 189526 */   GIM_Reject,
     /* 189527 */ // Label 4225: @189527
     /* 189527 */ GIM_Reject,
     /* 189528 */ // Label 4160: @189528
     /* 189528 */ GIM_Try, /*On fail goto*//*Label 4229*/ GIMT_Encode4(189683),
     /* 189533 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /* 189536 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s8,
     /* 189539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 189543 */   GIM_Try, /*On fail goto*//*Label 4230*/ GIMT_Encode4(189601), // Rule ID 24080 //
     /* 189548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 189551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 189555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 189559 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 189562 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 189566 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 189570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 189574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 189576 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 189583 */     // (umin:{ *:[v64i8] } (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v64i8] }:$src1)  =>  (VPMINUBZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 189583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUBZrm),
     /* 189586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 189588 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 189590 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 189594 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 189599 */     GIR_RootConstrainSelectedInstOperands,
     /* 189600 */     // GIR_Coverage, 24080,
     /* 189600 */     GIR_EraseRootFromParent_Done,
     /* 189601 */   // Label 4230: @189601
     /* 189601 */   GIM_Try, /*On fail goto*//*Label 4231*/ GIMT_Encode4(189659), // Rule ID 5598 //
     /* 189606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 189609 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 189613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 189617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 189621 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 189624 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 189628 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 189632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 189634 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 189641 */     // (umin:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINUBZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 189641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUBZrm),
     /* 189644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 189646 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 189648 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 189652 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 189657 */     GIR_RootConstrainSelectedInstOperands,
     /* 189658 */     // GIR_Coverage, 5598,
     /* 189658 */     GIR_EraseRootFromParent_Done,
     /* 189659 */   // Label 4231: @189659
     /* 189659 */   GIM_Try, /*On fail goto*//*Label 4232*/ GIMT_Encode4(189682), // Rule ID 5595 //
     /* 189664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 189667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 189671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 189675 */     // (umin:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)  =>  (VPMINUBZrr:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)
     /* 189675 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINUBZrr),
     /* 189680 */     GIR_RootConstrainSelectedInstOperands,
     /* 189681 */     // GIR_Coverage, 5595,
     /* 189681 */     GIR_Done,
     /* 189682 */   // Label 4232: @189682
     /* 189682 */   GIM_Reject,
     /* 189683 */ // Label 4229: @189683
     /* 189683 */ GIM_Reject,
     /* 189684 */ // Label 4161: @189684
     /* 189684 */ GIM_Reject,
     /* 189685 */ // Label 57: @189685
     /* 189685 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(25), /*)*//*default:*//*Label 4245*/ GIMT_Encode4(193005),
     /* 189696 */ /*GILLT_v2s64*//*Label 4233*/ GIMT_Encode4(189764), GIMT_Encode4(0),
     /* 189704 */ /*GILLT_v4s32*//*Label 4234*/ GIMT_Encode4(190093),
     /* 189708 */ /*GILLT_v4s64*//*Label 4235*/ GIMT_Encode4(190435), GIMT_Encode4(0),
     /* 189716 */ /*GILLT_v8s16*//*Label 4236*/ GIMT_Encode4(190752),
     /* 189720 */ /*GILLT_v8s32*//*Label 4237*/ GIMT_Encode4(191094),
     /* 189724 */ /*GILLT_v8s64*//*Label 4238*/ GIMT_Encode4(191409), GIMT_Encode4(0),
     /* 189732 */ /*GILLT_v16s8*//*Label 4239*/ GIMT_Encode4(191565),
     /* 189736 */ /*GILLT_v16s16*//*Label 4240*/ GIMT_Encode4(191907),
     /* 189740 */ /*GILLT_v16s32*//*Label 4241*/ GIMT_Encode4(192222), GIMT_Encode4(0),
     /* 189748 */ /*GILLT_v32s8*//*Label 4242*/ GIMT_Encode4(192378),
     /* 189752 */ /*GILLT_v32s16*//*Label 4243*/ GIMT_Encode4(192693), GIMT_Encode4(0),
     /* 189760 */ /*GILLT_v64s8*//*Label 4244*/ GIMT_Encode4(192849),
     /* 189764 */ // Label 4233: @189764
     /* 189764 */ GIM_Try, /*On fail goto*//*Label 4246*/ GIMT_Encode4(190092),
     /* 189769 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 189772 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 189775 */   GIM_Try, /*On fail goto*//*Label 4247*/ GIMT_Encode4(189837), // Rule ID 24020 //
     /* 189780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 189783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 189787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 189791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 189795 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 189798 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 189802 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 189806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 189810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 189812 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 189819 */     // (umax:{ *:[v2i64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v2i64] }:$src1)  =>  (VPMAXUQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 189819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUQZ128rm),
     /* 189822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 189824 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 189826 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 189830 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 189835 */     GIR_RootConstrainSelectedInstOperands,
     /* 189836 */     // GIR_Coverage, 24020,
     /* 189836 */     GIR_EraseRootFromParent_Done,
     /* 189837 */   // Label 4247: @189837
     /* 189837 */   GIM_Try, /*On fail goto*//*Label 4248*/ GIMT_Encode4(189899), // Rule ID 5499 //
     /* 189842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 189845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 189849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 189853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 189857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 189861 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 189864 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 189868 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 189872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 189874 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 189881 */     // (umax:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXUQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 189881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUQZ128rm),
     /* 189884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 189886 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 189888 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 189892 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 189897 */     GIR_RootConstrainSelectedInstOperands,
     /* 189898 */     // GIR_Coverage, 5499,
     /* 189898 */     GIR_EraseRootFromParent_Done,
     /* 189899 */   // Label 4248: @189899
     /* 189899 */   GIM_Try, /*On fail goto*//*Label 4249*/ GIMT_Encode4(189926), // Rule ID 5496 //
     /* 189904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 189907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 189911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 189915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 189919 */     // (umax:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (VPMAXUQZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)
     /* 189919 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXUQZ128rr),
     /* 189924 */     GIR_RootConstrainSelectedInstOperands,
     /* 189925 */     // GIR_Coverage, 5496,
     /* 189925 */     GIR_Done,
     /* 189926 */   // Label 4249: @189926
     /* 189926 */   GIM_Try, /*On fail goto*//*Label 4250*/ GIMT_Encode4(190091), // Rule ID 20001 //
     /* 189931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 189934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 189938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 189942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 189946 */     // (umax:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (EXTRACT_SUBREG:{ *:[v2i64] } (VPMAXUQZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src1, sub_xmm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src2, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 189946 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /* 189949 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 189953 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 189958 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 189960 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /* 189963 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 189967 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 189972 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 189975 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 189979 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/11,
     /* 189982 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 189987 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 189992 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 189997 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 190000 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 190004 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 190009 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 190011 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 190014 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 190018 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 190023 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 190026 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 190030 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 190033 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 190038 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 190043 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 190048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 190051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMAXUQZrr),
     /* 190055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 190060 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 190063 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 190066 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 190068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 190071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 190073 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 190080 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 190085 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 190090 */     // GIR_Coverage, 20001,
     /* 190090 */     GIR_EraseRootFromParent_Done,
     /* 190091 */   // Label 4250: @190091
     /* 190091 */   GIM_Reject,
     /* 190092 */ // Label 4246: @190092
     /* 190092 */ GIM_Reject,
     /* 190093 */ // Label 4234: @190093
     /* 190093 */ GIM_Try, /*On fail goto*//*Label 4251*/ GIMT_Encode4(190434),
     /* 190098 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 190101 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 190104 */   GIM_Try, /*On fail goto*//*Label 4252*/ GIMT_Encode4(190166), // Rule ID 23501 //
     /* 190109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 190112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 190116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 190120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 190124 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 190127 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 190131 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 190135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 190139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 190141 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 190148 */     // (umax:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src1)  =>  (VPMAXUDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 190148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUDrm),
     /* 190151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 190153 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 190155 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 190159 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 190164 */     GIR_RootConstrainSelectedInstOperands,
     /* 190165 */     // GIR_Coverage, 23501,
     /* 190165 */     GIR_EraseRootFromParent_Done,
     /* 190166 */   // Label 4252: @190166
     /* 190166 */   GIM_Try, /*On fail goto*//*Label 4253*/ GIMT_Encode4(190228), // Rule ID 24002 //
     /* 190171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 190174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 190178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 190182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 190186 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 190189 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 190193 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 190197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 190201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 190203 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 190210 */     // (umax:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v4i32] }:$src1)  =>  (VPMAXUDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 190210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUDZ128rm),
     /* 190213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 190215 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 190217 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 190221 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 190226 */     GIR_RootConstrainSelectedInstOperands,
     /* 190227 */     // GIR_Coverage, 24002,
     /* 190227 */     GIR_EraseRootFromParent_Done,
     /* 190228 */   // Label 4253: @190228
     /* 190228 */   GIM_Try, /*On fail goto*//*Label 4254*/ GIMT_Encode4(190290), // Rule ID 3191 //
     /* 190233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 190236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 190240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 190244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 190248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 190252 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 190255 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 190259 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 190263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 190265 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 190272 */     // (umax:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXUDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 190272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUDrm),
     /* 190275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 190277 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 190279 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 190283 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 190288 */     GIR_RootConstrainSelectedInstOperands,
     /* 190289 */     // GIR_Coverage, 3191,
     /* 190289 */     GIR_EraseRootFromParent_Done,
     /* 190290 */   // Label 4254: @190290
     /* 190290 */   GIM_Try, /*On fail goto*//*Label 4255*/ GIMT_Encode4(190352), // Rule ID 5472 //
     /* 190295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 190298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 190302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 190306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 190310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 190314 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 190317 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 190321 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 190325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 190327 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 190334 */     // (umax:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXUDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 190334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUDZ128rm),
     /* 190337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 190339 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 190341 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 190345 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 190350 */     GIR_RootConstrainSelectedInstOperands,
     /* 190351 */     // GIR_Coverage, 5472,
     /* 190351 */     GIR_EraseRootFromParent_Done,
     /* 190352 */   // Label 4255: @190352
     /* 190352 */   GIM_Try, /*On fail goto*//*Label 4256*/ GIMT_Encode4(190379), // Rule ID 3190 //
     /* 190357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 190360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 190364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 190368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 190372 */     // (umax:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (VPMAXUDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /* 190372 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXUDrr),
     /* 190377 */     GIR_RootConstrainSelectedInstOperands,
     /* 190378 */     // GIR_Coverage, 3190,
     /* 190378 */     GIR_Done,
     /* 190379 */   // Label 4256: @190379
     /* 190379 */   GIM_Try, /*On fail goto*//*Label 4257*/ GIMT_Encode4(190406), // Rule ID 3232 //
     /* 190384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE41),
     /* 190387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 190391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 190395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 190399 */     // (umax:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (PMAXUDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /* 190399 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PMAXUDrr),
     /* 190404 */     GIR_RootConstrainSelectedInstOperands,
     /* 190405 */     // GIR_Coverage, 3232,
     /* 190405 */     GIR_Done,
     /* 190406 */   // Label 4257: @190406
     /* 190406 */   GIM_Try, /*On fail goto*//*Label 4258*/ GIMT_Encode4(190433), // Rule ID 5469 //
     /* 190411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 190414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 190418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 190422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 190426 */     // (umax:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)  =>  (VPMAXUDZ128rr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)
     /* 190426 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXUDZ128rr),
     /* 190431 */     GIR_RootConstrainSelectedInstOperands,
     /* 190432 */     // GIR_Coverage, 5469,
     /* 190432 */     GIR_Done,
     /* 190433 */   // Label 4258: @190433
     /* 190433 */   GIM_Reject,
     /* 190434 */ // Label 4251: @190434
     /* 190434 */ GIM_Reject,
     /* 190435 */ // Label 4235: @190435
     /* 190435 */ GIM_Try, /*On fail goto*//*Label 4259*/ GIMT_Encode4(190751),
     /* 190440 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 190443 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 190446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 190450 */   GIM_Try, /*On fail goto*//*Label 4260*/ GIMT_Encode4(190508), // Rule ID 24014 //
     /* 190455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 190458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 190462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 190466 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 190469 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 190473 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 190477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 190481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 190483 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 190490 */     // (umax:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v4i64] }:$src1)  =>  (VPMAXUQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 190490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUQZ256rm),
     /* 190493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 190495 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 190497 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 190501 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 190506 */     GIR_RootConstrainSelectedInstOperands,
     /* 190507 */     // GIR_Coverage, 24014,
     /* 190507 */     GIR_EraseRootFromParent_Done,
     /* 190508 */   // Label 4260: @190508
     /* 190508 */   GIM_Try, /*On fail goto*//*Label 4261*/ GIMT_Encode4(190566), // Rule ID 5490 //
     /* 190513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 190516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 190520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 190524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 190528 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 190531 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 190535 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 190539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 190541 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 190548 */     // (umax:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXUQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 190548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUQZ256rm),
     /* 190551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 190553 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 190555 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 190559 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 190564 */     GIR_RootConstrainSelectedInstOperands,
     /* 190565 */     // GIR_Coverage, 5490,
     /* 190565 */     GIR_EraseRootFromParent_Done,
     /* 190566 */   // Label 4261: @190566
     /* 190566 */   GIM_Try, /*On fail goto*//*Label 4262*/ GIMT_Encode4(190589), // Rule ID 5487 //
     /* 190571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 190574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 190578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 190582 */     // (umax:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (VPMAXUQZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)
     /* 190582 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXUQZ256rr),
     /* 190587 */     GIR_RootConstrainSelectedInstOperands,
     /* 190588 */     // GIR_Coverage, 5487,
     /* 190588 */     GIR_Done,
     /* 190589 */   // Label 4262: @190589
     /* 190589 */   GIM_Try, /*On fail goto*//*Label 4263*/ GIMT_Encode4(190750), // Rule ID 19999 //
     /* 190594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 190597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 190601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 190605 */     // (umax:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (EXTRACT_SUBREG:{ *:[v4i64] } (VPMAXUQZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src1, sub_ymm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src2, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 190605 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /* 190608 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 190612 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 190617 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 190619 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /* 190622 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 190626 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 190631 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 190634 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 190638 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/12,
     /* 190641 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 190646 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 190651 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 190656 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 190659 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 190663 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 190668 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 190670 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 190673 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 190677 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 190682 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 190685 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 190689 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 190692 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 190697 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 190702 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 190707 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 190710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMAXUQZrr),
     /* 190714 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 190719 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 190722 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 190725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 190727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 190730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 190732 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 190739 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 190744 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 190749 */     // GIR_Coverage, 19999,
     /* 190749 */     GIR_EraseRootFromParent_Done,
     /* 190750 */   // Label 4263: @190750
     /* 190750 */   GIM_Reject,
     /* 190751 */ // Label 4259: @190751
     /* 190751 */ GIM_Reject,
     /* 190752 */ // Label 4236: @190752
     /* 190752 */ GIM_Try, /*On fail goto*//*Label 4264*/ GIMT_Encode4(191093),
     /* 190757 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 190760 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 190763 */   GIM_Try, /*On fail goto*//*Label 4265*/ GIMT_Encode4(190825), // Rule ID 23506 //
     /* 190768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 190771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 190775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 190779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 190783 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 190786 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 190790 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 190794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 190798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 190800 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 190807 */     // (umax:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1)  =>  (VPMAXUWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 190807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUWrm),
     /* 190810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 190812 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 190814 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 190818 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 190823 */     GIR_RootConstrainSelectedInstOperands,
     /* 190824 */     // GIR_Coverage, 23506,
     /* 190824 */     GIR_EraseRootFromParent_Done,
     /* 190825 */   // Label 4265: @190825
     /* 190825 */   GIM_Try, /*On fail goto*//*Label 4266*/ GIMT_Encode4(190887), // Rule ID 23987 //
     /* 190830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 190833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 190837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 190841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 190845 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 190848 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 190852 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 190856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 190860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 190862 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 190869 */     // (umax:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8i16] }:$src1)  =>  (VPMAXUWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 190869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUWZ128rm),
     /* 190872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 190874 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 190876 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 190880 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 190885 */     GIR_RootConstrainSelectedInstOperands,
     /* 190886 */     // GIR_Coverage, 23987,
     /* 190886 */     GIR_EraseRootFromParent_Done,
     /* 190887 */   // Label 4266: @190887
     /* 190887 */   GIM_Try, /*On fail goto*//*Label 4267*/ GIMT_Encode4(190949), // Rule ID 3201 //
     /* 190892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 190895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 190899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 190903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 190907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 190911 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 190914 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 190918 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 190922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 190924 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 190931 */     // (umax:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXUWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 190931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUWrm),
     /* 190934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 190936 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 190938 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 190942 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 190947 */     GIR_RootConstrainSelectedInstOperands,
     /* 190948 */     // GIR_Coverage, 3201,
     /* 190948 */     GIR_EraseRootFromParent_Done,
     /* 190949 */   // Label 4267: @190949
     /* 190949 */   GIM_Try, /*On fail goto*//*Label 4268*/ GIMT_Encode4(191011), // Rule ID 5448 //
     /* 190954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 190957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 190961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 190965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 190969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 190973 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 190976 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 190980 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 190984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 190986 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 190993 */     // (umax:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXUWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 190993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUWZ128rm),
     /* 190996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 190998 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 191000 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 191004 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 191009 */     GIR_RootConstrainSelectedInstOperands,
     /* 191010 */     // GIR_Coverage, 5448,
     /* 191010 */     GIR_EraseRootFromParent_Done,
     /* 191011 */   // Label 4268: @191011
     /* 191011 */   GIM_Try, /*On fail goto*//*Label 4269*/ GIMT_Encode4(191038), // Rule ID 3200 //
     /* 191016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 191019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 191023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 191027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 191031 */     // (umax:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPMAXUWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 191031 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXUWrr),
     /* 191036 */     GIR_RootConstrainSelectedInstOperands,
     /* 191037 */     // GIR_Coverage, 3200,
     /* 191037 */     GIR_Done,
     /* 191038 */   // Label 4269: @191038
     /* 191038 */   GIM_Try, /*On fail goto*//*Label 4270*/ GIMT_Encode4(191065), // Rule ID 3234 //
     /* 191043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE41),
     /* 191046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 191050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 191054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 191058 */     // (umax:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PMAXUWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 191058 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PMAXUWrr),
     /* 191063 */     GIR_RootConstrainSelectedInstOperands,
     /* 191064 */     // GIR_Coverage, 3234,
     /* 191064 */     GIR_Done,
     /* 191065 */   // Label 4270: @191065
     /* 191065 */   GIM_Try, /*On fail goto*//*Label 4271*/ GIMT_Encode4(191092), // Rule ID 5445 //
     /* 191070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 191073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 191077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 191081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 191085 */     // (umax:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)  =>  (VPMAXUWZ128rr:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)
     /* 191085 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXUWZ128rr),
     /* 191090 */     GIR_RootConstrainSelectedInstOperands,
     /* 191091 */     // GIR_Coverage, 5445,
     /* 191091 */     GIR_Done,
     /* 191092 */   // Label 4271: @191092
     /* 191092 */   GIM_Reject,
     /* 191093 */ // Label 4264: @191093
     /* 191093 */ GIM_Reject,
     /* 191094 */ // Label 4237: @191094
     /* 191094 */ GIM_Try, /*On fail goto*//*Label 4272*/ GIMT_Encode4(191408),
     /* 191099 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 191102 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 191105 */   GIM_Try, /*On fail goto*//*Label 4273*/ GIMT_Encode4(191167), // Rule ID 23510 //
     /* 191110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 191113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 191117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 191121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 191125 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 191128 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 191132 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 191136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 191140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 191142 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 191149 */     // (umax:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8i32] }:$src1)  =>  (VPMAXUDYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 191149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUDYrm),
     /* 191152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 191154 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 191156 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 191160 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 191165 */     GIR_RootConstrainSelectedInstOperands,
     /* 191166 */     // GIR_Coverage, 23510,
     /* 191166 */     GIR_EraseRootFromParent_Done,
     /* 191167 */   // Label 4273: @191167
     /* 191167 */   GIM_Try, /*On fail goto*//*Label 4274*/ GIMT_Encode4(191229), // Rule ID 23996 //
     /* 191172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 191175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 191179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 191183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 191187 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 191190 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 191194 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 191198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 191202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 191204 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 191211 */     // (umax:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v8i32] }:$src1)  =>  (VPMAXUDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 191211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUDZ256rm),
     /* 191214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 191216 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 191218 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 191222 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 191227 */     GIR_RootConstrainSelectedInstOperands,
     /* 191228 */     // GIR_Coverage, 23996,
     /* 191228 */     GIR_EraseRootFromParent_Done,
     /* 191229 */   // Label 4274: @191229
     /* 191229 */   GIM_Try, /*On fail goto*//*Label 4275*/ GIMT_Encode4(191291), // Rule ID 3209 //
     /* 191234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 191237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 191241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 191245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 191249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 191253 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 191256 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 191260 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 191264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 191266 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 191273 */     // (umax:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXUDYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 191273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUDYrm),
     /* 191276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 191278 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 191280 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 191284 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 191289 */     GIR_RootConstrainSelectedInstOperands,
     /* 191290 */     // GIR_Coverage, 3209,
     /* 191290 */     GIR_EraseRootFromParent_Done,
     /* 191291 */   // Label 4275: @191291
     /* 191291 */   GIM_Try, /*On fail goto*//*Label 4276*/ GIMT_Encode4(191353), // Rule ID 5463 //
     /* 191296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 191299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 191303 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 191307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 191311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 191315 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 191318 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 191322 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 191326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 191328 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 191335 */     // (umax:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXUDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 191335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUDZ256rm),
     /* 191338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 191340 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 191342 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 191346 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 191351 */     GIR_RootConstrainSelectedInstOperands,
     /* 191352 */     // GIR_Coverage, 5463,
     /* 191352 */     GIR_EraseRootFromParent_Done,
     /* 191353 */   // Label 4276: @191353
     /* 191353 */   GIM_Try, /*On fail goto*//*Label 4277*/ GIMT_Encode4(191380), // Rule ID 3208 //
     /* 191358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 191361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 191365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 191369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 191373 */     // (umax:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)  =>  (VPMAXUDYrr:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)
     /* 191373 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXUDYrr),
     /* 191378 */     GIR_RootConstrainSelectedInstOperands,
     /* 191379 */     // GIR_Coverage, 3208,
     /* 191379 */     GIR_Done,
     /* 191380 */   // Label 4277: @191380
     /* 191380 */   GIM_Try, /*On fail goto*//*Label 4278*/ GIMT_Encode4(191407), // Rule ID 5460 //
     /* 191385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 191388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 191392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 191396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 191400 */     // (umax:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)  =>  (VPMAXUDZ256rr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)
     /* 191400 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXUDZ256rr),
     /* 191405 */     GIR_RootConstrainSelectedInstOperands,
     /* 191406 */     // GIR_Coverage, 5460,
     /* 191406 */     GIR_Done,
     /* 191407 */   // Label 4278: @191407
     /* 191407 */   GIM_Reject,
     /* 191408 */ // Label 4272: @191408
     /* 191408 */ GIM_Reject,
     /* 191409 */ // Label 4238: @191409
     /* 191409 */ GIM_Try, /*On fail goto*//*Label 4279*/ GIMT_Encode4(191564),
     /* 191414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 191417 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /* 191420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 191424 */   GIM_Try, /*On fail goto*//*Label 4280*/ GIMT_Encode4(191482), // Rule ID 24008 //
     /* 191429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 191432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 191436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 191440 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 191443 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 191447 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 191451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 191455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 191457 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 191464 */     // (umax:{ *:[v8i64] } (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v8i64] }:$src1)  =>  (VPMAXUQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 191464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUQZrm),
     /* 191467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 191469 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 191471 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 191475 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 191480 */     GIR_RootConstrainSelectedInstOperands,
     /* 191481 */     // GIR_Coverage, 24008,
     /* 191481 */     GIR_EraseRootFromParent_Done,
     /* 191482 */   // Label 4280: @191482
     /* 191482 */   GIM_Try, /*On fail goto*//*Label 4281*/ GIMT_Encode4(191540), // Rule ID 5481 //
     /* 191487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 191490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 191494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 191498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 191502 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 191505 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 191509 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 191513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 191515 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 191522 */     // (umax:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXUQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 191522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUQZrm),
     /* 191525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 191527 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 191529 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 191533 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 191538 */     GIR_RootConstrainSelectedInstOperands,
     /* 191539 */     // GIR_Coverage, 5481,
     /* 191539 */     GIR_EraseRootFromParent_Done,
     /* 191540 */   // Label 4281: @191540
     /* 191540 */   GIM_Try, /*On fail goto*//*Label 4282*/ GIMT_Encode4(191563), // Rule ID 5478 //
     /* 191545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 191548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 191552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 191556 */     // (umax:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)  =>  (VPMAXUQZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)
     /* 191556 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXUQZrr),
     /* 191561 */     GIR_RootConstrainSelectedInstOperands,
     /* 191562 */     // GIR_Coverage, 5478,
     /* 191562 */     GIR_Done,
     /* 191563 */   // Label 4282: @191563
     /* 191563 */   GIM_Reject,
     /* 191564 */ // Label 4279: @191564
     /* 191564 */ GIM_Reject,
     /* 191565 */ // Label 4239: @191565
     /* 191565 */ GIM_Try, /*On fail goto*//*Label 4283*/ GIMT_Encode4(191906),
     /* 191570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 191573 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 191576 */   GIM_Try, /*On fail goto*//*Label 4284*/ GIMT_Encode4(191638), // Rule ID 23465 //
     /* 191581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 191584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 191588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 191592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 191596 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 191599 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 191603 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 191607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 191611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 191613 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 191620 */     // (umax:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v16i8] }:$src1)  =>  (VPMAXUBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 191620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUBrm),
     /* 191623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 191625 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 191627 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 191631 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 191636 */     GIR_RootConstrainSelectedInstOperands,
     /* 191637 */     // GIR_Coverage, 23465,
     /* 191637 */     GIR_EraseRootFromParent_Done,
     /* 191638 */   // Label 4284: @191638
     /* 191638 */   GIM_Try, /*On fail goto*//*Label 4285*/ GIMT_Encode4(191700), // Rule ID 23978 //
     /* 191643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 191646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 191650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 191654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 191658 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 191661 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 191665 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 191669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 191673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 191675 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 191682 */     // (umax:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v16i8] }:$src1)  =>  (VPMAXUBZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 191682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUBZ128rm),
     /* 191685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 191687 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 191689 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 191693 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 191698 */     GIR_RootConstrainSelectedInstOperands,
     /* 191699 */     // GIR_Coverage, 23978,
     /* 191699 */     GIR_EraseRootFromParent_Done,
     /* 191700 */   // Label 4285: @191700
     /* 191700 */   GIM_Try, /*On fail goto*//*Label 4286*/ GIMT_Encode4(191762), // Rule ID 2648 //
     /* 191705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 191708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 191712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 191716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 191720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 191724 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 191727 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 191731 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 191735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 191737 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 191744 */     // (umax:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXUBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 191744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUBrm),
     /* 191747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 191749 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 191751 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 191755 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 191760 */     GIR_RootConstrainSelectedInstOperands,
     /* 191761 */     // GIR_Coverage, 2648,
     /* 191761 */     GIR_EraseRootFromParent_Done,
     /* 191762 */   // Label 4286: @191762
     /* 191762 */   GIM_Try, /*On fail goto*//*Label 4287*/ GIMT_Encode4(191824), // Rule ID 5430 //
     /* 191767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 191770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 191774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 191778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 191782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 191786 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 191789 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 191793 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 191797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 191799 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 191806 */     // (umax:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXUBZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 191806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUBZ128rm),
     /* 191809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 191811 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 191813 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 191817 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 191822 */     GIR_RootConstrainSelectedInstOperands,
     /* 191823 */     // GIR_Coverage, 5430,
     /* 191823 */     GIR_EraseRootFromParent_Done,
     /* 191824 */   // Label 4287: @191824
     /* 191824 */   GIM_Try, /*On fail goto*//*Label 4288*/ GIMT_Encode4(191851), // Rule ID 2647 //
     /* 191829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 191832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 191836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 191840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 191844 */     // (umax:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (VPMAXUBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /* 191844 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXUBrr),
     /* 191849 */     GIR_RootConstrainSelectedInstOperands,
     /* 191850 */     // GIR_Coverage, 2647,
     /* 191850 */     GIR_Done,
     /* 191851 */   // Label 4288: @191851
     /* 191851 */   GIM_Try, /*On fail goto*//*Label 4289*/ GIMT_Encode4(191878), // Rule ID 2649 //
     /* 191856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 191859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 191863 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 191867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 191871 */     // (umax:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (PMAXUBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /* 191871 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PMAXUBrr),
     /* 191876 */     GIR_RootConstrainSelectedInstOperands,
     /* 191877 */     // GIR_Coverage, 2649,
     /* 191877 */     GIR_Done,
     /* 191878 */   // Label 4289: @191878
     /* 191878 */   GIM_Try, /*On fail goto*//*Label 4290*/ GIMT_Encode4(191905), // Rule ID 5427 //
     /* 191883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 191886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 191890 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 191894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 191898 */     // (umax:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)  =>  (VPMAXUBZ128rr:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)
     /* 191898 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXUBZ128rr),
     /* 191903 */     GIR_RootConstrainSelectedInstOperands,
     /* 191904 */     // GIR_Coverage, 5427,
     /* 191904 */     GIR_Done,
     /* 191905 */   // Label 4290: @191905
     /* 191905 */   GIM_Reject,
     /* 191906 */ // Label 4283: @191906
     /* 191906 */ GIM_Reject,
     /* 191907 */ // Label 4240: @191907
     /* 191907 */ GIM_Try, /*On fail goto*//*Label 4291*/ GIMT_Encode4(192221),
     /* 191912 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 191915 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 191918 */   GIM_Try, /*On fail goto*//*Label 4292*/ GIMT_Encode4(191980), // Rule ID 23515 //
     /* 191923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 191926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 191930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 191934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 191938 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 191941 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 191945 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 191949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 191953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 191955 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 191962 */     // (umax:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v16i16] }:$src1)  =>  (VPMAXUWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 191962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUWYrm),
     /* 191965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 191967 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 191969 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 191973 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 191978 */     GIR_RootConstrainSelectedInstOperands,
     /* 191979 */     // GIR_Coverage, 23515,
     /* 191979 */     GIR_EraseRootFromParent_Done,
     /* 191980 */   // Label 4292: @191980
     /* 191980 */   GIM_Try, /*On fail goto*//*Label 4293*/ GIMT_Encode4(192042), // Rule ID 23984 //
     /* 191985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 191988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 191992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 191996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 192000 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 192003 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 192007 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 192011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 192015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 192017 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 192024 */     // (umax:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16i16] }:$src1)  =>  (VPMAXUWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 192024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUWZ256rm),
     /* 192027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 192029 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 192031 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 192035 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 192040 */     GIR_RootConstrainSelectedInstOperands,
     /* 192041 */     // GIR_Coverage, 23984,
     /* 192041 */     GIR_EraseRootFromParent_Done,
     /* 192042 */   // Label 4293: @192042
     /* 192042 */   GIM_Try, /*On fail goto*//*Label 4294*/ GIMT_Encode4(192104), // Rule ID 3219 //
     /* 192047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 192050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 192054 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 192058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 192062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 192066 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 192069 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 192073 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 192077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 192079 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 192086 */     // (umax:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXUWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 192086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUWYrm),
     /* 192089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 192091 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 192093 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 192097 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 192102 */     GIR_RootConstrainSelectedInstOperands,
     /* 192103 */     // GIR_Coverage, 3219,
     /* 192103 */     GIR_EraseRootFromParent_Done,
     /* 192104 */   // Label 4294: @192104
     /* 192104 */   GIM_Try, /*On fail goto*//*Label 4295*/ GIMT_Encode4(192166), // Rule ID 5442 //
     /* 192109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 192112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 192116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 192120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 192124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 192128 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 192131 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 192135 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 192139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 192141 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 192148 */     // (umax:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXUWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 192148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUWZ256rm),
     /* 192151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 192153 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 192155 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 192159 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 192164 */     GIR_RootConstrainSelectedInstOperands,
     /* 192165 */     // GIR_Coverage, 5442,
     /* 192165 */     GIR_EraseRootFromParent_Done,
     /* 192166 */   // Label 4295: @192166
     /* 192166 */   GIM_Try, /*On fail goto*//*Label 4296*/ GIMT_Encode4(192193), // Rule ID 3218 //
     /* 192171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 192174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 192178 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 192182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 192186 */     // (umax:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPMAXUWYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /* 192186 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXUWYrr),
     /* 192191 */     GIR_RootConstrainSelectedInstOperands,
     /* 192192 */     // GIR_Coverage, 3218,
     /* 192192 */     GIR_Done,
     /* 192193 */   // Label 4296: @192193
     /* 192193 */   GIM_Try, /*On fail goto*//*Label 4297*/ GIMT_Encode4(192220), // Rule ID 5439 //
     /* 192198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 192201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 192205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 192209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 192213 */     // (umax:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)  =>  (VPMAXUWZ256rr:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)
     /* 192213 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXUWZ256rr),
     /* 192218 */     GIR_RootConstrainSelectedInstOperands,
     /* 192219 */     // GIR_Coverage, 5439,
     /* 192219 */     GIR_Done,
     /* 192220 */   // Label 4297: @192220
     /* 192220 */   GIM_Reject,
     /* 192221 */ // Label 4291: @192221
     /* 192221 */ GIM_Reject,
     /* 192222 */ // Label 4241: @192222
     /* 192222 */ GIM_Try, /*On fail goto*//*Label 4298*/ GIMT_Encode4(192377),
     /* 192227 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 192230 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 192233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 192237 */   GIM_Try, /*On fail goto*//*Label 4299*/ GIMT_Encode4(192295), // Rule ID 23990 //
     /* 192242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 192245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 192249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 192253 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 192256 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 192260 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 192264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 192268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 192270 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 192277 */     // (umax:{ *:[v16i32] } (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v16i32] }:$src1)  =>  (VPMAXUDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 192277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUDZrm),
     /* 192280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 192282 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 192284 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 192288 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 192293 */     GIR_RootConstrainSelectedInstOperands,
     /* 192294 */     // GIR_Coverage, 23990,
     /* 192294 */     GIR_EraseRootFromParent_Done,
     /* 192295 */   // Label 4299: @192295
     /* 192295 */   GIM_Try, /*On fail goto*//*Label 4300*/ GIMT_Encode4(192353), // Rule ID 5454 //
     /* 192300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 192303 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 192307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 192311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 192315 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 192318 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 192322 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 192326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 192328 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 192335 */     // (umax:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXUDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 192335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUDZrm),
     /* 192338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 192340 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 192342 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 192346 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 192351 */     GIR_RootConstrainSelectedInstOperands,
     /* 192352 */     // GIR_Coverage, 5454,
     /* 192352 */     GIR_EraseRootFromParent_Done,
     /* 192353 */   // Label 4300: @192353
     /* 192353 */   GIM_Try, /*On fail goto*//*Label 4301*/ GIMT_Encode4(192376), // Rule ID 5451 //
     /* 192358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 192361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 192365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 192369 */     // (umax:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)  =>  (VPMAXUDZrr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)
     /* 192369 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXUDZrr),
     /* 192374 */     GIR_RootConstrainSelectedInstOperands,
     /* 192375 */     // GIR_Coverage, 5451,
     /* 192375 */     GIR_Done,
     /* 192376 */   // Label 4301: @192376
     /* 192376 */   GIM_Reject,
     /* 192377 */ // Label 4298: @192377
     /* 192377 */ GIM_Reject,
     /* 192378 */ // Label 4242: @192378
     /* 192378 */ GIM_Try, /*On fail goto*//*Label 4302*/ GIMT_Encode4(192692),
     /* 192383 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /* 192386 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s8,
     /* 192389 */   GIM_Try, /*On fail goto*//*Label 4303*/ GIMT_Encode4(192451), // Rule ID 23467 //
     /* 192394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 192397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 192401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 192405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 192409 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 192412 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 192416 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 192420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 192424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 192426 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 192433 */     // (umax:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v32i8] }:$src1)  =>  (VPMAXUBYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 192433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUBYrm),
     /* 192436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 192438 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 192440 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 192444 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 192449 */     GIR_RootConstrainSelectedInstOperands,
     /* 192450 */     // GIR_Coverage, 23467,
     /* 192450 */     GIR_EraseRootFromParent_Done,
     /* 192451 */   // Label 4303: @192451
     /* 192451 */   GIM_Try, /*On fail goto*//*Label 4304*/ GIMT_Encode4(192513), // Rule ID 23975 //
     /* 192456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 192459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 192463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 192467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 192471 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 192474 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 192478 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 192482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 192486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 192488 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 192495 */     // (umax:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v32i8] }:$src1)  =>  (VPMAXUBZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 192495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUBZ256rm),
     /* 192498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 192500 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 192502 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 192506 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 192511 */     GIR_RootConstrainSelectedInstOperands,
     /* 192512 */     // GIR_Coverage, 23975,
     /* 192512 */     GIR_EraseRootFromParent_Done,
     /* 192513 */   // Label 4304: @192513
     /* 192513 */   GIM_Try, /*On fail goto*//*Label 4305*/ GIMT_Encode4(192575), // Rule ID 2652 //
     /* 192518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 192521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 192525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 192529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 192533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 192537 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 192540 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 192544 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 192548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 192550 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 192557 */     // (umax:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXUBYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 192557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUBYrm),
     /* 192560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 192562 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 192564 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 192568 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 192573 */     GIR_RootConstrainSelectedInstOperands,
     /* 192574 */     // GIR_Coverage, 2652,
     /* 192574 */     GIR_EraseRootFromParent_Done,
     /* 192575 */   // Label 4305: @192575
     /* 192575 */   GIM_Try, /*On fail goto*//*Label 4306*/ GIMT_Encode4(192637), // Rule ID 5424 //
     /* 192580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 192583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 192587 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 192591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 192595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 192599 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 192602 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 192606 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 192610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 192612 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 192619 */     // (umax:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXUBZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 192619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUBZ256rm),
     /* 192622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 192624 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 192626 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 192630 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 192635 */     GIR_RootConstrainSelectedInstOperands,
     /* 192636 */     // GIR_Coverage, 5424,
     /* 192636 */     GIR_EraseRootFromParent_Done,
     /* 192637 */   // Label 4306: @192637
     /* 192637 */   GIM_Try, /*On fail goto*//*Label 4307*/ GIMT_Encode4(192664), // Rule ID 2651 //
     /* 192642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 192645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 192649 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 192653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 192657 */     // (umax:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)  =>  (VPMAXUBYrr:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)
     /* 192657 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXUBYrr),
     /* 192662 */     GIR_RootConstrainSelectedInstOperands,
     /* 192663 */     // GIR_Coverage, 2651,
     /* 192663 */     GIR_Done,
     /* 192664 */   // Label 4307: @192664
     /* 192664 */   GIM_Try, /*On fail goto*//*Label 4308*/ GIMT_Encode4(192691), // Rule ID 5421 //
     /* 192669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 192672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 192676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 192680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 192684 */     // (umax:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)  =>  (VPMAXUBZ256rr:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)
     /* 192684 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXUBZ256rr),
     /* 192689 */     GIR_RootConstrainSelectedInstOperands,
     /* 192690 */     // GIR_Coverage, 5421,
     /* 192690 */     GIR_Done,
     /* 192691 */   // Label 4308: @192691
     /* 192691 */   GIM_Reject,
     /* 192692 */ // Label 4302: @192692
     /* 192692 */ GIM_Reject,
     /* 192693 */ // Label 4243: @192693
     /* 192693 */ GIM_Try, /*On fail goto*//*Label 4309*/ GIMT_Encode4(192848),
     /* 192698 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 192701 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 192704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 192708 */   GIM_Try, /*On fail goto*//*Label 4310*/ GIMT_Encode4(192766), // Rule ID 23981 //
     /* 192713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 192716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 192720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 192724 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 192727 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 192731 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 192735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 192739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 192741 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 192748 */     // (umax:{ *:[v32i16] } (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32i16] }:$src1)  =>  (VPMAXUWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 192748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUWZrm),
     /* 192751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 192753 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 192755 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 192759 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 192764 */     GIR_RootConstrainSelectedInstOperands,
     /* 192765 */     // GIR_Coverage, 23981,
     /* 192765 */     GIR_EraseRootFromParent_Done,
     /* 192766 */   // Label 4310: @192766
     /* 192766 */   GIM_Try, /*On fail goto*//*Label 4311*/ GIMT_Encode4(192824), // Rule ID 5436 //
     /* 192771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 192774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 192778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 192782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 192786 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 192789 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 192793 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 192797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 192799 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 192806 */     // (umax:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXUWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 192806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUWZrm),
     /* 192809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 192811 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 192813 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 192817 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 192822 */     GIR_RootConstrainSelectedInstOperands,
     /* 192823 */     // GIR_Coverage, 5436,
     /* 192823 */     GIR_EraseRootFromParent_Done,
     /* 192824 */   // Label 4311: @192824
     /* 192824 */   GIM_Try, /*On fail goto*//*Label 4312*/ GIMT_Encode4(192847), // Rule ID 5433 //
     /* 192829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 192832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 192836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 192840 */     // (umax:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)  =>  (VPMAXUWZrr:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)
     /* 192840 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXUWZrr),
     /* 192845 */     GIR_RootConstrainSelectedInstOperands,
     /* 192846 */     // GIR_Coverage, 5433,
     /* 192846 */     GIR_Done,
     /* 192847 */   // Label 4312: @192847
     /* 192847 */   GIM_Reject,
     /* 192848 */ // Label 4309: @192848
     /* 192848 */ GIM_Reject,
     /* 192849 */ // Label 4244: @192849
     /* 192849 */ GIM_Try, /*On fail goto*//*Label 4313*/ GIMT_Encode4(193004),
     /* 192854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /* 192857 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s8,
     /* 192860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 192864 */   GIM_Try, /*On fail goto*//*Label 4314*/ GIMT_Encode4(192922), // Rule ID 23972 //
     /* 192869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 192872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 192876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 192880 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 192883 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 192887 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 192891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 192895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 192897 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 192904 */     // (umax:{ *:[v64i8] } (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v64i8] }:$src1)  =>  (VPMAXUBZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 192904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUBZrm),
     /* 192907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 192909 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 192911 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 192915 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 192920 */     GIR_RootConstrainSelectedInstOperands,
     /* 192921 */     // GIR_Coverage, 23972,
     /* 192921 */     GIR_EraseRootFromParent_Done,
     /* 192922 */   // Label 4314: @192922
     /* 192922 */   GIM_Try, /*On fail goto*//*Label 4315*/ GIMT_Encode4(192980), // Rule ID 5418 //
     /* 192927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 192930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 192934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 192938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 192942 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 192945 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 192949 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 192953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 192955 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 192962 */     // (umax:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXUBZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 192962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUBZrm),
     /* 192965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 192967 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 192969 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 192973 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 192978 */     GIR_RootConstrainSelectedInstOperands,
     /* 192979 */     // GIR_Coverage, 5418,
     /* 192979 */     GIR_EraseRootFromParent_Done,
     /* 192980 */   // Label 4315: @192980
     /* 192980 */   GIM_Try, /*On fail goto*//*Label 4316*/ GIMT_Encode4(193003), // Rule ID 5415 //
     /* 192985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 192988 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 192992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 192996 */     // (umax:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)  =>  (VPMAXUBZrr:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)
     /* 192996 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXUBZrr),
     /* 193001 */     GIR_RootConstrainSelectedInstOperands,
     /* 193002 */     // GIR_Coverage, 5415,
     /* 193002 */     GIR_Done,
     /* 193003 */   // Label 4316: @193003
     /* 193003 */   GIM_Reject,
     /* 193004 */ // Label 4313: @193004
     /* 193004 */ GIM_Reject,
     /* 193005 */ // Label 4245: @193005
     /* 193005 */ GIM_Reject,
     /* 193006 */ // Label 58: @193006
     /* 193006 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(25), /*)*//*default:*//*Label 4329*/ GIMT_Encode4(194886),
     /* 193017 */ /*GILLT_v2s64*//*Label 4317*/ GIMT_Encode4(193085), GIMT_Encode4(0),
     /* 193025 */ /*GILLT_v4s32*//*Label 4318*/ GIMT_Encode4(193281),
     /* 193029 */ /*GILLT_v4s64*//*Label 4319*/ GIMT_Encode4(193472), GIMT_Encode4(0),
     /* 193037 */ /*GILLT_v8s16*//*Label 4320*/ GIMT_Encode4(193660),
     /* 193041 */ /*GILLT_v8s32*//*Label 4321*/ GIMT_Encode4(193851),
     /* 193045 */ /*GILLT_v8s64*//*Label 4322*/ GIMT_Encode4(194019), GIMT_Encode4(0),
     /* 193053 */ /*GILLT_v16s8*//*Label 4323*/ GIMT_Encode4(194104),
     /* 193057 */ /*GILLT_v16s16*//*Label 4324*/ GIMT_Encode4(194295),
     /* 193061 */ /*GILLT_v16s32*//*Label 4325*/ GIMT_Encode4(194463), GIMT_Encode4(0),
     /* 193069 */ /*GILLT_v32s8*//*Label 4326*/ GIMT_Encode4(194548),
     /* 193073 */ /*GILLT_v32s16*//*Label 4327*/ GIMT_Encode4(194716), GIMT_Encode4(0),
     /* 193081 */ /*GILLT_v64s8*//*Label 4328*/ GIMT_Encode4(194801),
     /* 193085 */ // Label 4317: @193085
     /* 193085 */ GIM_Try, /*On fail goto*//*Label 4330*/ GIMT_Encode4(193280),
     /* 193090 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 193093 */   GIM_Try, /*On fail goto*//*Label 4331*/ GIMT_Encode4(193149), // Rule ID 13266 //
     /* 193098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 193101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 193105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 193109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 193113 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 193116 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 193120 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 193124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 193126 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 193133 */     // (abs:{ *:[v2i64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPABSQZ128rm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src1)
     /* 193133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPABSQZ128rm),
     /* 193136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 193138 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 193142 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 193147 */     GIR_RootConstrainSelectedInstOperands,
     /* 193148 */     // GIR_Coverage, 13266,
     /* 193148 */     GIR_EraseRootFromParent_Done,
     /* 193149 */   // Label 4331: @193149
     /* 193149 */   GIM_Try, /*On fail goto*//*Label 4332*/ GIMT_Encode4(193172), // Rule ID 13263 //
     /* 193154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 193157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 193161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 193165 */     // (abs:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1)  =>  (VPABSQZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1)
     /* 193165 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPABSQZ128rr),
     /* 193170 */     GIR_RootConstrainSelectedInstOperands,
     /* 193171 */     // GIR_Coverage, 13263,
     /* 193171 */     GIR_Done,
     /* 193172 */   // Label 4332: @193172
     /* 193172 */   GIM_Try, /*On fail goto*//*Label 4333*/ GIMT_Encode4(193279), // Rule ID 21823 //
     /* 193177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 193180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 193184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 193188 */     // (abs:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src)  =>  (EXTRACT_SUBREG:{ *:[v2i64] } (VPABSQZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 193188 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 193191 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 193195 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 193200 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 193202 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 193205 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 193209 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 193214 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 193217 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 193221 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 193224 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 193229 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 193234 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 193239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 193242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPABSQZrr),
     /* 193246 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 193251 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 193254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 193256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 193259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 193261 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 193268 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 193273 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 193278 */     // GIR_Coverage, 21823,
     /* 193278 */     GIR_EraseRootFromParent_Done,
     /* 193279 */   // Label 4333: @193279
     /* 193279 */   GIM_Reject,
     /* 193280 */ // Label 4330: @193280
     /* 193280 */ GIM_Reject,
     /* 193281 */ // Label 4318: @193281
     /* 193281 */ GIM_Try, /*On fail goto*//*Label 4334*/ GIMT_Encode4(193471),
     /* 193286 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 193289 */   GIM_Try, /*On fail goto*//*Label 4335*/ GIMT_Encode4(193345), // Rule ID 2994 //
     /* 193294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 193297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 193301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 193305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 193309 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 193312 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 193316 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 193320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 193322 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 193329 */     // (abs:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPABSDrm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /* 193329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPABSDrm),
     /* 193332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 193334 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 193338 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 193343 */     GIR_RootConstrainSelectedInstOperands,
     /* 193344 */     // GIR_Coverage, 2994,
     /* 193344 */     GIR_EraseRootFromParent_Done,
     /* 193345 */   // Label 4335: @193345
     /* 193345 */   GIM_Try, /*On fail goto*//*Label 4336*/ GIMT_Encode4(193401), // Rule ID 13293 //
     /* 193350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 193353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 193357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 193361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 193365 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 193368 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 193372 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 193376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 193378 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 193385 */     // (abs:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPABSDZ128rm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src1)
     /* 193385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPABSDZ128rm),
     /* 193388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 193390 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 193394 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 193399 */     GIR_RootConstrainSelectedInstOperands,
     /* 193400 */     // GIR_Coverage, 13293,
     /* 193400 */     GIR_EraseRootFromParent_Done,
     /* 193401 */   // Label 4336: @193401
     /* 193401 */   GIM_Try, /*On fail goto*//*Label 4337*/ GIMT_Encode4(193424), // Rule ID 2993 //
     /* 193406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 193409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 193413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 193417 */     // (abs:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src)  =>  (VPABSDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src)
     /* 193417 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPABSDrr),
     /* 193422 */     GIR_RootConstrainSelectedInstOperands,
     /* 193423 */     // GIR_Coverage, 2993,
     /* 193423 */     GIR_Done,
     /* 193424 */   // Label 4337: @193424
     /* 193424 */   GIM_Try, /*On fail goto*//*Label 4338*/ GIMT_Encode4(193447), // Rule ID 3005 //
     /* 193429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSSE3),
     /* 193432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 193436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 193440 */     // (abs:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src)  =>  (PABSDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src)
     /* 193440 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PABSDrr),
     /* 193445 */     GIR_RootConstrainSelectedInstOperands,
     /* 193446 */     // GIR_Coverage, 3005,
     /* 193446 */     GIR_Done,
     /* 193447 */   // Label 4338: @193447
     /* 193447 */   GIM_Try, /*On fail goto*//*Label 4339*/ GIMT_Encode4(193470), // Rule ID 13290 //
     /* 193452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 193455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 193459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 193463 */     // (abs:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1)  =>  (VPABSDZ128rr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1)
     /* 193463 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPABSDZ128rr),
     /* 193468 */     GIR_RootConstrainSelectedInstOperands,
     /* 193469 */     // GIR_Coverage, 13290,
     /* 193469 */     GIR_Done,
     /* 193470 */   // Label 4339: @193470
     /* 193470 */   GIM_Reject,
     /* 193471 */ // Label 4334: @193471
     /* 193471 */ GIM_Reject,
     /* 193472 */ // Label 4319: @193472
     /* 193472 */ GIM_Try, /*On fail goto*//*Label 4340*/ GIMT_Encode4(193659),
     /* 193477 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 193480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 193484 */   GIM_Try, /*On fail goto*//*Label 4341*/ GIMT_Encode4(193536), // Rule ID 13257 //
     /* 193489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 193492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 193496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 193500 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 193503 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 193507 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 193511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 193513 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 193520 */     // (abs:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPABSQZ256rm:{ *:[v4i64] } addr:{ *:[iPTR] }:$src1)
     /* 193520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPABSQZ256rm),
     /* 193523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 193525 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 193529 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 193534 */     GIR_RootConstrainSelectedInstOperands,
     /* 193535 */     // GIR_Coverage, 13257,
     /* 193535 */     GIR_EraseRootFromParent_Done,
     /* 193536 */   // Label 4341: @193536
     /* 193536 */   GIM_Try, /*On fail goto*//*Label 4342*/ GIMT_Encode4(193555), // Rule ID 13254 //
     /* 193541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 193544 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 193548 */     // (abs:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1)  =>  (VPABSQZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1)
     /* 193548 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPABSQZ256rr),
     /* 193553 */     GIR_RootConstrainSelectedInstOperands,
     /* 193554 */     // GIR_Coverage, 13254,
     /* 193554 */     GIR_Done,
     /* 193555 */   // Label 4342: @193555
     /* 193555 */   GIM_Try, /*On fail goto*//*Label 4343*/ GIMT_Encode4(193658), // Rule ID 21822 //
     /* 193560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 193563 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 193567 */     // (abs:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src)  =>  (EXTRACT_SUBREG:{ *:[v4i64] } (VPABSQZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 193567 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 193570 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 193574 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 193579 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 193581 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 193584 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 193588 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 193593 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 193596 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 193600 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 193603 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 193608 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 193613 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 193618 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 193621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPABSQZrr),
     /* 193625 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 193630 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 193633 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 193635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 193638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 193640 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 193647 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 193652 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 193657 */     // GIR_Coverage, 21822,
     /* 193657 */     GIR_EraseRootFromParent_Done,
     /* 193658 */   // Label 4343: @193658
     /* 193658 */   GIM_Reject,
     /* 193659 */ // Label 4340: @193659
     /* 193659 */ GIM_Reject,
     /* 193660 */ // Label 4320: @193660
     /* 193660 */ GIM_Try, /*On fail goto*//*Label 4344*/ GIMT_Encode4(193850),
     /* 193665 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 193668 */   GIM_Try, /*On fail goto*//*Label 4345*/ GIMT_Encode4(193724), // Rule ID 2992 //
     /* 193673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 193676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 193680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 193684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 193688 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 193691 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 193695 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 193699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 193701 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 193708 */     // (abs:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPABSWrm:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)
     /* 193708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPABSWrm),
     /* 193711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 193713 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 193717 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 193722 */     GIR_RootConstrainSelectedInstOperands,
     /* 193723 */     // GIR_Coverage, 2992,
     /* 193723 */     GIR_EraseRootFromParent_Done,
     /* 193724 */   // Label 4345: @193724
     /* 193724 */   GIM_Try, /*On fail goto*//*Label 4346*/ GIMT_Encode4(193780), // Rule ID 13314 //
     /* 193729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 193732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 193736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 193740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 193744 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 193747 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 193751 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 193755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 193757 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 193764 */     // (abs:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPABSWZ128rm:{ *:[v8i16] } addr:{ *:[iPTR] }:$src1)
     /* 193764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPABSWZ128rm),
     /* 193767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 193769 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 193773 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 193778 */     GIR_RootConstrainSelectedInstOperands,
     /* 193779 */     // GIR_Coverage, 13314,
     /* 193779 */     GIR_EraseRootFromParent_Done,
     /* 193780 */   // Label 4346: @193780
     /* 193780 */   GIM_Try, /*On fail goto*//*Label 4347*/ GIMT_Encode4(193803), // Rule ID 2991 //
     /* 193785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 193788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 193792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 193796 */     // (abs:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src)  =>  (VPABSWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src)
     /* 193796 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPABSWrr),
     /* 193801 */     GIR_RootConstrainSelectedInstOperands,
     /* 193802 */     // GIR_Coverage, 2991,
     /* 193802 */     GIR_Done,
     /* 193803 */   // Label 4347: @193803
     /* 193803 */   GIM_Try, /*On fail goto*//*Label 4348*/ GIMT_Encode4(193826), // Rule ID 3003 //
     /* 193808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSSE3),
     /* 193811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 193815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 193819 */     // (abs:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src)  =>  (PABSWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src)
     /* 193819 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PABSWrr),
     /* 193824 */     GIR_RootConstrainSelectedInstOperands,
     /* 193825 */     // GIR_Coverage, 3003,
     /* 193825 */     GIR_Done,
     /* 193826 */   // Label 4348: @193826
     /* 193826 */   GIM_Try, /*On fail goto*//*Label 4349*/ GIMT_Encode4(193849), // Rule ID 13311 //
     /* 193831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 193834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 193838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 193842 */     // (abs:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1)  =>  (VPABSWZ128rr:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1)
     /* 193842 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPABSWZ128rr),
     /* 193847 */     GIR_RootConstrainSelectedInstOperands,
     /* 193848 */     // GIR_Coverage, 13311,
     /* 193848 */     GIR_Done,
     /* 193849 */   // Label 4349: @193849
     /* 193849 */   GIM_Reject,
     /* 193850 */ // Label 4344: @193850
     /* 193850 */ GIM_Reject,
     /* 193851 */ // Label 4321: @193851
     /* 193851 */ GIM_Try, /*On fail goto*//*Label 4350*/ GIMT_Encode4(194018),
     /* 193856 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 193859 */   GIM_Try, /*On fail goto*//*Label 4351*/ GIMT_Encode4(193915), // Rule ID 3000 //
     /* 193864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 193867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 193871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 193875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 193879 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 193882 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 193886 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 193890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 193892 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 193899 */     // (abs:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPABSDYrm:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)
     /* 193899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPABSDYrm),
     /* 193902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 193904 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 193908 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 193913 */     GIR_RootConstrainSelectedInstOperands,
     /* 193914 */     // GIR_Coverage, 3000,
     /* 193914 */     GIR_EraseRootFromParent_Done,
     /* 193915 */   // Label 4351: @193915
     /* 193915 */   GIM_Try, /*On fail goto*//*Label 4352*/ GIMT_Encode4(193971), // Rule ID 13284 //
     /* 193920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 193923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 193927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 193931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 193935 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 193938 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 193942 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 193946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 193948 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 193955 */     // (abs:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPABSDZ256rm:{ *:[v8i32] } addr:{ *:[iPTR] }:$src1)
     /* 193955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPABSDZ256rm),
     /* 193958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 193960 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 193964 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 193969 */     GIR_RootConstrainSelectedInstOperands,
     /* 193970 */     // GIR_Coverage, 13284,
     /* 193970 */     GIR_EraseRootFromParent_Done,
     /* 193971 */   // Label 4352: @193971
     /* 193971 */   GIM_Try, /*On fail goto*//*Label 4353*/ GIMT_Encode4(193994), // Rule ID 2999 //
     /* 193976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 193979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 193983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 193987 */     // (abs:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src)  =>  (VPABSDYrr:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src)
     /* 193987 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPABSDYrr),
     /* 193992 */     GIR_RootConstrainSelectedInstOperands,
     /* 193993 */     // GIR_Coverage, 2999,
     /* 193993 */     GIR_Done,
     /* 193994 */   // Label 4353: @193994
     /* 193994 */   GIM_Try, /*On fail goto*//*Label 4354*/ GIMT_Encode4(194017), // Rule ID 13281 //
     /* 193999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 194002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 194006 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 194010 */     // (abs:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1)  =>  (VPABSDZ256rr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1)
     /* 194010 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPABSDZ256rr),
     /* 194015 */     GIR_RootConstrainSelectedInstOperands,
     /* 194016 */     // GIR_Coverage, 13281,
     /* 194016 */     GIR_Done,
     /* 194017 */   // Label 4354: @194017
     /* 194017 */   GIM_Reject,
     /* 194018 */ // Label 4350: @194018
     /* 194018 */ GIM_Reject,
     /* 194019 */ // Label 4322: @194019
     /* 194019 */ GIM_Try, /*On fail goto*//*Label 4355*/ GIMT_Encode4(194103),
     /* 194024 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 194027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 194031 */   GIM_Try, /*On fail goto*//*Label 4356*/ GIMT_Encode4(194083), // Rule ID 13248 //
     /* 194036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 194039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 194043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 194047 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 194050 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 194054 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 194058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 194060 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 194067 */     // (abs:{ *:[v8i64] } (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPABSQZrm:{ *:[v8i64] } addr:{ *:[iPTR] }:$src1)
     /* 194067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPABSQZrm),
     /* 194070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 194072 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 194076 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 194081 */     GIR_RootConstrainSelectedInstOperands,
     /* 194082 */     // GIR_Coverage, 13248,
     /* 194082 */     GIR_EraseRootFromParent_Done,
     /* 194083 */   // Label 4356: @194083
     /* 194083 */   GIM_Try, /*On fail goto*//*Label 4357*/ GIMT_Encode4(194102), // Rule ID 13245 //
     /* 194088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 194091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 194095 */     // (abs:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1)  =>  (VPABSQZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1)
     /* 194095 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPABSQZrr),
     /* 194100 */     GIR_RootConstrainSelectedInstOperands,
     /* 194101 */     // GIR_Coverage, 13245,
     /* 194101 */     GIR_Done,
     /* 194102 */   // Label 4357: @194102
     /* 194102 */   GIM_Reject,
     /* 194103 */ // Label 4355: @194103
     /* 194103 */ GIM_Reject,
     /* 194104 */ // Label 4323: @194104
     /* 194104 */ GIM_Try, /*On fail goto*//*Label 4358*/ GIMT_Encode4(194294),
     /* 194109 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 194112 */   GIM_Try, /*On fail goto*//*Label 4359*/ GIMT_Encode4(194168), // Rule ID 2990 //
     /* 194117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 194120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 194124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 194128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 194132 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 194135 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 194139 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 194143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 194145 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 194152 */     // (abs:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPABSBrm:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)
     /* 194152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPABSBrm),
     /* 194155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 194157 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 194161 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 194166 */     GIR_RootConstrainSelectedInstOperands,
     /* 194167 */     // GIR_Coverage, 2990,
     /* 194167 */     GIR_EraseRootFromParent_Done,
     /* 194168 */   // Label 4359: @194168
     /* 194168 */   GIM_Try, /*On fail goto*//*Label 4360*/ GIMT_Encode4(194224), // Rule ID 13332 //
     /* 194173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 194176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 194180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 194184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 194188 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 194191 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 194195 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 194199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 194201 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 194208 */     // (abs:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPABSBZ128rm:{ *:[v16i8] } addr:{ *:[iPTR] }:$src1)
     /* 194208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPABSBZ128rm),
     /* 194211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 194213 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 194217 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 194222 */     GIR_RootConstrainSelectedInstOperands,
     /* 194223 */     // GIR_Coverage, 13332,
     /* 194223 */     GIR_EraseRootFromParent_Done,
     /* 194224 */   // Label 4360: @194224
     /* 194224 */   GIM_Try, /*On fail goto*//*Label 4361*/ GIMT_Encode4(194247), // Rule ID 2989 //
     /* 194229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 194232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 194236 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 194240 */     // (abs:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src)  =>  (VPABSBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src)
     /* 194240 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPABSBrr),
     /* 194245 */     GIR_RootConstrainSelectedInstOperands,
     /* 194246 */     // GIR_Coverage, 2989,
     /* 194246 */     GIR_Done,
     /* 194247 */   // Label 4361: @194247
     /* 194247 */   GIM_Try, /*On fail goto*//*Label 4362*/ GIMT_Encode4(194270), // Rule ID 3001 //
     /* 194252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSSE3),
     /* 194255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 194259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 194263 */     // (abs:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src)  =>  (PABSBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src)
     /* 194263 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PABSBrr),
     /* 194268 */     GIR_RootConstrainSelectedInstOperands,
     /* 194269 */     // GIR_Coverage, 3001,
     /* 194269 */     GIR_Done,
     /* 194270 */   // Label 4362: @194270
     /* 194270 */   GIM_Try, /*On fail goto*//*Label 4363*/ GIMT_Encode4(194293), // Rule ID 13329 //
     /* 194275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 194278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 194282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 194286 */     // (abs:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1)  =>  (VPABSBZ128rr:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1)
     /* 194286 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPABSBZ128rr),
     /* 194291 */     GIR_RootConstrainSelectedInstOperands,
     /* 194292 */     // GIR_Coverage, 13329,
     /* 194292 */     GIR_Done,
     /* 194293 */   // Label 4363: @194293
     /* 194293 */   GIM_Reject,
     /* 194294 */ // Label 4358: @194294
     /* 194294 */ GIM_Reject,
     /* 194295 */ // Label 4324: @194295
     /* 194295 */ GIM_Try, /*On fail goto*//*Label 4364*/ GIMT_Encode4(194462),
     /* 194300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 194303 */   GIM_Try, /*On fail goto*//*Label 4365*/ GIMT_Encode4(194359), // Rule ID 2998 //
     /* 194308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 194311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 194315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 194319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 194323 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 194326 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 194330 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 194334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 194336 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 194343 */     // (abs:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPABSWYrm:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)
     /* 194343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPABSWYrm),
     /* 194346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 194348 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 194352 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 194357 */     GIR_RootConstrainSelectedInstOperands,
     /* 194358 */     // GIR_Coverage, 2998,
     /* 194358 */     GIR_EraseRootFromParent_Done,
     /* 194359 */   // Label 4365: @194359
     /* 194359 */   GIM_Try, /*On fail goto*//*Label 4366*/ GIMT_Encode4(194415), // Rule ID 13308 //
     /* 194364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 194367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 194371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 194375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 194379 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 194382 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 194386 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 194390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 194392 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 194399 */     // (abs:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPABSWZ256rm:{ *:[v16i16] } addr:{ *:[iPTR] }:$src1)
     /* 194399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPABSWZ256rm),
     /* 194402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 194404 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 194408 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 194413 */     GIR_RootConstrainSelectedInstOperands,
     /* 194414 */     // GIR_Coverage, 13308,
     /* 194414 */     GIR_EraseRootFromParent_Done,
     /* 194415 */   // Label 4366: @194415
     /* 194415 */   GIM_Try, /*On fail goto*//*Label 4367*/ GIMT_Encode4(194438), // Rule ID 2997 //
     /* 194420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 194423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 194427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 194431 */     // (abs:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src)  =>  (VPABSWYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src)
     /* 194431 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPABSWYrr),
     /* 194436 */     GIR_RootConstrainSelectedInstOperands,
     /* 194437 */     // GIR_Coverage, 2997,
     /* 194437 */     GIR_Done,
     /* 194438 */   // Label 4367: @194438
     /* 194438 */   GIM_Try, /*On fail goto*//*Label 4368*/ GIMT_Encode4(194461), // Rule ID 13305 //
     /* 194443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 194446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 194450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 194454 */     // (abs:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1)  =>  (VPABSWZ256rr:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1)
     /* 194454 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPABSWZ256rr),
     /* 194459 */     GIR_RootConstrainSelectedInstOperands,
     /* 194460 */     // GIR_Coverage, 13305,
     /* 194460 */     GIR_Done,
     /* 194461 */   // Label 4368: @194461
     /* 194461 */   GIM_Reject,
     /* 194462 */ // Label 4364: @194462
     /* 194462 */ GIM_Reject,
     /* 194463 */ // Label 4325: @194463
     /* 194463 */ GIM_Try, /*On fail goto*//*Label 4369*/ GIMT_Encode4(194547),
     /* 194468 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 194471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 194475 */   GIM_Try, /*On fail goto*//*Label 4370*/ GIMT_Encode4(194527), // Rule ID 13275 //
     /* 194480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 194483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 194487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 194491 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 194494 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 194498 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 194502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 194504 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 194511 */     // (abs:{ *:[v16i32] } (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPABSDZrm:{ *:[v16i32] } addr:{ *:[iPTR] }:$src1)
     /* 194511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPABSDZrm),
     /* 194514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 194516 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 194520 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 194525 */     GIR_RootConstrainSelectedInstOperands,
     /* 194526 */     // GIR_Coverage, 13275,
     /* 194526 */     GIR_EraseRootFromParent_Done,
     /* 194527 */   // Label 4370: @194527
     /* 194527 */   GIM_Try, /*On fail goto*//*Label 4371*/ GIMT_Encode4(194546), // Rule ID 13272 //
     /* 194532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 194535 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 194539 */     // (abs:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1)  =>  (VPABSDZrr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1)
     /* 194539 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPABSDZrr),
     /* 194544 */     GIR_RootConstrainSelectedInstOperands,
     /* 194545 */     // GIR_Coverage, 13272,
     /* 194545 */     GIR_Done,
     /* 194546 */   // Label 4371: @194546
     /* 194546 */   GIM_Reject,
     /* 194547 */ // Label 4369: @194547
     /* 194547 */ GIM_Reject,
     /* 194548 */ // Label 4326: @194548
     /* 194548 */ GIM_Try, /*On fail goto*//*Label 4372*/ GIMT_Encode4(194715),
     /* 194553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /* 194556 */   GIM_Try, /*On fail goto*//*Label 4373*/ GIMT_Encode4(194612), // Rule ID 2996 //
     /* 194561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 194564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 194568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 194572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 194576 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 194579 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 194583 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 194587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 194589 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 194596 */     // (abs:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPABSBYrm:{ *:[v32i8] } addr:{ *:[iPTR] }:$src)
     /* 194596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPABSBYrm),
     /* 194599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 194601 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 194605 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 194610 */     GIR_RootConstrainSelectedInstOperands,
     /* 194611 */     // GIR_Coverage, 2996,
     /* 194611 */     GIR_EraseRootFromParent_Done,
     /* 194612 */   // Label 4373: @194612
     /* 194612 */   GIM_Try, /*On fail goto*//*Label 4374*/ GIMT_Encode4(194668), // Rule ID 13326 //
     /* 194617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 194620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 194624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 194628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 194632 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 194635 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 194639 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 194643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 194645 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 194652 */     // (abs:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPABSBZ256rm:{ *:[v32i8] } addr:{ *:[iPTR] }:$src1)
     /* 194652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPABSBZ256rm),
     /* 194655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 194657 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 194661 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 194666 */     GIR_RootConstrainSelectedInstOperands,
     /* 194667 */     // GIR_Coverage, 13326,
     /* 194667 */     GIR_EraseRootFromParent_Done,
     /* 194668 */   // Label 4374: @194668
     /* 194668 */   GIM_Try, /*On fail goto*//*Label 4375*/ GIMT_Encode4(194691), // Rule ID 2995 //
     /* 194673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 194676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 194680 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 194684 */     // (abs:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src)  =>  (VPABSBYrr:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src)
     /* 194684 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPABSBYrr),
     /* 194689 */     GIR_RootConstrainSelectedInstOperands,
     /* 194690 */     // GIR_Coverage, 2995,
     /* 194690 */     GIR_Done,
     /* 194691 */   // Label 4375: @194691
     /* 194691 */   GIM_Try, /*On fail goto*//*Label 4376*/ GIMT_Encode4(194714), // Rule ID 13323 //
     /* 194696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 194699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 194703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 194707 */     // (abs:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1)  =>  (VPABSBZ256rr:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1)
     /* 194707 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPABSBZ256rr),
     /* 194712 */     GIR_RootConstrainSelectedInstOperands,
     /* 194713 */     // GIR_Coverage, 13323,
     /* 194713 */     GIR_Done,
     /* 194714 */   // Label 4376: @194714
     /* 194714 */   GIM_Reject,
     /* 194715 */ // Label 4372: @194715
     /* 194715 */ GIM_Reject,
     /* 194716 */ // Label 4327: @194716
     /* 194716 */ GIM_Try, /*On fail goto*//*Label 4377*/ GIMT_Encode4(194800),
     /* 194721 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 194724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 194728 */   GIM_Try, /*On fail goto*//*Label 4378*/ GIMT_Encode4(194780), // Rule ID 13302 //
     /* 194733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 194736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 194740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 194744 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 194747 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 194751 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 194755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 194757 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 194764 */     // (abs:{ *:[v32i16] } (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPABSWZrm:{ *:[v32i16] } addr:{ *:[iPTR] }:$src1)
     /* 194764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPABSWZrm),
     /* 194767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 194769 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 194773 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 194778 */     GIR_RootConstrainSelectedInstOperands,
     /* 194779 */     // GIR_Coverage, 13302,
     /* 194779 */     GIR_EraseRootFromParent_Done,
     /* 194780 */   // Label 4378: @194780
     /* 194780 */   GIM_Try, /*On fail goto*//*Label 4379*/ GIMT_Encode4(194799), // Rule ID 13299 //
     /* 194785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 194788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 194792 */     // (abs:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1)  =>  (VPABSWZrr:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1)
     /* 194792 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPABSWZrr),
     /* 194797 */     GIR_RootConstrainSelectedInstOperands,
     /* 194798 */     // GIR_Coverage, 13299,
     /* 194798 */     GIR_Done,
     /* 194799 */   // Label 4379: @194799
     /* 194799 */   GIM_Reject,
     /* 194800 */ // Label 4377: @194800
     /* 194800 */ GIM_Reject,
     /* 194801 */ // Label 4328: @194801
     /* 194801 */ GIM_Try, /*On fail goto*//*Label 4380*/ GIMT_Encode4(194885),
     /* 194806 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /* 194809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 194813 */   GIM_Try, /*On fail goto*//*Label 4381*/ GIMT_Encode4(194865), // Rule ID 13320 //
     /* 194818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 194821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 194825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 194829 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 194832 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 194836 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 194840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 194842 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 194849 */     // (abs:{ *:[v64i8] } (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPABSBZrm:{ *:[v64i8] } addr:{ *:[iPTR] }:$src1)
     /* 194849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPABSBZrm),
     /* 194852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 194854 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 194858 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 194863 */     GIR_RootConstrainSelectedInstOperands,
     /* 194864 */     // GIR_Coverage, 13320,
     /* 194864 */     GIR_EraseRootFromParent_Done,
     /* 194865 */   // Label 4381: @194865
     /* 194865 */   GIM_Try, /*On fail goto*//*Label 4382*/ GIMT_Encode4(194884), // Rule ID 13317 //
     /* 194870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 194873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 194877 */     // (abs:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1)  =>  (VPABSBZrr:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1)
     /* 194877 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPABSBZrr),
     /* 194882 */     GIR_RootConstrainSelectedInstOperands,
     /* 194883 */     // GIR_Coverage, 13317,
     /* 194883 */     GIR_Done,
     /* 194884 */   // Label 4382: @194884
     /* 194884 */   GIM_Reject,
     /* 194885 */ // Label 4380: @194885
     /* 194885 */ GIM_Reject,
     /* 194886 */ // Label 4329: @194886
     /* 194886 */ GIM_Reject,
     /* 194887 */ // Label 59: @194887
     /* 194887 */ GIM_Try, /*On fail goto*//*Label 4383*/ GIMT_Encode4(194902), // Rule ID 630 //
     /* 194892 */   // MIs[0] dst
     /* 194892 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/0,
     /* 194895 */   // (br (bb:{ *:[Other] }):$dst)  =>  (JMP_1 (bb:{ *:[Other] }):$dst)
     /* 194895 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::JMP_1),
     /* 194900 */   GIR_RootConstrainSelectedInstOperands,
     /* 194901 */   // GIR_Coverage, 630,
     /* 194901 */   GIR_Done,
     /* 194902 */ // Label 4383: @194902
     /* 194902 */ GIM_Reject,
     /* 194903 */ // Label 60: @194903
     /* 194903 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(22), /*)*//*default:*//*Label 4398*/ GIMT_Encode4(197831),
     /* 194914 */ /*GILLT_s1*//*Label 4384*/ GIMT_Encode4(195002), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 194942 */ /*GILLT_v2s1*//*Label 4385*/ GIMT_Encode4(195243),
     /* 194946 */ /*GILLT_v2s64*//*Label 4386*/ GIMT_Encode4(195444),
     /* 194950 */ /*GILLT_v4s1*//*Label 4387*/ GIMT_Encode4(195925),
     /* 194954 */ /*GILLT_v4s32*//*Label 4388*/ GIMT_Encode4(196086),
     /* 194958 */ /*GILLT_v4s64*//*Label 4389*/ GIMT_Encode4(196567),
     /* 194962 */ /*GILLT_v8s1*//*Label 4390*/ GIMT_Encode4(196650),
     /* 194966 */ /*GILLT_v8s16*//*Label 4391*/ GIMT_Encode4(196771),
     /* 194970 */ /*GILLT_v8s32*//*Label 4392*/ GIMT_Encode4(197252), GIMT_Encode4(0),
     /* 194978 */ /*GILLT_v16s1*//*Label 4393*/ GIMT_Encode4(197335),
     /* 194982 */ /*GILLT_v16s8*//*Label 4394*/ GIMT_Encode4(197416),
     /* 194986 */ /*GILLT_v16s16*//*Label 4395*/ GIMT_Encode4(197657), GIMT_Encode4(0),
     /* 194994 */ /*GILLT_v32s1*//*Label 4396*/ GIMT_Encode4(197740),
     /* 194998 */ /*GILLT_v32s8*//*Label 4397*/ GIMT_Encode4(197781),
     /* 195002 */ // Label 4384: @195002
     /* 195002 */ GIM_Try, /*On fail goto*//*Label 4399*/ GIMT_Encode4(195042), // Rule ID 19601 //
     /* 195007 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s1,
     /* 195010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /* 195014 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /* 195018 */   // MIs[0] Operand 2
     /* 195018 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 195029 */   // (extract_subvector:{ *:[v1i1] } VK2:{ *:[v2i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v1i1] } VK2:{ *:[v2i1] }:$src, VK1:{ *:[i32] })
     /* 195029 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195032 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195034 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 195036 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK1RegClassID),
     /* 195041 */   // GIR_Coverage, 19601,
     /* 195041 */   GIR_EraseRootFromParent_Done,
     /* 195042 */ // Label 4399: @195042
     /* 195042 */ GIM_Try, /*On fail goto*//*Label 4400*/ GIMT_Encode4(195082), // Rule ID 19603 //
     /* 195047 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s1,
     /* 195050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /* 195054 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /* 195058 */   // MIs[0] Operand 2
     /* 195058 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 195069 */   // (extract_subvector:{ *:[v1i1] } VK4:{ *:[v4i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v1i1] } VK4:{ *:[v4i1] }:$src, VK1:{ *:[i32] })
     /* 195069 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195072 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195074 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 195076 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK1RegClassID),
     /* 195081 */   // GIR_Coverage, 19603,
     /* 195081 */   GIR_EraseRootFromParent_Done,
     /* 195082 */ // Label 4400: @195082
     /* 195082 */ GIM_Try, /*On fail goto*//*Label 4401*/ GIMT_Encode4(195122), // Rule ID 19605 //
     /* 195087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s1,
     /* 195090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /* 195094 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /* 195098 */   // MIs[0] Operand 2
     /* 195098 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 195109 */   // (extract_subvector:{ *:[v1i1] } VK8:{ *:[v8i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v1i1] } VK8:{ *:[v8i1] }:$src, VK1:{ *:[i32] })
     /* 195109 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195112 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195114 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 195116 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK1RegClassID),
     /* 195121 */   // GIR_Coverage, 19605,
     /* 195121 */   GIR_EraseRootFromParent_Done,
     /* 195122 */ // Label 4401: @195122
     /* 195122 */ GIM_Try, /*On fail goto*//*Label 4402*/ GIMT_Encode4(195162), // Rule ID 19607 //
     /* 195127 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s1,
     /* 195130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /* 195134 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 195138 */   // MIs[0] Operand 2
     /* 195138 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 195149 */   // (extract_subvector:{ *:[v1i1] } VK16:{ *:[v16i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v1i1] } VK16:{ *:[v16i1] }:$src, VK1:{ *:[i32] })
     /* 195149 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195152 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195154 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 195156 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK1RegClassID),
     /* 195161 */   // GIR_Coverage, 19607,
     /* 195161 */   GIR_EraseRootFromParent_Done,
     /* 195162 */ // Label 4402: @195162
     /* 195162 */ GIM_Try, /*On fail goto*//*Label 4403*/ GIMT_Encode4(195202), // Rule ID 19609 //
     /* 195167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s1,
     /* 195170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /* 195174 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /* 195178 */   // MIs[0] Operand 2
     /* 195178 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 195189 */   // (extract_subvector:{ *:[v1i1] } VK32:{ *:[v32i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v1i1] } VK32:{ *:[v32i1] }:$src, VK1:{ *:[i32] })
     /* 195189 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195192 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195194 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 195196 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK1RegClassID),
     /* 195201 */   // GIR_Coverage, 19609,
     /* 195201 */   GIR_EraseRootFromParent_Done,
     /* 195202 */ // Label 4403: @195202
     /* 195202 */ GIM_Try, /*On fail goto*//*Label 4404*/ GIMT_Encode4(195242), // Rule ID 19611 //
     /* 195207 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s1,
     /* 195210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /* 195214 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /* 195218 */   // MIs[0] Operand 2
     /* 195218 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 195229 */   // (extract_subvector:{ *:[v1i1] } VK64:{ *:[v64i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v1i1] } VK64:{ *:[v64i1] }:$src, VK1:{ *:[i32] })
     /* 195229 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195232 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195234 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 195236 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK1RegClassID),
     /* 195241 */   // GIR_Coverage, 19611,
     /* 195241 */   GIR_EraseRootFromParent_Done,
     /* 195242 */ // Label 4404: @195242
     /* 195242 */ GIM_Reject,
     /* 195243 */ // Label 4385: @195243
     /* 195243 */ GIM_Try, /*On fail goto*//*Label 4405*/ GIMT_Encode4(195283), // Rule ID 19613 //
     /* 195248 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s1,
     /* 195251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /* 195255 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /* 195259 */   // MIs[0] Operand 2
     /* 195259 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 195270 */   // (extract_subvector:{ *:[v2i1] } VK4:{ *:[v4i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v2i1] } VK4:{ *:[v4i1] }:$src, VK2:{ *:[i32] })
     /* 195270 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195273 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195275 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 195277 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK2RegClassID),
     /* 195282 */   // GIR_Coverage, 19613,
     /* 195282 */   GIR_EraseRootFromParent_Done,
     /* 195283 */ // Label 4405: @195283
     /* 195283 */ GIM_Try, /*On fail goto*//*Label 4406*/ GIMT_Encode4(195323), // Rule ID 19615 //
     /* 195288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s1,
     /* 195291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /* 195295 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /* 195299 */   // MIs[0] Operand 2
     /* 195299 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 195310 */   // (extract_subvector:{ *:[v2i1] } VK8:{ *:[v8i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v2i1] } VK8:{ *:[v8i1] }:$src, VK2:{ *:[i32] })
     /* 195310 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195313 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195315 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 195317 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK2RegClassID),
     /* 195322 */   // GIR_Coverage, 19615,
     /* 195322 */   GIR_EraseRootFromParent_Done,
     /* 195323 */ // Label 4406: @195323
     /* 195323 */ GIM_Try, /*On fail goto*//*Label 4407*/ GIMT_Encode4(195363), // Rule ID 19617 //
     /* 195328 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s1,
     /* 195331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /* 195335 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 195339 */   // MIs[0] Operand 2
     /* 195339 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 195350 */   // (extract_subvector:{ *:[v2i1] } VK16:{ *:[v16i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v2i1] } VK16:{ *:[v16i1] }:$src, VK2:{ *:[i32] })
     /* 195350 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195353 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195355 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 195357 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK2RegClassID),
     /* 195362 */   // GIR_Coverage, 19617,
     /* 195362 */   GIR_EraseRootFromParent_Done,
     /* 195363 */ // Label 4407: @195363
     /* 195363 */ GIM_Try, /*On fail goto*//*Label 4408*/ GIMT_Encode4(195403), // Rule ID 19619 //
     /* 195368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s1,
     /* 195371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /* 195375 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /* 195379 */   // MIs[0] Operand 2
     /* 195379 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 195390 */   // (extract_subvector:{ *:[v2i1] } VK32:{ *:[v32i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v2i1] } VK32:{ *:[v32i1] }:$src, VK2:{ *:[i32] })
     /* 195390 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195393 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195395 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 195397 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK2RegClassID),
     /* 195402 */   // GIR_Coverage, 19619,
     /* 195402 */   GIR_EraseRootFromParent_Done,
     /* 195403 */ // Label 4408: @195403
     /* 195403 */ GIM_Try, /*On fail goto*//*Label 4409*/ GIMT_Encode4(195443), // Rule ID 19621 //
     /* 195408 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s1,
     /* 195411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /* 195415 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /* 195419 */   // MIs[0] Operand 2
     /* 195419 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 195430 */   // (extract_subvector:{ *:[v2i1] } VK64:{ *:[v64i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v2i1] } VK64:{ *:[v64i1] }:$src, VK2:{ *:[i32] })
     /* 195430 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195433 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195435 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 195437 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK2RegClassID),
     /* 195442 */   // GIR_Coverage, 19621,
     /* 195442 */   GIR_EraseRootFromParent_Done,
     /* 195443 */ // Label 4409: @195443
     /* 195443 */ GIM_Reject,
     /* 195444 */ // Label 4386: @195444
     /* 195444 */ GIM_Try, /*On fail goto*//*Label 4410*/ GIMT_Encode4(195515), // Rule ID 19052 //
     /* 195449 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEVEX512_NoVLX),
     /* 195452 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 195455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 195459 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 195463 */   // MIs[0] Operand 2
     /* 195463 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 195474 */   // (extract_subvector:{ *:[v2i64] } VR512:{ *:[v8i64] }:$src, 2:{ *:[iPTR] })  =>  (VEXTRACTI128rri:{ *:[v2i64] } (EXTRACT_SUBREG:{ *:[v4i64] } VR512:{ *:[v8i64] }:$src, sub_ymm:{ *:[i32] }), 1:{ *:[i8] })
     /* 195474 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s64,
     /* 195477 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195481 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 195486 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 195492 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 195497 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 195502 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VEXTRACTI128rri),
     /* 195505 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195507 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 195510 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 195513 */   GIR_RootConstrainSelectedInstOperands,
     /* 195514 */   // GIR_Coverage, 19052,
     /* 195514 */   GIR_EraseRootFromParent_Done,
     /* 195515 */ // Label 4410: @195515
     /* 195515 */ GIM_Try, /*On fail goto*//*Label 4411*/ GIMT_Encode4(195586), // Rule ID 19053 //
     /* 195520 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEVEX512_NoVLX),
     /* 195523 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 195526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 195530 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 195534 */   // MIs[0] Operand 2
     /* 195534 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 195545 */   // (extract_subvector:{ *:[v2f64] } VR512:{ *:[v8f64] }:$src, 2:{ *:[iPTR] })  =>  (VEXTRACTF128rri:{ *:[v2f64] } (EXTRACT_SUBREG:{ *:[v4f64] } VR512:{ *:[v8f64] }:$src, sub_ymm:{ *:[i32] }), 1:{ *:[i8] })
     /* 195545 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s64,
     /* 195548 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195552 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 195557 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 195563 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 195568 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 195573 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VEXTRACTF128rri),
     /* 195576 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195578 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 195581 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 195584 */   GIR_RootConstrainSelectedInstOperands,
     /* 195585 */   // GIR_Coverage, 19053,
     /* 195585 */   GIR_EraseRootFromParent_Done,
     /* 195586 */ // Label 4411: @195586
     /* 195586 */ GIM_Try, /*On fail goto*//*Label 4412*/ GIMT_Encode4(195657), // Rule ID 19059 //
     /* 195591 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 195594 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 195597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 195601 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 195605 */   // MIs[0] Operand 2
     /* 195605 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 195616 */   // (extract_subvector:{ *:[v2i64] } VR512:{ *:[v8i64] }:$src, 2:{ *:[iPTR] })  =>  (VEXTRACTI32X4Z256rri:{ *:[v2i64] } (EXTRACT_SUBREG:{ *:[v4i64] } VR512:{ *:[v8i64] }:$src, sub_ymm:{ *:[i32] }), 1:{ *:[i8] })
     /* 195616 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s64,
     /* 195619 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195623 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 195628 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 195634 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 195639 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 195644 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VEXTRACTI32X4Z256rri),
     /* 195647 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195649 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 195652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 195655 */   GIR_RootConstrainSelectedInstOperands,
     /* 195656 */   // GIR_Coverage, 19059,
     /* 195656 */   GIR_EraseRootFromParent_Done,
     /* 195657 */ // Label 4412: @195657
     /* 195657 */ GIM_Try, /*On fail goto*//*Label 4413*/ GIMT_Encode4(195728), // Rule ID 19060 //
     /* 195662 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 195665 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 195668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 195672 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 195676 */   // MIs[0] Operand 2
     /* 195676 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 195687 */   // (extract_subvector:{ *:[v2f64] } VR512:{ *:[v8f64] }:$src, 2:{ *:[iPTR] })  =>  (VEXTRACTF32X4Z256rri:{ *:[v2f64] } (EXTRACT_SUBREG:{ *:[v4f64] } VR512:{ *:[v8f64] }:$src, sub_ymm:{ *:[i32] }), 1:{ *:[i8] })
     /* 195687 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s64,
     /* 195690 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195694 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 195699 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 195705 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 195710 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 195715 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VEXTRACTF32X4Z256rri),
     /* 195718 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195720 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 195723 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 195726 */   GIR_RootConstrainSelectedInstOperands,
     /* 195727 */   // GIR_Coverage, 19060,
     /* 195727 */   GIR_EraseRootFromParent_Done,
     /* 195728 */ // Label 4413: @195728
     /* 195728 */ GIM_Try, /*On fail goto*//*Label 4414*/ GIMT_Encode4(195777), // Rule ID 23004 //
     /* 195733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 195736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16RegClassID),
     /* 195740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 195744 */   // MIs[0] Operand 2
     /* 195744 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 195755 */   // (extract_subvector:{ *:[v2i64] } VR256:{ *:[v4i64] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v2i64] } VR256:{ *:[v4i64] }:$src, sub_xmm:{ *:[i32] })
     /* 195755 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195758 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195760 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // src
     /* 195766 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16RegClassID),
     /* 195771 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR256RegClassID),
     /* 195776 */   // GIR_Coverage, 23004,
     /* 195776 */   GIR_EraseRootFromParent_Done,
     /* 195777 */ // Label 4414: @195777
     /* 195777 */ GIM_Try, /*On fail goto*//*Label 4415*/ GIMT_Encode4(195826), // Rule ID 23007 //
     /* 195782 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 195785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16RegClassID),
     /* 195789 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 195793 */   // MIs[0] Operand 2
     /* 195793 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 195804 */   // (extract_subvector:{ *:[v2f64] } VR256:{ *:[v4f64] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v2f64] } VR256:{ *:[v4f64] }:$src, sub_xmm:{ *:[i32] })
     /* 195804 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195807 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195809 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // src
     /* 195815 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16RegClassID),
     /* 195820 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR256RegClassID),
     /* 195825 */   // GIR_Coverage, 23007,
     /* 195825 */   GIR_EraseRootFromParent_Done,
     /* 195826 */ // Label 4415: @195826
     /* 195826 */ GIM_Try, /*On fail goto*//*Label 4416*/ GIMT_Encode4(195875), // Rule ID 23025 //
     /* 195831 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 195834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 195838 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 195842 */   // MIs[0] Operand 2
     /* 195842 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 195853 */   // (extract_subvector:{ *:[v2i64] } VR512:{ *:[v8i64] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v2i64] } VR512:{ *:[v8i64] }:$src, sub_xmm:{ *:[i32] })
     /* 195853 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195856 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195858 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // src
     /* 195864 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 195869 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 195874 */   // GIR_Coverage, 23025,
     /* 195874 */   GIR_EraseRootFromParent_Done,
     /* 195875 */ // Label 4416: @195875
     /* 195875 */ GIM_Try, /*On fail goto*//*Label 4417*/ GIMT_Encode4(195924), // Rule ID 23028 //
     /* 195880 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 195883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 195887 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 195891 */   // MIs[0] Operand 2
     /* 195891 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 195902 */   // (extract_subvector:{ *:[v2f64] } VR512:{ *:[v8f64] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v2f64] } VR512:{ *:[v8f64] }:$src, sub_xmm:{ *:[i32] })
     /* 195902 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195905 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195907 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // src
     /* 195913 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 195918 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 195923 */   // GIR_Coverage, 23028,
     /* 195923 */   GIR_EraseRootFromParent_Done,
     /* 195924 */ // Label 4417: @195924
     /* 195924 */ GIM_Reject,
     /* 195925 */ // Label 4387: @195925
     /* 195925 */ GIM_Try, /*On fail goto*//*Label 4418*/ GIMT_Encode4(195965), // Rule ID 19623 //
     /* 195930 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s1,
     /* 195933 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /* 195937 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /* 195941 */   // MIs[0] Operand 2
     /* 195941 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 195952 */   // (extract_subvector:{ *:[v4i1] } VK8:{ *:[v8i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v4i1] } VK8:{ *:[v8i1] }:$src, VK4:{ *:[i32] })
     /* 195952 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195955 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195957 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 195959 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK4RegClassID),
     /* 195964 */   // GIR_Coverage, 19623,
     /* 195964 */   GIR_EraseRootFromParent_Done,
     /* 195965 */ // Label 4418: @195965
     /* 195965 */ GIM_Try, /*On fail goto*//*Label 4419*/ GIMT_Encode4(196005), // Rule ID 19625 //
     /* 195970 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s1,
     /* 195973 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /* 195977 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 195981 */   // MIs[0] Operand 2
     /* 195981 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 195992 */   // (extract_subvector:{ *:[v4i1] } VK16:{ *:[v16i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v4i1] } VK16:{ *:[v16i1] }:$src, VK4:{ *:[i32] })
     /* 195992 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195995 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195997 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 195999 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK4RegClassID),
     /* 196004 */   // GIR_Coverage, 19625,
     /* 196004 */   GIR_EraseRootFromParent_Done,
     /* 196005 */ // Label 4419: @196005
     /* 196005 */ GIM_Try, /*On fail goto*//*Label 4420*/ GIMT_Encode4(196045), // Rule ID 19627 //
     /* 196010 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s1,
     /* 196013 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /* 196017 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /* 196021 */   // MIs[0] Operand 2
     /* 196021 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 196032 */   // (extract_subvector:{ *:[v4i1] } VK32:{ *:[v32i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v4i1] } VK32:{ *:[v32i1] }:$src, VK4:{ *:[i32] })
     /* 196032 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196035 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196037 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 196039 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK4RegClassID),
     /* 196044 */   // GIR_Coverage, 19627,
     /* 196044 */   GIR_EraseRootFromParent_Done,
     /* 196045 */ // Label 4420: @196045
     /* 196045 */ GIM_Try, /*On fail goto*//*Label 4421*/ GIMT_Encode4(196085), // Rule ID 19629 //
     /* 196050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s1,
     /* 196053 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /* 196057 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /* 196061 */   // MIs[0] Operand 2
     /* 196061 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 196072 */   // (extract_subvector:{ *:[v4i1] } VK64:{ *:[v64i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v4i1] } VK64:{ *:[v64i1] }:$src, VK4:{ *:[i32] })
     /* 196072 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196075 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196077 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 196079 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK4RegClassID),
     /* 196084 */   // GIR_Coverage, 19629,
     /* 196084 */   GIR_EraseRootFromParent_Done,
     /* 196085 */ // Label 4421: @196085
     /* 196085 */ GIM_Reject,
     /* 196086 */ // Label 4388: @196086
     /* 196086 */ GIM_Try, /*On fail goto*//*Label 4422*/ GIMT_Encode4(196157), // Rule ID 19054 //
     /* 196091 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEVEX512_NoVLX),
     /* 196094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 196097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 196101 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 196105 */   // MIs[0] Operand 2
     /* 196105 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 196116 */   // (extract_subvector:{ *:[v4i32] } VR512:{ *:[v16i32] }:$src, 4:{ *:[iPTR] })  =>  (VEXTRACTI128rri:{ *:[v4i32] } (EXTRACT_SUBREG:{ *:[v8i32] } VR512:{ *:[v16i32] }:$src, sub_ymm:{ *:[i32] }), 1:{ *:[i8] })
     /* 196116 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s32,
     /* 196119 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196123 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 196128 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 196134 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 196139 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 196144 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VEXTRACTI128rri),
     /* 196147 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196149 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 196152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 196155 */   GIR_RootConstrainSelectedInstOperands,
     /* 196156 */   // GIR_Coverage, 19054,
     /* 196156 */   GIR_EraseRootFromParent_Done,
     /* 196157 */ // Label 4422: @196157
     /* 196157 */ GIM_Try, /*On fail goto*//*Label 4423*/ GIMT_Encode4(196228), // Rule ID 19055 //
     /* 196162 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEVEX512_NoVLX),
     /* 196165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 196168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 196172 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 196176 */   // MIs[0] Operand 2
     /* 196176 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 196187 */   // (extract_subvector:{ *:[v4f32] } VR512:{ *:[v16f32] }:$src, 4:{ *:[iPTR] })  =>  (VEXTRACTF128rri:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v8f32] } VR512:{ *:[v16f32] }:$src, sub_ymm:{ *:[i32] }), 1:{ *:[i8] })
     /* 196187 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s32,
     /* 196190 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196194 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 196199 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 196205 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 196210 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 196215 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VEXTRACTF128rri),
     /* 196218 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196220 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 196223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 196226 */   GIR_RootConstrainSelectedInstOperands,
     /* 196227 */   // GIR_Coverage, 19055,
     /* 196227 */   GIR_EraseRootFromParent_Done,
     /* 196228 */ // Label 4423: @196228
     /* 196228 */ GIM_Try, /*On fail goto*//*Label 4424*/ GIMT_Encode4(196299), // Rule ID 19061 //
     /* 196233 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 196236 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 196239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 196243 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 196247 */   // MIs[0] Operand 2
     /* 196247 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 196258 */   // (extract_subvector:{ *:[v4i32] } VR512:{ *:[v16i32] }:$src, 4:{ *:[iPTR] })  =>  (VEXTRACTI32X4Z256rri:{ *:[v4i32] } (EXTRACT_SUBREG:{ *:[v8i32] } VR512:{ *:[v16i32] }:$src, sub_ymm:{ *:[i32] }), 1:{ *:[i8] })
     /* 196258 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s32,
     /* 196261 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196265 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 196270 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 196276 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 196281 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 196286 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VEXTRACTI32X4Z256rri),
     /* 196289 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196291 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 196294 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 196297 */   GIR_RootConstrainSelectedInstOperands,
     /* 196298 */   // GIR_Coverage, 19061,
     /* 196298 */   GIR_EraseRootFromParent_Done,
     /* 196299 */ // Label 4424: @196299
     /* 196299 */ GIM_Try, /*On fail goto*//*Label 4425*/ GIMT_Encode4(196370), // Rule ID 19062 //
     /* 196304 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 196307 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 196310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 196314 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 196318 */   // MIs[0] Operand 2
     /* 196318 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 196329 */   // (extract_subvector:{ *:[v4f32] } VR512:{ *:[v16f32] }:$src, 4:{ *:[iPTR] })  =>  (VEXTRACTF32X4Z256rri:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v8f32] } VR512:{ *:[v16f32] }:$src, sub_ymm:{ *:[i32] }), 1:{ *:[i8] })
     /* 196329 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s32,
     /* 196332 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196336 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 196341 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 196347 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 196352 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 196357 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VEXTRACTF32X4Z256rri),
     /* 196360 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196362 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 196365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 196368 */   GIR_RootConstrainSelectedInstOperands,
     /* 196369 */   // GIR_Coverage, 19062,
     /* 196369 */   GIR_EraseRootFromParent_Done,
     /* 196370 */ // Label 4425: @196370
     /* 196370 */ GIM_Try, /*On fail goto*//*Label 4426*/ GIMT_Encode4(196419), // Rule ID 22998 //
     /* 196375 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 196378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16RegClassID),
     /* 196382 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 196386 */   // MIs[0] Operand 2
     /* 196386 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 196397 */   // (extract_subvector:{ *:[v4i32] } VR256:{ *:[v8i32] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v4i32] } VR256:{ *:[v8i32] }:$src, sub_xmm:{ *:[i32] })
     /* 196397 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196400 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196402 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // src
     /* 196408 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16RegClassID),
     /* 196413 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR256RegClassID),
     /* 196418 */   // GIR_Coverage, 22998,
     /* 196418 */   GIR_EraseRootFromParent_Done,
     /* 196419 */ // Label 4426: @196419
     /* 196419 */ GIM_Try, /*On fail goto*//*Label 4427*/ GIMT_Encode4(196468), // Rule ID 23001 //
     /* 196424 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 196427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16RegClassID),
     /* 196431 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 196435 */   // MIs[0] Operand 2
     /* 196435 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 196446 */   // (extract_subvector:{ *:[v4f32] } VR256:{ *:[v8f32] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v4f32] } VR256:{ *:[v8f32] }:$src, sub_xmm:{ *:[i32] })
     /* 196446 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196449 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196451 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // src
     /* 196457 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16RegClassID),
     /* 196462 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR256RegClassID),
     /* 196467 */   // GIR_Coverage, 23001,
     /* 196467 */   GIR_EraseRootFromParent_Done,
     /* 196468 */ // Label 4427: @196468
     /* 196468 */ GIM_Try, /*On fail goto*//*Label 4428*/ GIMT_Encode4(196517), // Rule ID 23019 //
     /* 196473 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 196476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 196480 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 196484 */   // MIs[0] Operand 2
     /* 196484 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 196495 */   // (extract_subvector:{ *:[v4i32] } VR512:{ *:[v16i32] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v4i32] } VR512:{ *:[v16i32] }:$src, sub_xmm:{ *:[i32] })
     /* 196495 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196498 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196500 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // src
     /* 196506 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 196511 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 196516 */   // GIR_Coverage, 23019,
     /* 196516 */   GIR_EraseRootFromParent_Done,
     /* 196517 */ // Label 4428: @196517
     /* 196517 */ GIM_Try, /*On fail goto*//*Label 4429*/ GIMT_Encode4(196566), // Rule ID 23022 //
     /* 196522 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 196525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 196529 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 196533 */   // MIs[0] Operand 2
     /* 196533 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 196544 */   // (extract_subvector:{ *:[v4f32] } VR512:{ *:[v16f32] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v4f32] } VR512:{ *:[v16f32] }:$src, sub_xmm:{ *:[i32] })
     /* 196544 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196547 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196549 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // src
     /* 196555 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 196560 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 196565 */   // GIR_Coverage, 23022,
     /* 196565 */   GIR_EraseRootFromParent_Done,
     /* 196566 */ // Label 4429: @196566
     /* 196566 */ GIM_Reject,
     /* 196567 */ // Label 4389: @196567
     /* 196567 */ GIM_Try, /*On fail goto*//*Label 4430*/ GIMT_Encode4(196649),
     /* 196572 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 196575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 196579 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 196583 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 196594 */   GIM_Try, /*On fail goto*//*Label 4431*/ GIMT_Encode4(196621), // Rule ID 23046 //
     /* 196599 */     // (extract_subvector:{ *:[v4i64] } VR512:{ *:[v8i64] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v4i64] } VR512:{ *:[v8i64] }:$src, sub_ymm:{ *:[i32] })
     /* 196599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196604 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 196610 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 196615 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 196620 */     // GIR_Coverage, 23046,
     /* 196620 */     GIR_EraseRootFromParent_Done,
     /* 196621 */   // Label 4431: @196621
     /* 196621 */   GIM_Try, /*On fail goto*//*Label 4432*/ GIMT_Encode4(196648), // Rule ID 23049 //
     /* 196626 */     // (extract_subvector:{ *:[v4f64] } VR512:{ *:[v8f64] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v4f64] } VR512:{ *:[v8f64] }:$src, sub_ymm:{ *:[i32] })
     /* 196626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196631 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 196637 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 196642 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 196647 */     // GIR_Coverage, 23049,
     /* 196647 */     GIR_EraseRootFromParent_Done,
     /* 196648 */   // Label 4432: @196648
     /* 196648 */   GIM_Reject,
     /* 196649 */ // Label 4430: @196649
     /* 196649 */ GIM_Reject,
     /* 196650 */ // Label 4390: @196650
     /* 196650 */ GIM_Try, /*On fail goto*//*Label 4433*/ GIMT_Encode4(196690), // Rule ID 19631 //
     /* 196655 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s1,
     /* 196658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /* 196662 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 196666 */   // MIs[0] Operand 2
     /* 196666 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 196677 */   // (extract_subvector:{ *:[v8i1] } VK16:{ *:[v16i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v8i1] } VK16:{ *:[v16i1] }:$src, VK8:{ *:[i32] })
     /* 196677 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196680 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196682 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 196684 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK8RegClassID),
     /* 196689 */   // GIR_Coverage, 19631,
     /* 196689 */   GIR_EraseRootFromParent_Done,
     /* 196690 */ // Label 4433: @196690
     /* 196690 */ GIM_Try, /*On fail goto*//*Label 4434*/ GIMT_Encode4(196730), // Rule ID 19633 //
     /* 196695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s1,
     /* 196698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /* 196702 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /* 196706 */   // MIs[0] Operand 2
     /* 196706 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 196717 */   // (extract_subvector:{ *:[v8i1] } VK32:{ *:[v32i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v8i1] } VK32:{ *:[v32i1] }:$src, VK8:{ *:[i32] })
     /* 196717 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196720 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196722 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 196724 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK8RegClassID),
     /* 196729 */   // GIR_Coverage, 19633,
     /* 196729 */   GIR_EraseRootFromParent_Done,
     /* 196730 */ // Label 4434: @196730
     /* 196730 */ GIM_Try, /*On fail goto*//*Label 4435*/ GIMT_Encode4(196770), // Rule ID 19635 //
     /* 196735 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s1,
     /* 196738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /* 196742 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /* 196746 */   // MIs[0] Operand 2
     /* 196746 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 196757 */   // (extract_subvector:{ *:[v8i1] } VK64:{ *:[v64i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v8i1] } VK64:{ *:[v64i1] }:$src, VK8:{ *:[i32] })
     /* 196757 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196760 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196762 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 196764 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK8RegClassID),
     /* 196769 */   // GIR_Coverage, 19635,
     /* 196769 */   GIR_EraseRootFromParent_Done,
     /* 196770 */ // Label 4435: @196770
     /* 196770 */ GIM_Reject,
     /* 196771 */ // Label 4391: @196771
     /* 196771 */ GIM_Try, /*On fail goto*//*Label 4436*/ GIMT_Encode4(196842), // Rule ID 19056 //
     /* 196776 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEVEX512_NoVLX),
     /* 196779 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 196782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 196786 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 196790 */   // MIs[0] Operand 2
     /* 196790 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 196801 */   // (extract_subvector:{ *:[v8i16] } VR512:{ *:[v32i16] }:$src, 8:{ *:[iPTR] })  =>  (VEXTRACTI128rri:{ *:[v8i16] } (EXTRACT_SUBREG:{ *:[v16i16] } VR512:{ *:[v32i16] }:$src, sub_ymm:{ *:[i32] }), 1:{ *:[i8] })
     /* 196801 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s16,
     /* 196804 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196808 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 196813 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 196819 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 196824 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 196829 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VEXTRACTI128rri),
     /* 196832 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196834 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 196837 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 196840 */   GIR_RootConstrainSelectedInstOperands,
     /* 196841 */   // GIR_Coverage, 19056,
     /* 196841 */   GIR_EraseRootFromParent_Done,
     /* 196842 */ // Label 4436: @196842
     /* 196842 */ GIM_Try, /*On fail goto*//*Label 4437*/ GIMT_Encode4(196913), // Rule ID 19057 //
     /* 196847 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEVEX512_NoVLX),
     /* 196850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 196853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 196857 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 196861 */   // MIs[0] Operand 2
     /* 196861 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 196872 */   // (extract_subvector:{ *:[v8f16] } VR512:{ *:[v32f16] }:$src, 8:{ *:[iPTR] })  =>  (VEXTRACTF128rri:{ *:[v8f16] } (EXTRACT_SUBREG:{ *:[v16f16] } VR512:{ *:[v32f16] }:$src, sub_ymm:{ *:[i32] }), 1:{ *:[i8] })
     /* 196872 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s16,
     /* 196875 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196879 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 196884 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 196890 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 196895 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 196900 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VEXTRACTF128rri),
     /* 196903 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196905 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 196908 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 196911 */   GIR_RootConstrainSelectedInstOperands,
     /* 196912 */   // GIR_Coverage, 19057,
     /* 196912 */   GIR_EraseRootFromParent_Done,
     /* 196913 */ // Label 4437: @196913
     /* 196913 */ GIM_Try, /*On fail goto*//*Label 4438*/ GIMT_Encode4(196984), // Rule ID 19063 //
     /* 196918 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 196921 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 196924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 196928 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 196932 */   // MIs[0] Operand 2
     /* 196932 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 196943 */   // (extract_subvector:{ *:[v8i16] } VR512:{ *:[v32i16] }:$src, 8:{ *:[iPTR] })  =>  (VEXTRACTI32X4Z256rri:{ *:[v8i16] } (EXTRACT_SUBREG:{ *:[v16i16] } VR512:{ *:[v32i16] }:$src, sub_ymm:{ *:[i32] }), 1:{ *:[i8] })
     /* 196943 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s16,
     /* 196946 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196950 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 196955 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 196961 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 196966 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 196971 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VEXTRACTI32X4Z256rri),
     /* 196974 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196976 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 196979 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 196982 */   GIR_RootConstrainSelectedInstOperands,
     /* 196983 */   // GIR_Coverage, 19063,
     /* 196983 */   GIR_EraseRootFromParent_Done,
     /* 196984 */ // Label 4438: @196984
     /* 196984 */ GIM_Try, /*On fail goto*//*Label 4439*/ GIMT_Encode4(197055), // Rule ID 19064 //
     /* 196989 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 196992 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 196995 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 196999 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 197003 */   // MIs[0] Operand 2
     /* 197003 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 197014 */   // (extract_subvector:{ *:[v8f16] } VR512:{ *:[v32f16] }:$src, 8:{ *:[iPTR] })  =>  (VEXTRACTF32X4Z256rri:{ *:[v8f16] } (EXTRACT_SUBREG:{ *:[v16f16] } VR512:{ *:[v32f16] }:$src, sub_ymm:{ *:[i32] }), 1:{ *:[i8] })
     /* 197014 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s16,
     /* 197017 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 197021 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 197026 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 197032 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 197037 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 197042 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VEXTRACTF32X4Z256rri),
     /* 197045 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197047 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 197050 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 197053 */   GIR_RootConstrainSelectedInstOperands,
     /* 197054 */   // GIR_Coverage, 19064,
     /* 197054 */   GIR_EraseRootFromParent_Done,
     /* 197055 */ // Label 4439: @197055
     /* 197055 */ GIM_Try, /*On fail goto*//*Label 4440*/ GIMT_Encode4(197104), // Rule ID 23010 //
     /* 197060 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 197063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16RegClassID),
     /* 197067 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 197071 */   // MIs[0] Operand 2
     /* 197071 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 197082 */   // (extract_subvector:{ *:[v8i16] } VR256:{ *:[v16i16] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v8i16] } VR256:{ *:[v16i16] }:$src, sub_xmm:{ *:[i32] })
     /* 197082 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 197085 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197087 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // src
     /* 197093 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16RegClassID),
     /* 197098 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR256RegClassID),
     /* 197103 */   // GIR_Coverage, 23010,
     /* 197103 */   GIR_EraseRootFromParent_Done,
     /* 197104 */ // Label 4440: @197104
     /* 197104 */ GIM_Try, /*On fail goto*//*Label 4441*/ GIMT_Encode4(197153), // Rule ID 23016 //
     /* 197109 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 197112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16RegClassID),
     /* 197116 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 197120 */   // MIs[0] Operand 2
     /* 197120 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 197131 */   // (extract_subvector:{ *:[v8f16] } VR256:{ *:[v16f16] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v8f16] } VR256:{ *:[v16f16] }:$src, sub_xmm:{ *:[i32] })
     /* 197131 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 197134 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197136 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // src
     /* 197142 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16RegClassID),
     /* 197147 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR256RegClassID),
     /* 197152 */   // GIR_Coverage, 23016,
     /* 197152 */   GIR_EraseRootFromParent_Done,
     /* 197153 */ // Label 4441: @197153
     /* 197153 */ GIM_Try, /*On fail goto*//*Label 4442*/ GIMT_Encode4(197202), // Rule ID 23031 //
     /* 197158 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 197161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 197165 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 197169 */   // MIs[0] Operand 2
     /* 197169 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 197180 */   // (extract_subvector:{ *:[v8i16] } VR512:{ *:[v32i16] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v8i16] } VR512:{ *:[v32i16] }:$src, sub_xmm:{ *:[i32] })
     /* 197180 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 197183 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197185 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // src
     /* 197191 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 197196 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 197201 */   // GIR_Coverage, 23031,
     /* 197201 */   GIR_EraseRootFromParent_Done,
     /* 197202 */ // Label 4442: @197202
     /* 197202 */ GIM_Try, /*On fail goto*//*Label 4443*/ GIMT_Encode4(197251), // Rule ID 23037 //
     /* 197207 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 197210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 197214 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 197218 */   // MIs[0] Operand 2
     /* 197218 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 197229 */   // (extract_subvector:{ *:[v8f16] } VR512:{ *:[v32f16] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v8f16] } VR512:{ *:[v32f16] }:$src, sub_xmm:{ *:[i32] })
     /* 197229 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 197232 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197234 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // src
     /* 197240 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 197245 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 197250 */   // GIR_Coverage, 23037,
     /* 197250 */   GIR_EraseRootFromParent_Done,
     /* 197251 */ // Label 4443: @197251
     /* 197251 */ GIM_Reject,
     /* 197252 */ // Label 4392: @197252
     /* 197252 */ GIM_Try, /*On fail goto*//*Label 4444*/ GIMT_Encode4(197334),
     /* 197257 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 197260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 197264 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 197268 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 197279 */   GIM_Try, /*On fail goto*//*Label 4445*/ GIMT_Encode4(197306), // Rule ID 23040 //
     /* 197284 */     // (extract_subvector:{ *:[v8i32] } VR512:{ *:[v16i32] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v8i32] } VR512:{ *:[v16i32] }:$src, sub_ymm:{ *:[i32] })
     /* 197284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 197287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197289 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 197295 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 197300 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 197305 */     // GIR_Coverage, 23040,
     /* 197305 */     GIR_EraseRootFromParent_Done,
     /* 197306 */   // Label 4445: @197306
     /* 197306 */   GIM_Try, /*On fail goto*//*Label 4446*/ GIMT_Encode4(197333), // Rule ID 23043 //
     /* 197311 */     // (extract_subvector:{ *:[v8f32] } VR512:{ *:[v16f32] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v8f32] } VR512:{ *:[v16f32] }:$src, sub_ymm:{ *:[i32] })
     /* 197311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 197314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197316 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 197322 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 197327 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 197332 */     // GIR_Coverage, 23043,
     /* 197332 */     GIR_EraseRootFromParent_Done,
     /* 197333 */   // Label 4446: @197333
     /* 197333 */   GIM_Reject,
     /* 197334 */ // Label 4444: @197334
     /* 197334 */ GIM_Reject,
     /* 197335 */ // Label 4393: @197335
     /* 197335 */ GIM_Try, /*On fail goto*//*Label 4447*/ GIMT_Encode4(197375), // Rule ID 19637 //
     /* 197340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s1,
     /* 197343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 197347 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /* 197351 */   // MIs[0] Operand 2
     /* 197351 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 197362 */   // (extract_subvector:{ *:[v16i1] } VK32:{ *:[v32i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v16i1] } VK32:{ *:[v32i1] }:$src, VK16:{ *:[i32] })
     /* 197362 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 197365 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197367 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 197369 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /* 197374 */   // GIR_Coverage, 19637,
     /* 197374 */   GIR_EraseRootFromParent_Done,
     /* 197375 */ // Label 4447: @197375
     /* 197375 */ GIM_Try, /*On fail goto*//*Label 4448*/ GIMT_Encode4(197415), // Rule ID 19639 //
     /* 197380 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s1,
     /* 197383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 197387 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /* 197391 */   // MIs[0] Operand 2
     /* 197391 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 197402 */   // (extract_subvector:{ *:[v16i1] } VK64:{ *:[v64i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v16i1] } VK64:{ *:[v64i1] }:$src, VK16:{ *:[i32] })
     /* 197402 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 197405 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197407 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 197409 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /* 197414 */   // GIR_Coverage, 19639,
     /* 197414 */   GIR_EraseRootFromParent_Done,
     /* 197415 */ // Label 4448: @197415
     /* 197415 */ GIM_Reject,
     /* 197416 */ // Label 4394: @197416
     /* 197416 */ GIM_Try, /*On fail goto*//*Label 4449*/ GIMT_Encode4(197487), // Rule ID 19058 //
     /* 197421 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEVEX512_NoVLX),
     /* 197424 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /* 197427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 197431 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 197435 */   // MIs[0] Operand 2
     /* 197435 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 197446 */   // (extract_subvector:{ *:[v16i8] } VR512:{ *:[v64i8] }:$src, 16:{ *:[iPTR] })  =>  (VEXTRACTI128rri:{ *:[v16i8] } (EXTRACT_SUBREG:{ *:[v32i8] } VR512:{ *:[v64i8] }:$src, sub_ymm:{ *:[i32] }), 1:{ *:[i8] })
     /* 197446 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v32s8,
     /* 197449 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 197453 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 197458 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 197464 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 197469 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 197474 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VEXTRACTI128rri),
     /* 197477 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197479 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 197482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 197485 */   GIR_RootConstrainSelectedInstOperands,
     /* 197486 */   // GIR_Coverage, 19058,
     /* 197486 */   GIR_EraseRootFromParent_Done,
     /* 197487 */ // Label 4449: @197487
     /* 197487 */ GIM_Try, /*On fail goto*//*Label 4450*/ GIMT_Encode4(197558), // Rule ID 19065 //
     /* 197492 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 197495 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /* 197498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 197502 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 197506 */   // MIs[0] Operand 2
     /* 197506 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 197517 */   // (extract_subvector:{ *:[v16i8] } VR512:{ *:[v64i8] }:$src, 16:{ *:[iPTR] })  =>  (VEXTRACTI32X4Z256rri:{ *:[v16i8] } (EXTRACT_SUBREG:{ *:[v32i8] } VR512:{ *:[v64i8] }:$src, sub_ymm:{ *:[i32] }), 1:{ *:[i8] })
     /* 197517 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v32s8,
     /* 197520 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 197524 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 197529 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 197535 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 197540 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 197545 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VEXTRACTI32X4Z256rri),
     /* 197548 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197550 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 197553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 197556 */   GIR_RootConstrainSelectedInstOperands,
     /* 197557 */   // GIR_Coverage, 19065,
     /* 197557 */   GIR_EraseRootFromParent_Done,
     /* 197558 */ // Label 4450: @197558
     /* 197558 */ GIM_Try, /*On fail goto*//*Label 4451*/ GIMT_Encode4(197607), // Rule ID 23013 //
     /* 197563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /* 197566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16RegClassID),
     /* 197570 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 197574 */   // MIs[0] Operand 2
     /* 197574 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 197585 */   // (extract_subvector:{ *:[v16i8] } VR256:{ *:[v32i8] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v16i8] } VR256:{ *:[v32i8] }:$src, sub_xmm:{ *:[i32] })
     /* 197585 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 197588 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197590 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // src
     /* 197596 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16RegClassID),
     /* 197601 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR256RegClassID),
     /* 197606 */   // GIR_Coverage, 23013,
     /* 197606 */   GIR_EraseRootFromParent_Done,
     /* 197607 */ // Label 4451: @197607
     /* 197607 */ GIM_Try, /*On fail goto*//*Label 4452*/ GIMT_Encode4(197656), // Rule ID 23034 //
     /* 197612 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /* 197615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 197619 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 197623 */   // MIs[0] Operand 2
     /* 197623 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 197634 */   // (extract_subvector:{ *:[v16i8] } VR512:{ *:[v64i8] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v16i8] } VR512:{ *:[v64i8] }:$src, sub_xmm:{ *:[i32] })
     /* 197634 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 197637 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197639 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // src
     /* 197645 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 197650 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 197655 */   // GIR_Coverage, 23034,
     /* 197655 */   GIR_EraseRootFromParent_Done,
     /* 197656 */ // Label 4452: @197656
     /* 197656 */ GIM_Reject,
     /* 197657 */ // Label 4395: @197657
     /* 197657 */ GIM_Try, /*On fail goto*//*Label 4453*/ GIMT_Encode4(197739),
     /* 197662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 197665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 197669 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 197673 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 197684 */   GIM_Try, /*On fail goto*//*Label 4454*/ GIMT_Encode4(197711), // Rule ID 23052 //
     /* 197689 */     // (extract_subvector:{ *:[v16i16] } VR512:{ *:[v32i16] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v16i16] } VR512:{ *:[v32i16] }:$src, sub_ymm:{ *:[i32] })
     /* 197689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 197692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197694 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 197700 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 197705 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 197710 */     // GIR_Coverage, 23052,
     /* 197710 */     GIR_EraseRootFromParent_Done,
     /* 197711 */   // Label 4454: @197711
     /* 197711 */   GIM_Try, /*On fail goto*//*Label 4455*/ GIMT_Encode4(197738), // Rule ID 23058 //
     /* 197716 */     // (extract_subvector:{ *:[v16f16] } VR512:{ *:[v32f16] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v16f16] } VR512:{ *:[v32f16] }:$src, sub_ymm:{ *:[i32] })
     /* 197716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 197719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197721 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 197727 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 197732 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 197737 */     // GIR_Coverage, 23058,
     /* 197737 */     GIR_EraseRootFromParent_Done,
     /* 197738 */   // Label 4455: @197738
     /* 197738 */   GIM_Reject,
     /* 197739 */ // Label 4453: @197739
     /* 197739 */ GIM_Reject,
     /* 197740 */ // Label 4396: @197740
     /* 197740 */ GIM_Try, /*On fail goto*//*Label 4456*/ GIMT_Encode4(197780), // Rule ID 19641 //
     /* 197745 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s1,
     /* 197748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /* 197752 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /* 197756 */   // MIs[0] Operand 2
     /* 197756 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 197767 */   // (extract_subvector:{ *:[v32i1] } VK64:{ *:[v64i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v32i1] } VK64:{ *:[v64i1] }:$src, VK32:{ *:[i32] })
     /* 197767 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 197770 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197772 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 197774 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK32RegClassID),
     /* 197779 */   // GIR_Coverage, 19641,
     /* 197779 */   GIR_EraseRootFromParent_Done,
     /* 197780 */ // Label 4456: @197780
     /* 197780 */ GIM_Reject,
     /* 197781 */ // Label 4397: @197781
     /* 197781 */ GIM_Try, /*On fail goto*//*Label 4457*/ GIMT_Encode4(197830), // Rule ID 23055 //
     /* 197786 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /* 197789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 197793 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 197797 */   // MIs[0] Operand 2
     /* 197797 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 197808 */   // (extract_subvector:{ *:[v32i8] } VR512:{ *:[v64i8] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v32i8] } VR512:{ *:[v64i8] }:$src, sub_ymm:{ *:[i32] })
     /* 197808 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 197811 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197813 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 197819 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 197824 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 197829 */   // GIR_Coverage, 23055,
     /* 197829 */   GIR_EraseRootFromParent_Done,
     /* 197830 */ // Label 4457: @197830
     /* 197830 */ GIM_Reject,
     /* 197831 */ // Label 4398: @197831
     /* 197831 */ GIM_Reject,
     /* 197832 */ // Label 61: @197832
     /* 197832 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(25), /*)*//*default:*//*Label 4470*/ GIMT_Encode4(199813),
     /* 197843 */ /*GILLT_v2s64*//*Label 4458*/ GIMT_Encode4(197911), GIMT_Encode4(0),
     /* 197851 */ /*GILLT_v4s32*//*Label 4459*/ GIMT_Encode4(198113),
     /* 197855 */ /*GILLT_v4s64*//*Label 4460*/ GIMT_Encode4(198315), GIMT_Encode4(0),
     /* 197863 */ /*GILLT_v8s16*//*Label 4461*/ GIMT_Encode4(198517),
     /* 197867 */ /*GILLT_v8s32*//*Label 4462*/ GIMT_Encode4(198632),
     /* 197871 */ /*GILLT_v8s64*//*Label 4463*/ GIMT_Encode4(198834), GIMT_Encode4(0),
     /* 197879 */ /*GILLT_v16s8*//*Label 4464*/ GIMT_Encode4(199036),
     /* 197883 */ /*GILLT_v16s16*//*Label 4465*/ GIMT_Encode4(199151),
     /* 197887 */ /*GILLT_v16s32*//*Label 4466*/ GIMT_Encode4(199266), GIMT_Encode4(0),
     /* 197895 */ /*GILLT_v32s8*//*Label 4467*/ GIMT_Encode4(199468),
     /* 197899 */ /*GILLT_v32s16*//*Label 4468*/ GIMT_Encode4(199583), GIMT_Encode4(0),
     /* 197907 */ /*GILLT_v64s8*//*Label 4469*/ GIMT_Encode4(199698),
     /* 197911 */ // Label 4458: @197911
     /* 197911 */ GIM_Try, /*On fail goto*//*Label 4471*/ GIMT_Encode4(198112),
     /* 197916 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 197919 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s1,
     /* 197922 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 197925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 197929 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 197933 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK2WMRegClassID),
     /* 197937 */   GIM_Try, /*On fail goto*//*Label 4472*/ GIMT_Encode4(197970), // Rule ID 21695 //
     /* 197942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 197945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 197949 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 197955 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 197957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 197959 */     // (vector_compress:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src, VK2WM:{ *:[v2i1] }:$mask, immAllZerosV:{ *:[v2i64] })  =>  (VPCOMPRESSQZ128rrkz:{ *:[v2i64] } VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2i64] }:$src)
     /* 197959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSQZ128rrkz),
     /* 197962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197964 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 197966 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 197968 */     GIR_RootConstrainSelectedInstOperands,
     /* 197969 */     // GIR_Coverage, 21695,
     /* 197969 */     GIR_EraseRootFromParent_Done,
     /* 197970 */   // Label 4472: @197970
     /* 197970 */   GIM_Try, /*On fail goto*//*Label 4473*/ GIMT_Encode4(198003), // Rule ID 21731 //
     /* 197975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 197978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 197982 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 197988 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 197990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 197992 */     // (vector_compress:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src, VK2WM:{ *:[v2i1] }:$mask, immAllZerosV:{ *:[v2f64] })  =>  (VCOMPRESSPDZ128rrkz:{ *:[v2f64] } VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2f64] }:$src)
     /* 197992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCOMPRESSPDZ128rrkz),
     /* 197995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197997 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 197999 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198001 */     GIR_RootConstrainSelectedInstOperands,
     /* 198002 */     // GIR_Coverage, 21731,
     /* 198002 */     GIR_EraseRootFromParent_Done,
     /* 198003 */   // Label 4473: @198003
     /* 198003 */   GIM_Try, /*On fail goto*//*Label 4474*/ GIMT_Encode4(198032), // Rule ID 21694 //
     /* 198008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 198011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 198019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198021 */     // (vector_compress:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src, VK2WM:{ *:[v2i1] }:$mask, (undef:{ *:[v2i64] }))  =>  (VPCOMPRESSQZ128rrkz:{ *:[v2i64] } VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2i64] }:$src)
     /* 198021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSQZ128rrkz),
     /* 198024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198026 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198028 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198030 */     GIR_RootConstrainSelectedInstOperands,
     /* 198031 */     // GIR_Coverage, 21694,
     /* 198031 */     GIR_EraseRootFromParent_Done,
     /* 198032 */   // Label 4474: @198032
     /* 198032 */   GIM_Try, /*On fail goto*//*Label 4475*/ GIMT_Encode4(198061), // Rule ID 21730 //
     /* 198037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 198040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 198048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198050 */     // (vector_compress:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src, VK2WM:{ *:[v2i1] }:$mask, (undef:{ *:[v2f64] }))  =>  (VCOMPRESSPDZ128rrkz:{ *:[v2f64] } VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2f64] }:$src)
     /* 198050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCOMPRESSPDZ128rrkz),
     /* 198053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198055 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198057 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198059 */     GIR_RootConstrainSelectedInstOperands,
     /* 198060 */     // GIR_Coverage, 21730,
     /* 198060 */     GIR_EraseRootFromParent_Done,
     /* 198061 */   // Label 4475: @198061
     /* 198061 */   GIM_Try, /*On fail goto*//*Label 4476*/ GIMT_Encode4(198086), // Rule ID 21696 //
     /* 198066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 198069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 198073 */     // (vector_compress:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src, VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2i64] }:$passthru)  =>  (VPCOMPRESSQZ128rrk:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$passthru, VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2i64] }:$src)
     /* 198073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSQZ128rrk),
     /* 198076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198078 */     GIR_RootToRootCopy, /*OpIdx*/3, // passthru
     /* 198080 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198082 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198084 */     GIR_RootConstrainSelectedInstOperands,
     /* 198085 */     // GIR_Coverage, 21696,
     /* 198085 */     GIR_EraseRootFromParent_Done,
     /* 198086 */   // Label 4476: @198086
     /* 198086 */   GIM_Try, /*On fail goto*//*Label 4477*/ GIMT_Encode4(198111), // Rule ID 21732 //
     /* 198091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 198094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 198098 */     // (vector_compress:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src, VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2f64] }:$passthru)  =>  (VCOMPRESSPDZ128rrk:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$passthru, VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2f64] }:$src)
     /* 198098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCOMPRESSPDZ128rrk),
     /* 198101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198103 */     GIR_RootToRootCopy, /*OpIdx*/3, // passthru
     /* 198105 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198107 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198109 */     GIR_RootConstrainSelectedInstOperands,
     /* 198110 */     // GIR_Coverage, 21732,
     /* 198110 */     GIR_EraseRootFromParent_Done,
     /* 198111 */   // Label 4477: @198111
     /* 198111 */   GIM_Reject,
     /* 198112 */ // Label 4471: @198112
     /* 198112 */ GIM_Reject,
     /* 198113 */ // Label 4459: @198113
     /* 198113 */ GIM_Try, /*On fail goto*//*Label 4478*/ GIMT_Encode4(198314),
     /* 198118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 198121 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s1,
     /* 198124 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 198127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 198131 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 198135 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK4WMRegClassID),
     /* 198139 */   GIM_Try, /*On fail goto*//*Label 4479*/ GIMT_Encode4(198172), // Rule ID 21677 //
     /* 198144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 198147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198151 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 198157 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 198159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198161 */     // (vector_compress:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src, VK4WM:{ *:[v4i1] }:$mask, immAllZerosV:{ *:[v4i32] })  =>  (VPCOMPRESSDZ128rrkz:{ *:[v4i32] } VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4i32] }:$src)
     /* 198161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSDZ128rrkz),
     /* 198164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198166 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198168 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198170 */     GIR_RootConstrainSelectedInstOperands,
     /* 198171 */     // GIR_Coverage, 21677,
     /* 198171 */     GIR_EraseRootFromParent_Done,
     /* 198172 */   // Label 4479: @198172
     /* 198172 */   GIM_Try, /*On fail goto*//*Label 4480*/ GIMT_Encode4(198205), // Rule ID 21713 //
     /* 198177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 198180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198184 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 198190 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 198192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198194 */     // (vector_compress:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src, VK4WM:{ *:[v4i1] }:$mask, immAllZerosV:{ *:[v4f32] })  =>  (VCOMPRESSPSZ128rrkz:{ *:[v4f32] } VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4f32] }:$src)
     /* 198194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCOMPRESSPSZ128rrkz),
     /* 198197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198199 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198201 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198203 */     GIR_RootConstrainSelectedInstOperands,
     /* 198204 */     // GIR_Coverage, 21713,
     /* 198204 */     GIR_EraseRootFromParent_Done,
     /* 198205 */   // Label 4480: @198205
     /* 198205 */   GIM_Try, /*On fail goto*//*Label 4481*/ GIMT_Encode4(198234), // Rule ID 21676 //
     /* 198210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 198213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 198221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198223 */     // (vector_compress:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src, VK4WM:{ *:[v4i1] }:$mask, (undef:{ *:[v4i32] }))  =>  (VPCOMPRESSDZ128rrkz:{ *:[v4i32] } VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4i32] }:$src)
     /* 198223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSDZ128rrkz),
     /* 198226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198228 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198230 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198232 */     GIR_RootConstrainSelectedInstOperands,
     /* 198233 */     // GIR_Coverage, 21676,
     /* 198233 */     GIR_EraseRootFromParent_Done,
     /* 198234 */   // Label 4481: @198234
     /* 198234 */   GIM_Try, /*On fail goto*//*Label 4482*/ GIMT_Encode4(198263), // Rule ID 21712 //
     /* 198239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 198242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 198250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198252 */     // (vector_compress:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src, VK4WM:{ *:[v4i1] }:$mask, (undef:{ *:[v4f32] }))  =>  (VCOMPRESSPSZ128rrkz:{ *:[v4f32] } VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4f32] }:$src)
     /* 198252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCOMPRESSPSZ128rrkz),
     /* 198255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198257 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198259 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198261 */     GIR_RootConstrainSelectedInstOperands,
     /* 198262 */     // GIR_Coverage, 21712,
     /* 198262 */     GIR_EraseRootFromParent_Done,
     /* 198263 */   // Label 4482: @198263
     /* 198263 */   GIM_Try, /*On fail goto*//*Label 4483*/ GIMT_Encode4(198288), // Rule ID 21678 //
     /* 198268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 198271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 198275 */     // (vector_compress:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src, VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4i32] }:$passthru)  =>  (VPCOMPRESSDZ128rrk:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$passthru, VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4i32] }:$src)
     /* 198275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSDZ128rrk),
     /* 198278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198280 */     GIR_RootToRootCopy, /*OpIdx*/3, // passthru
     /* 198282 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198284 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198286 */     GIR_RootConstrainSelectedInstOperands,
     /* 198287 */     // GIR_Coverage, 21678,
     /* 198287 */     GIR_EraseRootFromParent_Done,
     /* 198288 */   // Label 4483: @198288
     /* 198288 */   GIM_Try, /*On fail goto*//*Label 4484*/ GIMT_Encode4(198313), // Rule ID 21714 //
     /* 198293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 198296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 198300 */     // (vector_compress:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src, VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4f32] }:$passthru)  =>  (VCOMPRESSPSZ128rrk:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$passthru, VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4f32] }:$src)
     /* 198300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCOMPRESSPSZ128rrk),
     /* 198303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198305 */     GIR_RootToRootCopy, /*OpIdx*/3, // passthru
     /* 198307 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198309 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198311 */     GIR_RootConstrainSelectedInstOperands,
     /* 198312 */     // GIR_Coverage, 21714,
     /* 198312 */     GIR_EraseRootFromParent_Done,
     /* 198313 */   // Label 4484: @198313
     /* 198313 */   GIM_Reject,
     /* 198314 */ // Label 4478: @198314
     /* 198314 */ GIM_Reject,
     /* 198315 */ // Label 4460: @198315
     /* 198315 */ GIM_Try, /*On fail goto*//*Label 4485*/ GIMT_Encode4(198516),
     /* 198320 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 198323 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s1,
     /* 198326 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /* 198329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 198333 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 198337 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK4WMRegClassID),
     /* 198341 */   GIM_Try, /*On fail goto*//*Label 4486*/ GIMT_Encode4(198374), // Rule ID 21689 //
     /* 198346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 198349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198353 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 198359 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 198361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198363 */     // (vector_compress:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src, VK4WM:{ *:[v4i1] }:$mask, immAllZerosV:{ *:[v4i64] })  =>  (VPCOMPRESSQZ256rrkz:{ *:[v4i64] } VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4i64] }:$src)
     /* 198363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSQZ256rrkz),
     /* 198366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198368 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198370 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198372 */     GIR_RootConstrainSelectedInstOperands,
     /* 198373 */     // GIR_Coverage, 21689,
     /* 198373 */     GIR_EraseRootFromParent_Done,
     /* 198374 */   // Label 4486: @198374
     /* 198374 */   GIM_Try, /*On fail goto*//*Label 4487*/ GIMT_Encode4(198407), // Rule ID 21725 //
     /* 198379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 198382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198386 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 198392 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 198394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198396 */     // (vector_compress:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src, VK4WM:{ *:[v4i1] }:$mask, immAllZerosV:{ *:[v4f64] })  =>  (VCOMPRESSPDZ256rrkz:{ *:[v4f64] } VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4f64] }:$src)
     /* 198396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCOMPRESSPDZ256rrkz),
     /* 198399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198401 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198403 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198405 */     GIR_RootConstrainSelectedInstOperands,
     /* 198406 */     // GIR_Coverage, 21725,
     /* 198406 */     GIR_EraseRootFromParent_Done,
     /* 198407 */   // Label 4487: @198407
     /* 198407 */   GIM_Try, /*On fail goto*//*Label 4488*/ GIMT_Encode4(198436), // Rule ID 21688 //
     /* 198412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 198415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 198423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198425 */     // (vector_compress:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src, VK4WM:{ *:[v4i1] }:$mask, (undef:{ *:[v4i64] }))  =>  (VPCOMPRESSQZ256rrkz:{ *:[v4i64] } VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4i64] }:$src)
     /* 198425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSQZ256rrkz),
     /* 198428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198430 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198432 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198434 */     GIR_RootConstrainSelectedInstOperands,
     /* 198435 */     // GIR_Coverage, 21688,
     /* 198435 */     GIR_EraseRootFromParent_Done,
     /* 198436 */   // Label 4488: @198436
     /* 198436 */   GIM_Try, /*On fail goto*//*Label 4489*/ GIMT_Encode4(198465), // Rule ID 21724 //
     /* 198441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 198444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 198452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198454 */     // (vector_compress:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src, VK4WM:{ *:[v4i1] }:$mask, (undef:{ *:[v4f64] }))  =>  (VCOMPRESSPDZ256rrkz:{ *:[v4f64] } VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4f64] }:$src)
     /* 198454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCOMPRESSPDZ256rrkz),
     /* 198457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198459 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198461 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198463 */     GIR_RootConstrainSelectedInstOperands,
     /* 198464 */     // GIR_Coverage, 21724,
     /* 198464 */     GIR_EraseRootFromParent_Done,
     /* 198465 */   // Label 4489: @198465
     /* 198465 */   GIM_Try, /*On fail goto*//*Label 4490*/ GIMT_Encode4(198490), // Rule ID 21690 //
     /* 198470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 198473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 198477 */     // (vector_compress:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src, VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4i64] }:$passthru)  =>  (VPCOMPRESSQZ256rrk:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$passthru, VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4i64] }:$src)
     /* 198477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSQZ256rrk),
     /* 198480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198482 */     GIR_RootToRootCopy, /*OpIdx*/3, // passthru
     /* 198484 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198486 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198488 */     GIR_RootConstrainSelectedInstOperands,
     /* 198489 */     // GIR_Coverage, 21690,
     /* 198489 */     GIR_EraseRootFromParent_Done,
     /* 198490 */   // Label 4490: @198490
     /* 198490 */   GIM_Try, /*On fail goto*//*Label 4491*/ GIMT_Encode4(198515), // Rule ID 21726 //
     /* 198495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 198498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 198502 */     // (vector_compress:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src, VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4f64] }:$passthru)  =>  (VCOMPRESSPDZ256rrk:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$passthru, VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4f64] }:$src)
     /* 198502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCOMPRESSPDZ256rrk),
     /* 198505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198507 */     GIR_RootToRootCopy, /*OpIdx*/3, // passthru
     /* 198509 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198511 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198513 */     GIR_RootConstrainSelectedInstOperands,
     /* 198514 */     // GIR_Coverage, 21726,
     /* 198514 */     GIR_EraseRootFromParent_Done,
     /* 198515 */   // Label 4491: @198515
     /* 198515 */   GIM_Reject,
     /* 198516 */ // Label 4485: @198516
     /* 198516 */ GIM_Reject,
     /* 198517 */ // Label 4461: @198517
     /* 198517 */ GIM_Try, /*On fail goto*//*Label 4492*/ GIMT_Encode4(198631),
     /* 198522 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 198525 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s1,
     /* 198528 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 198531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 198535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 198539 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 198543 */   GIM_Try, /*On fail goto*//*Label 4493*/ GIMT_Encode4(198576), // Rule ID 22097 //
     /* 198548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVBMI2_HasVLX),
     /* 198551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198555 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 198561 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 198563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198565 */     // (vector_compress:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src, VK8WM:{ *:[v8i1] }:$mask, immAllZerosV:{ *:[v8i16] })  =>  (VPCOMPRESSWZ128rrkz:{ *:[v8i16] } VK8WM:{ *:[v8i1] }:$mask, VR128X:{ *:[v8i16] }:$src)
     /* 198565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSWZ128rrkz),
     /* 198568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198570 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198572 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198574 */     GIR_RootConstrainSelectedInstOperands,
     /* 198575 */     // GIR_Coverage, 22097,
     /* 198575 */     GIR_EraseRootFromParent_Done,
     /* 198576 */   // Label 4493: @198576
     /* 198576 */   GIM_Try, /*On fail goto*//*Label 4494*/ GIMT_Encode4(198605), // Rule ID 22096 //
     /* 198581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVBMI2_HasVLX),
     /* 198584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 198592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198594 */     // (vector_compress:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src, VK8WM:{ *:[v8i1] }:$mask, (undef:{ *:[v8i16] }))  =>  (VPCOMPRESSWZ128rrkz:{ *:[v8i16] } VK8WM:{ *:[v8i1] }:$mask, VR128X:{ *:[v8i16] }:$src)
     /* 198594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSWZ128rrkz),
     /* 198597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198599 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198601 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198603 */     GIR_RootConstrainSelectedInstOperands,
     /* 198604 */     // GIR_Coverage, 22096,
     /* 198604 */     GIR_EraseRootFromParent_Done,
     /* 198605 */   // Label 4494: @198605
     /* 198605 */   GIM_Try, /*On fail goto*//*Label 4495*/ GIMT_Encode4(198630), // Rule ID 22098 //
     /* 198610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVBMI2_HasVLX),
     /* 198613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 198617 */     // (vector_compress:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src, VK8WM:{ *:[v8i1] }:$mask, VR128X:{ *:[v8i16] }:$passthru)  =>  (VPCOMPRESSWZ128rrk:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$passthru, VK8WM:{ *:[v8i1] }:$mask, VR128X:{ *:[v8i16] }:$src)
     /* 198617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSWZ128rrk),
     /* 198620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198622 */     GIR_RootToRootCopy, /*OpIdx*/3, // passthru
     /* 198624 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198626 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198628 */     GIR_RootConstrainSelectedInstOperands,
     /* 198629 */     // GIR_Coverage, 22098,
     /* 198629 */     GIR_EraseRootFromParent_Done,
     /* 198630 */   // Label 4495: @198630
     /* 198630 */   GIM_Reject,
     /* 198631 */ // Label 4492: @198631
     /* 198631 */ GIM_Reject,
     /* 198632 */ // Label 4462: @198632
     /* 198632 */ GIM_Try, /*On fail goto*//*Label 4496*/ GIMT_Encode4(198833),
     /* 198637 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 198640 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s1,
     /* 198643 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 198646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 198650 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 198654 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 198658 */   GIM_Try, /*On fail goto*//*Label 4497*/ GIMT_Encode4(198691), // Rule ID 21671 //
     /* 198663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 198666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198670 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 198676 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 198678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198680 */     // (vector_compress:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src, VK8WM:{ *:[v8i1] }:$mask, immAllZerosV:{ *:[v8i32] })  =>  (VPCOMPRESSDZ256rrkz:{ *:[v8i32] } VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8i32] }:$src)
     /* 198680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSDZ256rrkz),
     /* 198683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198685 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198687 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198689 */     GIR_RootConstrainSelectedInstOperands,
     /* 198690 */     // GIR_Coverage, 21671,
     /* 198690 */     GIR_EraseRootFromParent_Done,
     /* 198691 */   // Label 4497: @198691
     /* 198691 */   GIM_Try, /*On fail goto*//*Label 4498*/ GIMT_Encode4(198724), // Rule ID 21707 //
     /* 198696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 198699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198703 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 198709 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 198711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198713 */     // (vector_compress:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src, VK8WM:{ *:[v8i1] }:$mask, immAllZerosV:{ *:[v8f32] })  =>  (VCOMPRESSPSZ256rrkz:{ *:[v8f32] } VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8f32] }:$src)
     /* 198713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCOMPRESSPSZ256rrkz),
     /* 198716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198718 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198720 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198722 */     GIR_RootConstrainSelectedInstOperands,
     /* 198723 */     // GIR_Coverage, 21707,
     /* 198723 */     GIR_EraseRootFromParent_Done,
     /* 198724 */   // Label 4498: @198724
     /* 198724 */   GIM_Try, /*On fail goto*//*Label 4499*/ GIMT_Encode4(198753), // Rule ID 21670 //
     /* 198729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 198732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 198740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198742 */     // (vector_compress:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src, VK8WM:{ *:[v8i1] }:$mask, (undef:{ *:[v8i32] }))  =>  (VPCOMPRESSDZ256rrkz:{ *:[v8i32] } VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8i32] }:$src)
     /* 198742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSDZ256rrkz),
     /* 198745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198747 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198749 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198751 */     GIR_RootConstrainSelectedInstOperands,
     /* 198752 */     // GIR_Coverage, 21670,
     /* 198752 */     GIR_EraseRootFromParent_Done,
     /* 198753 */   // Label 4499: @198753
     /* 198753 */   GIM_Try, /*On fail goto*//*Label 4500*/ GIMT_Encode4(198782), // Rule ID 21706 //
     /* 198758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 198761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 198769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198771 */     // (vector_compress:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src, VK8WM:{ *:[v8i1] }:$mask, (undef:{ *:[v8f32] }))  =>  (VCOMPRESSPSZ256rrkz:{ *:[v8f32] } VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8f32] }:$src)
     /* 198771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCOMPRESSPSZ256rrkz),
     /* 198774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198776 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198778 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198780 */     GIR_RootConstrainSelectedInstOperands,
     /* 198781 */     // GIR_Coverage, 21706,
     /* 198781 */     GIR_EraseRootFromParent_Done,
     /* 198782 */   // Label 4500: @198782
     /* 198782 */   GIM_Try, /*On fail goto*//*Label 4501*/ GIMT_Encode4(198807), // Rule ID 21672 //
     /* 198787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 198790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 198794 */     // (vector_compress:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src, VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8i32] }:$passthru)  =>  (VPCOMPRESSDZ256rrk:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$passthru, VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8i32] }:$src)
     /* 198794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSDZ256rrk),
     /* 198797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198799 */     GIR_RootToRootCopy, /*OpIdx*/3, // passthru
     /* 198801 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198803 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198805 */     GIR_RootConstrainSelectedInstOperands,
     /* 198806 */     // GIR_Coverage, 21672,
     /* 198806 */     GIR_EraseRootFromParent_Done,
     /* 198807 */   // Label 4501: @198807
     /* 198807 */   GIM_Try, /*On fail goto*//*Label 4502*/ GIMT_Encode4(198832), // Rule ID 21708 //
     /* 198812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 198815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 198819 */     // (vector_compress:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src, VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8f32] }:$passthru)  =>  (VCOMPRESSPSZ256rrk:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$passthru, VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8f32] }:$src)
     /* 198819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCOMPRESSPSZ256rrk),
     /* 198822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198824 */     GIR_RootToRootCopy, /*OpIdx*/3, // passthru
     /* 198826 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198828 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198830 */     GIR_RootConstrainSelectedInstOperands,
     /* 198831 */     // GIR_Coverage, 21708,
     /* 198831 */     GIR_EraseRootFromParent_Done,
     /* 198832 */   // Label 4502: @198832
     /* 198832 */   GIM_Reject,
     /* 198833 */ // Label 4496: @198833
     /* 198833 */ GIM_Reject,
     /* 198834 */ // Label 4463: @198834
     /* 198834 */ GIM_Try, /*On fail goto*//*Label 4503*/ GIMT_Encode4(199035),
     /* 198839 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 198842 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s1,
     /* 198845 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s64,
     /* 198848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 198852 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 198856 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 198860 */   GIM_Try, /*On fail goto*//*Label 4504*/ GIMT_Encode4(198893), // Rule ID 21683 //
     /* 198865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 198868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198872 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 198878 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 198880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198882 */     // (vector_compress:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src, VK8WM:{ *:[v8i1] }:$mask, immAllZerosV:{ *:[v8i64] })  =>  (VPCOMPRESSQZrrkz:{ *:[v8i64] } VK8WM:{ *:[v8i1] }:$mask, VR512:{ *:[v8i64] }:$src)
     /* 198882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSQZrrkz),
     /* 198885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198887 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198889 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198891 */     GIR_RootConstrainSelectedInstOperands,
     /* 198892 */     // GIR_Coverage, 21683,
     /* 198892 */     GIR_EraseRootFromParent_Done,
     /* 198893 */   // Label 4504: @198893
     /* 198893 */   GIM_Try, /*On fail goto*//*Label 4505*/ GIMT_Encode4(198926), // Rule ID 21719 //
     /* 198898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 198901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198905 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 198911 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 198913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198915 */     // (vector_compress:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src, VK8WM:{ *:[v8i1] }:$mask, immAllZerosV:{ *:[v8f64] })  =>  (VCOMPRESSPDZrrkz:{ *:[v8f64] } VK8WM:{ *:[v8i1] }:$mask, VR512:{ *:[v8f64] }:$src)
     /* 198915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCOMPRESSPDZrrkz),
     /* 198918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198920 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198922 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198924 */     GIR_RootConstrainSelectedInstOperands,
     /* 198925 */     // GIR_Coverage, 21719,
     /* 198925 */     GIR_EraseRootFromParent_Done,
     /* 198926 */   // Label 4505: @198926
     /* 198926 */   GIM_Try, /*On fail goto*//*Label 4506*/ GIMT_Encode4(198955), // Rule ID 21682 //
     /* 198931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 198934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 198942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198944 */     // (vector_compress:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src, VK8WM:{ *:[v8i1] }:$mask, (undef:{ *:[v8i64] }))  =>  (VPCOMPRESSQZrrkz:{ *:[v8i64] } VK8WM:{ *:[v8i1] }:$mask, VR512:{ *:[v8i64] }:$src)
     /* 198944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSQZrrkz),
     /* 198947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198949 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198951 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198953 */     GIR_RootConstrainSelectedInstOperands,
     /* 198954 */     // GIR_Coverage, 21682,
     /* 198954 */     GIR_EraseRootFromParent_Done,
     /* 198955 */   // Label 4506: @198955
     /* 198955 */   GIM_Try, /*On fail goto*//*Label 4507*/ GIMT_Encode4(198984), // Rule ID 21718 //
     /* 198960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 198963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 198971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198973 */     // (vector_compress:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src, VK8WM:{ *:[v8i1] }:$mask, (undef:{ *:[v8f64] }))  =>  (VCOMPRESSPDZrrkz:{ *:[v8f64] } VK8WM:{ *:[v8i1] }:$mask, VR512:{ *:[v8f64] }:$src)
     /* 198973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCOMPRESSPDZrrkz),
     /* 198976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198978 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198980 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198982 */     GIR_RootConstrainSelectedInstOperands,
     /* 198983 */     // GIR_Coverage, 21718,
     /* 198983 */     GIR_EraseRootFromParent_Done,
     /* 198984 */   // Label 4507: @198984
     /* 198984 */   GIM_Try, /*On fail goto*//*Label 4508*/ GIMT_Encode4(199009), // Rule ID 21684 //
     /* 198989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 198992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 198996 */     // (vector_compress:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src, VK8WM:{ *:[v8i1] }:$mask, VR512:{ *:[v8i64] }:$passthru)  =>  (VPCOMPRESSQZrrk:{ *:[v8i64] } VR512:{ *:[v8i64] }:$passthru, VK8WM:{ *:[v8i1] }:$mask, VR512:{ *:[v8i64] }:$src)
     /* 198996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSQZrrk),
     /* 198999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199001 */     GIR_RootToRootCopy, /*OpIdx*/3, // passthru
     /* 199003 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 199005 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 199007 */     GIR_RootConstrainSelectedInstOperands,
     /* 199008 */     // GIR_Coverage, 21684,
     /* 199008 */     GIR_EraseRootFromParent_Done,
     /* 199009 */   // Label 4508: @199009
     /* 199009 */   GIM_Try, /*On fail goto*//*Label 4509*/ GIMT_Encode4(199034), // Rule ID 21720 //
     /* 199014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 199017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 199021 */     // (vector_compress:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src, VK8WM:{ *:[v8i1] }:$mask, VR512:{ *:[v8f64] }:$passthru)  =>  (VCOMPRESSPDZrrk:{ *:[v8f64] } VR512:{ *:[v8f64] }:$passthru, VK8WM:{ *:[v8i1] }:$mask, VR512:{ *:[v8f64] }:$src)
     /* 199021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCOMPRESSPDZrrk),
     /* 199024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199026 */     GIR_RootToRootCopy, /*OpIdx*/3, // passthru
     /* 199028 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 199030 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 199032 */     GIR_RootConstrainSelectedInstOperands,
     /* 199033 */     // GIR_Coverage, 21720,
     /* 199033 */     GIR_EraseRootFromParent_Done,
     /* 199034 */   // Label 4509: @199034
     /* 199034 */   GIM_Reject,
     /* 199035 */ // Label 4503: @199035
     /* 199035 */ GIM_Reject,
     /* 199036 */ // Label 4464: @199036
     /* 199036 */ GIM_Try, /*On fail goto*//*Label 4510*/ GIMT_Encode4(199150),
     /* 199041 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 199044 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s1,
     /* 199047 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 199050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 199054 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 199058 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK16WMRegClassID),
     /* 199062 */   GIM_Try, /*On fail goto*//*Label 4511*/ GIMT_Encode4(199095), // Rule ID 22079 //
     /* 199067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVBMI2_HasVLX),
     /* 199070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 199074 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 199080 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 199082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 199084 */     // (vector_compress:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src, VK16WM:{ *:[v16i1] }:$mask, immAllZerosV:{ *:[v16i8] })  =>  (VPCOMPRESSBZ128rrkz:{ *:[v16i8] } VK16WM:{ *:[v16i1] }:$mask, VR128X:{ *:[v16i8] }:$src)
     /* 199084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSBZ128rrkz),
     /* 199087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199089 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 199091 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 199093 */     GIR_RootConstrainSelectedInstOperands,
     /* 199094 */     // GIR_Coverage, 22079,
     /* 199094 */     GIR_EraseRootFromParent_Done,
     /* 199095 */   // Label 4511: @199095
     /* 199095 */   GIM_Try, /*On fail goto*//*Label 4512*/ GIMT_Encode4(199124), // Rule ID 22078 //
     /* 199100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVBMI2_HasVLX),
     /* 199103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 199107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 199111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 199113 */     // (vector_compress:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src, VK16WM:{ *:[v16i1] }:$mask, (undef:{ *:[v16i8] }))  =>  (VPCOMPRESSBZ128rrkz:{ *:[v16i8] } VK16WM:{ *:[v16i1] }:$mask, VR128X:{ *:[v16i8] }:$src)
     /* 199113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSBZ128rrkz),
     /* 199116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199118 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 199120 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 199122 */     GIR_RootConstrainSelectedInstOperands,
     /* 199123 */     // GIR_Coverage, 22078,
     /* 199123 */     GIR_EraseRootFromParent_Done,
     /* 199124 */   // Label 4512: @199124
     /* 199124 */   GIM_Try, /*On fail goto*//*Label 4513*/ GIMT_Encode4(199149), // Rule ID 22080 //
     /* 199129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVBMI2_HasVLX),
     /* 199132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 199136 */     // (vector_compress:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src, VK16WM:{ *:[v16i1] }:$mask, VR128X:{ *:[v16i8] }:$passthru)  =>  (VPCOMPRESSBZ128rrk:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$passthru, VK16WM:{ *:[v16i1] }:$mask, VR128X:{ *:[v16i8] }:$src)
     /* 199136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSBZ128rrk),
     /* 199139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199141 */     GIR_RootToRootCopy, /*OpIdx*/3, // passthru
     /* 199143 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 199145 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 199147 */     GIR_RootConstrainSelectedInstOperands,
     /* 199148 */     // GIR_Coverage, 22080,
     /* 199148 */     GIR_EraseRootFromParent_Done,
     /* 199149 */   // Label 4513: @199149
     /* 199149 */   GIM_Reject,
     /* 199150 */ // Label 4510: @199150
     /* 199150 */ GIM_Reject,
     /* 199151 */ // Label 4465: @199151
     /* 199151 */ GIM_Try, /*On fail goto*//*Label 4514*/ GIMT_Encode4(199265),
     /* 199156 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 199159 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s1,
     /* 199162 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /* 199165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 199169 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 199173 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK16WMRegClassID),
     /* 199177 */   GIM_Try, /*On fail goto*//*Label 4515*/ GIMT_Encode4(199210), // Rule ID 22091 //
     /* 199182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVBMI2_HasVLX),
     /* 199185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 199189 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 199195 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 199197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 199199 */     // (vector_compress:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src, VK16WM:{ *:[v16i1] }:$mask, immAllZerosV:{ *:[v16i16] })  =>  (VPCOMPRESSWZ256rrkz:{ *:[v16i16] } VK16WM:{ *:[v16i1] }:$mask, VR256X:{ *:[v16i16] }:$src)
     /* 199199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSWZ256rrkz),
     /* 199202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199204 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 199206 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 199208 */     GIR_RootConstrainSelectedInstOperands,
     /* 199209 */     // GIR_Coverage, 22091,
     /* 199209 */     GIR_EraseRootFromParent_Done,
     /* 199210 */   // Label 4515: @199210
     /* 199210 */   GIM_Try, /*On fail goto*//*Label 4516*/ GIMT_Encode4(199239), // Rule ID 22090 //
     /* 199215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVBMI2_HasVLX),
     /* 199218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 199222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 199226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 199228 */     // (vector_compress:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src, VK16WM:{ *:[v16i1] }:$mask, (undef:{ *:[v16i16] }))  =>  (VPCOMPRESSWZ256rrkz:{ *:[v16i16] } VK16WM:{ *:[v16i1] }:$mask, VR256X:{ *:[v16i16] }:$src)
     /* 199228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSWZ256rrkz),
     /* 199231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199233 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 199235 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 199237 */     GIR_RootConstrainSelectedInstOperands,
     /* 199238 */     // GIR_Coverage, 22090,
     /* 199238 */     GIR_EraseRootFromParent_Done,
     /* 199239 */   // Label 4516: @199239
     /* 199239 */   GIM_Try, /*On fail goto*//*Label 4517*/ GIMT_Encode4(199264), // Rule ID 22092 //
     /* 199244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVBMI2_HasVLX),
     /* 199247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 199251 */     // (vector_compress:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src, VK16WM:{ *:[v16i1] }:$mask, VR256X:{ *:[v16i16] }:$passthru)  =>  (VPCOMPRESSWZ256rrk:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$passthru, VK16WM:{ *:[v16i1] }:$mask, VR256X:{ *:[v16i16] }:$src)
     /* 199251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSWZ256rrk),
     /* 199254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199256 */     GIR_RootToRootCopy, /*OpIdx*/3, // passthru
     /* 199258 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 199260 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 199262 */     GIR_RootConstrainSelectedInstOperands,
     /* 199263 */     // GIR_Coverage, 22092,
     /* 199263 */     GIR_EraseRootFromParent_Done,
     /* 199264 */   // Label 4517: @199264
     /* 199264 */   GIM_Reject,
     /* 199265 */ // Label 4514: @199265
     /* 199265 */ GIM_Reject,
     /* 199266 */ // Label 4466: @199266
     /* 199266 */ GIM_Try, /*On fail goto*//*Label 4518*/ GIMT_Encode4(199467),
     /* 199271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 199274 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s1,
     /* 199277 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s32,
     /* 199280 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 199284 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 199288 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK16WMRegClassID),
     /* 199292 */   GIM_Try, /*On fail goto*//*Label 4519*/ GIMT_Encode4(199325), // Rule ID 21665 //
     /* 199297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 199300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 199304 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 199310 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 199312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 199314 */     // (vector_compress:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src, VK16WM:{ *:[v16i1] }:$mask, immAllZerosV:{ *:[v16i32] })  =>  (VPCOMPRESSDZrrkz:{ *:[v16i32] } VK16WM:{ *:[v16i1] }:$mask, VR512:{ *:[v16i32] }:$src)
     /* 199314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSDZrrkz),
     /* 199317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199319 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 199321 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 199323 */     GIR_RootConstrainSelectedInstOperands,
     /* 199324 */     // GIR_Coverage, 21665,
     /* 199324 */     GIR_EraseRootFromParent_Done,
     /* 199325 */   // Label 4519: @199325
     /* 199325 */   GIM_Try, /*On fail goto*//*Label 4520*/ GIMT_Encode4(199358), // Rule ID 21701 //
     /* 199330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 199333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 199337 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 199343 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 199345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 199347 */     // (vector_compress:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src, VK16WM:{ *:[v16i1] }:$mask, immAllZerosV:{ *:[v16f32] })  =>  (VCOMPRESSPSZrrkz:{ *:[v16f32] } VK16WM:{ *:[v16i1] }:$mask, VR512:{ *:[v16f32] }:$src)
     /* 199347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCOMPRESSPSZrrkz),
     /* 199350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199352 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 199354 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 199356 */     GIR_RootConstrainSelectedInstOperands,
     /* 199357 */     // GIR_Coverage, 21701,
     /* 199357 */     GIR_EraseRootFromParent_Done,
     /* 199358 */   // Label 4520: @199358
     /* 199358 */   GIM_Try, /*On fail goto*//*Label 4521*/ GIMT_Encode4(199387), // Rule ID 21664 //
     /* 199363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 199366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 199370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 199374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 199376 */     // (vector_compress:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src, VK16WM:{ *:[v16i1] }:$mask, (undef:{ *:[v16i32] }))  =>  (VPCOMPRESSDZrrkz:{ *:[v16i32] } VK16WM:{ *:[v16i1] }:$mask, VR512:{ *:[v16i32] }:$src)
     /* 199376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSDZrrkz),
     /* 199379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199381 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 199383 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 199385 */     GIR_RootConstrainSelectedInstOperands,
     /* 199386 */     // GIR_Coverage, 21664,
     /* 199386 */     GIR_EraseRootFromParent_Done,
     /* 199387 */   // Label 4521: @199387
     /* 199387 */   GIM_Try, /*On fail goto*//*Label 4522*/ GIMT_Encode4(199416), // Rule ID 21700 //
     /* 199392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 199395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 199399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 199403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 199405 */     // (vector_compress:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src, VK16WM:{ *:[v16i1] }:$mask, (undef:{ *:[v16f32] }))  =>  (VCOMPRESSPSZrrkz:{ *:[v16f32] } VK16WM:{ *:[v16i1] }:$mask, VR512:{ *:[v16f32] }:$src)
     /* 199405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCOMPRESSPSZrrkz),
     /* 199408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199410 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 199412 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 199414 */     GIR_RootConstrainSelectedInstOperands,
     /* 199415 */     // GIR_Coverage, 21700,
     /* 199415 */     GIR_EraseRootFromParent_Done,
     /* 199416 */   // Label 4522: @199416
     /* 199416 */   GIM_Try, /*On fail goto*//*Label 4523*/ GIMT_Encode4(199441), // Rule ID 21666 //
     /* 199421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 199424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 199428 */     // (vector_compress:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src, VK16WM:{ *:[v16i1] }:$mask, VR512:{ *:[v16i32] }:$passthru)  =>  (VPCOMPRESSDZrrk:{ *:[v16i32] } VR512:{ *:[v16i32] }:$passthru, VK16WM:{ *:[v16i1] }:$mask, VR512:{ *:[v16i32] }:$src)
     /* 199428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSDZrrk),
     /* 199431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199433 */     GIR_RootToRootCopy, /*OpIdx*/3, // passthru
     /* 199435 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 199437 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 199439 */     GIR_RootConstrainSelectedInstOperands,
     /* 199440 */     // GIR_Coverage, 21666,
     /* 199440 */     GIR_EraseRootFromParent_Done,
     /* 199441 */   // Label 4523: @199441
     /* 199441 */   GIM_Try, /*On fail goto*//*Label 4524*/ GIMT_Encode4(199466), // Rule ID 21702 //
     /* 199446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 199449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 199453 */     // (vector_compress:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src, VK16WM:{ *:[v16i1] }:$mask, VR512:{ *:[v16f32] }:$passthru)  =>  (VCOMPRESSPSZrrk:{ *:[v16f32] } VR512:{ *:[v16f32] }:$passthru, VK16WM:{ *:[v16i1] }:$mask, VR512:{ *:[v16f32] }:$src)
     /* 199453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCOMPRESSPSZrrk),
     /* 199456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199458 */     GIR_RootToRootCopy, /*OpIdx*/3, // passthru
     /* 199460 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 199462 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 199464 */     GIR_RootConstrainSelectedInstOperands,
     /* 199465 */     // GIR_Coverage, 21702,
     /* 199465 */     GIR_EraseRootFromParent_Done,
     /* 199466 */   // Label 4524: @199466
     /* 199466 */   GIM_Reject,
     /* 199467 */ // Label 4518: @199467
     /* 199467 */ GIM_Reject,
     /* 199468 */ // Label 4467: @199468
     /* 199468 */ GIM_Try, /*On fail goto*//*Label 4525*/ GIMT_Encode4(199582),
     /* 199473 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /* 199476 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s1,
     /* 199479 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v32s8,
     /* 199482 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 199486 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 199490 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK32WMRegClassID),
     /* 199494 */   GIM_Try, /*On fail goto*//*Label 4526*/ GIMT_Encode4(199527), // Rule ID 22073 //
     /* 199499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVBMI2_HasVLX),
     /* 199502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 199506 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 199512 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 199514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 199516 */     // (vector_compress:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src, VK32WM:{ *:[v32i1] }:$mask, immAllZerosV:{ *:[v32i8] })  =>  (VPCOMPRESSBZ256rrkz:{ *:[v32i8] } VK32WM:{ *:[v32i1] }:$mask, VR256X:{ *:[v32i8] }:$src)
     /* 199516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSBZ256rrkz),
     /* 199519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199521 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 199523 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 199525 */     GIR_RootConstrainSelectedInstOperands,
     /* 199526 */     // GIR_Coverage, 22073,
     /* 199526 */     GIR_EraseRootFromParent_Done,
     /* 199527 */   // Label 4526: @199527
     /* 199527 */   GIM_Try, /*On fail goto*//*Label 4527*/ GIMT_Encode4(199556), // Rule ID 22072 //
     /* 199532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVBMI2_HasVLX),
     /* 199535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 199539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 199543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 199545 */     // (vector_compress:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src, VK32WM:{ *:[v32i1] }:$mask, (undef:{ *:[v32i8] }))  =>  (VPCOMPRESSBZ256rrkz:{ *:[v32i8] } VK32WM:{ *:[v32i1] }:$mask, VR256X:{ *:[v32i8] }:$src)
     /* 199545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSBZ256rrkz),
     /* 199548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199550 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 199552 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 199554 */     GIR_RootConstrainSelectedInstOperands,
     /* 199555 */     // GIR_Coverage, 22072,
     /* 199555 */     GIR_EraseRootFromParent_Done,
     /* 199556 */   // Label 4527: @199556
     /* 199556 */   GIM_Try, /*On fail goto*//*Label 4528*/ GIMT_Encode4(199581), // Rule ID 22074 //
     /* 199561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVBMI2_HasVLX),
     /* 199564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 199568 */     // (vector_compress:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src, VK32WM:{ *:[v32i1] }:$mask, VR256X:{ *:[v32i8] }:$passthru)  =>  (VPCOMPRESSBZ256rrk:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$passthru, VK32WM:{ *:[v32i1] }:$mask, VR256X:{ *:[v32i8] }:$src)
     /* 199568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSBZ256rrk),
     /* 199571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199573 */     GIR_RootToRootCopy, /*OpIdx*/3, // passthru
     /* 199575 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 199577 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 199579 */     GIR_RootConstrainSelectedInstOperands,
     /* 199580 */     // GIR_Coverage, 22074,
     /* 199580 */     GIR_EraseRootFromParent_Done,
     /* 199581 */   // Label 4528: @199581
     /* 199581 */   GIM_Reject,
     /* 199582 */ // Label 4525: @199582
     /* 199582 */ GIM_Reject,
     /* 199583 */ // Label 4468: @199583
     /* 199583 */ GIM_Try, /*On fail goto*//*Label 4529*/ GIMT_Encode4(199697),
     /* 199588 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 199591 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s1,
     /* 199594 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v32s16,
     /* 199597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 199601 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 199605 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK32WMRegClassID),
     /* 199609 */   GIM_Try, /*On fail goto*//*Label 4530*/ GIMT_Encode4(199642), // Rule ID 22085 //
     /* 199614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVBMI2),
     /* 199617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 199621 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 199627 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 199629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 199631 */     // (vector_compress:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src, VK32WM:{ *:[v32i1] }:$mask, immAllZerosV:{ *:[v32i16] })  =>  (VPCOMPRESSWZrrkz:{ *:[v32i16] } VK32WM:{ *:[v32i1] }:$mask, VR512:{ *:[v32i16] }:$src)
     /* 199631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSWZrrkz),
     /* 199634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199636 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 199638 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 199640 */     GIR_RootConstrainSelectedInstOperands,
     /* 199641 */     // GIR_Coverage, 22085,
     /* 199641 */     GIR_EraseRootFromParent_Done,
     /* 199642 */   // Label 4530: @199642
     /* 199642 */   GIM_Try, /*On fail goto*//*Label 4531*/ GIMT_Encode4(199671), // Rule ID 22084 //
     /* 199647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVBMI2),
     /* 199650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 199654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 199658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 199660 */     // (vector_compress:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src, VK32WM:{ *:[v32i1] }:$mask, (undef:{ *:[v32i16] }))  =>  (VPCOMPRESSWZrrkz:{ *:[v32i16] } VK32WM:{ *:[v32i1] }:$mask, VR512:{ *:[v32i16] }:$src)
     /* 199660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSWZrrkz),
     /* 199663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199665 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 199667 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 199669 */     GIR_RootConstrainSelectedInstOperands,
     /* 199670 */     // GIR_Coverage, 22084,
     /* 199670 */     GIR_EraseRootFromParent_Done,
     /* 199671 */   // Label 4531: @199671
     /* 199671 */   GIM_Try, /*On fail goto*//*Label 4532*/ GIMT_Encode4(199696), // Rule ID 22086 //
     /* 199676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVBMI2),
     /* 199679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 199683 */     // (vector_compress:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src, VK32WM:{ *:[v32i1] }:$mask, VR512:{ *:[v32i16] }:$passthru)  =>  (VPCOMPRESSWZrrk:{ *:[v32i16] } VR512:{ *:[v32i16] }:$passthru, VK32WM:{ *:[v32i1] }:$mask, VR512:{ *:[v32i16] }:$src)
     /* 199683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSWZrrk),
     /* 199686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199688 */     GIR_RootToRootCopy, /*OpIdx*/3, // passthru
     /* 199690 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 199692 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 199694 */     GIR_RootConstrainSelectedInstOperands,
     /* 199695 */     // GIR_Coverage, 22086,
     /* 199695 */     GIR_EraseRootFromParent_Done,
     /* 199696 */   // Label 4532: @199696
     /* 199696 */   GIM_Reject,
     /* 199697 */ // Label 4529: @199697
     /* 199697 */ GIM_Reject,
     /* 199698 */ // Label 4469: @199698
     /* 199698 */ GIM_Try, /*On fail goto*//*Label 4533*/ GIMT_Encode4(199812),
     /* 199703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /* 199706 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s1,
     /* 199709 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v64s8,
     /* 199712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 199716 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 199720 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK64WMRegClassID),
     /* 199724 */   GIM_Try, /*On fail goto*//*Label 4534*/ GIMT_Encode4(199757), // Rule ID 22067 //
     /* 199729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVBMI2),
     /* 199732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 199736 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 199742 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 199744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 199746 */     // (vector_compress:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src, VK64WM:{ *:[v64i1] }:$mask, immAllZerosV:{ *:[v64i8] })  =>  (VPCOMPRESSBZrrkz:{ *:[v64i8] } VK64WM:{ *:[v64i1] }:$mask, VR512:{ *:[v64i8] }:$src)
     /* 199746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSBZrrkz),
     /* 199749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199751 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 199753 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 199755 */     GIR_RootConstrainSelectedInstOperands,
     /* 199756 */     // GIR_Coverage, 22067,
     /* 199756 */     GIR_EraseRootFromParent_Done,
     /* 199757 */   // Label 4534: @199757
     /* 199757 */   GIM_Try, /*On fail goto*//*Label 4535*/ GIMT_Encode4(199786), // Rule ID 22066 //
     /* 199762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVBMI2),
     /* 199765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 199769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 199773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 199775 */     // (vector_compress:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src, VK64WM:{ *:[v64i1] }:$mask, (undef:{ *:[v64i8] }))  =>  (VPCOMPRESSBZrrkz:{ *:[v64i8] } VK64WM:{ *:[v64i1] }:$mask, VR512:{ *:[v64i8] }:$src)
     /* 199775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSBZrrkz),
     /* 199778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199780 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 199782 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 199784 */     GIR_RootConstrainSelectedInstOperands,
     /* 199785 */     // GIR_Coverage, 22066,
     /* 199785 */     GIR_EraseRootFromParent_Done,
     /* 199786 */   // Label 4535: @199786
     /* 199786 */   GIM_Try, /*On fail goto*//*Label 4536*/ GIMT_Encode4(199811), // Rule ID 22068 //
     /* 199791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVBMI2),
     /* 199794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 199798 */     // (vector_compress:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src, VK64WM:{ *:[v64i1] }:$mask, VR512:{ *:[v64i8] }:$passthru)  =>  (VPCOMPRESSBZrrk:{ *:[v64i8] } VR512:{ *:[v64i8] }:$passthru, VK64WM:{ *:[v64i1] }:$mask, VR512:{ *:[v64i8] }:$src)
     /* 199798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSBZrrk),
     /* 199801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199803 */     GIR_RootToRootCopy, /*OpIdx*/3, // passthru
     /* 199805 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 199807 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 199809 */     GIR_RootConstrainSelectedInstOperands,
     /* 199810 */     // GIR_Coverage, 22068,
     /* 199810 */     GIR_EraseRootFromParent_Done,
     /* 199811 */   // Label 4536: @199811
     /* 199811 */   GIM_Reject,
     /* 199812 */ // Label 4533: @199812
     /* 199812 */ GIM_Reject,
     /* 199813 */ // Label 4470: @199813
     /* 199813 */ GIM_Reject,
     /* 199814 */ // Label 62: @199814
     /* 199814 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 4540*/ GIMT_Encode4(200119),
     /* 199825 */ /*GILLT_s16*//*Label 4537*/ GIMT_Encode4(199837),
     /* 199829 */ /*GILLT_s32*//*Label 4538*/ GIMT_Encode4(199931),
     /* 199833 */ /*GILLT_s64*//*Label 4539*/ GIMT_Encode4(200025),
     /* 199837 */ // Label 4537: @199837
     /* 199837 */ GIM_Try, /*On fail goto*//*Label 4541*/ GIMT_Encode4(199930),
     /* 199842 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 199845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 199849 */   GIM_Try, /*On fail goto*//*Label 4542*/ GIMT_Encode4(199904), // Rule ID 77 //
     /* 199854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI),
     /* 199857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 199861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 199865 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 199868 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 199872 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 199876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 199878 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 199885 */     // (cttz:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (TZCNT16rm:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 199885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::TZCNT16rm),
     /* 199888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199890 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 199894 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 199897 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 199902 */     GIR_RootConstrainSelectedInstOperands,
     /* 199903 */     // GIR_Coverage, 77,
     /* 199903 */     GIR_EraseRootFromParent_Done,
     /* 199904 */   // Label 4542: @199904
     /* 199904 */   GIM_Try, /*On fail goto*//*Label 4543*/ GIMT_Encode4(199929), // Rule ID 76 //
     /* 199909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI),
     /* 199912 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 199916 */     // (cttz:{ *:[i16] } GR16:{ *:[i16] }:$src1)  =>  (TZCNT16rr:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /* 199916 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::TZCNT16rr),
     /* 199921 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /* 199927 */     GIR_RootConstrainSelectedInstOperands,
     /* 199928 */     // GIR_Coverage, 76,
     /* 199928 */     GIR_Done,
     /* 199929 */   // Label 4543: @199929
     /* 199929 */   GIM_Reject,
     /* 199930 */ // Label 4541: @199930
     /* 199930 */ GIM_Reject,
     /* 199931 */ // Label 4538: @199931
     /* 199931 */ GIM_Try, /*On fail goto*//*Label 4544*/ GIMT_Encode4(200024),
     /* 199936 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 199939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 199943 */   GIM_Try, /*On fail goto*//*Label 4545*/ GIMT_Encode4(199998), // Rule ID 79 //
     /* 199948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI),
     /* 199951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 199955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 199959 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 199962 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 199966 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 199970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 199972 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 199979 */     // (cttz:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (TZCNT32rm:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 199979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::TZCNT32rm),
     /* 199982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199984 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 199988 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 199991 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 199996 */     GIR_RootConstrainSelectedInstOperands,
     /* 199997 */     // GIR_Coverage, 79,
     /* 199997 */     GIR_EraseRootFromParent_Done,
     /* 199998 */   // Label 4545: @199998
     /* 199998 */   GIM_Try, /*On fail goto*//*Label 4546*/ GIMT_Encode4(200023), // Rule ID 78 //
     /* 200003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI),
     /* 200006 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 200010 */     // (cttz:{ *:[i32] } GR32:{ *:[i32] }:$src1)  =>  (TZCNT32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /* 200010 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::TZCNT32rr),
     /* 200015 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /* 200021 */     GIR_RootConstrainSelectedInstOperands,
     /* 200022 */     // GIR_Coverage, 78,
     /* 200022 */     GIR_Done,
     /* 200023 */   // Label 4546: @200023
     /* 200023 */   GIM_Reject,
     /* 200024 */ // Label 4544: @200024
     /* 200024 */ GIM_Reject,
     /* 200025 */ // Label 4539: @200025
     /* 200025 */ GIM_Try, /*On fail goto*//*Label 4547*/ GIMT_Encode4(200118),
     /* 200030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 200033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 200037 */   GIM_Try, /*On fail goto*//*Label 4548*/ GIMT_Encode4(200092), // Rule ID 81 //
     /* 200042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI),
     /* 200045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 200049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 200053 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 200056 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 200060 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 200064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 200066 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 200073 */     // (cttz:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (TZCNT64rm:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 200073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::TZCNT64rm),
     /* 200076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200078 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 200082 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 200085 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 200090 */     GIR_RootConstrainSelectedInstOperands,
     /* 200091 */     // GIR_Coverage, 81,
     /* 200091 */     GIR_EraseRootFromParent_Done,
     /* 200092 */   // Label 4548: @200092
     /* 200092 */   GIM_Try, /*On fail goto*//*Label 4549*/ GIMT_Encode4(200117), // Rule ID 80 //
     /* 200097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI),
     /* 200100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 200104 */     // (cttz:{ *:[i64] } GR64:{ *:[i64] }:$src1)  =>  (TZCNT64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /* 200104 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::TZCNT64rr),
     /* 200109 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /* 200115 */     GIR_RootConstrainSelectedInstOperands,
     /* 200116 */     // GIR_Coverage, 80,
     /* 200116 */     GIR_Done,
     /* 200117 */   // Label 4549: @200117
     /* 200117 */   GIM_Reject,
     /* 200118 */ // Label 4547: @200118
     /* 200118 */ GIM_Reject,
     /* 200119 */ // Label 4540: @200119
     /* 200119 */ GIM_Reject,
     /* 200120 */ // Label 63: @200120
     /* 200120 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 4553*/ GIMT_Encode4(200506),
     /* 200131 */ /*GILLT_s16*//*Label 4550*/ GIMT_Encode4(200143),
     /* 200135 */ /*GILLT_s32*//*Label 4551*/ GIMT_Encode4(200264),
     /* 200139 */ /*GILLT_s64*//*Label 4552*/ GIMT_Encode4(200385),
     /* 200143 */ // Label 4550: @200143
     /* 200143 */ GIM_Try, /*On fail goto*//*Label 4554*/ GIMT_Encode4(200263),
     /* 200148 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 200151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 200155 */   GIM_Try, /*On fail goto*//*Label 4555*/ GIMT_Encode4(200224), // Rule ID 22982 //
     /* 200160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 200164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 200168 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 200171 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 200175 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 200179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 200181 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 200188 */     // (cttz_zero_undef:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (BSF16rm:{ *:[i16] }:{ *:[i32] } (IMPLICIT_DEF:{ *:[i16] }), addr:{ *:[iPTR] }:$src)
     /* 200188 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 200191 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 200195 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 200200 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 200202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BSF16rm),
     /* 200205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200207 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 200210 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 200214 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 200217 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 200222 */     GIR_RootConstrainSelectedInstOperands,
     /* 200223 */     // GIR_Coverage, 22982,
     /* 200223 */     GIR_EraseRootFromParent_Done,
     /* 200224 */   // Label 4555: @200224
     /* 200224 */   GIM_Try, /*On fail goto*//*Label 4556*/ GIMT_Encode4(200262), // Rule ID 22979 //
     /* 200229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 200233 */     // (cttz_zero_undef:{ *:[i16] } GR16:{ *:[i16] }:$src)  =>  (BSF16rr:{ *:[i16] }:{ *:[i32] } (IMPLICIT_DEF:{ *:[i16] }), GR16:{ *:[i16] }:$src)
     /* 200233 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 200236 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 200240 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 200245 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 200247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BSF16rr),
     /* 200250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200252 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 200255 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 200257 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 200260 */     GIR_RootConstrainSelectedInstOperands,
     /* 200261 */     // GIR_Coverage, 22979,
     /* 200261 */     GIR_EraseRootFromParent_Done,
     /* 200262 */   // Label 4556: @200262
     /* 200262 */   GIM_Reject,
     /* 200263 */ // Label 4554: @200263
     /* 200263 */ GIM_Reject,
     /* 200264 */ // Label 4551: @200264
     /* 200264 */ GIM_Try, /*On fail goto*//*Label 4557*/ GIMT_Encode4(200384),
     /* 200269 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 200272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 200276 */   GIM_Try, /*On fail goto*//*Label 4558*/ GIMT_Encode4(200345), // Rule ID 22983 //
     /* 200281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 200285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 200289 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 200292 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 200296 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 200300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 200302 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 200309 */     // (cttz_zero_undef:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (BSF32rm:{ *:[i32] }:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), addr:{ *:[iPTR] }:$src)
     /* 200309 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 200312 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 200316 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 200321 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 200323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BSF32rm),
     /* 200326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200328 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 200331 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 200335 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 200338 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 200343 */     GIR_RootConstrainSelectedInstOperands,
     /* 200344 */     // GIR_Coverage, 22983,
     /* 200344 */     GIR_EraseRootFromParent_Done,
     /* 200345 */   // Label 4558: @200345
     /* 200345 */   GIM_Try, /*On fail goto*//*Label 4559*/ GIMT_Encode4(200383), // Rule ID 22980 //
     /* 200350 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 200354 */     // (cttz_zero_undef:{ *:[i32] } GR32:{ *:[i32] }:$src)  =>  (BSF32rr:{ *:[i32] }:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR32:{ *:[i32] }:$src)
     /* 200354 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 200357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 200361 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 200366 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 200368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BSF32rr),
     /* 200371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200373 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 200376 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 200378 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 200381 */     GIR_RootConstrainSelectedInstOperands,
     /* 200382 */     // GIR_Coverage, 22980,
     /* 200382 */     GIR_EraseRootFromParent_Done,
     /* 200383 */   // Label 4559: @200383
     /* 200383 */   GIM_Reject,
     /* 200384 */ // Label 4557: @200384
     /* 200384 */ GIM_Reject,
     /* 200385 */ // Label 4552: @200385
     /* 200385 */ GIM_Try, /*On fail goto*//*Label 4560*/ GIMT_Encode4(200505),
     /* 200390 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 200393 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 200397 */   GIM_Try, /*On fail goto*//*Label 4561*/ GIMT_Encode4(200466), // Rule ID 22984 //
     /* 200402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 200406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 200410 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 200413 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 200417 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 200421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 200423 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 200430 */     // (cttz_zero_undef:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (BSF64rm:{ *:[i64] }:{ *:[i32] } (IMPLICIT_DEF:{ *:[i64] }), addr:{ *:[iPTR] }:$src)
     /* 200430 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 200433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 200437 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 200442 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 200444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BSF64rm),
     /* 200447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200449 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 200452 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 200456 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 200459 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 200464 */     GIR_RootConstrainSelectedInstOperands,
     /* 200465 */     // GIR_Coverage, 22984,
     /* 200465 */     GIR_EraseRootFromParent_Done,
     /* 200466 */   // Label 4561: @200466
     /* 200466 */   GIM_Try, /*On fail goto*//*Label 4562*/ GIMT_Encode4(200504), // Rule ID 22981 //
     /* 200471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 200475 */     // (cttz_zero_undef:{ *:[i64] } GR64:{ *:[i64] }:$src)  =>  (BSF64rr:{ *:[i64] }:{ *:[i32] } (IMPLICIT_DEF:{ *:[i64] }), GR64:{ *:[i64] }:$src)
     /* 200475 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 200478 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 200482 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 200487 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 200489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BSF64rr),
     /* 200492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200494 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 200497 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 200499 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 200502 */     GIR_RootConstrainSelectedInstOperands,
     /* 200503 */     // GIR_Coverage, 22981,
     /* 200503 */     GIR_EraseRootFromParent_Done,
     /* 200504 */   // Label 4562: @200504
     /* 200504 */   GIM_Reject,
     /* 200505 */ // Label 4560: @200505
     /* 200505 */ GIM_Reject,
     /* 200506 */ // Label 4553: @200506
     /* 200506 */ GIM_Reject,
     /* 200507 */ // Label 64: @200507
     /* 200507 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(20), /*)*//*default:*//*Label 4572*/ GIMT_Encode4(201810),
     /* 200518 */ /*GILLT_s16*//*Label 4563*/ GIMT_Encode4(200590),
     /* 200522 */ /*GILLT_s32*//*Label 4564*/ GIMT_Encode4(200684),
     /* 200526 */ /*GILLT_s64*//*Label 4565*/ GIMT_Encode4(200778), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 200542 */ /*GILLT_v2s64*//*Label 4566*/ GIMT_Encode4(200872), GIMT_Encode4(0),
     /* 200550 */ /*GILLT_v4s32*//*Label 4567*/ GIMT_Encode4(201068),
     /* 200554 */ /*GILLT_v4s64*//*Label 4568*/ GIMT_Encode4(201264), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 200566 */ /*GILLT_v8s32*//*Label 4569*/ GIMT_Encode4(201452),
     /* 200570 */ /*GILLT_v8s64*//*Label 4570*/ GIMT_Encode4(201640), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 200586 */ /*GILLT_v16s32*//*Label 4571*/ GIMT_Encode4(201725),
     /* 200590 */ // Label 4563: @200590
     /* 200590 */ GIM_Try, /*On fail goto*//*Label 4573*/ GIMT_Encode4(200683),
     /* 200595 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 200598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 200602 */   GIM_Try, /*On fail goto*//*Label 4574*/ GIMT_Encode4(200657), // Rule ID 71 //
     /* 200607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLZCNT),
     /* 200610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 200614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 200618 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 200621 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 200625 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 200629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 200631 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 200638 */     // (ctlz:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (LZCNT16rm:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 200638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LZCNT16rm),
     /* 200641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200643 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 200647 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 200650 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 200655 */     GIR_RootConstrainSelectedInstOperands,
     /* 200656 */     // GIR_Coverage, 71,
     /* 200656 */     GIR_EraseRootFromParent_Done,
     /* 200657 */   // Label 4574: @200657
     /* 200657 */   GIM_Try, /*On fail goto*//*Label 4575*/ GIMT_Encode4(200682), // Rule ID 70 //
     /* 200662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLZCNT),
     /* 200665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 200669 */     // (ctlz:{ *:[i16] } GR16:{ *:[i16] }:$src1)  =>  (LZCNT16rr:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /* 200669 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::LZCNT16rr),
     /* 200674 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /* 200680 */     GIR_RootConstrainSelectedInstOperands,
     /* 200681 */     // GIR_Coverage, 70,
     /* 200681 */     GIR_Done,
     /* 200682 */   // Label 4575: @200682
     /* 200682 */   GIM_Reject,
     /* 200683 */ // Label 4573: @200683
     /* 200683 */ GIM_Reject,
     /* 200684 */ // Label 4564: @200684
     /* 200684 */ GIM_Try, /*On fail goto*//*Label 4576*/ GIMT_Encode4(200777),
     /* 200689 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 200692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 200696 */   GIM_Try, /*On fail goto*//*Label 4577*/ GIMT_Encode4(200751), // Rule ID 73 //
     /* 200701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLZCNT),
     /* 200704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 200708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 200712 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 200715 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 200719 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 200723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 200725 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 200732 */     // (ctlz:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (LZCNT32rm:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 200732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LZCNT32rm),
     /* 200735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200737 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 200741 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 200744 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 200749 */     GIR_RootConstrainSelectedInstOperands,
     /* 200750 */     // GIR_Coverage, 73,
     /* 200750 */     GIR_EraseRootFromParent_Done,
     /* 200751 */   // Label 4577: @200751
     /* 200751 */   GIM_Try, /*On fail goto*//*Label 4578*/ GIMT_Encode4(200776), // Rule ID 72 //
     /* 200756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLZCNT),
     /* 200759 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 200763 */     // (ctlz:{ *:[i32] } GR32:{ *:[i32] }:$src1)  =>  (LZCNT32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /* 200763 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::LZCNT32rr),
     /* 200768 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /* 200774 */     GIR_RootConstrainSelectedInstOperands,
     /* 200775 */     // GIR_Coverage, 72,
     /* 200775 */     GIR_Done,
     /* 200776 */   // Label 4578: @200776
     /* 200776 */   GIM_Reject,
     /* 200777 */ // Label 4576: @200777
     /* 200777 */ GIM_Reject,
     /* 200778 */ // Label 4565: @200778
     /* 200778 */ GIM_Try, /*On fail goto*//*Label 4579*/ GIMT_Encode4(200871),
     /* 200783 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 200786 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 200790 */   GIM_Try, /*On fail goto*//*Label 4580*/ GIMT_Encode4(200845), // Rule ID 75 //
     /* 200795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLZCNT),
     /* 200798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 200802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 200806 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 200809 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 200813 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 200817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 200819 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 200826 */     // (ctlz:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LZCNT64rm:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 200826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LZCNT64rm),
     /* 200829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200831 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 200835 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 200838 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 200843 */     GIR_RootConstrainSelectedInstOperands,
     /* 200844 */     // GIR_Coverage, 75,
     /* 200844 */     GIR_EraseRootFromParent_Done,
     /* 200845 */   // Label 4580: @200845
     /* 200845 */   GIM_Try, /*On fail goto*//*Label 4581*/ GIMT_Encode4(200870), // Rule ID 74 //
     /* 200850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLZCNT),
     /* 200853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 200857 */     // (ctlz:{ *:[i64] } GR64:{ *:[i64] }:$src1)  =>  (LZCNT64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /* 200857 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::LZCNT64rr),
     /* 200862 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /* 200868 */     GIR_RootConstrainSelectedInstOperands,
     /* 200869 */     // GIR_Coverage, 74,
     /* 200869 */     GIR_Done,
     /* 200870 */   // Label 4581: @200870
     /* 200870 */   GIM_Reject,
     /* 200871 */ // Label 4579: @200871
     /* 200871 */ GIM_Reject,
     /* 200872 */ // Label 4566: @200872
     /* 200872 */ GIM_Try, /*On fail goto*//*Label 4582*/ GIMT_Encode4(201067),
     /* 200877 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 200880 */   GIM_Try, /*On fail goto*//*Label 4583*/ GIMT_Encode4(200936), // Rule ID 13356 //
     /* 200885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCDI_HasVLX),
     /* 200888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 200892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 200896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 200900 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 200903 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 200907 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 200911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 200913 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 200920 */     // (ctlz:{ *:[v2i64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPLZCNTQZ128rm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src1)
     /* 200920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPLZCNTQZ128rm),
     /* 200923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200925 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 200929 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 200934 */     GIR_RootConstrainSelectedInstOperands,
     /* 200935 */     // GIR_Coverage, 13356,
     /* 200935 */     GIR_EraseRootFromParent_Done,
     /* 200936 */   // Label 4583: @200936
     /* 200936 */   GIM_Try, /*On fail goto*//*Label 4584*/ GIMT_Encode4(200959), // Rule ID 13353 //
     /* 200941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCDI_HasVLX),
     /* 200944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 200948 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 200952 */     // (ctlz:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1)  =>  (VPLZCNTQZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1)
     /* 200952 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPLZCNTQZ128rr),
     /* 200957 */     GIR_RootConstrainSelectedInstOperands,
     /* 200958 */     // GIR_Coverage, 13353,
     /* 200958 */     GIR_Done,
     /* 200959 */   // Label 4584: @200959
     /* 200959 */   GIM_Try, /*On fail goto*//*Label 4585*/ GIMT_Encode4(201066), // Rule ID 21825 //
     /* 200964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCDI_HasEVEX512_NoVLX),
     /* 200967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 200971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 200975 */     // (ctlz:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1)  =>  (EXTRACT_SUBREG:{ *:[v2i64] } (VPLZCNTQZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 200975 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 200978 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 200982 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 200987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 200989 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 200992 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 200996 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 201001 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 201004 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 201008 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 201011 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 201016 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 201021 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 201026 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 201029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPLZCNTQZrr),
     /* 201033 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 201038 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 201041 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 201043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 201046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 201048 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 201055 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 201060 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 201065 */     // GIR_Coverage, 21825,
     /* 201065 */     GIR_EraseRootFromParent_Done,
     /* 201066 */   // Label 4585: @201066
     /* 201066 */   GIM_Reject,
     /* 201067 */ // Label 4582: @201067
     /* 201067 */ GIM_Reject,
     /* 201068 */ // Label 4567: @201068
     /* 201068 */ GIM_Try, /*On fail goto*//*Label 4586*/ GIMT_Encode4(201263),
     /* 201073 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 201076 */   GIM_Try, /*On fail goto*//*Label 4587*/ GIMT_Encode4(201132), // Rule ID 13383 //
     /* 201081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCDI_HasVLX),
     /* 201084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 201088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 201092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 201096 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 201099 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 201103 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 201107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 201109 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 201116 */     // (ctlz:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPLZCNTDZ128rm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src1)
     /* 201116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPLZCNTDZ128rm),
     /* 201119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 201121 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 201125 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 201130 */     GIR_RootConstrainSelectedInstOperands,
     /* 201131 */     // GIR_Coverage, 13383,
     /* 201131 */     GIR_EraseRootFromParent_Done,
     /* 201132 */   // Label 4587: @201132
     /* 201132 */   GIM_Try, /*On fail goto*//*Label 4588*/ GIMT_Encode4(201155), // Rule ID 13380 //
     /* 201137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCDI_HasVLX),
     /* 201140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 201144 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 201148 */     // (ctlz:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1)  =>  (VPLZCNTDZ128rr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1)
     /* 201148 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPLZCNTDZ128rr),
     /* 201153 */     GIR_RootConstrainSelectedInstOperands,
     /* 201154 */     // GIR_Coverage, 13380,
     /* 201154 */     GIR_Done,
     /* 201155 */   // Label 4588: @201155
     /* 201155 */   GIM_Try, /*On fail goto*//*Label 4589*/ GIMT_Encode4(201262), // Rule ID 21827 //
     /* 201160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCDI_HasEVEX512_NoVLX),
     /* 201163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 201167 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 201171 */     // (ctlz:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1)  =>  (EXTRACT_SUBREG:{ *:[v4i32] } (VPLZCNTDZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR128X:{ *:[v4i32] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 201171 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 201174 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 201178 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 201183 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 201185 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s32,
     /* 201188 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 201192 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 201197 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 201200 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 201204 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 201207 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 201212 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 201217 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 201222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 201225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPLZCNTDZrr),
     /* 201229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 201234 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 201237 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 201239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 201242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 201244 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 201251 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 201256 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 201261 */     // GIR_Coverage, 21827,
     /* 201261 */     GIR_EraseRootFromParent_Done,
     /* 201262 */   // Label 4589: @201262
     /* 201262 */   GIM_Reject,
     /* 201263 */ // Label 4586: @201263
     /* 201263 */ GIM_Reject,
     /* 201264 */ // Label 4568: @201264
     /* 201264 */ GIM_Try, /*On fail goto*//*Label 4590*/ GIMT_Encode4(201451),
     /* 201269 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 201272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 201276 */   GIM_Try, /*On fail goto*//*Label 4591*/ GIMT_Encode4(201328), // Rule ID 13347 //
     /* 201281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCDI_HasVLX),
     /* 201284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 201288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 201292 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 201295 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 201299 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 201303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 201305 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 201312 */     // (ctlz:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPLZCNTQZ256rm:{ *:[v4i64] } addr:{ *:[iPTR] }:$src1)
     /* 201312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPLZCNTQZ256rm),
     /* 201315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 201317 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 201321 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 201326 */     GIR_RootConstrainSelectedInstOperands,
     /* 201327 */     // GIR_Coverage, 13347,
     /* 201327 */     GIR_EraseRootFromParent_Done,
     /* 201328 */   // Label 4591: @201328
     /* 201328 */   GIM_Try, /*On fail goto*//*Label 4592*/ GIMT_Encode4(201347), // Rule ID 13344 //
     /* 201333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCDI_HasVLX),
     /* 201336 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 201340 */     // (ctlz:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1)  =>  (VPLZCNTQZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1)
     /* 201340 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPLZCNTQZ256rr),
     /* 201345 */     GIR_RootConstrainSelectedInstOperands,
     /* 201346 */     // GIR_Coverage, 13344,
     /* 201346 */     GIR_Done,
     /* 201347 */   // Label 4592: @201347
     /* 201347 */   GIM_Try, /*On fail goto*//*Label 4593*/ GIMT_Encode4(201450), // Rule ID 21824 //
     /* 201352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCDI_HasEVEX512_NoVLX),
     /* 201355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 201359 */     // (ctlz:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1)  =>  (EXTRACT_SUBREG:{ *:[v4i64] } (VPLZCNTQZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 201359 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 201362 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 201366 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 201371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 201373 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 201376 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 201380 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 201385 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 201388 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 201392 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 201395 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 201400 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 201405 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 201410 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 201413 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPLZCNTQZrr),
     /* 201417 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 201422 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 201425 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 201427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 201430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 201432 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 201439 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 201444 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 201449 */     // GIR_Coverage, 21824,
     /* 201449 */     GIR_EraseRootFromParent_Done,
     /* 201450 */   // Label 4593: @201450
     /* 201450 */   GIM_Reject,
     /* 201451 */ // Label 4590: @201451
     /* 201451 */ GIM_Reject,
     /* 201452 */ // Label 4569: @201452
     /* 201452 */ GIM_Try, /*On fail goto*//*Label 4594*/ GIMT_Encode4(201639),
     /* 201457 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 201460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 201464 */   GIM_Try, /*On fail goto*//*Label 4595*/ GIMT_Encode4(201516), // Rule ID 13374 //
     /* 201469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCDI_HasVLX),
     /* 201472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 201476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 201480 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 201483 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 201487 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 201491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 201493 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 201500 */     // (ctlz:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPLZCNTDZ256rm:{ *:[v8i32] } addr:{ *:[iPTR] }:$src1)
     /* 201500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPLZCNTDZ256rm),
     /* 201503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 201505 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 201509 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 201514 */     GIR_RootConstrainSelectedInstOperands,
     /* 201515 */     // GIR_Coverage, 13374,
     /* 201515 */     GIR_EraseRootFromParent_Done,
     /* 201516 */   // Label 4595: @201516
     /* 201516 */   GIM_Try, /*On fail goto*//*Label 4596*/ GIMT_Encode4(201535), // Rule ID 13371 //
     /* 201521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCDI_HasVLX),
     /* 201524 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 201528 */     // (ctlz:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1)  =>  (VPLZCNTDZ256rr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1)
     /* 201528 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPLZCNTDZ256rr),
     /* 201533 */     GIR_RootConstrainSelectedInstOperands,
     /* 201534 */     // GIR_Coverage, 13371,
     /* 201534 */     GIR_Done,
     /* 201535 */   // Label 4596: @201535
     /* 201535 */   GIM_Try, /*On fail goto*//*Label 4597*/ GIMT_Encode4(201638), // Rule ID 21826 //
     /* 201540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCDI_HasEVEX512_NoVLX),
     /* 201543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 201547 */     // (ctlz:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1)  =>  (EXTRACT_SUBREG:{ *:[v8i32] } (VPLZCNTDZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR256X:{ *:[v8i32] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 201547 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 201550 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 201554 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 201559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 201561 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s32,
     /* 201564 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 201568 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 201573 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 201576 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 201580 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 201583 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 201588 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 201593 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 201598 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 201601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPLZCNTDZrr),
     /* 201605 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 201610 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 201613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 201615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 201618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 201620 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 201627 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 201632 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 201637 */     // GIR_Coverage, 21826,
     /* 201637 */     GIR_EraseRootFromParent_Done,
     /* 201638 */   // Label 4597: @201638
     /* 201638 */   GIM_Reject,
     /* 201639 */ // Label 4594: @201639
     /* 201639 */ GIM_Reject,
     /* 201640 */ // Label 4570: @201640
     /* 201640 */ GIM_Try, /*On fail goto*//*Label 4598*/ GIMT_Encode4(201724),
     /* 201645 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 201648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 201652 */   GIM_Try, /*On fail goto*//*Label 4599*/ GIMT_Encode4(201704), // Rule ID 13338 //
     /* 201657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCDI),
     /* 201660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 201664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 201668 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 201671 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 201675 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 201679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 201681 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 201688 */     // (ctlz:{ *:[v8i64] } (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPLZCNTQZrm:{ *:[v8i64] } addr:{ *:[iPTR] }:$src1)
     /* 201688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPLZCNTQZrm),
     /* 201691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 201693 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 201697 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 201702 */     GIR_RootConstrainSelectedInstOperands,
     /* 201703 */     // GIR_Coverage, 13338,
     /* 201703 */     GIR_EraseRootFromParent_Done,
     /* 201704 */   // Label 4599: @201704
     /* 201704 */   GIM_Try, /*On fail goto*//*Label 4600*/ GIMT_Encode4(201723), // Rule ID 13335 //
     /* 201709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCDI),
     /* 201712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 201716 */     // (ctlz:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1)  =>  (VPLZCNTQZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1)
     /* 201716 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPLZCNTQZrr),
     /* 201721 */     GIR_RootConstrainSelectedInstOperands,
     /* 201722 */     // GIR_Coverage, 13335,
     /* 201722 */     GIR_Done,
     /* 201723 */   // Label 4600: @201723
     /* 201723 */   GIM_Reject,
     /* 201724 */ // Label 4598: @201724
     /* 201724 */ GIM_Reject,
     /* 201725 */ // Label 4571: @201725
     /* 201725 */ GIM_Try, /*On fail goto*//*Label 4601*/ GIMT_Encode4(201809),
     /* 201730 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 201733 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 201737 */   GIM_Try, /*On fail goto*//*Label 4602*/ GIMT_Encode4(201789), // Rule ID 13365 //
     /* 201742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCDI),
     /* 201745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 201749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 201753 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 201756 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 201760 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 201764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 201766 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 201773 */     // (ctlz:{ *:[v16i32] } (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPLZCNTDZrm:{ *:[v16i32] } addr:{ *:[iPTR] }:$src1)
     /* 201773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPLZCNTDZrm),
     /* 201776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 201778 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 201782 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 201787 */     GIR_RootConstrainSelectedInstOperands,
     /* 201788 */     // GIR_Coverage, 13365,
     /* 201788 */     GIR_EraseRootFromParent_Done,
     /* 201789 */   // Label 4602: @201789
     /* 201789 */   GIM_Try, /*On fail goto*//*Label 4603*/ GIMT_Encode4(201808), // Rule ID 13362 //
     /* 201794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCDI),
     /* 201797 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 201801 */     // (ctlz:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1)  =>  (VPLZCNTDZrr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1)
     /* 201801 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPLZCNTDZrr),
     /* 201806 */     GIR_RootConstrainSelectedInstOperands,
     /* 201807 */     // GIR_Coverage, 13362,
     /* 201807 */     GIR_Done,
     /* 201808 */   // Label 4603: @201808
     /* 201808 */   GIM_Reject,
     /* 201809 */ // Label 4601: @201809
     /* 201809 */ GIM_Reject,
     /* 201810 */ // Label 4572: @201810
     /* 201810 */ GIM_Reject,
     /* 201811 */ // Label 65: @201811
     /* 201811 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(25), /*)*//*default:*//*Label 4619*/ GIMT_Encode4(204072),
     /* 201822 */ /*GILLT_s16*//*Label 4604*/ GIMT_Encode4(201914),
     /* 201826 */ /*GILLT_s32*//*Label 4605*/ GIMT_Encode4(202008),
     /* 201830 */ /*GILLT_s64*//*Label 4606*/ GIMT_Encode4(202102), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 201846 */ /*GILLT_v2s64*//*Label 4607*/ GIMT_Encode4(202196), GIMT_Encode4(0),
     /* 201854 */ /*GILLT_v4s32*//*Label 4608*/ GIMT_Encode4(202392),
     /* 201858 */ /*GILLT_v4s64*//*Label 4609*/ GIMT_Encode4(202588), GIMT_Encode4(0),
     /* 201866 */ /*GILLT_v8s16*//*Label 4610*/ GIMT_Encode4(202776),
     /* 201870 */ /*GILLT_v8s32*//*Label 4611*/ GIMT_Encode4(202972),
     /* 201874 */ /*GILLT_v8s64*//*Label 4612*/ GIMT_Encode4(203160), GIMT_Encode4(0),
     /* 201882 */ /*GILLT_v16s8*//*Label 4613*/ GIMT_Encode4(203245),
     /* 201886 */ /*GILLT_v16s16*//*Label 4614*/ GIMT_Encode4(203441),
     /* 201890 */ /*GILLT_v16s32*//*Label 4615*/ GIMT_Encode4(203629), GIMT_Encode4(0),
     /* 201898 */ /*GILLT_v32s8*//*Label 4616*/ GIMT_Encode4(203714),
     /* 201902 */ /*GILLT_v32s16*//*Label 4617*/ GIMT_Encode4(203902), GIMT_Encode4(0),
     /* 201910 */ /*GILLT_v64s8*//*Label 4618*/ GIMT_Encode4(203987),
     /* 201914 */ // Label 4604: @201914
     /* 201914 */ GIM_Try, /*On fail goto*//*Label 4620*/ GIMT_Encode4(202007),
     /* 201919 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 201922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 201926 */   GIM_Try, /*On fail goto*//*Label 4621*/ GIMT_Encode4(201981), // Rule ID 3175 //
     /* 201931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPOPCNT),
     /* 201934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 201938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 201942 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 201945 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 201949 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 201953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 201955 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 201962 */     // (ctpop:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (POPCNT16rm:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 201962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::POPCNT16rm),
     /* 201965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 201967 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 201971 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 201974 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 201979 */     GIR_RootConstrainSelectedInstOperands,
     /* 201980 */     // GIR_Coverage, 3175,
     /* 201980 */     GIR_EraseRootFromParent_Done,
     /* 201981 */   // Label 4621: @201981
     /* 201981 */   GIM_Try, /*On fail goto*//*Label 4622*/ GIMT_Encode4(202006), // Rule ID 3174 //
     /* 201986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPOPCNT),
     /* 201989 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 201993 */     // (ctpop:{ *:[i16] } GR16:{ *:[i16] }:$src1)  =>  (POPCNT16rr:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /* 201993 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::POPCNT16rr),
     /* 201998 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /* 202004 */     GIR_RootConstrainSelectedInstOperands,
     /* 202005 */     // GIR_Coverage, 3174,
     /* 202005 */     GIR_Done,
     /* 202006 */   // Label 4622: @202006
     /* 202006 */   GIM_Reject,
     /* 202007 */ // Label 4620: @202007
     /* 202007 */ GIM_Reject,
     /* 202008 */ // Label 4605: @202008
     /* 202008 */ GIM_Try, /*On fail goto*//*Label 4623*/ GIMT_Encode4(202101),
     /* 202013 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 202016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 202020 */   GIM_Try, /*On fail goto*//*Label 4624*/ GIMT_Encode4(202075), // Rule ID 3177 //
     /* 202025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPOPCNT),
     /* 202028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 202032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 202036 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 202039 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 202043 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 202047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 202049 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 202056 */     // (ctpop:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (POPCNT32rm:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 202056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::POPCNT32rm),
     /* 202059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 202061 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 202065 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 202068 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 202073 */     GIR_RootConstrainSelectedInstOperands,
     /* 202074 */     // GIR_Coverage, 3177,
     /* 202074 */     GIR_EraseRootFromParent_Done,
     /* 202075 */   // Label 4624: @202075
     /* 202075 */   GIM_Try, /*On fail goto*//*Label 4625*/ GIMT_Encode4(202100), // Rule ID 3176 //
     /* 202080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPOPCNT),
     /* 202083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 202087 */     // (ctpop:{ *:[i32] } GR32:{ *:[i32] }:$src1)  =>  (POPCNT32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /* 202087 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::POPCNT32rr),
     /* 202092 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /* 202098 */     GIR_RootConstrainSelectedInstOperands,
     /* 202099 */     // GIR_Coverage, 3176,
     /* 202099 */     GIR_Done,
     /* 202100 */   // Label 4625: @202100
     /* 202100 */   GIM_Reject,
     /* 202101 */ // Label 4623: @202101
     /* 202101 */ GIM_Reject,
     /* 202102 */ // Label 4606: @202102
     /* 202102 */ GIM_Try, /*On fail goto*//*Label 4626*/ GIMT_Encode4(202195),
     /* 202107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 202110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 202114 */   GIM_Try, /*On fail goto*//*Label 4627*/ GIMT_Encode4(202169), // Rule ID 3179 //
     /* 202119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPOPCNT),
     /* 202122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 202126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 202130 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 202133 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 202137 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 202141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 202143 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 202150 */     // (ctpop:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (POPCNT64rm:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 202150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::POPCNT64rm),
     /* 202153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 202155 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 202159 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 202162 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 202167 */     GIR_RootConstrainSelectedInstOperands,
     /* 202168 */     // GIR_Coverage, 3179,
     /* 202168 */     GIR_EraseRootFromParent_Done,
     /* 202169 */   // Label 4627: @202169
     /* 202169 */   GIM_Try, /*On fail goto*//*Label 4628*/ GIMT_Encode4(202194), // Rule ID 3178 //
     /* 202174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPOPCNT),
     /* 202177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 202181 */     // (ctpop:{ *:[i64] } GR64:{ *:[i64] }:$src1)  =>  (POPCNT64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /* 202181 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::POPCNT64rr),
     /* 202186 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /* 202192 */     GIR_RootConstrainSelectedInstOperands,
     /* 202193 */     // GIR_Coverage, 3178,
     /* 202193 */     GIR_Done,
     /* 202194 */   // Label 4628: @202194
     /* 202194 */   GIM_Reject,
     /* 202195 */ // Label 4626: @202195
     /* 202195 */ GIM_Reject,
     /* 202196 */ // Label 4607: @202196
     /* 202196 */ GIM_Try, /*On fail goto*//*Label 4629*/ GIMT_Encode4(202391),
     /* 202201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 202204 */   GIM_Try, /*On fail goto*//*Label 4630*/ GIMT_Encode4(202260), // Rule ID 13464 //
     /* 202209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX_HasVPOPCNTDQ),
     /* 202212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 202216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 202220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 202224 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 202227 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 202231 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 202235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 202237 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 202244 */     // (ctpop:{ *:[v2i64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPOPCNTQZ128rm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src1)
     /* 202244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPOPCNTQZ128rm),
     /* 202247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 202249 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 202253 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 202258 */     GIR_RootConstrainSelectedInstOperands,
     /* 202259 */     // GIR_Coverage, 13464,
     /* 202259 */     GIR_EraseRootFromParent_Done,
     /* 202260 */   // Label 4630: @202260
     /* 202260 */   GIM_Try, /*On fail goto*//*Label 4631*/ GIMT_Encode4(202283), // Rule ID 13461 //
     /* 202265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX_HasVPOPCNTDQ),
     /* 202268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 202272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 202276 */     // (ctpop:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1)  =>  (VPOPCNTQZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1)
     /* 202276 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPOPCNTQZ128rr),
     /* 202281 */     GIR_RootConstrainSelectedInstOperands,
     /* 202282 */     // GIR_Coverage, 13461,
     /* 202282 */     GIR_Done,
     /* 202283 */   // Label 4631: @202283
     /* 202283 */   GIM_Try, /*On fail goto*//*Label 4632*/ GIMT_Encode4(202390), // Rule ID 21829 //
     /* 202288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEVEX512_HasVPOPCNTDQ_NoVLX),
     /* 202291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 202295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 202299 */     // (ctpop:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1)  =>  (EXTRACT_SUBREG:{ *:[v2i64] } (VPOPCNTQZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 202299 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 202302 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 202306 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 202311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 202313 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 202316 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 202320 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 202325 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 202328 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 202332 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 202335 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 202340 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 202345 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 202350 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 202353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPOPCNTQZrr),
     /* 202357 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 202362 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 202365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 202367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 202370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 202372 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 202379 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 202384 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 202389 */     // GIR_Coverage, 21829,
     /* 202389 */     GIR_EraseRootFromParent_Done,
     /* 202390 */   // Label 4632: @202390
     /* 202390 */   GIM_Reject,
     /* 202391 */ // Label 4629: @202391
     /* 202391 */ GIM_Reject,
     /* 202392 */ // Label 4608: @202392
     /* 202392 */ GIM_Try, /*On fail goto*//*Label 4633*/ GIMT_Encode4(202587),
     /* 202397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 202400 */   GIM_Try, /*On fail goto*//*Label 4634*/ GIMT_Encode4(202456), // Rule ID 13491 //
     /* 202405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX_HasVPOPCNTDQ),
     /* 202408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 202412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 202416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 202420 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 202423 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 202427 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 202431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 202433 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 202440 */     // (ctpop:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPOPCNTDZ128rm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src1)
     /* 202440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPOPCNTDZ128rm),
     /* 202443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 202445 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 202449 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 202454 */     GIR_RootConstrainSelectedInstOperands,
     /* 202455 */     // GIR_Coverage, 13491,
     /* 202455 */     GIR_EraseRootFromParent_Done,
     /* 202456 */   // Label 4634: @202456
     /* 202456 */   GIM_Try, /*On fail goto*//*Label 4635*/ GIMT_Encode4(202479), // Rule ID 13488 //
     /* 202461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX_HasVPOPCNTDQ),
     /* 202464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 202468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 202472 */     // (ctpop:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1)  =>  (VPOPCNTDZ128rr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1)
     /* 202472 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPOPCNTDZ128rr),
     /* 202477 */     GIR_RootConstrainSelectedInstOperands,
     /* 202478 */     // GIR_Coverage, 13488,
     /* 202478 */     GIR_Done,
     /* 202479 */   // Label 4635: @202479
     /* 202479 */   GIM_Try, /*On fail goto*//*Label 4636*/ GIMT_Encode4(202586), // Rule ID 21831 //
     /* 202484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEVEX512_HasVPOPCNTDQ_NoVLX),
     /* 202487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 202491 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 202495 */     // (ctpop:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1)  =>  (EXTRACT_SUBREG:{ *:[v4i32] } (VPOPCNTDZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR128X:{ *:[v4i32] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 202495 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 202498 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 202502 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 202507 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 202509 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s32,
     /* 202512 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 202516 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 202521 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 202524 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 202528 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 202531 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 202536 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 202541 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 202546 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 202549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPOPCNTDZrr),
     /* 202553 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 202558 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 202561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 202563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 202566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 202568 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 202575 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 202580 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 202585 */     // GIR_Coverage, 21831,
     /* 202585 */     GIR_EraseRootFromParent_Done,
     /* 202586 */   // Label 4636: @202586
     /* 202586 */   GIM_Reject,
     /* 202587 */ // Label 4633: @202587
     /* 202587 */ GIM_Reject,
     /* 202588 */ // Label 4609: @202588
     /* 202588 */ GIM_Try, /*On fail goto*//*Label 4637*/ GIMT_Encode4(202775),
     /* 202593 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 202596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 202600 */   GIM_Try, /*On fail goto*//*Label 4638*/ GIMT_Encode4(202652), // Rule ID 13455 //
     /* 202605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX_HasVPOPCNTDQ),
     /* 202608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 202612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 202616 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 202619 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 202623 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 202627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 202629 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 202636 */     // (ctpop:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPOPCNTQZ256rm:{ *:[v4i64] } addr:{ *:[iPTR] }:$src1)
     /* 202636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPOPCNTQZ256rm),
     /* 202639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 202641 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 202645 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 202650 */     GIR_RootConstrainSelectedInstOperands,
     /* 202651 */     // GIR_Coverage, 13455,
     /* 202651 */     GIR_EraseRootFromParent_Done,
     /* 202652 */   // Label 4638: @202652
     /* 202652 */   GIM_Try, /*On fail goto*//*Label 4639*/ GIMT_Encode4(202671), // Rule ID 13452 //
     /* 202657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX_HasVPOPCNTDQ),
     /* 202660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 202664 */     // (ctpop:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1)  =>  (VPOPCNTQZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1)
     /* 202664 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPOPCNTQZ256rr),
     /* 202669 */     GIR_RootConstrainSelectedInstOperands,
     /* 202670 */     // GIR_Coverage, 13452,
     /* 202670 */     GIR_Done,
     /* 202671 */   // Label 4639: @202671
     /* 202671 */   GIM_Try, /*On fail goto*//*Label 4640*/ GIMT_Encode4(202774), // Rule ID 21828 //
     /* 202676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEVEX512_HasVPOPCNTDQ_NoVLX),
     /* 202679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 202683 */     // (ctpop:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1)  =>  (EXTRACT_SUBREG:{ *:[v4i64] } (VPOPCNTQZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 202683 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 202686 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 202690 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 202695 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 202697 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 202700 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 202704 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 202709 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 202712 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 202716 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 202719 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 202724 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 202729 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 202734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 202737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPOPCNTQZrr),
     /* 202741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 202746 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 202749 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 202751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 202754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 202756 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 202763 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 202768 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 202773 */     // GIR_Coverage, 21828,
     /* 202773 */     GIR_EraseRootFromParent_Done,
     /* 202774 */   // Label 4640: @202774
     /* 202774 */   GIM_Reject,
     /* 202775 */ // Label 4637: @202775
     /* 202775 */ GIM_Reject,
     /* 202776 */ // Label 4610: @202776
     /* 202776 */ GIM_Try, /*On fail goto*//*Label 4641*/ GIMT_Encode4(202971),
     /* 202781 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 202784 */   GIM_Try, /*On fail goto*//*Label 4642*/ GIMT_Encode4(202840), // Rule ID 14518 //
     /* 202789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBITALG_HasVLX),
     /* 202792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 202796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 202800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 202804 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 202807 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 202811 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 202815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 202817 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 202824 */     // (ctpop:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPOPCNTWZ128rm:{ *:[v8i16] } addr:{ *:[iPTR] }:$src1)
     /* 202824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPOPCNTWZ128rm),
     /* 202827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 202829 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 202833 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 202838 */     GIR_RootConstrainSelectedInstOperands,
     /* 202839 */     // GIR_Coverage, 14518,
     /* 202839 */     GIR_EraseRootFromParent_Done,
     /* 202840 */   // Label 4642: @202840
     /* 202840 */   GIM_Try, /*On fail goto*//*Label 4643*/ GIMT_Encode4(202863), // Rule ID 14515 //
     /* 202845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBITALG_HasVLX),
     /* 202848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 202852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 202856 */     // (ctpop:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1)  =>  (VPOPCNTWZ128rr:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1)
     /* 202856 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPOPCNTWZ128rr),
     /* 202861 */     GIR_RootConstrainSelectedInstOperands,
     /* 202862 */     // GIR_Coverage, 14515,
     /* 202862 */     GIR_Done,
     /* 202863 */   // Label 4643: @202863
     /* 202863 */   GIM_Try, /*On fail goto*//*Label 4644*/ GIMT_Encode4(202970), // Rule ID 22138 //
     /* 202868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBITALG_HasEVEX512_NoVLX),
     /* 202871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 202875 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 202879 */     // (ctpop:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1)  =>  (EXTRACT_SUBREG:{ *:[v8i16] } (VPOPCNTWZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v32i16] } (IMPLICIT_DEF:{ *:[v32i16] }), VR128X:{ *:[v8i16] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 202879 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v32s16,
     /* 202882 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 202886 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 202891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 202893 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v32s16,
     /* 202896 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 202900 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 202905 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 202908 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 202912 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 202915 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 202920 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 202925 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 202930 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 202933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPOPCNTWZrr),
     /* 202937 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 202942 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 202945 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 202947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 202950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 202952 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 202959 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 202964 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 202969 */     // GIR_Coverage, 22138,
     /* 202969 */     GIR_EraseRootFromParent_Done,
     /* 202970 */   // Label 4644: @202970
     /* 202970 */   GIM_Reject,
     /* 202971 */ // Label 4641: @202971
     /* 202971 */ GIM_Reject,
     /* 202972 */ // Label 4611: @202972
     /* 202972 */ GIM_Try, /*On fail goto*//*Label 4645*/ GIMT_Encode4(203159),
     /* 202977 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 202980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 202984 */   GIM_Try, /*On fail goto*//*Label 4646*/ GIMT_Encode4(203036), // Rule ID 13482 //
     /* 202989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX_HasVPOPCNTDQ),
     /* 202992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 202996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 203000 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 203003 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 203007 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 203011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 203013 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 203020 */     // (ctpop:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPOPCNTDZ256rm:{ *:[v8i32] } addr:{ *:[iPTR] }:$src1)
     /* 203020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPOPCNTDZ256rm),
     /* 203023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203025 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 203029 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 203034 */     GIR_RootConstrainSelectedInstOperands,
     /* 203035 */     // GIR_Coverage, 13482,
     /* 203035 */     GIR_EraseRootFromParent_Done,
     /* 203036 */   // Label 4646: @203036
     /* 203036 */   GIM_Try, /*On fail goto*//*Label 4647*/ GIMT_Encode4(203055), // Rule ID 13479 //
     /* 203041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX_HasVPOPCNTDQ),
     /* 203044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 203048 */     // (ctpop:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1)  =>  (VPOPCNTDZ256rr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1)
     /* 203048 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPOPCNTDZ256rr),
     /* 203053 */     GIR_RootConstrainSelectedInstOperands,
     /* 203054 */     // GIR_Coverage, 13479,
     /* 203054 */     GIR_Done,
     /* 203055 */   // Label 4647: @203055
     /* 203055 */   GIM_Try, /*On fail goto*//*Label 4648*/ GIMT_Encode4(203158), // Rule ID 21830 //
     /* 203060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEVEX512_HasVPOPCNTDQ_NoVLX),
     /* 203063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 203067 */     // (ctpop:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1)  =>  (EXTRACT_SUBREG:{ *:[v8i32] } (VPOPCNTDZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR256X:{ *:[v8i32] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 203067 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 203070 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 203074 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 203079 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 203081 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s32,
     /* 203084 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 203088 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 203093 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 203096 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 203100 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 203103 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 203108 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 203113 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 203118 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 203121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPOPCNTDZrr),
     /* 203125 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 203130 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 203133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 203135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 203138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203140 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 203147 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 203152 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 203157 */     // GIR_Coverage, 21830,
     /* 203157 */     GIR_EraseRootFromParent_Done,
     /* 203158 */   // Label 4648: @203158
     /* 203158 */   GIM_Reject,
     /* 203159 */ // Label 4645: @203159
     /* 203159 */ GIM_Reject,
     /* 203160 */ // Label 4612: @203160
     /* 203160 */ GIM_Try, /*On fail goto*//*Label 4649*/ GIMT_Encode4(203244),
     /* 203165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 203168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 203172 */   GIM_Try, /*On fail goto*//*Label 4650*/ GIMT_Encode4(203224), // Rule ID 13446 //
     /* 203177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVPOPCNTDQ),
     /* 203180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 203184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 203188 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 203191 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 203195 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 203199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 203201 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 203208 */     // (ctpop:{ *:[v8i64] } (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPOPCNTQZrm:{ *:[v8i64] } addr:{ *:[iPTR] }:$src1)
     /* 203208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPOPCNTQZrm),
     /* 203211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203213 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 203217 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 203222 */     GIR_RootConstrainSelectedInstOperands,
     /* 203223 */     // GIR_Coverage, 13446,
     /* 203223 */     GIR_EraseRootFromParent_Done,
     /* 203224 */   // Label 4650: @203224
     /* 203224 */   GIM_Try, /*On fail goto*//*Label 4651*/ GIMT_Encode4(203243), // Rule ID 13443 //
     /* 203229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVPOPCNTDQ),
     /* 203232 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 203236 */     // (ctpop:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1)  =>  (VPOPCNTQZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1)
     /* 203236 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPOPCNTQZrr),
     /* 203241 */     GIR_RootConstrainSelectedInstOperands,
     /* 203242 */     // GIR_Coverage, 13443,
     /* 203242 */     GIR_Done,
     /* 203243 */   // Label 4651: @203243
     /* 203243 */   GIM_Reject,
     /* 203244 */ // Label 4649: @203244
     /* 203244 */ GIM_Reject,
     /* 203245 */ // Label 4613: @203245
     /* 203245 */ GIM_Try, /*On fail goto*//*Label 4652*/ GIMT_Encode4(203440),
     /* 203250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 203253 */   GIM_Try, /*On fail goto*//*Label 4653*/ GIMT_Encode4(203309), // Rule ID 14500 //
     /* 203258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBITALG_HasVLX),
     /* 203261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 203265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 203269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 203273 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 203276 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 203280 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 203284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 203286 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 203293 */     // (ctpop:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPOPCNTBZ128rm:{ *:[v16i8] } addr:{ *:[iPTR] }:$src1)
     /* 203293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPOPCNTBZ128rm),
     /* 203296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203298 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 203302 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 203307 */     GIR_RootConstrainSelectedInstOperands,
     /* 203308 */     // GIR_Coverage, 14500,
     /* 203308 */     GIR_EraseRootFromParent_Done,
     /* 203309 */   // Label 4653: @203309
     /* 203309 */   GIM_Try, /*On fail goto*//*Label 4654*/ GIMT_Encode4(203332), // Rule ID 14497 //
     /* 203314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBITALG_HasVLX),
     /* 203317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 203321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 203325 */     // (ctpop:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1)  =>  (VPOPCNTBZ128rr:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1)
     /* 203325 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPOPCNTBZ128rr),
     /* 203330 */     GIR_RootConstrainSelectedInstOperands,
     /* 203331 */     // GIR_Coverage, 14497,
     /* 203331 */     GIR_Done,
     /* 203332 */   // Label 4654: @203332
     /* 203332 */   GIM_Try, /*On fail goto*//*Label 4655*/ GIMT_Encode4(203439), // Rule ID 22136 //
     /* 203337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBITALG_HasEVEX512_NoVLX),
     /* 203340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 203344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 203348 */     // (ctpop:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1)  =>  (EXTRACT_SUBREG:{ *:[v16i8] } (VPOPCNTBZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v64i8] } (IMPLICIT_DEF:{ *:[v64i8] }), VR128X:{ *:[v16i8] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 203348 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v64s8,
     /* 203351 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 203355 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 203360 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 203362 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v64s8,
     /* 203365 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 203369 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 203374 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 203377 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 203381 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 203384 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 203389 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 203394 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 203399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 203402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPOPCNTBZrr),
     /* 203406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 203411 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 203414 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 203416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 203419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203421 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 203428 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 203433 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 203438 */     // GIR_Coverage, 22136,
     /* 203438 */     GIR_EraseRootFromParent_Done,
     /* 203439 */   // Label 4655: @203439
     /* 203439 */   GIM_Reject,
     /* 203440 */ // Label 4652: @203440
     /* 203440 */ GIM_Reject,
     /* 203441 */ // Label 4614: @203441
     /* 203441 */ GIM_Try, /*On fail goto*//*Label 4656*/ GIMT_Encode4(203628),
     /* 203446 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 203449 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 203453 */   GIM_Try, /*On fail goto*//*Label 4657*/ GIMT_Encode4(203505), // Rule ID 14512 //
     /* 203458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBITALG_HasVLX),
     /* 203461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 203465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 203469 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 203472 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 203476 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 203480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 203482 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 203489 */     // (ctpop:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPOPCNTWZ256rm:{ *:[v16i16] } addr:{ *:[iPTR] }:$src1)
     /* 203489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPOPCNTWZ256rm),
     /* 203492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203494 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 203498 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 203503 */     GIR_RootConstrainSelectedInstOperands,
     /* 203504 */     // GIR_Coverage, 14512,
     /* 203504 */     GIR_EraseRootFromParent_Done,
     /* 203505 */   // Label 4657: @203505
     /* 203505 */   GIM_Try, /*On fail goto*//*Label 4658*/ GIMT_Encode4(203524), // Rule ID 14509 //
     /* 203510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBITALG_HasVLX),
     /* 203513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 203517 */     // (ctpop:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1)  =>  (VPOPCNTWZ256rr:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1)
     /* 203517 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPOPCNTWZ256rr),
     /* 203522 */     GIR_RootConstrainSelectedInstOperands,
     /* 203523 */     // GIR_Coverage, 14509,
     /* 203523 */     GIR_Done,
     /* 203524 */   // Label 4658: @203524
     /* 203524 */   GIM_Try, /*On fail goto*//*Label 4659*/ GIMT_Encode4(203627), // Rule ID 22137 //
     /* 203529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBITALG_HasEVEX512_NoVLX),
     /* 203532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 203536 */     // (ctpop:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1)  =>  (EXTRACT_SUBREG:{ *:[v16i16] } (VPOPCNTWZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v32i16] } (IMPLICIT_DEF:{ *:[v32i16] }), VR256X:{ *:[v16i16] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 203536 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v32s16,
     /* 203539 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 203543 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 203548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 203550 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v32s16,
     /* 203553 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 203557 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 203562 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 203565 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 203569 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 203572 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 203577 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 203582 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 203587 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 203590 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPOPCNTWZrr),
     /* 203594 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 203599 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 203602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 203604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 203607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203609 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 203616 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 203621 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 203626 */     // GIR_Coverage, 22137,
     /* 203626 */     GIR_EraseRootFromParent_Done,
     /* 203627 */   // Label 4659: @203627
     /* 203627 */   GIM_Reject,
     /* 203628 */ // Label 4656: @203628
     /* 203628 */ GIM_Reject,
     /* 203629 */ // Label 4615: @203629
     /* 203629 */ GIM_Try, /*On fail goto*//*Label 4660*/ GIMT_Encode4(203713),
     /* 203634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 203637 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 203641 */   GIM_Try, /*On fail goto*//*Label 4661*/ GIMT_Encode4(203693), // Rule ID 13473 //
     /* 203646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVPOPCNTDQ),
     /* 203649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 203653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 203657 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 203660 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 203664 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 203668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 203670 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 203677 */     // (ctpop:{ *:[v16i32] } (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPOPCNTDZrm:{ *:[v16i32] } addr:{ *:[iPTR] }:$src1)
     /* 203677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPOPCNTDZrm),
     /* 203680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203682 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 203686 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 203691 */     GIR_RootConstrainSelectedInstOperands,
     /* 203692 */     // GIR_Coverage, 13473,
     /* 203692 */     GIR_EraseRootFromParent_Done,
     /* 203693 */   // Label 4661: @203693
     /* 203693 */   GIM_Try, /*On fail goto*//*Label 4662*/ GIMT_Encode4(203712), // Rule ID 13470 //
     /* 203698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVPOPCNTDQ),
     /* 203701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 203705 */     // (ctpop:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1)  =>  (VPOPCNTDZrr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1)
     /* 203705 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPOPCNTDZrr),
     /* 203710 */     GIR_RootConstrainSelectedInstOperands,
     /* 203711 */     // GIR_Coverage, 13470,
     /* 203711 */     GIR_Done,
     /* 203712 */   // Label 4662: @203712
     /* 203712 */   GIM_Reject,
     /* 203713 */ // Label 4660: @203713
     /* 203713 */ GIM_Reject,
     /* 203714 */ // Label 4616: @203714
     /* 203714 */ GIM_Try, /*On fail goto*//*Label 4663*/ GIMT_Encode4(203901),
     /* 203719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /* 203722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 203726 */   GIM_Try, /*On fail goto*//*Label 4664*/ GIMT_Encode4(203778), // Rule ID 14494 //
     /* 203731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBITALG_HasVLX),
     /* 203734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 203738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 203742 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 203745 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 203749 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 203753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 203755 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 203762 */     // (ctpop:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPOPCNTBZ256rm:{ *:[v32i8] } addr:{ *:[iPTR] }:$src1)
     /* 203762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPOPCNTBZ256rm),
     /* 203765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203767 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 203771 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 203776 */     GIR_RootConstrainSelectedInstOperands,
     /* 203777 */     // GIR_Coverage, 14494,
     /* 203777 */     GIR_EraseRootFromParent_Done,
     /* 203778 */   // Label 4664: @203778
     /* 203778 */   GIM_Try, /*On fail goto*//*Label 4665*/ GIMT_Encode4(203797), // Rule ID 14491 //
     /* 203783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBITALG_HasVLX),
     /* 203786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 203790 */     // (ctpop:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1)  =>  (VPOPCNTBZ256rr:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1)
     /* 203790 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPOPCNTBZ256rr),
     /* 203795 */     GIR_RootConstrainSelectedInstOperands,
     /* 203796 */     // GIR_Coverage, 14491,
     /* 203796 */     GIR_Done,
     /* 203797 */   // Label 4665: @203797
     /* 203797 */   GIM_Try, /*On fail goto*//*Label 4666*/ GIMT_Encode4(203900), // Rule ID 22135 //
     /* 203802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBITALG_HasEVEX512_NoVLX),
     /* 203805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 203809 */     // (ctpop:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1)  =>  (EXTRACT_SUBREG:{ *:[v32i8] } (VPOPCNTBZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v64i8] } (IMPLICIT_DEF:{ *:[v64i8] }), VR256X:{ *:[v32i8] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 203809 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v64s8,
     /* 203812 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 203816 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 203821 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 203823 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v64s8,
     /* 203826 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 203830 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 203835 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 203838 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 203842 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 203845 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 203850 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 203855 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 203860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 203863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPOPCNTBZrr),
     /* 203867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 203872 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 203875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 203877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 203880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203882 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 203889 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 203894 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 203899 */     // GIR_Coverage, 22135,
     /* 203899 */     GIR_EraseRootFromParent_Done,
     /* 203900 */   // Label 4666: @203900
     /* 203900 */   GIM_Reject,
     /* 203901 */ // Label 4663: @203901
     /* 203901 */ GIM_Reject,
     /* 203902 */ // Label 4617: @203902
     /* 203902 */ GIM_Try, /*On fail goto*//*Label 4667*/ GIMT_Encode4(203986),
     /* 203907 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 203910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 203914 */   GIM_Try, /*On fail goto*//*Label 4668*/ GIMT_Encode4(203966), // Rule ID 14506 //
     /* 203919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBITALG),
     /* 203922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 203926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 203930 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 203933 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 203937 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 203941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 203943 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 203950 */     // (ctpop:{ *:[v32i16] } (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPOPCNTWZrm:{ *:[v32i16] } addr:{ *:[iPTR] }:$src1)
     /* 203950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPOPCNTWZrm),
     /* 203953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203955 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 203959 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 203964 */     GIR_RootConstrainSelectedInstOperands,
     /* 203965 */     // GIR_Coverage, 14506,
     /* 203965 */     GIR_EraseRootFromParent_Done,
     /* 203966 */   // Label 4668: @203966
     /* 203966 */   GIM_Try, /*On fail goto*//*Label 4669*/ GIMT_Encode4(203985), // Rule ID 14503 //
     /* 203971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBITALG),
     /* 203974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 203978 */     // (ctpop:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1)  =>  (VPOPCNTWZrr:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1)
     /* 203978 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPOPCNTWZrr),
     /* 203983 */     GIR_RootConstrainSelectedInstOperands,
     /* 203984 */     // GIR_Coverage, 14503,
     /* 203984 */     GIR_Done,
     /* 203985 */   // Label 4669: @203985
     /* 203985 */   GIM_Reject,
     /* 203986 */ // Label 4667: @203986
     /* 203986 */ GIM_Reject,
     /* 203987 */ // Label 4618: @203987
     /* 203987 */ GIM_Try, /*On fail goto*//*Label 4670*/ GIMT_Encode4(204071),
     /* 203992 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /* 203995 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 203999 */   GIM_Try, /*On fail goto*//*Label 4671*/ GIMT_Encode4(204051), // Rule ID 14488 //
     /* 204004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBITALG),
     /* 204007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 204011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 204015 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 204018 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 204022 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 204026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 204028 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 204035 */     // (ctpop:{ *:[v64i8] } (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPOPCNTBZrm:{ *:[v64i8] } addr:{ *:[iPTR] }:$src1)
     /* 204035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPOPCNTBZrm),
     /* 204038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204040 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 204044 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 204049 */     GIR_RootConstrainSelectedInstOperands,
     /* 204050 */     // GIR_Coverage, 14488,
     /* 204050 */     GIR_EraseRootFromParent_Done,
     /* 204051 */   // Label 4671: @204051
     /* 204051 */   GIM_Try, /*On fail goto*//*Label 4672*/ GIMT_Encode4(204070), // Rule ID 14485 //
     /* 204056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBITALG),
     /* 204059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 204063 */     // (ctpop:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1)  =>  (VPOPCNTBZrr:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1)
     /* 204063 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPOPCNTBZrr),
     /* 204068 */     GIR_RootConstrainSelectedInstOperands,
     /* 204069 */     // GIR_Coverage, 14485,
     /* 204069 */     GIR_Done,
     /* 204070 */   // Label 4672: @204070
     /* 204070 */   GIM_Reject,
     /* 204071 */ // Label 4670: @204071
     /* 204071 */ GIM_Reject,
     /* 204072 */ // Label 4619: @204072
     /* 204072 */ GIM_Reject,
     /* 204073 */ // Label 66: @204073
     /* 204073 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 4676*/ GIMT_Encode4(204572),
     /* 204084 */ /*GILLT_s16*//*Label 4673*/ GIMT_Encode4(204096),
     /* 204088 */ /*GILLT_s32*//*Label 4674*/ GIMT_Encode4(204260),
     /* 204092 */ /*GILLT_s64*//*Label 4675*/ GIMT_Encode4(204416),
     /* 204096 */ // Label 4673: @204096
     /* 204096 */ GIM_Try, /*On fail goto*//*Label 4677*/ GIMT_Encode4(204259),
     /* 204101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 204104 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 204108 */   GIM_Try, /*On fail goto*//*Label 4678*/ GIMT_Encode4(204160), // Rule ID 49 //
     /* 204113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVBE_NoEGPR),
     /* 204116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 204120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 204124 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 204127 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 204131 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 204135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 204137 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 204144 */     // (bswap:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (MOVBE16rm:{ *:[i16] } addr:{ *:[iPTR] }:$src1)
     /* 204144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVBE16rm),
     /* 204147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204149 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 204153 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 204158 */     GIR_RootConstrainSelectedInstOperands,
     /* 204159 */     // GIR_Coverage, 49,
     /* 204159 */     GIR_EraseRootFromParent_Done,
     /* 204160 */   // Label 4678: @204160
     /* 204160 */   GIM_Try, /*On fail goto*//*Label 4679*/ GIMT_Encode4(204212), // Rule ID 55 //
     /* 204165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_HasMOVBE_In64BitMode),
     /* 204168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 204172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 204176 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 204179 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 204183 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 204187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 204189 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 204196 */     // (bswap:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (MOVBE16rm_EVEX:{ *:[i16] } addr:{ *:[iPTR] }:$src1)
     /* 204196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVBE16rm_EVEX),
     /* 204199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204201 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 204205 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 204210 */     GIR_RootConstrainSelectedInstOperands,
     /* 204211 */     // GIR_Coverage, 55,
     /* 204211 */     GIR_EraseRootFromParent_Done,
     /* 204212 */   // Label 4679: @204212
     /* 204212 */   GIM_Try, /*On fail goto*//*Label 4680*/ GIMT_Encode4(204231), // Rule ID 61 //
     /* 204217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVBE_HasNDD_In64BitMode),
     /* 204220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 204224 */     // (bswap:{ *:[i16] } GR16:{ *:[i16] }:$src1)  =>  (MOVBE16rr:{ *:[i16] } GR16:{ *:[i16] }:$src1)
     /* 204224 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MOVBE16rr),
     /* 204229 */     GIR_RootConstrainSelectedInstOperands,
     /* 204230 */     // GIR_Coverage, 61,
     /* 204230 */     GIR_Done,
     /* 204231 */   // Label 4680: @204231
     /* 204231 */   GIM_Try, /*On fail goto*//*Label 4681*/ GIMT_Encode4(204258), // Rule ID 22985 //
     /* 204236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVBE),
     /* 204239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 204243 */     // (bswap:{ *:[i16] } GR16:{ *:[i16] }:$src)  =>  (ROL16ri:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src, 8:{ *:[i8] })
     /* 204243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL16ri),
     /* 204246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204248 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 204250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 204253 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 204256 */     GIR_RootConstrainSelectedInstOperands,
     /* 204257 */     // GIR_Coverage, 22985,
     /* 204257 */     GIR_EraseRootFromParent_Done,
     /* 204258 */   // Label 4681: @204258
     /* 204258 */   GIM_Reject,
     /* 204259 */ // Label 4677: @204259
     /* 204259 */ GIM_Reject,
     /* 204260 */ // Label 4674: @204260
     /* 204260 */ GIM_Try, /*On fail goto*//*Label 4682*/ GIMT_Encode4(204415),
     /* 204265 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 204268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 204272 */   GIM_Try, /*On fail goto*//*Label 4683*/ GIMT_Encode4(204324), // Rule ID 51 //
     /* 204277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVBE_NoEGPR),
     /* 204280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 204284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 204288 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 204291 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 204295 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 204299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 204301 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 204308 */     // (bswap:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (MOVBE32rm:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 204308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVBE32rm),
     /* 204311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204313 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 204317 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 204322 */     GIR_RootConstrainSelectedInstOperands,
     /* 204323 */     // GIR_Coverage, 51,
     /* 204323 */     GIR_EraseRootFromParent_Done,
     /* 204324 */   // Label 4683: @204324
     /* 204324 */   GIM_Try, /*On fail goto*//*Label 4684*/ GIMT_Encode4(204376), // Rule ID 57 //
     /* 204329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_HasMOVBE_In64BitMode),
     /* 204332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 204336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 204340 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 204343 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 204347 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 204351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 204353 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 204360 */     // (bswap:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (MOVBE32rm_EVEX:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 204360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVBE32rm_EVEX),
     /* 204363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204365 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 204369 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 204374 */     GIR_RootConstrainSelectedInstOperands,
     /* 204375 */     // GIR_Coverage, 57,
     /* 204375 */     GIR_EraseRootFromParent_Done,
     /* 204376 */   // Label 4684: @204376
     /* 204376 */   GIM_Try, /*On fail goto*//*Label 4685*/ GIMT_Encode4(204395), // Rule ID 5 //
     /* 204381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD_Or_NoMOVBE),
     /* 204384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 204388 */     // (bswap:{ *:[i32] } GR32:{ *:[i32] }:$src)  =>  (BSWAP32r:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /* 204388 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::BSWAP32r),
     /* 204393 */     GIR_RootConstrainSelectedInstOperands,
     /* 204394 */     // GIR_Coverage, 5,
     /* 204394 */     GIR_Done,
     /* 204395 */   // Label 4685: @204395
     /* 204395 */   GIM_Try, /*On fail goto*//*Label 4686*/ GIMT_Encode4(204414), // Rule ID 62 //
     /* 204400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVBE_HasNDD_In64BitMode),
     /* 204403 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 204407 */     // (bswap:{ *:[i32] } GR32:{ *:[i32] }:$src1)  =>  (MOVBE32rr:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /* 204407 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MOVBE32rr),
     /* 204412 */     GIR_RootConstrainSelectedInstOperands,
     /* 204413 */     // GIR_Coverage, 62,
     /* 204413 */     GIR_Done,
     /* 204414 */   // Label 4686: @204414
     /* 204414 */   GIM_Reject,
     /* 204415 */ // Label 4682: @204415
     /* 204415 */ GIM_Reject,
     /* 204416 */ // Label 4675: @204416
     /* 204416 */ GIM_Try, /*On fail goto*//*Label 4687*/ GIMT_Encode4(204571),
     /* 204421 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 204424 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 204428 */   GIM_Try, /*On fail goto*//*Label 4688*/ GIMT_Encode4(204480), // Rule ID 53 //
     /* 204433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVBE_NoEGPR),
     /* 204436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 204440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 204444 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 204447 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 204451 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 204455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 204457 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 204464 */     // (bswap:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (MOVBE64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src1)
     /* 204464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVBE64rm),
     /* 204467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204469 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 204473 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 204478 */     GIR_RootConstrainSelectedInstOperands,
     /* 204479 */     // GIR_Coverage, 53,
     /* 204479 */     GIR_EraseRootFromParent_Done,
     /* 204480 */   // Label 4688: @204480
     /* 204480 */   GIM_Try, /*On fail goto*//*Label 4689*/ GIMT_Encode4(204532), // Rule ID 59 //
     /* 204485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_HasMOVBE_In64BitMode),
     /* 204488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 204492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 204496 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 204499 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 204503 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 204507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 204509 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 204516 */     // (bswap:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (MOVBE64rm_EVEX:{ *:[i64] } addr:{ *:[iPTR] }:$src1)
     /* 204516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVBE64rm_EVEX),
     /* 204519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204521 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 204525 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 204530 */     GIR_RootConstrainSelectedInstOperands,
     /* 204531 */     // GIR_Coverage, 59,
     /* 204531 */     GIR_EraseRootFromParent_Done,
     /* 204532 */   // Label 4689: @204532
     /* 204532 */   GIM_Try, /*On fail goto*//*Label 4690*/ GIMT_Encode4(204551), // Rule ID 6 //
     /* 204537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD_Or_NoMOVBE),
     /* 204540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 204544 */     // (bswap:{ *:[i64] } GR64:{ *:[i64] }:$src)  =>  (BSWAP64r:{ *:[i64] } GR64:{ *:[i64] }:$src)
     /* 204544 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::BSWAP64r),
     /* 204549 */     GIR_RootConstrainSelectedInstOperands,
     /* 204550 */     // GIR_Coverage, 6,
     /* 204550 */     GIR_Done,
     /* 204551 */   // Label 4690: @204551
     /* 204551 */   GIM_Try, /*On fail goto*//*Label 4691*/ GIMT_Encode4(204570), // Rule ID 63 //
     /* 204556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVBE_HasNDD_In64BitMode),
     /* 204559 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 204563 */     // (bswap:{ *:[i64] } GR64:{ *:[i64] }:$src1)  =>  (MOVBE64rr:{ *:[i64] } GR64:{ *:[i64] }:$src1)
     /* 204563 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MOVBE64rr),
     /* 204568 */     GIR_RootConstrainSelectedInstOperands,
     /* 204569 */     // GIR_Coverage, 63,
     /* 204569 */     GIR_Done,
     /* 204570 */   // Label 4691: @204570
     /* 204570 */   GIM_Reject,
     /* 204571 */ // Label 4687: @204571
     /* 204571 */ GIM_Reject,
     /* 204572 */ // Label 4676: @204572
     /* 204572 */ GIM_Reject,
     /* 204573 */ // Label 67: @204573
     /* 204573 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(23), /*)*//*default:*//*Label 4705*/ GIMT_Encode4(206741),
     /* 204584 */ /*GILLT_s16*//*Label 4692*/ GIMT_Encode4(204668),
     /* 204588 */ /*GILLT_s32*//*Label 4693*/ GIMT_Encode4(204789),
     /* 204592 */ /*GILLT_s64*//*Label 4694*/ GIMT_Encode4(205145),
     /* 204596 */ /*GILLT_s80*//*Label 4695*/ GIMT_Encode4(205501), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 204608 */ /*GILLT_v2s64*//*Label 4696*/ GIMT_Encode4(205538), GIMT_Encode4(0),
     /* 204616 */ /*GILLT_v4s32*//*Label 4697*/ GIMT_Encode4(205741),
     /* 204620 */ /*GILLT_v4s64*//*Label 4698*/ GIMT_Encode4(205944), GIMT_Encode4(0),
     /* 204628 */ /*GILLT_v8s16*//*Label 4699*/ GIMT_Encode4(206120),
     /* 204632 */ /*GILLT_v8s32*//*Label 4700*/ GIMT_Encode4(206209),
     /* 204636 */ /*GILLT_v8s64*//*Label 4701*/ GIMT_Encode4(206385), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 204648 */ /*GILLT_v16s16*//*Label 4702*/ GIMT_Encode4(206474),
     /* 204652 */ /*GILLT_v16s32*//*Label 4703*/ GIMT_Encode4(206563), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 204664 */ /*GILLT_v32s16*//*Label 4704*/ GIMT_Encode4(206652),
     /* 204668 */ // Label 4692: @204668
     /* 204668 */ GIM_Try, /*On fail goto*//*Label 4706*/ GIMT_Encode4(204788),
     /* 204673 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 204676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 204680 */   GIM_Try, /*On fail goto*//*Label 4707*/ GIMT_Encode4(204749), // Rule ID 21420 //
     /* 204685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_OptForSize),
     /* 204688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 204692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 204696 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 204699 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 204703 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 204707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 204709 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 204716 */     // (fsqrt:{ *:[f16] } (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTSHZm:{ *:[f16] } (IMPLICIT_DEF:{ *:[f16] }), addr:{ *:[iPTR] }:$src)
     /* 204716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 204719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 204723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 204728 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 204730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSHZm),
     /* 204733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204735 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 204738 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 204742 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 204747 */     GIR_RootConstrainSelectedInstOperands,
     /* 204748 */     // GIR_Coverage, 21420,
     /* 204748 */     GIR_EraseRootFromParent_Done,
     /* 204749 */   // Label 4707: @204749
     /* 204749 */   GIM_Try, /*On fail goto*//*Label 4708*/ GIMT_Encode4(204787), // Rule ID 21418 //
     /* 204754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 204757 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 204761 */     // (fsqrt:{ *:[f16] } FR16X:{ *:[f16] }:$src)  =>  (VSQRTSHZr:{ *:[f16] } (IMPLICIT_DEF:{ *:[f16] }), FR16X:{ *:[f16] }:$src)
     /* 204761 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 204764 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 204768 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 204773 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 204775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSHZr),
     /* 204778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204780 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 204783 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 204785 */     GIR_RootConstrainSelectedInstOperands,
     /* 204786 */     // GIR_Coverage, 21418,
     /* 204786 */     GIR_EraseRootFromParent_Done,
     /* 204787 */   // Label 4708: @204787
     /* 204787 */   GIM_Reject,
     /* 204788 */ // Label 4706: @204788
     /* 204788 */ GIM_Reject,
     /* 204789 */ // Label 4693: @204789
     /* 204789 */ GIM_Try, /*On fail goto*//*Label 4709*/ GIMT_Encode4(205144),
     /* 204794 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 204797 */   GIM_Try, /*On fail goto*//*Label 4710*/ GIMT_Encode4(204853), // Rule ID 2448 //
     /* 204802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_OptForSize_UseSSE1),
     /* 204805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 204809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 204813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 204817 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 204820 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 204824 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 204828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 204830 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 204837 */     // (fsqrt:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SQRTSSm:{ *:[f32] } addr:{ *:[iPTR] }:$src1)
     /* 204837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SQRTSSm),
     /* 204840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204842 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 204846 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 204851 */     GIR_RootConstrainSelectedInstOperands,
     /* 204852 */     // GIR_Coverage, 2448,
     /* 204852 */     GIR_EraseRootFromParent_Done,
     /* 204853 */   // Label 4710: @204853
     /* 204853 */   GIM_Try, /*On fail goto*//*Label 4711*/ GIMT_Encode4(204926), // Rule ID 18276 //
     /* 204858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_OptForSize_UseAVX),
     /* 204861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 204865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 204869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 204873 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 204876 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 204880 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 204884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 204886 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 204893 */     // (fsqrt:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTSSm:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), addr:{ *:[iPTR] }:$src)
     /* 204893 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 204896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 204900 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 204905 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 204907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSSm),
     /* 204910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204912 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 204915 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 204919 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 204924 */     GIR_RootConstrainSelectedInstOperands,
     /* 204925 */     // GIR_Coverage, 18276,
     /* 204925 */     GIR_EraseRootFromParent_Done,
     /* 204926 */   // Label 4711: @204926
     /* 204926 */   GIM_Try, /*On fail goto*//*Label 4712*/ GIMT_Encode4(204999), // Rule ID 21424 //
     /* 204931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_OptForSize),
     /* 204934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 204938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 204942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 204946 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 204949 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 204953 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 204957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 204959 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 204966 */     // (fsqrt:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTSSZm:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), addr:{ *:[iPTR] }:$src)
     /* 204966 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 204969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 204973 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 204978 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 204980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSSZm),
     /* 204983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204985 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 204988 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 204992 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 204997 */     GIR_RootConstrainSelectedInstOperands,
     /* 204998 */     // GIR_Coverage, 21424,
     /* 204998 */     GIR_EraseRootFromParent_Done,
     /* 204999 */   // Label 4712: @204999
     /* 204999 */   GIM_Try, /*On fail goto*//*Label 4713*/ GIMT_Encode4(205032), // Rule ID 1048 //
     /* 205004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 205007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 205011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 205015 */     // (fsqrt:{ *:[f32] } RFP32:{ *:[f32] }:$src)  =>  (SQRT_Fp32:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src)
     /* 205015 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SQRT_Fp32),
     /* 205020 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 205026 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 205030 */     GIR_RootConstrainSelectedInstOperands,
     /* 205031 */     // GIR_Coverage, 1048,
     /* 205031 */     GIR_Done,
     /* 205032 */   // Label 4713: @205032
     /* 205032 */   GIM_Try, /*On fail goto*//*Label 4714*/ GIMT_Encode4(205059), // Rule ID 2446 //
     /* 205037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 205040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 205044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 205048 */     // (fsqrt:{ *:[f32] } FR32:{ *:[f32] }:$src1)  =>  (SQRTSSr:{ *:[f32] } FR32:{ *:[f32] }:$src1)
     /* 205048 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SQRTSSr),
     /* 205053 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 205057 */     GIR_RootConstrainSelectedInstOperands,
     /* 205058 */     // GIR_Coverage, 2446,
     /* 205058 */     GIR_Done,
     /* 205059 */   // Label 4714: @205059
     /* 205059 */   GIM_Try, /*On fail goto*//*Label 4715*/ GIMT_Encode4(205101), // Rule ID 18274 //
     /* 205064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 205067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 205071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 205075 */     // (fsqrt:{ *:[f32] } FR32:{ *:[f32] }:$src)  =>  (VSQRTSSr:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), FR32:{ *:[f32] }:$src)
     /* 205075 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 205078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 205082 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 205087 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 205089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSSr),
     /* 205092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 205094 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 205097 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 205099 */     GIR_RootConstrainSelectedInstOperands,
     /* 205100 */     // GIR_Coverage, 18274,
     /* 205100 */     GIR_EraseRootFromParent_Done,
     /* 205101 */   // Label 4715: @205101
     /* 205101 */   GIM_Try, /*On fail goto*//*Label 4716*/ GIMT_Encode4(205143), // Rule ID 21422 //
     /* 205106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 205109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 205113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 205117 */     // (fsqrt:{ *:[f32] } FR32X:{ *:[f32] }:$src)  =>  (VSQRTSSZr:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), FR32X:{ *:[f32] }:$src)
     /* 205117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 205120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 205124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 205129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 205131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSSZr),
     /* 205134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 205136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 205139 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 205141 */     GIR_RootConstrainSelectedInstOperands,
     /* 205142 */     // GIR_Coverage, 21422,
     /* 205142 */     GIR_EraseRootFromParent_Done,
     /* 205143 */   // Label 4716: @205143
     /* 205143 */   GIM_Reject,
     /* 205144 */ // Label 4709: @205144
     /* 205144 */ GIM_Reject,
     /* 205145 */ // Label 4694: @205145
     /* 205145 */ GIM_Try, /*On fail goto*//*Label 4717*/ GIMT_Encode4(205500),
     /* 205150 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 205153 */   GIM_Try, /*On fail goto*//*Label 4718*/ GIMT_Encode4(205209), // Rule ID 2464 //
     /* 205158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_OptForSize_UseSSE2),
     /* 205161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 205165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 205169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 205173 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 205176 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 205180 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 205184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 205186 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 205193 */     // (fsqrt:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SQRTSDm:{ *:[f64] } addr:{ *:[iPTR] }:$src1)
     /* 205193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SQRTSDm),
     /* 205196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 205198 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 205202 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 205207 */     GIR_RootConstrainSelectedInstOperands,
     /* 205208 */     // GIR_Coverage, 2464,
     /* 205208 */     GIR_EraseRootFromParent_Done,
     /* 205209 */   // Label 4718: @205209
     /* 205209 */   GIM_Try, /*On fail goto*//*Label 4719*/ GIMT_Encode4(205282), // Rule ID 18280 //
     /* 205214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_OptForSize_UseAVX),
     /* 205217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 205221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 205225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 205229 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 205232 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 205236 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 205240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 205242 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 205249 */     // (fsqrt:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTSDm:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), addr:{ *:[iPTR] }:$src)
     /* 205249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 205252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 205256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 205261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 205263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSDm),
     /* 205266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 205268 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 205271 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 205275 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 205280 */     GIR_RootConstrainSelectedInstOperands,
     /* 205281 */     // GIR_Coverage, 18280,
     /* 205281 */     GIR_EraseRootFromParent_Done,
     /* 205282 */   // Label 4719: @205282
     /* 205282 */   GIM_Try, /*On fail goto*//*Label 4720*/ GIMT_Encode4(205355), // Rule ID 21428 //
     /* 205287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_OptForSize),
     /* 205290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 205294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 205298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 205302 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 205305 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 205309 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 205313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 205315 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 205322 */     // (fsqrt:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTSDZm:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), addr:{ *:[iPTR] }:$src)
     /* 205322 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 205325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 205329 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 205334 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 205336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSDZm),
     /* 205339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 205341 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 205344 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 205348 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 205353 */     GIR_RootConstrainSelectedInstOperands,
     /* 205354 */     // GIR_Coverage, 21428,
     /* 205354 */     GIR_EraseRootFromParent_Done,
     /* 205355 */   // Label 4720: @205355
     /* 205355 */   GIM_Try, /*On fail goto*//*Label 4721*/ GIMT_Encode4(205388), // Rule ID 1050 //
     /* 205360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 205363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 205367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 205371 */     // (fsqrt:{ *:[f64] } RFP64:{ *:[f64] }:$src)  =>  (SQRT_Fp64:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src)
     /* 205371 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SQRT_Fp64),
     /* 205376 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 205382 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 205386 */     GIR_RootConstrainSelectedInstOperands,
     /* 205387 */     // GIR_Coverage, 1050,
     /* 205387 */     GIR_Done,
     /* 205388 */   // Label 4721: @205388
     /* 205388 */   GIM_Try, /*On fail goto*//*Label 4722*/ GIMT_Encode4(205415), // Rule ID 2462 //
     /* 205393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 205396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 205400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 205404 */     // (fsqrt:{ *:[f64] } FR64:{ *:[f64] }:$src1)  =>  (SQRTSDr:{ *:[f64] } FR64:{ *:[f64] }:$src1)
     /* 205404 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SQRTSDr),
     /* 205409 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 205413 */     GIR_RootConstrainSelectedInstOperands,
     /* 205414 */     // GIR_Coverage, 2462,
     /* 205414 */     GIR_Done,
     /* 205415 */   // Label 4722: @205415
     /* 205415 */   GIM_Try, /*On fail goto*//*Label 4723*/ GIMT_Encode4(205457), // Rule ID 18278 //
     /* 205420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 205423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 205427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 205431 */     // (fsqrt:{ *:[f64] } FR64:{ *:[f64] }:$src)  =>  (VSQRTSDr:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), FR64:{ *:[f64] }:$src)
     /* 205431 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 205434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 205438 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 205443 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 205445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSDr),
     /* 205448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 205450 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 205453 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 205455 */     GIR_RootConstrainSelectedInstOperands,
     /* 205456 */     // GIR_Coverage, 18278,
     /* 205456 */     GIR_EraseRootFromParent_Done,
     /* 205457 */   // Label 4723: @205457
     /* 205457 */   GIM_Try, /*On fail goto*//*Label 4724*/ GIMT_Encode4(205499), // Rule ID 21426 //
     /* 205462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 205465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 205469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 205473 */     // (fsqrt:{ *:[f64] } FR64X:{ *:[f64] }:$src)  =>  (VSQRTSDZr:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), FR64X:{ *:[f64] }:$src)
     /* 205473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 205476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 205480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 205485 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 205487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSDZr),
     /* 205490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 205492 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 205495 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 205497 */     GIR_RootConstrainSelectedInstOperands,
     /* 205498 */     // GIR_Coverage, 21426,
     /* 205498 */     GIR_EraseRootFromParent_Done,
     /* 205499 */   // Label 4724: @205499
     /* 205499 */   GIM_Reject,
     /* 205500 */ // Label 4717: @205500
     /* 205500 */ GIM_Reject,
     /* 205501 */ // Label 4695: @205501
     /* 205501 */ GIM_Try, /*On fail goto*//*Label 4725*/ GIMT_Encode4(205537), // Rule ID 1052 //
     /* 205506 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 205509 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s80,
     /* 205512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 205516 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 205520 */   // (fsqrt:{ *:[f80] } RFP80:{ *:[f80] }:$src)  =>  (SQRT_Fp80:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src)
     /* 205520 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SQRT_Fp80),
     /* 205525 */   GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 205531 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 205535 */   GIR_RootConstrainSelectedInstOperands,
     /* 205536 */   // GIR_Coverage, 1052,
     /* 205536 */   GIR_Done,
     /* 205537 */ // Label 4725: @205537
     /* 205537 */ GIM_Reject,
     /* 205538 */ // Label 4696: @205538
     /* 205538 */ GIM_Try, /*On fail goto*//*Label 4726*/ GIMT_Encode4(205740),
     /* 205543 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 205546 */   GIM_Try, /*On fail goto*//*Label 4727*/ GIMT_Encode4(205602), // Rule ID 2468 //
     /* 205551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 205554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 205558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 205562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 205566 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 205569 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 205573 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 205577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 205579 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 205586 */     // (fsqrt:{ *:[v2f64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPDm:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)
     /* 205586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPDm),
     /* 205589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 205591 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 205595 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 205600 */     GIR_RootConstrainSelectedInstOperands,
     /* 205601 */     // GIR_Coverage, 2468,
     /* 205601 */     GIR_EraseRootFromParent_Done,
     /* 205602 */   // Label 4727: @205602
     /* 205602 */   GIM_Try, /*On fail goto*//*Label 4728*/ GIMT_Encode4(205658), // Rule ID 12086 //
     /* 205607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 205610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 205614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 205618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 205622 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 205625 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 205629 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 205633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 205635 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 205642 */     // (fsqrt:{ *:[v2f64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPDZ128m:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)
     /* 205642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPDZ128m),
     /* 205645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 205647 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 205651 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 205656 */     GIR_RootConstrainSelectedInstOperands,
     /* 205657 */     // GIR_Coverage, 12086,
     /* 205657 */     GIR_EraseRootFromParent_Done,
     /* 205658 */   // Label 4728: @205658
     /* 205658 */   GIM_Try, /*On fail goto*//*Label 4729*/ GIMT_Encode4(205685), // Rule ID 2466 //
     /* 205663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 205666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 205670 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 205674 */     // (fsqrt:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src)  =>  (VSQRTPDr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src)
     /* 205674 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPDr),
     /* 205679 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 205683 */     GIR_RootConstrainSelectedInstOperands,
     /* 205684 */     // GIR_Coverage, 2466,
     /* 205684 */     GIR_Done,
     /* 205685 */   // Label 4729: @205685
     /* 205685 */   GIM_Try, /*On fail goto*//*Label 4730*/ GIMT_Encode4(205712), // Rule ID 2474 //
     /* 205690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 205693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 205697 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 205701 */     // (fsqrt:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src)  =>  (SQRTPDr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src)
     /* 205701 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SQRTPDr),
     /* 205706 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 205710 */     GIR_RootConstrainSelectedInstOperands,
     /* 205711 */     // GIR_Coverage, 2474,
     /* 205711 */     GIR_Done,
     /* 205712 */   // Label 4730: @205712
     /* 205712 */   GIM_Try, /*On fail goto*//*Label 4731*/ GIMT_Encode4(205739), // Rule ID 12082 //
     /* 205717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 205720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 205724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 205728 */     // (fsqrt:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src)  =>  (VSQRTPDZ128r:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src)
     /* 205728 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPDZ128r),
     /* 205733 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 205737 */     GIR_RootConstrainSelectedInstOperands,
     /* 205738 */     // GIR_Coverage, 12082,
     /* 205738 */     GIR_Done,
     /* 205739 */   // Label 4731: @205739
     /* 205739 */   GIM_Reject,
     /* 205740 */ // Label 4726: @205740
     /* 205740 */ GIM_Reject,
     /* 205741 */ // Label 4697: @205741
     /* 205741 */ GIM_Try, /*On fail goto*//*Label 4732*/ GIMT_Encode4(205943),
     /* 205746 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 205749 */   GIM_Try, /*On fail goto*//*Label 4733*/ GIMT_Encode4(205805), // Rule ID 2452 //
     /* 205754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 205757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 205761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 205765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 205769 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 205772 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 205776 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 205780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 205782 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 205789 */     // (fsqrt:{ *:[v4f32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPSm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /* 205789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPSm),
     /* 205792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 205794 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 205798 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 205803 */     GIR_RootConstrainSelectedInstOperands,
     /* 205804 */     // GIR_Coverage, 2452,
     /* 205804 */     GIR_EraseRootFromParent_Done,
     /* 205805 */   // Label 4733: @205805
     /* 205805 */   GIM_Try, /*On fail goto*//*Label 4734*/ GIMT_Encode4(205861), // Rule ID 12062 //
     /* 205810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 205813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 205817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 205821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 205825 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 205828 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 205832 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 205836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 205838 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 205845 */     // (fsqrt:{ *:[v4f32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPSZ128m:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /* 205845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPSZ128m),
     /* 205848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 205850 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 205854 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 205859 */     GIR_RootConstrainSelectedInstOperands,
     /* 205860 */     // GIR_Coverage, 12062,
     /* 205860 */     GIR_EraseRootFromParent_Done,
     /* 205861 */   // Label 4734: @205861
     /* 205861 */   GIM_Try, /*On fail goto*//*Label 4735*/ GIMT_Encode4(205888), // Rule ID 2450 //
     /* 205866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 205869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 205873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 205877 */     // (fsqrt:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src)  =>  (VSQRTPSr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src)
     /* 205877 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPSr),
     /* 205882 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 205886 */     GIR_RootConstrainSelectedInstOperands,
     /* 205887 */     // GIR_Coverage, 2450,
     /* 205887 */     GIR_Done,
     /* 205888 */   // Label 4735: @205888
     /* 205888 */   GIM_Try, /*On fail goto*//*Label 4736*/ GIMT_Encode4(205915), // Rule ID 2458 //
     /* 205893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 205896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 205900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 205904 */     // (fsqrt:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src)  =>  (SQRTPSr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src)
     /* 205904 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SQRTPSr),
     /* 205909 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 205913 */     GIR_RootConstrainSelectedInstOperands,
     /* 205914 */     // GIR_Coverage, 2458,
     /* 205914 */     GIR_Done,
     /* 205915 */   // Label 4736: @205915
     /* 205915 */   GIM_Try, /*On fail goto*//*Label 4737*/ GIMT_Encode4(205942), // Rule ID 12058 //
     /* 205920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 205923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 205927 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 205931 */     // (fsqrt:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src)  =>  (VSQRTPSZ128r:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src)
     /* 205931 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPSZ128r),
     /* 205936 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 205940 */     GIR_RootConstrainSelectedInstOperands,
     /* 205941 */     // GIR_Coverage, 12058,
     /* 205941 */     GIR_Done,
     /* 205942 */   // Label 4737: @205942
     /* 205942 */   GIM_Reject,
     /* 205943 */ // Label 4732: @205943
     /* 205943 */ GIM_Reject,
     /* 205944 */ // Label 4698: @205944
     /* 205944 */ GIM_Try, /*On fail goto*//*Label 4738*/ GIMT_Encode4(206119),
     /* 205949 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 205952 */   GIM_Try, /*On fail goto*//*Label 4739*/ GIMT_Encode4(206008), // Rule ID 2472 //
     /* 205957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 205960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 205964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 205968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 205972 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 205975 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 205979 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 205983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 205985 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 205992 */     // (fsqrt:{ *:[v4f64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPDYm:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)
     /* 205992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPDYm),
     /* 205995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 205997 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 206001 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 206006 */     GIR_RootConstrainSelectedInstOperands,
     /* 206007 */     // GIR_Coverage, 2472,
     /* 206007 */     GIR_EraseRootFromParent_Done,
     /* 206008 */   // Label 4739: @206008
     /* 206008 */   GIM_Try, /*On fail goto*//*Label 4740*/ GIMT_Encode4(206064), // Rule ID 12098 //
     /* 206013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 206016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 206020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 206024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 206028 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 206031 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 206035 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 206039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206041 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 206048 */     // (fsqrt:{ *:[v4f64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPDZ256m:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)
     /* 206048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPDZ256m),
     /* 206051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 206053 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 206057 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 206062 */     GIR_RootConstrainSelectedInstOperands,
     /* 206063 */     // GIR_Coverage, 12098,
     /* 206063 */     GIR_EraseRootFromParent_Done,
     /* 206064 */   // Label 4740: @206064
     /* 206064 */   GIM_Try, /*On fail goto*//*Label 4741*/ GIMT_Encode4(206091), // Rule ID 2470 //
     /* 206069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 206072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 206076 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 206080 */     // (fsqrt:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src)  =>  (VSQRTPDYr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src)
     /* 206080 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPDYr),
     /* 206085 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 206089 */     GIR_RootConstrainSelectedInstOperands,
     /* 206090 */     // GIR_Coverage, 2470,
     /* 206090 */     GIR_Done,
     /* 206091 */   // Label 4741: @206091
     /* 206091 */   GIM_Try, /*On fail goto*//*Label 4742*/ GIMT_Encode4(206118), // Rule ID 12094 //
     /* 206096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 206099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 206103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 206107 */     // (fsqrt:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src)  =>  (VSQRTPDZ256r:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src)
     /* 206107 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPDZ256r),
     /* 206112 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 206116 */     GIR_RootConstrainSelectedInstOperands,
     /* 206117 */     // GIR_Coverage, 12094,
     /* 206117 */     GIR_Done,
     /* 206118 */   // Label 4742: @206118
     /* 206118 */   GIM_Reject,
     /* 206119 */ // Label 4738: @206119
     /* 206119 */ GIM_Reject,
     /* 206120 */ // Label 4699: @206120
     /* 206120 */ GIM_Try, /*On fail goto*//*Label 4743*/ GIMT_Encode4(206208),
     /* 206125 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 206128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 206132 */   GIM_Try, /*On fail goto*//*Label 4744*/ GIMT_Encode4(206184), // Rule ID 12014 //
     /* 206137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 206140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 206144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 206148 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 206151 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 206155 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 206159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206161 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 206168 */     // (fsqrt:{ *:[v8f16] } (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPHZ128m:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)
     /* 206168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPHZ128m),
     /* 206171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 206173 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 206177 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 206182 */     GIR_RootConstrainSelectedInstOperands,
     /* 206183 */     // GIR_Coverage, 12014,
     /* 206183 */     GIR_EraseRootFromParent_Done,
     /* 206184 */   // Label 4744: @206184
     /* 206184 */   GIM_Try, /*On fail goto*//*Label 4745*/ GIMT_Encode4(206207), // Rule ID 12010 //
     /* 206189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 206192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 206196 */     // (fsqrt:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src)  =>  (VSQRTPHZ128r:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src)
     /* 206196 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPHZ128r),
     /* 206201 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 206205 */     GIR_RootConstrainSelectedInstOperands,
     /* 206206 */     // GIR_Coverage, 12010,
     /* 206206 */     GIR_Done,
     /* 206207 */   // Label 4745: @206207
     /* 206207 */   GIM_Reject,
     /* 206208 */ // Label 4743: @206208
     /* 206208 */ GIM_Reject,
     /* 206209 */ // Label 4700: @206209
     /* 206209 */ GIM_Try, /*On fail goto*//*Label 4746*/ GIMT_Encode4(206384),
     /* 206214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 206217 */   GIM_Try, /*On fail goto*//*Label 4747*/ GIMT_Encode4(206273), // Rule ID 2456 //
     /* 206222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 206225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 206229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 206233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 206237 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 206240 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 206244 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 206248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206250 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 206257 */     // (fsqrt:{ *:[v8f32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPSYm:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /* 206257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPSYm),
     /* 206260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 206262 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 206266 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 206271 */     GIR_RootConstrainSelectedInstOperands,
     /* 206272 */     // GIR_Coverage, 2456,
     /* 206272 */     GIR_EraseRootFromParent_Done,
     /* 206273 */   // Label 4747: @206273
     /* 206273 */   GIM_Try, /*On fail goto*//*Label 4748*/ GIMT_Encode4(206329), // Rule ID 12074 //
     /* 206278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 206281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 206285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 206289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 206293 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 206296 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 206300 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 206304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206306 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 206313 */     // (fsqrt:{ *:[v8f32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPSZ256m:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /* 206313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPSZ256m),
     /* 206316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 206318 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 206322 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 206327 */     GIR_RootConstrainSelectedInstOperands,
     /* 206328 */     // GIR_Coverage, 12074,
     /* 206328 */     GIR_EraseRootFromParent_Done,
     /* 206329 */   // Label 4748: @206329
     /* 206329 */   GIM_Try, /*On fail goto*//*Label 4749*/ GIMT_Encode4(206356), // Rule ID 2454 //
     /* 206334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 206337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 206341 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 206345 */     // (fsqrt:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src)  =>  (VSQRTPSYr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src)
     /* 206345 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPSYr),
     /* 206350 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 206354 */     GIR_RootConstrainSelectedInstOperands,
     /* 206355 */     // GIR_Coverage, 2454,
     /* 206355 */     GIR_Done,
     /* 206356 */   // Label 4749: @206356
     /* 206356 */   GIM_Try, /*On fail goto*//*Label 4750*/ GIMT_Encode4(206383), // Rule ID 12070 //
     /* 206361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 206364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 206368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 206372 */     // (fsqrt:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src)  =>  (VSQRTPSZ256r:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src)
     /* 206372 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPSZ256r),
     /* 206377 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 206381 */     GIR_RootConstrainSelectedInstOperands,
     /* 206382 */     // GIR_Coverage, 12070,
     /* 206382 */     GIR_Done,
     /* 206383 */   // Label 4750: @206383
     /* 206383 */   GIM_Reject,
     /* 206384 */ // Label 4746: @206384
     /* 206384 */ GIM_Reject,
     /* 206385 */ // Label 4701: @206385
     /* 206385 */ GIM_Try, /*On fail goto*//*Label 4751*/ GIMT_Encode4(206473),
     /* 206390 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 206393 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 206397 */   GIM_Try, /*On fail goto*//*Label 4752*/ GIMT_Encode4(206449), // Rule ID 12050 //
     /* 206402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 206405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 206409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 206413 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 206416 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 206420 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 206424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206426 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 206433 */     // (fsqrt:{ *:[v8f64] } (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPDZm:{ *:[v8f64] } addr:{ *:[iPTR] }:$src)
     /* 206433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPDZm),
     /* 206436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 206438 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 206442 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 206447 */     GIR_RootConstrainSelectedInstOperands,
     /* 206448 */     // GIR_Coverage, 12050,
     /* 206448 */     GIR_EraseRootFromParent_Done,
     /* 206449 */   // Label 4752: @206449
     /* 206449 */   GIM_Try, /*On fail goto*//*Label 4753*/ GIMT_Encode4(206472), // Rule ID 12046 //
     /* 206454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 206457 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 206461 */     // (fsqrt:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src)  =>  (VSQRTPDZr:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src)
     /* 206461 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPDZr),
     /* 206466 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 206470 */     GIR_RootConstrainSelectedInstOperands,
     /* 206471 */     // GIR_Coverage, 12046,
     /* 206471 */     GIR_Done,
     /* 206472 */   // Label 4753: @206472
     /* 206472 */   GIM_Reject,
     /* 206473 */ // Label 4751: @206473
     /* 206473 */ GIM_Reject,
     /* 206474 */ // Label 4702: @206474
     /* 206474 */ GIM_Try, /*On fail goto*//*Label 4754*/ GIMT_Encode4(206562),
     /* 206479 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 206482 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 206486 */   GIM_Try, /*On fail goto*//*Label 4755*/ GIMT_Encode4(206538), // Rule ID 12026 //
     /* 206491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 206494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 206498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 206502 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 206505 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 206509 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 206513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206515 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 206522 */     // (fsqrt:{ *:[v16f16] } (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPHZ256m:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)
     /* 206522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPHZ256m),
     /* 206525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 206527 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 206531 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 206536 */     GIR_RootConstrainSelectedInstOperands,
     /* 206537 */     // GIR_Coverage, 12026,
     /* 206537 */     GIR_EraseRootFromParent_Done,
     /* 206538 */   // Label 4755: @206538
     /* 206538 */   GIM_Try, /*On fail goto*//*Label 4756*/ GIMT_Encode4(206561), // Rule ID 12022 //
     /* 206543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 206546 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 206550 */     // (fsqrt:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src)  =>  (VSQRTPHZ256r:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src)
     /* 206550 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPHZ256r),
     /* 206555 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 206559 */     GIR_RootConstrainSelectedInstOperands,
     /* 206560 */     // GIR_Coverage, 12022,
     /* 206560 */     GIR_Done,
     /* 206561 */   // Label 4756: @206561
     /* 206561 */   GIM_Reject,
     /* 206562 */ // Label 4754: @206562
     /* 206562 */ GIM_Reject,
     /* 206563 */ // Label 4703: @206563
     /* 206563 */ GIM_Try, /*On fail goto*//*Label 4757*/ GIMT_Encode4(206651),
     /* 206568 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 206571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 206575 */   GIM_Try, /*On fail goto*//*Label 4758*/ GIMT_Encode4(206627), // Rule ID 12038 //
     /* 206580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 206583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 206587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 206591 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 206594 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 206598 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 206602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206604 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 206611 */     // (fsqrt:{ *:[v16f32] } (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPSZm:{ *:[v16f32] } addr:{ *:[iPTR] }:$src)
     /* 206611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPSZm),
     /* 206614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 206616 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 206620 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 206625 */     GIR_RootConstrainSelectedInstOperands,
     /* 206626 */     // GIR_Coverage, 12038,
     /* 206626 */     GIR_EraseRootFromParent_Done,
     /* 206627 */   // Label 4758: @206627
     /* 206627 */   GIM_Try, /*On fail goto*//*Label 4759*/ GIMT_Encode4(206650), // Rule ID 12034 //
     /* 206632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 206635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 206639 */     // (fsqrt:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src)  =>  (VSQRTPSZr:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src)
     /* 206639 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPSZr),
     /* 206644 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 206648 */     GIR_RootConstrainSelectedInstOperands,
     /* 206649 */     // GIR_Coverage, 12034,
     /* 206649 */     GIR_Done,
     /* 206650 */   // Label 4759: @206650
     /* 206650 */   GIM_Reject,
     /* 206651 */ // Label 4757: @206651
     /* 206651 */ GIM_Reject,
     /* 206652 */ // Label 4704: @206652
     /* 206652 */ GIM_Try, /*On fail goto*//*Label 4760*/ GIMT_Encode4(206740),
     /* 206657 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 206660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 206664 */   GIM_Try, /*On fail goto*//*Label 4761*/ GIMT_Encode4(206716), // Rule ID 12002 //
     /* 206669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 206672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 206676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 206680 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 206683 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 206687 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 206691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206693 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 206700 */     // (fsqrt:{ *:[v32f16] } (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPHZm:{ *:[v32f16] } addr:{ *:[iPTR] }:$src)
     /* 206700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPHZm),
     /* 206703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 206705 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 206709 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 206714 */     GIR_RootConstrainSelectedInstOperands,
     /* 206715 */     // GIR_Coverage, 12002,
     /* 206715 */     GIR_EraseRootFromParent_Done,
     /* 206716 */   // Label 4761: @206716
     /* 206716 */   GIM_Try, /*On fail goto*//*Label 4762*/ GIMT_Encode4(206739), // Rule ID 11998 //
     /* 206721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 206724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 206728 */     // (fsqrt:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src)  =>  (VSQRTPHZr:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src)
     /* 206728 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPHZr),
     /* 206733 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 206737 */     GIR_RootConstrainSelectedInstOperands,
     /* 206738 */     // GIR_Coverage, 11998,
     /* 206738 */     GIR_Done,
     /* 206739 */   // Label 4762: @206739
     /* 206739 */   GIM_Reject,
     /* 206740 */ // Label 4760: @206740
     /* 206740 */ GIM_Reject,
     /* 206741 */ // Label 4705: @206741
     /* 206741 */ GIM_Reject,
     /* 206742 */ // Label 68: @206742
     /* 206742 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(23), /*)*//*default:*//*Label 4776*/ GIMT_Encode4(210907),
     /* 206753 */ /*GILLT_s16*//*Label 4763*/ GIMT_Encode4(206837),
     /* 206757 */ /*GILLT_s32*//*Label 4764*/ GIMT_Encode4(206997),
     /* 206761 */ /*GILLT_s64*//*Label 4765*/ GIMT_Encode4(207642),
     /* 206765 */ /*GILLT_s80*//*Label 4766*/ GIMT_Encode4(208431), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 206777 */ /*GILLT_v2s64*//*Label 4767*/ GIMT_Encode4(208753), GIMT_Encode4(0),
     /* 206785 */ /*GILLT_v4s32*//*Label 4768*/ GIMT_Encode4(209107),
     /* 206789 */ /*GILLT_v4s64*//*Label 4769*/ GIMT_Encode4(209461), GIMT_Encode4(0),
     /* 206797 */ /*GILLT_v8s16*//*Label 4770*/ GIMT_Encode4(209784),
     /* 206801 */ /*GILLT_v8s32*//*Label 4771*/ GIMT_Encode4(209944),
     /* 206805 */ /*GILLT_v8s64*//*Label 4772*/ GIMT_Encode4(210267), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 206817 */ /*GILLT_v16s16*//*Label 4773*/ GIMT_Encode4(210427),
     /* 206821 */ /*GILLT_v16s32*//*Label 4774*/ GIMT_Encode4(210587), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 206833 */ /*GILLT_v32s16*//*Label 4775*/ GIMT_Encode4(210747),
     /* 206837 */ // Label 4763: @206837
     /* 206837 */ GIM_Try, /*On fail goto*//*Label 4777*/ GIMT_Encode4(206996),
     /* 206842 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 206845 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 206848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 206852 */   GIM_Try, /*On fail goto*//*Label 4778*/ GIMT_Encode4(206910), // Rule ID 24246 //
     /* 206857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 206860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 206864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 206868 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 206871 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 206875 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 206879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 206883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206885 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 206892 */     // (strict_fadd:{ *:[f16] } (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR16X:{ *:[f16] }:$src1)  =>  (VADDSHZrm:{ *:[f16] } FR16X:{ *:[f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 206892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSHZrm),
     /* 206895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 206897 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 206899 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 206903 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 206908 */     GIR_RootConstrainSelectedInstOperands,
     /* 206909 */     // GIR_Coverage, 24246,
     /* 206909 */     GIR_EraseRootFromParent_Done,
     /* 206910 */   // Label 4778: @206910
     /* 206910 */   GIM_Try, /*On fail goto*//*Label 4779*/ GIMT_Encode4(206968), // Rule ID 5953 //
     /* 206915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 206918 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 206922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 206926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 206930 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 206933 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 206937 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 206941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206943 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 206950 */     // (strict_fadd:{ *:[f16] } FR16X:{ *:[f16] }:$src1, (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDSHZrm:{ *:[f16] } FR16X:{ *:[f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 206950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSHZrm),
     /* 206953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 206955 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 206957 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 206961 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 206966 */     GIR_RootConstrainSelectedInstOperands,
     /* 206967 */     // GIR_Coverage, 5953,
     /* 206967 */     GIR_EraseRootFromParent_Done,
     /* 206968 */   // Label 4779: @206968
     /* 206968 */   GIM_Try, /*On fail goto*//*Label 4780*/ GIMT_Encode4(206995), // Rule ID 5951 //
     /* 206973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 206976 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 206980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 206984 */     // (strict_fadd:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2)  =>  (VADDSHZrr:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2)
     /* 206984 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDSHZrr),
     /* 206989 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 206993 */     GIR_RootConstrainSelectedInstOperands,
     /* 206994 */     // GIR_Coverage, 5951,
     /* 206994 */     GIR_Done,
     /* 206995 */   // Label 4780: @206995
     /* 206995 */   GIM_Reject,
     /* 206996 */ // Label 4777: @206996
     /* 206996 */ GIM_Reject,
     /* 206997 */ // Label 4764: @206997
     /* 206997 */ GIM_Try, /*On fail goto*//*Label 4781*/ GIMT_Encode4(207641),
     /* 207002 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 207005 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 207008 */   GIM_Try, /*On fail goto*//*Label 4782*/ GIMT_Encode4(207073), // Rule ID 23233 //
     /* 207013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 207016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 207020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 207024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 207028 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 207031 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 207035 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 207039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 207043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 207045 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 207052 */     // (strict_fadd:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, RFP32:{ *:[f32] }:$src1)  =>  (ADD_Fp32m:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 207052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp32m),
     /* 207055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207057 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 207059 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 207063 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 207066 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 207071 */     GIR_RootConstrainSelectedInstOperands,
     /* 207072 */     // GIR_Coverage, 23233,
     /* 207072 */     GIR_EraseRootFromParent_Done,
     /* 207073 */   // Label 4782: @207073
     /* 207073 */   GIM_Try, /*On fail goto*//*Label 4783*/ GIMT_Encode4(207135), // Rule ID 23378 //
     /* 207078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 207081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 207085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 207089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 207093 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 207096 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 207100 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 207104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 207108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 207110 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 207117 */     // (strict_fadd:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32:{ *:[f32] }:$src1)  =>  (VADDSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 207117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSSrm),
     /* 207120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207122 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 207124 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 207128 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 207133 */     GIR_RootConstrainSelectedInstOperands,
     /* 207134 */     // GIR_Coverage, 23378,
     /* 207134 */     GIR_EraseRootFromParent_Done,
     /* 207135 */   // Label 4783: @207135
     /* 207135 */   GIM_Try, /*On fail goto*//*Label 4784*/ GIMT_Encode4(207197), // Rule ID 23382 //
     /* 207140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 207143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 207147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 207151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 207155 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 207158 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 207162 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 207166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 207170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 207172 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 207179 */     // (strict_fadd:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32:{ *:[f32] }:$src1)  =>  (ADDSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 207179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADDSSrm),
     /* 207182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207184 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 207186 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 207190 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 207195 */     GIR_RootConstrainSelectedInstOperands,
     /* 207196 */     // GIR_Coverage, 23382,
     /* 207196 */     GIR_EraseRootFromParent_Done,
     /* 207197 */   // Label 4784: @207197
     /* 207197 */   GIM_Try, /*On fail goto*//*Label 4785*/ GIMT_Encode4(207259), // Rule ID 24242 //
     /* 207202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 207205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 207209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 207213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 207217 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 207220 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 207224 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 207228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 207232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 207234 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 207241 */     // (strict_fadd:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32X:{ *:[f32] }:$src1)  =>  (VADDSSZrm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 207241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSSZrm),
     /* 207244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207246 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 207248 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 207252 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 207257 */     GIR_RootConstrainSelectedInstOperands,
     /* 207258 */     // GIR_Coverage, 24242,
     /* 207258 */     GIR_EraseRootFromParent_Done,
     /* 207259 */   // Label 4785: @207259
     /* 207259 */   GIM_Try, /*On fail goto*//*Label 4786*/ GIMT_Encode4(207324), // Rule ID 909 //
     /* 207264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 207267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 207271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 207275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 207279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 207283 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 207286 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 207290 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 207294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 207296 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 207303 */     // (strict_fadd:{ *:[f32] } RFP32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (ADD_Fp32m:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 207303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp32m),
     /* 207306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207308 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 207310 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 207314 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 207317 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 207322 */     GIR_RootConstrainSelectedInstOperands,
     /* 207323 */     // GIR_Coverage, 909,
     /* 207323 */     GIR_EraseRootFromParent_Done,
     /* 207324 */   // Label 4786: @207324
     /* 207324 */   GIM_Try, /*On fail goto*//*Label 4787*/ GIMT_Encode4(207386), // Rule ID 2159 //
     /* 207329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 207332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 207336 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 207340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 207344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 207348 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 207351 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 207355 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 207359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 207361 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 207368 */     // (strict_fadd:{ *:[f32] } FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 207368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSSrm),
     /* 207371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207373 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 207375 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 207379 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 207384 */     GIR_RootConstrainSelectedInstOperands,
     /* 207385 */     // GIR_Coverage, 2159,
     /* 207385 */     GIR_EraseRootFromParent_Done,
     /* 207386 */   // Label 4787: @207386
     /* 207386 */   GIM_Try, /*On fail goto*//*Label 4788*/ GIMT_Encode4(207448), // Rule ID 2167 //
     /* 207391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 207394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 207398 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 207402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 207406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 207410 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 207413 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 207417 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 207421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 207423 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 207430 */     // (strict_fadd:{ *:[f32] } FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (ADDSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 207430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADDSSrm),
     /* 207433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207435 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 207437 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 207441 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 207446 */     GIR_RootConstrainSelectedInstOperands,
     /* 207447 */     // GIR_Coverage, 2167,
     /* 207447 */     GIR_EraseRootFromParent_Done,
     /* 207448 */   // Label 4788: @207448
     /* 207448 */   GIM_Try, /*On fail goto*//*Label 4789*/ GIMT_Encode4(207510), // Rule ID 5915 //
     /* 207453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 207456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 207460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 207464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 207468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 207472 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 207475 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 207479 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 207483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 207485 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 207492 */     // (strict_fadd:{ *:[f32] } FR32X:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDSSZrm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 207492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSSZrm),
     /* 207495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207497 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 207499 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 207503 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 207508 */     GIR_RootConstrainSelectedInstOperands,
     /* 207509 */     // GIR_Coverage, 5915,
     /* 207509 */     GIR_EraseRootFromParent_Done,
     /* 207510 */   // Label 4789: @207510
     /* 207510 */   GIM_Try, /*On fail goto*//*Label 4790*/ GIMT_Encode4(207547), // Rule ID 885 //
     /* 207515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 207518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 207522 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 207526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 207530 */     // (strict_fadd:{ *:[f32] } RFP32:{ *:[f32] }:$src1, RFP32:{ *:[f32] }:$src2)  =>  (ADD_Fp32:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, RFP32:{ *:[f32] }:$src2)
     /* 207530 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADD_Fp32),
     /* 207535 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 207541 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 207545 */     GIR_RootConstrainSelectedInstOperands,
     /* 207546 */     // GIR_Coverage, 885,
     /* 207546 */     GIR_Done,
     /* 207547 */   // Label 4790: @207547
     /* 207547 */   GIM_Try, /*On fail goto*//*Label 4791*/ GIMT_Encode4(207578), // Rule ID 2157 //
     /* 207552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 207555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 207559 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 207563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 207567 */     // (strict_fadd:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)  =>  (VADDSSrr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)
     /* 207567 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDSSrr),
     /* 207572 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 207576 */     GIR_RootConstrainSelectedInstOperands,
     /* 207577 */     // GIR_Coverage, 2157,
     /* 207577 */     GIR_Done,
     /* 207578 */   // Label 4791: @207578
     /* 207578 */   GIM_Try, /*On fail goto*//*Label 4792*/ GIMT_Encode4(207609), // Rule ID 2165 //
     /* 207583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 207586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 207590 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 207594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 207598 */     // (strict_fadd:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)  =>  (ADDSSrr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)
     /* 207598 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADDSSrr),
     /* 207603 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 207607 */     GIR_RootConstrainSelectedInstOperands,
     /* 207608 */     // GIR_Coverage, 2165,
     /* 207608 */     GIR_Done,
     /* 207609 */   // Label 4792: @207609
     /* 207609 */   GIM_Try, /*On fail goto*//*Label 4793*/ GIMT_Encode4(207640), // Rule ID 5913 //
     /* 207614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 207617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 207621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 207625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 207629 */     // (strict_fadd:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2)  =>  (VADDSSZrr:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2)
     /* 207629 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDSSZrr),
     /* 207634 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 207638 */     GIR_RootConstrainSelectedInstOperands,
     /* 207639 */     // GIR_Coverage, 5913,
     /* 207639 */     GIR_Done,
     /* 207640 */   // Label 4793: @207640
     /* 207640 */   GIM_Reject,
     /* 207641 */ // Label 4781: @207641
     /* 207641 */ GIM_Reject,
     /* 207642 */ // Label 4765: @207642
     /* 207642 */ GIM_Try, /*On fail goto*//*Label 4794*/ GIMT_Encode4(208430),
     /* 207647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 207650 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 207653 */   GIM_Try, /*On fail goto*//*Label 4795*/ GIMT_Encode4(207718), // Rule ID 23235 //
     /* 207658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 207661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 207665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 207669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 207673 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 207676 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 207680 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 207684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 207688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 207690 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 207697 */     // (strict_fadd:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, RFP64:{ *:[f64] }:$src1)  =>  (ADD_Fp64m:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 207697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp64m),
     /* 207700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207702 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 207704 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 207708 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 207711 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 207716 */     GIR_RootConstrainSelectedInstOperands,
     /* 207717 */     // GIR_Coverage, 23235,
     /* 207717 */     GIR_EraseRootFromParent_Done,
     /* 207718 */   // Label 4795: @207718
     /* 207718 */   GIM_Try, /*On fail goto*//*Label 4796*/ GIMT_Encode4(207790), // Rule ID 23237 //
     /* 207723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 207726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 207730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 207734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 207738 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 207741 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 207745 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 207752 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 207756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 207760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 207762 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 207769 */     // (strict_fadd:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>, RFP64:{ *:[f64] }:$src1)  =>  (ADD_Fp64m32:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 207769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp64m32),
     /* 207772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207774 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 207776 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 207780 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 207783 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 207788 */     GIR_RootConstrainSelectedInstOperands,
     /* 207789 */     // GIR_Coverage, 23237,
     /* 207789 */     GIR_EraseRootFromParent_Done,
     /* 207790 */   // Label 4796: @207790
     /* 207790 */   GIM_Try, /*On fail goto*//*Label 4797*/ GIMT_Encode4(207852), // Rule ID 23380 //
     /* 207795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 207798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 207802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 207806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 207810 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 207813 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 207817 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 207821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 207825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 207827 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 207834 */     // (strict_fadd:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64:{ *:[f64] }:$src1)  =>  (VADDSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 207834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSDrm),
     /* 207837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207839 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 207841 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 207845 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 207850 */     GIR_RootConstrainSelectedInstOperands,
     /* 207851 */     // GIR_Coverage, 23380,
     /* 207851 */     GIR_EraseRootFromParent_Done,
     /* 207852 */   // Label 4797: @207852
     /* 207852 */   GIM_Try, /*On fail goto*//*Label 4798*/ GIMT_Encode4(207914), // Rule ID 23384 //
     /* 207857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 207860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 207864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 207868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 207872 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 207875 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 207879 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 207883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 207887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 207889 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 207896 */     // (strict_fadd:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64:{ *:[f64] }:$src1)  =>  (ADDSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 207896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADDSDrm),
     /* 207899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207901 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 207903 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 207907 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 207912 */     GIR_RootConstrainSelectedInstOperands,
     /* 207913 */     // GIR_Coverage, 23384,
     /* 207913 */     GIR_EraseRootFromParent_Done,
     /* 207914 */   // Label 4798: @207914
     /* 207914 */   GIM_Try, /*On fail goto*//*Label 4799*/ GIMT_Encode4(207976), // Rule ID 24244 //
     /* 207919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 207922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 207926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 207930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 207934 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 207937 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 207941 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 207945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 207949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 207951 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 207958 */     // (strict_fadd:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64X:{ *:[f64] }:$src1)  =>  (VADDSDZrm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 207958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSDZrm),
     /* 207961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207963 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 207965 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 207969 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 207974 */     GIR_RootConstrainSelectedInstOperands,
     /* 207975 */     // GIR_Coverage, 24244,
     /* 207975 */     GIR_EraseRootFromParent_Done,
     /* 207976 */   // Label 4799: @207976
     /* 207976 */   GIM_Try, /*On fail goto*//*Label 4800*/ GIMT_Encode4(208041), // Rule ID 911 //
     /* 207981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 207984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 207988 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 207992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 207996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 208000 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 208003 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 208007 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 208011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 208013 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 208020 */     // (strict_fadd:{ *:[f64] } RFP64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (ADD_Fp64m:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 208020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp64m),
     /* 208023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208025 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 208027 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 208031 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 208034 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 208039 */     GIR_RootConstrainSelectedInstOperands,
     /* 208040 */     // GIR_Coverage, 911,
     /* 208040 */     GIR_EraseRootFromParent_Done,
     /* 208041 */   // Label 4800: @208041
     /* 208041 */   GIM_Try, /*On fail goto*//*Label 4801*/ GIMT_Encode4(208113), // Rule ID 913 //
     /* 208046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 208049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 208053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 208057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 208061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 208065 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 208068 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 208072 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 208079 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 208083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 208085 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 208092 */     // (strict_fadd:{ *:[f64] } RFP64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>)  =>  (ADD_Fp64m32:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 208092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp64m32),
     /* 208095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208097 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 208099 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 208103 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 208106 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 208111 */     GIR_RootConstrainSelectedInstOperands,
     /* 208112 */     // GIR_Coverage, 913,
     /* 208112 */     GIR_EraseRootFromParent_Done,
     /* 208113 */   // Label 4801: @208113
     /* 208113 */   GIM_Try, /*On fail goto*//*Label 4802*/ GIMT_Encode4(208175), // Rule ID 2163 //
     /* 208118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 208121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 208125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 208129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 208133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 208137 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 208140 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 208144 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 208148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 208150 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 208157 */     // (strict_fadd:{ *:[f64] } FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 208157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSDrm),
     /* 208160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208162 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 208164 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 208168 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 208173 */     GIR_RootConstrainSelectedInstOperands,
     /* 208174 */     // GIR_Coverage, 2163,
     /* 208174 */     GIR_EraseRootFromParent_Done,
     /* 208175 */   // Label 4802: @208175
     /* 208175 */   GIM_Try, /*On fail goto*//*Label 4803*/ GIMT_Encode4(208237), // Rule ID 2171 //
     /* 208180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 208183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 208187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 208191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 208195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 208199 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 208202 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 208206 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 208210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 208212 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 208219 */     // (strict_fadd:{ *:[f64] } FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (ADDSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 208219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADDSDrm),
     /* 208222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208224 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 208226 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 208230 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 208235 */     GIR_RootConstrainSelectedInstOperands,
     /* 208236 */     // GIR_Coverage, 2171,
     /* 208236 */     GIR_EraseRootFromParent_Done,
     /* 208237 */   // Label 4803: @208237
     /* 208237 */   GIM_Try, /*On fail goto*//*Label 4804*/ GIMT_Encode4(208299), // Rule ID 5934 //
     /* 208242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 208245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 208249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 208253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 208257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 208261 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 208264 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 208268 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 208272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 208274 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 208281 */     // (strict_fadd:{ *:[f64] } FR64X:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDSDZrm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 208281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSDZrm),
     /* 208284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208286 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 208288 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 208292 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 208297 */     GIR_RootConstrainSelectedInstOperands,
     /* 208298 */     // GIR_Coverage, 5934,
     /* 208298 */     GIR_EraseRootFromParent_Done,
     /* 208299 */   // Label 4804: @208299
     /* 208299 */   GIM_Try, /*On fail goto*//*Label 4805*/ GIMT_Encode4(208336), // Rule ID 887 //
     /* 208304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 208307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 208311 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 208315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 208319 */     // (strict_fadd:{ *:[f64] } RFP64:{ *:[f64] }:$src1, RFP64:{ *:[f64] }:$src2)  =>  (ADD_Fp64:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, RFP64:{ *:[f64] }:$src2)
     /* 208319 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADD_Fp64),
     /* 208324 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 208330 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 208334 */     GIR_RootConstrainSelectedInstOperands,
     /* 208335 */     // GIR_Coverage, 887,
     /* 208335 */     GIR_Done,
     /* 208336 */   // Label 4805: @208336
     /* 208336 */   GIM_Try, /*On fail goto*//*Label 4806*/ GIMT_Encode4(208367), // Rule ID 2161 //
     /* 208341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 208344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 208348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 208352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 208356 */     // (strict_fadd:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)  =>  (VADDSDrr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)
     /* 208356 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDSDrr),
     /* 208361 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 208365 */     GIR_RootConstrainSelectedInstOperands,
     /* 208366 */     // GIR_Coverage, 2161,
     /* 208366 */     GIR_Done,
     /* 208367 */   // Label 4806: @208367
     /* 208367 */   GIM_Try, /*On fail goto*//*Label 4807*/ GIMT_Encode4(208398), // Rule ID 2169 //
     /* 208372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 208375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 208379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 208383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 208387 */     // (strict_fadd:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)  =>  (ADDSDrr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)
     /* 208387 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADDSDrr),
     /* 208392 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 208396 */     GIR_RootConstrainSelectedInstOperands,
     /* 208397 */     // GIR_Coverage, 2169,
     /* 208397 */     GIR_Done,
     /* 208398 */   // Label 4807: @208398
     /* 208398 */   GIM_Try, /*On fail goto*//*Label 4808*/ GIMT_Encode4(208429), // Rule ID 5932 //
     /* 208403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 208406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 208410 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 208414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 208418 */     // (strict_fadd:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2)  =>  (VADDSDZrr:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2)
     /* 208418 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDSDZrr),
     /* 208423 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 208427 */     GIR_RootConstrainSelectedInstOperands,
     /* 208428 */     // GIR_Coverage, 5932,
     /* 208428 */     GIR_Done,
     /* 208429 */   // Label 4808: @208429
     /* 208429 */   GIM_Reject,
     /* 208430 */ // Label 4794: @208430
     /* 208430 */ GIM_Reject,
     /* 208431 */ // Label 4766: @208431
     /* 208431 */ GIM_Try, /*On fail goto*//*Label 4809*/ GIMT_Encode4(208752),
     /* 208436 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s80,
     /* 208439 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s80,
     /* 208442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 208446 */   GIM_Try, /*On fail goto*//*Label 4810*/ GIMT_Encode4(208514), // Rule ID 23239 //
     /* 208451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 208454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 208458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 208462 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 208465 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 208469 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 208476 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 208480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 208484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 208486 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 208493 */     // (strict_fadd:{ *:[f80] } (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>, RFP80:{ *:[f80] }:$src1)  =>  (ADD_Fp80m32:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 208493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp80m32),
     /* 208496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208498 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 208500 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 208504 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 208507 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 208512 */     GIR_RootConstrainSelectedInstOperands,
     /* 208513 */     // GIR_Coverage, 23239,
     /* 208513 */     GIR_EraseRootFromParent_Done,
     /* 208514 */   // Label 4810: @208514
     /* 208514 */   GIM_Try, /*On fail goto*//*Label 4811*/ GIMT_Encode4(208582), // Rule ID 23241 //
     /* 208519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 208522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 208526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 208530 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 208533 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 208537 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 208544 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 208548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 208552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 208554 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 208561 */     // (strict_fadd:{ *:[f80] } (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf64>>, RFP80:{ *:[f80] }:$src1)  =>  (ADD_Fp80m64:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 208561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp80m64),
     /* 208564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208566 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 208568 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 208572 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 208575 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 208580 */     GIR_RootConstrainSelectedInstOperands,
     /* 208581 */     // GIR_Coverage, 23241,
     /* 208581 */     GIR_EraseRootFromParent_Done,
     /* 208582 */   // Label 4811: @208582
     /* 208582 */   GIM_Try, /*On fail goto*//*Label 4812*/ GIMT_Encode4(208650), // Rule ID 915 //
     /* 208587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 208590 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 208594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 208598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 208602 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 208605 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 208609 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 208616 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 208620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 208622 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 208629 */     // (strict_fadd:{ *:[f80] } RFP80:{ *:[f80] }:$src1, (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>)  =>  (ADD_Fp80m32:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 208629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp80m32),
     /* 208632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208634 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 208636 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 208640 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 208643 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 208648 */     GIR_RootConstrainSelectedInstOperands,
     /* 208649 */     // GIR_Coverage, 915,
     /* 208649 */     GIR_EraseRootFromParent_Done,
     /* 208650 */   // Label 4812: @208650
     /* 208650 */   GIM_Try, /*On fail goto*//*Label 4813*/ GIMT_Encode4(208718), // Rule ID 917 //
     /* 208655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 208658 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 208662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 208666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 208670 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 208673 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 208677 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 208684 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 208688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 208690 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 208697 */     // (strict_fadd:{ *:[f80] } RFP80:{ *:[f80] }:$src1, (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf64>>)  =>  (ADD_Fp80m64:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 208697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp80m64),
     /* 208700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208702 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 208704 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 208708 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 208711 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 208716 */     GIR_RootConstrainSelectedInstOperands,
     /* 208717 */     // GIR_Coverage, 917,
     /* 208717 */     GIR_EraseRootFromParent_Done,
     /* 208718 */   // Label 4813: @208718
     /* 208718 */   GIM_Try, /*On fail goto*//*Label 4814*/ GIMT_Encode4(208751), // Rule ID 889 //
     /* 208723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 208726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 208730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 208734 */     // (strict_fadd:{ *:[f80] } RFP80:{ *:[f80] }:$src1, RFP80:{ *:[f80] }:$src2)  =>  (ADD_Fp80:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, RFP80:{ *:[f80] }:$src2)
     /* 208734 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADD_Fp80),
     /* 208739 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 208745 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 208749 */     GIR_RootConstrainSelectedInstOperands,
     /* 208750 */     // GIR_Coverage, 889,
     /* 208750 */     GIR_Done,
     /* 208751 */   // Label 4814: @208751
     /* 208751 */   GIM_Reject,
     /* 208752 */ // Label 4809: @208752
     /* 208752 */ GIM_Reject,
     /* 208753 */ // Label 4767: @208753
     /* 208753 */ GIM_Try, /*On fail goto*//*Label 4815*/ GIMT_Encode4(209106),
     /* 208758 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 208761 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 208764 */   GIM_Try, /*On fail goto*//*Label 4816*/ GIMT_Encode4(208826), // Rule ID 23368 //
     /* 208769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 208772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 208776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 208780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 208784 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 208787 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 208791 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 208795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 208799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 208801 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 208808 */     // (strict_fadd:{ *:[v2f64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2f64] }:$src1)  =>  (VADDPDrm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 208808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDrm),
     /* 208811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208813 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 208815 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 208819 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 208824 */     GIR_RootConstrainSelectedInstOperands,
     /* 208825 */     // GIR_Coverage, 23368,
     /* 208825 */     GIR_EraseRootFromParent_Done,
     /* 208826 */   // Label 4816: @208826
     /* 208826 */   GIM_Try, /*On fail goto*//*Label 4817*/ GIMT_Encode4(208888), // Rule ID 24292 //
     /* 208831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 208834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 208838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 208842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 208846 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 208849 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 208853 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 208857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 208861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 208863 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 208870 */     // (strict_fadd:{ *:[v2f64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v2f64] }:$src1)  =>  (VADDPDZ128rm:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 208870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDZ128rm),
     /* 208873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208875 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 208877 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 208881 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 208886 */     GIR_RootConstrainSelectedInstOperands,
     /* 208887 */     // GIR_Coverage, 24292,
     /* 208887 */     GIR_EraseRootFromParent_Done,
     /* 208888 */   // Label 4817: @208888
     /* 208888 */   GIM_Try, /*On fail goto*//*Label 4818*/ GIMT_Encode4(208950), // Rule ID 2139 //
     /* 208893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 208896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 208900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 208904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 208908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 208912 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 208915 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 208919 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 208923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 208925 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 208932 */     // (strict_fadd:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPDrm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 208932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDrm),
     /* 208935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208937 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 208939 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 208943 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 208948 */     GIR_RootConstrainSelectedInstOperands,
     /* 208949 */     // GIR_Coverage, 2139,
     /* 208949 */     GIR_EraseRootFromParent_Done,
     /* 208950 */   // Label 4818: @208950
     /* 208950 */   GIM_Try, /*On fail goto*//*Label 4819*/ GIMT_Encode4(209012), // Rule ID 6307 //
     /* 208955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 208958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 208962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 208966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 208970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 208974 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 208977 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 208981 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 208985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 208987 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 208994 */     // (strict_fadd:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPDZ128rm:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 208994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDZ128rm),
     /* 208997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208999 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 209001 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 209005 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 209010 */     GIR_RootConstrainSelectedInstOperands,
     /* 209011 */     // GIR_Coverage, 6307,
     /* 209011 */     GIR_EraseRootFromParent_Done,
     /* 209012 */   // Label 4819: @209012
     /* 209012 */   GIM_Try, /*On fail goto*//*Label 4820*/ GIMT_Encode4(209043), // Rule ID 2137 //
     /* 209017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 209020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 209024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 209028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 209032 */     // (strict_fadd:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (VADDPDrr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)
     /* 209032 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPDrr),
     /* 209037 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 209041 */     GIR_RootConstrainSelectedInstOperands,
     /* 209042 */     // GIR_Coverage, 2137,
     /* 209042 */     GIR_Done,
     /* 209043 */   // Label 4820: @209043
     /* 209043 */   GIM_Try, /*On fail goto*//*Label 4821*/ GIMT_Encode4(209074), // Rule ID 2153 //
     /* 209048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 209051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 209055 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 209059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 209063 */     // (strict_fadd:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (ADDPDrr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)
     /* 209063 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADDPDrr),
     /* 209068 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 209072 */     GIR_RootConstrainSelectedInstOperands,
     /* 209073 */     // GIR_Coverage, 2153,
     /* 209073 */     GIR_Done,
     /* 209074 */   // Label 4821: @209074
     /* 209074 */   GIM_Try, /*On fail goto*//*Label 4822*/ GIMT_Encode4(209105), // Rule ID 6303 //
     /* 209079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 209082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 209086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 209090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 209094 */     // (strict_fadd:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2)  =>  (VADDPDZ128rr:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2)
     /* 209094 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPDZ128rr),
     /* 209099 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 209103 */     GIR_RootConstrainSelectedInstOperands,
     /* 209104 */     // GIR_Coverage, 6303,
     /* 209104 */     GIR_Done,
     /* 209105 */   // Label 4822: @209105
     /* 209105 */   GIM_Reject,
     /* 209106 */ // Label 4815: @209106
     /* 209106 */ GIM_Reject,
     /* 209107 */ // Label 4768: @209107
     /* 209107 */ GIM_Try, /*On fail goto*//*Label 4823*/ GIMT_Encode4(209460),
     /* 209112 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 209115 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 209118 */   GIM_Try, /*On fail goto*//*Label 4824*/ GIMT_Encode4(209180), // Rule ID 23366 //
     /* 209123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 209126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 209130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 209134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 209138 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 209141 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 209145 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 209149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 209153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 209155 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 209162 */     // (strict_fadd:{ *:[v4f32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4f32] }:$src1)  =>  (VADDPSrm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 209162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSrm),
     /* 209165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 209167 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 209169 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 209173 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 209178 */     GIR_RootConstrainSelectedInstOperands,
     /* 209179 */     // GIR_Coverage, 23366,
     /* 209179 */     GIR_EraseRootFromParent_Done,
     /* 209180 */   // Label 4824: @209180
     /* 209180 */   GIM_Try, /*On fail goto*//*Label 4825*/ GIMT_Encode4(209242), // Rule ID 24276 //
     /* 209185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 209188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 209192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 209196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 209200 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 209203 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 209207 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 209211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 209215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 209217 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 209224 */     // (strict_fadd:{ *:[v4f32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v4f32] }:$src1)  =>  (VADDPSZ128rm:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 209224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSZ128rm),
     /* 209227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 209229 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 209231 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 209235 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 209240 */     GIR_RootConstrainSelectedInstOperands,
     /* 209241 */     // GIR_Coverage, 24276,
     /* 209241 */     GIR_EraseRootFromParent_Done,
     /* 209242 */   // Label 4825: @209242
     /* 209242 */   GIM_Try, /*On fail goto*//*Label 4826*/ GIMT_Encode4(209304), // Rule ID 2135 //
     /* 209247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 209250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 209254 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 209258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 209262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 209266 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 209269 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 209273 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 209277 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 209279 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 209286 */     // (strict_fadd:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPSrm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 209286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSrm),
     /* 209289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 209291 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 209293 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 209297 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 209302 */     GIR_RootConstrainSelectedInstOperands,
     /* 209303 */     // GIR_Coverage, 2135,
     /* 209303 */     GIR_EraseRootFromParent_Done,
     /* 209304 */   // Label 4826: @209304
     /* 209304 */   GIM_Try, /*On fail goto*//*Label 4827*/ GIMT_Encode4(209366), // Rule ID 6283 //
     /* 209309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 209312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 209316 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 209320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 209324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 209328 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 209331 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 209335 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 209339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 209341 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 209348 */     // (strict_fadd:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPSZ128rm:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 209348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSZ128rm),
     /* 209351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 209353 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 209355 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 209359 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 209364 */     GIR_RootConstrainSelectedInstOperands,
     /* 209365 */     // GIR_Coverage, 6283,
     /* 209365 */     GIR_EraseRootFromParent_Done,
     /* 209366 */   // Label 4827: @209366
     /* 209366 */   GIM_Try, /*On fail goto*//*Label 4828*/ GIMT_Encode4(209397), // Rule ID 2133 //
     /* 209371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 209374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 209378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 209382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 209386 */     // (strict_fadd:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (VADDPSrr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)
     /* 209386 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPSrr),
     /* 209391 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 209395 */     GIR_RootConstrainSelectedInstOperands,
     /* 209396 */     // GIR_Coverage, 2133,
     /* 209396 */     GIR_Done,
     /* 209397 */   // Label 4828: @209397
     /* 209397 */   GIM_Try, /*On fail goto*//*Label 4829*/ GIMT_Encode4(209428), // Rule ID 2149 //
     /* 209402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 209405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 209409 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 209413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 209417 */     // (strict_fadd:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (ADDPSrr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)
     /* 209417 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADDPSrr),
     /* 209422 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 209426 */     GIR_RootConstrainSelectedInstOperands,
     /* 209427 */     // GIR_Coverage, 2149,
     /* 209427 */     GIR_Done,
     /* 209428 */   // Label 4829: @209428
     /* 209428 */   GIM_Try, /*On fail goto*//*Label 4830*/ GIMT_Encode4(209459), // Rule ID 6279 //
     /* 209433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 209436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 209440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 209444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 209448 */     // (strict_fadd:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2)  =>  (VADDPSZ128rr:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2)
     /* 209448 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPSZ128rr),
     /* 209453 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 209457 */     GIR_RootConstrainSelectedInstOperands,
     /* 209458 */     // GIR_Coverage, 6279,
     /* 209458 */     GIR_Done,
     /* 209459 */   // Label 4830: @209459
     /* 209459 */   GIM_Reject,
     /* 209460 */ // Label 4823: @209460
     /* 209460 */ GIM_Reject,
     /* 209461 */ // Label 4769: @209461
     /* 209461 */ GIM_Try, /*On fail goto*//*Label 4831*/ GIMT_Encode4(209783),
     /* 209466 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 209469 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 209472 */   GIM_Try, /*On fail goto*//*Label 4832*/ GIMT_Encode4(209534), // Rule ID 23372 //
     /* 209477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 209480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 209484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 209488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 209492 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 209495 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 209499 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 209503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 209507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 209509 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 209516 */     // (strict_fadd:{ *:[v4f64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4f64] }:$src1)  =>  (VADDPDYrm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 209516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDYrm),
     /* 209519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 209521 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 209523 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 209527 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 209532 */     GIR_RootConstrainSelectedInstOperands,
     /* 209533 */     // GIR_Coverage, 23372,
     /* 209533 */     GIR_EraseRootFromParent_Done,
     /* 209534 */   // Label 4832: @209534
     /* 209534 */   GIM_Try, /*On fail goto*//*Label 4833*/ GIMT_Encode4(209596), // Rule ID 24300 //
     /* 209539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 209542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 209546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 209550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 209554 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 209557 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 209561 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 209565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 209569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 209571 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 209578 */     // (strict_fadd:{ *:[v4f64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v4f64] }:$src1)  =>  (VADDPDZ256rm:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 209578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDZ256rm),
     /* 209581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 209583 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 209585 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 209589 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 209594 */     GIR_RootConstrainSelectedInstOperands,
     /* 209595 */     // GIR_Coverage, 24300,
     /* 209595 */     GIR_EraseRootFromParent_Done,
     /* 209596 */   // Label 4833: @209596
     /* 209596 */   GIM_Try, /*On fail goto*//*Label 4834*/ GIMT_Encode4(209658), // Rule ID 2147 //
     /* 209601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 209604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 209608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 209612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 209616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 209620 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 209623 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 209627 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 209631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 209633 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 209640 */     // (strict_fadd:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPDYrm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 209640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDYrm),
     /* 209643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 209645 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 209647 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 209651 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 209656 */     GIR_RootConstrainSelectedInstOperands,
     /* 209657 */     // GIR_Coverage, 2147,
     /* 209657 */     GIR_EraseRootFromParent_Done,
     /* 209658 */   // Label 4834: @209658
     /* 209658 */   GIM_Try, /*On fail goto*//*Label 4835*/ GIMT_Encode4(209720), // Rule ID 6319 //
     /* 209663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 209666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 209670 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 209674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 209678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 209682 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 209685 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 209689 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 209693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 209695 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 209702 */     // (strict_fadd:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPDZ256rm:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 209702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDZ256rm),
     /* 209705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 209707 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 209709 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 209713 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 209718 */     GIR_RootConstrainSelectedInstOperands,
     /* 209719 */     // GIR_Coverage, 6319,
     /* 209719 */     GIR_EraseRootFromParent_Done,
     /* 209720 */   // Label 4835: @209720
     /* 209720 */   GIM_Try, /*On fail goto*//*Label 4836*/ GIMT_Encode4(209751), // Rule ID 2145 //
     /* 209725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 209728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 209732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 209736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 209740 */     // (strict_fadd:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2)  =>  (VADDPDYrr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2)
     /* 209740 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPDYrr),
     /* 209745 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 209749 */     GIR_RootConstrainSelectedInstOperands,
     /* 209750 */     // GIR_Coverage, 2145,
     /* 209750 */     GIR_Done,
     /* 209751 */   // Label 4836: @209751
     /* 209751 */   GIM_Try, /*On fail goto*//*Label 4837*/ GIMT_Encode4(209782), // Rule ID 6315 //
     /* 209756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 209759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 209763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 209767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 209771 */     // (strict_fadd:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2)  =>  (VADDPDZ256rr:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2)
     /* 209771 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPDZ256rr),
     /* 209776 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 209780 */     GIR_RootConstrainSelectedInstOperands,
     /* 209781 */     // GIR_Coverage, 6315,
     /* 209781 */     GIR_Done,
     /* 209782 */   // Label 4837: @209782
     /* 209782 */   GIM_Reject,
     /* 209783 */ // Label 4831: @209783
     /* 209783 */ GIM_Reject,
     /* 209784 */ // Label 4770: @209784
     /* 209784 */ GIM_Try, /*On fail goto*//*Label 4838*/ GIMT_Encode4(209943),
     /* 209789 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 209792 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 209795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 209799 */   GIM_Try, /*On fail goto*//*Label 4839*/ GIMT_Encode4(209857), // Rule ID 24316 //
     /* 209804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 209807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 209811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 209815 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 209818 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 209822 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 209826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 209830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 209832 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 209839 */     // (strict_fadd:{ *:[v8f16] } (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8f16] }:$src1)  =>  (VADDPHZ128rm:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 209839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPHZ128rm),
     /* 209842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 209844 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 209846 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 209850 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 209855 */     GIR_RootConstrainSelectedInstOperands,
     /* 209856 */     // GIR_Coverage, 24316,
     /* 209856 */     GIR_EraseRootFromParent_Done,
     /* 209857 */   // Label 4839: @209857
     /* 209857 */   GIM_Try, /*On fail goto*//*Label 4840*/ GIMT_Encode4(209915), // Rule ID 6343 //
     /* 209862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 209865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 209869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 209873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 209877 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 209880 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 209884 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 209888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 209890 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 209897 */     // (strict_fadd:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPHZ128rm:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 209897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPHZ128rm),
     /* 209900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 209902 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 209904 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 209908 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 209913 */     GIR_RootConstrainSelectedInstOperands,
     /* 209914 */     // GIR_Coverage, 6343,
     /* 209914 */     GIR_EraseRootFromParent_Done,
     /* 209915 */   // Label 4840: @209915
     /* 209915 */   GIM_Try, /*On fail goto*//*Label 4841*/ GIMT_Encode4(209942), // Rule ID 6339 //
     /* 209920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 209923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 209927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 209931 */     // (strict_fadd:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2)  =>  (VADDPHZ128rr:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2)
     /* 209931 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPHZ128rr),
     /* 209936 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 209940 */     GIR_RootConstrainSelectedInstOperands,
     /* 209941 */     // GIR_Coverage, 6339,
     /* 209941 */     GIR_Done,
     /* 209942 */   // Label 4841: @209942
     /* 209942 */   GIM_Reject,
     /* 209943 */ // Label 4838: @209943
     /* 209943 */ GIM_Reject,
     /* 209944 */ // Label 4771: @209944
     /* 209944 */ GIM_Try, /*On fail goto*//*Label 4842*/ GIMT_Encode4(210266),
     /* 209949 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 209952 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 209955 */   GIM_Try, /*On fail goto*//*Label 4843*/ GIMT_Encode4(210017), // Rule ID 23370 //
     /* 209960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 209963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 209967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 209971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 209975 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 209978 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 209982 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 209986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 209990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 209992 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 209999 */     // (strict_fadd:{ *:[v8f32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8f32] }:$src1)  =>  (VADDPSYrm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 209999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSYrm),
     /* 210002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210004 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 210006 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 210010 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 210015 */     GIR_RootConstrainSelectedInstOperands,
     /* 210016 */     // GIR_Coverage, 23370,
     /* 210016 */     GIR_EraseRootFromParent_Done,
     /* 210017 */   // Label 4843: @210017
     /* 210017 */   GIM_Try, /*On fail goto*//*Label 4844*/ GIMT_Encode4(210079), // Rule ID 24284 //
     /* 210022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 210025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 210029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 210033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 210037 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 210040 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 210044 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 210048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 210052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 210054 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 210061 */     // (strict_fadd:{ *:[v8f32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v8f32] }:$src1)  =>  (VADDPSZ256rm:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 210061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSZ256rm),
     /* 210064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210066 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 210068 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 210072 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 210077 */     GIR_RootConstrainSelectedInstOperands,
     /* 210078 */     // GIR_Coverage, 24284,
     /* 210078 */     GIR_EraseRootFromParent_Done,
     /* 210079 */   // Label 4844: @210079
     /* 210079 */   GIM_Try, /*On fail goto*//*Label 4845*/ GIMT_Encode4(210141), // Rule ID 2143 //
     /* 210084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 210087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 210091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 210095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 210099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 210103 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 210106 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 210110 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 210114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 210116 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 210123 */     // (strict_fadd:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPSYrm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 210123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSYrm),
     /* 210126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210128 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 210130 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 210134 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 210139 */     GIR_RootConstrainSelectedInstOperands,
     /* 210140 */     // GIR_Coverage, 2143,
     /* 210140 */     GIR_EraseRootFromParent_Done,
     /* 210141 */   // Label 4845: @210141
     /* 210141 */   GIM_Try, /*On fail goto*//*Label 4846*/ GIMT_Encode4(210203), // Rule ID 6295 //
     /* 210146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 210149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 210153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 210157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 210161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 210165 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 210168 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 210172 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 210176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 210178 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 210185 */     // (strict_fadd:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPSZ256rm:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 210185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSZ256rm),
     /* 210188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210190 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 210192 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 210196 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 210201 */     GIR_RootConstrainSelectedInstOperands,
     /* 210202 */     // GIR_Coverage, 6295,
     /* 210202 */     GIR_EraseRootFromParent_Done,
     /* 210203 */   // Label 4846: @210203
     /* 210203 */   GIM_Try, /*On fail goto*//*Label 4847*/ GIMT_Encode4(210234), // Rule ID 2141 //
     /* 210208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 210211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 210215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 210219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 210223 */     // (strict_fadd:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2)  =>  (VADDPSYrr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2)
     /* 210223 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPSYrr),
     /* 210228 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 210232 */     GIR_RootConstrainSelectedInstOperands,
     /* 210233 */     // GIR_Coverage, 2141,
     /* 210233 */     GIR_Done,
     /* 210234 */   // Label 4847: @210234
     /* 210234 */   GIM_Try, /*On fail goto*//*Label 4848*/ GIMT_Encode4(210265), // Rule ID 6291 //
     /* 210239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 210242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 210246 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 210250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 210254 */     // (strict_fadd:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2)  =>  (VADDPSZ256rr:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2)
     /* 210254 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPSZ256rr),
     /* 210259 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 210263 */     GIR_RootConstrainSelectedInstOperands,
     /* 210264 */     // GIR_Coverage, 6291,
     /* 210264 */     GIR_Done,
     /* 210265 */   // Label 4848: @210265
     /* 210265 */   GIM_Reject,
     /* 210266 */ // Label 4842: @210266
     /* 210266 */ GIM_Reject,
     /* 210267 */ // Label 4772: @210267
     /* 210267 */ GIM_Try, /*On fail goto*//*Label 4849*/ GIMT_Encode4(210426),
     /* 210272 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 210275 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /* 210278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 210282 */   GIM_Try, /*On fail goto*//*Label 4850*/ GIMT_Encode4(210340), // Rule ID 24268 //
     /* 210287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 210290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 210294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 210298 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 210301 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 210305 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 210309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 210313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 210315 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 210322 */     // (strict_fadd:{ *:[v8f64] } (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v8f64] }:$src1)  =>  (VADDPDZrm:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 210322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDZrm),
     /* 210325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210327 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 210329 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 210333 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 210338 */     GIR_RootConstrainSelectedInstOperands,
     /* 210339 */     // GIR_Coverage, 24268,
     /* 210339 */     GIR_EraseRootFromParent_Done,
     /* 210340 */   // Label 4850: @210340
     /* 210340 */   GIM_Try, /*On fail goto*//*Label 4851*/ GIMT_Encode4(210398), // Rule ID 6271 //
     /* 210345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 210348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 210352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 210356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 210360 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 210363 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 210367 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 210371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 210373 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 210380 */     // (strict_fadd:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPDZrm:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 210380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDZrm),
     /* 210383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210385 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 210387 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 210391 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 210396 */     GIR_RootConstrainSelectedInstOperands,
     /* 210397 */     // GIR_Coverage, 6271,
     /* 210397 */     GIR_EraseRootFromParent_Done,
     /* 210398 */   // Label 4851: @210398
     /* 210398 */   GIM_Try, /*On fail goto*//*Label 4852*/ GIMT_Encode4(210425), // Rule ID 6267 //
     /* 210403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 210406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 210410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 210414 */     // (strict_fadd:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2)  =>  (VADDPDZrr:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2)
     /* 210414 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPDZrr),
     /* 210419 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 210423 */     GIR_RootConstrainSelectedInstOperands,
     /* 210424 */     // GIR_Coverage, 6267,
     /* 210424 */     GIR_Done,
     /* 210425 */   // Label 4852: @210425
     /* 210425 */   GIM_Reject,
     /* 210426 */ // Label 4849: @210426
     /* 210426 */ GIM_Reject,
     /* 210427 */ // Label 4773: @210427
     /* 210427 */ GIM_Try, /*On fail goto*//*Label 4853*/ GIMT_Encode4(210586),
     /* 210432 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 210435 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 210438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 210442 */   GIM_Try, /*On fail goto*//*Label 4854*/ GIMT_Encode4(210500), // Rule ID 24324 //
     /* 210447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 210450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 210454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 210458 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 210461 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 210465 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 210469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 210473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 210475 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 210482 */     // (strict_fadd:{ *:[v16f16] } (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16f16] }:$src1)  =>  (VADDPHZ256rm:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 210482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPHZ256rm),
     /* 210485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210487 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 210489 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 210493 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 210498 */     GIR_RootConstrainSelectedInstOperands,
     /* 210499 */     // GIR_Coverage, 24324,
     /* 210499 */     GIR_EraseRootFromParent_Done,
     /* 210500 */   // Label 4854: @210500
     /* 210500 */   GIM_Try, /*On fail goto*//*Label 4855*/ GIMT_Encode4(210558), // Rule ID 6355 //
     /* 210505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 210508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 210512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 210516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 210520 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 210523 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 210527 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 210531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 210533 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 210540 */     // (strict_fadd:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPHZ256rm:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 210540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPHZ256rm),
     /* 210543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210545 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 210547 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 210551 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 210556 */     GIR_RootConstrainSelectedInstOperands,
     /* 210557 */     // GIR_Coverage, 6355,
     /* 210557 */     GIR_EraseRootFromParent_Done,
     /* 210558 */   // Label 4855: @210558
     /* 210558 */   GIM_Try, /*On fail goto*//*Label 4856*/ GIMT_Encode4(210585), // Rule ID 6351 //
     /* 210563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 210566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 210570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 210574 */     // (strict_fadd:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2)  =>  (VADDPHZ256rr:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2)
     /* 210574 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPHZ256rr),
     /* 210579 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 210583 */     GIR_RootConstrainSelectedInstOperands,
     /* 210584 */     // GIR_Coverage, 6351,
     /* 210584 */     GIR_Done,
     /* 210585 */   // Label 4856: @210585
     /* 210585 */   GIM_Reject,
     /* 210586 */ // Label 4853: @210586
     /* 210586 */ GIM_Reject,
     /* 210587 */ // Label 4774: @210587
     /* 210587 */ GIM_Try, /*On fail goto*//*Label 4857*/ GIMT_Encode4(210746),
     /* 210592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 210595 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 210598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 210602 */   GIM_Try, /*On fail goto*//*Label 4858*/ GIMT_Encode4(210660), // Rule ID 24260 //
     /* 210607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 210610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 210614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 210618 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 210621 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 210625 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 210629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 210633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 210635 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 210642 */     // (strict_fadd:{ *:[v16f32] } (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v16f32] }:$src1)  =>  (VADDPSZrm:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 210642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSZrm),
     /* 210645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210647 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 210649 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 210653 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 210658 */     GIR_RootConstrainSelectedInstOperands,
     /* 210659 */     // GIR_Coverage, 24260,
     /* 210659 */     GIR_EraseRootFromParent_Done,
     /* 210660 */   // Label 4858: @210660
     /* 210660 */   GIM_Try, /*On fail goto*//*Label 4859*/ GIMT_Encode4(210718), // Rule ID 6259 //
     /* 210665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 210668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 210672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 210676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 210680 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 210683 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 210687 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 210691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 210693 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 210700 */     // (strict_fadd:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPSZrm:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 210700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSZrm),
     /* 210703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210705 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 210707 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 210711 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 210716 */     GIR_RootConstrainSelectedInstOperands,
     /* 210717 */     // GIR_Coverage, 6259,
     /* 210717 */     GIR_EraseRootFromParent_Done,
     /* 210718 */   // Label 4859: @210718
     /* 210718 */   GIM_Try, /*On fail goto*//*Label 4860*/ GIMT_Encode4(210745), // Rule ID 6255 //
     /* 210723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 210726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 210730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 210734 */     // (strict_fadd:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2)  =>  (VADDPSZrr:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2)
     /* 210734 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPSZrr),
     /* 210739 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 210743 */     GIR_RootConstrainSelectedInstOperands,
     /* 210744 */     // GIR_Coverage, 6255,
     /* 210744 */     GIR_Done,
     /* 210745 */   // Label 4860: @210745
     /* 210745 */   GIM_Reject,
     /* 210746 */ // Label 4857: @210746
     /* 210746 */ GIM_Reject,
     /* 210747 */ // Label 4775: @210747
     /* 210747 */ GIM_Try, /*On fail goto*//*Label 4861*/ GIMT_Encode4(210906),
     /* 210752 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 210755 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 210758 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 210762 */   GIM_Try, /*On fail goto*//*Label 4862*/ GIMT_Encode4(210820), // Rule ID 24308 //
     /* 210767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 210770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 210774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 210778 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 210781 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 210785 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 210789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 210793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 210795 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 210802 */     // (strict_fadd:{ *:[v32f16] } (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32f16] }:$src1)  =>  (VADDPHZrm:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 210802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPHZrm),
     /* 210805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210807 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 210809 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 210813 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 210818 */     GIR_RootConstrainSelectedInstOperands,
     /* 210819 */     // GIR_Coverage, 24308,
     /* 210819 */     GIR_EraseRootFromParent_Done,
     /* 210820 */   // Label 4862: @210820
     /* 210820 */   GIM_Try, /*On fail goto*//*Label 4863*/ GIMT_Encode4(210878), // Rule ID 6331 //
     /* 210825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 210828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 210832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 210836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 210840 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 210843 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 210847 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 210851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 210853 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 210860 */     // (strict_fadd:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPHZrm:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 210860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPHZrm),
     /* 210863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210865 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 210867 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 210871 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 210876 */     GIR_RootConstrainSelectedInstOperands,
     /* 210877 */     // GIR_Coverage, 6331,
     /* 210877 */     GIR_EraseRootFromParent_Done,
     /* 210878 */   // Label 4863: @210878
     /* 210878 */   GIM_Try, /*On fail goto*//*Label 4864*/ GIMT_Encode4(210905), // Rule ID 6327 //
     /* 210883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 210886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 210890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 210894 */     // (strict_fadd:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2)  =>  (VADDPHZrr:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2)
     /* 210894 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPHZrr),
     /* 210899 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 210903 */     GIR_RootConstrainSelectedInstOperands,
     /* 210904 */     // GIR_Coverage, 6327,
     /* 210904 */     GIR_Done,
     /* 210905 */   // Label 4864: @210905
     /* 210905 */   GIM_Reject,
     /* 210906 */ // Label 4861: @210906
     /* 210906 */ GIM_Reject,
     /* 210907 */ // Label 4776: @210907
     /* 210907 */ GIM_Reject,
     /* 210908 */ // Label 69: @210908
     /* 210908 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(23), /*)*//*default:*//*Label 4878*/ GIMT_Encode4(213833),
     /* 210919 */ /*GILLT_s16*//*Label 4865*/ GIMT_Encode4(211003),
     /* 210923 */ /*GILLT_s32*//*Label 4866*/ GIMT_Encode4(211101),
     /* 210927 */ /*GILLT_s64*//*Label 4867*/ GIMT_Encode4(211560),
     /* 210931 */ /*GILLT_s80*//*Label 4868*/ GIMT_Encode4(212163), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 210943 */ /*GILLT_v2s64*//*Label 4869*/ GIMT_Encode4(212485), GIMT_Encode4(0),
     /* 210951 */ /*GILLT_v4s32*//*Label 4870*/ GIMT_Encode4(212715),
     /* 210955 */ /*GILLT_v4s64*//*Label 4871*/ GIMT_Encode4(212945), GIMT_Encode4(0),
     /* 210963 */ /*GILLT_v8s16*//*Label 4872*/ GIMT_Encode4(213144),
     /* 210967 */ /*GILLT_v8s32*//*Label 4873*/ GIMT_Encode4(213242),
     /* 210971 */ /*GILLT_v8s64*//*Label 4874*/ GIMT_Encode4(213441), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 210983 */ /*GILLT_v16s16*//*Label 4875*/ GIMT_Encode4(213539),
     /* 210987 */ /*GILLT_v16s32*//*Label 4876*/ GIMT_Encode4(213637), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 210999 */ /*GILLT_v32s16*//*Label 4877*/ GIMT_Encode4(213735),
     /* 211003 */ // Label 4865: @211003
     /* 211003 */ GIM_Try, /*On fail goto*//*Label 4879*/ GIMT_Encode4(211100),
     /* 211008 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 211011 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 211014 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 211018 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 211022 */   GIM_Try, /*On fail goto*//*Label 4880*/ GIMT_Encode4(211076), // Rule ID 6067 //
     /* 211027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 211030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 211034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 211038 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 211041 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 211045 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 211049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 211051 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 211058 */     // (strict_fsub:{ *:[f16] } FR16X:{ *:[f16] }:$src1, (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBSHZrm:{ *:[f16] } FR16X:{ *:[f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 211058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBSHZrm),
     /* 211061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 211063 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 211065 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 211069 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 211074 */     GIR_RootConstrainSelectedInstOperands,
     /* 211075 */     // GIR_Coverage, 6067,
     /* 211075 */     GIR_EraseRootFromParent_Done,
     /* 211076 */   // Label 4880: @211076
     /* 211076 */   GIM_Try, /*On fail goto*//*Label 4881*/ GIMT_Encode4(211099), // Rule ID 6065 //
     /* 211081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 211084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 211088 */     // (strict_fsub:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2)  =>  (VSUBSHZrr:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2)
     /* 211088 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBSHZrr),
     /* 211093 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 211097 */     GIR_RootConstrainSelectedInstOperands,
     /* 211098 */     // GIR_Coverage, 6065,
     /* 211098 */     GIR_Done,
     /* 211099 */   // Label 4881: @211099
     /* 211099 */   GIM_Reject,
     /* 211100 */ // Label 4879: @211100
     /* 211100 */ GIM_Reject,
     /* 211101 */ // Label 4866: @211101
     /* 211101 */ GIM_Try, /*On fail goto*//*Label 4882*/ GIMT_Encode4(211559),
     /* 211106 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 211109 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 211112 */   GIM_Try, /*On fail goto*//*Label 4883*/ GIMT_Encode4(211177), // Rule ID 953 //
     /* 211117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 211120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 211124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 211128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 211132 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 211135 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 211139 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 211143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 211147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 211149 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 211156 */     // (strict_fsub:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, RFP32:{ *:[f32] }:$src1)  =>  (SUBR_Fp32m:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 211156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUBR_Fp32m),
     /* 211159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 211161 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 211163 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 211167 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 211170 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 211175 */     GIR_RootConstrainSelectedInstOperands,
     /* 211176 */     // GIR_Coverage, 953,
     /* 211176 */     GIR_EraseRootFromParent_Done,
     /* 211177 */   // Label 4883: @211177
     /* 211177 */   GIM_Try, /*On fail goto*//*Label 4884*/ GIMT_Encode4(211242), // Rule ID 931 //
     /* 211182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 211185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 211189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 211193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 211197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 211201 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 211204 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 211208 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 211212 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 211214 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 211221 */     // (strict_fsub:{ *:[f32] } RFP32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SUB_Fp32m:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 211221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB_Fp32m),
     /* 211224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 211226 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 211228 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 211232 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 211235 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 211240 */     GIR_RootConstrainSelectedInstOperands,
     /* 211241 */     // GIR_Coverage, 931,
     /* 211241 */     GIR_EraseRootFromParent_Done,
     /* 211242 */   // Label 4884: @211242
     /* 211242 */   GIM_Try, /*On fail goto*//*Label 4885*/ GIMT_Encode4(211304), // Rule ID 2239 //
     /* 211247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 211250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 211254 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 211258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 211262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 211266 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 211269 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 211273 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 211277 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 211279 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 211286 */     // (strict_fsub:{ *:[f32] } FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 211286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBSSrm),
     /* 211289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 211291 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 211293 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 211297 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 211302 */     GIR_RootConstrainSelectedInstOperands,
     /* 211303 */     // GIR_Coverage, 2239,
     /* 211303 */     GIR_EraseRootFromParent_Done,
     /* 211304 */   // Label 4885: @211304
     /* 211304 */   GIM_Try, /*On fail goto*//*Label 4886*/ GIMT_Encode4(211366), // Rule ID 2247 //
     /* 211309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 211312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 211316 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 211320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 211324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 211328 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 211331 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 211335 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 211339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 211341 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 211348 */     // (strict_fsub:{ *:[f32] } FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SUBSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 211348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUBSSrm),
     /* 211351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 211353 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 211355 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 211359 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 211364 */     GIR_RootConstrainSelectedInstOperands,
     /* 211365 */     // GIR_Coverage, 2247,
     /* 211365 */     GIR_EraseRootFromParent_Done,
     /* 211366 */   // Label 4886: @211366
     /* 211366 */   GIM_Try, /*On fail goto*//*Label 4887*/ GIMT_Encode4(211428), // Rule ID 6029 //
     /* 211371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 211374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 211378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 211382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 211386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 211390 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 211393 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 211397 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 211401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 211403 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 211410 */     // (strict_fsub:{ *:[f32] } FR32X:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBSSZrm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 211410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBSSZrm),
     /* 211413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 211415 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 211417 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 211421 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 211426 */     GIR_RootConstrainSelectedInstOperands,
     /* 211427 */     // GIR_Coverage, 6029,
     /* 211427 */     GIR_EraseRootFromParent_Done,
     /* 211428 */   // Label 4887: @211428
     /* 211428 */   GIM_Try, /*On fail goto*//*Label 4888*/ GIMT_Encode4(211465), // Rule ID 891 //
     /* 211433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 211436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 211440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 211444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 211448 */     // (strict_fsub:{ *:[f32] } RFP32:{ *:[f32] }:$src1, RFP32:{ *:[f32] }:$src2)  =>  (SUB_Fp32:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, RFP32:{ *:[f32] }:$src2)
     /* 211448 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUB_Fp32),
     /* 211453 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 211459 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 211463 */     GIR_RootConstrainSelectedInstOperands,
     /* 211464 */     // GIR_Coverage, 891,
     /* 211464 */     GIR_Done,
     /* 211465 */   // Label 4888: @211465
     /* 211465 */   GIM_Try, /*On fail goto*//*Label 4889*/ GIMT_Encode4(211496), // Rule ID 2237 //
     /* 211470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 211473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 211477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 211481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 211485 */     // (strict_fsub:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)  =>  (VSUBSSrr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)
     /* 211485 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBSSrr),
     /* 211490 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 211494 */     GIR_RootConstrainSelectedInstOperands,
     /* 211495 */     // GIR_Coverage, 2237,
     /* 211495 */     GIR_Done,
     /* 211496 */   // Label 4889: @211496
     /* 211496 */   GIM_Try, /*On fail goto*//*Label 4890*/ GIMT_Encode4(211527), // Rule ID 2245 //
     /* 211501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 211504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 211508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 211512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 211516 */     // (strict_fsub:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)  =>  (SUBSSrr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)
     /* 211516 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUBSSrr),
     /* 211521 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 211525 */     GIR_RootConstrainSelectedInstOperands,
     /* 211526 */     // GIR_Coverage, 2245,
     /* 211526 */     GIR_Done,
     /* 211527 */   // Label 4890: @211527
     /* 211527 */   GIM_Try, /*On fail goto*//*Label 4891*/ GIMT_Encode4(211558), // Rule ID 6027 //
     /* 211532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 211535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 211539 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 211543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 211547 */     // (strict_fsub:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2)  =>  (VSUBSSZrr:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2)
     /* 211547 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBSSZrr),
     /* 211552 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 211556 */     GIR_RootConstrainSelectedInstOperands,
     /* 211557 */     // GIR_Coverage, 6027,
     /* 211557 */     GIR_Done,
     /* 211558 */   // Label 4891: @211558
     /* 211558 */   GIM_Reject,
     /* 211559 */ // Label 4882: @211559
     /* 211559 */ GIM_Reject,
     /* 211560 */ // Label 4867: @211560
     /* 211560 */ GIM_Try, /*On fail goto*//*Label 4892*/ GIMT_Encode4(212162),
     /* 211565 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 211568 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 211571 */   GIM_Try, /*On fail goto*//*Label 4893*/ GIMT_Encode4(211636), // Rule ID 955 //
     /* 211576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 211579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 211583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 211587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 211591 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 211594 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 211598 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 211602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 211606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 211608 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 211615 */     // (strict_fsub:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, RFP64:{ *:[f64] }:$src1)  =>  (SUBR_Fp64m:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 211615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUBR_Fp64m),
     /* 211618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 211620 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 211622 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 211626 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 211629 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 211634 */     GIR_RootConstrainSelectedInstOperands,
     /* 211635 */     // GIR_Coverage, 955,
     /* 211635 */     GIR_EraseRootFromParent_Done,
     /* 211636 */   // Label 4893: @211636
     /* 211636 */   GIM_Try, /*On fail goto*//*Label 4894*/ GIMT_Encode4(211708), // Rule ID 957 //
     /* 211641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 211644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 211648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 211652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 211656 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 211659 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 211663 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 211670 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 211674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 211678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 211680 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 211687 */     // (strict_fsub:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>, RFP64:{ *:[f64] }:$src1)  =>  (SUBR_Fp64m32:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 211687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUBR_Fp64m32),
     /* 211690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 211692 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 211694 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 211698 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 211701 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 211706 */     GIR_RootConstrainSelectedInstOperands,
     /* 211707 */     // GIR_Coverage, 957,
     /* 211707 */     GIR_EraseRootFromParent_Done,
     /* 211708 */   // Label 4894: @211708
     /* 211708 */   GIM_Try, /*On fail goto*//*Label 4895*/ GIMT_Encode4(211773), // Rule ID 933 //
     /* 211713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 211716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 211720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 211724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 211728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 211732 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 211735 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 211739 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 211743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 211745 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 211752 */     // (strict_fsub:{ *:[f64] } RFP64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SUB_Fp64m:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 211752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB_Fp64m),
     /* 211755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 211757 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 211759 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 211763 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 211766 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 211771 */     GIR_RootConstrainSelectedInstOperands,
     /* 211772 */     // GIR_Coverage, 933,
     /* 211772 */     GIR_EraseRootFromParent_Done,
     /* 211773 */   // Label 4895: @211773
     /* 211773 */   GIM_Try, /*On fail goto*//*Label 4896*/ GIMT_Encode4(211845), // Rule ID 935 //
     /* 211778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 211781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 211785 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 211789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 211793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 211797 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 211800 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 211804 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 211811 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 211815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 211817 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 211824 */     // (strict_fsub:{ *:[f64] } RFP64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>)  =>  (SUB_Fp64m32:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 211824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB_Fp64m32),
     /* 211827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 211829 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 211831 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 211835 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 211838 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 211843 */     GIR_RootConstrainSelectedInstOperands,
     /* 211844 */     // GIR_Coverage, 935,
     /* 211844 */     GIR_EraseRootFromParent_Done,
     /* 211845 */   // Label 4896: @211845
     /* 211845 */   GIM_Try, /*On fail goto*//*Label 4897*/ GIMT_Encode4(211907), // Rule ID 2243 //
     /* 211850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 211853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 211857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 211861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 211865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 211869 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 211872 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 211876 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 211880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 211882 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 211889 */     // (strict_fsub:{ *:[f64] } FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 211889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBSDrm),
     /* 211892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 211894 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 211896 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 211900 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 211905 */     GIR_RootConstrainSelectedInstOperands,
     /* 211906 */     // GIR_Coverage, 2243,
     /* 211906 */     GIR_EraseRootFromParent_Done,
     /* 211907 */   // Label 4897: @211907
     /* 211907 */   GIM_Try, /*On fail goto*//*Label 4898*/ GIMT_Encode4(211969), // Rule ID 2251 //
     /* 211912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 211915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 211919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 211923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 211927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 211931 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 211934 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 211938 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 211942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 211944 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 211951 */     // (strict_fsub:{ *:[f64] } FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SUBSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 211951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUBSDrm),
     /* 211954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 211956 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 211958 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 211962 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 211967 */     GIR_RootConstrainSelectedInstOperands,
     /* 211968 */     // GIR_Coverage, 2251,
     /* 211968 */     GIR_EraseRootFromParent_Done,
     /* 211969 */   // Label 4898: @211969
     /* 211969 */   GIM_Try, /*On fail goto*//*Label 4899*/ GIMT_Encode4(212031), // Rule ID 6048 //
     /* 211974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 211977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 211981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 211985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 211989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 211993 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 211996 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 212000 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 212004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 212006 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 212013 */     // (strict_fsub:{ *:[f64] } FR64X:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBSDZrm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 212013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBSDZrm),
     /* 212016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 212018 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 212020 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 212024 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 212029 */     GIR_RootConstrainSelectedInstOperands,
     /* 212030 */     // GIR_Coverage, 6048,
     /* 212030 */     GIR_EraseRootFromParent_Done,
     /* 212031 */   // Label 4899: @212031
     /* 212031 */   GIM_Try, /*On fail goto*//*Label 4900*/ GIMT_Encode4(212068), // Rule ID 893 //
     /* 212036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 212039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 212043 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 212047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 212051 */     // (strict_fsub:{ *:[f64] } RFP64:{ *:[f64] }:$src1, RFP64:{ *:[f64] }:$src2)  =>  (SUB_Fp64:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, RFP64:{ *:[f64] }:$src2)
     /* 212051 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUB_Fp64),
     /* 212056 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 212062 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 212066 */     GIR_RootConstrainSelectedInstOperands,
     /* 212067 */     // GIR_Coverage, 893,
     /* 212067 */     GIR_Done,
     /* 212068 */   // Label 4900: @212068
     /* 212068 */   GIM_Try, /*On fail goto*//*Label 4901*/ GIMT_Encode4(212099), // Rule ID 2241 //
     /* 212073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 212076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 212080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 212084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 212088 */     // (strict_fsub:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)  =>  (VSUBSDrr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)
     /* 212088 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBSDrr),
     /* 212093 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 212097 */     GIR_RootConstrainSelectedInstOperands,
     /* 212098 */     // GIR_Coverage, 2241,
     /* 212098 */     GIR_Done,
     /* 212099 */   // Label 4901: @212099
     /* 212099 */   GIM_Try, /*On fail goto*//*Label 4902*/ GIMT_Encode4(212130), // Rule ID 2249 //
     /* 212104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 212107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 212111 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 212115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 212119 */     // (strict_fsub:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)  =>  (SUBSDrr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)
     /* 212119 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUBSDrr),
     /* 212124 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 212128 */     GIR_RootConstrainSelectedInstOperands,
     /* 212129 */     // GIR_Coverage, 2249,
     /* 212129 */     GIR_Done,
     /* 212130 */   // Label 4902: @212130
     /* 212130 */   GIM_Try, /*On fail goto*//*Label 4903*/ GIMT_Encode4(212161), // Rule ID 6046 //
     /* 212135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 212138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 212142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 212146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 212150 */     // (strict_fsub:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2)  =>  (VSUBSDZrr:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2)
     /* 212150 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBSDZrr),
     /* 212155 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 212159 */     GIR_RootConstrainSelectedInstOperands,
     /* 212160 */     // GIR_Coverage, 6046,
     /* 212160 */     GIR_Done,
     /* 212161 */   // Label 4903: @212161
     /* 212161 */   GIM_Reject,
     /* 212162 */ // Label 4892: @212162
     /* 212162 */ GIM_Reject,
     /* 212163 */ // Label 4868: @212163
     /* 212163 */ GIM_Try, /*On fail goto*//*Label 4904*/ GIMT_Encode4(212484),
     /* 212168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s80,
     /* 212171 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s80,
     /* 212174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 212178 */   GIM_Try, /*On fail goto*//*Label 4905*/ GIMT_Encode4(212246), // Rule ID 959 //
     /* 212183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 212186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 212190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 212194 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 212197 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 212201 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 212208 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 212212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 212216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 212218 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 212225 */     // (strict_fsub:{ *:[f80] } (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>, RFP80:{ *:[f80] }:$src1)  =>  (SUBR_Fp80m32:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 212225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUBR_Fp80m32),
     /* 212228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 212230 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 212232 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 212236 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 212239 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 212244 */     GIR_RootConstrainSelectedInstOperands,
     /* 212245 */     // GIR_Coverage, 959,
     /* 212245 */     GIR_EraseRootFromParent_Done,
     /* 212246 */   // Label 4905: @212246
     /* 212246 */   GIM_Try, /*On fail goto*//*Label 4906*/ GIMT_Encode4(212314), // Rule ID 961 //
     /* 212251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 212254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 212258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 212262 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 212265 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 212269 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 212276 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 212280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 212284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 212286 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 212293 */     // (strict_fsub:{ *:[f80] } (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf64>>, RFP80:{ *:[f80] }:$src1)  =>  (SUBR_Fp80m64:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 212293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUBR_Fp80m64),
     /* 212296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 212298 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 212300 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 212304 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 212307 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 212312 */     GIR_RootConstrainSelectedInstOperands,
     /* 212313 */     // GIR_Coverage, 961,
     /* 212313 */     GIR_EraseRootFromParent_Done,
     /* 212314 */   // Label 4906: @212314
     /* 212314 */   GIM_Try, /*On fail goto*//*Label 4907*/ GIMT_Encode4(212382), // Rule ID 937 //
     /* 212319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 212322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 212326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 212330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 212334 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 212337 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 212341 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 212348 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 212352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 212354 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 212361 */     // (strict_fsub:{ *:[f80] } RFP80:{ *:[f80] }:$src1, (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>)  =>  (SUB_Fp80m32:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 212361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB_Fp80m32),
     /* 212364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 212366 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 212368 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 212372 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 212375 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 212380 */     GIR_RootConstrainSelectedInstOperands,
     /* 212381 */     // GIR_Coverage, 937,
     /* 212381 */     GIR_EraseRootFromParent_Done,
     /* 212382 */   // Label 4907: @212382
     /* 212382 */   GIM_Try, /*On fail goto*//*Label 4908*/ GIMT_Encode4(212450), // Rule ID 939 //
     /* 212387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 212390 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 212394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 212398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 212402 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 212405 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 212409 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 212416 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 212420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 212422 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 212429 */     // (strict_fsub:{ *:[f80] } RFP80:{ *:[f80] }:$src1, (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf64>>)  =>  (SUB_Fp80m64:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 212429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB_Fp80m64),
     /* 212432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 212434 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 212436 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 212440 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 212443 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 212448 */     GIR_RootConstrainSelectedInstOperands,
     /* 212449 */     // GIR_Coverage, 939,
     /* 212449 */     GIR_EraseRootFromParent_Done,
     /* 212450 */   // Label 4908: @212450
     /* 212450 */   GIM_Try, /*On fail goto*//*Label 4909*/ GIMT_Encode4(212483), // Rule ID 895 //
     /* 212455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 212458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 212462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 212466 */     // (strict_fsub:{ *:[f80] } RFP80:{ *:[f80] }:$src1, RFP80:{ *:[f80] }:$src2)  =>  (SUB_Fp80:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, RFP80:{ *:[f80] }:$src2)
     /* 212466 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUB_Fp80),
     /* 212471 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 212477 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 212481 */     GIR_RootConstrainSelectedInstOperands,
     /* 212482 */     // GIR_Coverage, 895,
     /* 212482 */     GIR_Done,
     /* 212483 */   // Label 4909: @212483
     /* 212483 */   GIM_Reject,
     /* 212484 */ // Label 4904: @212484
     /* 212484 */ GIM_Reject,
     /* 212485 */ // Label 4869: @212485
     /* 212485 */ GIM_Try, /*On fail goto*//*Label 4910*/ GIMT_Encode4(212714),
     /* 212490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 212493 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 212496 */   GIM_Try, /*On fail goto*//*Label 4911*/ GIMT_Encode4(212558), // Rule ID 2219 //
     /* 212501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 212504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 212508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 212512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 212516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 212520 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 212523 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 212527 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 212531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 212533 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 212540 */     // (strict_fsub:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPDrm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 212540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPDrm),
     /* 212543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 212545 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 212547 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 212551 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 212556 */     GIR_RootConstrainSelectedInstOperands,
     /* 212557 */     // GIR_Coverage, 2219,
     /* 212557 */     GIR_EraseRootFromParent_Done,
     /* 212558 */   // Label 4911: @212558
     /* 212558 */   GIM_Try, /*On fail goto*//*Label 4912*/ GIMT_Encode4(212620), // Rule ID 6541 //
     /* 212563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 212566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 212570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 212574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 212578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 212582 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 212585 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 212589 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 212593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 212595 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 212602 */     // (strict_fsub:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPDZ128rm:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 212602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPDZ128rm),
     /* 212605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 212607 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 212609 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 212613 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 212618 */     GIR_RootConstrainSelectedInstOperands,
     /* 212619 */     // GIR_Coverage, 6541,
     /* 212619 */     GIR_EraseRootFromParent_Done,
     /* 212620 */   // Label 4912: @212620
     /* 212620 */   GIM_Try, /*On fail goto*//*Label 4913*/ GIMT_Encode4(212651), // Rule ID 2217 //
     /* 212625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 212628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 212632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 212636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 212640 */     // (strict_fsub:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (VSUBPDrr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)
     /* 212640 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPDrr),
     /* 212645 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 212649 */     GIR_RootConstrainSelectedInstOperands,
     /* 212650 */     // GIR_Coverage, 2217,
     /* 212650 */     GIR_Done,
     /* 212651 */   // Label 4913: @212651
     /* 212651 */   GIM_Try, /*On fail goto*//*Label 4914*/ GIMT_Encode4(212682), // Rule ID 2233 //
     /* 212656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 212659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 212663 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 212667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 212671 */     // (strict_fsub:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (SUBPDrr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)
     /* 212671 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUBPDrr),
     /* 212676 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 212680 */     GIR_RootConstrainSelectedInstOperands,
     /* 212681 */     // GIR_Coverage, 2233,
     /* 212681 */     GIR_Done,
     /* 212682 */   // Label 4914: @212682
     /* 212682 */   GIM_Try, /*On fail goto*//*Label 4915*/ GIMT_Encode4(212713), // Rule ID 6537 //
     /* 212687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 212690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 212694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 212698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 212702 */     // (strict_fsub:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2)  =>  (VSUBPDZ128rr:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2)
     /* 212702 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPDZ128rr),
     /* 212707 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 212711 */     GIR_RootConstrainSelectedInstOperands,
     /* 212712 */     // GIR_Coverage, 6537,
     /* 212712 */     GIR_Done,
     /* 212713 */   // Label 4915: @212713
     /* 212713 */   GIM_Reject,
     /* 212714 */ // Label 4910: @212714
     /* 212714 */ GIM_Reject,
     /* 212715 */ // Label 4870: @212715
     /* 212715 */ GIM_Try, /*On fail goto*//*Label 4916*/ GIMT_Encode4(212944),
     /* 212720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 212723 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 212726 */   GIM_Try, /*On fail goto*//*Label 4917*/ GIMT_Encode4(212788), // Rule ID 2215 //
     /* 212731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 212734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 212738 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 212742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 212746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 212750 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 212753 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 212757 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 212761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 212763 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 212770 */     // (strict_fsub:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPSrm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 212770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPSrm),
     /* 212773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 212775 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 212777 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 212781 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 212786 */     GIR_RootConstrainSelectedInstOperands,
     /* 212787 */     // GIR_Coverage, 2215,
     /* 212787 */     GIR_EraseRootFromParent_Done,
     /* 212788 */   // Label 4917: @212788
     /* 212788 */   GIM_Try, /*On fail goto*//*Label 4918*/ GIMT_Encode4(212850), // Rule ID 6517 //
     /* 212793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 212796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 212800 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 212804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 212808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 212812 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 212815 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 212819 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 212823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 212825 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 212832 */     // (strict_fsub:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPSZ128rm:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 212832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPSZ128rm),
     /* 212835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 212837 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 212839 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 212843 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 212848 */     GIR_RootConstrainSelectedInstOperands,
     /* 212849 */     // GIR_Coverage, 6517,
     /* 212849 */     GIR_EraseRootFromParent_Done,
     /* 212850 */   // Label 4918: @212850
     /* 212850 */   GIM_Try, /*On fail goto*//*Label 4919*/ GIMT_Encode4(212881), // Rule ID 2213 //
     /* 212855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 212858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 212862 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 212866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 212870 */     // (strict_fsub:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (VSUBPSrr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)
     /* 212870 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPSrr),
     /* 212875 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 212879 */     GIR_RootConstrainSelectedInstOperands,
     /* 212880 */     // GIR_Coverage, 2213,
     /* 212880 */     GIR_Done,
     /* 212881 */   // Label 4919: @212881
     /* 212881 */   GIM_Try, /*On fail goto*//*Label 4920*/ GIMT_Encode4(212912), // Rule ID 2229 //
     /* 212886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 212889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 212893 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 212897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 212901 */     // (strict_fsub:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (SUBPSrr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)
     /* 212901 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUBPSrr),
     /* 212906 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 212910 */     GIR_RootConstrainSelectedInstOperands,
     /* 212911 */     // GIR_Coverage, 2229,
     /* 212911 */     GIR_Done,
     /* 212912 */   // Label 4920: @212912
     /* 212912 */   GIM_Try, /*On fail goto*//*Label 4921*/ GIMT_Encode4(212943), // Rule ID 6513 //
     /* 212917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 212920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 212924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 212928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 212932 */     // (strict_fsub:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2)  =>  (VSUBPSZ128rr:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2)
     /* 212932 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPSZ128rr),
     /* 212937 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 212941 */     GIR_RootConstrainSelectedInstOperands,
     /* 212942 */     // GIR_Coverage, 6513,
     /* 212942 */     GIR_Done,
     /* 212943 */   // Label 4921: @212943
     /* 212943 */   GIM_Reject,
     /* 212944 */ // Label 4916: @212944
     /* 212944 */ GIM_Reject,
     /* 212945 */ // Label 4871: @212945
     /* 212945 */ GIM_Try, /*On fail goto*//*Label 4922*/ GIMT_Encode4(213143),
     /* 212950 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 212953 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 212956 */   GIM_Try, /*On fail goto*//*Label 4923*/ GIMT_Encode4(213018), // Rule ID 2227 //
     /* 212961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 212964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 212968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 212972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 212976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 212980 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 212983 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 212987 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 212991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 212993 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 213000 */     // (strict_fsub:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPDYrm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 213000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPDYrm),
     /* 213003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 213005 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 213007 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 213011 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 213016 */     GIR_RootConstrainSelectedInstOperands,
     /* 213017 */     // GIR_Coverage, 2227,
     /* 213017 */     GIR_EraseRootFromParent_Done,
     /* 213018 */   // Label 4923: @213018
     /* 213018 */   GIM_Try, /*On fail goto*//*Label 4924*/ GIMT_Encode4(213080), // Rule ID 6553 //
     /* 213023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 213026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 213030 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 213034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 213042 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 213045 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 213049 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 213053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213055 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 213062 */     // (strict_fsub:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPDZ256rm:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 213062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPDZ256rm),
     /* 213065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 213067 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 213069 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 213073 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 213078 */     GIR_RootConstrainSelectedInstOperands,
     /* 213079 */     // GIR_Coverage, 6553,
     /* 213079 */     GIR_EraseRootFromParent_Done,
     /* 213080 */   // Label 4924: @213080
     /* 213080 */   GIM_Try, /*On fail goto*//*Label 4925*/ GIMT_Encode4(213111), // Rule ID 2225 //
     /* 213085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 213088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 213092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 213096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 213100 */     // (strict_fsub:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2)  =>  (VSUBPDYrr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2)
     /* 213100 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPDYrr),
     /* 213105 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 213109 */     GIR_RootConstrainSelectedInstOperands,
     /* 213110 */     // GIR_Coverage, 2225,
     /* 213110 */     GIR_Done,
     /* 213111 */   // Label 4925: @213111
     /* 213111 */   GIM_Try, /*On fail goto*//*Label 4926*/ GIMT_Encode4(213142), // Rule ID 6549 //
     /* 213116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 213119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 213123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 213127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 213131 */     // (strict_fsub:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2)  =>  (VSUBPDZ256rr:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2)
     /* 213131 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPDZ256rr),
     /* 213136 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 213140 */     GIR_RootConstrainSelectedInstOperands,
     /* 213141 */     // GIR_Coverage, 6549,
     /* 213141 */     GIR_Done,
     /* 213142 */   // Label 4926: @213142
     /* 213142 */   GIM_Reject,
     /* 213143 */ // Label 4922: @213143
     /* 213143 */ GIM_Reject,
     /* 213144 */ // Label 4872: @213144
     /* 213144 */ GIM_Try, /*On fail goto*//*Label 4927*/ GIMT_Encode4(213241),
     /* 213149 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 213152 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 213155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 213159 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 213163 */   GIM_Try, /*On fail goto*//*Label 4928*/ GIMT_Encode4(213217), // Rule ID 6577 //
     /* 213168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 213171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 213179 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 213182 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 213186 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 213190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213192 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 213199 */     // (strict_fsub:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPHZ128rm:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 213199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPHZ128rm),
     /* 213202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 213204 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 213206 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 213210 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 213215 */     GIR_RootConstrainSelectedInstOperands,
     /* 213216 */     // GIR_Coverage, 6577,
     /* 213216 */     GIR_EraseRootFromParent_Done,
     /* 213217 */   // Label 4928: @213217
     /* 213217 */   GIM_Try, /*On fail goto*//*Label 4929*/ GIMT_Encode4(213240), // Rule ID 6573 //
     /* 213222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 213225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 213229 */     // (strict_fsub:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2)  =>  (VSUBPHZ128rr:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2)
     /* 213229 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPHZ128rr),
     /* 213234 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 213238 */     GIR_RootConstrainSelectedInstOperands,
     /* 213239 */     // GIR_Coverage, 6573,
     /* 213239 */     GIR_Done,
     /* 213240 */   // Label 4929: @213240
     /* 213240 */   GIM_Reject,
     /* 213241 */ // Label 4927: @213241
     /* 213241 */ GIM_Reject,
     /* 213242 */ // Label 4873: @213242
     /* 213242 */ GIM_Try, /*On fail goto*//*Label 4930*/ GIMT_Encode4(213440),
     /* 213247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 213250 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 213253 */   GIM_Try, /*On fail goto*//*Label 4931*/ GIMT_Encode4(213315), // Rule ID 2223 //
     /* 213258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 213261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 213265 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 213269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 213277 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 213280 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 213284 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 213288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213290 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 213297 */     // (strict_fsub:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPSYrm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 213297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPSYrm),
     /* 213300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 213302 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 213304 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 213308 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 213313 */     GIR_RootConstrainSelectedInstOperands,
     /* 213314 */     // GIR_Coverage, 2223,
     /* 213314 */     GIR_EraseRootFromParent_Done,
     /* 213315 */   // Label 4931: @213315
     /* 213315 */   GIM_Try, /*On fail goto*//*Label 4932*/ GIMT_Encode4(213377), // Rule ID 6529 //
     /* 213320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 213323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 213327 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 213331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 213339 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 213342 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 213346 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 213350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213352 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 213359 */     // (strict_fsub:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPSZ256rm:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 213359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPSZ256rm),
     /* 213362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 213364 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 213366 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 213370 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 213375 */     GIR_RootConstrainSelectedInstOperands,
     /* 213376 */     // GIR_Coverage, 6529,
     /* 213376 */     GIR_EraseRootFromParent_Done,
     /* 213377 */   // Label 4932: @213377
     /* 213377 */   GIM_Try, /*On fail goto*//*Label 4933*/ GIMT_Encode4(213408), // Rule ID 2221 //
     /* 213382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 213385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 213389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 213393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 213397 */     // (strict_fsub:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2)  =>  (VSUBPSYrr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2)
     /* 213397 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPSYrr),
     /* 213402 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 213406 */     GIR_RootConstrainSelectedInstOperands,
     /* 213407 */     // GIR_Coverage, 2221,
     /* 213407 */     GIR_Done,
     /* 213408 */   // Label 4933: @213408
     /* 213408 */   GIM_Try, /*On fail goto*//*Label 4934*/ GIMT_Encode4(213439), // Rule ID 6525 //
     /* 213413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 213416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 213420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 213424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 213428 */     // (strict_fsub:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2)  =>  (VSUBPSZ256rr:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2)
     /* 213428 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPSZ256rr),
     /* 213433 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 213437 */     GIR_RootConstrainSelectedInstOperands,
     /* 213438 */     // GIR_Coverage, 6525,
     /* 213438 */     GIR_Done,
     /* 213439 */   // Label 4934: @213439
     /* 213439 */   GIM_Reject,
     /* 213440 */ // Label 4930: @213440
     /* 213440 */ GIM_Reject,
     /* 213441 */ // Label 4874: @213441
     /* 213441 */ GIM_Try, /*On fail goto*//*Label 4935*/ GIMT_Encode4(213538),
     /* 213446 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 213449 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /* 213452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 213456 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 213460 */   GIM_Try, /*On fail goto*//*Label 4936*/ GIMT_Encode4(213514), // Rule ID 6505 //
     /* 213465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 213468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 213476 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 213479 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 213483 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 213487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213489 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 213496 */     // (strict_fsub:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPDZrm:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 213496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPDZrm),
     /* 213499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 213501 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 213503 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 213507 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 213512 */     GIR_RootConstrainSelectedInstOperands,
     /* 213513 */     // GIR_Coverage, 6505,
     /* 213513 */     GIR_EraseRootFromParent_Done,
     /* 213514 */   // Label 4936: @213514
     /* 213514 */   GIM_Try, /*On fail goto*//*Label 4937*/ GIMT_Encode4(213537), // Rule ID 6501 //
     /* 213519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 213522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 213526 */     // (strict_fsub:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2)  =>  (VSUBPDZrr:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2)
     /* 213526 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPDZrr),
     /* 213531 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 213535 */     GIR_RootConstrainSelectedInstOperands,
     /* 213536 */     // GIR_Coverage, 6501,
     /* 213536 */     GIR_Done,
     /* 213537 */   // Label 4937: @213537
     /* 213537 */   GIM_Reject,
     /* 213538 */ // Label 4935: @213538
     /* 213538 */ GIM_Reject,
     /* 213539 */ // Label 4875: @213539
     /* 213539 */ GIM_Try, /*On fail goto*//*Label 4938*/ GIMT_Encode4(213636),
     /* 213544 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 213547 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 213550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 213554 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 213558 */   GIM_Try, /*On fail goto*//*Label 4939*/ GIMT_Encode4(213612), // Rule ID 6589 //
     /* 213563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 213566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 213574 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 213577 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 213581 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 213585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213587 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 213594 */     // (strict_fsub:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPHZ256rm:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 213594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPHZ256rm),
     /* 213597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 213599 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 213601 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 213605 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 213610 */     GIR_RootConstrainSelectedInstOperands,
     /* 213611 */     // GIR_Coverage, 6589,
     /* 213611 */     GIR_EraseRootFromParent_Done,
     /* 213612 */   // Label 4939: @213612
     /* 213612 */   GIM_Try, /*On fail goto*//*Label 4940*/ GIMT_Encode4(213635), // Rule ID 6585 //
     /* 213617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 213620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 213624 */     // (strict_fsub:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2)  =>  (VSUBPHZ256rr:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2)
     /* 213624 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPHZ256rr),
     /* 213629 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 213633 */     GIR_RootConstrainSelectedInstOperands,
     /* 213634 */     // GIR_Coverage, 6585,
     /* 213634 */     GIR_Done,
     /* 213635 */   // Label 4940: @213635
     /* 213635 */   GIM_Reject,
     /* 213636 */ // Label 4938: @213636
     /* 213636 */ GIM_Reject,
     /* 213637 */ // Label 4876: @213637
     /* 213637 */ GIM_Try, /*On fail goto*//*Label 4941*/ GIMT_Encode4(213734),
     /* 213642 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 213645 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 213648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 213652 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 213656 */   GIM_Try, /*On fail goto*//*Label 4942*/ GIMT_Encode4(213710), // Rule ID 6493 //
     /* 213661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 213664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 213672 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 213675 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 213679 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 213683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213685 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 213692 */     // (strict_fsub:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPSZrm:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 213692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPSZrm),
     /* 213695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 213697 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 213699 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 213703 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 213708 */     GIR_RootConstrainSelectedInstOperands,
     /* 213709 */     // GIR_Coverage, 6493,
     /* 213709 */     GIR_EraseRootFromParent_Done,
     /* 213710 */   // Label 4942: @213710
     /* 213710 */   GIM_Try, /*On fail goto*//*Label 4943*/ GIMT_Encode4(213733), // Rule ID 6489 //
     /* 213715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 213718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 213722 */     // (strict_fsub:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2)  =>  (VSUBPSZrr:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2)
     /* 213722 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPSZrr),
     /* 213727 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 213731 */     GIR_RootConstrainSelectedInstOperands,
     /* 213732 */     // GIR_Coverage, 6489,
     /* 213732 */     GIR_Done,
     /* 213733 */   // Label 4943: @213733
     /* 213733 */   GIM_Reject,
     /* 213734 */ // Label 4941: @213734
     /* 213734 */ GIM_Reject,
     /* 213735 */ // Label 4877: @213735
     /* 213735 */ GIM_Try, /*On fail goto*//*Label 4944*/ GIMT_Encode4(213832),
     /* 213740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 213743 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 213746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 213750 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 213754 */   GIM_Try, /*On fail goto*//*Label 4945*/ GIMT_Encode4(213808), // Rule ID 6565 //
     /* 213759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 213762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 213770 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 213773 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 213777 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 213781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213783 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 213790 */     // (strict_fsub:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPHZrm:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 213790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPHZrm),
     /* 213793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 213795 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 213797 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 213801 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 213806 */     GIR_RootConstrainSelectedInstOperands,
     /* 213807 */     // GIR_Coverage, 6565,
     /* 213807 */     GIR_EraseRootFromParent_Done,
     /* 213808 */   // Label 4945: @213808
     /* 213808 */   GIM_Try, /*On fail goto*//*Label 4946*/ GIMT_Encode4(213831), // Rule ID 6561 //
     /* 213813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 213816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 213820 */     // (strict_fsub:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2)  =>  (VSUBPHZrr:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2)
     /* 213820 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPHZrr),
     /* 213825 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 213829 */     GIR_RootConstrainSelectedInstOperands,
     /* 213830 */     // GIR_Coverage, 6561,
     /* 213830 */     GIR_Done,
     /* 213831 */   // Label 4946: @213831
     /* 213831 */   GIM_Reject,
     /* 213832 */ // Label 4944: @213832
     /* 213832 */ GIM_Reject,
     /* 213833 */ // Label 4878: @213833
     /* 213833 */ GIM_Reject,
     /* 213834 */ // Label 70: @213834
     /* 213834 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(23), /*)*//*default:*//*Label 4960*/ GIMT_Encode4(217999),
     /* 213845 */ /*GILLT_s16*//*Label 4947*/ GIMT_Encode4(213929),
     /* 213849 */ /*GILLT_s32*//*Label 4948*/ GIMT_Encode4(214089),
     /* 213853 */ /*GILLT_s64*//*Label 4949*/ GIMT_Encode4(214734),
     /* 213857 */ /*GILLT_s80*//*Label 4950*/ GIMT_Encode4(215523), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 213869 */ /*GILLT_v2s64*//*Label 4951*/ GIMT_Encode4(215845), GIMT_Encode4(0),
     /* 213877 */ /*GILLT_v4s32*//*Label 4952*/ GIMT_Encode4(216199),
     /* 213881 */ /*GILLT_v4s64*//*Label 4953*/ GIMT_Encode4(216553), GIMT_Encode4(0),
     /* 213889 */ /*GILLT_v8s16*//*Label 4954*/ GIMT_Encode4(216876),
     /* 213893 */ /*GILLT_v8s32*//*Label 4955*/ GIMT_Encode4(217036),
     /* 213897 */ /*GILLT_v8s64*//*Label 4956*/ GIMT_Encode4(217359), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 213909 */ /*GILLT_v16s16*//*Label 4957*/ GIMT_Encode4(217519),
     /* 213913 */ /*GILLT_v16s32*//*Label 4958*/ GIMT_Encode4(217679), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 213925 */ /*GILLT_v32s16*//*Label 4959*/ GIMT_Encode4(217839),
     /* 213929 */ // Label 4947: @213929
     /* 213929 */ GIM_Try, /*On fail goto*//*Label 4961*/ GIMT_Encode4(214088),
     /* 213934 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 213937 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 213940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 213944 */   GIM_Try, /*On fail goto*//*Label 4962*/ GIMT_Encode4(214002), // Rule ID 24252 //
     /* 213949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 213952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 213956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 213960 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 213963 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 213967 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 213971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 213975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213977 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 213984 */     // (strict_fmul:{ *:[f16] } (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR16X:{ *:[f16] }:$src1)  =>  (VMULSHZrm:{ *:[f16] } FR16X:{ *:[f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 213984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSHZrm),
     /* 213987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 213989 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 213991 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 213995 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 214000 */     GIR_RootConstrainSelectedInstOperands,
     /* 214001 */     // GIR_Coverage, 24252,
     /* 214001 */     GIR_EraseRootFromParent_Done,
     /* 214002 */   // Label 4962: @214002
     /* 214002 */   GIM_Try, /*On fail goto*//*Label 4963*/ GIMT_Encode4(214060), // Rule ID 6010 //
     /* 214007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 214010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 214014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 214018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 214022 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 214025 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 214029 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 214033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214035 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 214042 */     // (strict_fmul:{ *:[f16] } FR16X:{ *:[f16] }:$src1, (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULSHZrm:{ *:[f16] } FR16X:{ *:[f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 214042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSHZrm),
     /* 214045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214047 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 214049 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 214053 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 214058 */     GIR_RootConstrainSelectedInstOperands,
     /* 214059 */     // GIR_Coverage, 6010,
     /* 214059 */     GIR_EraseRootFromParent_Done,
     /* 214060 */   // Label 4963: @214060
     /* 214060 */   GIM_Try, /*On fail goto*//*Label 4964*/ GIMT_Encode4(214087), // Rule ID 6008 //
     /* 214065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 214068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 214072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 214076 */     // (strict_fmul:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2)  =>  (VMULSHZrr:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2)
     /* 214076 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULSHZrr),
     /* 214081 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 214085 */     GIR_RootConstrainSelectedInstOperands,
     /* 214086 */     // GIR_Coverage, 6008,
     /* 214086 */     GIR_Done,
     /* 214087 */   // Label 4964: @214087
     /* 214087 */   GIM_Reject,
     /* 214088 */ // Label 4961: @214088
     /* 214088 */ GIM_Reject,
     /* 214089 */ // Label 4948: @214089
     /* 214089 */ GIM_Try, /*On fail goto*//*Label 4965*/ GIMT_Encode4(214733),
     /* 214094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 214097 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 214100 */   GIM_Try, /*On fail goto*//*Label 4966*/ GIMT_Encode4(214165), // Rule ID 23255 //
     /* 214105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 214108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 214112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 214116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 214120 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 214123 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 214127 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 214131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 214135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214137 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 214144 */     // (strict_fmul:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, RFP32:{ *:[f32] }:$src1)  =>  (MUL_Fp32m:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 214144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp32m),
     /* 214147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214149 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 214151 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 214155 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 214158 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 214163 */     GIR_RootConstrainSelectedInstOperands,
     /* 214164 */     // GIR_Coverage, 23255,
     /* 214164 */     GIR_EraseRootFromParent_Done,
     /* 214165 */   // Label 4966: @214165
     /* 214165 */   GIM_Try, /*On fail goto*//*Label 4967*/ GIMT_Encode4(214227), // Rule ID 23398 //
     /* 214170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 214173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 214177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 214181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 214185 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 214188 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 214192 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 214196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 214200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214202 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 214209 */     // (strict_fmul:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32:{ *:[f32] }:$src1)  =>  (VMULSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 214209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSSrm),
     /* 214212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214214 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 214216 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 214220 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 214225 */     GIR_RootConstrainSelectedInstOperands,
     /* 214226 */     // GIR_Coverage, 23398,
     /* 214226 */     GIR_EraseRootFromParent_Done,
     /* 214227 */   // Label 4967: @214227
     /* 214227 */   GIM_Try, /*On fail goto*//*Label 4968*/ GIMT_Encode4(214289), // Rule ID 23402 //
     /* 214232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 214235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 214239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 214243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 214247 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 214250 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 214254 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 214258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 214262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214264 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 214271 */     // (strict_fmul:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32:{ *:[f32] }:$src1)  =>  (MULSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 214271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MULSSrm),
     /* 214274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214276 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 214278 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 214282 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 214287 */     GIR_RootConstrainSelectedInstOperands,
     /* 214288 */     // GIR_Coverage, 23402,
     /* 214288 */     GIR_EraseRootFromParent_Done,
     /* 214289 */   // Label 4968: @214289
     /* 214289 */   GIM_Try, /*On fail goto*//*Label 4969*/ GIMT_Encode4(214351), // Rule ID 24248 //
     /* 214294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 214297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 214301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 214305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 214309 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 214312 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 214316 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 214320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 214324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214326 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 214333 */     // (strict_fmul:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32X:{ *:[f32] }:$src1)  =>  (VMULSSZrm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 214333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSSZrm),
     /* 214336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214338 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 214340 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 214344 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 214349 */     GIR_RootConstrainSelectedInstOperands,
     /* 214350 */     // GIR_Coverage, 24248,
     /* 214350 */     GIR_EraseRootFromParent_Done,
     /* 214351 */   // Label 4969: @214351
     /* 214351 */   GIM_Try, /*On fail goto*//*Label 4970*/ GIMT_Encode4(214416), // Rule ID 975 //
     /* 214356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 214359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 214363 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 214367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 214371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 214375 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 214378 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 214382 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 214386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214388 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 214395 */     // (strict_fmul:{ *:[f32] } RFP32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (MUL_Fp32m:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 214395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp32m),
     /* 214398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214400 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 214402 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 214406 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 214409 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 214414 */     GIR_RootConstrainSelectedInstOperands,
     /* 214415 */     // GIR_Coverage, 975,
     /* 214415 */     GIR_EraseRootFromParent_Done,
     /* 214416 */   // Label 4970: @214416
     /* 214416 */   GIM_Try, /*On fail goto*//*Label 4971*/ GIMT_Encode4(214478), // Rule ID 2199 //
     /* 214421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 214424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 214428 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 214432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 214436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 214440 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 214443 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 214447 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 214451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214453 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 214460 */     // (strict_fmul:{ *:[f32] } FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 214460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSSrm),
     /* 214463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214465 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 214467 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 214471 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 214476 */     GIR_RootConstrainSelectedInstOperands,
     /* 214477 */     // GIR_Coverage, 2199,
     /* 214477 */     GIR_EraseRootFromParent_Done,
     /* 214478 */   // Label 4971: @214478
     /* 214478 */   GIM_Try, /*On fail goto*//*Label 4972*/ GIMT_Encode4(214540), // Rule ID 2207 //
     /* 214483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 214486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 214490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 214494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 214498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 214502 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 214505 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 214509 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 214513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214515 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 214522 */     // (strict_fmul:{ *:[f32] } FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (MULSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 214522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MULSSrm),
     /* 214525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214527 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 214529 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 214533 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 214538 */     GIR_RootConstrainSelectedInstOperands,
     /* 214539 */     // GIR_Coverage, 2207,
     /* 214539 */     GIR_EraseRootFromParent_Done,
     /* 214540 */   // Label 4972: @214540
     /* 214540 */   GIM_Try, /*On fail goto*//*Label 4973*/ GIMT_Encode4(214602), // Rule ID 5972 //
     /* 214545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 214548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 214552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 214556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 214560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 214564 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 214567 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 214571 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 214575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214577 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 214584 */     // (strict_fmul:{ *:[f32] } FR32X:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULSSZrm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 214584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSSZrm),
     /* 214587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214589 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 214591 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 214595 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 214600 */     GIR_RootConstrainSelectedInstOperands,
     /* 214601 */     // GIR_Coverage, 5972,
     /* 214601 */     GIR_EraseRootFromParent_Done,
     /* 214602 */   // Label 4973: @214602
     /* 214602 */   GIM_Try, /*On fail goto*//*Label 4974*/ GIMT_Encode4(214639), // Rule ID 897 //
     /* 214607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 214610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 214614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 214618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 214622 */     // (strict_fmul:{ *:[f32] } RFP32:{ *:[f32] }:$src1, RFP32:{ *:[f32] }:$src2)  =>  (MUL_Fp32:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, RFP32:{ *:[f32] }:$src2)
     /* 214622 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MUL_Fp32),
     /* 214627 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 214633 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 214637 */     GIR_RootConstrainSelectedInstOperands,
     /* 214638 */     // GIR_Coverage, 897,
     /* 214638 */     GIR_Done,
     /* 214639 */   // Label 4974: @214639
     /* 214639 */   GIM_Try, /*On fail goto*//*Label 4975*/ GIMT_Encode4(214670), // Rule ID 2197 //
     /* 214644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 214647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 214651 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 214655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 214659 */     // (strict_fmul:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)  =>  (VMULSSrr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)
     /* 214659 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULSSrr),
     /* 214664 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 214668 */     GIR_RootConstrainSelectedInstOperands,
     /* 214669 */     // GIR_Coverage, 2197,
     /* 214669 */     GIR_Done,
     /* 214670 */   // Label 4975: @214670
     /* 214670 */   GIM_Try, /*On fail goto*//*Label 4976*/ GIMT_Encode4(214701), // Rule ID 2205 //
     /* 214675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 214678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 214682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 214686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 214690 */     // (strict_fmul:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)  =>  (MULSSrr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)
     /* 214690 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MULSSrr),
     /* 214695 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 214699 */     GIR_RootConstrainSelectedInstOperands,
     /* 214700 */     // GIR_Coverage, 2205,
     /* 214700 */     GIR_Done,
     /* 214701 */   // Label 4976: @214701
     /* 214701 */   GIM_Try, /*On fail goto*//*Label 4977*/ GIMT_Encode4(214732), // Rule ID 5970 //
     /* 214706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 214709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 214713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 214717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 214721 */     // (strict_fmul:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2)  =>  (VMULSSZrr:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2)
     /* 214721 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULSSZrr),
     /* 214726 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 214730 */     GIR_RootConstrainSelectedInstOperands,
     /* 214731 */     // GIR_Coverage, 5970,
     /* 214731 */     GIR_Done,
     /* 214732 */   // Label 4977: @214732
     /* 214732 */   GIM_Reject,
     /* 214733 */ // Label 4965: @214733
     /* 214733 */ GIM_Reject,
     /* 214734 */ // Label 4949: @214734
     /* 214734 */ GIM_Try, /*On fail goto*//*Label 4978*/ GIMT_Encode4(215522),
     /* 214739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 214742 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 214745 */   GIM_Try, /*On fail goto*//*Label 4979*/ GIMT_Encode4(214810), // Rule ID 23257 //
     /* 214750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 214753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 214757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 214761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 214765 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 214768 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 214772 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 214776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 214780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214782 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 214789 */     // (strict_fmul:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, RFP64:{ *:[f64] }:$src1)  =>  (MUL_Fp64m:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 214789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp64m),
     /* 214792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214794 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 214796 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 214800 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 214803 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 214808 */     GIR_RootConstrainSelectedInstOperands,
     /* 214809 */     // GIR_Coverage, 23257,
     /* 214809 */     GIR_EraseRootFromParent_Done,
     /* 214810 */   // Label 4979: @214810
     /* 214810 */   GIM_Try, /*On fail goto*//*Label 4980*/ GIMT_Encode4(214882), // Rule ID 23259 //
     /* 214815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 214818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 214822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 214826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 214830 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 214833 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 214837 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 214844 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 214848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 214852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214854 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 214861 */     // (strict_fmul:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>, RFP64:{ *:[f64] }:$src1)  =>  (MUL_Fp64m32:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 214861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp64m32),
     /* 214864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214866 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 214868 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 214872 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 214875 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 214880 */     GIR_RootConstrainSelectedInstOperands,
     /* 214881 */     // GIR_Coverage, 23259,
     /* 214881 */     GIR_EraseRootFromParent_Done,
     /* 214882 */   // Label 4980: @214882
     /* 214882 */   GIM_Try, /*On fail goto*//*Label 4981*/ GIMT_Encode4(214944), // Rule ID 23400 //
     /* 214887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 214890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 214894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 214898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 214902 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 214905 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 214909 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 214913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 214917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214919 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 214926 */     // (strict_fmul:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64:{ *:[f64] }:$src1)  =>  (VMULSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 214926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSDrm),
     /* 214929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214931 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 214933 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 214937 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 214942 */     GIR_RootConstrainSelectedInstOperands,
     /* 214943 */     // GIR_Coverage, 23400,
     /* 214943 */     GIR_EraseRootFromParent_Done,
     /* 214944 */   // Label 4981: @214944
     /* 214944 */   GIM_Try, /*On fail goto*//*Label 4982*/ GIMT_Encode4(215006), // Rule ID 23404 //
     /* 214949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 214952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 214956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 214960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 214964 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 214967 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 214971 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 214975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 214979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214981 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 214988 */     // (strict_fmul:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64:{ *:[f64] }:$src1)  =>  (MULSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 214988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MULSDrm),
     /* 214991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214993 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 214995 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 214999 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 215004 */     GIR_RootConstrainSelectedInstOperands,
     /* 215005 */     // GIR_Coverage, 23404,
     /* 215005 */     GIR_EraseRootFromParent_Done,
     /* 215006 */   // Label 4982: @215006
     /* 215006 */   GIM_Try, /*On fail goto*//*Label 4983*/ GIMT_Encode4(215068), // Rule ID 24250 //
     /* 215011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 215014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 215018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 215022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 215026 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 215029 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 215033 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 215037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 215041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 215043 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 215050 */     // (strict_fmul:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64X:{ *:[f64] }:$src1)  =>  (VMULSDZrm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 215050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSDZrm),
     /* 215053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215055 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 215057 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 215061 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 215066 */     GIR_RootConstrainSelectedInstOperands,
     /* 215067 */     // GIR_Coverage, 24250,
     /* 215067 */     GIR_EraseRootFromParent_Done,
     /* 215068 */   // Label 4983: @215068
     /* 215068 */   GIM_Try, /*On fail goto*//*Label 4984*/ GIMT_Encode4(215133), // Rule ID 977 //
     /* 215073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 215076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 215080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 215084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 215088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 215092 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 215095 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 215099 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 215103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 215105 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 215112 */     // (strict_fmul:{ *:[f64] } RFP64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (MUL_Fp64m:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 215112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp64m),
     /* 215115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215117 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 215119 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 215123 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 215126 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 215131 */     GIR_RootConstrainSelectedInstOperands,
     /* 215132 */     // GIR_Coverage, 977,
     /* 215132 */     GIR_EraseRootFromParent_Done,
     /* 215133 */   // Label 4984: @215133
     /* 215133 */   GIM_Try, /*On fail goto*//*Label 4985*/ GIMT_Encode4(215205), // Rule ID 979 //
     /* 215138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 215141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 215145 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 215149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 215153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 215157 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 215160 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 215164 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 215171 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 215175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 215177 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 215184 */     // (strict_fmul:{ *:[f64] } RFP64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>)  =>  (MUL_Fp64m32:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 215184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp64m32),
     /* 215187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215189 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 215191 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 215195 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 215198 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 215203 */     GIR_RootConstrainSelectedInstOperands,
     /* 215204 */     // GIR_Coverage, 979,
     /* 215204 */     GIR_EraseRootFromParent_Done,
     /* 215205 */   // Label 4985: @215205
     /* 215205 */   GIM_Try, /*On fail goto*//*Label 4986*/ GIMT_Encode4(215267), // Rule ID 2203 //
     /* 215210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 215213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 215217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 215221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 215225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 215229 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 215232 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 215236 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 215240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 215242 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 215249 */     // (strict_fmul:{ *:[f64] } FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 215249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSDrm),
     /* 215252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215254 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 215256 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 215260 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 215265 */     GIR_RootConstrainSelectedInstOperands,
     /* 215266 */     // GIR_Coverage, 2203,
     /* 215266 */     GIR_EraseRootFromParent_Done,
     /* 215267 */   // Label 4986: @215267
     /* 215267 */   GIM_Try, /*On fail goto*//*Label 4987*/ GIMT_Encode4(215329), // Rule ID 2211 //
     /* 215272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 215275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 215279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 215283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 215287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 215291 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 215294 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 215298 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 215302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 215304 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 215311 */     // (strict_fmul:{ *:[f64] } FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (MULSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 215311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MULSDrm),
     /* 215314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215316 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 215318 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 215322 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 215327 */     GIR_RootConstrainSelectedInstOperands,
     /* 215328 */     // GIR_Coverage, 2211,
     /* 215328 */     GIR_EraseRootFromParent_Done,
     /* 215329 */   // Label 4987: @215329
     /* 215329 */   GIM_Try, /*On fail goto*//*Label 4988*/ GIMT_Encode4(215391), // Rule ID 5991 //
     /* 215334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 215337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 215341 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 215345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 215349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 215353 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 215356 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 215360 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 215364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 215366 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 215373 */     // (strict_fmul:{ *:[f64] } FR64X:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULSDZrm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 215373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSDZrm),
     /* 215376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215378 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 215380 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 215384 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 215389 */     GIR_RootConstrainSelectedInstOperands,
     /* 215390 */     // GIR_Coverage, 5991,
     /* 215390 */     GIR_EraseRootFromParent_Done,
     /* 215391 */   // Label 4988: @215391
     /* 215391 */   GIM_Try, /*On fail goto*//*Label 4989*/ GIMT_Encode4(215428), // Rule ID 899 //
     /* 215396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 215399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 215403 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 215407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 215411 */     // (strict_fmul:{ *:[f64] } RFP64:{ *:[f64] }:$src1, RFP64:{ *:[f64] }:$src2)  =>  (MUL_Fp64:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, RFP64:{ *:[f64] }:$src2)
     /* 215411 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MUL_Fp64),
     /* 215416 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 215422 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 215426 */     GIR_RootConstrainSelectedInstOperands,
     /* 215427 */     // GIR_Coverage, 899,
     /* 215427 */     GIR_Done,
     /* 215428 */   // Label 4989: @215428
     /* 215428 */   GIM_Try, /*On fail goto*//*Label 4990*/ GIMT_Encode4(215459), // Rule ID 2201 //
     /* 215433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 215436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 215440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 215444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 215448 */     // (strict_fmul:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)  =>  (VMULSDrr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)
     /* 215448 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULSDrr),
     /* 215453 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 215457 */     GIR_RootConstrainSelectedInstOperands,
     /* 215458 */     // GIR_Coverage, 2201,
     /* 215458 */     GIR_Done,
     /* 215459 */   // Label 4990: @215459
     /* 215459 */   GIM_Try, /*On fail goto*//*Label 4991*/ GIMT_Encode4(215490), // Rule ID 2209 //
     /* 215464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 215467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 215471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 215475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 215479 */     // (strict_fmul:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)  =>  (MULSDrr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)
     /* 215479 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MULSDrr),
     /* 215484 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 215488 */     GIR_RootConstrainSelectedInstOperands,
     /* 215489 */     // GIR_Coverage, 2209,
     /* 215489 */     GIR_Done,
     /* 215490 */   // Label 4991: @215490
     /* 215490 */   GIM_Try, /*On fail goto*//*Label 4992*/ GIMT_Encode4(215521), // Rule ID 5989 //
     /* 215495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 215498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 215502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 215506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 215510 */     // (strict_fmul:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2)  =>  (VMULSDZrr:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2)
     /* 215510 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULSDZrr),
     /* 215515 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 215519 */     GIR_RootConstrainSelectedInstOperands,
     /* 215520 */     // GIR_Coverage, 5989,
     /* 215520 */     GIR_Done,
     /* 215521 */   // Label 4992: @215521
     /* 215521 */   GIM_Reject,
     /* 215522 */ // Label 4978: @215522
     /* 215522 */ GIM_Reject,
     /* 215523 */ // Label 4950: @215523
     /* 215523 */ GIM_Try, /*On fail goto*//*Label 4993*/ GIMT_Encode4(215844),
     /* 215528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s80,
     /* 215531 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s80,
     /* 215534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 215538 */   GIM_Try, /*On fail goto*//*Label 4994*/ GIMT_Encode4(215606), // Rule ID 23261 //
     /* 215543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 215546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 215550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 215554 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 215557 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 215561 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 215568 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 215572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 215576 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 215578 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 215585 */     // (strict_fmul:{ *:[f80] } (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>, RFP80:{ *:[f80] }:$src1)  =>  (MUL_Fp80m32:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 215585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp80m32),
     /* 215588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215590 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 215592 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 215596 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 215599 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 215604 */     GIR_RootConstrainSelectedInstOperands,
     /* 215605 */     // GIR_Coverage, 23261,
     /* 215605 */     GIR_EraseRootFromParent_Done,
     /* 215606 */   // Label 4994: @215606
     /* 215606 */   GIM_Try, /*On fail goto*//*Label 4995*/ GIMT_Encode4(215674), // Rule ID 23263 //
     /* 215611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 215614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 215618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 215622 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 215625 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 215629 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 215636 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 215640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 215644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 215646 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 215653 */     // (strict_fmul:{ *:[f80] } (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf64>>, RFP80:{ *:[f80] }:$src1)  =>  (MUL_Fp80m64:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 215653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp80m64),
     /* 215656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215658 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 215660 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 215664 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 215667 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 215672 */     GIR_RootConstrainSelectedInstOperands,
     /* 215673 */     // GIR_Coverage, 23263,
     /* 215673 */     GIR_EraseRootFromParent_Done,
     /* 215674 */   // Label 4995: @215674
     /* 215674 */   GIM_Try, /*On fail goto*//*Label 4996*/ GIMT_Encode4(215742), // Rule ID 981 //
     /* 215679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 215682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 215686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 215690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 215694 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 215697 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 215701 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 215708 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 215712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 215714 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 215721 */     // (strict_fmul:{ *:[f80] } RFP80:{ *:[f80] }:$src1, (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>)  =>  (MUL_Fp80m32:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 215721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp80m32),
     /* 215724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215726 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 215728 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 215732 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 215735 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 215740 */     GIR_RootConstrainSelectedInstOperands,
     /* 215741 */     // GIR_Coverage, 981,
     /* 215741 */     GIR_EraseRootFromParent_Done,
     /* 215742 */   // Label 4996: @215742
     /* 215742 */   GIM_Try, /*On fail goto*//*Label 4997*/ GIMT_Encode4(215810), // Rule ID 983 //
     /* 215747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 215750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 215754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 215758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 215762 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 215765 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 215769 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 215776 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 215780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 215782 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 215789 */     // (strict_fmul:{ *:[f80] } RFP80:{ *:[f80] }:$src1, (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf64>>)  =>  (MUL_Fp80m64:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 215789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp80m64),
     /* 215792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215794 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 215796 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 215800 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 215803 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 215808 */     GIR_RootConstrainSelectedInstOperands,
     /* 215809 */     // GIR_Coverage, 983,
     /* 215809 */     GIR_EraseRootFromParent_Done,
     /* 215810 */   // Label 4997: @215810
     /* 215810 */   GIM_Try, /*On fail goto*//*Label 4998*/ GIMT_Encode4(215843), // Rule ID 901 //
     /* 215815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 215818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 215822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 215826 */     // (strict_fmul:{ *:[f80] } RFP80:{ *:[f80] }:$src1, RFP80:{ *:[f80] }:$src2)  =>  (MUL_Fp80:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, RFP80:{ *:[f80] }:$src2)
     /* 215826 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MUL_Fp80),
     /* 215831 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 215837 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 215841 */     GIR_RootConstrainSelectedInstOperands,
     /* 215842 */     // GIR_Coverage, 901,
     /* 215842 */     GIR_Done,
     /* 215843 */   // Label 4998: @215843
     /* 215843 */   GIM_Reject,
     /* 215844 */ // Label 4993: @215844
     /* 215844 */ GIM_Reject,
     /* 215845 */ // Label 4951: @215845
     /* 215845 */ GIM_Try, /*On fail goto*//*Label 4999*/ GIMT_Encode4(216198),
     /* 215850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 215853 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 215856 */   GIM_Try, /*On fail goto*//*Label 5000*/ GIMT_Encode4(215918), // Rule ID 23388 //
     /* 215861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 215864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 215868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 215872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 215876 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 215879 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 215883 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 215887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 215891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 215893 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 215900 */     // (strict_fmul:{ *:[v2f64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2f64] }:$src1)  =>  (VMULPDrm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 215900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDrm),
     /* 215903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215905 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 215907 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 215911 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 215916 */     GIR_RootConstrainSelectedInstOperands,
     /* 215917 */     // GIR_Coverage, 23388,
     /* 215917 */     GIR_EraseRootFromParent_Done,
     /* 215918 */   // Label 5000: @215918
     /* 215918 */   GIM_Try, /*On fail goto*//*Label 5001*/ GIMT_Encode4(215980), // Rule ID 24364 //
     /* 215923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 215926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 215930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 215934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 215938 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 215941 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 215945 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 215949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 215953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 215955 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 215962 */     // (strict_fmul:{ *:[v2f64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v2f64] }:$src1)  =>  (VMULPDZ128rm:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 215962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDZ128rm),
     /* 215965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215967 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 215969 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 215973 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 215978 */     GIR_RootConstrainSelectedInstOperands,
     /* 215979 */     // GIR_Coverage, 24364,
     /* 215979 */     GIR_EraseRootFromParent_Done,
     /* 215980 */   // Label 5001: @215980
     /* 215980 */   GIM_Try, /*On fail goto*//*Label 5002*/ GIMT_Encode4(216042), // Rule ID 2179 //
     /* 215985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 215988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 215992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 215996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 216000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 216004 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 216007 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 216011 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 216015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 216017 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 216024 */     // (strict_fmul:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPDrm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 216024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDrm),
     /* 216027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 216029 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 216031 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 216035 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 216040 */     GIR_RootConstrainSelectedInstOperands,
     /* 216041 */     // GIR_Coverage, 2179,
     /* 216041 */     GIR_EraseRootFromParent_Done,
     /* 216042 */   // Label 5002: @216042
     /* 216042 */   GIM_Try, /*On fail goto*//*Label 5003*/ GIMT_Encode4(216104), // Rule ID 6424 //
     /* 216047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 216050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 216054 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 216058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 216062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 216066 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 216069 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 216073 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 216077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 216079 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 216086 */     // (strict_fmul:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPDZ128rm:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 216086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDZ128rm),
     /* 216089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 216091 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 216093 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 216097 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 216102 */     GIR_RootConstrainSelectedInstOperands,
     /* 216103 */     // GIR_Coverage, 6424,
     /* 216103 */     GIR_EraseRootFromParent_Done,
     /* 216104 */   // Label 5003: @216104
     /* 216104 */   GIM_Try, /*On fail goto*//*Label 5004*/ GIMT_Encode4(216135), // Rule ID 2177 //
     /* 216109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 216112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 216116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 216120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 216124 */     // (strict_fmul:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (VMULPDrr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)
     /* 216124 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPDrr),
     /* 216129 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 216133 */     GIR_RootConstrainSelectedInstOperands,
     /* 216134 */     // GIR_Coverage, 2177,
     /* 216134 */     GIR_Done,
     /* 216135 */   // Label 5004: @216135
     /* 216135 */   GIM_Try, /*On fail goto*//*Label 5005*/ GIMT_Encode4(216166), // Rule ID 2193 //
     /* 216140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 216143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 216147 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 216151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 216155 */     // (strict_fmul:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (MULPDrr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)
     /* 216155 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MULPDrr),
     /* 216160 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 216164 */     GIR_RootConstrainSelectedInstOperands,
     /* 216165 */     // GIR_Coverage, 2193,
     /* 216165 */     GIR_Done,
     /* 216166 */   // Label 5005: @216166
     /* 216166 */   GIM_Try, /*On fail goto*//*Label 5006*/ GIMT_Encode4(216197), // Rule ID 6420 //
     /* 216171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 216174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 216178 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 216182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 216186 */     // (strict_fmul:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2)  =>  (VMULPDZ128rr:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2)
     /* 216186 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPDZ128rr),
     /* 216191 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 216195 */     GIR_RootConstrainSelectedInstOperands,
     /* 216196 */     // GIR_Coverage, 6420,
     /* 216196 */     GIR_Done,
     /* 216197 */   // Label 5006: @216197
     /* 216197 */   GIM_Reject,
     /* 216198 */ // Label 4999: @216198
     /* 216198 */ GIM_Reject,
     /* 216199 */ // Label 4952: @216199
     /* 216199 */ GIM_Try, /*On fail goto*//*Label 5007*/ GIMT_Encode4(216552),
     /* 216204 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 216207 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 216210 */   GIM_Try, /*On fail goto*//*Label 5008*/ GIMT_Encode4(216272), // Rule ID 23386 //
     /* 216215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 216218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 216222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 216226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 216230 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 216233 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 216237 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 216241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 216245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 216247 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 216254 */     // (strict_fmul:{ *:[v4f32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4f32] }:$src1)  =>  (VMULPSrm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 216254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSrm),
     /* 216257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 216259 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 216261 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 216265 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 216270 */     GIR_RootConstrainSelectedInstOperands,
     /* 216271 */     // GIR_Coverage, 23386,
     /* 216271 */     GIR_EraseRootFromParent_Done,
     /* 216272 */   // Label 5008: @216272
     /* 216272 */   GIM_Try, /*On fail goto*//*Label 5009*/ GIMT_Encode4(216334), // Rule ID 24348 //
     /* 216277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 216280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 216284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 216288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 216292 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 216295 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 216299 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 216303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 216307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 216309 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 216316 */     // (strict_fmul:{ *:[v4f32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v4f32] }:$src1)  =>  (VMULPSZ128rm:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 216316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSZ128rm),
     /* 216319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 216321 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 216323 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 216327 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 216332 */     GIR_RootConstrainSelectedInstOperands,
     /* 216333 */     // GIR_Coverage, 24348,
     /* 216333 */     GIR_EraseRootFromParent_Done,
     /* 216334 */   // Label 5009: @216334
     /* 216334 */   GIM_Try, /*On fail goto*//*Label 5010*/ GIMT_Encode4(216396), // Rule ID 2175 //
     /* 216339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 216342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 216346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 216350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 216354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 216358 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 216361 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 216365 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 216369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 216371 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 216378 */     // (strict_fmul:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPSrm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 216378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSrm),
     /* 216381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 216383 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 216385 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 216389 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 216394 */     GIR_RootConstrainSelectedInstOperands,
     /* 216395 */     // GIR_Coverage, 2175,
     /* 216395 */     GIR_EraseRootFromParent_Done,
     /* 216396 */   // Label 5010: @216396
     /* 216396 */   GIM_Try, /*On fail goto*//*Label 5011*/ GIMT_Encode4(216458), // Rule ID 6400 //
     /* 216401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 216404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 216408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 216412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 216416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 216420 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 216423 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 216427 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 216431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 216433 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 216440 */     // (strict_fmul:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPSZ128rm:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 216440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSZ128rm),
     /* 216443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 216445 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 216447 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 216451 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 216456 */     GIR_RootConstrainSelectedInstOperands,
     /* 216457 */     // GIR_Coverage, 6400,
     /* 216457 */     GIR_EraseRootFromParent_Done,
     /* 216458 */   // Label 5011: @216458
     /* 216458 */   GIM_Try, /*On fail goto*//*Label 5012*/ GIMT_Encode4(216489), // Rule ID 2173 //
     /* 216463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 216466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 216470 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 216474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 216478 */     // (strict_fmul:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (VMULPSrr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)
     /* 216478 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPSrr),
     /* 216483 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 216487 */     GIR_RootConstrainSelectedInstOperands,
     /* 216488 */     // GIR_Coverage, 2173,
     /* 216488 */     GIR_Done,
     /* 216489 */   // Label 5012: @216489
     /* 216489 */   GIM_Try, /*On fail goto*//*Label 5013*/ GIMT_Encode4(216520), // Rule ID 2189 //
     /* 216494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 216497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 216501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 216505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 216509 */     // (strict_fmul:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (MULPSrr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)
     /* 216509 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MULPSrr),
     /* 216514 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 216518 */     GIR_RootConstrainSelectedInstOperands,
     /* 216519 */     // GIR_Coverage, 2189,
     /* 216519 */     GIR_Done,
     /* 216520 */   // Label 5013: @216520
     /* 216520 */   GIM_Try, /*On fail goto*//*Label 5014*/ GIMT_Encode4(216551), // Rule ID 6396 //
     /* 216525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 216528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 216532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 216536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 216540 */     // (strict_fmul:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2)  =>  (VMULPSZ128rr:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2)
     /* 216540 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPSZ128rr),
     /* 216545 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 216549 */     GIR_RootConstrainSelectedInstOperands,
     /* 216550 */     // GIR_Coverage, 6396,
     /* 216550 */     GIR_Done,
     /* 216551 */   // Label 5014: @216551
     /* 216551 */   GIM_Reject,
     /* 216552 */ // Label 5007: @216552
     /* 216552 */ GIM_Reject,
     /* 216553 */ // Label 4953: @216553
     /* 216553 */ GIM_Try, /*On fail goto*//*Label 5015*/ GIMT_Encode4(216875),
     /* 216558 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 216561 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 216564 */   GIM_Try, /*On fail goto*//*Label 5016*/ GIMT_Encode4(216626), // Rule ID 23392 //
     /* 216569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 216572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 216576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 216580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 216584 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 216587 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 216591 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 216595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 216599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 216601 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 216608 */     // (strict_fmul:{ *:[v4f64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4f64] }:$src1)  =>  (VMULPDYrm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 216608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDYrm),
     /* 216611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 216613 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 216615 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 216619 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 216624 */     GIR_RootConstrainSelectedInstOperands,
     /* 216625 */     // GIR_Coverage, 23392,
     /* 216625 */     GIR_EraseRootFromParent_Done,
     /* 216626 */   // Label 5016: @216626
     /* 216626 */   GIM_Try, /*On fail goto*//*Label 5017*/ GIMT_Encode4(216688), // Rule ID 24372 //
     /* 216631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 216634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 216638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 216642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 216646 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 216649 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 216653 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 216657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 216661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 216663 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 216670 */     // (strict_fmul:{ *:[v4f64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v4f64] }:$src1)  =>  (VMULPDZ256rm:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 216670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDZ256rm),
     /* 216673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 216675 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 216677 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 216681 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 216686 */     GIR_RootConstrainSelectedInstOperands,
     /* 216687 */     // GIR_Coverage, 24372,
     /* 216687 */     GIR_EraseRootFromParent_Done,
     /* 216688 */   // Label 5017: @216688
     /* 216688 */   GIM_Try, /*On fail goto*//*Label 5018*/ GIMT_Encode4(216750), // Rule ID 2187 //
     /* 216693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 216696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 216700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 216704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 216708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 216712 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 216715 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 216719 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 216723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 216725 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 216732 */     // (strict_fmul:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPDYrm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 216732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDYrm),
     /* 216735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 216737 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 216739 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 216743 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 216748 */     GIR_RootConstrainSelectedInstOperands,
     /* 216749 */     // GIR_Coverage, 2187,
     /* 216749 */     GIR_EraseRootFromParent_Done,
     /* 216750 */   // Label 5018: @216750
     /* 216750 */   GIM_Try, /*On fail goto*//*Label 5019*/ GIMT_Encode4(216812), // Rule ID 6436 //
     /* 216755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 216758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 216762 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 216766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 216770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 216774 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 216777 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 216781 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 216785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 216787 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 216794 */     // (strict_fmul:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPDZ256rm:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 216794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDZ256rm),
     /* 216797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 216799 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 216801 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 216805 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 216810 */     GIR_RootConstrainSelectedInstOperands,
     /* 216811 */     // GIR_Coverage, 6436,
     /* 216811 */     GIR_EraseRootFromParent_Done,
     /* 216812 */   // Label 5019: @216812
     /* 216812 */   GIM_Try, /*On fail goto*//*Label 5020*/ GIMT_Encode4(216843), // Rule ID 2185 //
     /* 216817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 216820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 216824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 216828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 216832 */     // (strict_fmul:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2)  =>  (VMULPDYrr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2)
     /* 216832 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPDYrr),
     /* 216837 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 216841 */     GIR_RootConstrainSelectedInstOperands,
     /* 216842 */     // GIR_Coverage, 2185,
     /* 216842 */     GIR_Done,
     /* 216843 */   // Label 5020: @216843
     /* 216843 */   GIM_Try, /*On fail goto*//*Label 5021*/ GIMT_Encode4(216874), // Rule ID 6432 //
     /* 216848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 216851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 216855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 216859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 216863 */     // (strict_fmul:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2)  =>  (VMULPDZ256rr:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2)
     /* 216863 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPDZ256rr),
     /* 216868 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 216872 */     GIR_RootConstrainSelectedInstOperands,
     /* 216873 */     // GIR_Coverage, 6432,
     /* 216873 */     GIR_Done,
     /* 216874 */   // Label 5021: @216874
     /* 216874 */   GIM_Reject,
     /* 216875 */ // Label 5015: @216875
     /* 216875 */ GIM_Reject,
     /* 216876 */ // Label 4954: @216876
     /* 216876 */ GIM_Try, /*On fail goto*//*Label 5022*/ GIMT_Encode4(217035),
     /* 216881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 216884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 216887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 216891 */   GIM_Try, /*On fail goto*//*Label 5023*/ GIMT_Encode4(216949), // Rule ID 24388 //
     /* 216896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 216899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 216903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 216907 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 216910 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 216914 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 216918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 216922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 216924 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 216931 */     // (strict_fmul:{ *:[v8f16] } (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8f16] }:$src1)  =>  (VMULPHZ128rm:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 216931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPHZ128rm),
     /* 216934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 216936 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 216938 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 216942 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 216947 */     GIR_RootConstrainSelectedInstOperands,
     /* 216948 */     // GIR_Coverage, 24388,
     /* 216948 */     GIR_EraseRootFromParent_Done,
     /* 216949 */   // Label 5023: @216949
     /* 216949 */   GIM_Try, /*On fail goto*//*Label 5024*/ GIMT_Encode4(217007), // Rule ID 6460 //
     /* 216954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 216957 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 216961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 216965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 216969 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 216972 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 216976 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 216980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 216982 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 216989 */     // (strict_fmul:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPHZ128rm:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 216989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPHZ128rm),
     /* 216992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 216994 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 216996 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 217000 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 217005 */     GIR_RootConstrainSelectedInstOperands,
     /* 217006 */     // GIR_Coverage, 6460,
     /* 217006 */     GIR_EraseRootFromParent_Done,
     /* 217007 */   // Label 5024: @217007
     /* 217007 */   GIM_Try, /*On fail goto*//*Label 5025*/ GIMT_Encode4(217034), // Rule ID 6456 //
     /* 217012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 217015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 217019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 217023 */     // (strict_fmul:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2)  =>  (VMULPHZ128rr:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2)
     /* 217023 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPHZ128rr),
     /* 217028 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 217032 */     GIR_RootConstrainSelectedInstOperands,
     /* 217033 */     // GIR_Coverage, 6456,
     /* 217033 */     GIR_Done,
     /* 217034 */   // Label 5025: @217034
     /* 217034 */   GIM_Reject,
     /* 217035 */ // Label 5022: @217035
     /* 217035 */ GIM_Reject,
     /* 217036 */ // Label 4955: @217036
     /* 217036 */ GIM_Try, /*On fail goto*//*Label 5026*/ GIMT_Encode4(217358),
     /* 217041 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 217044 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 217047 */   GIM_Try, /*On fail goto*//*Label 5027*/ GIMT_Encode4(217109), // Rule ID 23390 //
     /* 217052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 217055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 217059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 217063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 217067 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 217070 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 217074 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 217078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 217082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 217084 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 217091 */     // (strict_fmul:{ *:[v8f32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8f32] }:$src1)  =>  (VMULPSYrm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 217091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSYrm),
     /* 217094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217096 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 217098 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 217102 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 217107 */     GIR_RootConstrainSelectedInstOperands,
     /* 217108 */     // GIR_Coverage, 23390,
     /* 217108 */     GIR_EraseRootFromParent_Done,
     /* 217109 */   // Label 5027: @217109
     /* 217109 */   GIM_Try, /*On fail goto*//*Label 5028*/ GIMT_Encode4(217171), // Rule ID 24356 //
     /* 217114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 217117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 217121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 217125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 217129 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 217132 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 217136 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 217140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 217144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 217146 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 217153 */     // (strict_fmul:{ *:[v8f32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v8f32] }:$src1)  =>  (VMULPSZ256rm:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 217153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSZ256rm),
     /* 217156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217158 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 217160 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 217164 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 217169 */     GIR_RootConstrainSelectedInstOperands,
     /* 217170 */     // GIR_Coverage, 24356,
     /* 217170 */     GIR_EraseRootFromParent_Done,
     /* 217171 */   // Label 5028: @217171
     /* 217171 */   GIM_Try, /*On fail goto*//*Label 5029*/ GIMT_Encode4(217233), // Rule ID 2183 //
     /* 217176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 217179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 217183 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 217187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 217191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 217195 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 217198 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 217202 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 217206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 217208 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 217215 */     // (strict_fmul:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPSYrm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 217215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSYrm),
     /* 217218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217220 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 217222 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 217226 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 217231 */     GIR_RootConstrainSelectedInstOperands,
     /* 217232 */     // GIR_Coverage, 2183,
     /* 217232 */     GIR_EraseRootFromParent_Done,
     /* 217233 */   // Label 5029: @217233
     /* 217233 */   GIM_Try, /*On fail goto*//*Label 5030*/ GIMT_Encode4(217295), // Rule ID 6412 //
     /* 217238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 217241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 217245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 217249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 217253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 217257 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 217260 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 217264 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 217268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 217270 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 217277 */     // (strict_fmul:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPSZ256rm:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 217277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSZ256rm),
     /* 217280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217282 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 217284 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 217288 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 217293 */     GIR_RootConstrainSelectedInstOperands,
     /* 217294 */     // GIR_Coverage, 6412,
     /* 217294 */     GIR_EraseRootFromParent_Done,
     /* 217295 */   // Label 5030: @217295
     /* 217295 */   GIM_Try, /*On fail goto*//*Label 5031*/ GIMT_Encode4(217326), // Rule ID 2181 //
     /* 217300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 217303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 217307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 217311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 217315 */     // (strict_fmul:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2)  =>  (VMULPSYrr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2)
     /* 217315 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPSYrr),
     /* 217320 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 217324 */     GIR_RootConstrainSelectedInstOperands,
     /* 217325 */     // GIR_Coverage, 2181,
     /* 217325 */     GIR_Done,
     /* 217326 */   // Label 5031: @217326
     /* 217326 */   GIM_Try, /*On fail goto*//*Label 5032*/ GIMT_Encode4(217357), // Rule ID 6408 //
     /* 217331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 217334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 217338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 217342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 217346 */     // (strict_fmul:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2)  =>  (VMULPSZ256rr:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2)
     /* 217346 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPSZ256rr),
     /* 217351 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 217355 */     GIR_RootConstrainSelectedInstOperands,
     /* 217356 */     // GIR_Coverage, 6408,
     /* 217356 */     GIR_Done,
     /* 217357 */   // Label 5032: @217357
     /* 217357 */   GIM_Reject,
     /* 217358 */ // Label 5026: @217358
     /* 217358 */ GIM_Reject,
     /* 217359 */ // Label 4956: @217359
     /* 217359 */ GIM_Try, /*On fail goto*//*Label 5033*/ GIMT_Encode4(217518),
     /* 217364 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 217367 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /* 217370 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 217374 */   GIM_Try, /*On fail goto*//*Label 5034*/ GIMT_Encode4(217432), // Rule ID 24340 //
     /* 217379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 217382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 217386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 217390 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 217393 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 217397 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 217401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 217405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 217407 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 217414 */     // (strict_fmul:{ *:[v8f64] } (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v8f64] }:$src1)  =>  (VMULPDZrm:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 217414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDZrm),
     /* 217417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217419 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 217421 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 217425 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 217430 */     GIR_RootConstrainSelectedInstOperands,
     /* 217431 */     // GIR_Coverage, 24340,
     /* 217431 */     GIR_EraseRootFromParent_Done,
     /* 217432 */   // Label 5034: @217432
     /* 217432 */   GIM_Try, /*On fail goto*//*Label 5035*/ GIMT_Encode4(217490), // Rule ID 6388 //
     /* 217437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 217440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 217444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 217448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 217452 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 217455 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 217459 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 217463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 217465 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 217472 */     // (strict_fmul:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPDZrm:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 217472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDZrm),
     /* 217475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217477 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 217479 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 217483 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 217488 */     GIR_RootConstrainSelectedInstOperands,
     /* 217489 */     // GIR_Coverage, 6388,
     /* 217489 */     GIR_EraseRootFromParent_Done,
     /* 217490 */   // Label 5035: @217490
     /* 217490 */   GIM_Try, /*On fail goto*//*Label 5036*/ GIMT_Encode4(217517), // Rule ID 6384 //
     /* 217495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 217498 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 217502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 217506 */     // (strict_fmul:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2)  =>  (VMULPDZrr:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2)
     /* 217506 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPDZrr),
     /* 217511 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 217515 */     GIR_RootConstrainSelectedInstOperands,
     /* 217516 */     // GIR_Coverage, 6384,
     /* 217516 */     GIR_Done,
     /* 217517 */   // Label 5036: @217517
     /* 217517 */   GIM_Reject,
     /* 217518 */ // Label 5033: @217518
     /* 217518 */ GIM_Reject,
     /* 217519 */ // Label 4957: @217519
     /* 217519 */ GIM_Try, /*On fail goto*//*Label 5037*/ GIMT_Encode4(217678),
     /* 217524 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 217527 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 217530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 217534 */   GIM_Try, /*On fail goto*//*Label 5038*/ GIMT_Encode4(217592), // Rule ID 24396 //
     /* 217539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 217542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 217546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 217550 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 217553 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 217557 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 217561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 217565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 217567 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 217574 */     // (strict_fmul:{ *:[v16f16] } (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16f16] }:$src1)  =>  (VMULPHZ256rm:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 217574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPHZ256rm),
     /* 217577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217579 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 217581 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 217585 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 217590 */     GIR_RootConstrainSelectedInstOperands,
     /* 217591 */     // GIR_Coverage, 24396,
     /* 217591 */     GIR_EraseRootFromParent_Done,
     /* 217592 */   // Label 5038: @217592
     /* 217592 */   GIM_Try, /*On fail goto*//*Label 5039*/ GIMT_Encode4(217650), // Rule ID 6472 //
     /* 217597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 217600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 217604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 217608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 217612 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 217615 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 217619 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 217623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 217625 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 217632 */     // (strict_fmul:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPHZ256rm:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 217632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPHZ256rm),
     /* 217635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217637 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 217639 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 217643 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 217648 */     GIR_RootConstrainSelectedInstOperands,
     /* 217649 */     // GIR_Coverage, 6472,
     /* 217649 */     GIR_EraseRootFromParent_Done,
     /* 217650 */   // Label 5039: @217650
     /* 217650 */   GIM_Try, /*On fail goto*//*Label 5040*/ GIMT_Encode4(217677), // Rule ID 6468 //
     /* 217655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 217658 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 217662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 217666 */     // (strict_fmul:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2)  =>  (VMULPHZ256rr:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2)
     /* 217666 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPHZ256rr),
     /* 217671 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 217675 */     GIR_RootConstrainSelectedInstOperands,
     /* 217676 */     // GIR_Coverage, 6468,
     /* 217676 */     GIR_Done,
     /* 217677 */   // Label 5040: @217677
     /* 217677 */   GIM_Reject,
     /* 217678 */ // Label 5037: @217678
     /* 217678 */ GIM_Reject,
     /* 217679 */ // Label 4958: @217679
     /* 217679 */ GIM_Try, /*On fail goto*//*Label 5041*/ GIMT_Encode4(217838),
     /* 217684 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 217687 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 217690 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 217694 */   GIM_Try, /*On fail goto*//*Label 5042*/ GIMT_Encode4(217752), // Rule ID 24332 //
     /* 217699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 217702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 217706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 217710 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 217713 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 217717 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 217721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 217725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 217727 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 217734 */     // (strict_fmul:{ *:[v16f32] } (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v16f32] }:$src1)  =>  (VMULPSZrm:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 217734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSZrm),
     /* 217737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217739 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 217741 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 217745 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 217750 */     GIR_RootConstrainSelectedInstOperands,
     /* 217751 */     // GIR_Coverage, 24332,
     /* 217751 */     GIR_EraseRootFromParent_Done,
     /* 217752 */   // Label 5042: @217752
     /* 217752 */   GIM_Try, /*On fail goto*//*Label 5043*/ GIMT_Encode4(217810), // Rule ID 6376 //
     /* 217757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 217760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 217764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 217768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 217772 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 217775 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 217779 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 217783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 217785 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 217792 */     // (strict_fmul:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPSZrm:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 217792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSZrm),
     /* 217795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217797 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 217799 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 217803 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 217808 */     GIR_RootConstrainSelectedInstOperands,
     /* 217809 */     // GIR_Coverage, 6376,
     /* 217809 */     GIR_EraseRootFromParent_Done,
     /* 217810 */   // Label 5043: @217810
     /* 217810 */   GIM_Try, /*On fail goto*//*Label 5044*/ GIMT_Encode4(217837), // Rule ID 6372 //
     /* 217815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 217818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 217822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 217826 */     // (strict_fmul:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2)  =>  (VMULPSZrr:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2)
     /* 217826 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPSZrr),
     /* 217831 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 217835 */     GIR_RootConstrainSelectedInstOperands,
     /* 217836 */     // GIR_Coverage, 6372,
     /* 217836 */     GIR_Done,
     /* 217837 */   // Label 5044: @217837
     /* 217837 */   GIM_Reject,
     /* 217838 */ // Label 5041: @217838
     /* 217838 */ GIM_Reject,
     /* 217839 */ // Label 4959: @217839
     /* 217839 */ GIM_Try, /*On fail goto*//*Label 5045*/ GIMT_Encode4(217998),
     /* 217844 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 217847 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 217850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 217854 */   GIM_Try, /*On fail goto*//*Label 5046*/ GIMT_Encode4(217912), // Rule ID 24380 //
     /* 217859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 217862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 217866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 217870 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 217873 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 217877 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 217881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 217885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 217887 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 217894 */     // (strict_fmul:{ *:[v32f16] } (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32f16] }:$src1)  =>  (VMULPHZrm:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 217894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPHZrm),
     /* 217897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217899 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 217901 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 217905 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 217910 */     GIR_RootConstrainSelectedInstOperands,
     /* 217911 */     // GIR_Coverage, 24380,
     /* 217911 */     GIR_EraseRootFromParent_Done,
     /* 217912 */   // Label 5046: @217912
     /* 217912 */   GIM_Try, /*On fail goto*//*Label 5047*/ GIMT_Encode4(217970), // Rule ID 6448 //
     /* 217917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 217920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 217924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 217928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 217932 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 217935 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 217939 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 217943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 217945 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 217952 */     // (strict_fmul:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPHZrm:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 217952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPHZrm),
     /* 217955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217957 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 217959 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 217963 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 217968 */     GIR_RootConstrainSelectedInstOperands,
     /* 217969 */     // GIR_Coverage, 6448,
     /* 217969 */     GIR_EraseRootFromParent_Done,
     /* 217970 */   // Label 5047: @217970
     /* 217970 */   GIM_Try, /*On fail goto*//*Label 5048*/ GIMT_Encode4(217997), // Rule ID 6444 //
     /* 217975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 217978 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 217982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 217986 */     // (strict_fmul:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2)  =>  (VMULPHZrr:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2)
     /* 217986 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPHZrr),
     /* 217991 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 217995 */     GIR_RootConstrainSelectedInstOperands,
     /* 217996 */     // GIR_Coverage, 6444,
     /* 217996 */     GIR_Done,
     /* 217997 */   // Label 5048: @217997
     /* 217997 */   GIM_Reject,
     /* 217998 */ // Label 5045: @217998
     /* 217998 */ GIM_Reject,
     /* 217999 */ // Label 4960: @217999
     /* 217999 */ GIM_Reject,
     /* 218000 */ // Label 71: @218000
     /* 218000 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(23), /*)*//*default:*//*Label 5062*/ GIMT_Encode4(220925),
     /* 218011 */ /*GILLT_s16*//*Label 5049*/ GIMT_Encode4(218095),
     /* 218015 */ /*GILLT_s32*//*Label 5050*/ GIMT_Encode4(218193),
     /* 218019 */ /*GILLT_s64*//*Label 5051*/ GIMT_Encode4(218652),
     /* 218023 */ /*GILLT_s80*//*Label 5052*/ GIMT_Encode4(219255), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 218035 */ /*GILLT_v2s64*//*Label 5053*/ GIMT_Encode4(219577), GIMT_Encode4(0),
     /* 218043 */ /*GILLT_v4s32*//*Label 5054*/ GIMT_Encode4(219807),
     /* 218047 */ /*GILLT_v4s64*//*Label 5055*/ GIMT_Encode4(220037), GIMT_Encode4(0),
     /* 218055 */ /*GILLT_v8s16*//*Label 5056*/ GIMT_Encode4(220236),
     /* 218059 */ /*GILLT_v8s32*//*Label 5057*/ GIMT_Encode4(220334),
     /* 218063 */ /*GILLT_v8s64*//*Label 5058*/ GIMT_Encode4(220533), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 218075 */ /*GILLT_v16s16*//*Label 5059*/ GIMT_Encode4(220631),
     /* 218079 */ /*GILLT_v16s32*//*Label 5060*/ GIMT_Encode4(220729), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 218091 */ /*GILLT_v32s16*//*Label 5061*/ GIMT_Encode4(220827),
     /* 218095 */ // Label 5049: @218095
     /* 218095 */ GIM_Try, /*On fail goto*//*Label 5063*/ GIMT_Encode4(218192),
     /* 218100 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 218103 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 218106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 218110 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 218114 */   GIM_Try, /*On fail goto*//*Label 5064*/ GIMT_Encode4(218168), // Rule ID 6124 //
     /* 218119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 218122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 218126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 218130 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 218133 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 218137 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 218141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 218143 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 218150 */     // (strict_fdiv:{ *:[f16] } FR16X:{ *:[f16] }:$src1, (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVSHZrm:{ *:[f16] } FR16X:{ *:[f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 218150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVSHZrm),
     /* 218153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218155 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 218157 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 218161 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 218166 */     GIR_RootConstrainSelectedInstOperands,
     /* 218167 */     // GIR_Coverage, 6124,
     /* 218167 */     GIR_EraseRootFromParent_Done,
     /* 218168 */   // Label 5064: @218168
     /* 218168 */   GIM_Try, /*On fail goto*//*Label 5065*/ GIMT_Encode4(218191), // Rule ID 6122 //
     /* 218173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 218176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 218180 */     // (strict_fdiv:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2)  =>  (VDIVSHZrr:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2)
     /* 218180 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVSHZrr),
     /* 218185 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 218189 */     GIR_RootConstrainSelectedInstOperands,
     /* 218190 */     // GIR_Coverage, 6122,
     /* 218190 */     GIR_Done,
     /* 218191 */   // Label 5065: @218191
     /* 218191 */   GIM_Reject,
     /* 218192 */ // Label 5063: @218192
     /* 218192 */ GIM_Reject,
     /* 218193 */ // Label 5050: @218193
     /* 218193 */ GIM_Try, /*On fail goto*//*Label 5066*/ GIMT_Encode4(218651),
     /* 218198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 218201 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 218204 */   GIM_Try, /*On fail goto*//*Label 5067*/ GIMT_Encode4(218269), // Rule ID 1019 //
     /* 218209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 218212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 218216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 218220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 218224 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 218227 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 218231 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 218235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 218239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 218241 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 218248 */     // (strict_fdiv:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, RFP32:{ *:[f32] }:$src1)  =>  (DIVR_Fp32m:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 218248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIVR_Fp32m),
     /* 218251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218253 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 218255 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 218259 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 218262 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 218267 */     GIR_RootConstrainSelectedInstOperands,
     /* 218268 */     // GIR_Coverage, 1019,
     /* 218268 */     GIR_EraseRootFromParent_Done,
     /* 218269 */   // Label 5067: @218269
     /* 218269 */   GIM_Try, /*On fail goto*//*Label 5068*/ GIMT_Encode4(218334), // Rule ID 997 //
     /* 218274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 218277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 218281 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 218285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 218289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 218293 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 218296 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 218300 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 218304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 218306 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 218313 */     // (strict_fdiv:{ *:[f32] } RFP32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (DIV_Fp32m:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 218313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIV_Fp32m),
     /* 218316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218318 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 218320 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 218324 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 218327 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 218332 */     GIR_RootConstrainSelectedInstOperands,
     /* 218333 */     // GIR_Coverage, 997,
     /* 218333 */     GIR_EraseRootFromParent_Done,
     /* 218334 */   // Label 5068: @218334
     /* 218334 */   GIM_Try, /*On fail goto*//*Label 5069*/ GIMT_Encode4(218396), // Rule ID 2279 //
     /* 218339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 218342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 218346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 218350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 218354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 218358 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 218361 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 218365 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 218369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 218371 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 218378 */     // (strict_fdiv:{ *:[f32] } FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 218378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVSSrm),
     /* 218381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218383 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 218385 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 218389 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 218394 */     GIR_RootConstrainSelectedInstOperands,
     /* 218395 */     // GIR_Coverage, 2279,
     /* 218395 */     GIR_EraseRootFromParent_Done,
     /* 218396 */   // Label 5069: @218396
     /* 218396 */   GIM_Try, /*On fail goto*//*Label 5070*/ GIMT_Encode4(218458), // Rule ID 2287 //
     /* 218401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 218404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 218408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 218412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 218416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 218420 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 218423 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 218427 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 218431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 218433 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 218440 */     // (strict_fdiv:{ *:[f32] } FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (DIVSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 218440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIVSSrm),
     /* 218443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218445 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 218447 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 218451 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 218456 */     GIR_RootConstrainSelectedInstOperands,
     /* 218457 */     // GIR_Coverage, 2287,
     /* 218457 */     GIR_EraseRootFromParent_Done,
     /* 218458 */   // Label 5070: @218458
     /* 218458 */   GIM_Try, /*On fail goto*//*Label 5071*/ GIMT_Encode4(218520), // Rule ID 6086 //
     /* 218463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 218466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 218470 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 218474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 218478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 218482 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 218485 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 218489 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 218493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 218495 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 218502 */     // (strict_fdiv:{ *:[f32] } FR32X:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVSSZrm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 218502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVSSZrm),
     /* 218505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218507 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 218509 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 218513 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 218518 */     GIR_RootConstrainSelectedInstOperands,
     /* 218519 */     // GIR_Coverage, 6086,
     /* 218519 */     GIR_EraseRootFromParent_Done,
     /* 218520 */   // Label 5071: @218520
     /* 218520 */   GIM_Try, /*On fail goto*//*Label 5072*/ GIMT_Encode4(218557), // Rule ID 903 //
     /* 218525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 218528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 218532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 218536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 218540 */     // (strict_fdiv:{ *:[f32] } RFP32:{ *:[f32] }:$src1, RFP32:{ *:[f32] }:$src2)  =>  (DIV_Fp32:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, RFP32:{ *:[f32] }:$src2)
     /* 218540 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::DIV_Fp32),
     /* 218545 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 218551 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 218555 */     GIR_RootConstrainSelectedInstOperands,
     /* 218556 */     // GIR_Coverage, 903,
     /* 218556 */     GIR_Done,
     /* 218557 */   // Label 5072: @218557
     /* 218557 */   GIM_Try, /*On fail goto*//*Label 5073*/ GIMT_Encode4(218588), // Rule ID 2277 //
     /* 218562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 218565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 218569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 218573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 218577 */     // (strict_fdiv:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)  =>  (VDIVSSrr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)
     /* 218577 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVSSrr),
     /* 218582 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 218586 */     GIR_RootConstrainSelectedInstOperands,
     /* 218587 */     // GIR_Coverage, 2277,
     /* 218587 */     GIR_Done,
     /* 218588 */   // Label 5073: @218588
     /* 218588 */   GIM_Try, /*On fail goto*//*Label 5074*/ GIMT_Encode4(218619), // Rule ID 2285 //
     /* 218593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 218596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 218600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 218604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 218608 */     // (strict_fdiv:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)  =>  (DIVSSrr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)
     /* 218608 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::DIVSSrr),
     /* 218613 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 218617 */     GIR_RootConstrainSelectedInstOperands,
     /* 218618 */     // GIR_Coverage, 2285,
     /* 218618 */     GIR_Done,
     /* 218619 */   // Label 5074: @218619
     /* 218619 */   GIM_Try, /*On fail goto*//*Label 5075*/ GIMT_Encode4(218650), // Rule ID 6084 //
     /* 218624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 218627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 218631 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 218635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 218639 */     // (strict_fdiv:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2)  =>  (VDIVSSZrr:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2)
     /* 218639 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVSSZrr),
     /* 218644 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 218648 */     GIR_RootConstrainSelectedInstOperands,
     /* 218649 */     // GIR_Coverage, 6084,
     /* 218649 */     GIR_Done,
     /* 218650 */   // Label 5075: @218650
     /* 218650 */   GIM_Reject,
     /* 218651 */ // Label 5066: @218651
     /* 218651 */ GIM_Reject,
     /* 218652 */ // Label 5051: @218652
     /* 218652 */ GIM_Try, /*On fail goto*//*Label 5076*/ GIMT_Encode4(219254),
     /* 218657 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 218660 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 218663 */   GIM_Try, /*On fail goto*//*Label 5077*/ GIMT_Encode4(218728), // Rule ID 1021 //
     /* 218668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 218671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 218675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 218679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 218683 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 218686 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 218690 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 218694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 218698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 218700 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 218707 */     // (strict_fdiv:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, RFP64:{ *:[f64] }:$src1)  =>  (DIVR_Fp64m:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 218707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIVR_Fp64m),
     /* 218710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218712 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 218714 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 218718 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 218721 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 218726 */     GIR_RootConstrainSelectedInstOperands,
     /* 218727 */     // GIR_Coverage, 1021,
     /* 218727 */     GIR_EraseRootFromParent_Done,
     /* 218728 */   // Label 5077: @218728
     /* 218728 */   GIM_Try, /*On fail goto*//*Label 5078*/ GIMT_Encode4(218800), // Rule ID 1023 //
     /* 218733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 218736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 218740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 218744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 218748 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 218751 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 218755 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 218762 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 218766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 218770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 218772 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 218779 */     // (strict_fdiv:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>, RFP64:{ *:[f64] }:$src1)  =>  (DIVR_Fp64m32:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 218779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIVR_Fp64m32),
     /* 218782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218784 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 218786 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 218790 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 218793 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 218798 */     GIR_RootConstrainSelectedInstOperands,
     /* 218799 */     // GIR_Coverage, 1023,
     /* 218799 */     GIR_EraseRootFromParent_Done,
     /* 218800 */   // Label 5078: @218800
     /* 218800 */   GIM_Try, /*On fail goto*//*Label 5079*/ GIMT_Encode4(218865), // Rule ID 999 //
     /* 218805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 218808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 218812 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 218816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 218820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 218824 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 218827 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 218831 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 218835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 218837 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 218844 */     // (strict_fdiv:{ *:[f64] } RFP64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (DIV_Fp64m:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 218844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIV_Fp64m),
     /* 218847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218849 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 218851 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 218855 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 218858 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 218863 */     GIR_RootConstrainSelectedInstOperands,
     /* 218864 */     // GIR_Coverage, 999,
     /* 218864 */     GIR_EraseRootFromParent_Done,
     /* 218865 */   // Label 5079: @218865
     /* 218865 */   GIM_Try, /*On fail goto*//*Label 5080*/ GIMT_Encode4(218937), // Rule ID 1001 //
     /* 218870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 218873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 218877 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 218881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 218885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 218889 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 218892 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 218896 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 218903 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 218907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 218909 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 218916 */     // (strict_fdiv:{ *:[f64] } RFP64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>)  =>  (DIV_Fp64m32:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 218916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIV_Fp64m32),
     /* 218919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218921 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 218923 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 218927 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 218930 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 218935 */     GIR_RootConstrainSelectedInstOperands,
     /* 218936 */     // GIR_Coverage, 1001,
     /* 218936 */     GIR_EraseRootFromParent_Done,
     /* 218937 */   // Label 5080: @218937
     /* 218937 */   GIM_Try, /*On fail goto*//*Label 5081*/ GIMT_Encode4(218999), // Rule ID 2283 //
     /* 218942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 218945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 218949 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 218953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 218957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 218961 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 218964 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 218968 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 218972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 218974 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 218981 */     // (strict_fdiv:{ *:[f64] } FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 218981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVSDrm),
     /* 218984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218986 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 218988 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 218992 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 218997 */     GIR_RootConstrainSelectedInstOperands,
     /* 218998 */     // GIR_Coverage, 2283,
     /* 218998 */     GIR_EraseRootFromParent_Done,
     /* 218999 */   // Label 5081: @218999
     /* 218999 */   GIM_Try, /*On fail goto*//*Label 5082*/ GIMT_Encode4(219061), // Rule ID 2291 //
     /* 219004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 219007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 219011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 219015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 219019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 219023 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 219026 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 219030 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 219034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 219036 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 219043 */     // (strict_fdiv:{ *:[f64] } FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (DIVSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 219043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIVSDrm),
     /* 219046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 219048 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 219050 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 219054 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 219059 */     GIR_RootConstrainSelectedInstOperands,
     /* 219060 */     // GIR_Coverage, 2291,
     /* 219060 */     GIR_EraseRootFromParent_Done,
     /* 219061 */   // Label 5082: @219061
     /* 219061 */   GIM_Try, /*On fail goto*//*Label 5083*/ GIMT_Encode4(219123), // Rule ID 6105 //
     /* 219066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 219069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 219073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 219077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 219081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 219085 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 219088 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 219092 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 219096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 219098 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 219105 */     // (strict_fdiv:{ *:[f64] } FR64X:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVSDZrm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 219105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVSDZrm),
     /* 219108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 219110 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 219112 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 219116 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 219121 */     GIR_RootConstrainSelectedInstOperands,
     /* 219122 */     // GIR_Coverage, 6105,
     /* 219122 */     GIR_EraseRootFromParent_Done,
     /* 219123 */   // Label 5083: @219123
     /* 219123 */   GIM_Try, /*On fail goto*//*Label 5084*/ GIMT_Encode4(219160), // Rule ID 905 //
     /* 219128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 219131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 219135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 219139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 219143 */     // (strict_fdiv:{ *:[f64] } RFP64:{ *:[f64] }:$src1, RFP64:{ *:[f64] }:$src2)  =>  (DIV_Fp64:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, RFP64:{ *:[f64] }:$src2)
     /* 219143 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::DIV_Fp64),
     /* 219148 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 219154 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 219158 */     GIR_RootConstrainSelectedInstOperands,
     /* 219159 */     // GIR_Coverage, 905,
     /* 219159 */     GIR_Done,
     /* 219160 */   // Label 5084: @219160
     /* 219160 */   GIM_Try, /*On fail goto*//*Label 5085*/ GIMT_Encode4(219191), // Rule ID 2281 //
     /* 219165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 219168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 219172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 219176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 219180 */     // (strict_fdiv:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)  =>  (VDIVSDrr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)
     /* 219180 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVSDrr),
     /* 219185 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 219189 */     GIR_RootConstrainSelectedInstOperands,
     /* 219190 */     // GIR_Coverage, 2281,
     /* 219190 */     GIR_Done,
     /* 219191 */   // Label 5085: @219191
     /* 219191 */   GIM_Try, /*On fail goto*//*Label 5086*/ GIMT_Encode4(219222), // Rule ID 2289 //
     /* 219196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 219199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 219203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 219207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 219211 */     // (strict_fdiv:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)  =>  (DIVSDrr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)
     /* 219211 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::DIVSDrr),
     /* 219216 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 219220 */     GIR_RootConstrainSelectedInstOperands,
     /* 219221 */     // GIR_Coverage, 2289,
     /* 219221 */     GIR_Done,
     /* 219222 */   // Label 5086: @219222
     /* 219222 */   GIM_Try, /*On fail goto*//*Label 5087*/ GIMT_Encode4(219253), // Rule ID 6103 //
     /* 219227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 219230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 219234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 219238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 219242 */     // (strict_fdiv:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2)  =>  (VDIVSDZrr:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2)
     /* 219242 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVSDZrr),
     /* 219247 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 219251 */     GIR_RootConstrainSelectedInstOperands,
     /* 219252 */     // GIR_Coverage, 6103,
     /* 219252 */     GIR_Done,
     /* 219253 */   // Label 5087: @219253
     /* 219253 */   GIM_Reject,
     /* 219254 */ // Label 5076: @219254
     /* 219254 */ GIM_Reject,
     /* 219255 */ // Label 5052: @219255
     /* 219255 */ GIM_Try, /*On fail goto*//*Label 5088*/ GIMT_Encode4(219576),
     /* 219260 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s80,
     /* 219263 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s80,
     /* 219266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 219270 */   GIM_Try, /*On fail goto*//*Label 5089*/ GIMT_Encode4(219338), // Rule ID 1025 //
     /* 219275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 219278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 219282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 219286 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 219289 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 219293 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 219300 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 219304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 219308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 219310 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 219317 */     // (strict_fdiv:{ *:[f80] } (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>, RFP80:{ *:[f80] }:$src1)  =>  (DIVR_Fp80m32:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 219317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIVR_Fp80m32),
     /* 219320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 219322 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 219324 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 219328 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 219331 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 219336 */     GIR_RootConstrainSelectedInstOperands,
     /* 219337 */     // GIR_Coverage, 1025,
     /* 219337 */     GIR_EraseRootFromParent_Done,
     /* 219338 */   // Label 5089: @219338
     /* 219338 */   GIM_Try, /*On fail goto*//*Label 5090*/ GIMT_Encode4(219406), // Rule ID 1027 //
     /* 219343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 219346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 219350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 219354 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 219357 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 219361 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 219368 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 219372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 219376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 219378 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 219385 */     // (strict_fdiv:{ *:[f80] } (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf64>>, RFP80:{ *:[f80] }:$src1)  =>  (DIVR_Fp80m64:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 219385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIVR_Fp80m64),
     /* 219388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 219390 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 219392 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 219396 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 219399 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 219404 */     GIR_RootConstrainSelectedInstOperands,
     /* 219405 */     // GIR_Coverage, 1027,
     /* 219405 */     GIR_EraseRootFromParent_Done,
     /* 219406 */   // Label 5090: @219406
     /* 219406 */   GIM_Try, /*On fail goto*//*Label 5091*/ GIMT_Encode4(219474), // Rule ID 1003 //
     /* 219411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 219414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 219418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 219422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 219426 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 219429 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 219433 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 219440 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 219444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 219446 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 219453 */     // (strict_fdiv:{ *:[f80] } RFP80:{ *:[f80] }:$src1, (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>)  =>  (DIV_Fp80m32:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 219453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIV_Fp80m32),
     /* 219456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 219458 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 219460 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 219464 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 219467 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 219472 */     GIR_RootConstrainSelectedInstOperands,
     /* 219473 */     // GIR_Coverage, 1003,
     /* 219473 */     GIR_EraseRootFromParent_Done,
     /* 219474 */   // Label 5091: @219474
     /* 219474 */   GIM_Try, /*On fail goto*//*Label 5092*/ GIMT_Encode4(219542), // Rule ID 1005 //
     /* 219479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 219482 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 219486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 219490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 219494 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 219497 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 219501 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 219508 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 219512 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 219514 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 219521 */     // (strict_fdiv:{ *:[f80] } RFP80:{ *:[f80] }:$src1, (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf64>>)  =>  (DIV_Fp80m64:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 219521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIV_Fp80m64),
     /* 219524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 219526 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 219528 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 219532 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 219535 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 219540 */     GIR_RootConstrainSelectedInstOperands,
     /* 219541 */     // GIR_Coverage, 1005,
     /* 219541 */     GIR_EraseRootFromParent_Done,
     /* 219542 */   // Label 5092: @219542
     /* 219542 */   GIM_Try, /*On fail goto*//*Label 5093*/ GIMT_Encode4(219575), // Rule ID 907 //
     /* 219547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 219550 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 219554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 219558 */     // (strict_fdiv:{ *:[f80] } RFP80:{ *:[f80] }:$src1, RFP80:{ *:[f80] }:$src2)  =>  (DIV_Fp80:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, RFP80:{ *:[f80] }:$src2)
     /* 219558 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::DIV_Fp80),
     /* 219563 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 219569 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 219573 */     GIR_RootConstrainSelectedInstOperands,
     /* 219574 */     // GIR_Coverage, 907,
     /* 219574 */     GIR_Done,
     /* 219575 */   // Label 5093: @219575
     /* 219575 */   GIM_Reject,
     /* 219576 */ // Label 5088: @219576
     /* 219576 */ GIM_Reject,
     /* 219577 */ // Label 5053: @219577
     /* 219577 */ GIM_Try, /*On fail goto*//*Label 5094*/ GIMT_Encode4(219806),
     /* 219582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 219585 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 219588 */   GIM_Try, /*On fail goto*//*Label 5095*/ GIMT_Encode4(219650), // Rule ID 2259 //
     /* 219593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 219596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 219600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 219604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 219608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 219612 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 219615 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 219619 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 219623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 219625 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 219632 */     // (strict_fdiv:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPDrm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 219632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPDrm),
     /* 219635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 219637 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 219639 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 219643 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 219648 */     GIR_RootConstrainSelectedInstOperands,
     /* 219649 */     // GIR_Coverage, 2259,
     /* 219649 */     GIR_EraseRootFromParent_Done,
     /* 219650 */   // Label 5095: @219650
     /* 219650 */   GIM_Try, /*On fail goto*//*Label 5096*/ GIMT_Encode4(219712), // Rule ID 6658 //
     /* 219655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 219658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 219662 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 219666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 219670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 219674 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 219677 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 219681 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 219685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 219687 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 219694 */     // (strict_fdiv:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPDZ128rm:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 219694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPDZ128rm),
     /* 219697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 219699 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 219701 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 219705 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 219710 */     GIR_RootConstrainSelectedInstOperands,
     /* 219711 */     // GIR_Coverage, 6658,
     /* 219711 */     GIR_EraseRootFromParent_Done,
     /* 219712 */   // Label 5096: @219712
     /* 219712 */   GIM_Try, /*On fail goto*//*Label 5097*/ GIMT_Encode4(219743), // Rule ID 2257 //
     /* 219717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 219720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 219724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 219728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 219732 */     // (strict_fdiv:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (VDIVPDrr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)
     /* 219732 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPDrr),
     /* 219737 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 219741 */     GIR_RootConstrainSelectedInstOperands,
     /* 219742 */     // GIR_Coverage, 2257,
     /* 219742 */     GIR_Done,
     /* 219743 */   // Label 5097: @219743
     /* 219743 */   GIM_Try, /*On fail goto*//*Label 5098*/ GIMT_Encode4(219774), // Rule ID 2273 //
     /* 219748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 219751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 219755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 219759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 219763 */     // (strict_fdiv:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (DIVPDrr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)
     /* 219763 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::DIVPDrr),
     /* 219768 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 219772 */     GIR_RootConstrainSelectedInstOperands,
     /* 219773 */     // GIR_Coverage, 2273,
     /* 219773 */     GIR_Done,
     /* 219774 */   // Label 5098: @219774
     /* 219774 */   GIM_Try, /*On fail goto*//*Label 5099*/ GIMT_Encode4(219805), // Rule ID 6654 //
     /* 219779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 219782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 219786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 219790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 219794 */     // (strict_fdiv:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2)  =>  (VDIVPDZ128rr:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2)
     /* 219794 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPDZ128rr),
     /* 219799 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 219803 */     GIR_RootConstrainSelectedInstOperands,
     /* 219804 */     // GIR_Coverage, 6654,
     /* 219804 */     GIR_Done,
     /* 219805 */   // Label 5099: @219805
     /* 219805 */   GIM_Reject,
     /* 219806 */ // Label 5094: @219806
     /* 219806 */ GIM_Reject,
     /* 219807 */ // Label 5054: @219807
     /* 219807 */ GIM_Try, /*On fail goto*//*Label 5100*/ GIMT_Encode4(220036),
     /* 219812 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 219815 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 219818 */   GIM_Try, /*On fail goto*//*Label 5101*/ GIMT_Encode4(219880), // Rule ID 2255 //
     /* 219823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 219826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 219830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 219834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 219838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 219842 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 219845 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 219849 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 219853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 219855 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 219862 */     // (strict_fdiv:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPSrm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 219862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPSrm),
     /* 219865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 219867 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 219869 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 219873 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 219878 */     GIR_RootConstrainSelectedInstOperands,
     /* 219879 */     // GIR_Coverage, 2255,
     /* 219879 */     GIR_EraseRootFromParent_Done,
     /* 219880 */   // Label 5101: @219880
     /* 219880 */   GIM_Try, /*On fail goto*//*Label 5102*/ GIMT_Encode4(219942), // Rule ID 6634 //
     /* 219885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 219888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 219892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 219896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 219900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 219904 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 219907 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 219911 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 219915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 219917 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 219924 */     // (strict_fdiv:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPSZ128rm:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 219924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPSZ128rm),
     /* 219927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 219929 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 219931 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 219935 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 219940 */     GIR_RootConstrainSelectedInstOperands,
     /* 219941 */     // GIR_Coverage, 6634,
     /* 219941 */     GIR_EraseRootFromParent_Done,
     /* 219942 */   // Label 5102: @219942
     /* 219942 */   GIM_Try, /*On fail goto*//*Label 5103*/ GIMT_Encode4(219973), // Rule ID 2253 //
     /* 219947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 219950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 219954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 219958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 219962 */     // (strict_fdiv:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (VDIVPSrr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)
     /* 219962 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPSrr),
     /* 219967 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 219971 */     GIR_RootConstrainSelectedInstOperands,
     /* 219972 */     // GIR_Coverage, 2253,
     /* 219972 */     GIR_Done,
     /* 219973 */   // Label 5103: @219973
     /* 219973 */   GIM_Try, /*On fail goto*//*Label 5104*/ GIMT_Encode4(220004), // Rule ID 2269 //
     /* 219978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 219981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 219985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 219989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 219993 */     // (strict_fdiv:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (DIVPSrr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)
     /* 219993 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::DIVPSrr),
     /* 219998 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 220002 */     GIR_RootConstrainSelectedInstOperands,
     /* 220003 */     // GIR_Coverage, 2269,
     /* 220003 */     GIR_Done,
     /* 220004 */   // Label 5104: @220004
     /* 220004 */   GIM_Try, /*On fail goto*//*Label 5105*/ GIMT_Encode4(220035), // Rule ID 6630 //
     /* 220009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 220012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 220016 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 220020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 220024 */     // (strict_fdiv:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2)  =>  (VDIVPSZ128rr:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2)
     /* 220024 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPSZ128rr),
     /* 220029 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 220033 */     GIR_RootConstrainSelectedInstOperands,
     /* 220034 */     // GIR_Coverage, 6630,
     /* 220034 */     GIR_Done,
     /* 220035 */   // Label 5105: @220035
     /* 220035 */   GIM_Reject,
     /* 220036 */ // Label 5100: @220036
     /* 220036 */ GIM_Reject,
     /* 220037 */ // Label 5055: @220037
     /* 220037 */ GIM_Try, /*On fail goto*//*Label 5106*/ GIMT_Encode4(220235),
     /* 220042 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 220045 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 220048 */   GIM_Try, /*On fail goto*//*Label 5107*/ GIMT_Encode4(220110), // Rule ID 2267 //
     /* 220053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 220056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 220060 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 220064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 220068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 220072 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 220075 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 220079 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 220083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 220085 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 220092 */     // (strict_fdiv:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPDYrm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 220092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPDYrm),
     /* 220095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 220097 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 220099 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 220103 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 220108 */     GIR_RootConstrainSelectedInstOperands,
     /* 220109 */     // GIR_Coverage, 2267,
     /* 220109 */     GIR_EraseRootFromParent_Done,
     /* 220110 */   // Label 5107: @220110
     /* 220110 */   GIM_Try, /*On fail goto*//*Label 5108*/ GIMT_Encode4(220172), // Rule ID 6670 //
     /* 220115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 220118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 220122 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 220126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 220130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 220134 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 220137 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 220141 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 220145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 220147 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 220154 */     // (strict_fdiv:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPDZ256rm:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 220154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPDZ256rm),
     /* 220157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 220159 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 220161 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 220165 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 220170 */     GIR_RootConstrainSelectedInstOperands,
     /* 220171 */     // GIR_Coverage, 6670,
     /* 220171 */     GIR_EraseRootFromParent_Done,
     /* 220172 */   // Label 5108: @220172
     /* 220172 */   GIM_Try, /*On fail goto*//*Label 5109*/ GIMT_Encode4(220203), // Rule ID 2265 //
     /* 220177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 220180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 220184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 220188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 220192 */     // (strict_fdiv:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2)  =>  (VDIVPDYrr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2)
     /* 220192 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPDYrr),
     /* 220197 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 220201 */     GIR_RootConstrainSelectedInstOperands,
     /* 220202 */     // GIR_Coverage, 2265,
     /* 220202 */     GIR_Done,
     /* 220203 */   // Label 5109: @220203
     /* 220203 */   GIM_Try, /*On fail goto*//*Label 5110*/ GIMT_Encode4(220234), // Rule ID 6666 //
     /* 220208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 220211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 220215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 220219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 220223 */     // (strict_fdiv:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2)  =>  (VDIVPDZ256rr:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2)
     /* 220223 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPDZ256rr),
     /* 220228 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 220232 */     GIR_RootConstrainSelectedInstOperands,
     /* 220233 */     // GIR_Coverage, 6666,
     /* 220233 */     GIR_Done,
     /* 220234 */   // Label 5110: @220234
     /* 220234 */   GIM_Reject,
     /* 220235 */ // Label 5106: @220235
     /* 220235 */ GIM_Reject,
     /* 220236 */ // Label 5056: @220236
     /* 220236 */ GIM_Try, /*On fail goto*//*Label 5111*/ GIMT_Encode4(220333),
     /* 220241 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 220244 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 220247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 220251 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 220255 */   GIM_Try, /*On fail goto*//*Label 5112*/ GIMT_Encode4(220309), // Rule ID 6694 //
     /* 220260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 220263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 220267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 220271 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 220274 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 220278 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 220282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 220284 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 220291 */     // (strict_fdiv:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPHZ128rm:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 220291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPHZ128rm),
     /* 220294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 220296 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 220298 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 220302 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 220307 */     GIR_RootConstrainSelectedInstOperands,
     /* 220308 */     // GIR_Coverage, 6694,
     /* 220308 */     GIR_EraseRootFromParent_Done,
     /* 220309 */   // Label 5112: @220309
     /* 220309 */   GIM_Try, /*On fail goto*//*Label 5113*/ GIMT_Encode4(220332), // Rule ID 6690 //
     /* 220314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 220317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 220321 */     // (strict_fdiv:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2)  =>  (VDIVPHZ128rr:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2)
     /* 220321 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPHZ128rr),
     /* 220326 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 220330 */     GIR_RootConstrainSelectedInstOperands,
     /* 220331 */     // GIR_Coverage, 6690,
     /* 220331 */     GIR_Done,
     /* 220332 */   // Label 5113: @220332
     /* 220332 */   GIM_Reject,
     /* 220333 */ // Label 5111: @220333
     /* 220333 */ GIM_Reject,
     /* 220334 */ // Label 5057: @220334
     /* 220334 */ GIM_Try, /*On fail goto*//*Label 5114*/ GIMT_Encode4(220532),
     /* 220339 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 220342 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 220345 */   GIM_Try, /*On fail goto*//*Label 5115*/ GIMT_Encode4(220407), // Rule ID 2263 //
     /* 220350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 220353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 220357 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 220361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 220365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 220369 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 220372 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 220376 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 220380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 220382 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 220389 */     // (strict_fdiv:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPSYrm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 220389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPSYrm),
     /* 220392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 220394 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 220396 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 220400 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 220405 */     GIR_RootConstrainSelectedInstOperands,
     /* 220406 */     // GIR_Coverage, 2263,
     /* 220406 */     GIR_EraseRootFromParent_Done,
     /* 220407 */   // Label 5115: @220407
     /* 220407 */   GIM_Try, /*On fail goto*//*Label 5116*/ GIMT_Encode4(220469), // Rule ID 6646 //
     /* 220412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 220415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 220419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 220423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 220427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 220431 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 220434 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 220438 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 220442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 220444 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 220451 */     // (strict_fdiv:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPSZ256rm:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 220451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPSZ256rm),
     /* 220454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 220456 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 220458 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 220462 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 220467 */     GIR_RootConstrainSelectedInstOperands,
     /* 220468 */     // GIR_Coverage, 6646,
     /* 220468 */     GIR_EraseRootFromParent_Done,
     /* 220469 */   // Label 5116: @220469
     /* 220469 */   GIM_Try, /*On fail goto*//*Label 5117*/ GIMT_Encode4(220500), // Rule ID 2261 //
     /* 220474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 220477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 220481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 220485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 220489 */     // (strict_fdiv:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2)  =>  (VDIVPSYrr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2)
     /* 220489 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPSYrr),
     /* 220494 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 220498 */     GIR_RootConstrainSelectedInstOperands,
     /* 220499 */     // GIR_Coverage, 2261,
     /* 220499 */     GIR_Done,
     /* 220500 */   // Label 5117: @220500
     /* 220500 */   GIM_Try, /*On fail goto*//*Label 5118*/ GIMT_Encode4(220531), // Rule ID 6642 //
     /* 220505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 220508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 220512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 220516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 220520 */     // (strict_fdiv:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2)  =>  (VDIVPSZ256rr:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2)
     /* 220520 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPSZ256rr),
     /* 220525 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 220529 */     GIR_RootConstrainSelectedInstOperands,
     /* 220530 */     // GIR_Coverage, 6642,
     /* 220530 */     GIR_Done,
     /* 220531 */   // Label 5118: @220531
     /* 220531 */   GIM_Reject,
     /* 220532 */ // Label 5114: @220532
     /* 220532 */ GIM_Reject,
     /* 220533 */ // Label 5058: @220533
     /* 220533 */ GIM_Try, /*On fail goto*//*Label 5119*/ GIMT_Encode4(220630),
     /* 220538 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 220541 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /* 220544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 220548 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 220552 */   GIM_Try, /*On fail goto*//*Label 5120*/ GIMT_Encode4(220606), // Rule ID 6622 //
     /* 220557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 220560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 220564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 220568 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 220571 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 220575 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 220579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 220581 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 220588 */     // (strict_fdiv:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPDZrm:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 220588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPDZrm),
     /* 220591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 220593 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 220595 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 220599 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 220604 */     GIR_RootConstrainSelectedInstOperands,
     /* 220605 */     // GIR_Coverage, 6622,
     /* 220605 */     GIR_EraseRootFromParent_Done,
     /* 220606 */   // Label 5120: @220606
     /* 220606 */   GIM_Try, /*On fail goto*//*Label 5121*/ GIMT_Encode4(220629), // Rule ID 6618 //
     /* 220611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 220614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 220618 */     // (strict_fdiv:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2)  =>  (VDIVPDZrr:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2)
     /* 220618 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPDZrr),
     /* 220623 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 220627 */     GIR_RootConstrainSelectedInstOperands,
     /* 220628 */     // GIR_Coverage, 6618,
     /* 220628 */     GIR_Done,
     /* 220629 */   // Label 5121: @220629
     /* 220629 */   GIM_Reject,
     /* 220630 */ // Label 5119: @220630
     /* 220630 */ GIM_Reject,
     /* 220631 */ // Label 5059: @220631
     /* 220631 */ GIM_Try, /*On fail goto*//*Label 5122*/ GIMT_Encode4(220728),
     /* 220636 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 220639 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 220642 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 220646 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 220650 */   GIM_Try, /*On fail goto*//*Label 5123*/ GIMT_Encode4(220704), // Rule ID 6706 //
     /* 220655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 220658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 220662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 220666 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 220669 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 220673 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 220677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 220679 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 220686 */     // (strict_fdiv:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPHZ256rm:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 220686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPHZ256rm),
     /* 220689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 220691 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 220693 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 220697 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 220702 */     GIR_RootConstrainSelectedInstOperands,
     /* 220703 */     // GIR_Coverage, 6706,
     /* 220703 */     GIR_EraseRootFromParent_Done,
     /* 220704 */   // Label 5123: @220704
     /* 220704 */   GIM_Try, /*On fail goto*//*Label 5124*/ GIMT_Encode4(220727), // Rule ID 6702 //
     /* 220709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 220712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 220716 */     // (strict_fdiv:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2)  =>  (VDIVPHZ256rr:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2)
     /* 220716 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPHZ256rr),
     /* 220721 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 220725 */     GIR_RootConstrainSelectedInstOperands,
     /* 220726 */     // GIR_Coverage, 6702,
     /* 220726 */     GIR_Done,
     /* 220727 */   // Label 5124: @220727
     /* 220727 */   GIM_Reject,
     /* 220728 */ // Label 5122: @220728
     /* 220728 */ GIM_Reject,
     /* 220729 */ // Label 5060: @220729
     /* 220729 */ GIM_Try, /*On fail goto*//*Label 5125*/ GIMT_Encode4(220826),
     /* 220734 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 220737 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 220740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 220744 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 220748 */   GIM_Try, /*On fail goto*//*Label 5126*/ GIMT_Encode4(220802), // Rule ID 6610 //
     /* 220753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 220756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 220760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 220764 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 220767 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 220771 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 220775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 220777 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 220784 */     // (strict_fdiv:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPSZrm:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 220784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPSZrm),
     /* 220787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 220789 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 220791 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 220795 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 220800 */     GIR_RootConstrainSelectedInstOperands,
     /* 220801 */     // GIR_Coverage, 6610,
     /* 220801 */     GIR_EraseRootFromParent_Done,
     /* 220802 */   // Label 5126: @220802
     /* 220802 */   GIM_Try, /*On fail goto*//*Label 5127*/ GIMT_Encode4(220825), // Rule ID 6606 //
     /* 220807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 220810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 220814 */     // (strict_fdiv:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2)  =>  (VDIVPSZrr:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2)
     /* 220814 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPSZrr),
     /* 220819 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 220823 */     GIR_RootConstrainSelectedInstOperands,
     /* 220824 */     // GIR_Coverage, 6606,
     /* 220824 */     GIR_Done,
     /* 220825 */   // Label 5127: @220825
     /* 220825 */   GIM_Reject,
     /* 220826 */ // Label 5125: @220826
     /* 220826 */ GIM_Reject,
     /* 220827 */ // Label 5061: @220827
     /* 220827 */ GIM_Try, /*On fail goto*//*Label 5128*/ GIMT_Encode4(220924),
     /* 220832 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 220835 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 220838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 220842 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 220846 */   GIM_Try, /*On fail goto*//*Label 5129*/ GIMT_Encode4(220900), // Rule ID 6682 //
     /* 220851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 220854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 220858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 220862 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 220865 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 220869 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 220873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 220875 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 220882 */     // (strict_fdiv:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPHZrm:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 220882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPHZrm),
     /* 220885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 220887 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 220889 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 220893 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 220898 */     GIR_RootConstrainSelectedInstOperands,
     /* 220899 */     // GIR_Coverage, 6682,
     /* 220899 */     GIR_EraseRootFromParent_Done,
     /* 220900 */   // Label 5129: @220900
     /* 220900 */   GIM_Try, /*On fail goto*//*Label 5130*/ GIMT_Encode4(220923), // Rule ID 6678 //
     /* 220905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 220908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 220912 */     // (strict_fdiv:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2)  =>  (VDIVPHZrr:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2)
     /* 220912 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPHZrr),
     /* 220917 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 220921 */     GIR_RootConstrainSelectedInstOperands,
     /* 220922 */     // GIR_Coverage, 6678,
     /* 220922 */     GIR_Done,
     /* 220923 */   // Label 5130: @220923
     /* 220923 */   GIM_Reject,
     /* 220924 */ // Label 5128: @220924
     /* 220924 */ GIM_Reject,
     /* 220925 */ // Label 5062: @220925
     /* 220925 */ GIM_Reject,
     /* 220926 */ // Label 72: @220926
     /* 220926 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(23), /*)*//*default:*//*Label 5143*/ GIMT_Encode4(226913),
     /* 220937 */ /*GILLT_s16*//*Label 5131*/ GIMT_Encode4(221021),
     /* 220941 */ /*GILLT_s32*//*Label 5132*/ GIMT_Encode4(221266),
     /* 220945 */ /*GILLT_s64*//*Label 5133*/ GIMT_Encode4(222003), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 220961 */ /*GILLT_v2s64*//*Label 5134*/ GIMT_Encode4(222740), GIMT_Encode4(0),
     /* 220969 */ /*GILLT_v4s32*//*Label 5135*/ GIMT_Encode4(223477),
     /* 220973 */ /*GILLT_v4s64*//*Label 5136*/ GIMT_Encode4(224214), GIMT_Encode4(0),
     /* 220981 */ /*GILLT_v8s16*//*Label 5137*/ GIMT_Encode4(224951),
     /* 220985 */ /*GILLT_v8s32*//*Label 5138*/ GIMT_Encode4(225196),
     /* 220989 */ /*GILLT_v8s64*//*Label 5139*/ GIMT_Encode4(225933), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 221001 */ /*GILLT_v16s16*//*Label 5140*/ GIMT_Encode4(226178),
     /* 221005 */ /*GILLT_v16s32*//*Label 5141*/ GIMT_Encode4(226423), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 221017 */ /*GILLT_v32s16*//*Label 5142*/ GIMT_Encode4(226668),
     /* 221021 */ // Label 5131: @221021
     /* 221021 */ GIM_Try, /*On fail goto*//*Label 5144*/ GIMT_Encode4(221265),
     /* 221026 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 221029 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 221032 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 221035 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 221039 */   GIM_Try, /*On fail goto*//*Label 5145*/ GIMT_Encode4(221103), // Rule ID 10156 //
     /* 221044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 221047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 221051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 221055 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 221058 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 221062 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 221066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 221070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 221074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 221076 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 221083 */     // (strict_fma:{ *:[f16] } (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2)  =>  (VFMADD132SHZm:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 221083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132SHZm),
     /* 221086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 221088 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 221090 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 221092 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 221096 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 221101 */     GIR_RootConstrainSelectedInstOperands,
     /* 221102 */     // GIR_Coverage, 10156,
     /* 221102 */     GIR_EraseRootFromParent_Done,
     /* 221103 */   // Label 5145: @221103
     /* 221103 */   GIM_Try, /*On fail goto*//*Label 5146*/ GIMT_Encode4(221167), // Rule ID 10154 //
     /* 221108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 221111 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 221115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 221119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 221123 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 221126 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 221130 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 221134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 221138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 221140 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 221147 */     // (strict_fma:{ *:[f16] } FR16X:{ *:[f16] }:$src2, (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR16X:{ *:[f16] }:$src1)  =>  (VFMADD231SHZm:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 221147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231SHZm),
     /* 221150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 221152 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 221154 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 221156 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 221160 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 221165 */     GIR_RootConstrainSelectedInstOperands,
     /* 221166 */     // GIR_Coverage, 10154,
     /* 221166 */     GIR_EraseRootFromParent_Done,
     /* 221167 */   // Label 5146: @221167
     /* 221167 */   GIM_Try, /*On fail goto*//*Label 5147*/ GIMT_Encode4(221231), // Rule ID 10151 //
     /* 221172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 221175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 221179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 221183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 221187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 221191 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 221194 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 221198 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 221202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 221204 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 221211 */     // (strict_fma:{ *:[f16] } FR16X:{ *:[f16] }:$src2, FR16X:{ *:[f16] }:$src1, (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213SHZm:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 221211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SHZm),
     /* 221214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 221216 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 221218 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 221220 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 221224 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 221229 */     GIR_RootConstrainSelectedInstOperands,
     /* 221230 */     // GIR_Coverage, 10151,
     /* 221230 */     GIR_EraseRootFromParent_Done,
     /* 221231 */   // Label 5147: @221231
     /* 221231 */   GIM_Try, /*On fail goto*//*Label 5148*/ GIMT_Encode4(221264), // Rule ID 10149 //
     /* 221236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 221239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 221243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 221247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 221251 */     // (strict_fma:{ *:[f16] } FR16X:{ *:[f16] }:$src2, FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src3)  =>  (VFMADD213SHZr:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2, FR16X:{ *:[f16] }:$src3)
     /* 221251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SHZr),
     /* 221254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 221256 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 221258 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 221260 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 221262 */     GIR_RootConstrainSelectedInstOperands,
     /* 221263 */     // GIR_Coverage, 10149,
     /* 221263 */     GIR_EraseRootFromParent_Done,
     /* 221264 */   // Label 5148: @221264
     /* 221264 */   GIM_Reject,
     /* 221265 */ // Label 5144: @221265
     /* 221265 */ GIM_Reject,
     /* 221266 */ // Label 5132: @221266
     /* 221266 */ GIM_Try, /*On fail goto*//*Label 5149*/ GIMT_Encode4(222002),
     /* 221271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 221274 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 221277 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 221280 */   GIM_Try, /*On fail goto*//*Label 5150*/ GIMT_Encode4(221348), // Rule ID 1302 //
     /* 221285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoAVX512_NoFMA4),
     /* 221288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 221296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 221300 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 221303 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 221307 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 221311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 221321 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 221328 */     // (strict_fma:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)  =>  (VFMADD132SSm:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 221328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132SSm),
     /* 221331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 221333 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 221335 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 221337 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 221341 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 221346 */     GIR_RootConstrainSelectedInstOperands,
     /* 221347 */     // GIR_Coverage, 1302,
     /* 221347 */     GIR_EraseRootFromParent_Done,
     /* 221348 */   // Label 5150: @221348
     /* 221348 */   GIM_Try, /*On fail goto*//*Label 5151*/ GIMT_Encode4(221416), // Rule ID 10138 //
     /* 221353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 221356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 221360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 221364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 221368 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 221371 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 221375 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 221379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 221383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 221387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 221389 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 221396 */     // (strict_fma:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2)  =>  (VFMADD132SSZm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 221396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132SSZm),
     /* 221399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 221401 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 221403 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 221405 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 221409 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 221414 */     GIR_RootConstrainSelectedInstOperands,
     /* 221415 */     // GIR_Coverage, 10138,
     /* 221415 */     GIR_EraseRootFromParent_Done,
     /* 221416 */   // Label 5151: @221416
     /* 221416 */   GIM_Try, /*On fail goto*//*Label 5152*/ GIMT_Encode4(221484), // Rule ID 23277 //
     /* 221421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoAVX512),
     /* 221424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 221432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 221436 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 221439 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 221443 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 221447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 221457 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 221464 */     // (strict_fma:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src3)  =>  (VFMADDSS4mr:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2, FR32:{ *:[f32] }:$src3)
     /* 221464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDSS4mr),
     /* 221467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 221469 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 221471 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 221475 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 221477 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 221482 */     GIR_RootConstrainSelectedInstOperands,
     /* 221483 */     // GIR_Coverage, 23277,
     /* 221483 */     GIR_EraseRootFromParent_Done,
     /* 221484 */   // Label 5152: @221484
     /* 221484 */   GIM_Try, /*On fail goto*//*Label 5153*/ GIMT_Encode4(221552), // Rule ID 1300 //
     /* 221489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoAVX512_NoFMA4),
     /* 221492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 221504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 221508 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 221511 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 221515 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 221519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 221525 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 221532 */     // (strict_fma:{ *:[f32] } FR32:{ *:[f32] }:$src2, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32:{ *:[f32] }:$src1)  =>  (VFMADD231SSm:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 221532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231SSm),
     /* 221535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 221537 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 221539 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 221541 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 221545 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 221550 */     GIR_RootConstrainSelectedInstOperands,
     /* 221551 */     // GIR_Coverage, 1300,
     /* 221551 */     GIR_EraseRootFromParent_Done,
     /* 221552 */   // Label 5153: @221552
     /* 221552 */   GIM_Try, /*On fail goto*//*Label 5154*/ GIMT_Encode4(221620), // Rule ID 1364 //
     /* 221557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoAVX512),
     /* 221560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 221572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 221576 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 221579 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 221583 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 221587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 221593 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 221600 */     // (strict_fma:{ *:[f32] } FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32:{ *:[f32] }:$src3)  =>  (VFMADDSS4mr:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2, FR32:{ *:[f32] }:$src3)
     /* 221600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDSS4mr),
     /* 221603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 221605 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 221607 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 221611 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 221613 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 221618 */     GIR_RootConstrainSelectedInstOperands,
     /* 221619 */     // GIR_Coverage, 1364,
     /* 221619 */     GIR_EraseRootFromParent_Done,
     /* 221620 */   // Label 5154: @221620
     /* 221620 */   GIM_Try, /*On fail goto*//*Label 5155*/ GIMT_Encode4(221688), // Rule ID 10136 //
     /* 221625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 221628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 221632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 221636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 221640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 221644 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 221647 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 221651 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 221655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 221659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 221661 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 221668 */     // (strict_fma:{ *:[f32] } FR32X:{ *:[f32] }:$src2, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32X:{ *:[f32] }:$src1)  =>  (VFMADD231SSZm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 221668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231SSZm),
     /* 221671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 221673 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 221675 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 221677 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 221681 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 221686 */     GIR_RootConstrainSelectedInstOperands,
     /* 221687 */     // GIR_Coverage, 10136,
     /* 221687 */     GIR_EraseRootFromParent_Done,
     /* 221688 */   // Label 5155: @221688
     /* 221688 */   GIM_Try, /*On fail goto*//*Label 5156*/ GIMT_Encode4(221756), // Rule ID 1298 //
     /* 221693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoAVX512_NoFMA4),
     /* 221696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 221712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 221716 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 221719 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 221723 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 221727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 221729 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 221736 */     // (strict_fma:{ *:[f32] } FR32:{ *:[f32] }:$src2, FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213SSm:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 221736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SSm),
     /* 221739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 221741 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 221743 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 221745 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 221749 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 221754 */     GIR_RootConstrainSelectedInstOperands,
     /* 221755 */     // GIR_Coverage, 1298,
     /* 221755 */     GIR_EraseRootFromParent_Done,
     /* 221756 */   // Label 5156: @221756
     /* 221756 */   GIM_Try, /*On fail goto*//*Label 5157*/ GIMT_Encode4(221824), // Rule ID 1362 //
     /* 221761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoAVX512),
     /* 221764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 221780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 221784 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 221787 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 221791 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 221795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 221797 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 221804 */     // (strict_fma:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADDSS4rm:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 221804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDSS4rm),
     /* 221807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 221809 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 221811 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 221813 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 221817 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 221822 */     GIR_RootConstrainSelectedInstOperands,
     /* 221823 */     // GIR_Coverage, 1362,
     /* 221823 */     GIR_EraseRootFromParent_Done,
     /* 221824 */   // Label 5157: @221824
     /* 221824 */   GIM_Try, /*On fail goto*//*Label 5158*/ GIMT_Encode4(221892), // Rule ID 10133 //
     /* 221829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 221832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 221836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 221840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 221844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 221848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 221852 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 221855 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 221859 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 221863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 221865 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 221872 */     // (strict_fma:{ *:[f32] } FR32X:{ *:[f32] }:$src2, FR32X:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213SSZm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 221872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SSZm),
     /* 221875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 221877 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 221879 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 221881 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 221885 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 221890 */     GIR_RootConstrainSelectedInstOperands,
     /* 221891 */     // GIR_Coverage, 10133,
     /* 221891 */     GIR_EraseRootFromParent_Done,
     /* 221892 */   // Label 5158: @221892
     /* 221892 */   GIM_Try, /*On fail goto*//*Label 5159*/ GIMT_Encode4(221929), // Rule ID 1296 //
     /* 221897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoAVX512_NoFMA4),
     /* 221900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221916 */     // (strict_fma:{ *:[f32] } FR32:{ *:[f32] }:$src2, FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src3)  =>  (VFMADD213SSr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2, FR32:{ *:[f32] }:$src3)
     /* 221916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SSr),
     /* 221919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 221921 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 221923 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 221925 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 221927 */     GIR_RootConstrainSelectedInstOperands,
     /* 221928 */     // GIR_Coverage, 1296,
     /* 221928 */     GIR_EraseRootFromParent_Done,
     /* 221929 */   // Label 5159: @221929
     /* 221929 */   GIM_Try, /*On fail goto*//*Label 5160*/ GIMT_Encode4(221964), // Rule ID 1360 //
     /* 221934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoAVX512),
     /* 221937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221953 */     // (strict_fma:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2, FR32:{ *:[f32] }:$src3)  =>  (VFMADDSS4rr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2, FR32:{ *:[f32] }:$src3)
     /* 221953 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VFMADDSS4rr),
     /* 221958 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 221962 */     GIR_RootConstrainSelectedInstOperands,
     /* 221963 */     // GIR_Coverage, 1360,
     /* 221963 */     GIR_Done,
     /* 221964 */   // Label 5160: @221964
     /* 221964 */   GIM_Try, /*On fail goto*//*Label 5161*/ GIMT_Encode4(222001), // Rule ID 10131 //
     /* 221969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 221972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 221976 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 221980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 221984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 221988 */     // (strict_fma:{ *:[f32] } FR32X:{ *:[f32] }:$src2, FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src3)  =>  (VFMADD213SSZr:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2, FR32X:{ *:[f32] }:$src3)
     /* 221988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SSZr),
     /* 221991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 221993 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 221995 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 221997 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 221999 */     GIR_RootConstrainSelectedInstOperands,
     /* 222000 */     // GIR_Coverage, 10131,
     /* 222000 */     GIR_EraseRootFromParent_Done,
     /* 222001 */   // Label 5161: @222001
     /* 222001 */   GIM_Reject,
     /* 222002 */ // Label 5149: @222002
     /* 222002 */ GIM_Reject,
     /* 222003 */ // Label 5133: @222003
     /* 222003 */ GIM_Try, /*On fail goto*//*Label 5162*/ GIMT_Encode4(222739),
     /* 222008 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 222011 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 222014 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 222017 */   GIM_Try, /*On fail goto*//*Label 5163*/ GIMT_Encode4(222085), // Rule ID 1310 //
     /* 222022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoAVX512_NoFMA4),
     /* 222025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 222033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 222037 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 222040 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 222044 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 222048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222056 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 222058 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 222065 */     // (strict_fma:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)  =>  (VFMADD132SDm:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 222065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132SDm),
     /* 222068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 222070 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 222072 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 222074 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 222078 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 222083 */     GIR_RootConstrainSelectedInstOperands,
     /* 222084 */     // GIR_Coverage, 1310,
     /* 222084 */     GIR_EraseRootFromParent_Done,
     /* 222085 */   // Label 5163: @222085
     /* 222085 */   GIM_Try, /*On fail goto*//*Label 5164*/ GIMT_Encode4(222153), // Rule ID 10147 //
     /* 222090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 222093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 222097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 222101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 222105 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 222108 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 222112 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 222116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 222120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 222124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 222126 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 222133 */     // (strict_fma:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2)  =>  (VFMADD132SDZm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 222133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132SDZm),
     /* 222136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 222138 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 222140 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 222142 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 222146 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 222151 */     GIR_RootConstrainSelectedInstOperands,
     /* 222152 */     // GIR_Coverage, 10147,
     /* 222152 */     GIR_EraseRootFromParent_Done,
     /* 222153 */   // Label 5164: @222153
     /* 222153 */   GIM_Try, /*On fail goto*//*Label 5165*/ GIMT_Encode4(222221), // Rule ID 23305 //
     /* 222158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoAVX512),
     /* 222161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 222169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 222173 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 222176 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 222180 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 222184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 222194 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 222201 */     // (strict_fma:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src3)  =>  (VFMADDSD4mr:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2, FR64:{ *:[f64] }:$src3)
     /* 222201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDSD4mr),
     /* 222204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 222206 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 222208 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 222212 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 222214 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 222219 */     GIR_RootConstrainSelectedInstOperands,
     /* 222220 */     // GIR_Coverage, 23305,
     /* 222220 */     GIR_EraseRootFromParent_Done,
     /* 222221 */   // Label 5165: @222221
     /* 222221 */   GIM_Try, /*On fail goto*//*Label 5166*/ GIMT_Encode4(222289), // Rule ID 1308 //
     /* 222226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoAVX512_NoFMA4),
     /* 222229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 222241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 222245 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 222248 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 222252 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 222256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 222262 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 222269 */     // (strict_fma:{ *:[f64] } FR64:{ *:[f64] }:$src2, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64:{ *:[f64] }:$src1)  =>  (VFMADD231SDm:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 222269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231SDm),
     /* 222272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 222274 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 222276 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 222278 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 222282 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 222287 */     GIR_RootConstrainSelectedInstOperands,
     /* 222288 */     // GIR_Coverage, 1308,
     /* 222288 */     GIR_EraseRootFromParent_Done,
     /* 222289 */   // Label 5166: @222289
     /* 222289 */   GIM_Try, /*On fail goto*//*Label 5167*/ GIMT_Encode4(222357), // Rule ID 1448 //
     /* 222294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoAVX512),
     /* 222297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222301 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 222309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 222313 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 222316 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 222320 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 222324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222328 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 222330 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 222337 */     // (strict_fma:{ *:[f64] } FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64:{ *:[f64] }:$src3)  =>  (VFMADDSD4mr:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2, FR64:{ *:[f64] }:$src3)
     /* 222337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDSD4mr),
     /* 222340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 222342 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 222344 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 222348 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 222350 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 222355 */     GIR_RootConstrainSelectedInstOperands,
     /* 222356 */     // GIR_Coverage, 1448,
     /* 222356 */     GIR_EraseRootFromParent_Done,
     /* 222357 */   // Label 5167: @222357
     /* 222357 */   GIM_Try, /*On fail goto*//*Label 5168*/ GIMT_Encode4(222425), // Rule ID 10145 //
     /* 222362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 222365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 222369 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 222373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 222377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 222381 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 222384 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 222388 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 222392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 222396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 222398 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 222405 */     // (strict_fma:{ *:[f64] } FR64X:{ *:[f64] }:$src2, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64X:{ *:[f64] }:$src1)  =>  (VFMADD231SDZm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 222405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231SDZm),
     /* 222408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 222410 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 222412 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 222414 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 222418 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 222423 */     GIR_RootConstrainSelectedInstOperands,
     /* 222424 */     // GIR_Coverage, 10145,
     /* 222424 */     GIR_EraseRootFromParent_Done,
     /* 222425 */   // Label 5168: @222425
     /* 222425 */   GIM_Try, /*On fail goto*//*Label 5169*/ GIMT_Encode4(222493), // Rule ID 1306 //
     /* 222430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoAVX512_NoFMA4),
     /* 222433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 222449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 222453 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 222456 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 222460 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 222464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 222466 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 222473 */     // (strict_fma:{ *:[f64] } FR64:{ *:[f64] }:$src2, FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213SDm:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 222473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SDm),
     /* 222476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 222478 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 222480 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 222482 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 222486 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 222491 */     GIR_RootConstrainSelectedInstOperands,
     /* 222492 */     // GIR_Coverage, 1306,
     /* 222492 */     GIR_EraseRootFromParent_Done,
     /* 222493 */   // Label 5169: @222493
     /* 222493 */   GIM_Try, /*On fail goto*//*Label 5170*/ GIMT_Encode4(222561), // Rule ID 1446 //
     /* 222498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoAVX512),
     /* 222501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222505 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 222517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 222521 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 222524 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 222528 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 222532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 222534 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 222541 */     // (strict_fma:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADDSD4rm:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 222541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDSD4rm),
     /* 222544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 222546 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 222548 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 222550 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 222554 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 222559 */     GIR_RootConstrainSelectedInstOperands,
     /* 222560 */     // GIR_Coverage, 1446,
     /* 222560 */     GIR_EraseRootFromParent_Done,
     /* 222561 */   // Label 5170: @222561
     /* 222561 */   GIM_Try, /*On fail goto*//*Label 5171*/ GIMT_Encode4(222629), // Rule ID 10142 //
     /* 222566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 222569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 222573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 222577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 222581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 222585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 222589 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 222592 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 222596 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 222600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 222602 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 222609 */     // (strict_fma:{ *:[f64] } FR64X:{ *:[f64] }:$src2, FR64X:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213SDZm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 222609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SDZm),
     /* 222612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 222614 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 222616 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 222618 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 222622 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 222627 */     GIR_RootConstrainSelectedInstOperands,
     /* 222628 */     // GIR_Coverage, 10142,
     /* 222628 */     GIR_EraseRootFromParent_Done,
     /* 222629 */   // Label 5171: @222629
     /* 222629 */   GIM_Try, /*On fail goto*//*Label 5172*/ GIMT_Encode4(222666), // Rule ID 1304 //
     /* 222634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoAVX512_NoFMA4),
     /* 222637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222653 */     // (strict_fma:{ *:[f64] } FR64:{ *:[f64] }:$src2, FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src3)  =>  (VFMADD213SDr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2, FR64:{ *:[f64] }:$src3)
     /* 222653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SDr),
     /* 222656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 222658 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 222660 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 222662 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 222664 */     GIR_RootConstrainSelectedInstOperands,
     /* 222665 */     // GIR_Coverage, 1304,
     /* 222665 */     GIR_EraseRootFromParent_Done,
     /* 222666 */   // Label 5172: @222666
     /* 222666 */   GIM_Try, /*On fail goto*//*Label 5173*/ GIMT_Encode4(222701), // Rule ID 1444 //
     /* 222671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoAVX512),
     /* 222674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222678 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222690 */     // (strict_fma:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2, FR64:{ *:[f64] }:$src3)  =>  (VFMADDSD4rr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2, FR64:{ *:[f64] }:$src3)
     /* 222690 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VFMADDSD4rr),
     /* 222695 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 222699 */     GIR_RootConstrainSelectedInstOperands,
     /* 222700 */     // GIR_Coverage, 1444,
     /* 222700 */     GIR_Done,
     /* 222701 */   // Label 5173: @222701
     /* 222701 */   GIM_Try, /*On fail goto*//*Label 5174*/ GIMT_Encode4(222738), // Rule ID 10140 //
     /* 222706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 222709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 222713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 222717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 222721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 222725 */     // (strict_fma:{ *:[f64] } FR64X:{ *:[f64] }:$src2, FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src3)  =>  (VFMADD213SDZr:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2, FR64X:{ *:[f64] }:$src3)
     /* 222725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SDZr),
     /* 222728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 222730 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 222732 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 222734 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 222736 */     GIR_RootConstrainSelectedInstOperands,
     /* 222737 */     // GIR_Coverage, 10140,
     /* 222737 */     GIR_EraseRootFromParent_Done,
     /* 222738 */   // Label 5174: @222738
     /* 222738 */   GIM_Reject,
     /* 222739 */ // Label 5162: @222739
     /* 222739 */ GIM_Reject,
     /* 222740 */ // Label 5134: @222740
     /* 222740 */ GIM_Try, /*On fail goto*//*Label 5175*/ GIMT_Encode4(223476),
     /* 222745 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 222748 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 222751 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 222754 */   GIM_Try, /*On fail goto*//*Label 5176*/ GIMT_Encode4(222822), // Rule ID 1190 //
     /* 222759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 222762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 222766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 222770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 222774 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 222777 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 222781 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 222785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 222789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 222793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 222795 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 222802 */     // (strict_fma:{ *:[v2f64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (VFMADD132PDm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 222802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PDm),
     /* 222805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 222807 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 222809 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 222811 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 222815 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 222820 */     GIR_RootConstrainSelectedInstOperands,
     /* 222821 */     // GIR_Coverage, 1190,
     /* 222821 */     GIR_EraseRootFromParent_Done,
     /* 222822 */   // Label 5176: @222822
     /* 222822 */   GIM_Try, /*On fail goto*//*Label 5177*/ GIMT_Encode4(222890), // Rule ID 9679 //
     /* 222827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 222830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 222834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 222838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 222842 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 222845 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 222849 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 222853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 222857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 222861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 222863 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 222870 */     // (strict_fma:{ *:[v2f64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2)  =>  (VFMADD132PDZ128m:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 222870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PDZ128m),
     /* 222873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 222875 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 222877 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 222879 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 222883 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 222888 */     GIR_RootConstrainSelectedInstOperands,
     /* 222889 */     // GIR_Coverage, 9679,
     /* 222889 */     GIR_EraseRootFromParent_Done,
     /* 222890 */   // Label 5177: @222890
     /* 222890 */   GIM_Try, /*On fail goto*//*Label 5178*/ GIMT_Encode4(222958), // Rule ID 23313 //
     /* 222895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 222898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 222902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 222906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 222910 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 222913 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 222917 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 222921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 222925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 222929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 222931 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 222938 */     // (strict_fma:{ *:[v2f64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src3)  =>  (VFMADDPD4mr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v2f64] }:$src3)
     /* 222938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPD4mr),
     /* 222941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 222943 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 222945 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 222949 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 222951 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 222956 */     GIR_RootConstrainSelectedInstOperands,
     /* 222957 */     // GIR_Coverage, 23313,
     /* 222957 */     GIR_EraseRootFromParent_Done,
     /* 222958 */   // Label 5178: @222958
     /* 222958 */   GIM_Try, /*On fail goto*//*Label 5179*/ GIMT_Encode4(223026), // Rule ID 1188 //
     /* 222963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 222966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 222970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 222974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 222978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 222982 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 222985 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 222989 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 222993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 222997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 222999 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 223006 */     // (strict_fma:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src2, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2f64] }:$src1)  =>  (VFMADD231PDm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 223006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PDm),
     /* 223009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 223011 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 223013 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 223015 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 223019 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 223024 */     GIR_RootConstrainSelectedInstOperands,
     /* 223025 */     // GIR_Coverage, 1188,
     /* 223025 */     GIR_EraseRootFromParent_Done,
     /* 223026 */   // Label 5179: @223026
     /* 223026 */   GIM_Try, /*On fail goto*//*Label 5180*/ GIMT_Encode4(223094), // Rule ID 1472 //
     /* 223031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 223034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223038 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 223046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 223050 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 223053 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 223057 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 223061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 223067 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 223074 */     // (strict_fma:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2f64] }:$src3)  =>  (VFMADDPD4mr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v2f64] }:$src3)
     /* 223074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPD4mr),
     /* 223077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 223079 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 223081 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 223085 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 223087 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 223092 */     GIR_RootConstrainSelectedInstOperands,
     /* 223093 */     // GIR_Coverage, 1472,
     /* 223093 */     GIR_EraseRootFromParent_Done,
     /* 223094 */   // Label 5180: @223094
     /* 223094 */   GIM_Try, /*On fail goto*//*Label 5181*/ GIMT_Encode4(223162), // Rule ID 9139 //
     /* 223099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 223102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 223106 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 223110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 223114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 223118 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 223121 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 223125 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 223129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 223133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 223135 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 223142 */     // (strict_fma:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src2, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v2f64] }:$src1)  =>  (VFMADD231PDZ128m:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 223142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PDZ128m),
     /* 223145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 223147 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 223149 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 223151 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 223155 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 223160 */     GIR_RootConstrainSelectedInstOperands,
     /* 223161 */     // GIR_Coverage, 9139,
     /* 223161 */     GIR_EraseRootFromParent_Done,
     /* 223162 */   // Label 5181: @223162
     /* 223162 */   GIM_Try, /*On fail goto*//*Label 5182*/ GIMT_Encode4(223230), // Rule ID 1186 //
     /* 223167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 223170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 223186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 223190 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 223193 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 223197 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 223201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 223203 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 223210 */     // (strict_fma:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src2, VR128:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PDm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 223210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDm),
     /* 223213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 223215 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 223217 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 223219 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 223223 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 223228 */     GIR_RootConstrainSelectedInstOperands,
     /* 223229 */     // GIR_Coverage, 1186,
     /* 223229 */     GIR_EraseRootFromParent_Done,
     /* 223230 */   // Label 5182: @223230
     /* 223230 */   GIM_Try, /*On fail goto*//*Label 5183*/ GIMT_Encode4(223298), // Rule ID 1470 //
     /* 223235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 223238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 223254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 223258 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 223261 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 223265 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 223269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 223271 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 223278 */     // (strict_fma:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADDPD4rm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 223278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPD4rm),
     /* 223281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 223283 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 223285 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 223287 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 223291 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 223296 */     GIR_RootConstrainSelectedInstOperands,
     /* 223297 */     // GIR_Coverage, 1470,
     /* 223297 */     GIR_EraseRootFromParent_Done,
     /* 223298 */   // Label 5183: @223298
     /* 223298 */   GIM_Try, /*On fail goto*//*Label 5184*/ GIMT_Encode4(223366), // Rule ID 8512 //
     /* 223303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 223306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 223310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 223314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 223318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 223322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 223326 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 223329 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 223333 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 223337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 223339 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 223346 */     // (strict_fma:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src2, VR128X:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PDZ128m:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 223346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDZ128m),
     /* 223349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 223351 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 223353 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 223355 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 223359 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 223364 */     GIR_RootConstrainSelectedInstOperands,
     /* 223365 */     // GIR_Coverage, 8512,
     /* 223365 */     GIR_EraseRootFromParent_Done,
     /* 223366 */   // Label 5184: @223366
     /* 223366 */   GIM_Try, /*On fail goto*//*Label 5185*/ GIMT_Encode4(223403), // Rule ID 1184 //
     /* 223371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 223374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223390 */     // (strict_fma:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src2, VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src3)  =>  (VFMADD213PDr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, VR128:{ *:[v2f64] }:$src3)
     /* 223390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDr),
     /* 223393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 223395 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 223397 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 223399 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 223401 */     GIR_RootConstrainSelectedInstOperands,
     /* 223402 */     // GIR_Coverage, 1184,
     /* 223402 */     GIR_EraseRootFromParent_Done,
     /* 223403 */   // Label 5185: @223403
     /* 223403 */   GIM_Try, /*On fail goto*//*Label 5186*/ GIMT_Encode4(223438), // Rule ID 1468 //
     /* 223408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 223411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223427 */     // (strict_fma:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, VR128:{ *:[v2f64] }:$src3)  =>  (VFMADDPD4rr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, VR128:{ *:[v2f64] }:$src3)
     /* 223427 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VFMADDPD4rr),
     /* 223432 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 223436 */     GIR_RootConstrainSelectedInstOperands,
     /* 223437 */     // GIR_Coverage, 1468,
     /* 223437 */     GIR_Done,
     /* 223438 */   // Label 5186: @223438
     /* 223438 */   GIM_Try, /*On fail goto*//*Label 5187*/ GIMT_Encode4(223475), // Rule ID 8508 //
     /* 223443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 223446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 223450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 223454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 223458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 223462 */     // (strict_fma:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src2, VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src3)  =>  (VFMADD213PDZ128r:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2, VR128X:{ *:[v2f64] }:$src3)
     /* 223462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDZ128r),
     /* 223465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 223467 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 223469 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 223471 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 223473 */     GIR_RootConstrainSelectedInstOperands,
     /* 223474 */     // GIR_Coverage, 8508,
     /* 223474 */     GIR_EraseRootFromParent_Done,
     /* 223475 */   // Label 5187: @223475
     /* 223475 */   GIM_Reject,
     /* 223476 */ // Label 5175: @223476
     /* 223476 */ GIM_Reject,
     /* 223477 */ // Label 5135: @223477
     /* 223477 */ GIM_Try, /*On fail goto*//*Label 5188*/ GIMT_Encode4(224213),
     /* 223482 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 223485 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 223488 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 223491 */   GIM_Try, /*On fail goto*//*Label 5189*/ GIMT_Encode4(223559), // Rule ID 1142 //
     /* 223496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 223499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 223507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 223511 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 223514 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 223518 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 223522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 223532 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 223539 */     // (strict_fma:{ *:[v4f32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (VFMADD132PSm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 223539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PSm),
     /* 223542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 223544 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 223546 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 223548 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 223552 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 223557 */     GIR_RootConstrainSelectedInstOperands,
     /* 223558 */     // GIR_Coverage, 1142,
     /* 223558 */     GIR_EraseRootFromParent_Done,
     /* 223559 */   // Label 5189: @223559
     /* 223559 */   GIM_Try, /*On fail goto*//*Label 5190*/ GIMT_Encode4(223627), // Rule ID 9647 //
     /* 223564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 223567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 223571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 223575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 223579 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 223582 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 223586 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 223590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 223594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 223598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 223600 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 223607 */     // (strict_fma:{ *:[v4f32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2)  =>  (VFMADD132PSZ128m:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 223607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PSZ128m),
     /* 223610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 223612 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 223614 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 223616 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 223620 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 223625 */     GIR_RootConstrainSelectedInstOperands,
     /* 223626 */     // GIR_Coverage, 9647,
     /* 223626 */     GIR_EraseRootFromParent_Done,
     /* 223627 */   // Label 5190: @223627
     /* 223627 */   GIM_Try, /*On fail goto*//*Label 5191*/ GIMT_Encode4(223695), // Rule ID 23285 //
     /* 223632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 223635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 223643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 223647 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 223650 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 223654 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 223658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 223668 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 223675 */     // (strict_fma:{ *:[v4f32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src3)  =>  (VFMADDPS4mr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v4f32] }:$src3)
     /* 223675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPS4mr),
     /* 223678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 223680 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 223682 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 223686 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 223688 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 223693 */     GIR_RootConstrainSelectedInstOperands,
     /* 223694 */     // GIR_Coverage, 23285,
     /* 223694 */     GIR_EraseRootFromParent_Done,
     /* 223695 */   // Label 5191: @223695
     /* 223695 */   GIM_Try, /*On fail goto*//*Label 5192*/ GIMT_Encode4(223763), // Rule ID 1140 //
     /* 223700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 223703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 223715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 223719 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 223722 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 223726 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 223730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 223736 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 223743 */     // (strict_fma:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src2, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4f32] }:$src1)  =>  (VFMADD231PSm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 223743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PSm),
     /* 223746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 223748 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 223750 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 223752 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 223756 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 223761 */     GIR_RootConstrainSelectedInstOperands,
     /* 223762 */     // GIR_Coverage, 1140,
     /* 223762 */     GIR_EraseRootFromParent_Done,
     /* 223763 */   // Label 5192: @223763
     /* 223763 */   GIM_Try, /*On fail goto*//*Label 5193*/ GIMT_Encode4(223831), // Rule ID 1388 //
     /* 223768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 223771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 223783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 223787 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 223790 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 223794 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 223798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 223804 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 223811 */     // (strict_fma:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4f32] }:$src3)  =>  (VFMADDPS4mr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v4f32] }:$src3)
     /* 223811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPS4mr),
     /* 223814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 223816 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 223818 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 223822 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 223824 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 223829 */     GIR_RootConstrainSelectedInstOperands,
     /* 223830 */     // GIR_Coverage, 1388,
     /* 223830 */     GIR_EraseRootFromParent_Done,
     /* 223831 */   // Label 5193: @223831
     /* 223831 */   GIM_Try, /*On fail goto*//*Label 5194*/ GIMT_Encode4(223899), // Rule ID 9107 //
     /* 223836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 223839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 223843 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 223847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 223851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 223855 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 223858 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 223862 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 223866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 223870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 223872 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 223879 */     // (strict_fma:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src2, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v4f32] }:$src1)  =>  (VFMADD231PSZ128m:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 223879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PSZ128m),
     /* 223882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 223884 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 223886 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 223888 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 223892 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 223897 */     GIR_RootConstrainSelectedInstOperands,
     /* 223898 */     // GIR_Coverage, 9107,
     /* 223898 */     GIR_EraseRootFromParent_Done,
     /* 223899 */   // Label 5194: @223899
     /* 223899 */   GIM_Try, /*On fail goto*//*Label 5195*/ GIMT_Encode4(223967), // Rule ID 1138 //
     /* 223904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 223907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 223923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 223927 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 223930 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 223934 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 223938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 223940 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 223947 */     // (strict_fma:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src2, VR128:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PSm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 223947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSm),
     /* 223950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 223952 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 223954 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 223956 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 223960 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 223965 */     GIR_RootConstrainSelectedInstOperands,
     /* 223966 */     // GIR_Coverage, 1138,
     /* 223966 */     GIR_EraseRootFromParent_Done,
     /* 223967 */   // Label 5195: @223967
     /* 223967 */   GIM_Try, /*On fail goto*//*Label 5196*/ GIMT_Encode4(224035), // Rule ID 1386 //
     /* 223972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 223975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 223991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 223995 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 223998 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 224002 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 224006 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 224008 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 224015 */     // (strict_fma:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADDPS4rm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 224015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPS4rm),
     /* 224018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 224020 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 224022 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 224024 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 224028 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 224033 */     GIR_RootConstrainSelectedInstOperands,
     /* 224034 */     // GIR_Coverage, 1386,
     /* 224034 */     GIR_EraseRootFromParent_Done,
     /* 224035 */   // Label 5196: @224035
     /* 224035 */   GIM_Try, /*On fail goto*//*Label 5197*/ GIMT_Encode4(224103), // Rule ID 8473 //
     /* 224040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 224043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 224047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 224051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 224055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 224059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 224063 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 224066 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 224070 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 224074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 224076 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 224083 */     // (strict_fma:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src2, VR128X:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PSZ128m:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 224083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSZ128m),
     /* 224086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 224088 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 224090 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 224092 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 224096 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 224101 */     GIR_RootConstrainSelectedInstOperands,
     /* 224102 */     // GIR_Coverage, 8473,
     /* 224102 */     GIR_EraseRootFromParent_Done,
     /* 224103 */   // Label 5197: @224103
     /* 224103 */   GIM_Try, /*On fail goto*//*Label 5198*/ GIMT_Encode4(224140), // Rule ID 1136 //
     /* 224108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 224111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 224115 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 224119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 224123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 224127 */     // (strict_fma:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src2, VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src3)  =>  (VFMADD213PSr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, VR128:{ *:[v4f32] }:$src3)
     /* 224127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSr),
     /* 224130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 224132 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 224134 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 224136 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 224138 */     GIR_RootConstrainSelectedInstOperands,
     /* 224139 */     // GIR_Coverage, 1136,
     /* 224139 */     GIR_EraseRootFromParent_Done,
     /* 224140 */   // Label 5198: @224140
     /* 224140 */   GIM_Try, /*On fail goto*//*Label 5199*/ GIMT_Encode4(224175), // Rule ID 1384 //
     /* 224145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 224148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 224152 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 224156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 224160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 224164 */     // (strict_fma:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, VR128:{ *:[v4f32] }:$src3)  =>  (VFMADDPS4rr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, VR128:{ *:[v4f32] }:$src3)
     /* 224164 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VFMADDPS4rr),
     /* 224169 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 224173 */     GIR_RootConstrainSelectedInstOperands,
     /* 224174 */     // GIR_Coverage, 1384,
     /* 224174 */     GIR_Done,
     /* 224175 */   // Label 5199: @224175
     /* 224175 */   GIM_Try, /*On fail goto*//*Label 5200*/ GIMT_Encode4(224212), // Rule ID 8469 //
     /* 224180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 224183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 224187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 224191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 224195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 224199 */     // (strict_fma:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src2, VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src3)  =>  (VFMADD213PSZ128r:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2, VR128X:{ *:[v4f32] }:$src3)
     /* 224199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSZ128r),
     /* 224202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 224204 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 224206 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 224208 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 224210 */     GIR_RootConstrainSelectedInstOperands,
     /* 224211 */     // GIR_Coverage, 8469,
     /* 224211 */     GIR_EraseRootFromParent_Done,
     /* 224212 */   // Label 5200: @224212
     /* 224212 */   GIM_Reject,
     /* 224213 */ // Label 5188: @224213
     /* 224213 */ GIM_Reject,
     /* 224214 */ // Label 5136: @224214
     /* 224214 */ GIM_Try, /*On fail goto*//*Label 5201*/ GIMT_Encode4(224950),
     /* 224219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 224222 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 224225 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /* 224228 */   GIM_Try, /*On fail goto*//*Label 5202*/ GIMT_Encode4(224296), // Rule ID 1198 //
     /* 224233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 224236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 224244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 224248 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 224251 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 224255 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 224259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 224269 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 224276 */     // (strict_fma:{ *:[v4f64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2)  =>  (VFMADD132PDYm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 224276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PDYm),
     /* 224279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 224281 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 224283 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 224285 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 224289 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 224294 */     GIR_RootConstrainSelectedInstOperands,
     /* 224295 */     // GIR_Coverage, 1198,
     /* 224295 */     GIR_EraseRootFromParent_Done,
     /* 224296 */   // Label 5202: @224296
     /* 224296 */   GIM_Try, /*On fail goto*//*Label 5203*/ GIMT_Encode4(224364), // Rule ID 9669 //
     /* 224301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 224304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 224308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 224312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 224316 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 224319 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 224323 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 224327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 224331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 224335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 224337 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 224344 */     // (strict_fma:{ *:[v4f64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2)  =>  (VFMADD132PDZ256m:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 224344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PDZ256m),
     /* 224347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 224349 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 224351 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 224353 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 224357 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 224362 */     GIR_RootConstrainSelectedInstOperands,
     /* 224363 */     // GIR_Coverage, 9669,
     /* 224363 */     GIR_EraseRootFromParent_Done,
     /* 224364 */   // Label 5203: @224364
     /* 224364 */   GIM_Try, /*On fail goto*//*Label 5204*/ GIMT_Encode4(224432), // Rule ID 23315 //
     /* 224369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 224372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 224380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 224384 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 224387 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 224391 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 224395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 224405 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 224412 */     // (strict_fma:{ *:[v4f64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src3)  =>  (VFMADDPD4Ymr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2, VR256:{ *:[v4f64] }:$src3)
     /* 224412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPD4Ymr),
     /* 224415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 224417 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 224419 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 224423 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 224425 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 224430 */     GIR_RootConstrainSelectedInstOperands,
     /* 224431 */     // GIR_Coverage, 23315,
     /* 224431 */     GIR_EraseRootFromParent_Done,
     /* 224432 */   // Label 5204: @224432
     /* 224432 */   GIM_Try, /*On fail goto*//*Label 5205*/ GIMT_Encode4(224500), // Rule ID 1196 //
     /* 224437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 224440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 224452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 224456 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 224459 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 224463 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 224467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 224473 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 224480 */     // (strict_fma:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src2, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4f64] }:$src1)  =>  (VFMADD231PDYm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 224480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PDYm),
     /* 224483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 224485 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 224487 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 224489 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 224493 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 224498 */     GIR_RootConstrainSelectedInstOperands,
     /* 224499 */     // GIR_Coverage, 1196,
     /* 224499 */     GIR_EraseRootFromParent_Done,
     /* 224500 */   // Label 5205: @224500
     /* 224500 */   GIM_Try, /*On fail goto*//*Label 5206*/ GIMT_Encode4(224568), // Rule ID 1478 //
     /* 224505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 224508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 224520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 224524 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 224527 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 224531 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 224535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 224541 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 224548 */     // (strict_fma:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4f64] }:$src3)  =>  (VFMADDPD4Ymr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2, VR256:{ *:[v4f64] }:$src3)
     /* 224548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPD4Ymr),
     /* 224551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 224553 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 224555 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 224559 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 224561 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 224566 */     GIR_RootConstrainSelectedInstOperands,
     /* 224567 */     // GIR_Coverage, 1478,
     /* 224567 */     GIR_EraseRootFromParent_Done,
     /* 224568 */   // Label 5206: @224568
     /* 224568 */   GIM_Try, /*On fail goto*//*Label 5207*/ GIMT_Encode4(224636), // Rule ID 9129 //
     /* 224573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 224576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 224580 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 224584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 224588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 224592 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 224595 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 224599 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 224603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 224607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 224609 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 224616 */     // (strict_fma:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src2, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v4f64] }:$src1)  =>  (VFMADD231PDZ256m:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 224616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PDZ256m),
     /* 224619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 224621 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 224623 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 224625 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 224629 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 224634 */     GIR_RootConstrainSelectedInstOperands,
     /* 224635 */     // GIR_Coverage, 9129,
     /* 224635 */     GIR_EraseRootFromParent_Done,
     /* 224636 */   // Label 5207: @224636
     /* 224636 */   GIM_Try, /*On fail goto*//*Label 5208*/ GIMT_Encode4(224704), // Rule ID 1194 //
     /* 224641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 224644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 224660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 224664 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 224667 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 224671 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 224675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 224677 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 224684 */     // (strict_fma:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src2, VR256:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PDYm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 224684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDYm),
     /* 224687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 224689 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 224691 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 224693 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 224697 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 224702 */     GIR_RootConstrainSelectedInstOperands,
     /* 224703 */     // GIR_Coverage, 1194,
     /* 224703 */     GIR_EraseRootFromParent_Done,
     /* 224704 */   // Label 5208: @224704
     /* 224704 */   GIM_Try, /*On fail goto*//*Label 5209*/ GIMT_Encode4(224772), // Rule ID 1476 //
     /* 224709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 224712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224716 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 224728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 224732 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 224735 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 224739 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 224743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 224745 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 224752 */     // (strict_fma:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADDPD4Yrm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 224752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPD4Yrm),
     /* 224755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 224757 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 224759 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 224761 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 224765 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 224770 */     GIR_RootConstrainSelectedInstOperands,
     /* 224771 */     // GIR_Coverage, 1476,
     /* 224771 */     GIR_EraseRootFromParent_Done,
     /* 224772 */   // Label 5209: @224772
     /* 224772 */   GIM_Try, /*On fail goto*//*Label 5210*/ GIMT_Encode4(224840), // Rule ID 8500 //
     /* 224777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 224780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 224784 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 224788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 224792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 224796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 224800 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 224803 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 224807 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 224811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 224813 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 224820 */     // (strict_fma:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src2, VR256X:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PDZ256m:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 224820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDZ256m),
     /* 224823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 224825 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 224827 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 224829 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 224833 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 224838 */     GIR_RootConstrainSelectedInstOperands,
     /* 224839 */     // GIR_Coverage, 8500,
     /* 224839 */     GIR_EraseRootFromParent_Done,
     /* 224840 */   // Label 5210: @224840
     /* 224840 */   GIM_Try, /*On fail goto*//*Label 5211*/ GIMT_Encode4(224877), // Rule ID 1192 //
     /* 224845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 224848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224864 */     // (strict_fma:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src2, VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src3)  =>  (VFMADD213PDYr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2, VR256:{ *:[v4f64] }:$src3)
     /* 224864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDYr),
     /* 224867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 224869 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 224871 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 224873 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 224875 */     GIR_RootConstrainSelectedInstOperands,
     /* 224876 */     // GIR_Coverage, 1192,
     /* 224876 */     GIR_EraseRootFromParent_Done,
     /* 224877 */   // Label 5211: @224877
     /* 224877 */   GIM_Try, /*On fail goto*//*Label 5212*/ GIMT_Encode4(224912), // Rule ID 1474 //
     /* 224882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 224885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224901 */     // (strict_fma:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2, VR256:{ *:[v4f64] }:$src3)  =>  (VFMADDPD4Yrr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2, VR256:{ *:[v4f64] }:$src3)
     /* 224901 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VFMADDPD4Yrr),
     /* 224906 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 224910 */     GIR_RootConstrainSelectedInstOperands,
     /* 224911 */     // GIR_Coverage, 1474,
     /* 224911 */     GIR_Done,
     /* 224912 */   // Label 5212: @224912
     /* 224912 */   GIM_Try, /*On fail goto*//*Label 5213*/ GIMT_Encode4(224949), // Rule ID 8496 //
     /* 224917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 224920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 224924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 224928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 224932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 224936 */     // (strict_fma:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src2, VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src3)  =>  (VFMADD213PDZ256r:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2, VR256X:{ *:[v4f64] }:$src3)
     /* 224936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDZ256r),
     /* 224939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 224941 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 224943 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 224945 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 224947 */     GIR_RootConstrainSelectedInstOperands,
     /* 224948 */     // GIR_Coverage, 8496,
     /* 224948 */     GIR_EraseRootFromParent_Done,
     /* 224949 */   // Label 5213: @224949
     /* 224949 */   GIM_Reject,
     /* 224950 */ // Label 5201: @224950
     /* 224950 */ GIM_Reject,
     /* 224951 */ // Label 5137: @224951
     /* 224951 */ GIM_Try, /*On fail goto*//*Label 5214*/ GIMT_Encode4(225195),
     /* 224956 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 224959 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 224962 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 224965 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 224969 */   GIM_Try, /*On fail goto*//*Label 5215*/ GIMT_Encode4(225033), // Rule ID 9615 //
     /* 224974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 224977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 224981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 224985 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 224988 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 224992 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 224996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 225000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 225004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 225006 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 225013 */     // (strict_fma:{ *:[v8f16] } (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2)  =>  (VFMADD132PHZ128m:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 225013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PHZ128m),
     /* 225016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 225018 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 225020 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 225022 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 225026 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 225031 */     GIR_RootConstrainSelectedInstOperands,
     /* 225032 */     // GIR_Coverage, 9615,
     /* 225032 */     GIR_EraseRootFromParent_Done,
     /* 225033 */   // Label 5215: @225033
     /* 225033 */   GIM_Try, /*On fail goto*//*Label 5216*/ GIMT_Encode4(225097), // Rule ID 9075 //
     /* 225038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 225041 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 225045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 225049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 225053 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 225056 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 225060 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 225064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 225068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 225070 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 225077 */     // (strict_fma:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src2, (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8f16] }:$src1)  =>  (VFMADD231PHZ128m:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 225077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PHZ128m),
     /* 225080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 225082 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 225084 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 225086 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 225090 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 225095 */     GIR_RootConstrainSelectedInstOperands,
     /* 225096 */     // GIR_Coverage, 9075,
     /* 225096 */     GIR_EraseRootFromParent_Done,
     /* 225097 */   // Label 5216: @225097
     /* 225097 */   GIM_Try, /*On fail goto*//*Label 5217*/ GIMT_Encode4(225161), // Rule ID 8434 //
     /* 225102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 225105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 225109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 225113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 225117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 225121 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 225124 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 225128 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 225132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 225134 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 225141 */     // (strict_fma:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src2, VR128X:{ *:[v8f16] }:$src1, (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PHZ128m:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 225141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PHZ128m),
     /* 225144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 225146 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 225148 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 225150 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 225154 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 225159 */     GIR_RootConstrainSelectedInstOperands,
     /* 225160 */     // GIR_Coverage, 8434,
     /* 225160 */     GIR_EraseRootFromParent_Done,
     /* 225161 */   // Label 5217: @225161
     /* 225161 */   GIM_Try, /*On fail goto*//*Label 5218*/ GIMT_Encode4(225194), // Rule ID 8430 //
     /* 225166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 225169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 225173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 225177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 225181 */     // (strict_fma:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src2, VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src3)  =>  (VFMADD213PHZ128r:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2, VR128X:{ *:[v8f16] }:$src3)
     /* 225181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PHZ128r),
     /* 225184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 225186 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 225188 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 225190 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 225192 */     GIR_RootConstrainSelectedInstOperands,
     /* 225193 */     // GIR_Coverage, 8430,
     /* 225193 */     GIR_EraseRootFromParent_Done,
     /* 225194 */   // Label 5218: @225194
     /* 225194 */   GIM_Reject,
     /* 225195 */ // Label 5214: @225195
     /* 225195 */ GIM_Reject,
     /* 225196 */ // Label 5138: @225196
     /* 225196 */ GIM_Try, /*On fail goto*//*Label 5219*/ GIMT_Encode4(225932),
     /* 225201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 225204 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 225207 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 225210 */   GIM_Try, /*On fail goto*//*Label 5220*/ GIMT_Encode4(225278), // Rule ID 1150 //
     /* 225215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 225218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 225226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 225230 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 225233 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 225237 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 225241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 225251 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 225258 */     // (strict_fma:{ *:[v8f32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2)  =>  (VFMADD132PSYm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 225258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PSYm),
     /* 225261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 225263 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 225265 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 225267 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 225271 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 225276 */     GIR_RootConstrainSelectedInstOperands,
     /* 225277 */     // GIR_Coverage, 1150,
     /* 225277 */     GIR_EraseRootFromParent_Done,
     /* 225278 */   // Label 5220: @225278
     /* 225278 */   GIM_Try, /*On fail goto*//*Label 5221*/ GIMT_Encode4(225346), // Rule ID 9637 //
     /* 225283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 225286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 225290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 225294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 225298 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 225301 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 225305 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 225309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 225313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 225317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 225319 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 225326 */     // (strict_fma:{ *:[v8f32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2)  =>  (VFMADD132PSZ256m:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 225326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PSZ256m),
     /* 225329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 225331 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 225333 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 225335 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 225339 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 225344 */     GIR_RootConstrainSelectedInstOperands,
     /* 225345 */     // GIR_Coverage, 9637,
     /* 225345 */     GIR_EraseRootFromParent_Done,
     /* 225346 */   // Label 5221: @225346
     /* 225346 */   GIM_Try, /*On fail goto*//*Label 5222*/ GIMT_Encode4(225414), // Rule ID 23287 //
     /* 225351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 225354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 225362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 225366 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 225369 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 225373 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 225377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 225387 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 225394 */     // (strict_fma:{ *:[v8f32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src3)  =>  (VFMADDPS4Ymr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2, VR256:{ *:[v8f32] }:$src3)
     /* 225394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPS4Ymr),
     /* 225397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 225399 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 225401 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 225405 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 225407 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 225412 */     GIR_RootConstrainSelectedInstOperands,
     /* 225413 */     // GIR_Coverage, 23287,
     /* 225413 */     GIR_EraseRootFromParent_Done,
     /* 225414 */   // Label 5222: @225414
     /* 225414 */   GIM_Try, /*On fail goto*//*Label 5223*/ GIMT_Encode4(225482), // Rule ID 1148 //
     /* 225419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 225422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 225434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 225438 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 225441 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 225445 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 225449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 225455 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 225462 */     // (strict_fma:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src2, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8f32] }:$src1)  =>  (VFMADD231PSYm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 225462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PSYm),
     /* 225465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 225467 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 225469 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 225471 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 225475 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 225480 */     GIR_RootConstrainSelectedInstOperands,
     /* 225481 */     // GIR_Coverage, 1148,
     /* 225481 */     GIR_EraseRootFromParent_Done,
     /* 225482 */   // Label 5223: @225482
     /* 225482 */   GIM_Try, /*On fail goto*//*Label 5224*/ GIMT_Encode4(225550), // Rule ID 1394 //
     /* 225487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 225490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 225502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 225506 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 225509 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 225513 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 225517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 225523 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 225530 */     // (strict_fma:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8f32] }:$src3)  =>  (VFMADDPS4Ymr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2, VR256:{ *:[v8f32] }:$src3)
     /* 225530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPS4Ymr),
     /* 225533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 225535 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 225537 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 225541 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 225543 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 225548 */     GIR_RootConstrainSelectedInstOperands,
     /* 225549 */     // GIR_Coverage, 1394,
     /* 225549 */     GIR_EraseRootFromParent_Done,
     /* 225550 */   // Label 5224: @225550
     /* 225550 */   GIM_Try, /*On fail goto*//*Label 5225*/ GIMT_Encode4(225618), // Rule ID 9097 //
     /* 225555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 225558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 225562 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 225566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 225570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 225574 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 225577 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 225581 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 225585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 225589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 225591 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 225598 */     // (strict_fma:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src2, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v8f32] }:$src1)  =>  (VFMADD231PSZ256m:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 225598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PSZ256m),
     /* 225601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 225603 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 225605 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 225607 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 225611 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 225616 */     GIR_RootConstrainSelectedInstOperands,
     /* 225617 */     // GIR_Coverage, 9097,
     /* 225617 */     GIR_EraseRootFromParent_Done,
     /* 225618 */   // Label 5225: @225618
     /* 225618 */   GIM_Try, /*On fail goto*//*Label 5226*/ GIMT_Encode4(225686), // Rule ID 1146 //
     /* 225623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 225626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 225642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 225646 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 225649 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 225653 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 225657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 225659 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 225666 */     // (strict_fma:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src2, VR256:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PSYm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 225666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSYm),
     /* 225669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 225671 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 225673 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 225675 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 225679 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 225684 */     GIR_RootConstrainSelectedInstOperands,
     /* 225685 */     // GIR_Coverage, 1146,
     /* 225685 */     GIR_EraseRootFromParent_Done,
     /* 225686 */   // Label 5226: @225686
     /* 225686 */   GIM_Try, /*On fail goto*//*Label 5227*/ GIMT_Encode4(225754), // Rule ID 1392 //
     /* 225691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 225694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 225710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 225714 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 225717 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 225721 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 225725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 225727 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 225734 */     // (strict_fma:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADDPS4Yrm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 225734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPS4Yrm),
     /* 225737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 225739 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 225741 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 225743 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 225747 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 225752 */     GIR_RootConstrainSelectedInstOperands,
     /* 225753 */     // GIR_Coverage, 1392,
     /* 225753 */     GIR_EraseRootFromParent_Done,
     /* 225754 */   // Label 5227: @225754
     /* 225754 */   GIM_Try, /*On fail goto*//*Label 5228*/ GIMT_Encode4(225822), // Rule ID 8461 //
     /* 225759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 225762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 225766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 225770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 225774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 225778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 225782 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 225785 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 225789 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 225793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 225795 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 225802 */     // (strict_fma:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src2, VR256X:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PSZ256m:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 225802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSZ256m),
     /* 225805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 225807 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 225809 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 225811 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 225815 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 225820 */     GIR_RootConstrainSelectedInstOperands,
     /* 225821 */     // GIR_Coverage, 8461,
     /* 225821 */     GIR_EraseRootFromParent_Done,
     /* 225822 */   // Label 5228: @225822
     /* 225822 */   GIM_Try, /*On fail goto*//*Label 5229*/ GIMT_Encode4(225859), // Rule ID 1144 //
     /* 225827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 225830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225834 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225846 */     // (strict_fma:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src2, VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src3)  =>  (VFMADD213PSYr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2, VR256:{ *:[v8f32] }:$src3)
     /* 225846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSYr),
     /* 225849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 225851 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 225853 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 225855 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 225857 */     GIR_RootConstrainSelectedInstOperands,
     /* 225858 */     // GIR_Coverage, 1144,
     /* 225858 */     GIR_EraseRootFromParent_Done,
     /* 225859 */   // Label 5229: @225859
     /* 225859 */   GIM_Try, /*On fail goto*//*Label 5230*/ GIMT_Encode4(225894), // Rule ID 1390 //
     /* 225864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 225867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225871 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225883 */     // (strict_fma:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2, VR256:{ *:[v8f32] }:$src3)  =>  (VFMADDPS4Yrr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2, VR256:{ *:[v8f32] }:$src3)
     /* 225883 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VFMADDPS4Yrr),
     /* 225888 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 225892 */     GIR_RootConstrainSelectedInstOperands,
     /* 225893 */     // GIR_Coverage, 1390,
     /* 225893 */     GIR_Done,
     /* 225894 */   // Label 5230: @225894
     /* 225894 */   GIM_Try, /*On fail goto*//*Label 5231*/ GIMT_Encode4(225931), // Rule ID 8457 //
     /* 225899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 225902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 225906 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 225910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 225914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 225918 */     // (strict_fma:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src2, VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src3)  =>  (VFMADD213PSZ256r:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2, VR256X:{ *:[v8f32] }:$src3)
     /* 225918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSZ256r),
     /* 225921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 225923 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 225925 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 225927 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 225929 */     GIR_RootConstrainSelectedInstOperands,
     /* 225930 */     // GIR_Coverage, 8457,
     /* 225930 */     GIR_EraseRootFromParent_Done,
     /* 225931 */   // Label 5231: @225931
     /* 225931 */   GIM_Reject,
     /* 225932 */ // Label 5219: @225932
     /* 225932 */ GIM_Reject,
     /* 225933 */ // Label 5139: @225933
     /* 225933 */ GIM_Try, /*On fail goto*//*Label 5232*/ GIMT_Encode4(226177),
     /* 225938 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 225941 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /* 225944 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s64,
     /* 225947 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 225951 */   GIM_Try, /*On fail goto*//*Label 5233*/ GIMT_Encode4(226015), // Rule ID 9657 //
     /* 225956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 225959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 225963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 225967 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 225970 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 225974 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 225978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 225982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 225986 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 225988 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 225995 */     // (strict_fma:{ *:[v8f64] } (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2)  =>  (VFMADD132PDZm:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 225995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PDZm),
     /* 225998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 226000 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 226002 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 226004 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 226008 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 226013 */     GIR_RootConstrainSelectedInstOperands,
     /* 226014 */     // GIR_Coverage, 9657,
     /* 226014 */     GIR_EraseRootFromParent_Done,
     /* 226015 */   // Label 5233: @226015
     /* 226015 */   GIM_Try, /*On fail goto*//*Label 5234*/ GIMT_Encode4(226079), // Rule ID 9117 //
     /* 226020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 226023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 226031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 226035 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 226038 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 226042 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 226046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 226052 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 226059 */     // (strict_fma:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src2, (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v8f64] }:$src1)  =>  (VFMADD231PDZm:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 226059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PDZm),
     /* 226062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 226064 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 226066 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 226068 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 226072 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 226077 */     GIR_RootConstrainSelectedInstOperands,
     /* 226078 */     // GIR_Coverage, 9117,
     /* 226078 */     GIR_EraseRootFromParent_Done,
     /* 226079 */   // Label 5234: @226079
     /* 226079 */   GIM_Try, /*On fail goto*//*Label 5235*/ GIMT_Encode4(226143), // Rule ID 8485 //
     /* 226084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 226087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 226099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 226103 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 226106 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 226110 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 226114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 226116 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 226123 */     // (strict_fma:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src2, VR512:{ *:[v8f64] }:$src1, (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PDZm:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 226123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDZm),
     /* 226126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 226128 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 226130 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 226132 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 226136 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 226141 */     GIR_RootConstrainSelectedInstOperands,
     /* 226142 */     // GIR_Coverage, 8485,
     /* 226142 */     GIR_EraseRootFromParent_Done,
     /* 226143 */   // Label 5235: @226143
     /* 226143 */   GIM_Try, /*On fail goto*//*Label 5236*/ GIMT_Encode4(226176), // Rule ID 8481 //
     /* 226148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 226151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226163 */     // (strict_fma:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src2, VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src3)  =>  (VFMADD213PDZr:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2, VR512:{ *:[v8f64] }:$src3)
     /* 226163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDZr),
     /* 226166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 226168 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 226170 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 226172 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 226174 */     GIR_RootConstrainSelectedInstOperands,
     /* 226175 */     // GIR_Coverage, 8481,
     /* 226175 */     GIR_EraseRootFromParent_Done,
     /* 226176 */   // Label 5236: @226176
     /* 226176 */   GIM_Reject,
     /* 226177 */ // Label 5232: @226177
     /* 226177 */ GIM_Reject,
     /* 226178 */ // Label 5140: @226178
     /* 226178 */ GIM_Try, /*On fail goto*//*Label 5237*/ GIMT_Encode4(226422),
     /* 226183 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 226186 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 226189 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /* 226192 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 226196 */   GIM_Try, /*On fail goto*//*Label 5238*/ GIMT_Encode4(226260), // Rule ID 9605 //
     /* 226201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 226204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 226208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 226212 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 226215 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 226219 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 226223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 226227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 226231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 226233 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 226240 */     // (strict_fma:{ *:[v16f16] } (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2)  =>  (VFMADD132PHZ256m:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 226240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PHZ256m),
     /* 226243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 226245 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 226247 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 226249 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 226253 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 226258 */     GIR_RootConstrainSelectedInstOperands,
     /* 226259 */     // GIR_Coverage, 9605,
     /* 226259 */     GIR_EraseRootFromParent_Done,
     /* 226260 */   // Label 5238: @226260
     /* 226260 */   GIM_Try, /*On fail goto*//*Label 5239*/ GIMT_Encode4(226324), // Rule ID 9065 //
     /* 226265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 226268 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 226272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 226276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 226280 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 226283 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 226287 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 226291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 226295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 226297 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 226304 */     // (strict_fma:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src2, (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16f16] }:$src1)  =>  (VFMADD231PHZ256m:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 226304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PHZ256m),
     /* 226307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 226309 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 226311 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 226313 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 226317 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 226322 */     GIR_RootConstrainSelectedInstOperands,
     /* 226323 */     // GIR_Coverage, 9065,
     /* 226323 */     GIR_EraseRootFromParent_Done,
     /* 226324 */   // Label 5239: @226324
     /* 226324 */   GIM_Try, /*On fail goto*//*Label 5240*/ GIMT_Encode4(226388), // Rule ID 8422 //
     /* 226329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 226332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 226336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 226340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 226344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 226348 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 226351 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 226355 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 226359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 226361 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 226368 */     // (strict_fma:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src2, VR256X:{ *:[v16f16] }:$src1, (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PHZ256m:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 226368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PHZ256m),
     /* 226371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 226373 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 226375 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 226377 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 226381 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 226386 */     GIR_RootConstrainSelectedInstOperands,
     /* 226387 */     // GIR_Coverage, 8422,
     /* 226387 */     GIR_EraseRootFromParent_Done,
     /* 226388 */   // Label 5240: @226388
     /* 226388 */   GIM_Try, /*On fail goto*//*Label 5241*/ GIMT_Encode4(226421), // Rule ID 8418 //
     /* 226393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 226396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 226400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 226404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 226408 */     // (strict_fma:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src2, VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src3)  =>  (VFMADD213PHZ256r:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2, VR256X:{ *:[v16f16] }:$src3)
     /* 226408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PHZ256r),
     /* 226411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 226413 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 226415 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 226417 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 226419 */     GIR_RootConstrainSelectedInstOperands,
     /* 226420 */     // GIR_Coverage, 8418,
     /* 226420 */     GIR_EraseRootFromParent_Done,
     /* 226421 */   // Label 5241: @226421
     /* 226421 */   GIM_Reject,
     /* 226422 */ // Label 5237: @226422
     /* 226422 */ GIM_Reject,
     /* 226423 */ // Label 5141: @226423
     /* 226423 */ GIM_Try, /*On fail goto*//*Label 5242*/ GIMT_Encode4(226667),
     /* 226428 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 226431 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 226434 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s32,
     /* 226437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226441 */   GIM_Try, /*On fail goto*//*Label 5243*/ GIMT_Encode4(226505), // Rule ID 9625 //
     /* 226446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 226449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 226453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 226457 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 226460 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 226464 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 226468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 226478 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 226485 */     // (strict_fma:{ *:[v16f32] } (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2)  =>  (VFMADD132PSZm:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 226485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PSZm),
     /* 226488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 226490 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 226492 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 226494 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 226498 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 226503 */     GIR_RootConstrainSelectedInstOperands,
     /* 226504 */     // GIR_Coverage, 9625,
     /* 226504 */     GIR_EraseRootFromParent_Done,
     /* 226505 */   // Label 5243: @226505
     /* 226505 */   GIM_Try, /*On fail goto*//*Label 5244*/ GIMT_Encode4(226569), // Rule ID 9085 //
     /* 226510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 226513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 226521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 226525 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 226528 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 226532 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 226536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 226542 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 226549 */     // (strict_fma:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src2, (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v16f32] }:$src1)  =>  (VFMADD231PSZm:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 226549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PSZm),
     /* 226552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 226554 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 226556 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 226558 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 226562 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 226567 */     GIR_RootConstrainSelectedInstOperands,
     /* 226568 */     // GIR_Coverage, 9085,
     /* 226568 */     GIR_EraseRootFromParent_Done,
     /* 226569 */   // Label 5244: @226569
     /* 226569 */   GIM_Try, /*On fail goto*//*Label 5245*/ GIMT_Encode4(226633), // Rule ID 8446 //
     /* 226574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 226577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 226589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 226593 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 226596 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 226600 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 226604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 226606 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 226613 */     // (strict_fma:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src2, VR512:{ *:[v16f32] }:$src1, (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PSZm:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 226613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSZm),
     /* 226616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 226618 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 226620 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 226622 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 226626 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 226631 */     GIR_RootConstrainSelectedInstOperands,
     /* 226632 */     // GIR_Coverage, 8446,
     /* 226632 */     GIR_EraseRootFromParent_Done,
     /* 226633 */   // Label 5245: @226633
     /* 226633 */   GIM_Try, /*On fail goto*//*Label 5246*/ GIMT_Encode4(226666), // Rule ID 8442 //
     /* 226638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 226641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226653 */     // (strict_fma:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src2, VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src3)  =>  (VFMADD213PSZr:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2, VR512:{ *:[v16f32] }:$src3)
     /* 226653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSZr),
     /* 226656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 226658 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 226660 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 226662 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 226664 */     GIR_RootConstrainSelectedInstOperands,
     /* 226665 */     // GIR_Coverage, 8442,
     /* 226665 */     GIR_EraseRootFromParent_Done,
     /* 226666 */   // Label 5246: @226666
     /* 226666 */   GIM_Reject,
     /* 226667 */ // Label 5242: @226667
     /* 226667 */ GIM_Reject,
     /* 226668 */ // Label 5142: @226668
     /* 226668 */ GIM_Try, /*On fail goto*//*Label 5247*/ GIMT_Encode4(226912),
     /* 226673 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 226676 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 226679 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v32s16,
     /* 226682 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226686 */   GIM_Try, /*On fail goto*//*Label 5248*/ GIMT_Encode4(226750), // Rule ID 9593 //
     /* 226691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 226694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 226698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 226702 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 226705 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 226709 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 226713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 226723 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 226730 */     // (strict_fma:{ *:[v32f16] } (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2)  =>  (VFMADD132PHZm:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 226730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PHZm),
     /* 226733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 226735 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 226737 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 226739 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 226743 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 226748 */     GIR_RootConstrainSelectedInstOperands,
     /* 226749 */     // GIR_Coverage, 9593,
     /* 226749 */     GIR_EraseRootFromParent_Done,
     /* 226750 */   // Label 5248: @226750
     /* 226750 */   GIM_Try, /*On fail goto*//*Label 5249*/ GIMT_Encode4(226814), // Rule ID 9053 //
     /* 226755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 226758 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 226766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 226770 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 226773 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 226777 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 226781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 226787 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 226794 */     // (strict_fma:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src2, (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32f16] }:$src1)  =>  (VFMADD231PHZm:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 226794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PHZm),
     /* 226797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 226799 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 226801 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 226803 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 226807 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 226812 */     GIR_RootConstrainSelectedInstOperands,
     /* 226813 */     // GIR_Coverage, 9053,
     /* 226813 */     GIR_EraseRootFromParent_Done,
     /* 226814 */   // Label 5249: @226814
     /* 226814 */   GIM_Try, /*On fail goto*//*Label 5250*/ GIMT_Encode4(226878), // Rule ID 8407 //
     /* 226819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 226822 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 226834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 226838 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 226841 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 226845 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 226849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 226851 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 226858 */     // (strict_fma:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src2, VR512:{ *:[v32f16] }:$src1, (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PHZm:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 226858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PHZm),
     /* 226861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 226863 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 226865 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 226867 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 226871 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 226876 */     GIR_RootConstrainSelectedInstOperands,
     /* 226877 */     // GIR_Coverage, 8407,
     /* 226877 */     GIR_EraseRootFromParent_Done,
     /* 226878 */   // Label 5250: @226878
     /* 226878 */   GIM_Try, /*On fail goto*//*Label 5251*/ GIMT_Encode4(226911), // Rule ID 8403 //
     /* 226883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 226886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226898 */     // (strict_fma:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src2, VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src3)  =>  (VFMADD213PHZr:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2, VR512:{ *:[v32f16] }:$src3)
     /* 226898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PHZr),
     /* 226901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 226903 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 226905 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 226907 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 226909 */     GIR_RootConstrainSelectedInstOperands,
     /* 226910 */     // GIR_Coverage, 8403,
     /* 226910 */     GIR_EraseRootFromParent_Done,
     /* 226911 */   // Label 5251: @226911
     /* 226911 */   GIM_Reject,
     /* 226912 */ // Label 5247: @226912
     /* 226912 */ GIM_Reject,
     /* 226913 */ // Label 5143: @226913
     /* 226913 */ GIM_Reject,
     /* 226914 */ // Label 73: @226914
     /* 226914 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(23), /*)*//*default:*//*Label 5265*/ GIMT_Encode4(229082),
     /* 226925 */ /*GILLT_s16*//*Label 5252*/ GIMT_Encode4(227009),
     /* 226929 */ /*GILLT_s32*//*Label 5253*/ GIMT_Encode4(227130),
     /* 226933 */ /*GILLT_s64*//*Label 5254*/ GIMT_Encode4(227486),
     /* 226937 */ /*GILLT_s80*//*Label 5255*/ GIMT_Encode4(227842), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 226949 */ /*GILLT_v2s64*//*Label 5256*/ GIMT_Encode4(227879), GIMT_Encode4(0),
     /* 226957 */ /*GILLT_v4s32*//*Label 5257*/ GIMT_Encode4(228082),
     /* 226961 */ /*GILLT_v4s64*//*Label 5258*/ GIMT_Encode4(228285), GIMT_Encode4(0),
     /* 226969 */ /*GILLT_v8s16*//*Label 5259*/ GIMT_Encode4(228461),
     /* 226973 */ /*GILLT_v8s32*//*Label 5260*/ GIMT_Encode4(228550),
     /* 226977 */ /*GILLT_v8s64*//*Label 5261*/ GIMT_Encode4(228726), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 226989 */ /*GILLT_v16s16*//*Label 5262*/ GIMT_Encode4(228815),
     /* 226993 */ /*GILLT_v16s32*//*Label 5263*/ GIMT_Encode4(228904), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 227005 */ /*GILLT_v32s16*//*Label 5264*/ GIMT_Encode4(228993),
     /* 227009 */ // Label 5252: @227009
     /* 227009 */ GIM_Try, /*On fail goto*//*Label 5266*/ GIMT_Encode4(227129),
     /* 227014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 227017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 227021 */   GIM_Try, /*On fail goto*//*Label 5267*/ GIMT_Encode4(227090), // Rule ID 21419 //
     /* 227026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_OptForSize),
     /* 227029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 227033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 227037 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 227040 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 227044 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 227048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 227050 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 227057 */     // (strict_fsqrt:{ *:[f16] } (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTSHZm:{ *:[f16] } (IMPLICIT_DEF:{ *:[f16] }), addr:{ *:[iPTR] }:$src)
     /* 227057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 227060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 227064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 227069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 227071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSHZm),
     /* 227074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 227076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 227079 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 227083 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 227088 */     GIR_RootConstrainSelectedInstOperands,
     /* 227089 */     // GIR_Coverage, 21419,
     /* 227089 */     GIR_EraseRootFromParent_Done,
     /* 227090 */   // Label 5267: @227090
     /* 227090 */   GIM_Try, /*On fail goto*//*Label 5268*/ GIMT_Encode4(227128), // Rule ID 21417 //
     /* 227095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 227098 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 227102 */     // (strict_fsqrt:{ *:[f16] } FR16X:{ *:[f16] }:$src)  =>  (VSQRTSHZr:{ *:[f16] } (IMPLICIT_DEF:{ *:[f16] }), FR16X:{ *:[f16] }:$src)
     /* 227102 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 227105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 227109 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 227114 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 227116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSHZr),
     /* 227119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 227121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 227124 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 227126 */     GIR_RootConstrainSelectedInstOperands,
     /* 227127 */     // GIR_Coverage, 21417,
     /* 227127 */     GIR_EraseRootFromParent_Done,
     /* 227128 */   // Label 5268: @227128
     /* 227128 */   GIM_Reject,
     /* 227129 */ // Label 5266: @227129
     /* 227129 */ GIM_Reject,
     /* 227130 */ // Label 5253: @227130
     /* 227130 */ GIM_Try, /*On fail goto*//*Label 5269*/ GIMT_Encode4(227485),
     /* 227135 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 227138 */   GIM_Try, /*On fail goto*//*Label 5270*/ GIMT_Encode4(227194), // Rule ID 2447 //
     /* 227143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_OptForSize_UseSSE1),
     /* 227146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 227150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 227154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 227158 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 227161 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 227165 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 227169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 227171 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 227178 */     // (strict_fsqrt:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SQRTSSm:{ *:[f32] } addr:{ *:[iPTR] }:$src1)
     /* 227178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SQRTSSm),
     /* 227181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 227183 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 227187 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 227192 */     GIR_RootConstrainSelectedInstOperands,
     /* 227193 */     // GIR_Coverage, 2447,
     /* 227193 */     GIR_EraseRootFromParent_Done,
     /* 227194 */   // Label 5270: @227194
     /* 227194 */   GIM_Try, /*On fail goto*//*Label 5271*/ GIMT_Encode4(227267), // Rule ID 18275 //
     /* 227199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_OptForSize_UseAVX),
     /* 227202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 227206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 227210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 227214 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 227217 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 227221 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 227225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 227227 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 227234 */     // (strict_fsqrt:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTSSm:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), addr:{ *:[iPTR] }:$src)
     /* 227234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 227237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 227241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 227246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 227248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSSm),
     /* 227251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 227253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 227256 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 227260 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 227265 */     GIR_RootConstrainSelectedInstOperands,
     /* 227266 */     // GIR_Coverage, 18275,
     /* 227266 */     GIR_EraseRootFromParent_Done,
     /* 227267 */   // Label 5271: @227267
     /* 227267 */   GIM_Try, /*On fail goto*//*Label 5272*/ GIMT_Encode4(227340), // Rule ID 21423 //
     /* 227272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_OptForSize),
     /* 227275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 227279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 227283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 227287 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 227290 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 227294 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 227298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 227300 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 227307 */     // (strict_fsqrt:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTSSZm:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), addr:{ *:[iPTR] }:$src)
     /* 227307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 227310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 227314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 227319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 227321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSSZm),
     /* 227324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 227326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 227329 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 227333 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 227338 */     GIR_RootConstrainSelectedInstOperands,
     /* 227339 */     // GIR_Coverage, 21423,
     /* 227339 */     GIR_EraseRootFromParent_Done,
     /* 227340 */   // Label 5272: @227340
     /* 227340 */   GIM_Try, /*On fail goto*//*Label 5273*/ GIMT_Encode4(227373), // Rule ID 1047 //
     /* 227345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 227348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 227352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 227356 */     // (strict_fsqrt:{ *:[f32] } RFP32:{ *:[f32] }:$src)  =>  (SQRT_Fp32:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src)
     /* 227356 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SQRT_Fp32),
     /* 227361 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 227367 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 227371 */     GIR_RootConstrainSelectedInstOperands,
     /* 227372 */     // GIR_Coverage, 1047,
     /* 227372 */     GIR_Done,
     /* 227373 */   // Label 5273: @227373
     /* 227373 */   GIM_Try, /*On fail goto*//*Label 5274*/ GIMT_Encode4(227400), // Rule ID 2445 //
     /* 227378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 227381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 227385 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 227389 */     // (strict_fsqrt:{ *:[f32] } FR32:{ *:[f32] }:$src1)  =>  (SQRTSSr:{ *:[f32] } FR32:{ *:[f32] }:$src1)
     /* 227389 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SQRTSSr),
     /* 227394 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 227398 */     GIR_RootConstrainSelectedInstOperands,
     /* 227399 */     // GIR_Coverage, 2445,
     /* 227399 */     GIR_Done,
     /* 227400 */   // Label 5274: @227400
     /* 227400 */   GIM_Try, /*On fail goto*//*Label 5275*/ GIMT_Encode4(227442), // Rule ID 18273 //
     /* 227405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 227408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 227412 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 227416 */     // (strict_fsqrt:{ *:[f32] } FR32:{ *:[f32] }:$src)  =>  (VSQRTSSr:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), FR32:{ *:[f32] }:$src)
     /* 227416 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 227419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 227423 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 227428 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 227430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSSr),
     /* 227433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 227435 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 227438 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 227440 */     GIR_RootConstrainSelectedInstOperands,
     /* 227441 */     // GIR_Coverage, 18273,
     /* 227441 */     GIR_EraseRootFromParent_Done,
     /* 227442 */   // Label 5275: @227442
     /* 227442 */   GIM_Try, /*On fail goto*//*Label 5276*/ GIMT_Encode4(227484), // Rule ID 21421 //
     /* 227447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 227450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 227454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 227458 */     // (strict_fsqrt:{ *:[f32] } FR32X:{ *:[f32] }:$src)  =>  (VSQRTSSZr:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), FR32X:{ *:[f32] }:$src)
     /* 227458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 227461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 227465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 227470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 227472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSSZr),
     /* 227475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 227477 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 227480 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 227482 */     GIR_RootConstrainSelectedInstOperands,
     /* 227483 */     // GIR_Coverage, 21421,
     /* 227483 */     GIR_EraseRootFromParent_Done,
     /* 227484 */   // Label 5276: @227484
     /* 227484 */   GIM_Reject,
     /* 227485 */ // Label 5269: @227485
     /* 227485 */ GIM_Reject,
     /* 227486 */ // Label 5254: @227486
     /* 227486 */ GIM_Try, /*On fail goto*//*Label 5277*/ GIMT_Encode4(227841),
     /* 227491 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 227494 */   GIM_Try, /*On fail goto*//*Label 5278*/ GIMT_Encode4(227550), // Rule ID 2463 //
     /* 227499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_OptForSize_UseSSE2),
     /* 227502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 227506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 227510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 227514 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 227517 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 227521 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 227525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 227527 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 227534 */     // (strict_fsqrt:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SQRTSDm:{ *:[f64] } addr:{ *:[iPTR] }:$src1)
     /* 227534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SQRTSDm),
     /* 227537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 227539 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 227543 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 227548 */     GIR_RootConstrainSelectedInstOperands,
     /* 227549 */     // GIR_Coverage, 2463,
     /* 227549 */     GIR_EraseRootFromParent_Done,
     /* 227550 */   // Label 5278: @227550
     /* 227550 */   GIM_Try, /*On fail goto*//*Label 5279*/ GIMT_Encode4(227623), // Rule ID 18279 //
     /* 227555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_OptForSize_UseAVX),
     /* 227558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 227562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 227566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 227570 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 227573 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 227577 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 227581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 227583 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 227590 */     // (strict_fsqrt:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTSDm:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), addr:{ *:[iPTR] }:$src)
     /* 227590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 227593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 227597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 227602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 227604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSDm),
     /* 227607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 227609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 227612 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 227616 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 227621 */     GIR_RootConstrainSelectedInstOperands,
     /* 227622 */     // GIR_Coverage, 18279,
     /* 227622 */     GIR_EraseRootFromParent_Done,
     /* 227623 */   // Label 5279: @227623
     /* 227623 */   GIM_Try, /*On fail goto*//*Label 5280*/ GIMT_Encode4(227696), // Rule ID 21427 //
     /* 227628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_OptForSize),
     /* 227631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 227635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 227639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 227643 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 227646 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 227650 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 227654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 227656 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 227663 */     // (strict_fsqrt:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTSDZm:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), addr:{ *:[iPTR] }:$src)
     /* 227663 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 227666 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 227670 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 227675 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 227677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSDZm),
     /* 227680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 227682 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 227685 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 227689 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 227694 */     GIR_RootConstrainSelectedInstOperands,
     /* 227695 */     // GIR_Coverage, 21427,
     /* 227695 */     GIR_EraseRootFromParent_Done,
     /* 227696 */   // Label 5280: @227696
     /* 227696 */   GIM_Try, /*On fail goto*//*Label 5281*/ GIMT_Encode4(227729), // Rule ID 1049 //
     /* 227701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 227704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 227708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 227712 */     // (strict_fsqrt:{ *:[f64] } RFP64:{ *:[f64] }:$src)  =>  (SQRT_Fp64:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src)
     /* 227712 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SQRT_Fp64),
     /* 227717 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 227723 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 227727 */     GIR_RootConstrainSelectedInstOperands,
     /* 227728 */     // GIR_Coverage, 1049,
     /* 227728 */     GIR_Done,
     /* 227729 */   // Label 5281: @227729
     /* 227729 */   GIM_Try, /*On fail goto*//*Label 5282*/ GIMT_Encode4(227756), // Rule ID 2461 //
     /* 227734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 227737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 227741 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 227745 */     // (strict_fsqrt:{ *:[f64] } FR64:{ *:[f64] }:$src1)  =>  (SQRTSDr:{ *:[f64] } FR64:{ *:[f64] }:$src1)
     /* 227745 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SQRTSDr),
     /* 227750 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 227754 */     GIR_RootConstrainSelectedInstOperands,
     /* 227755 */     // GIR_Coverage, 2461,
     /* 227755 */     GIR_Done,
     /* 227756 */   // Label 5282: @227756
     /* 227756 */   GIM_Try, /*On fail goto*//*Label 5283*/ GIMT_Encode4(227798), // Rule ID 18277 //
     /* 227761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 227764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 227768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 227772 */     // (strict_fsqrt:{ *:[f64] } FR64:{ *:[f64] }:$src)  =>  (VSQRTSDr:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), FR64:{ *:[f64] }:$src)
     /* 227772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 227775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 227779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 227784 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 227786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSDr),
     /* 227789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 227791 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 227794 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 227796 */     GIR_RootConstrainSelectedInstOperands,
     /* 227797 */     // GIR_Coverage, 18277,
     /* 227797 */     GIR_EraseRootFromParent_Done,
     /* 227798 */   // Label 5283: @227798
     /* 227798 */   GIM_Try, /*On fail goto*//*Label 5284*/ GIMT_Encode4(227840), // Rule ID 21425 //
     /* 227803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 227806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 227810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 227814 */     // (strict_fsqrt:{ *:[f64] } FR64X:{ *:[f64] }:$src)  =>  (VSQRTSDZr:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), FR64X:{ *:[f64] }:$src)
     /* 227814 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 227817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 227821 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 227826 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 227828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSDZr),
     /* 227831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 227833 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 227836 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 227838 */     GIR_RootConstrainSelectedInstOperands,
     /* 227839 */     // GIR_Coverage, 21425,
     /* 227839 */     GIR_EraseRootFromParent_Done,
     /* 227840 */   // Label 5284: @227840
     /* 227840 */   GIM_Reject,
     /* 227841 */ // Label 5277: @227841
     /* 227841 */ GIM_Reject,
     /* 227842 */ // Label 5255: @227842
     /* 227842 */ GIM_Try, /*On fail goto*//*Label 5285*/ GIMT_Encode4(227878), // Rule ID 1051 //
     /* 227847 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 227850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s80,
     /* 227853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 227857 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 227861 */   // (strict_fsqrt:{ *:[f80] } RFP80:{ *:[f80] }:$src)  =>  (SQRT_Fp80:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src)
     /* 227861 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SQRT_Fp80),
     /* 227866 */   GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 227872 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 227876 */   GIR_RootConstrainSelectedInstOperands,
     /* 227877 */   // GIR_Coverage, 1051,
     /* 227877 */   GIR_Done,
     /* 227878 */ // Label 5285: @227878
     /* 227878 */ GIM_Reject,
     /* 227879 */ // Label 5256: @227879
     /* 227879 */ GIM_Try, /*On fail goto*//*Label 5286*/ GIMT_Encode4(228081),
     /* 227884 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 227887 */   GIM_Try, /*On fail goto*//*Label 5287*/ GIMT_Encode4(227943), // Rule ID 2467 //
     /* 227892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 227895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 227899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 227903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 227907 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 227910 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 227914 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 227918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 227920 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 227927 */     // (strict_fsqrt:{ *:[v2f64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPDm:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)
     /* 227927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPDm),
     /* 227930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 227932 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 227936 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 227941 */     GIR_RootConstrainSelectedInstOperands,
     /* 227942 */     // GIR_Coverage, 2467,
     /* 227942 */     GIR_EraseRootFromParent_Done,
     /* 227943 */   // Label 5287: @227943
     /* 227943 */   GIM_Try, /*On fail goto*//*Label 5288*/ GIMT_Encode4(227999), // Rule ID 12085 //
     /* 227948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 227951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 227955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 227959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 227963 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 227966 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 227970 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 227974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 227976 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 227983 */     // (strict_fsqrt:{ *:[v2f64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPDZ128m:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)
     /* 227983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPDZ128m),
     /* 227986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 227988 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 227992 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 227997 */     GIR_RootConstrainSelectedInstOperands,
     /* 227998 */     // GIR_Coverage, 12085,
     /* 227998 */     GIR_EraseRootFromParent_Done,
     /* 227999 */   // Label 5288: @227999
     /* 227999 */   GIM_Try, /*On fail goto*//*Label 5289*/ GIMT_Encode4(228026), // Rule ID 2465 //
     /* 228004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 228007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 228011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 228015 */     // (strict_fsqrt:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src)  =>  (VSQRTPDr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src)
     /* 228015 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPDr),
     /* 228020 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 228024 */     GIR_RootConstrainSelectedInstOperands,
     /* 228025 */     // GIR_Coverage, 2465,
     /* 228025 */     GIR_Done,
     /* 228026 */   // Label 5289: @228026
     /* 228026 */   GIM_Try, /*On fail goto*//*Label 5290*/ GIMT_Encode4(228053), // Rule ID 2473 //
     /* 228031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 228034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 228038 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 228042 */     // (strict_fsqrt:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src)  =>  (SQRTPDr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src)
     /* 228042 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SQRTPDr),
     /* 228047 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 228051 */     GIR_RootConstrainSelectedInstOperands,
     /* 228052 */     // GIR_Coverage, 2473,
     /* 228052 */     GIR_Done,
     /* 228053 */   // Label 5290: @228053
     /* 228053 */   GIM_Try, /*On fail goto*//*Label 5291*/ GIMT_Encode4(228080), // Rule ID 12081 //
     /* 228058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 228061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 228065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 228069 */     // (strict_fsqrt:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src)  =>  (VSQRTPDZ128r:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src)
     /* 228069 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPDZ128r),
     /* 228074 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 228078 */     GIR_RootConstrainSelectedInstOperands,
     /* 228079 */     // GIR_Coverage, 12081,
     /* 228079 */     GIR_Done,
     /* 228080 */   // Label 5291: @228080
     /* 228080 */   GIM_Reject,
     /* 228081 */ // Label 5286: @228081
     /* 228081 */ GIM_Reject,
     /* 228082 */ // Label 5257: @228082
     /* 228082 */ GIM_Try, /*On fail goto*//*Label 5292*/ GIMT_Encode4(228284),
     /* 228087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 228090 */   GIM_Try, /*On fail goto*//*Label 5293*/ GIMT_Encode4(228146), // Rule ID 2451 //
     /* 228095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 228098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 228102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 228106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 228110 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 228113 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 228117 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 228121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 228123 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 228130 */     // (strict_fsqrt:{ *:[v4f32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPSm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /* 228130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPSm),
     /* 228133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 228135 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 228139 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 228144 */     GIR_RootConstrainSelectedInstOperands,
     /* 228145 */     // GIR_Coverage, 2451,
     /* 228145 */     GIR_EraseRootFromParent_Done,
     /* 228146 */   // Label 5293: @228146
     /* 228146 */   GIM_Try, /*On fail goto*//*Label 5294*/ GIMT_Encode4(228202), // Rule ID 12061 //
     /* 228151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 228154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 228158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 228162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 228166 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 228169 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 228173 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 228177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 228179 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 228186 */     // (strict_fsqrt:{ *:[v4f32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPSZ128m:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /* 228186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPSZ128m),
     /* 228189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 228191 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 228195 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 228200 */     GIR_RootConstrainSelectedInstOperands,
     /* 228201 */     // GIR_Coverage, 12061,
     /* 228201 */     GIR_EraseRootFromParent_Done,
     /* 228202 */   // Label 5294: @228202
     /* 228202 */   GIM_Try, /*On fail goto*//*Label 5295*/ GIMT_Encode4(228229), // Rule ID 2449 //
     /* 228207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 228210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 228214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 228218 */     // (strict_fsqrt:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src)  =>  (VSQRTPSr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src)
     /* 228218 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPSr),
     /* 228223 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 228227 */     GIR_RootConstrainSelectedInstOperands,
     /* 228228 */     // GIR_Coverage, 2449,
     /* 228228 */     GIR_Done,
     /* 228229 */   // Label 5295: @228229
     /* 228229 */   GIM_Try, /*On fail goto*//*Label 5296*/ GIMT_Encode4(228256), // Rule ID 2457 //
     /* 228234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 228237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 228241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 228245 */     // (strict_fsqrt:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src)  =>  (SQRTPSr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src)
     /* 228245 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SQRTPSr),
     /* 228250 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 228254 */     GIR_RootConstrainSelectedInstOperands,
     /* 228255 */     // GIR_Coverage, 2457,
     /* 228255 */     GIR_Done,
     /* 228256 */   // Label 5296: @228256
     /* 228256 */   GIM_Try, /*On fail goto*//*Label 5297*/ GIMT_Encode4(228283), // Rule ID 12057 //
     /* 228261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 228264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 228268 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 228272 */     // (strict_fsqrt:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src)  =>  (VSQRTPSZ128r:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src)
     /* 228272 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPSZ128r),
     /* 228277 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 228281 */     GIR_RootConstrainSelectedInstOperands,
     /* 228282 */     // GIR_Coverage, 12057,
     /* 228282 */     GIR_Done,
     /* 228283 */   // Label 5297: @228283
     /* 228283 */   GIM_Reject,
     /* 228284 */ // Label 5292: @228284
     /* 228284 */ GIM_Reject,
     /* 228285 */ // Label 5258: @228285
     /* 228285 */ GIM_Try, /*On fail goto*//*Label 5298*/ GIMT_Encode4(228460),
     /* 228290 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 228293 */   GIM_Try, /*On fail goto*//*Label 5299*/ GIMT_Encode4(228349), // Rule ID 2471 //
     /* 228298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 228301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 228305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 228309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 228313 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 228316 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 228320 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 228324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 228326 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 228333 */     // (strict_fsqrt:{ *:[v4f64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPDYm:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)
     /* 228333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPDYm),
     /* 228336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 228338 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 228342 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 228347 */     GIR_RootConstrainSelectedInstOperands,
     /* 228348 */     // GIR_Coverage, 2471,
     /* 228348 */     GIR_EraseRootFromParent_Done,
     /* 228349 */   // Label 5299: @228349
     /* 228349 */   GIM_Try, /*On fail goto*//*Label 5300*/ GIMT_Encode4(228405), // Rule ID 12097 //
     /* 228354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 228357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 228361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 228365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 228369 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 228372 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 228376 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 228380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 228382 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 228389 */     // (strict_fsqrt:{ *:[v4f64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPDZ256m:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)
     /* 228389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPDZ256m),
     /* 228392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 228394 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 228398 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 228403 */     GIR_RootConstrainSelectedInstOperands,
     /* 228404 */     // GIR_Coverage, 12097,
     /* 228404 */     GIR_EraseRootFromParent_Done,
     /* 228405 */   // Label 5300: @228405
     /* 228405 */   GIM_Try, /*On fail goto*//*Label 5301*/ GIMT_Encode4(228432), // Rule ID 2469 //
     /* 228410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 228413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 228417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 228421 */     // (strict_fsqrt:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src)  =>  (VSQRTPDYr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src)
     /* 228421 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPDYr),
     /* 228426 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 228430 */     GIR_RootConstrainSelectedInstOperands,
     /* 228431 */     // GIR_Coverage, 2469,
     /* 228431 */     GIR_Done,
     /* 228432 */   // Label 5301: @228432
     /* 228432 */   GIM_Try, /*On fail goto*//*Label 5302*/ GIMT_Encode4(228459), // Rule ID 12093 //
     /* 228437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 228440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 228444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 228448 */     // (strict_fsqrt:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src)  =>  (VSQRTPDZ256r:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src)
     /* 228448 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPDZ256r),
     /* 228453 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 228457 */     GIR_RootConstrainSelectedInstOperands,
     /* 228458 */     // GIR_Coverage, 12093,
     /* 228458 */     GIR_Done,
     /* 228459 */   // Label 5302: @228459
     /* 228459 */   GIM_Reject,
     /* 228460 */ // Label 5298: @228460
     /* 228460 */ GIM_Reject,
     /* 228461 */ // Label 5259: @228461
     /* 228461 */ GIM_Try, /*On fail goto*//*Label 5303*/ GIMT_Encode4(228549),
     /* 228466 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 228469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 228473 */   GIM_Try, /*On fail goto*//*Label 5304*/ GIMT_Encode4(228525), // Rule ID 12013 //
     /* 228478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 228481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 228485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 228489 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 228492 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 228496 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 228500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 228502 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 228509 */     // (strict_fsqrt:{ *:[v8f16] } (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPHZ128m:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)
     /* 228509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPHZ128m),
     /* 228512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 228514 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 228518 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 228523 */     GIR_RootConstrainSelectedInstOperands,
     /* 228524 */     // GIR_Coverage, 12013,
     /* 228524 */     GIR_EraseRootFromParent_Done,
     /* 228525 */   // Label 5304: @228525
     /* 228525 */   GIM_Try, /*On fail goto*//*Label 5305*/ GIMT_Encode4(228548), // Rule ID 12009 //
     /* 228530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 228533 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 228537 */     // (strict_fsqrt:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src)  =>  (VSQRTPHZ128r:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src)
     /* 228537 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPHZ128r),
     /* 228542 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 228546 */     GIR_RootConstrainSelectedInstOperands,
     /* 228547 */     // GIR_Coverage, 12009,
     /* 228547 */     GIR_Done,
     /* 228548 */   // Label 5305: @228548
     /* 228548 */   GIM_Reject,
     /* 228549 */ // Label 5303: @228549
     /* 228549 */ GIM_Reject,
     /* 228550 */ // Label 5260: @228550
     /* 228550 */ GIM_Try, /*On fail goto*//*Label 5306*/ GIMT_Encode4(228725),
     /* 228555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 228558 */   GIM_Try, /*On fail goto*//*Label 5307*/ GIMT_Encode4(228614), // Rule ID 2455 //
     /* 228563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 228566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 228570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 228574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 228578 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 228581 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 228585 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 228589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 228591 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 228598 */     // (strict_fsqrt:{ *:[v8f32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPSYm:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /* 228598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPSYm),
     /* 228601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 228603 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 228607 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 228612 */     GIR_RootConstrainSelectedInstOperands,
     /* 228613 */     // GIR_Coverage, 2455,
     /* 228613 */     GIR_EraseRootFromParent_Done,
     /* 228614 */   // Label 5307: @228614
     /* 228614 */   GIM_Try, /*On fail goto*//*Label 5308*/ GIMT_Encode4(228670), // Rule ID 12073 //
     /* 228619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 228622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 228626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 228630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 228634 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 228637 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 228641 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 228645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 228647 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 228654 */     // (strict_fsqrt:{ *:[v8f32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPSZ256m:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /* 228654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPSZ256m),
     /* 228657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 228659 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 228663 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 228668 */     GIR_RootConstrainSelectedInstOperands,
     /* 228669 */     // GIR_Coverage, 12073,
     /* 228669 */     GIR_EraseRootFromParent_Done,
     /* 228670 */   // Label 5308: @228670
     /* 228670 */   GIM_Try, /*On fail goto*//*Label 5309*/ GIMT_Encode4(228697), // Rule ID 2453 //
     /* 228675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 228678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 228682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 228686 */     // (strict_fsqrt:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src)  =>  (VSQRTPSYr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src)
     /* 228686 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPSYr),
     /* 228691 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 228695 */     GIR_RootConstrainSelectedInstOperands,
     /* 228696 */     // GIR_Coverage, 2453,
     /* 228696 */     GIR_Done,
     /* 228697 */   // Label 5309: @228697
     /* 228697 */   GIM_Try, /*On fail goto*//*Label 5310*/ GIMT_Encode4(228724), // Rule ID 12069 //
     /* 228702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 228705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 228709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 228713 */     // (strict_fsqrt:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src)  =>  (VSQRTPSZ256r:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src)
     /* 228713 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPSZ256r),
     /* 228718 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 228722 */     GIR_RootConstrainSelectedInstOperands,
     /* 228723 */     // GIR_Coverage, 12069,
     /* 228723 */     GIR_Done,
     /* 228724 */   // Label 5310: @228724
     /* 228724 */   GIM_Reject,
     /* 228725 */ // Label 5306: @228725
     /* 228725 */ GIM_Reject,
     /* 228726 */ // Label 5261: @228726
     /* 228726 */ GIM_Try, /*On fail goto*//*Label 5311*/ GIMT_Encode4(228814),
     /* 228731 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 228734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 228738 */   GIM_Try, /*On fail goto*//*Label 5312*/ GIMT_Encode4(228790), // Rule ID 12049 //
     /* 228743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 228746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 228750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 228754 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 228757 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 228761 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 228765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 228767 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 228774 */     // (strict_fsqrt:{ *:[v8f64] } (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPDZm:{ *:[v8f64] } addr:{ *:[iPTR] }:$src)
     /* 228774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPDZm),
     /* 228777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 228779 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 228783 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 228788 */     GIR_RootConstrainSelectedInstOperands,
     /* 228789 */     // GIR_Coverage, 12049,
     /* 228789 */     GIR_EraseRootFromParent_Done,
     /* 228790 */   // Label 5312: @228790
     /* 228790 */   GIM_Try, /*On fail goto*//*Label 5313*/ GIMT_Encode4(228813), // Rule ID 12045 //
     /* 228795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 228798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 228802 */     // (strict_fsqrt:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src)  =>  (VSQRTPDZr:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src)
     /* 228802 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPDZr),
     /* 228807 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 228811 */     GIR_RootConstrainSelectedInstOperands,
     /* 228812 */     // GIR_Coverage, 12045,
     /* 228812 */     GIR_Done,
     /* 228813 */   // Label 5313: @228813
     /* 228813 */   GIM_Reject,
     /* 228814 */ // Label 5311: @228814
     /* 228814 */ GIM_Reject,
     /* 228815 */ // Label 5262: @228815
     /* 228815 */ GIM_Try, /*On fail goto*//*Label 5314*/ GIMT_Encode4(228903),
     /* 228820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 228823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 228827 */   GIM_Try, /*On fail goto*//*Label 5315*/ GIMT_Encode4(228879), // Rule ID 12025 //
     /* 228832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 228835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 228839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 228843 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 228846 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 228850 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 228854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 228856 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 228863 */     // (strict_fsqrt:{ *:[v16f16] } (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPHZ256m:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)
     /* 228863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPHZ256m),
     /* 228866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 228868 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 228872 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 228877 */     GIR_RootConstrainSelectedInstOperands,
     /* 228878 */     // GIR_Coverage, 12025,
     /* 228878 */     GIR_EraseRootFromParent_Done,
     /* 228879 */   // Label 5315: @228879
     /* 228879 */   GIM_Try, /*On fail goto*//*Label 5316*/ GIMT_Encode4(228902), // Rule ID 12021 //
     /* 228884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 228887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 228891 */     // (strict_fsqrt:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src)  =>  (VSQRTPHZ256r:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src)
     /* 228891 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPHZ256r),
     /* 228896 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 228900 */     GIR_RootConstrainSelectedInstOperands,
     /* 228901 */     // GIR_Coverage, 12021,
     /* 228901 */     GIR_Done,
     /* 228902 */   // Label 5316: @228902
     /* 228902 */   GIM_Reject,
     /* 228903 */ // Label 5314: @228903
     /* 228903 */ GIM_Reject,
     /* 228904 */ // Label 5263: @228904
     /* 228904 */ GIM_Try, /*On fail goto*//*Label 5317*/ GIMT_Encode4(228992),
     /* 228909 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 228912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 228916 */   GIM_Try, /*On fail goto*//*Label 5318*/ GIMT_Encode4(228968), // Rule ID 12037 //
     /* 228921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 228924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 228928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 228932 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 228935 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 228939 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 228943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 228945 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 228952 */     // (strict_fsqrt:{ *:[v16f32] } (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPSZm:{ *:[v16f32] } addr:{ *:[iPTR] }:$src)
     /* 228952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPSZm),
     /* 228955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 228957 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 228961 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 228966 */     GIR_RootConstrainSelectedInstOperands,
     /* 228967 */     // GIR_Coverage, 12037,
     /* 228967 */     GIR_EraseRootFromParent_Done,
     /* 228968 */   // Label 5318: @228968
     /* 228968 */   GIM_Try, /*On fail goto*//*Label 5319*/ GIMT_Encode4(228991), // Rule ID 12033 //
     /* 228973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 228976 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 228980 */     // (strict_fsqrt:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src)  =>  (VSQRTPSZr:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src)
     /* 228980 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPSZr),
     /* 228985 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 228989 */     GIR_RootConstrainSelectedInstOperands,
     /* 228990 */     // GIR_Coverage, 12033,
     /* 228990 */     GIR_Done,
     /* 228991 */   // Label 5319: @228991
     /* 228991 */   GIM_Reject,
     /* 228992 */ // Label 5317: @228992
     /* 228992 */ GIM_Reject,
     /* 228993 */ // Label 5264: @228993
     /* 228993 */ GIM_Try, /*On fail goto*//*Label 5320*/ GIMT_Encode4(229081),
     /* 228998 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 229001 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 229005 */   GIM_Try, /*On fail goto*//*Label 5321*/ GIMT_Encode4(229057), // Rule ID 12001 //
     /* 229010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 229013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 229017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 229021 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 229024 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 229028 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 229032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 229034 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 229041 */     // (strict_fsqrt:{ *:[v32f16] } (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPHZm:{ *:[v32f16] } addr:{ *:[iPTR] }:$src)
     /* 229041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPHZm),
     /* 229044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 229046 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 229050 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 229055 */     GIR_RootConstrainSelectedInstOperands,
     /* 229056 */     // GIR_Coverage, 12001,
     /* 229056 */     GIR_EraseRootFromParent_Done,
     /* 229057 */   // Label 5321: @229057
     /* 229057 */   GIM_Try, /*On fail goto*//*Label 5322*/ GIMT_Encode4(229080), // Rule ID 11997 //
     /* 229062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 229065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 229069 */     // (strict_fsqrt:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src)  =>  (VSQRTPHZr:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src)
     /* 229069 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPHZr),
     /* 229074 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 229078 */     GIR_RootConstrainSelectedInstOperands,
     /* 229079 */     // GIR_Coverage, 11997,
     /* 229079 */     GIR_Done,
     /* 229080 */   // Label 5322: @229080
     /* 229080 */   GIM_Reject,
     /* 229081 */ // Label 5320: @229081
     /* 229081 */ GIM_Reject,
     /* 229082 */ // Label 5265: @229082
     /* 229082 */ GIM_Reject,
     /* 229083 */ // Label 74: @229083
     /* 229083 */ GIM_Try, /*On fail goto*//*Label 5323*/ GIMT_Encode4(229095), // Rule ID 17073 //
     /* 229088 */   // (trap)  =>  (TRAP)
     /* 229088 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::TRAP),
     /* 229093 */   GIR_RootConstrainSelectedInstOperands,
     /* 229094 */   // GIR_Coverage, 17073,
     /* 229094 */   GIR_Done,
     /* 229095 */ // Label 5323: @229095
     /* 229095 */ GIM_Reject,
     /* 229096 */ // Label 75: @229096
     /* 229096 */ GIM_Try, /*On fail goto*//*Label 5324*/ GIMT_Encode4(229111), // Rule ID 22376 //
     /* 229101 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotPS),
     /* 229104 */   // (debugtrap)  =>  (INT3)
     /* 229104 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::INT3),
     /* 229109 */   GIR_RootConstrainSelectedInstOperands,
     /* 229110 */   // GIR_Coverage, 22376,
     /* 229110 */   GIR_Done,
     /* 229111 */ // Label 5324: @229111
     /* 229111 */ GIM_Try, /*On fail goto*//*Label 5325*/ GIMT_Encode4(229131), // Rule ID 22377 //
     /* 229116 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsPS),
     /* 229119 */   // (debugtrap)  =>  (INT 65:{ *:[i8] })
     /* 229119 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INT),
     /* 229122 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/65,
     /* 229125 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 229129 */   GIR_RootConstrainSelectedInstOperands,
     /* 229130 */   // GIR_Coverage, 22377,
     /* 229130 */   GIR_EraseRootFromParent_Done,
     /* 229131 */ // Label 5325: @229131
     /* 229131 */ GIM_Reject,
     /* 229132 */ // Label 76: @229132
     /* 229132 */ GIM_Try, /*On fail goto*//*Label 5326*/ GIMT_Encode4(229147), // Rule ID 17075 //
     /* 229137 */   // MIs[0] kind
     /* 229137 */   GIM_CheckIsImm, /*MI*/0, /*Op*/0,
     /* 229140 */   // (ubsantrap (timm:{ *:[i32] }):$kind)  =>  (UBSAN_UD1 (timm:{ *:[i32] }):$kind)
     /* 229140 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::UBSAN_UD1),
     /* 229145 */   GIR_RootConstrainSelectedInstOperands,
     /* 229146 */   // GIR_Coverage, 17075,
     /* 229146 */   GIR_Done,
     /* 229147 */ // Label 5326: @229147
     /* 229147 */ GIM_Reject,
     /* 229148 */ // Label 77: @229148
     /* 229148 */ GIM_Reject,
     /* 229149 */ }; // Size: 229149 bytes
  return MatchTable0;
}
#undef GIMT_Encode2
#undef GIMT_Encode4
#undef GIMT_Encode8

#endif // ifdef GET_GLOBALISEL_IMPL

#ifdef GET_GLOBALISEL_PREDICATES_DECL
PredicateBitset AvailableModuleFeatures;
mutable PredicateBitset AvailableFunctionFeatures;
PredicateBitset getAvailableFeatures() const {
  return AvailableModuleFeatures | AvailableFunctionFeatures;
}
PredicateBitset
computeAvailableModuleFeatures(const X86Subtarget *Subtarget) const;
PredicateBitset
computeAvailableFunctionFeatures(const X86Subtarget *Subtarget,
                                 const MachineFunction *MF) const;
void setupGeneratedPerFunctionState(MachineFunction &MF) override;
#endif // ifdef GET_GLOBALISEL_PREDICATES_DECL
#ifdef GET_GLOBALISEL_PREDICATES_INIT
AvailableModuleFeatures(computeAvailableModuleFeatures(&STI)),
AvailableFunctionFeatures()
#endif // ifdef GET_GLOBALISEL_PREDICATES_INIT
